<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Bank Transfer');
define('THISPAGE', 3); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$fr_bank_id = mysql_real_escape_string(stripslashes($_POST['fr_bank_id']));
					$to_bank_id = mysql_real_escape_string(stripslashes($_POST['to_bank_id']));
					$ref_num = mysql_real_escape_string(stripslashes($_POST['ref_num']));
					$amount = mysql_real_escape_string(stripslashes($_POST['amount']));
					$notes = mysql_real_escape_string(stripslashes($_POST['notes']));
				} else {
					$fr_bank_id = mysql_real_escape_string($_POST['fr_bank_id']);
					$to_bank_id = mysql_real_escape_string($_POST['to_bank_id']);
					$ref_num = mysql_real_escape_string($_POST['ref_num']);
					$check_date = mysql_real_escape_string($_POST['check_date']);
					$amount = mysql_real_escape_string($_POST['amount']);
					$notes = mysql_real_escape_string($_POST['notes']);
				}
				
				// Check to make sure they have selected from the list of warehouses.
				if ($fr_bank_id != 0 && is_numeric($fr_bank_id)) { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please select from the list of source banks."; }
				// Check to make sure they have selected from the list of branches.
				if ($to_bank_id != 0 && is_numeric($to_bank_id)) { $b = TRUE; } 
				else { $b = FALSE; $message[] = "Please select from the list of receiving banks."; }
				// Check to make sure they have selected from the list of branches.
				if ($amount != 0 && (is_numeric($amount) || is_float($amount))) { $c = TRUE; } 
				else { $c = FALSE; $message[] = "Please select enter transfer amount."; }
				// Check to make sure they have selected from the list of branches.
				if ($ref_num != "") { $d = TRUE; } 
				else { $d = FALSE; $message[] = "Please enter the reference number of transfer."; }
				
				// If the data pass all tests, add the patient to the database.
				if ( $a && $b && $c && $d ) {
					// get the running balance from the dealer account
					$sql = "SELECT balance FROM banks WHERE bank_id = '$fr_bank_id'";
					$fr_res = mysql_query($sql) or die(mysql_error()); $fr_row = mysql_fetch_array($fr_res); 
					$fr_balance = $fr_row[0]; 
					
					if ($fr_balance >= $amount) {
						$new_fr_balance = $fr_balance - $amount;
					
						// get the running balance from the dealer account
						$sql = "SELECT balance FROM banks WHERE bank_id = '$to_bank_id'";
						$to_res = mysql_query($sql) or die(mysql_error()); 
						$to_row = mysql_fetch_array($to_res); 
						$new_to_balance = $to_row[0] + $amount;
					
						$sql = "INSERT INTO bank_transfers ( bt_date, fr_bank_id, to_bank_id, ref_num, amount, notes, user_id )
								VALUES ( CURDATE(), '$fr_bank_id', '$to_bank_id', '$ref_num', '$amount', '$notes', '$_SESSION[user_id]' )";
						if (mysql_query($sql)) {
							$sql = "UPDATE banks SET balance = '$new_fr_balance' WHERE bank_id = '$fr_bank_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
							
							$sql = "UPDATE banks SET balance = '$new_to_balance' WHERE bank_id = '$to_bank_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
							
							print "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>
								Click <a class=tddata href='bank_transfers.php'>here</a> to view all bank transfers.
								</font></td></tr></table></td></tr></table></center><br>";
						} else {
							echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could not add 
								bank transfer into the database</b></font></td></tr></table></td></tr></table></center><br>";
						}
					} else {
						echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td height=30 
							align=center><font face=arial size=2 color=red>Could not add bank transfer into the database 
							because: <b>amount entered is greater than its balance</b>.</font></td></tr></table></td></tr></table></center><br>";
						show_form($trans_id);
					}
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5><tr><td><font color=red 
							face=arial size=2><b>The following problems occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
						echo "</font></td></tr></table></td></tr></table></center>\n";
					}
					show_form();
				}
				mysql_close();
		} else {
			// Check for valid entry trans_id in the URL
			if (is_numeric($_GET['trans_id'])) {
				$trans_id = $_GET['trans_id'];
			}
			show_form($trans_id);
		}
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($trans_id) {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;

	?>
	<form name="AddBankTransfer" action="add_bank_transfer.php" method="POST">
		<div class="post">
			<h1 class="title">Add Bank Transfer</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td align="right" width="125">Source Account #&nbsp;</td>
							<td align="left" width="250"><select name="fr_bank_id"><option value="0">Account # --- Balance</option><?PHP
								$sql = "SELECT bank_id, CONCAT(bank_name,' --- ',balance) FROM banks";
								$fr_res = mysql_query($sql) or die(mysql_error()); 
								while ($fr_row = mysql_fetch_array($fr_res)) {
									?><option value="<?PHP echo $fr_row[0] ?>"><?PHP echo $fr_row[1] ?></option><?PHP
								}
								?></select>&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Receiving Account #&nbsp;</td>
							<td align="left"><select name="to_bank_id"><option value="0">Account # --- Balance</option><?PHP
								$sql = "SELECT bank_id, CONCAT(bank_name,' --- ',balance) FROM banks";
								$to_res = mysql_query($sql) or die(mysql_error()); 
								while ($to_row = mysql_fetch_array($to_res)) {
									?><option value="<?PHP echo $to_row[0] ?>"><?PHP echo $to_row[1] ?></option><?PHP
								}
								?></select>&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Reference Number&nbsp;</td>
							<td align="left"><input type="text" name="ref_num" size="40">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Amount&nbsp;</td>
							<td align="left"><input type="text" name="amount" size="40">&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Notes&nbsp;</td>
							<td align="left"><input type="text" name="notes" size="40"></td></tr>
						<tr class="odd"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="token" value="<?PHP echo $token ?>">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valAddBankTransfer()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}

?>