<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add New Branch');
define('NAV', 6); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin
session_start();
if(isset($_SESSION['user_id'])){
	if(validate_1()==true){
		print_header(TITLE);
		print_navs();
		if($_POST)
			post($_POST);
		else
			pre('');
		print_footer();
	}
}else
	header('Location: login.php');
function pre($val){
	?>
	<script type='text/javascript'>
		$(document).ready(function(){
			var fld=new Array();
			fld[0]=['account_name', 'Account Name'];
			fld[1]=['company_name', 'Company Name'];
			fld[2]=['contact_person', 'Contact Person'];
			fld[3]=['mun_addr', 'City/Town'];
			fld[4]=['agent_name', 'Agent Name'];
			ac('#txtCustomer', fld, 'vw_sel_customer', 'ctype=1 and cb_id is null');
			$('#txtCustomer').autocomplete({
				select:function(event, ui){
					$('#txtCustomer').val(ui.item.company_name+' / '+ui.item.contact_person);
					$('#hdnCustomerID').val(ui.item.customer_id);
					return false;
				}
			});
			$('form').submit(function(){
				if(env('#txtbranch_code', 'Branch Code')) return false;
				if($('#txtbranch_code').val().length>3){
					alert('Please provide a value for Branch Code with a maximum of 3 characters.');
					$('#txtbranch_code').addClass('invalid');
					$('#txtbranch_code').focus();
					return false;
				}
				if(env('#txtbranch_name', 'Branch Name')) return false;
				if(env("#txtbranch_addr", "Address")) return false;
				if(env('#txtCustomer', 'Customer')) return false;
			});
		});
	</script>
	<form method='post' enctype='multipart/form-data'>
		<div class='out'><div class='in'>
			<table class='head'><tr>
				<th>Add New Branch</th>
			</tr></table>
			<table class='grd'>
				<tr>
					<td colspan='2' style='color:#ff0000; text-align:center;'>Entries with asterisk(*) are required.</td>
				</tr>
				<tr>
					<th>Branch Code:</th>
					<td><?php txt('branch_code', $val, 's') ?><span class='required'></span></td>
				</tr>
				<tr>
					<th>Branch Name:</th>
					<td><?php txt('branch_name', $val) ?><span class='required'></span></td>
				</tr>
				<tr>
					<th>Address:</th>
					<td><?php txt('branch_addr', $val, 'l') ?><span class="required"></span></td>
				</tr>
				<tr>
					<th>Customer:</th>
					<td>
						<?php
						hdn('CustomerID', $val);
						txt('Customer', $val, 'l');
						?>
						<span class='required'></span>
					</td>
				</tr>
				<tfoot><tr><td colspan='2' style='text-align:center;'>
					<?php
					rst('Reset', 'Reset', 'button blue');
					sbt('Submit', 'Submit', 'button blue');
					?>
				</td></tr></tfoot>
			</table>
		</div></div>
	</form>
	<?php
}
function post($val){
	$r=rec('branches', "branch_code='$_POST[txtbranch_code]'");
	if($r){
		$err='Please provide a value for Branch Code that is not yet existing.';
	}else{
		$branch_id=ins('branches', '', "capital=0; active=1");
		if(!$branch_id){
			$err='Could not Add New Branch.<br>Please try again.';
		}else{
			$cb_id=ins('customer_branches', '', "branch_id=$branch_id; customer_id=$_POST[hdnCustomerID]; active=1");
			if(!$cb_id){
				$err='Could not Add New Branch.<br>Please try again.';
				del('branches', "branch_id=$branch_id");
			}else{
				$q=qry("select * from products where active=1 order by product_id");
				while($r=mysql_fetch_assoc($q)){
					qry("insert into branch_products (branch_id, product_id, reorder) values ($branch_id, $r[product_id], 25)");
				}
				qry("insert into branch_registers (branch_id, cash) values ($branch_id, 0)");
			}
		}	
	}
	if(isset($err)){
		?>
		<div class='err'>
			<?php echo $err ?>
		</div>
		<?php
		pre($_POST);
	}else{
		?>
		<div class='ok'>
			Branch has been added.<br>
			Click <?php lnk('BranchAddNew', 'here', 'add_branch.php') ?> to Add New Branch.<br>
			Click <?php lnk('BranchList', 'here', 'branches.php') ?> to see all Branches.
		</div>
		<?php
	}
}
?>