<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Asset');
define('NAV', 4); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			if (isset($_SESSION['token']) && $_POST['token'] == $_SESSION['token']) {
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$adate = mysql_real_escape_string(stripslashes($_POST['adate']));
					$ref_num = mysql_real_escape_string(stripslashes($_POST['ref_num']));
					$account_id = mysql_real_escape_string(stripslashes($_POST['account_id']));
					$asstype_id = mysql_real_escape_string(stripslashes($_POST['asstype_id']));
					$assetdesc = htmlentities(mysql_real_escape_string(stripslashes($_POST['assetdesc'])));
					$amount = mysql_real_escape_string(stripslashes($_POST['amount']));
				} else {
					$adate = mysql_real_escape_string($_POST['adate']);
					$ref_num = mysql_real_escape_string($_POST['ref_num']);
					$account_id = mysql_real_escape_string($_POST['account_id']);
					$asstype_id = mysql_real_escape_string($_POST['asstype_id']);
					$assetdesc = htmlentities(mysql_real_escape_string($_POST['assetdesc']));
					$amount = mysql_real_escape_string($_POST['amount']);
				}
				
				// Check to make sure they have entered the reference number
				if ($ref_num != "" && is_string($ref_num)) { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please enter a valid reference number."; }
				// Check to make sure they have entered the reference number
				if ($adate != "" && is_string($adate)) { $b = TRUE; } 
				else { $b = FALSE; $message[] = "Please enter a valid date of asset."; }
				// Check to make sure they have entered the type of asset
				if ($asstype_id != 0 && is_numeric($asstype_id)) { $c = TRUE; } 
				else { $c = FALSE; $message[] = "Please enter a valid type of asset."; }
				// Check to make sure they have entered the description of asset
				if ($assetdesc != "" && is_string($assetdesc)) { $d = TRUE; } 
				else { $d = FALSE; $message[] = "Please enter a valid description of asset."; }
				// Check to make sure they have entered the amount
				if (is_float($amount) || is_numeric($amount)) { $e = TRUE; } 
				else { $e = FALSE; $message[] = "Please enter a valid amount of asset."; }
				// Check to make sure they have entered the type of asset
				if ($account_id != 0) { $f = TRUE; } 
				else { $f = FALSE; $message[] = "Please select from the list of accounts."; }

				// If the data pass all tests, add the patient to the database.
				if ( $a && $b && $c && $d && $e && $f ) {
					$sql = "SELECT asset_id FROM assets
							WHERE adate = '$adate' AND asstype_id = '$asstype_id' AND amount = '$amount'";
					$chck_res = mysql_query($sql);
					$chck_num = mysql_num_rows($chck_res);
					if ($chck_loan_num > 0) {
						echo "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td align=center>
							<font color=red face=arial size=2><b>Asset already exists in the database!</b><br><br>
							The same entry for the date, type and amount of asset has been found.</font></td></tr></table>
							</td></tr></table></center>";
						show_form();
					} else {
						$sql = "INSERT INTO assets ( ref_num, adate, account_id, asstype_id, assetdesc, amount, user_id )
								VALUES ('$ref_num', '$adate', '$account_id', $asstype_id, '$assetdesc', $amount, $_SESSION[user_id])";
						
						if (mysql_query($sql)) {
							echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><b>Asset has been added into the database</b>.<br>Click 
								<a class=tddata href='assets.php?account_id=$account_id'>here</a> to view all assets.</font></td></tr></table></td></tr>
								</table></center><br>";
							show_form();
						} else {
							echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2 color=red>Could not add asset because: <b>".mysql_error()."</b>
								. The query was $sql.</font></td></tr></table></td></tr></table></center><br>";
							show_form();
						}
					}
					mysql_free_result($chck_res);
					mysql_close();
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#ffffff><tr><td><font color=red 
							face=arial size=2><b>The following problems occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
						echo "</font></td></tr></table></td></tr></table></center>\n";
					}
					show_form();
				}
			} else {
				$sql = "DELETE FROM users_online WHERE user_id = '$_SESSION[user_id]' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
				session_unset();
				session_destroy();
				header('Location: login.php');
			}
		} else {
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;

	$sql = "SELECT CURDATE()";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$date = $drow[0]; 
	mysql_free_result($dres); 
	?>
	<form name="AddAsset" action="add_asset.php" method="POST">
		<div class="post">
			<h1 class="title">Add New Asset</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All are required fields</font></td></tr>
						<tr class="even"><td width="125" align="right">&nbsp;&nbsp;Date&nbsp;</td>
							<td width="250" align="left"><input readonly type="text" size="10" name="adate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:adate.popup();">&nbsp;<img src="lib/b_calendar.png"></a></td></tr>
							<script language="JavaScript">
							<!-- // create calendar object(s) just after form tag closed
								var adate = new calendar(document.forms['AddAsset'].elements['adate']);
								adate.year_scroll = true; adate.time_comp = false;
							//-->
							</script>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Type of Asset</td>
							<td align="left"><select name="asstype_id"><option value="0">Type</option>
								<?PHP
								$sql = "SELECT asstype_id, asstype_name FROM asset_types";
								$res = mysql_query($sql) or die(mysql_error());
								while ($row = mysql_fetch_array($res)) {
									?>
									<option value="<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></option>
									<?PHP
								}
								mysql_free_result($res); 
								?></select>&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Account&nbsp;</td>
							<td align="left"><select name="account_id"><option value="0">Account</option><?PHP
								$sql = "SELECT account_id, account_name FROM accounts ORDER BY account_name";
								$bres = mysql_query($sql) or die(mysql_error());
								while ($brow = mysql_fetch_array($bres)) {
									?><option value="<?PHP echo $brow[0] ?>"><?PHP echo $brow[1] ?></option><?PHP
								}
								?></select>&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Reference #</td>
							<td align="left"><input type="text" name="ref_num" size="30">&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Asset Description&nbsp;</td>
							<td align="left"><input type="text" name="assetdesc" size="30">&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Amount&nbsp;</td>
							<td align="left"><input type="text" size="30" name="amount">&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="token" value="<?PHP echo $token ?>">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valAddAsset()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>