<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include 'fxns.php';
define('TITLE', 'Avanzare Business Solutions - Branch Taxes');
define('NAV', 3);
val_qry('branch_id', 'vw_branch');
session_start();
if (isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		(isset($_POST[branch_id]) && $_POST[branch_id] == $_GET[branch_id])?pre():post();
		print_footer();
	}
}

function pre(){
	$branch_id = _GET_POST($_GET[branch_id]);
	$ref_num = _GET_POST($_POST[ref_num]);
	$tax_date = _GET_POST($_POST[taxdate]);
	$taxtype_id = _GET_POST($_POST[taxtype_id]);
	$tax_desc = _GET_POST($_POST[tax_desc]);
	$amount = _GET_POST($_POST[amount]);
	$tax_dtls = array(
		'branch_id'		=> $branch_id,
		'ref_num'		=> $ref_num,
		'tdate'			=> $tax_date,
		'taxtype_id'	=> $taxtype_id,
		'taxdesc'		=> $tax_desc,
		'amount'		=> $amount,
		'user_id'		=> $_SESSION[user_id]
	);
	$tax_id = sql_ins('branch_taxes', $tax_dtls);
	if (!$tax_id){ ?>
		<br>
		<center>
			<table bgcolor='#FF0000'>
				<tr>
					<td>
						<table bgcolor='#FFE5B4' width='730'>
							<tr>
								<td align='center'>
									<font face='arial' size='2'><img src='lib/s_error.png'>
										<br>
										<br>
										Tax not recorded.
									</font>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</center>
		<br><?php
	} else {
		$new_cash = sql_fld('cash', 'branch_registers', 'branch_id=\''.$branch_id.'\'') - $amount;
		$reg_dtls = array(
			'cash'	=> $new_cash
		);
		sql_upd('branch_registers', $reg_dtls, 'branch_id=\''.$branch_id.'\''); ?>
		<br>
		<center>
			<table bgcolor='#008000'>
				<tr>
					<td>
						<table bgcolor='#FFE5B4' width='730'>
							<tr>
								<td align='center'>
									<font face='arial' size='2'><img src='lib/s_okay.png'>
										<br>
										<br>
										Tax successfully recorded.
										<br>
										<br>
										Click <a class="tddata" href="add_branch_tax.php?branch_id=<?php echo $branch_id?>">here</a> to record another.
										<br>
										<br>
										Or click <a class="tddata" href="branch_taxes.php?branch_id=<?php echo $branch_id?>">here</a> to view records.
									</font>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</center>
		<br><?php
	}
}

function post(){
	$branch_id = _GET_POST($_GET['branch_id']);
	$date = sql_curdate();
	$tax_types = sql_qry('SELECT taxtype_id AS id, taxtype_name AS name FROM tax_types');
?>
	<div class="post">
		<h1 class="title">Add Branch Taxes - <?php echo sql_fld('branch_name', 'branches', 'branch_id=\''.$branch_id.'\'') ?></h1>
		<div class="entry">
			<form id="tax_form" action="add_branch_tax.php?branch_id=<?php echo $branch_id?>" method="POST">
				<table>
					<tbody>
						<tr class="odd" height="20">
							<td width="150" align="right">Reference Number&nbsp;</td>
							<td width="250">&nbsp;<input type="text" id="ref_num" name="ref_num" style='height: 18px;' autocomplete="off">&nbsp;<font color="red">*</font></td>
						</tr>
						<tr class="even" height="20">
							<td align="right">Tax Date&nbsp;</td>
							<td>&nbsp;<input readonly id='taxdate' type="text" size="10" name="taxdate" value="<?php echo $date?>" style='height: 18px; text-align: center;'>&nbsp;<font color='red'>*</font><a class="td_img" href="javascript:tax_date.popup();">&nbsp;<img src="lib/b_calendar.png" style='vertical-align: -30%'></a></td>
						</tr>
						<tr class="odd" height="20">
							<td align="right">Tax Type&nbsp;</td>
							<td>&nbsp;<select id="taxtype_id" style="height: 18px" name="taxtype_id">
								<option value="-" selected disabled> -- </option><?php
							while ($tax = mysql_fetch_assoc($tax_types)) { ?>
								<option value="<?php echo $tax[id] ?>"><?php echo $tax[name] ?></option><?php
							} ?>
							</select>&nbsp;<font color="red">*</font></td>
						</tr>
						<tr class="even" height="20">
							<td align="right">Notes&nbsp;</td>
							<td>&nbsp;<input type="text" id="tax_desc" name="tax_desc" style='height: 18px;'>&nbsp;<font color="red"  autocomplete="off">*</font></td>
						</tr>
						<tr class="odd" height="20">
							<td align="right">Amount&nbsp;</td>
							<td>&nbsp;<input type="text" id="amount" name="amount" style='height: 18px;'>&nbsp;<font color="red"  autocomplete="off">*</font></td>
						</tr>
						<tr class="even" height="20">
							<td align="right">Prepeared by&nbsp;</td>
							<td>&nbsp;<?php echo sql_fld('CONCAT(fname, \' \', lname)', 'users', 'user_id=\''.$_SESSION[user_id].'\'') ?></td>
						</tr>
						<tr class="odd" height="20">
							<td align="center" colspan="2"><input type="reset" id="rst" name="rst" class="button blue" value="Reset">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" id="sbt" name="sbt" class="button blue" value="Submit"><input type="hidden" name="branch_id" value="<?php echo $branch_id?>"></td>
						</tr>
					</tbody>
				</table>
				</form>
			<script type="text/javascript">
				$(document).ready(function(){
					$('#sbt').click(function(){
						var ref_num = $('#ref_num').val();
						var taxdate = $('#taxdate').val();
						var tax_id = $('#taxtype_id').val();
						var tax_desc = $('#tax_desc').val();
						var amount = $('#amount').val();
						if (ref_num.length == 0 || taxdate.length == 0 || tax_desc.length == 0 || amount.length == 0 || $.isNumeric(tax_id) == false){
							if (ref_num.length == 0){
								 $('#ref_num').css("background-color", "red");
							}
							if (taxdate.length == 0){
								$('#taxdate').css("background-color", "red");
							}
							if ($.isNumeric(tax_id) == false){
								$('#taxtype_id').css("background-color", "red");
							}
							if (tax_desc.length == 0){
								$('#tax_desc').css("background-color", "red");
							}
							if (amount.length == 0){
								$('#amount').css("background-color", "red");
							}
							alert('All fields in red are required.');
						} else {
							$('#tax_form').submit();
						}
					});
					$('#rst').click(function(){
						$('#ref_num').css("background-color", "white");
						$('#taxdate').css("background-color", "white");
						$('#taxtype_id').css("background-color", "white");
						$('#tax_desc').css("background-color", "white");
						$('#amount').css("background-color", "white");
					});
					$('input[type="text"]').click(function(){
						$(this).css("background-color", "white");
					});
					$('#taxtype_id').click(function(){
						$(this).css("background-color", "white");
					});
				});
				var tax_date = new calendar(document.getElementById("taxdate"));
				tax_date.year_scroll = true; tax_date.time_comp = false;
			</script>
		</div>
		<p class="meta"></p>
	</div>
<?php
} ?>