<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Employee\'s Cash Advance');
define('NAV', 1); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $loan_date = mysql_real_escape_string(stripslashes($_POST['loan_date']));
	            $user_id = mysql_real_escape_string(stripslashes($_POST['user_id']));
	            $amount = mysql_real_escape_string(stripslashes($_POST['amount']));
	            $notes = mysql_real_escape_string(stripslashes($_POST['notes']));
	        } else {
	            $loan_date = mysql_real_escape_string($_POST['loan_date']);
	            $user_id = mysql_real_escape_string($_POST['user_id']);
	            $amount = mysql_real_escape_string($_POST['amount']);
	            $notes = mysql_real_escape_string($_POST['notes']);
			}
			
			// Check to make sure they entered teacher
			if ($loan_date != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please enter the date of cash advance."; }
			// Check to make sure they entered the teacher's name
			if ($user_id != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please select from the list of employees."; }
			// Check to make sure they entered teacher
			if ($amount != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please enter the amount of cash advance."; }

			// If the data pass all tests, add the patient to the database.
			if ( $a && $b && $c ) {
				$sql = "SELECT loan_id FROM loans WHERE loan_date = '$loan_date' AND user_id = '$user_id'"; 
				$res = mysql_query($sql);
				$num = mysql_num_rows($res); 
				if ($num > 0) {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
						<font face=arial size=2><img src='lib/s_error.png'><br><br><b>Error!!!</b><br>
						<p>Employee's cash advance with that given date already exists in the database.</p></font></td></tr></table></td></tr></table></center><br>\n";
					show_form();
				} else {
					// get the branch of the encoder
					$sql = "SELECT branch_id FROM users WHERE user_id = '$_SESSION[user_id]'";
					$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_id = $brow[0]; 
					
					// if the encoder comes from a branch, the cash advance will be deducted from the branch, else from the office
					if ($branch_id != 0) {
						// get the value of the register
						$sql = "SELECT cash FROM branch_registers WHERE branch_id = '$branch_id'";
						$cr_res = mysql_query($sql); $cr_row = mysql_fetch_array($cr_res); $cash = $cr_row[0]; 
						
						$new_cash = $cash - $amount; 
						// update the cash register
						$sql = "UPDATE branch_registers SET cash = '$new_cash' WHERE branch_id = '$branch_id' LIMIT 1";
						mysql_query($sql) or die(mysql_error()); 
					} else {
						// get the value of the undeposited cash
						$sql = "SELECT bank_id, balance FROM banks WHERE bank_name = 'UNDEPOSITED CASH'";
						$uc_res = mysql_query($sql); $uc_row = mysql_fetch_array($uc_res); $bank_id = $uc_row[0]; $balance = $uc_row[1]; 
						
						$new_balance = $balance - $amount; 
						// update the undeposited amount
						$sql = "UPDATE banks SET balance = '$new_balance' WHERE bank_id = '$bank_id' LIMIT 1";
						mysql_query($sql) or die(mysql_error()); 
					}
					
					$sql = "INSERT INTO loans( loan_date, user_id, amount, balance, notes, encoder ) 
							VALUES( '$loan_date', '$user_id', '$amount', '$amount', '$notes', '$_SESSION[user_id]' )";
					if (mysql_query($sql)) {
						print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><img src='lib/s_attention.png'>&nbsp;<font face=arial size=2>Employee's cash advance has been added into the database.
								<br>Click <a href=add_ca.php>here</a> to enter another employee's cash advance.</font></td></tr></table></td></tr>
								</table></center><br>";
					} else {
						print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><font face=arial size=2><img src='lib/s_error.png'><br><br>Could not insert employee's cash advance 
							because: <b>".mysql_error()."</b>.</font></td></tr></table></td></tr></table></center><br>"; 
					}
				}
				mysql_free_result($res);
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>The following problems 
						occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<p></p><b>Be sure to re-enter everything!</b></font></td></tr>
						</table></td></tr></table></center><br>\n";
				}
				show_form();
			}
		} else {
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	?>
	<form name="AddCA" action="add_ca.php" method="POST">
		<div class="post">
			<h1 class="title">Enter Employee's Cash Advance</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd"><td colspan="2" align="center"><font color="red" size="2" face="arial">Asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td align="right">Date&nbsp;</td>
							<td align="left"><input readonly type="text" size="10" name="loan_date"><a class="td_img" href="javascript:loan_date.popup();"><img src="lib/b_calendar.png"></a>&nbsp;&nbsp;<font color="red">*</font></td></tr>
							<script language="JavaScript">
							<!-- // create calendar object(s) just after form tag closed
								var loan_date = new calendar(document.forms['AddCA'].elements['loan_date']);
								loan_date.year_scroll = true; loan_date.time_comp = false;
							//-->
							</script>
						<tr class="odd"><td align="right" width="100">Employee&nbsp;</td>
							<td align="left" width="300"><select name="user_id"><option value="0">Employee</option><?PHP
								$sql = "SELECT user_id, CONCAT(lname,', ',fname) FROM users WHERE position != 1 AND active = 1 ORDER BY lname, fname";
								$res = mysql_query($sql); 
								while ($row = mysql_fetch_array($res)) {
									print "<option value=$row[0]>$row[1]</option>";
								} 
								?> </select>&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Amount&nbsp;</td>
							<td align="left"><input type="text" name="amount" size="50">&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Notes&nbsp;</td>
							<td align="left"><input type="text" name="notes" size="50"></td></tr>
						<tr class="even">
							<td colspan="2" align="center">
								<input type="hidden" name="submitted" value=1>
								<input type="reset" class="button blue" value="Reset">&nbsp;&nbsp;&nbsp;
								<input onClick="valAddCA()" type="button" class="button blue" value="Submit"></td>
						</tr>
					</tbody>
				</table>
			</div>
			<p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>