<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Capital Expenditure');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $amount = mysql_real_escape_string(stripslashes($_POST['amount']));
	            $description = mysql_real_escape_string(stripslashes($_POST['description']));
	            $admin_id = mysql_real_escape_string(stripslashes($_POST['admin_id']));
	            $bank_id = mysql_real_escape_string(stripslashes($_POST['bank_id']));
	        } else {
	            $amount = mysql_real_escape_string($_POST['amount']);
	            $description = mysql_real_escape_string($_POST['description']);
	            $admin_id = mysql_real_escape_string($_POST['admin_id']);
	            $bank_id = mysql_real_escape_string($_POST['bank_id']);
	        }
			
			// Check to make sure they have entered the reference number
			if ($amount != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please enter the drawing amount."; }
			// Check to make sure they have entered the type of expense
			if ($description != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please enter the drawing description."; }
			// Check to make sure they have entered the description of expense
			if ($admin_id != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please select from the list of administrators."; }

			// If the data pass all tests, add the patient to the database.
			if ( $a && $b && $c ) {
				$sql = "SELECT draw_id FROM capitals
						WHERE draw_date = CURDATE() AND amount = '$amount' AND description = '$description'";
				$chck_res = mysql_query($sql);
				$chck_num = mysql_num_rows($chck_res);
				if ($chck_loan_num > 0) {
					print "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
						<font color=red face=arial size=2><b>Capital expenditure already exists in the database!</b><br><br>
						The same entry for the date, type and amount of capital expenditure has been found.</font></td></tr></table>
						</td></tr></table></center>";
					show_form();
				} else {
					// get the value of the BANK
					$sql = "SELECT balance FROM banks WHERE bank_id = '$bank_id'";
					$bank_res = mysql_query($sql); $bank_row = mysql_fetch_array($bank_res); 
					$new_bank = $bank_row[0] - $amount;
					
					if ($bank_row[0] >= $amount) {
						$sql = "INSERT INTO capitals ( draw_date, amount, description, admin_id, bank_id, user_id )
								VALUES ( CURDATE(), '$amount', '$description', '$admin_id', '$bank_id', '$_SESSION[user_id]' )";
						if (mysql_query($sql)) {
							mysql_query("UPDATE banks SET balance = '$new_bank' WHERE bank_id = '$bank_id' LIMIT 1") or die(mysql_error());
							print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><b>Capital expenditure has been added into the database</b>.<br>Click 
								<a class=paging href='capitals.php'>here</a> to view all capital expenditures.</font></td></tr></table></td></tr>
								</table></center><br>";
							show_form();
						} else {
							print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2 color=red>Could not add capital expenditure because: <b>".mysql_error()."</b>
								. The query was $sql.</font></td></tr></table></td></tr></table></center><br>";
							show_form();
						}
					} else {
						print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							height=30 align=center><font face=arial size=2 color=red>Could not add capital expenditure because: 
							<b>there is not enough amount in the \"SELECTED BANK\"</b></font></td></tr></table></td>
							</tr></table></center><br>";
						show_form();
					}
				}
				mysql_free_result($chck_res);
				mysql_close();
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#ffffff><tr><td><font color=red 
						face=arial size=2><b>The following problems occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "</font></td></tr></table></td></tr></table></center>\n";
				}
				show_form();
			}
		} else {
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	?>
	<form name="AddCapital" action="add_capital.php" method="POST">
		<div class="post">
			<h1 class="title">Add Capital Expenditure</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td width="100" align="right">&nbsp;&nbsp;Amount&nbsp;</td>
							<td width="300" align="left"><input type="text" name="amount" size="50">&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Description&nbsp;</td>
							<td align="left"><input type="text" name="description" size="50">&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Issued To&nbsp;</td>
							<td align="left"><select name="admin_id"><option value="0">Select</option>
								<?PHP
								$sql = "SELECT user_id, CONCAT(lname,', ',fname) FROM users WHERE position = 1 AND super_user = 0 ORDER BY lname, fname";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									?>
									<option value="<?PHP print $row[0] ?>"><?PHP print $row[1] ?></option>
									<?PHP
								}
								?></select>&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Source&nbsp;</td>
							<td align="left"><select name="bank_id"><option value="0">Source</option><?PHP
								$sql = "SELECT bank_id, bank_name FROM banks WHERE active = 1";
								$bres = mysql_query($sql);
								while ($brow = mysql_fetch_array($bres)) {
									?><option value="<?PHP echo $brow[0] ?>"><?PHP echo $brow[1] ?></option><?PHP
								}
								?></select></td></tr>
						<tr class="even"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valAddCapital()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>