<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Purchase');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $purchase_id = mysql_real_escape_string(stripslashes($_POST['purchase_id']));
	            $supplier_id = mysql_real_escape_string(stripslashes($_POST['supplier_id']));
	            $account_id = mysql_real_escape_string(stripslashes($_POST['account_id']));
	            $whouse_id = mysql_real_escape_string(stripslashes($_POST['whouse_id']));
	            $or_num = mysql_real_escape_string(stripslashes($_POST['or_num']));
	            $received_by = mysql_real_escape_string(stripslashes($_POST['received_by']));
	            $notes = mysql_real_escape_string(stripslashes($_POST['notes']));
	            $date_recieved = mysql_real_escape_string(stripslashes($_POST['date_recieved']));
	            $terms = mysql_real_escape_string(stripslashes($_POST['terms']));
	        } else {
	            $purchase_id = mysql_real_escape_string($_POST['purchase_id']);
	            $supplier_id = mysql_real_escape_string($_POST['supplier_id']);
	            $account_id = mysql_real_escape_string($_POST['account_id']);
	            $whouse_id = mysql_real_escape_string($_POST['whouse_id']);
	            $or_num = mysql_real_escape_string($_POST['or_num']);
	            $received_by = mysql_real_escape_string($_POST['received_by']);
	            $notes = mysql_real_escape_string($_POST['notes']);
	            $date_recieved = mysql_real_escape_string($_POST['date_recieved']);
	            $terms = mysql_real_escape_string($_POST['terms']);
			}
			
			// Check if the products submitted are the first entries of a purchase
			if ($purchase_id == "") {
				// Check to make sure they have selected from the list of suppliers.
				if ($supplier_id != "") { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please select from the list of customers."; }
				// Check to make sure they have entered the Official Receipt Number
				if ($or_num != "") { $b = TRUE; } 
				else { $b = FALSE; $message[] = "Please enter the Official Receipt Number."; }
				// Check to make sure they have entered the person who received the product purchase.
				if ($received_by != "") { $c = TRUE; } 
				else { $c = FALSE; $message[] = "Please enter the person who received the product purchase."; }
				// Check to make sure they have entered the warehouses.
				if ($whouse_id != "") { $d = TRUE; } 
				else { $d = FALSE; $message[] = "Please select from the list of warehouses."; }
				// Check to make sure they have entered the accounts.
				if ($account_id != "") { $e = TRUE; } 
				else { $e = FALSE; $message[] = "Please select from the list of accounts."; }
				// Check to make sure they have entered the accounts.
				if ($date_recieved != "") { $e = TRUE; } 
				else { $e = FALSE; $message[] = "Please enter a valid date."; }
				// Check to make sure they have entered the accounts.
				if ($terms != "0") { $e = TRUE; } 
				else { $e = FALSE; $message[] = "Please select from the list of terms."; }

				
				// If the data pass all tests, add the patient to the database.
				if ( $a && $b && $c && $d && $e ) {
					// check if the purchase already exists 
					$sql = "SELECT purchase_id FROM purchases
							WHERE or_num = '$or_num' AND supplier_id = '$supplier_id' AND account_id = '$account_id' AND whouse_id = '$whouse_id' AND delivery_date = CURDATE()";
					$pres = mysql_query($sql);
					$pnum = mysql_num_rows($pres); 
					$prow = mysql_fetch_array($pres);
					if ($pnum > 0) {
						print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><font face=arial size=2 color=red><img src='lib/s_error.png'><br><br>Product purchase 
							already exists in the database.<br>Click <a class=paging href='purchase.php?purchase_id=$prow[0]'>here</a>
							to view the product purchase.</font></td></tr></table></td></tr></table></center><br>";
					} else {
						$sql = "INSERT INTO purchases( account_id, whouse_id, or_num, supplier_id, user_id, terms, delivery_date, actual_delivery_date, received_by, notes, pmode )
								VALUES( '$account_id', '$whouse_id', '$or_num', '$supplier_id', '$_SESSION[user_id]', '$terms', CURDATE(), '$date_recieved', '$received_by', '$notes', 2 )";
						if (mysql_query($sql)) {
							$purchase_id = mysql_insert_id();
						} else {
							echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could not add 
								purchase into the database</b></font></td></tr></table></td></tr></table></center><br>";
						}
						
						if ($_POST[product_id1] != "" && $_POST[quantity1] != "") {
							Add2Purchase($purchase_id, $_POST[product_id1], $_POST[quantity1], $_POST[unit_price1], $_POST[unit_discount1], $_POST[net_price1]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id1]);
						
						if ($_POST[product_id2] != "" && $_POST[quantity2] != "") {
							Add2Purchase($purchase_id, $_POST[product_id2], $_POST[quantity2], $_POST[unit_price2], $_POST[unit_discount2], $_POST[net_price2]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id2]);
						
						if ($_POST[product_id3] != "" && $_POST[quantity3] != "") {
							Add2Purchase($purchase_id, $_POST[product_id3], $_POST[quantity3], $_POST[unit_price3], $_POST[unit_discount3], $_POST[net_price3]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id3]);
						
						if ($_POST[product_id4] != "" && $_POST[quantity4] != "") {
							Add2Purchase($purchase_id, $_POST[product_id4], $_POST[quantity4], $_POST[unit_price4], $_POST[unit_discount4], $_POST[net_price4]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id4]);
						
						if ($_POST[product_id5] != "" && $_POST[quantity5] != "") {
							Add2Purchase($purchase_id, $_POST[product_id5], $_POST[quantity5], $_POST[unit_price5], $_POST[unit_discount5], $_POST[net_price5]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id5]);
						
						if ($_POST[product_id6] != "" && $_POST[quantity6] != "") {
							Add2Purchase($purchase_id, $_POST[product_id6], $_POST[quantity6], $_POST[unit_price6], $_POST[unit_discount6], $_POST[net_price6]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id6]);
						
						if ($_POST[product_id7] != "" && $_POST[quantity7] != "") {
							Add2Purchase($purchase_id, $_POST[product_id7], $_POST[quantity7], $_POST[unit_price7], $_POST[unit_discount7], $_POST[net_price7]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id7]);
						
						if ($_POST[product_id8] != "" && $_POST[quantity8] != "") {
							Add2Purchase($purchase_id, $_POST[product_id8], $_POST[quantity8], $_POST[unit_price8], $_POST[unit_discount8], $_POST[net_price8]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id8]);
						
						if ($_POST[product_id9] != "" && $_POST[quantity9] != "") {
							Add2Purchase($purchase_id, $_POST[product_id9], $_POST[quantity9], $_POST[unit_price9], $_POST[unit_discount9], $_POST[net_price9]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id9]);
						
						if ($_POST[product_id10] != "" && $_POST[quantity10] != "") {
							Add2Purchase($purchase_id, $_POST[product_id10], $_POST[quantity10], $_POST[unit_price10], $_POST[unit_discount10], $_POST[net_price10]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id10]);
						
						if ($_POST[product_id11] != "" && $_POST[quantity11] != "") {
							Add2Purchase($purchase_id, $_POST[product_id11], $_POST[quantity11], $_POST[unit_price11], $_POST[unit_discount11], $_POST[net_price11]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id11]);
						
						if ($_POST[product_id12] != "" && $_POST[quantity12] != "") {
							Add2Purchase($purchase_id, $_POST[product_id12], $_POST[quantity12], $_POST[unit_price12], $_POST[unit_discount12], $_POST[net_price12]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id12]);
						
						if ($_POST[product_id13] != "" && $_POST[quantity13] != "") {
							Add2Purchase($purchase_id, $_POST[product_id13], $_POST[quantity13], $_POST[unit_price13], $_POST[unit_discount13], $_POST[net_price13]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id13]);
						
						if ($_POST[product_id14] != "" && $_POST[quantity14] != "") {
							Add2Purchase($purchase_id, $_POST[product_id14], $_POST[quantity14], $_POST[unit_price14], $_POST[unit_discount14], $_POST[net_price14]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id14]);
						
						if ($_POST[product_id15] != "" && $_POST[quantity15] != "") {
							Add2Purchase($purchase_id, $_POST[product_id15], $_POST[quantity15], $_POST[unit_price15], $_POST[unit_discount15], $_POST[net_price15]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id15]);
						
						if ($_POST[product_id16] != "" && $_POST[quantity16] != "") {
							Add2Purchase($purchase_id, $_POST[product_id16], $_POST[quantity16], $_POST[unit_price16], $_POST[unit_discount16], $_POST[net_price16]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id16]);
						
						if ($_POST[product_id17] != "" && $_POST[quantity17] != "") {
							Add2Purchase($purchase_id, $_POST[product_id17], $_POST[quantity17], $_POST[unit_price17], $_POST[unit_discount17], $_POST[net_price17]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id17]);
						
						if ($_POST[product_id18] != "" && $_POST[quantity18] != "") {
							Add2Purchase($purchase_id, $_POST[product_id18], $_POST[quantity18], $_POST[unit_price18], $_POST[unit_discount18], $_POST[net_price18]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id18]);
						
						if ($_POST[product_id19] != "" && $_POST[quantity19] != "") {
							Add2Purchase($purchase_id, $_POST[product_id19], $_POST[quantity19], $_POST[unit_price19], $_POST[unit_discount19], $_POST[net_price19]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id19]);
						
						if ($_POST[product_id20] != "" && $_POST[quantity20] != "") {
							Add2Purchase($purchase_id, $_POST[product_id20], $_POST[quantity20], $_POST[unit_price20], $_POST[unit_discount20], $_POST[net_price20]);
						}
						//tally_product_DIFF_FIFO($_POST[product_id20]);
						
						$sql = "SELECT SUM(quantity * (unit_price - unit_discount)) FROM purchase_details
								WHERE purchase_id = '$purchase_id'";
						$lt_res = mysql_query($sql); $lt_row = mysql_fetch_array($lt_res); 
						$line_total = $lt_row[0]; 
						
						$sql = "SELECT pd_id FROM purchase_details WHERE purchase_id = '$purchase_id'";
						$res = mysql_query($sql);
						$num = mysql_num_rows($res);
						
						if ($num > 0) {
							$sql = "UPDATE purchases SET line_total = '$line_total', balance = '$line_total' WHERE purchase_id = '$purchase_id' LIMIT 1";
							// if successful to insert the purchase
							if (mysql_query($sql)) {
								//samuel magana
								qry('update purchase_details set net_price=((unit_price-unit_discount)*quantity) where purchase_id="'.$purchase_id.'"');
								$line_total=fld('sum(net_price)', 'purchase_details', 'purchase_id="'.$purchase_id.'"');
								$balance=$line_total-fld('sum(amount)', 'spayments', 'purchase_id="'.$purchase_id.'" and good=1');
								qry('update purchases set line_total="'.$line_total.'", balance="'.$balance.'" where purchase_id="'.$purchase_id.'"');
								//samuel magana
								echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>
									Click <a class=paging href='add_purchase.php'>here</a> to add ANOTHER PURCHASE.
									</font></td></tr></table></td></tr></table></center><br>";
								show_purchase($purchase_id);
							} else {
								echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could 
									not insert purchase into the database because: <b> ".mysql_error()." </b>.</font></td>
									</tr></table></td></tr></table></center><br>";
							}
						} else {
							echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could not add 
								purchase into the database</b>.<br>No product has been added into the purchase.</font></td></tr>
								</table></td></tr></table></center><br>";
						}
					}
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td><font color=red 
							face=arial size=2><b>The following problems occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
						echo "</font></td></tr></table></td></tr></table></center>\n";
					}
				show_form($purchase_id);
				}
			// If the submitted products are just additional to a previous purchase
			} else {
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// Since Purchase Details were already given, we just have to fetch the additional products for the same requisition
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				$res = mysql_query("SELECT pd_id FROM purchase_details WHERE purchase_id = '$purchase_id'");
				$num = mysql_num_rows($res);

				if ($_POST[product_id1] != "" && $_POST[quantity1] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id1], $_POST[quantity1], $_POST[unit_price1], $_POST[unit_discount1], $_POST[net_price1]);
				} // end of product # 1
				//tally_product_DIFF_FIFO($_POST[product_id1]);

				if ($_POST[product_id2] != "" && $_POST[quantity2] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id2], $_POST[quantity2], $_POST[unit_price2], $_POST[unit_discount2], $_POST[net_price2]);
				} // end of product # 2
				//tally_product_DIFF_FIFO($_POST[product_id2]);
				
				if ($_POST[product_id3] != "" && $_POST[quantity3] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id3], $_POST[quantity3], $_POST[unit_price3], $_POST[unit_discount3], $_POST[net_price3]);
				} // end of product # 3
				//tally_product_DIFF_FIFO($_POST[product_id3]);
				
				if ($_POST[product_id4] != "" && $_POST[quantity4] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id4], $_POST[quantity4], $_POST[unit_price4], $_POST[unit_discount4], $_POST[net_price4]);
				} // end of product # 4
				//tally_product_DIFF_FIFO($_POST[product_id4]);
				
				if ($_POST[product_id5] != "" && $_POST[quantity5] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id5], $_POST[quantity5], $_POST[unit_price5], $_POST[unit_discount5], $_POST[net_price5]);
				} // end of product # 5
				//tally_product_DIFF_FIFO($_POST[product_id5]);
				
				if ($_POST[product_id6] != "" && $_POST[quantity6] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id6], $_POST[quantity6], $_POST[unit_price6], $_POST[unit_discount6], $_POST[net_price6]);
				} // end of product # 6
				//tally_product_DIFF_FIFO($_POST[product_id6]);
				
				if ($_POST[product_id7] != "" && $_POST[quantity7] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id7], $_POST[quantity7], $_POST[unit_price7], $_POST[unit_discount7], $_POST[net_price7]);
				} // end of product # 7
				//tally_product_DIFF_FIFO($_POST[product_id7]);
				
				if ($_POST[product_id8] != "" && $_POST[quantity8] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id8], $_POST[quantity8], $_POST[unit_price8], $_POST[unit_discount8], $_POST[net_price8]);
				} // end of product # 8
				//tally_product_DIFF_FIFO($_POST[product_id8]);
				
				if ($_POST[product_id9] != "" && $_POST[quantity9] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id9], $_POST[quantity9], $_POST[unit_price9], $_POST[unit_discount9], $_POST[net_price9]);
				} // end of product # 9
				//tally_product_DIFF_FIFO($_POST[product_id9]);
				
				if ($_POST[product_id10] != "" && $_POST[quantity10] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id10], $_POST[quantity10], $_POST[unit_price10], $_POST[unit_discount10], $_POST[net_price10]);
				} // end of product # 10
				//tally_product_DIFF_FIFO($_POST[product_id10]);
				
				if ($_POST[product_id11] != "" && $_POST[quantity11] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id11], $_POST[quantity11], $_POST[unit_price11], $_POST[unit_discount11], $_POST[net_price11]);
				} // end of product # 11
				//tally_product_DIFF_FIFO($_POST[product_id11]);
				
				if ($_POST[product_id12] != "" && $_POST[quantity12] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id12], $_POST[quantity12], $_POST[unit_price12], $_POST[unit_discount12], $_POST[net_price12]);
				} // end of product # 12
				//tally_product_DIFF_FIFO($_POST[product_id12]);
				
				if ($_POST[product_id13] != "" && $_POST[quantity13] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id13], $_POST[quantity13], $_POST[unit_price13], $_POST[unit_discount13], $_POST[net_price13]);
				} // end of product # 13
				//tally_product_DIFF_FIFO($_POST[product_id13]);
				
				if ($_POST[product_id14] != "" && $_POST[quantity14] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id14], $_POST[quantity14], $_POST[unit_price14], $_POST[unit_discount14], $_POST[net_price14]);
				} // end of product # 14
				//tally_product_DIFF_FIFO($_POST[product_id14]);
				
				if ($_POST[product_id15] != "" && $_POST[quantity15] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id15], $_POST[quantity15], $_POST[unit_price15], $_POST[unit_discount15], $_POST[net_price15]);
				} // end of product # 15
				//tally_product_DIFF_FIFO($_POST[product_id15]);
				
				if ($_POST[product_id16] != "" && $_POST[quantity16] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id16], $_POST[quantity16], $_POST[unit_price16], $_POST[unit_discount16], $_POST[net_price16]);
				} // end of product # 16
				//tally_product_DIFF_FIFO($_POST[product_id16]);
				
				if ($_POST[product_id17] != "" && $_POST[quantity17] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id17], $_POST[quantity17], $_POST[unit_price17], $_POST[unit_discount17], $_POST[net_price17]);
				} // end of product # 17
				//tally_product_DIFF_FIFO($_POST[product_id17]);
				
				if ($_POST[product_id18] != "" && $_POST[quantity18] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id18], $_POST[quantity18], $_POST[unit_price18], $_POST[unit_discount18], $_POST[net_price18]);
				} // end of product # 18
				//tally_product_DIFF_FIFO($_POST[product_id18]);
				
				if ($_POST[product_id19] != "" && $_POST[quantity19] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id19], $_POST[quantity19], $_POST[unit_price19], $_POST[unit_discount19], $_POST[net_price19]);
				} // end of product # 19
				//tally_product_DIFF_FIFO($_POST[product_id19]);
				
				if ($_POST[product_id20] != "" && $_POST[quantity20] != "") {
					Check_Product($_POST[purchase_id], $_POST[product_id20], $_POST[quantity20], $_POST[unit_price20], $_POST[unit_discount20], $_POST[net_price20]);
				} // end of product # 20
				//tally_product_DIFF_FIFO($_POST[product_id20]);
			
				// get the line total of the purchase after adding the new product into the purchase
				$lt_res = mysql_query("SELECT SUM(net_price) FROM purchase_details WHERE purchase_id = '$purchase_id'");
				$lt_row = mysql_fetch_array($lt_res); $new_line_total = $lt_row[0];
				
				$res2 = mysql_query("SELECT pd_id FROM purchase_details WHERE purchase_id='$purchase_id'");
				$num2 = mysql_num_rows($res2);

				if ($num2 > $num) {
					// if successful update of purchase
					if (mysql_query("UPDATE purchases SET line_total='$new_line_total', balance='$new_line_total' WHERE purchase_id = '$purchase_id' LIMIT 1")) {
						//samuel magana
						qry('update purchase_details set net_price=((unit_price-unit_discount)*quantity) where purchase_id="'.$purchase_id.'"');
						$line_total=fld('sum(net_price)', 'purchase_details', 'purchase_id="'.$purchase_id.'"');
						$balance=$line_total-fld('sum(amount)', 'spayments', 'purchase_id="'.$purchase_id.'" and good=1');
						qry('update purchases set line_total="'.$line_total.'", balance="'.$balance.'" where purchase_id="'.$purchase_id.'"');
						//samuel magana
						$sale_id = sql_fld('sale_id', 'sales', 'purchase_id=\''.$purchase_id.'\'');
						$customer_id = sql_fld('customer_id', 'sales', 'purchase_id=\''.$purchase_id.'\'');
						$ctype = sql_fld('ctype', 'customers', 'customer_id=\''.$customer_id.'\'');
						if (!!$sale_id){
							$bpurchase_id = sql_fld('purchase_id', 'branch_purchases', 'sale_id=\''.$sale_id.'\'');
						}
						echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br><b>Purchase has been updated</b>.
							<br><br>Click <a class=paging href='add_purchase.php?'>here</a> 
							to add ANOTHER PURCHASE.</font></td></tr></table></td></tr></table></center><br>";
						show_purchase($purchase_id);
					} else {
						echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
							<font face=arial size=2><img src='lib/s_error.png'><br><br>Could not update purchase because: 
							<b> ".mysql_error()." </b>.</font></td></tr></table></td></tr></table></center><br>";
					}
				} else {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td  
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>No update has been made to 
						the purchase</b>. Click <a class=paging href='purchase.php?purchase_id=$purchase_id'>here</a> to view 
						the requisition details.<br><br>Or click <a class=paging 
						href='add_purchase.php?purchase_id=$purchase_id'>here</a> to add <b>MORE</b> products <b>IN THIS 
						PARTICULAR PURCHASE</b>.</font></td></tr></table></td></tr></table></center><br>";
				}
			}
			mysql_close();
		} else {
			// Check for valid entry purchase_id in the URL
			if (is_numeric($_GET['purchase_id'])) {
				$purchase_id = $_GET['purchase_id'];
			}
			show_form($purchase_id);
		}
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($purchase_id) {
	?>
	<form name="AddPurchase" action="add_purchase.php" method="POST">
		<div class="post">
			<h1 class="title">Add Purchase</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="4"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<?PHP
						if ($purchase_id == "") {
							?>
							<tr class="odd"><td width="90" align="right">Warehouse&nbsp;</td>
								<td width="250" align="left"><select name="whouse_id" style="width: 230;"><option value="0">Select</option><?PHP
									$sql = "SELECT whouse_id, whouse_name FROM warehouses WHERE active = 1 ORDER BY whouse_id";
									$wres = mysql_query($sql); 
									while ($wrow = mysql_fetch_array($wres)) {
										?><option value="<?PHP echo $wrow[0] ?>"><?PHP echo $wrow[1] ?></option><?PHP
									}
									?></select>&nbsp;<font color="red">*</font></td>
								<td align="right" width="90">Supplier&nbsp;</td>
								<td align="left" width="250"><select name="supplier_id" style="width: 230;"><option value="0">Supplier</option>
									<?PHP
									$sres = mysql_query("select supplier_id, company_name from suppliers order by company_name");
									while ($srow = mysql_fetch_array($sres)) { 
										print "<option value=$srow[0]>$srow[1]</option>"; 
									} ?></select>&nbsp;<font color="red">*</font></td></tr>
							<tr class="even"><td align="right">Account&nbsp;</td>
								<td align="left"><select name="account_id" style="width: 230;"><option value="0">Account</option><?PHP
									$sql = "SELECT account_id, account_name FROM accounts WHERE active = 1";
									$ares = mysql_query($sql); 
									while ($arow = mysql_fetch_array($ares)) {
										?><option value="<?PHP echo $arow[0] ?>"><?PHP echo $arow[1] ?></option><?PHP
									}
									?></select>&nbsp;<font color="red">*</font></td>
								<td align="right">O.R. #&nbsp;</td>
								<td align="left"><input type="text" size="34" name="or_num">&nbsp;<font color="red">*</font></td></tr>
							<tr class="odd"><td align="right">Received By&nbsp;</td>
								<td align="left"><select name="received_by" style="width: 230;"><option value="0">Receiver</option>
									<?PHP
									$sql = "SELECT user_id, CONCAT(lname,', ',fname) FROM users WHERE super_user = 0 AND active = 1 ORDER BY lname";
									$rres = mysql_query($sql);
									while ($rrow = mysql_fetch_array($rres)) { 
										print "<option value=$rrow[0]>$rrow[1]</option>"; 
									} ?></select>&nbsp;<font color="red">*</font></td>
								<td align="right">Notes&nbsp;</td>
								<td align="left"><input type="text" size="34" name="notes"></td></tr>
							<tr class="even"><td align="right">Date Received&nbsp;</td>
								<td align="left"><input type="date" name="date_recieved">&nbsp;<font color="red">*</font></td>
								<td align="right">Terms&nbsp;</td>
								<td align="left">
									<select name="terms">
										<option value="0"> -- </option>
										<option value="15">15 Days</option>
										<option value="30">30 Days</option>
										<option value="60">60 Days</option>
									</select>&nbsp;<font color="red">*</font></td></tr>
							<?PHP
						} else {
							/*if(rec('purchases', 'purchase_id="'.$purchase_id.'" and datediff(curdate(), delivery_date)>4')){
								err('Could not Add Purchased Product.<br>Please make sure this Purchase is less than or equal to 5 days old.');
								exit();
							}*/
							$sql = "SELECT p.or_num, p.supplier_id, s.company_name, CONCAT(u.fname,' ',u.lname), 
										DATE_FORMAT(p.delivery_date, '%b %e, %Y'), p.received_by, p.notes, p.line_total, 
										p.balance, p.pmode, p.direct_delivery, p.user2_id, w.whouse_name, a.account_name
									FROM purchases p 
										INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
										INNER JOIN users u ON p.user_id = u.user_id
										INNER JOIN warehouses w ON p.whouse_id = w.whouse_id
										INNER JOIN accounts a ON p.account_id = a.account_id
									WHERE p.purchase_id = '$purchase_id'";
							$res = mysql_query($sql);
							$row = mysql_fetch_array($res);
							?>
							<tr class="odd"><td align="right" width="100">O.R. #&nbsp;</td>
								<td align="left" width="240">&nbsp;<?PHP echo $row[0] ?></td>
								<td align="right" width="110">Date&nbsp;</td>
								<td align="left" width="250">&nbsp;<?PHP echo $row[4] ?></td></tr>
							<tr class="even"><td align="right">Supplier&nbsp;</td>
								<td align="left">&nbsp;<a class="tddata" href="supplier.php?supplier_id=<?PHP echo $row[1] ?>"><b><?PHP echo $row[2] ?></b></a></td>
								<td align="right">User&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo $row[3] ?></td></tr>
							<tr class="odd"><td align="right">Line Total&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo number_format($row[7], 2); ?></td>
								<td align="right">Payment Balance&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo number_format($row[8], 2); ?></td></tr>
							<tr class="even"><td align="right">Recieved By&nbsp;</td>
								<td align="left">&nbsp;<?PHP
									$rres = mysql_query("select concat(fname,' ',lname) from users where user_id='$row[5]'");
									$rrow = mysql_fetch_array($rres); $receiver = $rrow[0];
									mysql_free_result($rres); echo $receiver ?></td>
								<td align="right">Payment Mode&nbsp;</td>
								<td align="left">&nbsp;<?PHP
									if ($row[9] == 1) { echo "Cash"; } 
									elseif ($row[9] == 2) { 
										echo "Check"; 
										// row[8] == balance
										if ($row[8] > 0 && $position == 1) {
											echo "&nbsp;&nbsp;--->>&nbsp;&nbsp;";
											echo "<a class=tddata href='add_spayment_2.php?purchase_id=$purchase_id'><b>PAY</b></a>";
										}
									} ?></td></tr>
							<tr class="odd"><td align="right">Direct Delivery&nbsp;</td>
								<td align="left">&nbsp;<?PHP if ($row[10] == 1) echo "Yes"; else echo "No"; ?></td>
								<td align="right">Confirmed By&nbsp;</td>
								<td align="left">&nbsp;<?PHP 
									if ($row[11] != 0) {
										$sql = "SELECT CONCAT(lname,', ',fname) FROM users WHERE user_id = '$row[11]'";
										$ures = mysql_query($sql); $urow = mysql_fetch_array($ures); echo $urow[0];
									}
									?></td></tr>
							<tr class="even"><td align="right">Warehouse&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo $row[12] ?></td>
								<td align="right">Account&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo $row[13] ?></td></tr>
							<tr class="odd"><td align="right">Notes&nbsp;</td>
								<td colspan="3" align="left">&nbsp;<?PHP echo $row[6] ?></td></tr>
							<?PHP
						}
						?>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
		<div class="post">
			<h1 class="title">Product Details</h1>
			<div class="entry">
				<table align="center">
					<thead class="data"><tr>
						<td align="center" width="20"></td>
						<td align="center" width="50">Code</td>
						<td align="center" width="130">Name - Acq - Selling</td>
						<td align="center" width="50">ID</td>
						<td align="center" width="60">Qty</td>
						<td align="center" width="80">Price</td>
						<td align="center" width="80">Discount</td>
						<td align="center" width="80">Net Price</td>
					</tr></thead>
					<tbody class="data">
						<?PHP
						for ($i=1; $i<21; $i++) {
							$m = fmod($i, 2); 
							if ($m == 0) {
								?><tr class="even"><?PHP
							} else {
								?><tr class="odd"><?PHP
							}
							?>
								<td align="center"><?PHP echo $i ?></td>
								<td align="center"><input type="text" size="5" name="product_num<?PHP echo $i ?>" id="product_num<?PHP echo $i ?>" onblur="PurchaseRequest('product_name<?PHP echo $i ?>', 'get_product_name.php', 'product_id<?PHP echo $i ?>', 'get_product_id.php', 'product_num<?PHP echo $i ?>')"></td>
								<td align="center">
									<input type="text" size="50" name="product_name<?PHP echo $i ?>" id="product_name<?PHP echo $i ?>" onkeyup="lookup<?PHP echo $i ?>(this.value);" onblur="fill<?PHP echo $i ?>();">
									<div class="suggestionsBox" id="suggestions<?PHP echo $i ?>" style="display: none;">
										<div class="suggestionList" id="autoSuggestionsList<?PHP echo $i ?>"></div>
									</div>
								</td>
								<td align="center"><input type="text" size="4" name="product_id<?PHP echo $i ?>" id="product_id<?PHP echo $i ?>" readonly></td>
								<td align="center"><input type="text" size="7" name="quantity<?PHP echo $i ?>" onblur="getPurchase_TPrice()" style="text-align:right;"></td>
								<td align="center"><input type="text" size="10" name="unit_price<?PHP echo $i ?>" onblur="getPurchase_TPrice()" style="text-align:right;"></td>
								<td align="center"><input type="text" size="10" name="unit_discount<?PHP echo $i ?>" onblur="getPurchase_TPrice()" style="text-align:right;"></td>
								<td align="center"><input type="text" size="10" name="net_price<?PHP echo $i ?>" readonly style="text-align:right;" readonly></td>
							</tr>
							<?PHP
						}
						?>
						<tr class="odd">
							<td></td><td></td><td></td><td></td>
							<td align="center"><input readonly type="text" size="7" name="tqty" style="text-align:right;"></td>
							<td></td>
							<td align="right"><b>Line Total</b></td>
							<td align="center"><input readonly type="text" size="10" name="tnet_price" style="text-align:right;"></td>
						</tr>
						<tr class="even"><td align="center" colspan="8">
								<input type="hidden" name="submitted" value="1">
								<input type="hidden" name="purchase_id" value="<?PHP echo $purchase_id ?>">
								<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
								<input onClick="valAddPurchase()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}

function Check_Product($purchase_id, $product_id, $quantity, $unit_price, $unit_discount, $net_price) {
	$sql = "SELECT pd.product_id, p.product_name
			FROM purchase_details pd, products p
			WHERE pd.purchase_id = '$purchase_id' 
				AND pd.product_id = '$product_id' 
				AND p.product_id = pd.product_id";
	$check_pres = mysql_query($sql);
	$check_pnum = mysql_num_rows($check_pres);
	$check_prow = mysql_fetch_array($check_pres);
	if ($check_pnum < 1) {
		Add2Purchase($purchase_id, $product_id, $quantity, $unit_price, $unit_discount, $net_price);
	} else {
		print "<center><font face=arial size=2 color=red>Double entry for $check_prow[1]<br>";
	}
	mysql_free_result($check_pres);
}

function Add2Purchase($purchase_id, $product_id, $quantity, $unit_price, $unit_discount, $net_price) {
	// at first, assume that the DIFF(SUM(IN) - SUM(OUT)) is equal with SUM(FIFO) inventory
	// insert data into the purchase details
	$insert_pd = "INSERT INTO purchase_details(
				purchase_id, product_id, quantity, unit_price, unit_discount, net_price
			)
			VALUES(
				'$purchase_id', '$product_id', '$quantity', '$unit_price', '$unit_discount', '$net_price'
			)";
	if (mysql_query($insert_pd)) {
	} else {
		print "<center><font face=arial size=2 color=red>ERROR!!! Failed to add product into purchase.</font></center>";
	}
	//check if there is sale_id
	$sale_id = sql_fld('sale_id', 'sales', 'purchase_id=\''.$purchase_id.'\'');
	$acq_price = $unit_price - $unit_discount;
	if(!!$sale_id){
		$sale_prod_dtls = array(
			'sale_id'		=> $sale_id,
			'pd_id'			=> mysql_insert_id(),
			'product_id'	=> $product_id,
			'acq_price'		=> $acq_price,
			'quantity'		=> $quantity,
			'unit_price'	=> $unit_price,
			'unit_discount'	=> 0,
			'net_price'		=> $net_price
		);
		sql_ins('sale_details', $sale_prod_dtls);
		$customer_id = sql_fld('customer_id', 'sales', 'sale_id=\''.$sale_id.'\'');
		$ctype = sql_fld('ctype', 'customers', 'customer_id=\''.$customer_id.'\'');
		if ($ctype==1){
			$purchase_id = sql_fld('purchase_id', 'branch_purchases', 'sale_id=\''.$sale_id.'\'');
			$bnet_price = $quantity * $unit_price;
			$bpurchase_dtls = array(
				'purchase_id'	=> $purchase_id,
				'product_id'	=> $product_id,
				'quantity'		=> $quantity,
				'unit_price'	=> $unit_price,
				'unit_discount'	=> 0,
				'net_price'		=> $bnet_price
			);
			sql_ins('bpurchase_details', $bpurchase_dtls);
		}
	}
	//check if the customer is a branch
}
?>