<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - System Alerts');
define('NAV', 1); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		show_alerts(); 
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_alerts() {
	// get the dates of the following 7 days
	$sql = "SELECT DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 1 DAY), '%a - %b %e, %Y')";
	$day1_res = mysql_query($sql); $day1_row = mysql_fetch_array($day1_res); $day1 = $day1_row[0]; 
	$sql = "SELECT DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 2 DAY), '%a - %b %e, %Y')";
	$day2_res = mysql_query($sql); $day2_row = mysql_fetch_array($day2_res); $day2 = $day2_row[0]; 
	$sql = "SELECT DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 3 DAY), '%a - %b %e, %Y')";
	$day3_res = mysql_query($sql); $day3_row = mysql_fetch_array($day3_res); $day3 = $day3_row[0]; 
	$sql = "SELECT DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 4 DAY), '%a - %b %e, %Y')";
	$day4_res = mysql_query($sql); $day4_row = mysql_fetch_array($day4_res); $day4 = $day4_row[0]; 
	$sql = "SELECT DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 5 DAY), '%a - %b %e, %Y')";
	$day5_res = mysql_query($sql); $day5_row = mysql_fetch_array($day5_res); $day5 = $day5_row[0]; 
	$sql = "SELECT DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 6 DAY), '%a - %b %e, %Y')";
	$day6_res = mysql_query($sql); $day6_row = mysql_fetch_array($day6_res); $day6 = $day6_row[0]; 
	$sql = "SELECT DATE_FORMAT(DATE_ADD(NOW(), INTERVAL 7 DAY), '%a - %b %e, %Y')";
	$day7_res = mysql_query($sql); $day7_row = mysql_fetch_array($day7_res); $day7 = $day7_row[0]; 
	
	// get the matured payment checks to suppliers
	$sql = "SELECT sp.s_payment_id, sp.or_num, DATE_FORMAT(sp.check_date, '%b %e, %Y'), sp.supplier_id, s.company_name, sp.amount
			FROM spayments sp, suppliers s
			WHERE sp.supplier_id = s.supplier_id AND sp.pmethod = 'Check' AND TO_DAYS(NOW()) >= TO_DAYS(sp.check_date) AND sp.good = 0";
	$sw_res = mysql_query($sql); 
	// get the total of matured payment checks to suppliers
	$sql = "SELECT SUM(amount)
			FROM spayments
			WHERE pmethod = 'Check' AND TO_DAYS(NOW()) >= TO_DAYS(check_date) AND good = 0";
	$sw_tres = mysql_query($sql); $sw_trow = mysql_fetch_array($sw_tres);
	// get the matured customers' payment checks
	$sql = "SELECT cp.c_payment_id, cp.or_num, DATE_FORMAT(cp.check_date, '%b %e, %Y'), cp.customer_id, c.company_name, cp.amount
			FROM cpayments cp, customers c
			WHERE cp.customer_id = c.customer_id AND cp.pmethod = 'Check' AND TO_DAYS(NOW()) >= TO_DAYS(cp.check_date) AND cp.good = 0";
	$cw_res = mysql_query($sql); 
	// get the total of matured customers' payment checks
	$sql = "SELECT SUM(amount)
			FROM cpayments
			WHERE pmethod = 'Check' AND TO_DAYS(NOW()) >= TO_DAYS(check_date) AND good = 0";
	$cw_tres = mysql_query($sql); $cw_trow = mysql_fetch_array($cw_tres);
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// get the maturing payment checks to suppliers in a day
	$sql = "SELECT sp.s_payment_id, sp.or_num, DATE_FORMAT(sp.check_date, '%b %e, %Y'), sp.supplier_id, s.company_name, sp.amount
			FROM spayments sp, suppliers s
			WHERE sp.supplier_id = s.supplier_id AND sp.pmethod = 'Check' AND DATEDIFF(sp.check_date, NOW()) = 1  AND sp.good = 0";
	$sa_res1 = mysql_query($sql); 
	// get the total of maturing payment checks to suppliers in a day
	$sql = "SELECT SUM(amount)
			FROM spayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 1  AND good = 0";
	$sa_tres1 = mysql_query($sql); $sa_trow1 = mysql_fetch_array($sa_tres1);
	// get the maturing customers' payment checks in a day
	$sql = "SELECT cp.c_payment_id, cp.or_num, DATE_FORMAT(cp.check_date, '%b %e, %Y'), cp.customer_id, c.company_name, cp.amount
			FROM cpayments cp, customers c
			WHERE cp.customer_id = c.customer_id AND cp.pmethod = 'Check' AND DATEDIFF(cp.check_date, NOW()) = 1 AND cp.good = 0";
	$ca_res1 = mysql_query($sql); 
	// get the total of maturing customers' payment checks in a day
	$sql = "SELECT SUM(amount)
			FROM cpayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 1 AND good = 0";
	$ca_tres1 = mysql_query($sql); $ca_trow1 = mysql_fetch_array($ca_tres1);
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// get the maturing payment checks to suppliers in 2 days
	$sql = "SELECT sp.s_payment_id, sp.or_num, DATE_FORMAT(sp.check_date, '%b %e, %Y'), sp.supplier_id, s.company_name, sp.amount
			FROM spayments sp, suppliers s
			WHERE sp.supplier_id = s.supplier_id AND sp.pmethod = 'Check' AND DATEDIFF(sp.check_date, NOW()) = 2  AND sp.good = 0";
	$sa_res2 = mysql_query($sql); 
	// get the total of maturing payment checks to suppliers in 2 days
	$sql = "SELECT SUM(amount)
			FROM spayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 2  AND good = 0";
	$sa_tres2 = mysql_query($sql); $sa_trow2 = mysql_fetch_array($sa_tres2);
	// get the maturing customers' payment checks in 2 days
	$sql = "SELECT cp.c_payment_id, cp.or_num, DATE_FORMAT(cp.check_date, '%b %e, %Y'), cp.customer_id, c.company_name, cp.amount
			FROM cpayments cp, customers c
			WHERE cp.customer_id = c.customer_id AND cp.pmethod = 'Check' AND DATEDIFF(cp.check_date, NOW()) = 2 AND cp.good = 0";
	$ca_res2 = mysql_query($sql); 
	// get the total of maturing customers' payment checks in 2 days
	$sql = "SELECT SUM(amount)
			FROM cpayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 2 AND good = 0";
	$ca_tres2 = mysql_query($sql); $ca_trow2 = mysql_fetch_array($ca_tres2);
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// get the maturing payment checks to suppliers in 3 days
	$sql = "SELECT sp.s_payment_id, sp.or_num, DATE_FORMAT(sp.check_date, '%b %e, %Y'), sp.supplier_id, s.company_name, sp.amount
			FROM spayments sp, suppliers s
			WHERE sp.supplier_id = s.supplier_id AND sp.pmethod = 'Check' AND DATEDIFF(sp.check_date, NOW()) = 3  AND sp.good = 0";
	$sa_res3 = mysql_query($sql); 
	// get the total of maturing payment checks to suppliers in 3 days
	$sql = "SELECT SUM(amount)
			FROM spayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 3  AND good = 0";
	$sa_tres3 = mysql_query($sql); $sa_trow3 = mysql_fetch_array($sa_tres3);
	// get the maturing customers' payment checks in 3 days
	$sql = "SELECT cp.c_payment_id, cp.or_num, DATE_FORMAT(cp.check_date, '%b %e, %Y'), cp.customer_id, c.company_name, cp.amount
			FROM cpayments cp, customers c
			WHERE cp.customer_id = c.customer_id AND cp.pmethod = 'Check' AND DATEDIFF(cp.check_date, NOW()) = 3 AND cp.good = 0";
	$ca_res3 = mysql_query($sql); 
	// get the total of maturing customers' payment checks in 3 days
	$sql = "SELECT SUM(amount)
			FROM cpayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 3 AND good = 0";
	$ca_tres3 = mysql_query($sql); $ca_trow3 = mysql_fetch_array($ca_tres3);

	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// get the maturing payment checks to suppliers in 4 days
	$sql = "SELECT sp.s_payment_id, sp.or_num, DATE_FORMAT(sp.check_date, '%b %e, %Y'), sp.supplier_id, s.company_name, sp.amount
			FROM spayments sp, suppliers s
			WHERE sp.supplier_id = s.supplier_id AND sp.pmethod = 'Check' AND DATEDIFF(sp.check_date, NOW()) = 4  AND sp.good = 0";
	$sa_res4 = mysql_query($sql); 
	// get the total of maturing payment checks to suppliers in 4 days
	$sql = "SELECT SUM(amount)
			FROM spayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 4  AND good = 0";
	$sa_tres4 = mysql_query($sql); $sa_trow4 = mysql_fetch_array($sa_tres4);
	// get the maturing customers' payment checks in 4 day
	$sql = "SELECT cp.c_payment_id, cp.or_num, DATE_FORMAT(cp.check_date, '%b %e, %Y'), cp.customer_id, c.company_name, cp.amount
			FROM cpayments cp, customers c
			WHERE cp.customer_id = c.customer_id AND cp.pmethod = 'Check' AND DATEDIFF(cp.check_date, NOW()) = 4 AND cp.good = 0";
	$ca_res4 = mysql_query($sql); 
	// get the total of maturing customers' payment checks in 4 days
	$sql = "SELECT SUM(amount)
			FROM cpayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 4 AND good = 0";
	$ca_tres4 = mysql_query($sql); $ca_trow4 = mysql_fetch_array($ca_tres4);

	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// get the maturing payment checks to suppliers in 5 days
	$sql = "SELECT sp.s_payment_id, sp.or_num, DATE_FORMAT(sp.check_date, '%b %e, %Y'), sp.supplier_id, s.company_name, sp.amount
			FROM spayments sp, suppliers s
			WHERE sp.supplier_id = s.supplier_id AND sp.pmethod = 'Check' AND DATEDIFF(sp.check_date, NOW()) = 5  AND sp.good = 0";
	$sa_res5 = mysql_query($sql); 
	// get the total of maturing payment checks to suppliers in 5 days
	$sql = "SELECT SUM(amount)
			FROM spayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 5  AND good = 0";
	$sa_tres5 = mysql_query($sql); $sa_trow5 = mysql_fetch_array($sa_tres5);
	// get the maturing customers' payment checks in 5 days
	$sql = "SELECT cp.c_payment_id, cp.or_num, DATE_FORMAT(cp.check_date, '%b %e, %Y'), cp.customer_id, c.company_name, cp.amount
			FROM cpayments cp, customers c
			WHERE cp.customer_id = c.customer_id AND cp.pmethod = 'Check' AND DATEDIFF(cp.check_date, NOW()) = 5 AND cp.good = 0";
	$ca_res5 = mysql_query($sql); 
	// get the total of maturing customers' payment checks in 5 days
	$sql = "SELECT SUM(amount)
			FROM cpayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 5 AND good = 0";
	$ca_tres5 = mysql_query($sql); $ca_trow5 = mysql_fetch_array($ca_tres5);

	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// get the maturing payment checks to suppliers in 6 days
	$sql = "SELECT sp.s_payment_id, sp.or_num, DATE_FORMAT(sp.check_date, '%b %e, %Y'), sp.supplier_id, s.company_name, sp.amount
			FROM spayments sp, suppliers s
			WHERE sp.supplier_id = s.supplier_id AND sp.pmethod = 'Check' AND DATEDIFF(sp.check_date, NOW()) = 6  AND sp.good = 0";
	$sa_res6 = mysql_query($sql); 
	// get the total of maturing payment checks to suppliers in 6 days
	$sql = "SELECT SUM(amount)
			FROM spayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 6  AND good = 0";
	$sa_tres6 = mysql_query($sql); $sa_trow6 = mysql_fetch_array($sa_tres6);
	// get the maturing customers' payment checks in 6 days
	$sql = "SELECT cp.c_payment_id, cp.or_num, DATE_FORMAT(cp.check_date, '%b %e, %Y'), cp.customer_id, c.company_name, cp.amount
			FROM cpayments cp, customers c
			WHERE cp.customer_id = c.customer_id AND cp.pmethod = 'Check' AND DATEDIFF(cp.check_date, NOW()) = 6 AND cp.good = 0";
	$ca_res6 = mysql_query($sql); 
	// get the total of maturing customers' payment checks in 6 days
	$sql = "SELECT SUM(amount)
			FROM cpayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 6 AND good = 0";
	$ca_tres6 = mysql_query($sql); $ca_trow6 = mysql_fetch_array($ca_tres6);

	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// get the maturing payment checks to suppliers in 7 days
	$sql = "SELECT sp.s_payment_id, sp.or_num, DATE_FORMAT(sp.check_date, '%b %e, %Y'), sp.supplier_id, s.company_name, sp.amount
			FROM spayments sp, suppliers s
			WHERE sp.supplier_id = s.supplier_id AND sp.pmethod = 'Check' AND DATEDIFF(sp.check_date, NOW()) = 7  AND sp.good = 0";
	$sa_res7 = mysql_query($sql); 
	// get the total of maturing payment checks to suppliers in 7 days
	$sql = "SELECT SUM(amount)
			FROM spayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 7  AND good = 0";
	$sa_tres7 = mysql_query($sql); $sa_trow7 = mysql_fetch_array($sa_tres7);
	// get the maturing customers' payment checks in 7 days
	$sql = "SELECT cp.c_payment_id, cp.or_num, DATE_FORMAT(cp.check_date, '%b %e, %Y'), cp.customer_id, c.company_name, cp.amount
			FROM cpayments cp, customers c
			WHERE cp.customer_id = c.customer_id AND cp.pmethod = 'Check' AND DATEDIFF(cp.check_date, NOW()) = 7 AND cp.good = 0";
	$ca_res7 = mysql_query($sql); 
	// get the total of maturing customers' payment checks in 7 days
	$sql = "SELECT SUM(amount)
			FROM cpayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) = 7 AND good = 0";
	$ca_tres7 = mysql_query($sql); $ca_trow7 = mysql_fetch_array($ca_tres7);

	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// get the maturing payment checks to suppliers in 7 days
	$sql = "SELECT sp.s_payment_id, sp.or_num, DATE_FORMAT(sp.check_date, '%b %e, %Y'), sp.supplier_id, s.company_name, sp.amount
			FROM spayments sp, suppliers s
			WHERE sp.supplier_id = s.supplier_id AND sp.pmethod = 'Check' AND DATEDIFF(sp.check_date, NOW()) > 7  AND sp.good = 0 ORDER BY sp.check_date ASC";
	$sa_res_plus7 = mysql_query($sql); 
	// get the total of maturing payment checks to suppliers in 7 days
	$sql = "SELECT SUM(amount)
			FROM spayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) > 7  AND good = 0";
	$sa_tres_plus7 = mysql_query($sql); $sa_trow_plus7 = mysql_fetch_array($sa_tres_plus7);
	// get the maturing customers' payment checks in 7 days
	$sql = "SELECT cp.c_payment_id, cp.or_num, DATE_FORMAT(cp.check_date, '%b %e, %Y'), cp.customer_id, c.company_name, cp.amount
			FROM cpayments cp, customers c
			WHERE cp.customer_id = c.customer_id AND cp.pmethod = 'Check' AND DATEDIFF(cp.check_date, NOW()) > 7 AND cp.good = 0 ORDER BY cp.check_date ASC";
	$ca_res_plus7 = mysql_query($sql); 
	// get the total of maturing customers' payment checks in 7 days
	$sql = "SELECT SUM(amount)
			FROM cpayments
			WHERE pmethod = 'Check' AND DATEDIFF(check_date, NOW()) > 7 AND good = 0";
	$ca_tres_plus7 = mysql_query($sql); $ca_trow_plus7 = mysql_fetch_array($ca_tres_plus7);

	?>
    <div class="post">
        <h1 class="title">Checks Reminder</h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Payments to Suppliers - Matured Check(s)</b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Supplier</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($sw_row = mysql_fetch_array($sw_res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="spayment.php?s_payment_id=<?PHP echo $sw_row[0] ?>"><?PHP echo $sw_row[1] ?></a></td>
									<td align="left"><?PHP echo $sw_row[2] ?></td>
									<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $sw_row[3] ?>"><?PHP echo $sw_row[4] ?></a></td>
									<td align="right"><?PHP $samount = number_format($sw_row[5], 2); print $samount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $sw_lt = number_format($sw_trow[0], 2); print $sw_lt ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Customers' Payments - Matured Check(s)</b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Customer</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($cw_row = mysql_fetch_array($cw_res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="cpayment.php?c_payment_id=<?PHP echo $cw_row[0] ?>"><?PHP echo $cw_row[1] ?></a></td>
									<td align="left"><?PHP echo $cw_row[2] ?></td>
									<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $cw_row[3] ?>"><?PHP echo $cw_row[4] ?></a></td>
									<td align="right"><?PHP $camount = number_format($cw_row[5], 2); print $camount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $cw_lt = number_format($cw_trow[0], 2); print $cw_lt ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<tr height="30"></tr>
			<!-- +++++++++++++++++++++++++++++++++++     In A Day      ++++++++++++++++++++++++++++++++++++++++++++ --> 
			<tr>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Payments to Suppliers - Maturing  Check(s) in A Day<br><?PHP echo $day1 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Supplier</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($sa_row1 = mysql_fetch_array($sa_res1)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="spayment.php?s_payment_id=<?PHP echo $sa_row1[0] ?>"><?PHP echo $sa_row1[1] ?></a></td>
									<td align="left"><?PHP echo $sa_row1[2] ?></td>
									<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $sa_row1[3] ?>"><?PHP echo $sa_row1[4] ?></a></td>
									<td align="right"><?PHP $samount = number_format($sa_row1[5], 2); print $samount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $sa_lt1 = number_format($sa_trow1[0], 2); print $sa_lt1 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Customers' Payments - Maturing  Check(s) in A Day<br><?PHP echo $day1 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Customer</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($ca_row1 = mysql_fetch_array($ca_res1)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="cpayment.php?c_payment_id=<?PHP echo $ca_row1[0] ?>"><?PHP echo $ca_row1[1] ?></a></td>
									<td align="left"><?PHP echo $ca_row1[2] ?></td>
									<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $ca_row1[3] ?>"><?PHP echo $ca_row1[4] ?></a></td>
									<td align="right"><?PHP $camount = number_format($ca_row1[5], 2); print $camount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $ca_lt1 = number_format($ca_trow1[0], 2); print $ca_lt1 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<tr height="30"></tr>
			<!-- +++++++++++++++++++++++++++++++++++     In 2 Days      ++++++++++++++++++++++++++++++++++++++++++++ --> 
			<tr>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Payments to Suppliers - Maturing  Check(s) in 2 Days<br><?PHP echo $day2 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Supplier</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($sa_row2 = mysql_fetch_array($sa_res2)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="spayment.php?s_payment_id=<?PHP echo $sa_row2[0] ?>"><?PHP echo $sa_row2[1] ?></a></td>
									<td align="left"><?PHP echo $sa_row2[2] ?></td>
									<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $sa_row2[3] ?>"><?PHP echo $sa_row2[4] ?></a></td>
									<td align="right"><?PHP $samount = number_format($sa_row2[5], 2); print $samount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $sa_lt2 = number_format($sa_trow2[0], 2); print $sa_lt2 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Customers' Payments - Maturing  Check(s) in 2 Days<br><?PHP echo $day2 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Customer</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($ca_row2 = mysql_fetch_array($ca_res2)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="cpayment.php?c_payment_id=<?PHP echo $ca_row2[0] ?>"><?PHP echo $ca_row2[1] ?></a></td>
									<td align="left"><?PHP echo $ca_row2[2] ?></td>
									<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $ca_row2[3] ?>"><?PHP echo $ca_row2[4] ?></a></td>
									<td align="right"><?PHP $camount = number_format($ca_row2[5], 2); print $camount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $ca_lt2 = number_format($ca_trow2[0], 2); print $ca_lt2 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<tr height="30"></tr>
			<!-- +++++++++++++++++++++++++++++++++++     In 3 Days      ++++++++++++++++++++++++++++++++++++++++++++ --> 
			<tr>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Payments to Suppliers - Maturing  Check(s) in 3 Days<br><?PHP echo $day3 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Supplier</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($sa_row3 = mysql_fetch_array($sa_res3)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="spayment.php?s_payment_id=<?PHP echo $sa_row3[0] ?>"><?PHP echo $sa_row3[1] ?></a></td>
									<td align="left"><?PHP echo $sa_row3[2] ?></td>
									<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $sa_row3[3] ?>"><?PHP echo $sa_row3[4] ?></a></td>
									<td align="right"><?PHP $samount = number_format($sa_row3[5], 2); print $samount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $sa_lt3 = number_format($sa_trow3[0], 2); print $sa_lt3 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Customers' Payments - Maturing  Check(s) in 3 Days<br><?PHP echo $day3 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Customer</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($ca_row3 = mysql_fetch_array($ca_res3)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="cpayment.php?c_payment_id=<?PHP echo $ca_row3[0] ?>"><?PHP echo $ca_row3[1] ?></a></td>
									<td align="left"><?PHP echo $ca_row3[2] ?></td>
									<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $ca_row3[3] ?>"><?PHP echo $ca_row3[4] ?></a></td>
									<td align="right"><?PHP $camount = number_format($ca_row3[5], 2); print $camount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $ca_lt3 = number_format($ca_trow3[0], 2); print $ca_lt3 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<tr height="30"></tr>
			<!-- +++++++++++++++++++++++++++++++++++     In 4 Days      ++++++++++++++++++++++++++++++++++++++++++++ --> 
			<tr>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Payments to Suppliers - Maturing  Check(s) in 4 Days<br><?PHP echo $day4 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Supplier</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($sa_row4 = mysql_fetch_array($sa_res4)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="spayment.php?s_payment_id=<?PHP echo $sa_row4[0] ?>"><?PHP echo $sa_row4[1] ?></a></td>
									<td align="left"><?PHP echo $sa_row4[2] ?></td>
									<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $sa_row4[3] ?>"><?PHP echo $sa_row4[4] ?></a></td>
									<td align="right"><?PHP $samount = number_format($sa_row4[5], 2); print $samount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $sa_lt4 = number_format($sa_trow4[0], 2); print $sa_lt4 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Customers' Payments - Maturing  Check(s) in 4 Days<br><?PHP echo $day4 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Customer</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($ca_row4 = mysql_fetch_array($ca_res4)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="cpayment.php?c_payment_id=<?PHP echo $ca_row4[0] ?>"><?PHP echo $ca_row4[1] ?></a></td>
									<td align="left"><?PHP echo $ca_row4[2] ?></td>
									<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $ca_row4[3] ?>"><?PHP echo $ca_row4[4] ?></a></td>
									<td align="right"><?PHP $camount = number_format($ca_row4[5], 2); print $camount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $ca_lt4 = number_format($ca_trow4[0], 2); print $ca_lt4 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<tr height="30"></tr>
			<!-- +++++++++++++++++++++++++++++++++++     In 5 Days      ++++++++++++++++++++++++++++++++++++++++++++ --> 
			<tr>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Payments to Suppliers - Maturing  Check(s) in 5 Days<br><?PHP echo $day5 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Supplier</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($sa_row5 = mysql_fetch_array($sa_res5)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="spayment.php?s_payment_id=<?PHP echo $sa_row5[0] ?>"><?PHP echo $sa_row5[1] ?></a></td>
									<td align="left"><?PHP echo $sa_row5[2] ?></td>
									<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $sa_row5[3] ?>"><?PHP echo $sa_row5[4] ?></a></td>
									<td align="right"><?PHP $samount = number_format($sa_row5[5], 2); print $samount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $sa_lt5 = number_format($sa_trow5[0], 2); print $sa_lt5 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Customers' Payments - Maturing  Check(s) in 5 Days<br><?PHP echo $day5 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Customer</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($ca_row5 = mysql_fetch_array($ca_res5)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="cpayment.php?c_payment_id=<?PHP echo $ca_row5[0] ?>"><?PHP echo $ca_row5[1] ?></a></td>
									<td align="left"><?PHP echo $ca_row5[2] ?></td>
									<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $ca_row5[3] ?>"><?PHP echo $ca_row5[4] ?></a></td>
									<td align="right"><?PHP $camount = number_format($ca_row5[5], 2); print $camount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $ca_lt5 = number_format($ca_trow5[0], 2); print $ca_lt5 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<tr height="30"></tr>
			<!-- +++++++++++++++++++++++++++++++++++     In 6 Days      ++++++++++++++++++++++++++++++++++++++++++++ --> 
			<tr>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Payments to Suppliers - Maturing  Check(s) in 6 Days<br><?PHP echo $day6 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Supplier</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($sa_row6 = mysql_fetch_array($sa_res6)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="spayment.php?s_payment_id=<?PHP echo $sa_row6[0] ?>"><?PHP echo $sa_row6[1] ?></a></td>
									<td align="left"><?PHP echo $sa_row6[2] ?></td>
									<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $sa_row6[3] ?>"><?PHP echo $sa_row6[4] ?></a></td>
									<td align="right"><?PHP $samount = number_format($sa_row6[5], 2); print $samount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $sa_lt6 = number_format($sa_trow6[0], 2); print $sa_lt6 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Customers' Payments - Maturing  Check(s) in 6 Days<br><?PHP echo $day6 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Customer</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($ca_row6 = mysql_fetch_array($ca_res6)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="cpayment.php?c_payment_id=<?PHP echo $ca_row6[0] ?>"><?PHP echo $ca_row6[1] ?></a></td>
									<td align="left"><?PHP echo $ca_row6[2] ?></td>
									<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $ca_row6[3] ?>"><?PHP echo $ca_row6[4] ?></a></td>
									<td align="right"><?PHP $camount = number_format($ca_row6[5], 2); print $camount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $ca_lt6 = number_format($ca_trow6[0], 2); print $ca_lt6 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<tr height="30"></tr>
			<!-- +++++++++++++++++++++++++++++++++++     In 7 Days      ++++++++++++++++++++++++++++++++++++++++++++ --> 
			<tr>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Payments to Suppliers - Maturing  Check(s) in 7 Days<br><?PHP echo $day7 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Supplier</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($sa_row7 = mysql_fetch_array($sa_res7)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="spayment.php?s_payment_id=<?PHP echo $sa_row7[0] ?>"><?PHP echo $sa_row7[1] ?></a></td>
									<td align="left"><?PHP echo $sa_row7[2] ?></td>
									<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $sa_row7[3] ?>"><?PHP echo $sa_row7[4] ?></a></td>
									<td align="right"><?PHP $samount = number_format($sa_row7[5], 2); print $samount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $sa_lt7 = number_format($sa_trow7[0], 2); print $sa_lt7 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Customers' Payments - Maturing  Check(s) in 7 Days<br><?PHP echo $day7 ?></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Customer</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($ca_row7 = mysql_fetch_array($ca_res7)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="cpayment.php?c_payment_id=<?PHP echo $ca_row7[0] ?>"><?PHP echo $ca_row7[1] ?></a></td>
									<td align="left"><?PHP echo $ca_row7[2] ?></td>
									<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $ca_row7[3] ?>"><?PHP echo $ca_row7[4] ?></a></td>
									<td align="right"><?PHP $camount = number_format($ca_row7[5], 2); print $camount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $ca_lt7 = number_format($ca_trow7[0], 2); print $ca_lt7 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<tr height="30"></tr>
			<!-- +++++++++++++++++++++++++++++++++++     Past 7 Days      ++++++++++++++++++++++++++++++++++++++++++++ --> 
			<tr>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr style="height: 24px;"><td colspan="4" align="center"><b>Payments to Suppliers - Maturing  Check(s) for more than 7 Days<br></b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Supplier</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($sa_row_plus7 = mysql_fetch_array($sa_res_plus7)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="spayment.php?s_payment_id=<?PHP echo $sa_row_plus7[0] ?>"><?PHP echo $sa_row_plus7[1] ?></a></td>
									<td align="left"><?PHP echo $sa_row_plus7[2] ?></td>
									<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $sa_row_plus7[3] ?>"><?PHP echo $sa_row_plus7[4] ?></a></td>
									<td align="right"><?PHP $samount = number_format($sa_row_plus7[5], 2); print $samount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $sa_lt7 = number_format($sa_trow_plus7[0], 2); print $sa_lt7 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
				<td width="350" valign="top">
					<table>
						<thead class="data">
							<tr style="height: 24px;"><td colspan="4" align="center"><b>Customers' Payments - Maturing  Check(s) for more than 7 Days</b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Maturity</td>
								<td width="140" align="center">Customer</td>
								<td width="80" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
							$i = 1;
							while ($ca_row_plus7 = mysql_fetch_array($ca_res_plus7)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="cpayment.php?c_payment_id=<?PHP echo $ca_row_plus7[0] ?>"><?PHP echo $ca_row_plus7[1] ?></a></td>
									<td align="left"><?PHP echo $ca_row_plus7[2] ?></td>
									<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $ca_row_plus7[3] ?>"><?PHP echo $ca_row_plus7[4] ?></a></td>
									<td align="right"><?PHP $camount = number_format($ca_row_plus7[5], 2); print $camount ?></td>
								</tr>
								<?PHP
								$i++;
							}
						?>
							<tr class="total">
								<td colspan="3" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP $ca_lt7 = number_format($ca_trow_plus7[0], 2); print $ca_lt7 ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
	
}

?>