<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include 'fxns.php';
define('TITLE', 'Avanzare Business Solutions - Receive Purchase Order');
define('NAV', 3);
session_start();

if (isset($_SESSION['user_id'])){
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		show_form();
		jscript("
			$('document').ready(function(){
				$('#branch').change(function(){
					var branch_id = $('#branch').val();
					if (branch_id == 0) $('#cnt').html('');
					else {
						$.post('get-pur-count.php', {string: branch_id}, function(data){
							if (data.length > 0) $('#cnt').html(data);
						});
					}
				});
				$('#go').click(function(){
					var ctr= $('#ctr').val();
					if ($.isNumeric(ctr)) var a = true;
					else var a = false;
					if ($('#branch').val() > 0) var b = true;
					else var b = false;
					if (a && b) $('form').submit();
					else if (!a && b) {
						$('#ctr').css('background-color','red');
						alert('Field in Red requires a number.');
					} else if (a && !b) {
						$('#branch').css('background-color','red');
						alert('Field in Red requires a value to be selected.');
					} else if (!a && !b) {
						$('#ctr').css('background-color','red');
						$('#branch').css('background-color','red');
						alert('Field in Red requires values.');
					}
				});
				$('#ctr').click(function(){
					$('#ctr').css('background-color','white');
				});
				$('#branch').click(function(){
					$('#branch').css('background-color','white');
				});
			});
		");
		print_footer();
	}
} else {
	header('Location: login.php');
}

function show_form(){
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;
	
	$sql='SELECT branch_id, branch_name FROM vw_cus_branch';
	$branches = mysql_query($sql);
?>
	<form action='proc-pur.php' method='POST'>
		<div class='post'>
			<h1 class='title'>Receive Bulk Purchases</h1>
			<div class='entry'>
				<table align='center'>
					<thead class='data'>
						<tr>
							<td></td>
							<td align='center'>Description</td>
						</tr>
					</thead>
					<tbody class='data'>
						<tr class='odd' align='center'>
							<td>
								<select id='branch' name='branch_id'>
									<option disabled selected>Select a Branch</option>
<?php
								while($branch_det = mysql_fetch_array($branches)){
									echo "<option value='$branch_det[branch_id]'>$branch_det[branch_name]</option>\n";
								}
?>
								</select>
							</td>
							<td align='center'><font id='cnt' color='red'></font></td>
						</tr>
						<tr class='even' align='center'>
							<td>
								<input type='text' id='ctr' name='ctr' style='width: 139px'>
							</td>
							<td>
								<font>Enter the number of records you want to accept</font>
								<input type="hidden" name="token" value="<?PHP echo $token ?>">
							</td>
						</tr>
						<tr class='odd' align='center'>
							<td colspan='2'>
								<input type='button' class='button blue' name='go' id='go' value='add'>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
			<p class="meta"></p>
		</div>
	</form>
<?php
}
?>