<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include 'fxns.php';
define('TITLE', 'Avanzare Business Solutions - Branch Inventory Details');
define('NAV', 3);
val_qry('im_id', 'branch_inv_match', 'im_id='._GET_POST($_GET['im_id']));
session_start();
if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		if (isset($_POST['cam'])) pre();
		else post().post_js();
		print_footer();
	}
} else {
	header('Location: login.php');	
}
function pre(){
	$im_id = _GET_POST($_GET['im_id']);
	$cam = _GET_POST($_POST['cam']);
	$cm = explode('|', $cam);
	$camp = array(
		'im_id' 			=> $im_id,
		'category_id'		=> $cm[0],
		'manufacturer_id'	=> $cm[1]
	);
	$cm_id = sql_ins('branch_inv_match_cm', $camp);
	alert('Category and Manufacturer added. you\'ll be redirected to it\'s inactive products');
	return jscript("
		window.location='branch-inv-match-item-add.php?cm_id=".$cm_id."';
	");
}
function post(){
	$im_id = _GET_POST($_GET['im_id']);
	$branch_id = sql_fld('branch_id', 'branch_inv_match', 'im_id="'.$im_id.'"');
	$dtl = sql_rec('vw_branch_inv_match', 'im_id="'.$im_id.'" AND branch_id="'.$branch_id.'"');
	$cam = sql_qry('SELECT DISTINCT p.category_id AS cat_id , p.manufacturer_id AS man_id , c.category_name AS cat_name, m.manufacturer_name AS man_name FROM products p INNER JOIN branch_products bp ON p.product_id = bp.product_id INNER JOIN categories c ON p.category_id = c.category_id INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id WHERE bp.branch_id = 6 ORDER BY c.category_name ASC, m.manufacturer_name ASC');
	//-------------PHP code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<div class='post'>
		<h1 class='title'>Inventory Matching Details for <?php echo $dtl['branch_name']?></h1>
		<div class='entry'>
			<table>
				<tr class='odd'>
					<td align='right' style='width: 100px'>Date&nbsp;:</td>
					<td align='left' style='width: 250px'>&nbsp;&nbsp;<?php echo date_format(date_create($dtl['im_date']), 'D M d, Y')?></td>
				</tr>
				<tr class='even'>
					<td align='right'>Notes&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $dtl['notes']?></td>
				</tr>
				<tr class='odd'>
					<td align='right'>Completed&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<input type='checkbox' disabled <?php echo $dtl['done']==1?'checked':''?>></td>
				</tr>
				<tr class='even'>
					<td align='right'>Prepared by&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $dtl['encoder']?></td>
				</tr>
			</table>
		</div>
		<p class='meta'></p>
	</div>
	<div class='post'>
		<h1 class='title'>Categories and Manufacturers with no Active Product</h1>
		<div class='entry'>
			<table>
			<form id='add' action='branch-inv-match-dtl-add.php?im_id=<?php echo $im_id?>' method='POST'>
				<tr class='even' style='height: 30px'>
					<td align='center' style='width: 350px'>

						<select name='cam'>
							<option selected disabled>Choose</option>
<?php
	while ($camp = mysql_fetch_assoc($cam)){
		$cm_id = sql_fld('cm_id', 'branch_inv_match_cm', 'category_id='.$camp['cat_id'].' AND manufacturer_id='.$camp['man_id']);
		if (!$cm_id){
?>
							<option value='<?php echo $camp['cat_id'].'|'.$camp['man_id']?>'><?php echo $camp['cat_name'].' -- '.$camp['man_name']?></option>
<?php
		}
	}
?>
						</select>
					</td>
				</tr>
				<tr class='odd' style='height: 30px'>
					<td align='center' style='width: 350px'>
						<input id='sbt' class='button blue' type='button' value='Submit'>
					</td>
				</tr>
			</form>
			</table>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function post_js(){
	jscript("
		$('document').ready(function(){
			$('#sbt').click(function(){
				$('#add').submit();
			});
		});
	");
}

?>