<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include 'fxns.php';
define('TITLE', 'Avanzare Business Solutions - Branch Inventory Details');
define('NAV', 3);
val_qry('im_id', 'branch_inv_match', 'im_id='._GET_POST($_GET['im_id']));
session_start();
if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		if(isset($_GET['cat_id']) && isset($_GET['man_id'])){
			pre();
		} else {
			post();	post_js();
		}
		print_footer();
	}
} else {
	header('Location: login.php');	
}
function pre(){
	set_time_limit(0);
	$cat = _GET_POST($_GET['cat_id']); $man = _GET_POST($_GET['man_id']);
	$im_id = _GET_POST($_GET['im_id']);
	$branch_id = sql_fld('branch_id', 'branch_inv_match', 'im_id="'.$im_id.'"');
	$cm_id = sql_fld('cm_id', 'branch_inv_match_cm', 'im_id='.$im_id.' AND category_id='.$cat.' AND manufacturer_id='.$man);
	$q = sql_fld('COUNT(imi_id)', 'branch_inv_match_item', 'cm_id='.$cm_id);
	if ($q>0){
		return jscript("
			window.location='branch-inv-match-item.php?cm_id=".$cm_id."';
		");
	}
	//update inventory to current values
	$bpins = sql_qry('SELECT bp.bp_id AS bp_id FROM products p INNER JOIN branch_products bp ON p.product_id = bp.product_id WHERE bp.branch_id = '.$branch_id.' AND p.category_id = '.$cat.' AND p.manufacturer_id = '.$man.' AND p.active = 1 ORDER BY p.product_id ASC');
	while($bpin = mysql_fetch_assoc($bpins)){
		$product_id = sql_fld('product_id', 'branch_products', 'bp_id=\''.$bpin[bp_id].'\'');
		$good_value = get_good_inv($product_id, $branch_id);
		$inv_value = array(
			'inventory'	=> $good_value
		);
		sql_upd("branch_products", $inv_value, "branch_id=$branch_id AND product_id=$product_id LIMIT 1");
	}

	$bpap = sql_qry('SELECT bp.bp_id AS bp_id, bp.ave_acq AS acq_price, bp.price AS sell_price, bp.inventory AS rec_qty FROM products p INNER JOIN branch_products bp ON p.product_id = bp.product_id WHERE bp.branch_id = '.$branch_id.' AND p.category_id = '.$cat.' AND p.manufacturer_id = '.$man.' AND p.active = 1 ORDER BY p.product_id ASC');
	while($bpap_dtl = mysql_fetch_assoc($bpap)){
		$inv_item = array(
			'cm_id'			=> $cm_id,
			'bp_id'			=> $bpap_dtl['bp_id'],
			'acq_price'		=> $bpap_dtl['acq_price'],
			'sell_price'	=> $bpap_dtl['sell_price'],
			'rec_qty'		=> $bpap_dtl['rec_qty'],
			'phy_qty'		=> $bpap_dtl['rec_qty']
		);
		sql_ins('branch_inv_match_item', $inv_item);
	}
	return jscript("
			window.location='branch-inv-match-item.php?cm_id=".$cm_id."';
		");
}
function post(){
	$im_id = _GET_POST($_GET['im_id']);
	$branch_id = sql_fld('branch_id', 'branch_inv_match', 'im_id="'.$im_id.'"');
	$branch_name = sql_fld('branch_name', 'branches', 'branch_id="'.$branch_id.'"');
	$dtl = sql_rec('vw_branch_inv_match', 'im_id="'.$im_id.'" AND branch_id="'.$branch_id.'"');
	//--------CM Pagination & Data Module--------
	if (!isset($_GET['field']) && isset($_POST['field'])) $fld = _GET_POST($_POST['field']);
	elseif (isset($_GET['field']) && !isset($_POST['field'])) $fld = _GET_POST($_GET['field']);
	else $fld = '';
	$page = isset($_GET['page'])?_GET_POST($_GET['page']):'1';
	$recShown =30;
	$recStart = ($page * $recShown) - $recShown;
	$rc = sql_fld('COUNT(cm_id)', 'vw_branch_inv_match_cm', 'im_id='.$im_id.($fld!=''?' AND (manufacturer_name LIKE "%'.$fld.'%" OR category_name LIKE "%'.$fld.'%")':''));
	$cam = sql_qry('SELECT category_id, category_name, manufacturer_id, manufacturer_name, done FROM vw_branch_inv_match_cm WHERE im_id='.$im_id.($fld!=''?' AND (manufacturer_name LIKE "%'.$fld.'%" OR category_name LIKE "%'.$fld.'%")':'').' ORDER BY category_name ASC, manufacturer_name ASC LIMIT '.$recStart.', '.$recShown);
	$c = mysql_num_rows($cam);
	$totalPages = ceil($rc/$recShown);
	$pgFr = $recStart + 1;
	$pgTo = $recStart + $c;
	//-------Over Pagination & Data Module-------
	if (!isset($_GET['ovr']) && isset($_POST['ovr'])) $ofld = _GET_POST($_POST['ovr']);
	elseif (isset($_GET['ovr']) && !isset($_POST['ovr'])) $ofld = _GET_POST($_GET['ovr']);
	else $ofld = '';
	$purchase_id = sql_fld('purchase_id', 'branch_inv_match', 'im_id='.$im_id);
	$opage = isset($_GET['opage'])?_GET_POST($_GET['opage']):'1';
	$ovrStart = ($opage * $recShown) - $recShown;
	$ro = sql_fld('COUNT(imi_id)', 'vw_branch_inv_match_item', 'im_id = '.$im_id.' AND over_qty > 0'.($ofld!=''?' AND (manufacturer_name LIKE "%'.$ofld.'%" OR category_name LIKE "%'.$ofld.'%" OR product_name LIKE "%'.$ofld.'%")':''));
	$to = sql_fld('SUM(over_amt)', 'vw_branch_inv_match_item', 'im_id = '.$im_id.' AND over_qty > 0');
	$ovr = sql_qry('SELECT imi_id, cm_id, bp_id, category_name, manufacturer_name, product_name, rec_qty, phy_qty, over_qty AS discrepancy, sell_price, over_amt AS amount, encoder FROM vw_branch_inv_match_item WHERE im_id = '.$im_id.' AND over_qty > 0'.($ofld!=''?' AND (manufacturer_name LIKE "%'.$ofld.'%" OR category_name LIKE "%'.$ofld.'%" OR product_name LIKE "%'.$ofld.'%")':'').' ORDER BY category_name ASC, manufacturer_name ASC, product_name ASC LIMIT '.$ovrStart.', '.$recShown);
	$o = mysql_num_rows($ovr);
	$ototalPages = ceil($ro/$recShown);
	$opgFr = $ovrStart + 1;
	$opgTo = $ovrStart + $o;
	//------Short Pagination & Data Modules------
	if (!isset($_GET['srt']) && isset($_POST['srt'])) $sfld = _GET_POST($_POST['srt']);
	elseif (isset($_GET['srt']) && !isset($_POST['srt'])) $sfld = _GET_POST($_GET['srt']);
	else $sfld = '';
	$sale_id = sql_fld('sale_id', 'branch_inv_match', 'im_id='.$im_id);
	$spage = isset($_GET['spage'])?_GET_POST($_GET['spage']):'1';
	$srtStart = ($spage * $recShown) - $recShown;
	$rs = sql_fld('COUNT(imi_id)', 'vw_branch_inv_match_item', 'im_id = '.$im_id.' AND short_qty > 0'.($sfld!=''?' AND (manufacturer_name LIKE "%'.$sfld.'%" OR category_name LIKE "%'.$sfld.'%" OR product_name LIKE "%'.$sfld.'%")':''));
	$ts = sql_fld('SUM(short_amt)', 'vw_branch_inv_match_item', 'im_id = '.$im_id.' AND short_qty > 0');
	$srt = sql_qry('SELECT imi_id, cm_id, bp_id, category_name, manufacturer_name, product_name, rec_qty, phy_qty, short_qty AS discrepancy, sell_price, short_amt AS amount, encoder FROM vw_branch_inv_match_item WHERE im_id = '.$im_id.' AND short_qty > 0'.($sfld!=''?' AND (manufacturer_name LIKE "%'.$sfld.'%" OR category_name LIKE "%'.$sfld.'%" OR product_name LIKE "%'.$sfld.'%")':'').' ORDER BY category_name ASC, manufacturer_name ASC, product_name ASC LIMIT '.$srtStart.', '.$recShown);
	$s = mysql_num_rows($srt);
	$stotalPages = ceil($rs/$recShown);
	$spgFr = $srtStart + 1;
	$spgTo = $srtStart + $s;
	//-------------PHP code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<div class='post'>
		<h1 class='title'>Inventory Matching Details for <?php echo $branch_name?>&nbsp;&nbsp;&nbsp;<a href="print_branch_match.php?im_id=<?php echo $im_id ?>" target="new"><img src="lib/b_print.png"></a></h1>		
		<div class='entry'>
			<table>
				<tr class='odd'>
					<td align='right' style='width: 100px'>Date&nbsp;:</td>
					<td align='left' style='width: 250px'>&nbsp;&nbsp;<?php echo date_format(date_create($dtl['im_date']), 'D M d, Y')?></td>
				</tr>
				<tr class='even'>
					<td align='right'>Notes&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $dtl['notes']?></td>
				</tr>
				<tr class='odd'>
					<td align='right'>Completed&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<input type='checkbox' disabled <?php echo $dtl['done']==1?'checked':''?>></td>
				</tr>
				<tr class='even'>
					<td align='right'>Prepared by&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $dtl['encoder']?></td>
				</tr>
			</table>
		</div>
		<p class='meta'></p>
	</div>
	<div class='post'>
		<div class="search">
			<form id='search_frm' name='cat_man_frm' action='branch-inv-match-dtl.php?im_id=<?PHP echo $im_id ?>' method='POST'>
				<input id='field' type='text' name='field'>
				<input id='cat_man_find' name='cat_man_find' type='button' class='button blue' value='Go!'>
			</form>
		</div>
		<h1 class='title'><a class="th_img gcrux" href="branch-inv-match-dtl-add.php?im_id=<?PHP echo $im_id ?>"><img src="lib/add.png" width="20" height="20" style='vertical-align: -30%'></a>&nbsp;&nbsp;&nbsp;Category and Manufacturer</h1>
		<div class='entry'>
<!---------------------CM Pagination start--------------------->
<?php
			if ($c>0){
?>
			<table width='65%'>
				<tr>
					<td align='left'>
						<font size='1'><b><?php echo $pgFr?></b> to <b><?php echo $pgTo?></b> of <b><?PHP echo $rc ?></b> results <?php echo $fld!=''?'with keyword <b>'.$fld.'</b>':''?></font>
					</td>
					<td align="right">
<?php
					if ($fld==''){
						if ($page > 1){
							$prev = $page - 1;
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=1"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=<?PHP echo $prev ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++) {
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=<?PHP echo $i ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = $page + 1;
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=<?PHP echo $next ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=<?PHP echo $totalPages ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					} else {
						if($page > 1) {
							$prev = $page - 1;
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=1&field=<?PHP echo $fld ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $fld ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++){
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=<?PHP echo $i ?>&field=<?PHP echo $fld ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = ($page + 1);
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $fld ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=<?PHP echo $totalPages ?>&field=<?PHP echo $fld ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					}
?>
					</td>
				</tr>
			</table>
<?php
			}
?>
<!----------------------CM Pagination end---------------------->
			<table>
				<thead class='data'>
					<tr align='center'>
						<td style='width: 225px'>Manufacturer</td>
						<td style='width: 225px'>Category</td>
						<td style='width: 50px'>Done</td>
					</tr>
				</thead>
				<tbody class='data'>
<?php
			$i = 1;
			while ($cmd = mysql_fetch_assoc($cam)){
?>
					<tr align='center' class='<?php echo $i%2==1?'odd':'even'?>'>
						<td><a href='<?PHP echo $_SERVER['PHP_SELF'].'?im_id='.$im_id.'&cat_id='.$cmd['category_id'].'&man_id='.$cmd['manufacturer_id'] ?>'><?php echo $cmd['manufacturer_name']?></a></td>
						<td><?php echo $cmd['category_name']?></td>
						<td><input type='checkbox' disabled <?php echo $cmd['done']==1?'checked':''?>></td>
					</tr>
<?php
				$i++;
			}
?>
				</tbody>
			</table>
		</div>
		<p class='meta'></p>
	</div>
	<div class='post'>
		<div class="search">
			<form id='ovr_frm' name='ovr_frm' action='branch-inv-match-dtl.php?im_id=<?PHP echo $im_id ?>' method='POST'>
				<input id='ovr' type='text' name='ovr'>
				<input id='ovr_find' name='ovr_find' type='button' class='button blue' value='Go!'>
			</form>
		</div>
		<h1 class='title'><a id="icon1" class="th_img" href="branch_purchase.php?purchase_id=<?PHP echo $purchase_id ?>" target="new"><img src="lib/printer.png" width="16" height="16"></a>&nbsp;&nbsp;&nbsp;Over Inventory&nbsp;&nbsp;&nbsp;<a href="print_branch_match_over.php?im_id=<?php echo $im_id ?>" target="new"><img src="lib/b_print.png"></a></h1>
		<div class='entry'>
<!---------------------Over Pagination start--------------------->
<?php
			if ($o>0){
?>
			<table width='95%'>
				<tr>
					<td align='left'>
						<font size='1'><b><?php echo $opgFr?></b> to <b><?php echo $opgTo?></b> of <b><?PHP echo $ro ?></b> results <?php echo $ofld!=''?'with keyword <b>'.$ofld.'</b>':''?></font>
					</td>
					<td align="right">
<?php
					if ($ofld==''){
						if ($opage > 1){
							$oprev = $opage - 1;
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&opage=1"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&opage=<?PHP echo $oprev ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($opage - 4); $i <= ($opage + 4); $i++) {
							if (($i >= 1) && ($i <= $ototalPages)) {
								if ($opage == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&opage=<?PHP echo $i ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($opage < $ototalPages) {
							$onext = $opage + 1;
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&opage=<?PHP echo $onext ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&opage=<?PHP echo $ototalPages ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					} else {
						if($opage > 1) {
							$oprev = $opage - 1;
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&opage=1&ovr=<?PHP echo $ofld ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&opage=<?PHP echo $oprev ?>&ovr=<?PHP echo $ofld ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($opage - 4); $i <= ($opage + 4); $i++){
							if (($i >= 1) && ($i <= $ototalPages)) {
								if ($opage == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&opage=<?PHP echo $i ?>&ovr=<?PHP echo $ofld ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($opage < $ototalPages) {
							$onext = ($opage + 1);
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=<?PHP echo $onext ?>&ovr=<?PHP echo $ofld ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=<?PHP echo $ototalPages ?>&ovr=<?PHP echo $ofld ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					}
?>
					</td>
				</tr>
			</table>
<?php
			}
?>
<!----------------------Over Pagination end---------------------->
			<table>
				<thead class='data'>
					<tr align='center'>
						<td style='width: 80px'>Category</td>
						<td style='width: 80px'>Manufacturer</td>
						<td style='width: 130px'>Product</td>
						<td style='width: 50px'>Rec. Qty</td>
						<td style='width: 50px'>Phy. Qty</td>
						<td style='width: 50px'>Disc.</td>
						<td style='width: 80px'>Sell. Price</td>
						<td style='width: 80px'>Amount</td>
						<td style='width: 100px'>Encoder</td>
					</tr>
				</thead>
				<tbody class='data'>
<?php
			if ($o>0){
				$i = 1; $opt = 0;
				while ($ovrd = mysql_fetch_assoc($ovr)){
?>
					<tr align='center' class='<?php echo $i%2==1?'odd':'even'?>' style='height: 45px'>
						<td><?php echo $ovrd['category_name']?></td>
						<td><?php echo wordwrap($ovrd['manufacturer_name'], 20, '<br \>')?></td>
						<td><a href='branch-inv-match-item-upd.php?imi_id=<?php echo $ovrd['imi_id']?>'><?php echo wordwrap($ovrd['product_name'], 20, '<br \>')?></a></td>
						<td><?php echo fmod($ovrd['rec_qty'], 1)!== 0.000?number_format($ovrd['rec_qty'], 3):number_format($ovrd['rec_qty'])?></td>
						<td><?php echo fmod($ovrd['phy_qty'], 1)!== 0.000?number_format($ovrd['phy_qty'], 3):number_format($ovrd['phy_qty'])?></td>
						<td><?php echo fmod($ovrd['discrepancy'], 1)!== 0.000?number_format($ovrd['discrepancy'], 3):number_format($ovrd['discrepancy'])?></td>
						<td align='right'><?php echo number_format($ovrd['sell_price'], 2)?></td>
						<td align='right'><?php echo number_format($ovrd['amount'], 2)?></td>
						<td><?php echo $ovrd['encoder']?></td>
					</tr>
<?php
					$i++;
					$opt = $opt + $ovrd['amount'];
				}
?>
					<tr align='center' class='<?php echo $i%2==1?'odd':'even'?>'>
						<td align='right' colspan='7'>THIS PAGE'S TOTAL OVER AMOUNT</td>
						<td align='right'><?php echo number_format($opt, 2)?></td>
						<td></td>
					</tr>
<?php
					$i++;
?>
					<tr align='center' class='<?php echo $i%2==1?'odd':'even'?>'>
						<td align='right' colspan='7'>OVERALL TOTAL OVER AMOUNT</td>
						<td align='right'><?php echo number_format($to, 2)?></td>
						<td></td>
					</tr>
<?php
			} else {
?>
					<tr align='center'>
						<td colspan='9'>No Records!</td>
					</tr>
<?php
			}
?>
				</tbody>
			</table>
		</div>
		<p class='meta'></p>
	</div>
	<div class='post'>
		<div class="search">
			<form id='srt_frm' name='srt_frm' action='branch-inv-match-dtl.php?im_id=<?PHP echo $im_id ?>' method='POST'>
				<input id='srt' type='text' name='srt'>
				<input id='srt_find' name='srt_find' type='button'  class='button blue' value='Go!'>
			</form>
		</div>
		<h1 class='title'><a id="icon2" class="th_img" href="print_branch_sale.php?sale_id=<?PHP echo $sale_id ?>" target="new"><img src="lib/printer.png" width="16" height="16"></a>&nbsp;&nbsp;&nbsp;Short Inventory&nbsp;&nbsp;&nbsp;<a href="print_branch_match_short.php?im_id=<?php echo $im_id ?>" target="new"><img src="lib/b_print.png"></a></h1>
		<div class='entry'>
<!---------------------Short Pagination start--------------------->
<?php
			if ($s>0){
?>
			<table width='95%'>
				<tr>
					<td align='left'>
						<font size='1'><b><?php echo $spgFr?></b> to <b><?php echo $spgTo?></b> of <b><?PHP echo $rs ?></b> results <?php echo $sfld!=''?'with keyword <b>'.$sfld.'</b>':''?></font>
					</td>
					<td align="right">
<?php
					if ($sfld==''){
						if ($spage > 1){
							$sprev = $spage - 1;
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&spage=1"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&spage=<?PHP echo $sprev ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($spage - 4); $i <= ($spage + 4); $i++) {
							if (($i >= 1) && ($i <= $stotalPages)) {
								if ($spage == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&spage=<?PHP echo $i ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($spage < $stotalPages) {
							$snext = $spage + 1;
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&spage=<?PHP echo $snext ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&spage=<?PHP echo $stotalPages ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					} else {
						if($spage > 1) {
							$sprev = $spage - 1;
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&spage=1&srt=<?PHP echo $sfld ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&spage=<?PHP echo $sprev ?>&srt=<?PHP echo $sfld ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($spage - 4); $i <= ($spage + 4); $i++){
							if (($i >= 1) && ($i <= $stotalPages)) {
								if ($spage == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&spage=<?PHP echo $i ?>&srt=<?PHP echo $sfld ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($spage < $stotalPages) {
							$snext = ($spage + 1);
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&page=<?PHP echo $snext ?>&srt=<?PHP echo $sfld ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?im_id=<?PHP echo $im_id ?>&spage=<?PHP echo $stotalPages ?>&srt=<?PHP echo $sfld ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					}
?>
					</td>
				</tr>
			</table>
<?php
			}
?>
<!----------------------Short Pagination end---------------------->
			<table>
				<thead class='data'>
					<tr align='center'>
						<td style='width: 80px'>Category</td>
						<td style='width: 80px'>Manufacturer</td>
						<td style='width: 130px'>Product</td>
						<td style='width: 50px'>Rec. Qty</td>
						<td style='width: 50px'>Phy. Qty</td>
						<td style='width: 50px'>Disc.</td>
						<td style='width: 80px'>Sell. Price</td>
						<td style='width: 80px'>Amount</td>
						<td style='width: 100px'>Encoder</td>
					</tr>
				</thead>
				<tbody class='data'>
<?php
			if ($s>0){
				$i = 1; $spt = 0;
				while ($srtd = mysql_fetch_assoc($srt)){
?>
					<tr align='center' class='<?php echo $i%2==1?'odd':'even'?>' style='height: 45px'>
						<td><?php echo $srtd['category_name']?></td>
						<td><?php echo wordwrap($srtd['manufacturer_name'], 20, '<br \>')?></td>
						<td><a href='branch-inv-match-item-upd.php?imi_id=<?php echo $srtd['imi_id']?>'><?php echo wordwrap($srtd['product_name'], 20, '<br \>')?></a></td>
						<td><?php echo fmod($srtd['rec_qty'], 1)!== 0.000?number_format($srtd['rec_qty'], 3):number_format($srtd['rec_qty'])?></td>
						<td><?php echo fmod($srtd['phy_qty'], 1)!== 0.000?number_format($srtd['phy_qty'], 3):number_format($srtd['phy_qty'])?></td>
						<td><?php echo fmod($srtd['discrepancy'], 1)!== 0.000?number_format($srtd['discrepancy'], 3):number_format($srtd['discrepancy'])?></td>
						<td align='right'><?php echo number_format($srtd['sell_price'], 2)?></td>
						<td align='right'><?php echo number_format($srtd['amount'], 2)?></td>
						<td><?php echo $srtd['encoder']?></td>
					</tr>
<?php
					$i++;
					$spt = $spt + $srtd['amount'];
				}
?>
					<tr align='center' class='<?php echo $i%2==1?'odd':'even'?>'>
						<td align='right' colspan='7'>THIS PAGE'S TOTAL SHORT AMOUNT</td>
						<td align='right'><?php echo number_format($spt, 2)?></td>
						<td></td>
					</tr>
<?php
					$i++;
?>
					<tr align='center' class='<?php echo $i%2==1?'odd':'even'?>'>
						<td align='right' colspan='7'>OVERALL TOTAL SHORT AMOUNT</td>
						<td align='right'><?php echo number_format($ts, 2)?></td>
						<td></td>
					</tr>
<?php
			} else {
?>
					<tr align='center'>
						<td colspan='9'>No Records!</td>
					</tr>
<?php
			}
?>
				</tbody>
			</table>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function post_js(){
	$im_id = _GET_POST($_GET['im_id']);
	$page = isset($_GET['page'])?_GET_POST($_GET['page']):'';
	$opage = isset($_GET['opage'])?_GET_POST($_GET['opage']):'';
	$spage = isset($_GET['spage'])?_GET_POST($_GET['spage']):'';
	jscript("
		$('document').ready(function(){
			$('#cat_man_find').click(function(){
				if ($('#field').val().length > 0){
					$('#search_frm').submit();
				} else {
					window.location='branch-inv-match-dtl.php?im_id=".$im_id.($page!=''?'&page='.$page:'')."';
				}
			});
			$('#ovr_find').click(function(){
				if ($('#ovr').val().length > 0){
					$('#ovr_frm').submit();
				} else {
					window.location='branch-inv-match-dtl.php?im_id=".$im_id.($opage!=''?'&opage='.$opage:'')."';
				}
			});
			$('#srt_find').click(function(){
				if ($('#srt').val().length > 0){
					$('#srt_frm').submit();
				} else {
					window.location='branch-inv-match-dtl.php?im_id=".$im_id.($spage!=''?'&spage='.$spage:'')."';
				}
			});
		});
	");
}
?>