<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include 'fxns.php';
define('TITLE', 'Avanzare Business Solutions - Branch Inventory Details');
define('NAV', 3);
val_qry('cm_id', 'vw_branch_inv_match_item', 'cm_id='._GET_POST($_GET['cm_id']));
session_start();
if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		if (isset($_POST['pid'])){
			pre();
		} else {
			post();
		}
	}
} else {
	header('Location: login.php');	
}
function pre(){
	$cm_id = _GET_POST($_GET['cm_id']);
	$imi_ids = $_POST['pid'];
	foreach ($imi_ids as $imi_id){
		sql_del('branch_inv_match_item', 'cm_id='.$cm_id.' AND imi_id='.$imi_id);
	}
	$cnt = sql_fld('COUNT(imi_id)', 'branch_inv_match_item', 'cm_id='.$cm_id);
	if ($cnt == 0){
		$im_id = sql_fld('im_id','branch_inv_match_cm','cm_id='.$cm_id);
		sql_del('branch_inv_match_cm', 'cm_id='.$cm_id);
		return jscript("
			window.location = 'branch-inv-match-dtl.php?im_id=".$im_id."';
		");
	} else {
		return jscript("
			window.location = 'branch-inv-match-item.php?cm_id=".$cm_id."';
		");
	}
}
function post(){
	$cm_id = _GET_POST($_GET['cm_id']);
	$im_id = sql_fld('im_id', 'branch_inv_match_cm', 'cm_id='.$cm_id);
	$dtl = sql_rec('vw_branch_inv_match', 'im_id='.$im_id);
	$cam = sql_rec('vw_branch_inv_match_cm', 'cm_id='.$cm_id);
	$cmp = sql_qry('SELECT imi_id, product_name FROM vw_branch_inv_match_item WHERE cm_id='.$cm_id.' AND im_id='.$im_id.' ORDER BY product_name');
	//-------------PHP code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<div class='post'>
		<h1 class='title'>Inventory Matching Details for <?php echo $dtl['branch_name']?></h1>
		<div class='entry'>
			<table>
				<tr class='odd'>
					<td align='right' style='width: 100px'>Date&nbsp;:</td>
					<td align='left' style='width: 250px'>&nbsp;&nbsp;<?php echo date_format(date_create($dtl['im_date']), 'D M d, Y')?></td>
				</tr>
				<tr class='even'>
					<td align='right'>Notes&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $dtl['notes']?></td>
				</tr>
				<tr class='odd'>
					<td align='right'>Completed&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<input type='checkbox' disabled <?php echo $dtl['done']==1?'checked':''?>></td>
				</tr>
				<tr class='even'>
					<td align='right'>Prepared by&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $dtl['encoder']?></td>
				</tr>
			</table>
		</div>
		<p class='meta'></p>
	</div>
	<div class='post'>
		<h1 class='title'>Delete <?php echo $cam['manufacturer_name'].' '.$cam['category_name'] ?> Inventory</h1>
		<div class='entry'>
			<table>
				<thead class='data'>
					<tr align='center' style='height: 45px'>
						<td style='width: 200px'>Products</a></td>
						<td style='width: 45px'><input type='checkbox' id='checkCTRL'></td>
					</tr>
				</thead>
				<tbody class='data'>
				<form id='prod_inv' name='prod_inv' action='branch-inv-match-item-del.php<?php echo '?cm_id='.$cm_id ?>' method='POST'>
<?php
			$i= 0;
			while($camp = mysql_fetch_assoc($cmp)){
				$i++;
?>
					<tr align='center' class='<?php echo $i%2==1?'odd':'even'?>' style='height: 30px'>
						<td><?php echo $camp['product_name']?></td>
						<td><input type='checkbox' class='pid' name='pid[]' value='<?php echo $camp['imi_id']?>'></td>
					</tr>
<?php				
			}
			echo $cam['done']==0?"
					<tr align='center' class='".(($i+1)%2==1?'odd':'even')."' style='height: 30px'>
						<td colspan='2'><input id='sbt' class='button blue' type='submit' value='Submit'></td>
					</tr>
			":'';
?>
				</form>
				</tbody>
			</table>
		</div>
		<p class='meta'></p>
	</div>
	<script>
		$(document).ready(function(){
			$('#checkCTRL').click(function(){
				if ($(this).prop('checked')==true){
					$('.pid').prop('checked', true);
				} else {
					$('.pid').prop('checked', false);
				}
			});
			$('.pid').click(function(){
				if ($(this).prop('checked')==false){
					$('#checkCTRL').prop('checked', false);
				}
			});
		});
	</script>
<?php
}
?>