<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include 'fxns.php';
define('TITLE', 'Avanzare Business Solutions - Branch Inventory Details');
define('NAV', 3);
val_qry('imi_id', 'vw_branch_inv_match_item', 'imi_id='._GET_POST($_GET['imi_id']));
session_start();
if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		if(isset($_POST['pqt']))pre();
		else {
			post();	post_js();
		}
		print_footer();
	}
} else {
	header('Location: login.php');	
}
function pre(){
	$imi_id = _GET_POST($_GET['imi_id']);
	$im_id = sql_fld('im_id', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
	$branch_id = sql_fld('branch_id', 'branch_inv_match', 'im_id='.$im_id);
	$customer_id = sql_fld('customer_id', 'customer_branches', 'branch_id='.$branch_id);
	$user_id = sql_fld('user_id', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
	if ($user_id != $_SESSION['user_id']){
		alert('You are not allowed to change this value. Please ask the auditor of the inventory matching to edit this for you.');
		return jscript("
			window.location='branch-inv-match-dtl.php?im_id=".$im_id."';
		");
	}
	$inv_item = array(
		'phy_qty'	=> _GET_POST($_POST['pqt'])
	);
	$pqt = sql_fld('phy_qty', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
	sql_upd('branch_inv_match_item', $inv_item, 'imi_id='.$imi_id);
	$rqt = sql_fld('rec_qty', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
	$sale_id = sql_fld('sale_id', 'vw_branch_inv_match', 'im_id='.$im_id);
	$purchase_id = sql_fld('purchase_id', 'vw_branch_inv_match', 'im_id='.$im_id);
	$product_id = sql_fld('product_id', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
	$pd_id = sql_fld('pd_id', 'bpurchase_details', 'purchase_id='.$purchase_id.' AND product_id='.$product_id);
	$sd_id = sql_fld('sd_id', 'bsale_details', 'sale_id='.$sale_id.' AND product_id='.$product_id);
	if ($rqt > $inv_item['phy_qty']){ // short
		$acq_price = sql_fld('acq_price', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
		$quantity = sql_fld('short_qty', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
		$unit_price = sql_fld('sell_price', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
		$net_price = sql_fld('short_amt', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
		$srt_details = array(
			'sale_id'		=> $sale_id,
			'product_id'	=> $product_id,
			'acq_price'		=> $acq_price,
			'quantity'		=> $quantity,
			'unit_price'	=> $unit_price,
			'unit_discount'	=> 0,
			'net_price'		=> $net_price
		);
		if ($rqt < $pqt){ // prev_over_now_short
			//delete the over record from bpurchase_details, dd_sale_details and dd_purchase_details
			sql_del('bpurchase_details', 'pd_id='.$pd_id.' AND product_id='.$product_id);
			//insert short record to bsale_details
			sql_ins('bsale_details', $srt_details);
		} else if ($rqt > $pqt){ // still_short
			//update short
			sql_upd('bsale_details', $srt_details, 'sd_id='.$sd_id);
		} else if ($rqt == $pqt){ // prev balance now short
			sql_ins('bsale_details', $srt_details);
		}
	} elseif ($rqt < $inv_item['phy_qty']){ //over
		$quantity = sql_fld('over_qty', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
		$unit_price = sql_fld('sell_price', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
		$net_price = sql_fld('over_amt', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
		$ovr_details = array(
			'purchase_id'	=> $purchase_id,
			'product_id'	=> $product_id,
			'quantity'		=> $quantity,
			'unit_price'	=> $unit_price,
			'unit_discount'	=> 0,
			'net_price'		=> $net_price
		);
		if ($rqt > $pqt){ // prev_short_now_over
			//delete the short record from bsale_details
			sql_del('bsale_details', 'sd_id='.$sd_id.' AND product_id='.$product_id);
			//insert over record to bpurchase_details
			sql_ins('bpurchase_details', $ovr_details);
		} else if ($rqt < $pqt){ // still_over
			//update over
			sql_upd('bpurchase_details', $ovr_details, 'pd_id='.$pd_id);
		} else if ($rqt == $pqt){ // prev balance now over
			sql_ins('bpurchase_details', $ovr_details);
		}
	} else { //balance
		if (!!$pd_id){
			//delete the over record from bpurchase_details
			sql_del('bpurchase_details', 'pd_id='.$pd_id.' AND product_id='.$product_id);
		}
		if (!!$sd_id){
			//delete the short record from bsale_details
			sql_del('bsale_details', 'sd_id='.$sd_id.' AND product_id='.$product_id);
		}
	}
	$purchase_value = sql_fld('SUM(pd.quantity)', 'branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id', 'p.branch_id='.$branch_id.' AND pd.product_id='.$product_id.' AND p.user_id!=0');
	$rbranch_value = sql_fld('SUM(rb.quantity)', 'returns_branches r INNER JOIN rb_details rb ON r.rb_id = rb.rb_id', 'r.branch_id='.$branch_id.' AND rb.product_id='.$product_id.' AND rb.rtype=1');
	$to_conv_value = sql_fld('SUM(to_units)', 'branch_conversions', 'branch_id='.$branch_id.' AND to_product_id='.$product_id);
	$sales_value = sql_fld('SUM(sd.quantity)', 'branch_sales s INNER JOIN bsale_details sd ON s.sale_id = sd.sale_id', 'sd.product_id = '.$product_id.' AND s.branch_id = '.$branch_id. ' AND sd.deleted=0');
	$rcusbranch_value = sql_fld('SUM(rd.quantity)', 'returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id', 'r.customer_id = '.$customer_id.' AND rd.product_id = '.$product_id.' AND rd.rtype = 1');
	$fr_conv_value = sql_fld('SUM(fr_units)', 'branch_conversions', 'branch_id = '.$branch_id.' AND fr_product_id = '.$product_id);
	$losses_value = sql_fld('SUM(bl.quantity)', 'branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id', 'l.branch_id = '.$branch_id.' AND bl.product_id = '.$product_id);
	$good_value = ($purchase_value + $rbranch_value + $to_conv_value) - ($sales_value + $rcusbranch_value + $fr_conv_value + $losses_value);
	$inv_value = array(
		'inventory'	=> $good_value
	);
	sql_upd('branch_products', $inv_value, 'branch_id='.$branch_id.' AND product_id='.$product_id.' LIMIT 1');
	$srt_line_total = sql_fld('SUM(net_price)', 'bsale_details', 'sale_id='.$sale_id);
	$srt_revenue = sql_fld('SUM((unit_price-acq_price)*quantity)', 'bsale_details', 'sale_id='.$sale_id);
	$srt_sale_info = array(
		'line_total'	=> $srt_line_total
	);
	sql_upd('branch_sales', $srt_sale_info, 'sale_id='.$sale_id);
	$short = array(
		'short_amt'		=> $srt_line_total
	);
	sql_upd('branch_inv_match', $short, 'im_id='.$im_id);
	$ovr_line_total = sql_fld('SUM(net_price)', 'bpurchase_details', 'purchase_id='.$purchase_id);
	$purchase_info = array(
		'line_total'	=> $ovr_line_total
	);
	sql_upd('branch_purchases', $purchase_info, 'purchase_id='.$purchase_id);
	$over = array(
		'over_amt'		=> $ovr_line_total
	);
	sql_upd('branch_inv_match', $over, 'im_id='.$im_id);
	alert('Inventory Matching updated.');
	return jscript("
		window.location='branch-inv-match-dtl.php?im_id=".$im_id."';
	");
}
function post(){
	$imi_id = _GET_POST($_GET['imi_id']);
	$im_id = sql_fld('im_id', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
	$dtl = sql_rec('vw_branch_inv_match', 'im_id='.$im_id);
	$idtl = sql_rec('vw_branch_inv_match_item', 'imi_id='.$imi_id);
	//-------------PHP code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<div class='post'>
		<h1 class='title'>Inventory Matching Details for <?php echo $dtl['branch_name']?></h1>
		<div class='entry'>
			<table>
				<tr class='odd'>
					<td align='right' style='width: 100px'>Date&nbsp;:</td>
					<td align='left' style='width: 250px'>&nbsp;&nbsp;<?php echo date_format(date_create($dtl['im_date']), 'D M d, Y')?></td>
				</tr>
				<tr class='even'>
					<td align='right'>Notes&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $dtl['notes']?></td>
				</tr>
				<tr class='odd'>
					<td align='right'>Completed&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<input type='checkbox' disabled <?php echo $dtl['done']==1?'checked':''?>></td>
				</tr>
				<tr class='even'>
					<td align='right'>Prepared by&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $dtl['encoder']?></td>
				</tr>
			</table>
		</div>
		<p class='meta'></p>
	</div>
	<div class='post'>
		<h1 class='title'>Items Details</h1>
		<div class='entry'>
			<form id='item_upd' action='branch-inv-match-item-upd.php?imi_id=<?php echo $imi_id?>' method='POST'>
			<table>
				<tr class='odd' style='height: 20px'>
					<td align='right' style='width: 100px'>Category&nbsp;:</td>
					<td align='left' style='width: 250px'>&nbsp;&nbsp;<?php echo $idtl['category_name']?></td>
				</tr>
				<tr class='even' style='height: 20px'>
					<td align='right'>Manufacturer&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $idtl['manufacturer_name']?></td>
				</tr>
				<tr class='odd' style='height: 20px'>
					<td align='right'>Product&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $idtl['product_name']?></td>
				</tr>
				<tr class='even' style='height: 20px'>
					<td align='right'>Prepared by&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $idtl['encoder']?></td>
				</tr>
				<tr class='odd' style='height: 20px'>
					<td align='right'>Recorded Qty&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo fmod($idtl['rec_qty'], 1)!== 0.000?number_format($idtl['rec_qty'], 3):number_format($idtl['rec_qty'])?></td>
				</tr>
				<tr class='even' style='height: 20px'>
					<td align='right'>Physical Qty&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<input id='pqt' name='pqt' type='text' value='<?php echo fmod($idtl['phy_qty'], 1)!== 0.000?number_format($idtl['phy_qty'], 3):number_format($idtl['phy_qty'])?>'></td>
				</tr>
				<tr class='odd' style='height: 20px'>
					<td align='right'>Discrepancy&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo  $idtl['phy_qty']>$idtl['rec_qty']?(fmod($idtl['over_qty'], 1)!== 0.000?number_format($idtl['over_qty'], 3):number_format($idtl['over_qty'])):($idtl['phy_qty']<$idtl['rec_qty']?fmod($idtl['short_qty'], 1)!== 0.000?number_format($idtl['short_qty'], 3):number_format($idtl['short_qty']):'')?></td>
				</tr>
				<tr class='even' style='height: 20px'>
					<td align='right'><?php echo $idtl['phy_qty']>$idtl['rec_qty']?'Over Amount':($idtl['phy_qty']<$idtl['rec_qty']?'Short Amount':'')?>&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $idtl['phy_qty']>$idtl['rec_qty']?(fmod($idtl['over_amt'], 1)!== 0.000?number_format($idtl['over_amt'], 2):number_format($idtl['over_amt'])):($idtl['phy_qty']<$idtl['rec_qty']?(fmod($idtl['short_amt'], 1)!== 0.00?number_format($idtl['short_amt'], 2):number_format($idtl['short_amt'])):'')?></td>
				</tr>
				<tr class='odd' style='height: 20px'>
					<td colspan='2' align='center'><input id='rst' class='button blue' type='reset' value='Reset'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input id='sbt' class='button blue' type='button' value='Submit'></td>
				</tr>
			</table>
			</form>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function post_js(){
	jscript("
		$('document').ready(function(){
			$('#pqt').click(function(){
				$(this).css('background-color', '#90EE90');
			});
			$('#rst').click(function(){
				$('#pqt').css('background-color', 'white');
			});
			$('#sbt').click(function(){
				$('form').submit();
			});
		});
	");
}
?>