<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include 'fxns.php';
define('TITLE', 'Avanzare Business Solutions - Branch Inventory Details');
define('NAV', 3);
val_qry('cm_id', 'vw_branch_inv_match_item', 'cm_id='._GET_POST($_GET['cm_id']));
session_start();
if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		if (isset($_POST['iip'])) pre();
		else {
			post();	post_js();
		}
		print_footer();
	}
} else {
	header('Location: login.php');	
}
function pre(){
	alert('Processing');
	set_time_limit(0);
	$cm_id = _GET_POST($_GET['cm_id']);
	$r = sql_fld('COUNT(imi_id)', 'branch_inv_match_item', 'cm_id='.$cm_id.' AND user_id=0');
	if ($r==0){
		return post().post_js();
	}
	$im_id = sql_fld('im_id', 'branch_inv_match_cm', 'cm_id='.$cm_id);
	$branch_id = sql_fld('branch_id', 'branch_inv_match', 'im_id='.$im_id);
	$customer_id = sql_fld('customer_id', 'customer_branches', 'branch_id='.$branch_id);
	$sale_id = sql_fld('sale_id', 'branch_inv_match', 'im_id='.$im_id);
	$purchase_id = sql_fld('purchase_id', 'branch_inv_match', 'im_id='.$im_id);
	$iip = _GET_POST($_POST['iip']);
	for($i=1; $i<=$iip; $i++){
		$imi_id = _GET_POST($_POST['imi-'.$i]);
		$inv_item = array(
			'phy_qty'	=> _GET_POST($_POST['pqt-'.$i]),
			'user_id'	=> $_SESSION['user_id']
		);
		sql_upd('branch_inv_match_item', $inv_item, 'imi_id='.$imi_id);
		$rec_qty = sql_fld('rec_qty', 'branch_inv_match_item', 'imi_id='.$imi_id);
		if ($rec_qty > $inv_item['phy_qty']){ //short
			$product_id = sql_fld('product_id', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
			$acq_price = sql_fld('acq_price', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
			$quantity = sql_fld('short_qty', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
			$unit_price = sql_fld('sell_price', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
			$net_price = sql_fld('short_amt', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
			$sale_dtls = array(
				'sale_id'		=> $sale_id,
				'product_id'	=> $product_id,
				'acq_price'		=> $acq_price,
				'quantity'		=> $quantity,
				'unit_price'	=> $unit_price,
				'unit_discount'	=> 0,
				'net_price'		=> $net_price
			);
			$product_present = sql_fld('sd_id', 'bsale_details', 'product_id=\''.$product_id.'\' AND sale_id=\''.$sale_id.'\'')!=''?true:false;
			if (!$product_present){
				sql_ins('bsale_details', $sale_dtls);
			}
		} elseif ($rec_qty < $inv_item['phy_qty']){ //over
			$product_id = sql_fld('product_id', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
			$quantity = sql_fld('over_qty', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
			$unit_price = sql_fld('sell_price', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
			$net_price = sql_fld('over_amt', 'vw_branch_inv_match_item', 'imi_id='.$imi_id);
			$purchase_dtls = array(
				'purchase_id'	=> $purchase_id,
				'product_id'	=> $product_id,
				'quantity'		=> $quantity,
				'unit_price'	=> $unit_price,
				'unit_discount'	=> 0,
				'net_price'		=> $net_price
			);
			$product_present = sql_fld('pd_id', 'bpurchase_details', 'product_id=\''.$product_id.'\' AND purchase_id=\''.$purchase_id.'\'')!=''?true:false;
			if (!$product_present){
				sql_ins('bpurchase_details', $purchase_dtls);
			}
		}
		$good_value = get_good_inv($product_id, $branch_id);
		$inv_value = array(
			'inventory'	=> $good_value
		);
		sql_upd("branch_products", $inv_value, "branch_id=$branch_id AND product_id=$product_id LIMIT 1");
	}
	$srt_line_total = sql_fld('SUM(net_price)', 'bsale_details', 'sale_id='.$sale_id);
	$srt_revenue = sql_fld('SUM((unit_price-acq_price)*quantity)', 'bsale_details', 'sale_id='.$sale_id);
	$srt_sale_info = array(
		'line_total'	=> $srt_line_total
	);
	sql_upd('branch_sales', $srt_sale_info, 'sale_id='.$sale_id);
	$short = array(
		'short_amt'		=> $srt_line_total
	);
	sql_upd('branch_inv_match', $short, 'im_id='.$im_id);
	$ovr_line_total = sql_fld('SUM(net_price)', 'bpurchase_details', 'purchase_id='.$purchase_id);
	$purchase_info = array(
		'line_total'	=> $ovr_line_total
	);
	sql_upd('branch_purchases', $purchase_info, 'purchase_id='.$purchase_id);
	$over = array(
		'over_amt'		=> $ovr_line_total
	);
	sql_upd('branch_inv_match', $over, 'im_id='.$im_id);
	return jscript("
		window.location='branch-inv-match-dtl.php?im_id=".$im_id."';
	");
}
function post(){
	alert('Displaying');
	$cm_id = _GET_POST($_GET['cm_id']);
	$im_id = sql_fld('im_id', 'branch_inv_match_cm', 'cm_id='.$cm_id);
	$dtl = sql_rec('vw_branch_inv_match', 'im_id='.$im_id);
	$cam = sql_rec('vw_branch_inv_match_cm', 'cm_id='.$cm_id);
	$cmp = sql_qry('SELECT imi_id, product_id, product_name, phy_qty, user_id FROM vw_branch_inv_match_item WHERE cm_id='.$cm_id.' AND im_id='.$im_id.' ORDER BY product_name');
	//-------------PHP code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<div class='post'>
		<h1 class='title'>Inventory Matching Details for <?php echo $dtl['branch_name']?></h1>
		<div class='entry'>
			<table>
				<tr class='odd'>
					<td align='right' style='width: 100px'>Date&nbsp;:</td>
					<td align='left' style='width: 250px'>&nbsp;&nbsp;<?php echo date_format(date_create($dtl['im_date']), 'D M d, Y')?></td>
				</tr>
				<tr class='even'>
					<td align='right'>Notes&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $dtl['notes']?></td>
				</tr>
				<tr class='odd'>
					<td align='right'>Completed&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<input type='checkbox' disabled <?php echo $dtl['done']==1?'checked':''?>></td>
				</tr>
				<tr class='even'>
					<td align='right'>Prepared by&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $dtl['encoder']?></td>
				</tr>
			</table>
		</div>
		<p class='meta'></p>
	</div>
	<div class='post'>
		<h1 class='title'><?php echo $cam['manufacturer_name'].' '.$cam['category_name'] ?> Inventory</h1>
		<div class='entry'>
			<table>
				<thead class='data'>
					<tr align='center' style='height: 45px'>
						<td style='width: 200px'><a class="th_img gcrux" href="branch-inv-match-item-add.php?cm_id=<?PHP echo $cm_id ?>"><img src="lib/add.png" width="20" height="20" style='vertical-align: -50%'></a>&nbsp;&nbsp;&nbsp;Products&nbsp;&nbsp;&nbsp;<a class="th_img tcan" href="<? echo $cam['done']==1?'':'branch-inv-match-item-del.php?cm_id='.$cm_id?>"><img src="lib/trash-can.png" width="20" height="20" style='vertical-align: -50%'></a></td>
						<td style='width: 200px'>Physical Quantity</td>
					</tr>
				</thead>
				<tbody class='data'>
				<form id='prod_inv' name='prod_inv' action='branch-inv-match-item.php<?php echo '?cm_id='.$cm_id ?>' method='POST'>
<?php
				$i= 0;
				while($camp = mysql_fetch_assoc($cmp)){
					$i++;
?>
					<tr align='center' class='<?php echo $i%2==1?'odd':'even'?>' style='height: 30px'>
						<td><?php echo $camp['product_name']?><input type='hidden' name='<?php echo 'imi-'.$i?>' value='<?php echo $camp['imi_id']?>'></td>
						<td><input class='qty' type='text' style='text-align: right<?php echo $camp['user_id']!=0?'; background-color: #90EE90':''?>' name='<?php echo 'pqt-'.$i?>' value='<?php echo $camp['phy_qty']?>' autocomplete='off'></td>
					</tr>
<?php
				}
				echo $cam['done']==0?"
					<tr align='center' class=".(($i+1)%2==1?'odd':'even')." style='height: 20px'>
						<td><input id='rst' type='reset' class='button blue' value='Reset'><input id='iip' type='hidden' name='iip' value='".$i."'></td>
						<td><input id='sbt' class='button blue' type='button' value='Submit'></td>
					</tr>
					":'';
?>
				</form>
				</tbody>
			</table>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function post_js(){
	$cm_id = _GET_POST($_GET['cm_id']);
	$im_id = sql_fld('im_id', 'vw_branch_inv_match_cm', 'cm_id='.$cm_id);
	$done = sql_fld('done', 'vw_branch_inv_match', 'im_id='.$im_id);
	$manu = sql_fld('manufacturer_name', 'vw_branch_inv_match_cm', 'cm_id='.$cm_id);
	$cate = sql_fld('category_name', 'vw_branch_inv_match_cm', 'cm_id='.$cm_id);
	jscript("
		$('document').ready(function(){
			$('.qty').click(function(){
				$(this).css('background-color', '#90EE90');
			});
			$('#rst').click(function(){
				$('.qty').css('background-color', 'white');
			});
			$('#sbt').click(function(){
				var green = $('.qty').filter(function(){
					return $(this).css('background-color') === 'rgb(144, 238, 144)';
				}).length;
				if (green==$('#iip').val()){
					alert('Submitting');
					$('form').submit();
				} else {
					alert('Incomplete Submission. Please review');
				}
			});
			$('.gcrux').click(function(e){
				e.preventDefault();
				if (".$done."==1){
					alert('This button is disabled, as this batch is completed');
				} else {
					window.location = $(this).attr('href');
				}
			});
			$('.tcan').click(function(e){
				e.preventDefault();
				var prod = $(this).parent().next().html();
				var anchor = $(this).attr('href')
				if (typeof anchor !== typeof undefined && anchor !== false){
					if (window.confirm('Are you sure you want to delete items from ".$manu." ".$cate."?')){
						window.location = anchor;
					}
				} else {
					alert('This button is disabled, as this batch is completed');
				}
			});
		});
	");
}
?>