<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Convert Product To Retail');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $branch_id = mysql_real_escape_string(stripslashes($_POST['branch_id']));
	            $fr_product_num = mysql_real_escape_string(stripslashes($_POST['fr_product_num']));
	            $fr_units = mysql_real_escape_string(stripslashes($_POST['fr_units']));
	        } else {
	            $branch_id = mysql_real_escape_string($_POST['branch_id']);
	            $fr_product_num = mysql_real_escape_string($_POST['fr_product_num']);
	            $fr_units = mysql_real_escape_string($_POST['fr_units']);
			}
			
			// Check to make sure they have selected from the list of customers.
			if ($fr_product_num != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please enter the product number to be converted."; }
			// Check to make sure they have entered the Official Receipt Number
			if ($fr_units != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please enter the number of units to be converted."; }
			// Check to make sure they have entered the Official Receipt Number
			if ($branch_id != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please select from the list of branches."; }
			
			// If the data pass all tests, add the patient to the database.
			if ( $a && $b && $c ) {
				// get the product id of the product to be converted
				$sql = "SELECT product_id FROM products WHERE product_num = '$fr_product_num'";
				$fres = mysql_query($sql); $frow = mysql_fetch_array($fres); $product_id = $frow[0];
				
				// get the customer number of this branch
				$sql = "SELECT customer_id FROM customer_branches WHERE branch_id = '$branch_id'"; 
				$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $customer_id = $crow[0];
				
				// ***********************************************************************************************
				// THE SOURCE ITEM
				// ***********************************************************************************************
				// get the sum of purchases
				$sql = "SELECT SUM(pd.quantity)
						FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id
						WHERE p.branch_id = '$branch_id' AND pd.product_id = '$product_id' AND p.user_id != 0"; 
				$tpur_res = mysql_query($sql); $tpur_row = mysql_fetch_array($tpur_res);
				// get the sum of returns from customers
				$sql = "SELECT SUM(rb.quantity)
						FROM returns_branches r INNER JOIN rb_details rb ON r.rb_id = rb.rb_id
						WHERE r.branch_id = '$branch_id' AND rb.product_id = '$product_id' AND rb.rtype = 1"; 
				$giret_res = mysql_query($sql); $giret_row = mysql_fetch_array($giret_res);
				// get the sum of conversions
				$sql = "SELECT SUM(to_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND to_product_id = '$product_id'"; 
				$rcon_res = mysql_query($sql); $rcon_row = mysql_fetch_array($rcon_res); 

				// get the sum of sales
				$sql = "SELECT SUM(sd.quantity)
						FROM branch_sales s INNER JOIN bsale_details sd ON s.sale_id = sd.sale_id
						WHERE sd.product_id = '$product_id' AND s.branch_id = '$branch_id'";
				$tsale_res = mysql_query($sql); $tsale_row = mysql_fetch_array($tsale_res);
				// get the sum of good returns to main office
				$sql = "SELECT SUM(rd.quantity)
						FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
						WHERE r.customer_id = '$customer_id' AND rd.product_id = '$product_id' AND rd.rtype = 1"; 
				$goret_res = mysql_query($sql); $goret_row = mysql_fetch_array($goret_res);
				// get the sum of conversions
				$sql = "SELECT SUM(fr_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND fr_product_id = '$product_id'"; 
				$wcon_res = mysql_query($sql); $wcon_row = mysql_fetch_array($wcon_res); 
				// get the sum of loss
				$sql = "SELECT SUM(bl.quantity)
						FROM branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id
						WHERE l.branch_id = '$branch_id' AND bl.product_id = '$product_id'"; 
				$gl_res = mysql_query($sql); $gl_row = mysql_fetch_array($gl_res); 
				
				$good = ($tpur_row[0] + $giret_row[0] + $rcon_row[0]) - ($tsale_row[0] + $goret_row[0] + $wcon_row[0] + $gl_row[0]);
				
				mysql_free_result($tpur_res); mysql_free_result($giret_res); mysql_free_result($tsale_res); mysql_free_result($goret_res);
				mysql_free_result($rcon_res); mysql_free_result($wcon_res); mysql_free_result($gl_res);
				
				if ($good >= $fr_units) {
					// get the ave_acq of the wholesale product
					$sql = "SELECT bp_id, ave_acq FROM branch_products WHERE branch_id = '$branch_id' AND product_id = '$product_id'";
					$frm_res = mysql_query($sql) or die(mysql_error()); $frm_row = mysql_fetch_array($frm_res); 
					$bp_id = $frm_row[0]; $ave_acq = $frm_row[1]; 
					$new_inventory = $good - $fr_units; 
					
					// update the inventory_level in branch_products table
					$sql = "UPDATE branch_products SET inventory = '$new_inventory' WHERE bp_id = '$bp_id' LIMIT 1";
					mysql_query($sql) or die(mysql_error());
					
					// ***********************************************************************************************
					// THE NEW ITEM
					// ***********************************************************************************************
					// get the product id and the equivalent inventory value of the converted product 
					$sql = "SELECT to_product_id, conv_units FROM tconversions WHERE fr_product_id = '$product_id'";
					$cres = mysql_query($sql);
					
					$count=1;
					while($crow = mysql_fetch_array($cres)){
						$to_product_id = $crow[0]; $conv_units = $crow[1];
						// get the sum of purchases
						$sql = "SELECT SUM(pd.quantity)
								FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id
								WHERE p.branch_id = '$branch_id' AND pd.product_id = '$to_product_id' AND p.user_id != 0"; 
						$tpur_res2 = mysql_query($sql); $tpur_row2 = mysql_fetch_array($tpur_res2);
						// get the sum of returns from customers
						$sql = "SELECT SUM(rb.quantity)
								FROM returns_branches r INNER JOIN rb_details rb ON r.rb_id = rb.rb_id
								WHERE r.branch_id = '$branch_id' AND rb.product_id = '$to_product_id' AND rb.rtype = 1"; 
						$giret_res2 = mysql_query($sql); $giret_row2 = mysql_fetch_array($giret_res2);
						// get the sum of conversions
						$sql = "SELECT SUM(to_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND to_product_id = '$to_product_id'"; 
						$rcon_res2 = mysql_query($sql); $rcon_row2 = mysql_fetch_array($rcon_res2); 
	
						// get the sum of sales
						$sql = "SELECT SUM(sd.quantity)
								FROM branch_sales s INNER JOIN bsale_details sd ON s.sale_id = sd.sale_id
								WHERE sd.product_id = '$to_product_id' AND s.branch_id = '$branch_id'";
						$tsale_res2 = mysql_query($sql); $tsale_row2 = mysql_fetch_array($tsale_res2);
						// get the sum of good returns to main office
						$sql = "SELECT SUM(rd.quantity)
								FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
								WHERE r.customer_id = '$customer_id' AND rd.product_id = '$to_product_id' AND rd.rtype = 1"; 
						$goret_res2 = mysql_query($sql); $goret_row2 = mysql_fetch_array($goret_res2);
						// get the sum of conversions
						$sql = "SELECT SUM(fr_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND fr_product_id = '$to_product_id'"; 
						$wcon_res2 = mysql_query($sql); $wcon_row2 = mysql_fetch_array($wcon_res2); 
						// get the sum of loss
						$sql = "SELECT SUM(bl.quantity)
								FROM branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id
								WHERE l.branch_id = '$branch_id' AND bl.product_id = '$to_product_id'"; 
						$gl_res2 = mysql_query($sql); $gl_row2 = mysql_fetch_array($gl_res2); 
						
						$good2 = ($tpur_row2[0] + $giret_row2[0] + $rcon_row2[0]) - ($tsale_row2[0] + $goret_row2[0] + $wcon_row2[0] + $gl_row2[0]);
	
						mysql_free_result($tpur_res2); mysql_free_result($giret_res2); mysql_free_result($tsale_res2); mysql_free_result($goret_res2);
						mysql_free_result($rcon_res2); mysql_free_result($wcon_res2); mysql_free_result($gl_res2);
						
						// get the ave_acq of the retail product
						$sql = "SELECT bp_id, ave_acq FROM branch_products WHERE branch_id = '$branch_id' AND product_id = '$to_product_id'";
						$to_res = mysql_query($sql) or die(mysql_error()); $to_row = mysql_fetch_array($to_res); 
						$bp_id2 = $to_row[0]; $ave_acq2 = $to_row[1]; 
						
						$quantity = $fr_units * $conv_units; 
						$new_inventory2 = $good2 + $quantity; 
						$new_ave_acq = (($quantity * ($ave_acq / $conv_units)) + ($good2 * $ave_acq2)) / $new_inventory2; 
						
						// update the inventory_level in branch_products table
						$sql = "UPDATE branch_products SET inventory = '$new_inventory2', ave_acq = '$new_ave_acq' WHERE bp_id = '$bp_id2' LIMIT 1";
						mysql_query($sql) or die(mysql_error());
						// insert the conversion into database
						if($count>1) $fr_units=0;
						$sql = "INSERT INTO branch_conversions( cdate, branch_id, user_id, fr_product_id, fr_units, to_product_id, to_units )
								VALUES( CURDATE(), '$branch_id', '$_SESSION[user_id]', '$product_id', '$fr_units', '$to_product_id', '$quantity' )";
						if (mysql_query($sql)) {
							print "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								height=30 align=center><font face=arial size=2><img src='lib/s_okay.png'><br><b>
								Product conversion has been added into the database</b>.<br>Click <a class=paging 
								href='branch_convert.php'>here</a> to add <b>ANOTHER PRODUCT CONVERSION</b>.</font></td></tr></table></td></tr></table></center><br>";
						} else {
							print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>
								There has been a mistake</b>.<br>Inventory levels were updated in the database but <b>product conversion
								has not been inserted into the database</b>.</font></td></tr></table></td></tr></table></center><br>";
						}
						$count+=1;	
					} 
					
					
				} else {
					$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
					$pres = mysql_query($sql); $prow = mysql_fetch_array($pres); $product_name = $prow[0];
					
					$sql = "UPDATE branch_products SET inventory = '$good' 
							WHERE branch_id = '$branch_id' AND product_id = '$product_id' LIMIT 1";
					mysql_query($sql) or die(mysql_error()); 

					echo "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td align=center><font face=arial size=2>
						<b>ERROR!</b> Insufficient stock for $product_name. Inventory was updated.</font></td></tr></table></td></tr></table></center><br>";
				}
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td><font color=red 
						face=arial size=2><b>The following problems occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "</font></td></tr></table></td></tr></table></center>\n";
				}
			show_form();
			}
			mysql_close();
		} else {
			show_form();
		}
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	// to get the position of the user
	$dres = mysql_query("SELECT position, branch_id FROM users WHERE user_id = '$_SESSION[user_id]'");
	$drow = mysql_fetch_array($dres); 
	$position = $drow[0]; $user_branch_id = $drow[1]; 

	?>
	<form name="Convert" action="branch_convert.php" method="POST">
		<div class="post">
			<h1 class="title">Convert Product To Retail</h1>
			<div class="entry">
				<table align="center">
					<thead class="data"><tr>
						<td align="center" width="150"></td>
						<td align="center" width="50"></td>
						<td align="center" width="50">Code</td>
						<td align="center" width="350">Product</td>
						<td align="center" width="50">Stock</td>
						<td align="center" width="50">Qty</td>
					</tr></thead>
					<tbody class="data">
						<tr class="odd">
							<td align="left">BRANCH</td>
							<td align="center">FROM</td>
							<td align="center"><input type="text" size="5" id="fr_product_num" name="fr_product_num" style="text-align:center;" onblur="BranchConvertRetail('fr_product_name', 'get_product_name.php', 'available', 'get_branch_avail.php', 'to_product_num', 'get_to_product_num.php', 'to_product_name', 'get_to_product_name.php', 'to_units', 'get_to_units.php', 'hidden_to_units', 'get_to_units.php', 'fr_product_num')"></td>
							<td align="center"><input type="text" size="65" id="fr_product_name" name="fr_product_name"></td>
							<td align="center"><input type="text" size="5" id="available" name="available" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="5" id="fr_units" name="fr_units" style="text-align:right;" onblur="ConvertUnit()"></td>
						</tr>
						<tr class="even">
							<td align="left"><select name="branch_id"><option value="0">Branch</option><?PHP
								$sql = "SELECT branch_id, branch_name FROM branches WHERE active = 1 ORDER BY branch_name";
								$bres = mysql_query($sql); 
								while ($brow = mysql_fetch_array($bres)) {
									if ($brow[0] == $user_branch_id) {
										?><option value="<?PHP echo $brow[0] ?>" Selected><?PHP echo $brow[1] ?></option><?PHP
									} else {
										?><option value="<?PHP echo $brow[0] ?>"><?PHP echo $brow[1] ?></option><?PHP
									}
								}
								?></select>&nbsp;&nbsp;<font color="red">*</font></td>
							<td align="center">TO</td>
							<td align="center"><input type="text" size="5" id="to_product_num" name="to_product_num" style="text-align:center;" readonly="true"></td>
							<td align="center"><input type="text" size="65" id="to_product_name" name="to_product_name" readonly="true"></td>
							<td align="center"></td>
							<td align="center"><input type="text" size="5" id="to_units" name="to_units" style="text-align:right;" readonly="true"></td>
						</tr>
						<tr class="odd"><td align="center" colspan="6">
							<input type="hidden" id="hidden_to_units" name="hidden_to_units">
							<input type="hidden" name="submitted" value="1">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valConvert()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}

?>