<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Branch Customers');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if ($_POST['field'] != "") {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$field = htmlentities(mysql_real_escape_string(stripslashes($_POST['field'])));
			} else {
				$field = htmlentities(mysql_real_escape_string($_POST['field']));
			}
			$branch_id = $_GET['branch_id'];
		} else {
			$branch_id = $_GET['branch_id'];
			$field = $_GET['field'];
			$page = $_GET['page'];
		}
		show_bcustomers($branch_id, $field, $page);

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_bcustomers($branch_id, $field, $page) {
	// to get the position of the user
	$sql = "SELECT position FROM users WHERE user_id = '$_SESSION[user_id]'"; 
	$pres = mysql_query($sql) or die(mysql_error()); $prow = mysql_fetch_array($pres); $position = $prow[0];
	
	$sql = "SELECT branch_name FROM branches WHERE branch_id = '$branch_id'";
	$bres = mysql_query($sql) or die(mysql_error()); $brow = mysql_fetch_array($bres); $branch_name = $brow[0];

	// If current page number, use it if not, set one!
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 

	// Define the number of results per page
	$max_results = 60;

	// Figure out the limit for the query based  on the current page number.
	$from = (($page * $max_results) - $max_results);

	// Make links to click in order for  user to sort by whichever column
	$allowed = array('c.company_name');
	$sortby = (in_array($_GET['sortby'], $allowed)) ? $_GET['sortby'] : 'c.company_name';

	if ($field == "") {
		// build and run the sql query
		$sql = "SELECT c.customer_id, c.company_name, c.contact_person, c.mun_addr, u.fname, c.dormant, c.frozen
				FROM branch_customers c INNER JOIN users u ON c.agent_id = u.user_id
				WHERE c.branch_id = '$branch_id'
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT customer_id FROM branch_customers WHERE branch_id = '$branch_id'";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);

		// get the total collectibles from all customers
		// sales balances
		$sql = "SELECT SUM(s.balance) 
				FROM branch_sales s INNER JOIN branch_customers c ON s.customer_id = c.customer_id 
				WHERE c.branch_id = '$branch_id'";
		$sales_res = mysql_query($sql); $sales_row = mysql_fetch_array($sales_res); $sales = $sales_row[0]; 
		// old balances
		$sql = "SELECT SUM(cob.balance) 
				FROM branch_cob cob INNER JOIN branch_customers c ON cob.customer_id = c.customer_id 
				WHERE c.branch_id = '$branch_id'";
		$cob_res = mysql_query($sql); $cob_row = mysql_fetch_array($cob_res); $cob = $cob_row[0]; 
		// returns
		$sql = "SELECT SUM(r.balance) 
				FROM returns_branches r INNER JOIN branch_customers c ON r.customer_id = c.customer_id 
				WHERE c.branch_id = '$branch_id'";
		$returns_res = mysql_query($sql); $returns_row = mysql_fetch_array($returns_res); $returns = $returns_row[0]; 
	} else {
		// build and run the sql query
		$sql = "SELECT c.customer_id, c.company_name, c.contact_person, c.mun_addr, u.fname, c.dormant, c.frozen
				FROM branch_customers c INNER JOIN users u ON c.agent_id = u.user_id
				WHERE c.branch_id = '$branch_id' AND c.company_name LIKE '%$field%'
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT c.customer_id
				FROM branch_customers c INNER JOIN users u ON c.agent_id = u.user_id
				WHERE c.branch_id = '$branch_id' AND c.company_name LIKE '%$field%'";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);

		// get the total collectibles from all customers
		// sales balances
		$sql = "SELECT SUM(s.balance) 
				FROM branch_sales s INNER JOIN branch_customers c ON s.customer_id = c.customer_id 
				WHERE c.branch_id = '$branch_id' AND c.company_name LIKE '%$field%'";
		$sales_res = mysql_query($sql); $sales_row = mysql_fetch_array($sales_res); $sales = $sales_row[0]; 
		// old balances
		$sql = "SELECT SUM(cob.balance) 
				FROM branch_cob cob INNER JOIN branch_customers c ON cob.customer_id = c.customer_id 
				WHERE c.branch_id = '$branch_id' AND c.company_name LIKE '%$field%'";
		$cob_res = mysql_query($sql); $cob_row = mysql_fetch_array($cob_res); $cob = $cob_row[0]; 
		// returns
		$sql = "SELECT SUM(r.balance) 
				FROM returns_branches r INNER JOIN branch_customers c ON r.customer_id = c.customer_id 
				WHERE c.branch_id = '$branch_id' AND c.company_name LIKE '%$field%'";
		$returns_res = mysql_query($sql); $returns_row = mysql_fetch_array($returns_res); $returns = $returns_row[0]; 
	}

	// Figure out the total number of pages we will have
	$total_pages = ceil($total_results / $max_results);

	// Figure out the current page result numbers
	$fr = $from + 1;
	$to = $from + $num;
	
	$collectibles = ($sales + $cob) - $returns; 

	// show the table and data
	?>
	<div class="post">
		<div id="search">
			<a id="icon2" class="th_img" href="add_branch_customer.php?branch_id=<?PHP echo $branch_id ?>"><img src="lib/file_add.png" width="16" height="16"></a>
			<a id="icon1" class="th_img" href="print_branch_customers.php?branch_id=<?PHP echo $branch_id ?>" target="new"><img src="lib/b_print.png"></a>
			<form method="POST" action="branch_customers.php?branch_id=<?PHP echo $branch_id ?>">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title"><?PHP echo $branch_name ?>'s Customers</h1>
		<div class="entry">
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
			<table>
				<thead class="data"><tr>
					<td width="200" align="center">Company Name</td>
					<td width="150" align="center">Contact Person</td>
					<td width="100" align="center">Agent</td>
					<td width="100" align="center">Balance</td>
					<td width="40" align="center">O.D.</td>
					<td width="30" align="center"></td>
					<td width="30" align="center"></td>
					<td width="50" align="center"></td>
				</tr></thead>
				<tbody class="data">
					<tr class="even">
						<td align="left"><b>TOTAL COLLECTIBLES</b></td>
						<td align="right"></td>
						<td align="right"></td>
						<td align="right"><b><?PHP echo number_format($collectibles, 2); ?></b></td>
						<td align="right"></td>
						<td align="right"></td>
						<td align="right"></td>
						<td align="right"></td>
						<td align="right"></td>
					</tr>
					<?PHP
					if ($num > 0) {
						$i = 1; 
						while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
							?>
								<td align="left"><a class="tddata" href="branch_customer.php?customer_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
								<td align="left"><?PHP echo $row[2] ?></td>
								<td align="left"><?PHP echo $row[4] ?></td>
								<td align="right"><?PHP
									$ts_res = mysql_query("SELECT SUM(balance) FROM branch_sales WHERE customer_id = '$row[0]'");
									$ts_row = mysql_fetch_array($ts_res); $ts = $ts_row[0];
									$ob_res = mysql_query("SELECT balance FROM branch_cob WHERE customer_id = '$row[0]'");
									$ob_row = mysql_fetch_array($ob_res); $ob = $ob_row[0];
									$rc_res = mysql_query("SELECT SUM(balance) FROM returns_branches WHERE customer_id = '$row[0]'");
									$rc_row = mysql_fetch_array($rc_res); $rc = $rc_row[0];
									$tbal = $ts + $ob - $rc;
									$cd_res = mysql_query("SELECT credit_limit FROM customers WHERE customer_id = '$row[0]'");
									$cd_row = mysql_fetch_array($cd_res); $cd = $cd_row[0];
									$total_balance = number_format($tbal, 2); 
									if ($tbal >= $cd) {
										echo "<font color=red><b><blink>$total_balance</blink></b></font>";
									} else {
										echo $total_balance;
									} ?></td>
								<td align="center"><?PHP
									$od_res = mysql_query("SELECT sale_id FROM branch_sales WHERE customer_id = '$row[0]' AND TO_DAYS(NOW()) >= TO_DAYS(due_date) AND balance > 0");
									$od_num = mysql_num_rows($od_res);
									if ($od_num > 0) {
										echo "<a class=tddata href='branch_customer.php?customer_id=$row[0]'>$od_num</a>";
									} ?></td>
								<td align="center"><?PHP if ($row[5] == 1) echo "<font color=red><b>D</b></font>"; ?></td>
								<td align="center"><?PHP if ($row[6] == 1) echo "<font color=red><b>F</b></font>"; ?></td>
								<td align="center"><a class="td_img" href="e_branch_customer.php?customer_id=<?PHP echo $row[0] ?>"><img src="lib/file_edit.png"></a>&nbsp;&nbsp;<a class="td_img" href="d_branch_customer.php?customer_id=<?PHP echo $row[0] ?>"><img src="lib/file_delete.png"></a></td>
							</tr>
							<?PHP
							$i++;
						}
						?>
						<tr class="odd">
							<td align="left"><b>TOTAL COLLECTIBLES</b></td>
							<td align="right"></td>
							<td align="right"></td>
							<td align="right"><b><?PHP echo number_format($collectibles, 2); ?></b></td>
							<td align="right"></td>
							<td align="right"></td>
							<td align="right"></td>
							<td align="right"></td>
							<td align="right"></td>
						</tr>
						<?PHP
					} else {
						?>
						<tr>
							<td align="center" colspan="8">There are NO existing records of branch customers</td>
						</tr>
						<?PHP				
					}
					?>
				</tbody>
			</table>
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}


?>