<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Product Inventory Tracking');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry product_id in the URL
		if (is_numeric($_GET['product_id'])) {
			$product_id = $_GET['product_id'];
			$branch_id = $_GET['branch_id'];
			// show form
			show_product($product_id);
			show_its($branch_id, $product_id);
		} else { // No _id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_its($branch_id, $product_id) {
	$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);

	// incoming transfers
	$sql = "SELECT l.bl_id, DATE_FORMAT(l.bl_date, '%b %e, %Y'), b.branch_name, wd.quantity
			FROM branch_losses l
				INNER JOIN bl_details wd ON l.bl_id = wd.bl_id
				INNER JOIN branches b ON l.branch_id = b.branch_id
			WHERE l.branch_id = '$branch_id' AND wd.product_id = '$product_id' AND wd.rtype = 3
			ORDER BY l.bl_id DESC";
	$it_res = mysql_query($sql);
	$it_num = mysql_num_rows($it_res);
	if ($it_num > 0) {
		$sql = "SELECT SUM(wd.quantity)
				FROM branch_losses l INNER JOIN bl_details wd ON l.bl_id = wd.bl_id
				WHERE l.branch_id = '$branch_id' AND wd.product_id = '$product_id' AND wd.rtype = 3"; 
		$tit_res = mysql_query($sql); $tit_row = mysql_fetch_array($tit_res);
	}

	?>
    <div class="post">
        <h1 class="title">Detailed Expired <?PHP echo $row[0] ?></h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="360" valign="top">
					<table width="360">
						<thead class="data">
							<tr><td colspan="3" align="center"><b>Expired Products</b></td></tr>
							<tr>
								<td width="100" align="center">Date</td>
								<td width="180" align="center">Branch</td>
								<td width="50" align="center">Qty</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
						if ($it_num > 0) {
							$i = 1;
							while ($it_row = mysql_fetch_array($it_res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="branch_loss.php?bl_id=<?PHP echo $it_row[0] ?>"><?PHP echo $it_row[1] ?></td></td>
									<td align="left"><?PHP echo $it_row[2] ?></td>
									<td align="right"><?PHP echo number_format($it_row[3], 2); ?></td>
								</tr>
								<?PHP
								$i++;
							}
							?>
							<tr class="total">
								<td align="right" colspan="2"><b>TOTAL</b>&nbsp;</td><td align="right"><b><?PHP echo number_format($tit_row[0], 2); ?></b></td>
							</tr>
							<?PHP
						} else {
							?>
							<tr>
								<td align="center" colspan="3">There are NO existing records of expired <?PHP echo $row[0] ?></td>
							</tr>
							<?PHP				
						}
						?>
						</tbody>
					</table>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}


?>