<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Product Inventory Tracking');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry product_id in the URL
		if (is_numeric($_GET['product_id'])) {
			$product_id = $_GET['product_id'];
			$branch_id = $_GET['branch_id'];
			// show form
			show_product($product_id);
			show_its($branch_id, $product_id);
		} else { // No _id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_its($branch_id, $product_id) {
	$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);
	// get the customer_id of the branch
	$sql = "SELECT customer_id FROM customer_branches WHERE branch_id = '$branch_id'";
	$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $customer_id = $crow[0];

	// good items returned to suppliers
	$sql = "SELECT r.rc_id, r.ref_num, DATE_FORMAT(r.rc_date, '%b %e, %Y'), w.whouse_name, rs.quantity
			FROM returns_customers r
				INNER JOIN rc_details rs ON r.rc_id = rs.rc_id
				INNER JOIN warehouses w ON r.whouse_id = w.whouse_id
			WHERE r.customer_id = '$customer_id' AND rs.product_id = '$product_id' AND rs.rtype = 3
			ORDER BY r.rc_id DESC";
	$gr_res = mysql_query($sql);
	$gr_num = mysql_num_rows($gr_res);
	if ($gr_num > 0) {
		$sql = "SELECT SUM(rs.quantity)
				FROM returns_customers r INNER JOIN rc_details rs ON r.rc_id = rs.rc_id
				WHERE r.customer_id = '$customer_id' AND rs.product_id = '$product_id' AND rs.rtype = 3"; 
		$tgr_res = mysql_query($sql); $tgr_row = mysql_fetch_array($tgr_res);
	}

	?>
    <div class="post">
        <h1 class="title">Returned Expired Items To Warehouse - <?PHP echo $row[0] ?></h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="360" valign="top">
					<table width="360">
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Returned Expired Items</b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Date</td>
								<td width="150" align="center">Warehouse</td>
								<td width="50" align="center">Qty</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
						if ($gr_num > 0) {
							$j = 1;
							while ($gr_row = mysql_fetch_array($gr_res)) {
								$n = fmod($j, 2);
								if ($n == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="creturn.php?rc_id=<?PHP echo $gr_row[0] ?>"><?PHP echo $gr_row[1] ?></a></td></td>
									<td align="center"><?PHP echo $gr_row[2] ?></td>
									<td align="left"><?PHP echo $gr_row[3] ?></td>
									<td align="right"><?PHP echo number_format($gr_row[4], 2); ?></td>
								</tr>
								<?PHP
								$j++;
							}
							?>
							<tr class="total">
								<td align="right" colspan="3"><b>TOTAL</b>&nbsp;</td><td align="right"><b><?PHP echo number_format($tgr_row[0], 2); ?></b></td>
							</tr>
							<?PHP
						} else {
							?>
							<tr>
								<td align="center" colspan="3">There are NO existing records of returned expired items to warehouse for this product</td>
							</tr>
							<?PHP				
						}
						?>
						</tbody>
					</table>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}


?>