<?php

function shortcut_banner($branch_id){ ?>
	<div class="post">
		<h1 class="title">Shortcuts</h1>
		<div class="entry">
			<table>
				<tbody class="data">
					<tr class="odd" align="center" height="30px">
						<td style="width: 110px;"><input type="button" class="button blue" value="Sales" style="width: 100px;" onclick="location.href='point_of_sale.php?branch_id=<?php echo $branch_id ?>';"></td>
						<td style="width: 110px;"><input type="button" class="button blue" value="Purchases" style="width: 100px;" onclick="location.href='branch_purchases.php?branch_id=<?php echo $branch_id ?>';"></td>
						<td style="width: 110px;"><input type="button" class="button blue" value="Conversions" style="width: 100px;" onclick="location.href='branch_convert_product.php?branch_id=<?php echo $branch_id ?>';"></td>
						<td style="width: 110px;"><input type="button" class="button blue" value="Expenses" style="width: 100px;" onclick="location.href='add_branch_expense.php?branch_id=<?php echo $branch_id ?>';"></td>
					</tr>
					<tr class="odd" align="center" height="30px">
						<td><input type="button" class="button blue" value="Remittances" style="width: 100px;" onclick="location.href='add_remittance.php?branch_id=<?php echo $branch_id ?>';"></td>
						<td><input type="button" class="button blue" value="Excesses" style="width: 100px;" onclick="location.href='add_excess.php?branch_id=<?php echo $branch_id ?>';"></td>
						<td><input type="button" class="button blue" value="Pay Old Balance" style="width: 100px;" onclick="location.href='pay_branch_customer_cob.php?branch_id=<?php echo $branch_id ?>';"></td>
						<td><input type="button" class="button blue" value="Report" style="width: 100px;" onclick="location.href='branch_rpt.php?branch_id=<?php echo $branch_id ?>';"></td>
					</tr>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div><?php
}

function return_display($rbi_id){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	$rc_id = sql_fld('rc_id', 'returns_branches_info', 'rbi_id=\''.$rbi_id.'\'');
	$branch_id = sql_fld('branch_id', 'returns_branches_info', 'rbi_id=\''.$rbi_id.'\'');
	$branch_name = sql_fld('branch_name', 'branches', 'branch_id=\''.$branch_id.'\'');
	$return_line = sql_rec('returns_branches_info', 'rbi_id=\''.$rbi_id.'\'');
	$return_dtls = sql_qry("SELECT r.rbp_id, p.product_name, r.rtype, r.quantity, r.unit_price, r.net_price, r.notes
							FROM returns_branches_pending r
								INNER JOIN products p ON r.product_id = p.product_id
							WHERE r.rbi_id = '$rbi_id'
							ORDER BY r.rbp_id ASC");
	$user = _GET_POST($_SESSION['user_id']);
	$position = sql_fld('position', 'users', 'user_id=\''.$user.'\''); ?>
	<div class="post">
		<h1 class="title"><?php echo $rc_id==0?'Pending':'Confimed' ?> Returns - <?php echo $branch_name ?></h1>
		<div class="entry">
			<table>
				<tbody class="data">
					<tr class="odd">
						<td align="right" width="150px">Return ID&nbsp;</td>
						<td align="left"  width="200px">&nbsp;<?php echo $return_line['rbi_id'] ?></td>
						<td align="right" width="150px">Date Returned&nbsp;</td>
						<td align="left"  width="200px">&nbsp;<?php echo date_format(date_create($return_line['req_date']), 'M. d, Y') ?></td>
					</tr>
					<tr class="even">
						<td align="right">Loss ID&nbsp;</td>
						<td align="left" >&nbsp;<?php echo $return_line['bl_id'] ?></td>
						<td align="right">Amount of products sent&nbsp;</td>
						<td align="left" >&nbsp;<?php echo $return_line['pend_line_total']?></td>
					</tr>
					<tr class="odd">
						<td align="right">Encoded by&nbsp;</td>
						<td align="left" colspan="3">&nbsp;<?php echo sql_fld('CONCAT(fname, \' \', lname)', 'users', 'user_id=\''.$return_line['enc_id'].'\'') ?></td>
					</tr>
					<tr class="even">
						<td align="center" colspan="4">&nbsp;</td>
					</tr>
					<tr class="odd">
						<td align="right">Confirm ID&nbsp;</td>
						<td align="left" >&nbsp;<?php echo $return_line['con_id']==0?'':$return_line['rc_id'] ?></td>
						<td align="right">Amount of products received&nbsp;</td>
						<td align="left" >&nbsp;<?php echo $return_line['con_id']==0?'':$return_line['conf_line_total'] ?></td>
					</tr>
					<tr class="even">
						<td align="right">Confirmed by&nbsp;</td>
						<td align="left" >&nbsp;<?php echo $return_line['con_id']==0?'':sql_fld('CONCAT(fname, \' \', lname)', 'users', 'user_id=\''.$return_line['con_id'].'\'') ?></td>
						<td align="right">Date confirmed&nbsp;</td>
						<td align="left" >&nbsp;<?php echo $return_line['con_id']==0?'':date_format(date_create($return_line['con_date']), 'M. d, Y') ?></td>
					</tr><?php
					if (($position != 4 && $position != 7) && $return_line['con_id']==0){ ?>
					<tr class="odd">
						<td align="center" colspan="4"><form action="<?php echo $link.'?rbi_id='.$rbi_id ?>" method="POST"><input type="hidden" name="rbi_id" value="<?php echo $rbi_id ?>"><input type="submit" class="button blue" name="cfm" value="Confirm this Return" onclick="return confirm('Do you want confirm this return?')"></form></td>
					</tr><?php
					} ?>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div>
	<br>
	<div class="post">
		<h1 class="title"><?php echo $rc_id==0?'Pending':'Confimed' ?> Returns - <?php echo $branch_name ?></h1>
		<div class="entry">
			<table>
				<thead class="data">
					<tr align="center" height="20px">
						<td width="150px">Product</td>
						<td width=" 60px">Status</td>
						<td width=" 60px">Quantity</td>
						<td width=" 60px">Unit Price</td>
						<td width=" 60px">Net Price</td>
						<td width="250px">Notes</td><?php
						if (($position != 4 && $position != 7) && $return_line['con_id']!=0){ ?>
						<td width=" 60px">&nbsp;</td><?php
						} ?>
					</tr>
				</thead>
				<tbody class="data"><?php $i=0;
				while ($return_dtls_items = mysql_fetch_assoc($return_dtls)){ 
					$i++; ?>
					<tr class="<?php echo $i%2==0?'even':'odd' ?>">
						<td align="left"  ><?php echo $return_dtls_items['product_name'] ?></td>
						<td align="center"><?php switch ($return_dtls_items['rtype']) {
							case '1':
								echo "Good";
								break;
							case '2':
								echo "Damaged";
								break;
							case '3':
								echo "Expired";
								break;
							case '4':
								echo "Expiring";
								break;
							default:
								echo "Error!!";
								break;
						} ?></td>
						<td align="right" ><?php echo number_format($return_dtls_items['quantity'], 2) ?></td>
						<td align="right" ><?php echo number_format($return_dtls_items['unit_price'], 2) ?></td>
						<td align="right" ><?php echo number_format($return_dtls_items['net_price'], 2)?></td>
						<td align="center"><?php echo $return_dtls_items['notes'] ?></td><?php
						if (($position != 4 || $position != 7) && $return_line['con_id']!=0){ ?>
						<td width=" 60px">&nbsp;<!--link for confirming items goes here or maybe a button or maybe a floater--></td><?php
						} ?>
					</tr><?php
				} ?>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div><?php
}
function prep_returns($branch_id){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	$date = sql_curdate(); ?>
	<form action="<?php echo $link.'?branch_id='.$branch_id ?>" method="POST">
	<div class="post">
		<h1 class="title">Pending Returns</h1>
		<div class="entry">
			<table>
				<tbody class="data">
					<tr class="odd" height="25px">
						<td align="right" width="100">Date :&nbsp;</td>
						<td align="left" width="200">&nbsp;<input readonly id="retdate" type="text" size="10" name="retdate" value="<?php echo $date?>" style="text-align: center; width: 80px; height: 19px">&nbsp;<font color="red">*</font><a class="td_img" href="javascript:ret_date.popup();">&nbsp;<img src="lib/b_calendar.png" style="vertical-align: -30%"></a></td>
					</tr>
					<tr class="even" height="25px">
						<td align="right">Branch :&nbsp;</td>
						<td align="left">&nbsp;<?php echo sql_fld('branch_name', 'branches', 'branch_id=\''.$branch_id.'\'') ?><input id="branch_id" type="hidden" name="branch_id" value="<?php echo $branch_id ?>"></td>
					</tr>
					<tr class="odd" height="25px">
						<td align="right">Encoder :&nbsp;</td>
						<td align="left">&nbsp;<?php echo sql_fld('CONCAT(fname, \' \', lname)', 'users', 'user_id=\''.$_SESSION['user_id'].'\'') ?></td>
					</tr>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div>
	<div class="post">
		<h1 class="title">Add Poducts for Returns</h1>
		<div class="entry">
			<table>
				<thead class="data">
					<tr align="center">
						<td>Status</td>
						<td width="160px">Product</td>
						<td width=" 60px" align="center">Stock</td>
						<td width=" 60px" align="center">Quantity</td>
						<td width=" 60px" align="center">Price</td>
						<td width=" 60px" align="center">Net Price</td>
						<td width="210px">Notes</td>
					</tr>
				</thead>
				<tbody class="data"><?php 
					for ($i=1; $i<=20; $i++){ ?>
					<tr class="<?php echo $i%2==0?'even':'odd' ?>" align="center" height="20px">
						<td class="td_rtype"><select class="rtype" name="rtype[]">
								<option style="font-weight: bolder" selected> -- </option>
								<option value="1" style="font-weight: bolder">Good</option>
								<option value="2" style="font-weight: bolder">Damaged</option>
								<option value="3" style="font-weight: bolder">Expired</option>
								<option value="4" style="font-weight: bolder">Expiring</option>
							</select></td>
						<td class="td_prod"><input type="text" class="prod" style="width: 150px; text-align: center; height: 16px" autocomplete="off">
							<input type="hidden" class="hdn_prod" name="prod[]">
							<div class="suggestionsBox" style="display: none"></div>
						</td>
						<td class="td_stck"><input type="text" class="stck" name="stck[]" style="width:  50px; text-align:  right; height: 16px" autocomplete="off" readonly></td>
						<td class="td_qnty"><input type="text" class="qnty" name="qnty[]" style="width:  50px; text-align:  right; height: 16px" autocomplete="off"></td>
						<td class="td_prce"><input type="text" class="prce" name="prce[]" style="width:  50px; text-align:  right; height: 16px" autocomplete="off"></td>
						<td class="td_nprc"><input type="text" class="nprc" name="nprc[]" style="width:  50px; text-align:  right; height: 16px" autocomplete="off" readonly></td>
						<td class="td_note"><input type="text" class="note" name="note[]" style="width: 200px; text-align: center; height: 16px" autocomplete="off"></td>
					</tr><?php
					} ?>
					<tr class="<?php echo $i%2==0?'even':'odd' ?>" align="center" height="20px">
						<td colspan="7"><input id="sbt" type="submit" class="button blue" name="sbt" value="Submit"></td>
					</tr>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div>
	</form>
	<script type="text/javascript">
		var ret_date = new calendar(document.getElementById('retdate'));
		ret_date.year_scroll = true; ret_date.time_comp = false;
		var timer;
		$('.prod').keyup(function(){
			var prod_name = $(this).val();
			var branch_id = $('#branch_id').val();
			var orig_elmt = $(this);
			var slt_swtch = orig_elmt.parents('.td_prod').siblings('.td_rtype').children('.rtype').val();
			if ($.isNumeric(slt_swtch) == false){
				clearTimeout(timer);
				orig_elmt.val('');
				orig_elmt.siblings('.hdn_prod').val('');
				orig_elmt.parents('.td_prod').siblings('.td_rtype').children('.rtype').children('option').removeAttr('selected').filter('[value=0]').attr('selected', true);
				orig_elmt.parents('.td_prod').siblings('.td_stck').children('.stck').val('');
				orig_elmt.parents('.td_prod').siblings('.td_qnty').children('.qnty').val('');
				orig_elmt.parents('.td_prod').siblings('.td_prce').children('.prce').val('');
				orig_elmt.parents('.td_prod').siblings('.td_nprc').children('.nprc').val('');
				orig_elmt.parents('.td_prod').siblings('.td_nprc').children('.hd_nprc').val('');
				orig_elmt.parents('.td_prod').siblings('.td_note').children('.note').val('');
				$('.suggestionsBox').html('').hide();
				orig_elmt.parents('.td_prod').siblings('.td_rtype').children('.rtype').css('background-color', 'red');
				return alert('Please select status first.');
			}
			if (prod_name.length > 0){
				clearTimeout(timer);
				$('.suggestionsBox').html('').hide();
				timer = setTimeout(function(){
					prod_fetch(prod_name, branch_id, orig_elmt);
				}, 1000);
			} else {
				clearTimeout(timer);
				orig_elmt.val('');
				orig_elmt.siblings('.hdn_prod').val('');
				orig_elmt.parents('.td_prod').siblings('.td_rtype').children('.rtype').children('option').removeAttr('selected').filter('[value=0]').attr('selected', true);
				orig_elmt.parents('.td_prod').siblings('.td_stck').children('.stck').val('');
				orig_elmt.parents('.td_prod').siblings('.td_qnty').children('.qnty').val('');
				orig_elmt.parents('.td_prod').siblings('.td_prce').children('.prce').val('');
				orig_elmt.parents('.td_prod').siblings('.td_nprc').children('.nprc').val('');
				orig_elmt.parents('.td_prod').siblings('.td_nprc').children('.hd_nprc').val('');
				orig_elmt.parents('.td_prod').siblings('.td_note').children('.note').val('');
				$('.suggestionsBox').html('').hide();
			}
		});
		$('select').click(function(){
			$(this).css('background-color', 'white');
		});
		$('.rtype').change(function(){
			var slt_v = $(this).children('option:selected').val();
			if (!isNaN(slt_v)){
				$(this).parents('.td_rtype').siblings('.td_prod').children('.prod').focus();
			}
		});
		$('.prce').keyup(function(){
			var prce = $(this).val();
			var qnty = $(this).parents('.td_prce').siblings('.td_qnty').children('.qnty').val();
			$(this).parents('.td_prce').siblings('.td_nprc').children('.nprc').val((qnty*prce).toFixed(2));
		});
		$('.qnty').keyup(function(){
			var stck = $(this).parents('.td_qnty').siblings('.td_stck').children('.stck').val(); var f_stck = parseFloat(parseFloat(stck).toFixed(10));
			var qnty = $(this).val(); var f_qnty = parseFloat(parseFloat(qnty).toFixed(10));
			if (f_stck < f_qnty && qnty.length > 0){
				$(this).val('');
				return alert('Not enough stock to return');
			}
			if (qnty.length > 0){
				var prce = $(this).parents('.td_qnty').siblings('.td_prce').children('.prce').val();
				$(this).parents('.td_qnty').siblings('.td_nprc').children('.nprc').val((qnty*prce).toFixed(2));
			}
		});
		function prod_fetch(prod_name, branch_id, element){
			$.post('get_rprod.php', {
				prod_name: prod_name,
				branch_id: branch_id
			}, function(data){
				if (data.length > 0){
					element.siblings('.suggestionsBox').html(data).show();	
				}
			});
		}
		function prod_catch(orig_elmt, prod_dtls, prod_name, prod_good, prod_prce){
			if (prod_dtls.length > 3){
				orig_elmt.parents('.td_prod').children('.prod').val(prod_name);
				orig_elmt.parents('.td_prod').children('.hdn_prod').val(prod_dtls);
				orig_elmt.parents('.td_prod').siblings('.td_stck').children('.stck').val(prod_good);
				orig_elmt.parents('.td_prod').siblings('.td_prce').children('.prce').val(prod_prce);
				setTimeout(function(){
					orig_elmt.parents('.td_prod').children('.suggestionsBox').html('').hide();
					orig_elmt.parents('.td_prod').siblings('.td_qnty').children('.qnty').focus();
				}, 200);
				return;
			} else {
				orig_elmt.parents('.td_prod').children('.prod').val('');
				orig_elmt.parents('.td_prod').children('.hdn_prod').val('');
				orig_elmt.parents('.td_prod').siblings('.td_stck').children('.stck').val('');
				orig_elmt.parents('.td_prod').siblings('.td_prce').children('.prce').val('');
				return;
			}
		}
	</script><?php
}
function show_pending_product_returns($branch_id){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	if (isset($_POST['field'])){ $field = _GET_POST($_POST['field']); }
	else if (isset($_GET['field'])){ $field = _GET_POST($_GET['field']); }
	else { $field = '';	}
	$ary_allowed = array('r.con_date DESC', 'r.req_date DESC');
	$sort = _GET_POST($_GET['sortby']);
	$sortby = (in_array($sort, $ary_allowed)?$sort:$ary_allowed[0]);
	$page = (!isset($_GET['page'])?1:_GET_POST($_GET['page']));
	$max_res = 30;
	$from = ($page * $max_res) - $max_res;
	if ($field == ''){
		$ary_index = array(
			'branch_id'	=> $branch_id,
			'sortby'	=> $sortby
		);
	} else {
		$ary_index = array(
			'branch_id'	=> $branch_id,
			'field'		=> $field,
			'sortby'	=> $sortby
		);
	}
	$return_rec = sql_qry("SELECT r.rbi_id, DATE_FORMAT(r.req_date, '%b. %d, %Y') AS req_date, u.fname, bl_id, b.branch_name, r.pend_line_total
						FROM returns_branches_info r
							INNER JOIN users u ON r.enc_id = u.user_id
							INNER JOIN branches b ON r.branch_id = b.branch_id
						WHERE r.con_id = 0 AND r.branch_id = '$branch_id'
						ORDER BY r.req_date DESC");//add limit if posible
	$confirmed_rec = sql_qry("SELECT r.rbi_id, DATE_FORMAT(r.con_date, '%b. %d, %Y') AS con_date, u.fname, bl_id, b.branch_name, r.conf_line_total
						FROM returns_branches_info r
							INNER JOIN users u ON r.con_id = u.user_id
							INNER JOIN branches b ON r.branch_id = b.branch_id
						WHERE r.con_id <> 0 AND r.branch_id = '$branch_id' ".($field==''?"":"AND r.rbi_id = '$field'")."
						ORDER BY $sortby
						LIMIT $from, $max_res");
	$total_res = sql_fld("COUNT(rbi_id)", "returns_branches_info", "con_id <> 0 AND branch_id = '$branch_id' ".($field==''?"":"AND rbi_id = '$field'")); ?>
	<div class='post'>
		<div id="search">
			<a id="icon1" class="th_img" href="add_branch_return_to_supplier.php?branch_id=<?php echo $branch_id ?>"><img src="lib/file_add.png" width="16" height="16"></a>
		</div>
		<h1 class='title'><?php echo sql_fld('branch_name', 'branches', 'branch_id=\''.$branch_id.'\'') ?> - Branch Pending Product Returns</h1>
		<div class='entry'>
			<table>
				<thead class="data">
					<tr height="35px" align="center">
						<td width="100px">Return ID</td>
						<td width="100px">Request Date</td>
						<td width="100px">Loss ID</td>
						<td width="100px">Branch</td>
						<td width="100px">Line Total</td>
						<td width="100px">Encoder</td>
					</tr>
				</thead>
				<tbody class="data"><?php
				$i = 0;
				while ($pending_return = mysql_fetch_assoc($return_rec)){
					$i++; ?>
					<tr class="<?php echo $i%2==0?'even':'odd' ?>" align="center">
						<td><a href="branch_return_to_supplier_record.php?rbi_id=<?php echo $pending_return['rbi_id'] ?>"><?php echo $pending_return['rbi_id'] ?></a></td>
						<td><?php echo $pending_return['req_date'] ?></td>
						<td><a href="branch_loss.php?bl_id=<?php echo $pending_return['bl_id'] ?>"><?php echo $pending_return['bl_id'] ?></a></td>
						<td><?php echo $pending_return['branch_name'] ?></td>
						<td><?php echo $pending_return['pend_line_total'] ?></td>
						<td><?php echo $pending_return['fname'] ?></td>
					</tr><?php
				} ?>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div>
	<br>
	<div class='post'>
		<div id="search">
			<form method="POST" action="<?php echo $link ?>?branch_id=<?php echo $branch_id ?>">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class='title'><?php echo sql_fld('branch_name', 'branches', 'branch_id=\''.$branch_id.'\'') ?> - Branch Confirmed Product Returns</h1>
		<div class='entry'>
		<!---	paginations here --->
			<table>
				<thead class="data">
					<tr height="35px" align="center">
						<td width="100px">Return ID</td>
						<td width="100px">Confirm Date</td>
						<td width="100px">Confirmed<br>Return ID</td>
						<td width="100px">Branch</td>
						<td width="100px">Line Total</td>
						<td width="100px">Confirmer</td>
					</tr>
				</thead>
				<tbody class="data"><?php
				$i = 0;
				while ($confirmed_return = mysql_fetch_assoc($confirmed_rec)){
					$i++; ?>
					<tr class="<?php echo $i%2==0?'even':'odd' ?>" align="center">
						<td><?php echo $pending_return['rbi_id'] ?></td>
						<td><?php echo $pending_return['req_date'] ?></td>
						<td><?php echo $pending_return['bl_id'] ?></td>
						<td><?php echo $pending_return['branch_name'] ?></td>
						<td><?php echo $pending_return['conf_line_total'] ?></td>
						<td><?php echo $pending_return['fname'] ?></td>
					</tr><?php
				} ?>
				</tbody>
			</table>
			<!---	paginations here --->
		</div>
		<p class="meta"></p>
	</div><?php
}
function branch_sale_info($sale_id){
	$branch_sale_dtls = sql_rec('branch_sales', 'sale_id='.$sale_id);
	shortcut_banner($branch_sale_dtls['branch_id']);
	$branch_name = sql_fld('branch_name', 'branches', 'branch_id='.$branch_sale_dtls['branch_id']);
	$position = sql_fld('position', 'users', 'user_id=\''.$_SESSION['user_id'].'\'');
	//-------------php code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<div class='post'>
		<h1 class='title'>Branch Sale Details</h1>
		<div class='entry'>
			<table>
				<tr class='odd' height='20px'>
					<td colspan='2'>
						<input type='button' class='button blue' value='View All'		 onClick='vall();'>&nbsp;&nbsp;
						<input type='button' class='button blue' value='View Details' 	 onClick='vdet();'>&nbsp;&nbsp;
						<input type='button' class='button blue' value='Add' 			 onClick='asale()'>&nbsp;&nbsp;
						<input type='button' class='button blue' value='Print' 			 onClick='bprnt();'>&nbsp;&nbsp;
						<input type='button' class='button blue' value='Delete'			 onClick='dsale();'>&nbsp;&nbsp;
						<input type='button' class='button blue' value='Add Product' 	 onClick='asaleprod()'>&nbsp;&nbsp;
						<input type='button' class='button blue' value='Add Payment' 	 onClick='asalepmnt()'>&nbsp;&nbsp;
						<input type='button' class='button blue' value='Modify Discount' onClick='esaledscnt()'>
					</td>
				</tr>
				<tr class='even' height='20px'>
					<td align='right' width='200px'>Account:&nbsp;</td>
					<td align='left'>&nbsp;Bicol Tenese Trading Corporation - <?php echo $branch_name?></td>
				</tr>
				<tr class='odd' height='20px'>
					<td align='right'>Sale No.:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo $sale_id ?></td>
				</tr>
				<tr class='even' height='20px'>
					<td align='right'>Date Sold:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo date_format(date_create($branch_sale_dtls['delivery_date']), 'M. d, Y')?></td>
				</tr>
				<tr class='odd' height='20px'>
					<td align='right'>Due Date:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo date_format(date_create($branch_sale_dtls['due_date']), 'M. d, Y')?></td>
				</tr>
				<tr class='even' height='20px'>
					<td align='right'>OR Nos:&nbsp;</td>
					<td align='left'>&nbsp;<?php $bsp_ids = sql_qry('SELECT bsp_id FROM bspayments WHERE sale_id=\''.$sale_id.'\' AND deleted=\'0\' ORDER BY bsp_id ASC');
					$id_count = sql_fld('COUNT(bsp_id)', 'bspayments', 'sale_id=\''.$sale_id.'\' AND deleted=\'0\''); $i = 0;
					while ($bsp_id = mysql_fetch_assoc($bsp_ids)){
						$i++;
						echo $i>=$id_count?$bsp_id['bsp_id']:$bsp_id['bsp_id'].', ';
					}
				?>	</td>
				</tr>
				<tr class='odd' height='20px'>
					<td align='right'>Customer:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo sql_fld('company_name', 'branch_customers', 'customer_id='.$branch_sale_dtls['customer_id'])?></td>
				</tr>
				<tr class='even' height='20px'>
					<td align='right'>Received By:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo $branch_sale_dtls['received_by']?></td>
				</tr>
				<tr class='odd' height='20px'>
					<td align='right'>Total:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo number_format($branch_sale_dtls['line_total'], 2)?></td>
				</tr>
				<tr class='even' height='20px'>
					<td align='right'>Payment:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo number_format(sql_fld('SUM(amount)', 'bspayments', 'sale_id='.$sale_id.' AND good=1 AND deleted=0'), 2)?></td>
				</tr>
				<tr class='odd' height='20px'>
					<td align='right'>Balance:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo number_format($branch_sale_dtls['balance'], 2)?></td>
				</tr>
				<tr class='even' height='20px'>
					<td align='right'>Revenue:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo number_format($branch_sale_dtls['revenue'], 2)?></td>
				</tr>
				<tr class='odd' height='20px'>
					<td align='right'>Good:&nbsp;</td>
					<td align='left'>&nbsp;<input id='good' type='checkbox' disabled <?php echo ($branch_sale_dtls['balance'] == 0 AND $branch_sale_dtls['line_total'] > 0)?'checked':''?>></td>
				</tr>
				<tr class='even' height='20px'>
					<td align='right'>Note:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo $branch_sale_dtls['notes']?></td>
				</tr>
				<tr class='odd' height='20px'>
					<td align='right'>Encoder:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo sql_fld('CONCAT(fname, \' \', lname)', 'users', 'user_id='.$branch_sale_dtls['user_id'])?></td>
				</tr>
				<tr class='even' height='20px' <?php echo $branch_sale_dtls['deleted']!=0?'style=\'background-color: #FF6373\'':''?>>
					<td align='right'>Delete Reason:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo $branch_sale_dtls['deleted']!=0?sql_fld('del_reason', 'branch_del_reason', 'dr_id=\''.$branch_sale_dtls['deleted'].'\''):''?></td>
				</tr>
			</table>
		</div>
		<p class='meta'></p>
	</div>
<?php
	jscript("
		function vall(){
			window.location='branch_sales.php?branch_id=".$branch_sale_dtls['branch_id']."';
		}
		function vdet(){
			window.location='point_of_sale_dtls.php?sale_id=".$sale_id."';
		}
		function asale(){
			window.location='point_of_sale.php?branch_id=".$branch_sale_dtls['branch_id']."';
		}
		function bprnt(){
			window.open('print_branch_sale.php?sale_id=".$sale_id."');
		}
		function dsale(){
			window.open('point_of_sale_del_sale.php?sale_id=".$sale_id."');
		}
		function asaleprod(){
			window.location='point_of_sale_items.php?sale_id=".$sale_id."';
		}
		function asalepmnt(){".(($position == 1 || $position == 2 || $position == 3)?"window.location='point_of_sale_add_payment.php?sale_id=".$sale_id."';":"if ($('#good').is(':checked')){
				alert('This sale is already paid. No need to pay more than what it should be.');
			} else {
				window.location='point_of_sale_add_payment.php?sale_id=".$sale_id."';
			}")."
		}
		function esaledscnt(){
			if ($('#good').is(':checked')){
				alert('This sale is already paid. No need to edit discount.');
			} else {
				window.location='point_of_sale_edit_discount.php?sale_id=".$sale_id."';
			}
		}
	"); 
}
function branch_sale_products($sale_id){
	$domain = $_SESSION['domain'];
	$linker = _GET_POST($_SERVER['PHP_SELF']);
	$rec_count = sql_fld('COUNT(sd_id)', 'bsale_details', 'sale_id='.$sale_id);
	$bsale_products = sql_qry('SELECT sd_id, product_id, unit_price, unit_discount, quantity, net_price, deleted FROM bsale_details WHERE sale_id='.$sale_id.' ORDER BY sd_id ASC'); 
	$user_id = sql_fld('user_id', 'branch_sales', 'sale_id='.$sale_id);
	$encoder = sql_fld('CONCAT(fname, \' \', lname)', 'users', 'user_id='.$user_id);
	$branch_sale_dtls = sql_rec('branch_sales', 'sale_id='.$sale_id);
	//-------------php code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<div class='post'>
		<h1 class='title'>Sold Products</h1>
		<div class='entry'>
			<table>
				<thead class='data'>
					<tr height='30px' align='center'>
						<td width='150px'>Product</td>
						<td width=' 50px'>Selling Price</td>
						<td width=' 50px'>Discount</td>
						<td width=' 50px'>Quantity</td>
						<td width=' 50px'>Total</td>
						<td width=' 50px'>Ave. Acq.</td>
						<td width=' 50px'>Revenue</td>
						<td width='125px'>Encoder</td>
						<td width='125px'>Deleted</td>
<?php
					if ($linker == ('/'.$domain.'/point_of_sale_items.php') || $linker == ('/'.$domain.'/get_sale_pad_add_items.php')){
?>
						<td width=' 30px'></td>
<?php
					}
?>
					</tr>
				</thead>
				<tbody class='data'>
<?php
		$total_sales = 0;
		if ($rec_count > 0){
			$i=0; 
			while ($bsaleprod_dtls = mysql_fetch_assoc($bsale_products)){
				$i++; $bsaleprod_dtls['deleted']==0?$total_sales = $total_sales + $bsaleprod_dtls['net_price']:'';
				$prod_name = sql_fld('product_name', 'products', 'product_id='.$bsaleprod_dtls['product_id']);
				$revenue_per_item = sql_fld("quantity*((unit_price-unit_discount)-acq_price)", "bsale_details", "sd_id=$bsaleprod_dtls[sd_id]");
				$ave_acq = sql_fld("acq_price", "bsale_details", "sd_id=$bsaleprod_dtls[sd_id]");
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>' height='20px' <?php echo $bsaleprod_dtls['deleted']==0?'':'style=\'background-color: #FF6373\''?>>
						<td align='left'>&nbsp;<?php echo $prod_name?></td>
						<td align='right'><?php echo number_format($bsaleprod_dtls['unit_price'], 2)?>&nbsp;</td>
						<td align='right'><?php echo number_format($bsaleprod_dtls['unit_discount'], 2)?>&nbsp;</td>
						<td align='right'><?php echo number_format($bsaleprod_dtls['quantity'], 2)?>&nbsp;</td>
						<td align='right'><?php echo number_format($bsaleprod_dtls['net_price'], 2)?>&nbsp;</td>
						<td align='right'><?php echo $ave_acq==''?'':number_format($ave_acq, 2)?>&nbsp;</td>
						<td align='right'><?php echo $revenue_per_item==''?'':number_format($revenue_per_item, 2)?>&nbsp;</td>
						<td align='center'><?php echo $encoder?></td>
						<td align='center'><?php echo $bsaleprod_dtls['deleted']==0?'':sql_fld('del_reason', 'branch_del_reason', 'dr_id=\''.$bsaleprod_dtls['deleted'].'\'')?></td>
<?php
				if ($linker == ('/'.$domain.'/point_of_sale_items.php') || $linker == ('/'.$domain.'/get_sale_pad_add_items.php')){
					if ($branch_sale_dtls['balance'] == 0 AND $branch_sale_dtls['line_total'] > 0){
?>
						<td align='center'></td>
<?php
					} else {
?>
						<td align='center'>
<?php
						if ($bsaleprod_dtls['deleted'] == 0){
?>
							<a class='td_img' href='point_of_sale_del_items.php?sd_id=<?php echo $bsaleprod_dtls['sd_id']?>'><img src='lib/file_delete.png'></a>
<?php 
						}
?>						
						</td>
<?php
					}
?>
					</tr>
<?php
				}
			}
		} else {
?>
					<tr class='odd' height='20px' align='center'>
						<td colspan='<?php echo ($linker == ('/'.$domain.'/point_of_sale_items.php') || $linker == ('/'.$domain.'/get_sale_pad_add_items.php'))?'10':'9'?>'>There is no item recorded.</td>
					</tr> 
<?php
		}
?>
				</tbody>
				<tfoot class='total'>
					<tr class='total' height='20px'>
						<td colspan='4' align='right'>Total&nbsp;</td>
						<td align='right'><?php echo number_format($total_sales, 2)?>&nbsp;</td>
						<td colspan='<?php echo ($linker == ('/'.$domain.'/point_of_sale_items.php') || $linker == ('/'.$domain.'/get_sale_pad_add_items.php'))?'5':'4'?>'></td>
					</tr>
				</tfoot>
			</table>
		</div>
		<p class='meta'></p>
	</div>
<?php
}

function branch_sale_payments($sale_id){
	$domain = $_SESSION['domain'];
	$linker = _GET_POST($_SERVER['PHP_SELF']);
	$rec_count = sql_fld('COUNT(sale_id)', 'bspayments', 'sale_id='.$sale_id);
	$bsale_payments = sql_qry('SELECT pdate, bsp_id, pmethod, amount, check_num, check_date, notes, user_id, refund_id, deleted FROM bspayments WHERE sale_id='.$sale_id.' ORDER BY bsp_id ASC');
	$branch_id = sql_fld('branch_id', 'branch_sales', 'sale_id='.$sale_id);
	//-------------php code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<div class='post'>
		<h1 class='title'>Sale Payments</h1>
		<div class='entry'>
			<table>
				<thead class='data'>
					<tr height='50px' align='center'>
						<td width=' 75px'>Date Paid</td>
						<td width=' 50px'>OR No.</td>
						<td width=' 50px'>Payment Method</td>
						<td width=' 50px'>Amount</td>
						<td width=' 50px'>Check No.</td>
						<td width=' 50px'>Encash. Date</td>
						<td width='100px'>Notes</td>
						<td width='100px'>Encoder</td>
						<td width='100px'>Deleted</td>
<?php
					if ($linker == ('/'.$domain.'/point_of_sale_add_payment.php') || $linker == ('/'.$domain.'/get_sale_pad_add_payments.php')){
?>
						<td width=' 20px'></td>
<?php
					}
?>
						
					</tr>
				</thead>
				<tbody class='data'>
<?php
		if ($rec_count > 0){
			$i=0; 
			while ($bsalepay_dtls = mysql_fetch_assoc($bsale_payments)){
				$i++; $encoder = sql_fld('CONCAT(fname, \' \', lname)', 'users', 'user_id='.$bsalepay_dtls['user_id']);
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>' height='40px' align='center' <?php echo $bsalepay_dtls['deleted']==0?'':'style=\'background-color: #FF6373\''?>>
						<td><?php echo date_format(date_create($bsalepay_dtls['pdate']), 'M. d, Y')?></td>
						<td><?php echo $bsalepay_dtls['bsp_id']?></td>
						<td><?php echo $bsalepay_dtls['pmethod']?></td>
						<td align='right'><?php echo number_format($bsalepay_dtls['amount'], 2)?>&nbsp;</td>
						<td><?php echo $bsalepay_dtls['pmethod']=='Check'?wordwrap($bsalepay_dtls['check_num'], 10, '<br \>', false):''?></td>
						<td><?php echo $bsalepay_dtls['pmethod']=='Check'?wordwrap(date_format(date_create($bsalepay_dtls['check_date']), 'M. d, Y'), 8, '<br \>', false):''?></td>
						<td><?php echo wordwrap($bsalepay_dtls['notes'], 20, '<br \>', false)?></td>
						<td><?php echo wordwrap($encoder, 20, '<br \>', false)?></td>
						<td><?php echo $bsalepay_dtls['deleted']==0?'':wordwrap(sql_fld('del_reason', 'branch_del_reason', 'dr_id=\''.$bsalepay_dtls['deleted'].'\''), 15, '<br \>', false)?></td>
<?php
					if ($linker == ('/'.$domain.'/point_of_sale_add_payment.php') || $linker == ('/'.$domain.'/get_sale_pad_add_payments.php')){
?>
						<td>
<?php
						if ($bsalepay_dtls['deleted'] == 0 && $bsalepay_dtls['refund_id'] == 0){
?>
							<a class='td_img' href='point_of_sale_delete_payment.php?bsp_id=<?php echo $bsalepay_dtls['bsp_id']?>'><img src='lib/file_delete.png'></a>
<?php
						}
?>
						</td>
<?php
					}
?>
					</tr> 
<?php
			}
		} else {
?>
					<tr class='odd' height='40px' align='center'>
						<td colspan='9'>There is no payment recorded.</td>
					</tr> 
<?php 
		}
		$total_payments = sql_fld('SUM(amount)', 'bspayments', 'sale_id='.$sale_id.' AND good=\'1\' AND deleted=\'0\'');
?>
				</tbody>
				<tfoot class='data'>
					<tr class='total' height='20px'>
						<td colspan='3' align='right'>Total:&nbsp;</td>
						<td align='right'><?php echo number_format($total_payments, 2)?>&nbsp;</td>
						<td colspan='<?php echo ($linker == ('/'.$domain.'/point_of_sale_add_payment.php') || $linker == ('/'.$domain.'/get_sale_pad_add_payments.php'))?'6':'5'?>'>
							<input id='bcash' type='hidden' value='<?php echo sql_fld('cash', 'branch_registers', 'branch_id=\''.$branch_id.'\'')?>'>
						</td>
					</tr>
				</tfoot>
			</table>
		</div>
		<p class='meta'></p>
	</div>
<?php
}

function branch_sale_add_product($sale_id){
	$branch_id = sql_fld('branch_id', 'branch_sales', 'sale_id='.$sale_id);
	//-------------php code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<script type="text/javascript" language="javascript" src="lib/bsale_add_items_script.js"></script>
	<div class='post'>
		<h1 class='title'>Add Sold Items</h1>
		<div class='entry'>
			<table>
				<thead class='data'>
					<tr height='40px' align='center'>
						<td width='205px'>Product<br />Name</td>
						<td width=' 75px'>Acquisition<br />Price</td>
						<td width=' 75px'>Selling<br />Price</td>
						<td width=' 50px'>Discount</td>
						<td width=' 40px'>Stock</td>
						<td width=' 50px'>Quantity</td>
						<td width=' 75px'>Total</td>
						<td width=' 30px'></td>
					</tr>
				</thead>
				<tbody class='data'>
					<tr class='total' height='20px'>
						<td align='center'>
							<input id='sale_id' name='sale_id' type='hidden' value='<?php echo $sale_id?>'>
							<input id='bran_id' name='bran_id' type='hidden' value='<?php echo $branch_id?>'>
							<input id='prod_id' name='prod_id' type='hidden' value=''>
							<input id='prod_name' name='prod_name' type='text' style='width: 203px; height: 18px;' autocomplete='off'>
							<input id='hdn_prod_name' name='hdn_prod_name' type='hidden'>
							<img src='lib/loader.gif' id='loading-indicator' style='display:none;' width='16px' height='16px'>
							<div id='prod_sggt' class='suggestionsBox' style='width: 600px; display: none;'>
								<div id='prod_sgtl' class='suggestionList'></div>
							</div>
						</td>
						<td id='acqi_price' align='right'></td>
						<td align='center'>
							<input id='sell_price' name='sell_price' type='text' style='width: 73px; height: 18px' autocomplete='off'>
						</td>
						<td align='center'><input id='discount' type='text' style='width: 48px; height: 18px' autocomplete='off'></td>
						<td id='prod_stck' align='right'></td>
						<td align='center'><input id='quantity' type='text' style='width: 48px; height: 18px' autocomplete='off'></td>
						<td id='total_amt' align='right'></td>
						<td align='center'><input id='hdn_total_amt' type='hidden' value=''><input id='add_sale' type='button' class='button blue' value='add'></td>
					</tr>
				</tbody>
			</table>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function branch_sale_add_payment($sale_id){
	$branch_id = sql_fld('branch_id', 'branch_sales', 'sale_id='.$sale_id);
	$date = sql_fld('delivery_date', 'branch_sales', 'sale_id='.$sale_id);
	//-------------php code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<script type="text/javascript" language="javascript" src="lib/bsale_add_payments_script.js"></script>
	<div class='post'>
		<h1 class='title'>Add Sale Payment</h1>
		<div class='entry'>
			<table>
				<caption style='color: #4169E1'>Entries with asterisk(*) are required.</caption>
				<tr class='odd' height='25px'>
					<td width='175px' align='right'><font color='red'>*</font>&nbsp;Date Paid:&nbsp;</td>
					<td width='325px' align='left'>&nbsp;<input readonly id='posdate' type="text" size="10" name="posdate" value="<?php echo $date?>" style='width: 80px; height: 19px'>&nbsp;<a class="td_img" href="javascript:pos_date.popup();">&nbsp;<img src="lib/b_calendar.png" style='vertical-align: -30%'></a></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'><font color='red'>*</font>&nbsp;Payment Method:&nbsp;</td>
					<td align='left'>&nbsp;<select id='pay_method' style='width: 80px; height: 19px'>
							<option selected disabled> -- </option>
							<option value='Cash'>Cash</option>
							<option value='Check'>Check</option>
						</select>
					</td>
				</tr>
				<tr class='even' height='25px'>
					<td align='right'><font color='red'>*</font>&nbsp;Amount:&nbsp;</td>
					<td align='left'>&nbsp;<input id='amount' type='text' style='width: 80px; height: 19px' autocomplete='off'></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'><?php echo sql_fld('branch_name', 'branches', 'branch_id='.$branch_id)?> Branch Register:&nbsp;</td>
					<td id='cbcash' align='left'>&nbsp;<?php echo sql_fld('cash', 'branch_registers', 'branch_id='.$branch_id)?></td>
				</tr>
				<tr class='even' height='25px'>
					<td align='right'><font color='red'>*</font>&nbsp;Notes:&nbsp;</td>
					<td align='left'>&nbsp;<input id='notes' type='text' style='width: 270px; height: 19px' autocomplete='off'>
						<input id='cus_id' type='hidden' value='<?php echo sql_fld('customer_id', 'branch_sales', 'sale_id=\''.$sale_id.'\'')?>'>
						<input id='user_id' type='hidden' value='<?php echo $_SESSION['user_id']?>'>
						<input id='sale_id' type='hidden' value='<?php echo $sale_id?>'>
					</td>
				</tr>
				<tr class='odd' height='25px'>
					<td colspan='2' align='center'><input id='rst' type='button' class='button blue' value='Reset'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input id='sbt' type='button' class='button blue' value='Submit'></td>
				</tr>
			</table>
			<script>
				var pos_date = new calendar(document.getElementById('posdate'));
				pos_date.year_scroll = true; pos_date.time_comp = false;
			</script>
		</div>
		<p class='meta'></p>
	</div>
<?php
}

function branch_sale_product_discounts($sale_id){
	$rec_count = sql_fld('COUNT(sd_id)', 'bsale_details', 'sale_id='.$sale_id);
	$bsale_products = sql_qry('SELECT sd_id, product_id, acq_price, unit_price, unit_discount, quantity, net_price, deleted FROM bsale_details WHERE sale_id='.$sale_id.' ORDER BY sd_id ASC'); 
	$user_id = sql_fld('user_id', 'branch_sales', 'sale_id='.$sale_id);
	$encoder = sql_fld('CONCAT(fname, \' \', lname)', 'users', 'user_id='.$user_id);
	//-------------php code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<div class='post'>
		<h1 class='title'>Sold Products</h1>
		<div class='entry'>
			<table>
				<thead class='data'>
					<tr height='30px' align='center'>
						<td width='150px'>Product</td>
						<td width=' 75px'>Acquisition Price</td>
						<td width=' 75px'>Selling Price</td>
						<td width=' 75px'>Discount</td>
						<td width=' 75px'>Quantity</td>
						<td width=' 75px'>Total</td>
						<td width=' 30px'></td>
					</tr>
				</thead>
				<tbody class='data'>
<?php
		if ($rec_count > 0){
			$i=0; 
			while ($bsaleprod_dtls = mysql_fetch_assoc($bsale_products)){
				$i++; $prod_name = sql_fld('product_name', 'products', 'product_id='.$bsaleprod_dtls['product_id']);
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>' height='20px' <?php echo $bsaleprod_dtls['deleted']==0?'':'style=\'background-color: #FF6373\''?>>
						<input class='prod_id' type='hidden' value='<?php echo $bsaleprod_dtls['product_id']?>'>
						<input class='sdtl_id' type='hidden' value='<?php echo $bsaleprod_dtls['sd_id']?>'>
						<td align='left' class='prod_name'><?php echo $prod_name?></td>
						<td align='right' class='acq_price'><?php echo number_format($bsaleprod_dtls['acq_price'], 2)?></td>
						<td align='right' class='unit_price'><?php echo number_format($bsaleprod_dtls['unit_price'], 2)?></td>
						<td align='right' class='unit_discount'><?php echo number_format($bsaleprod_dtls['unit_discount'], 2)?></td>
						<td align='right' class='quantity'><?php echo number_format($bsaleprod_dtls['quantity'], 2)?></td>
						<td align='right' class='net_price'><?php echo number_format($bsaleprod_dtls['net_price'], 2)?></td>
						<td align='center'>
<?php
				if ($bsaleprod_dtls['deleted'] == 0){
?>
							<a class='td_img' href=''><img src='lib/file_edit.png' style='vertical-align: -30%'></a>
<?php
				}
?>
						</td>
					</tr>
<?php
			}
		} else {
?>
					<tr class='odd' height='20px' align='center'>
						<td colspan='7'>There is no item recorded.</td>
					</tr> 
<?php
		}
		$total_sales = sql_fld('SUM(net_price)', 'bsale_details', 'sale_id=\''.$sale_id.'\' AND deleted=\'0\'');
?>
				</tbody>
				<tfoot class='total'>
					<tr class='total' height='20px'>
						<td colspan='5' align='right'>Total&nbsp;</td>
						<td align='right'><?php echo number_format($total_sales, 2)?></td>
						<td></td>
					</tr>
				</tfoot>
			</table>
		</div>
		<p class='meta'></p>
	</div>
<?php
	jscript("
	$('.td_img').click(function(event){
		event.preventDefault();
		$('#prod_id').val($(this).parent().siblings('.prod_id').val());
		$('#sdtl_id').val($(this).parent().siblings('.sdtl_id').val());
		$('#prod_name').html('&nbsp;'+$(this).parent().siblings('.prod_name').html());
		$('#acq_price').html('&nbsp;'+$(this).parent().siblings('.acq_price').html());
		$('#sell_price').html('&nbsp;'+$(this).parent().siblings('.unit_price').html());
		$('#discount').val($(this).parent().siblings('.unit_discount').html());
		$('#quantity').html('&nbsp;'+$(this).parent().siblings('.quantity').html());
		$('#net_price').html('&nbsp;'+$(this).parent().siblings('.net_price').html());
		$('#discount').attr('disabled', false);
	});
	");
}

function branch_sale_modify_discount($sale_id){
	$branch_id = sql_fld('branch_id', 'branch_sales', 'sale_id='.$sale_id);
	//-------------php code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<script type="text/javascript" language="javascript" src="lib/bsale_edit_discounts_script.js"></script>
	<div class='post'>
		<h1 class='title'>Edit Discount</h1>
		<div class='entry'>
			<table>
				<tr class='odd' height='25px'>
					<td width='100px' align='right'>
					<input id='sale_id' type='hidden' value='<?php echo $sale_id?>'>
					<input id='bran_id' type='hidden' value='<?php echo $branch_id?>'>
					<input id='prod_id' type='hidden' value=''>
					<input id='sdtl_id' type='hidden' value=''>
					Product Name:&nbsp;</td>
					<td width='300px' align='left' id='prod_name'></td>
				</tr>
				<tr class='even' height='25px'>
					<td align='right'>Acquisition Price:&nbsp;</td>
					<td align='left' id='acq_price'></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'>Selling Price:&nbsp;</td>
					<td align='left' id='sell_price'></td>
				</tr>
				<tr class='even' height='25px'>
					<td align='right'>Discount:&nbsp;</td>
					<td align='left'>&nbsp;<input id='discount' type='text' style='width: 50px; height: 21px' disabled value=''></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'>Quantity:&nbsp;</td>
					<td align='left' id='quantity'></td>
				</tr>
				<tr class='even' height='25px'>
					<td align='right'>Total:&nbsp;</td>
					<td align='left' id='net_price'></td>
				</tr>
				<tr class='odd' height='25px'>
					<td colspan='2' align='center'>
						<input id='rst' type='button' class='button blue' value='Reset'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input id='sbt' type='button' class='button blue' value='Submit'>
					</td>
				</tr>
			</table>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function badd_del_category(){
	$link = _GET_POST($_SERVER['PHP_SELF']);
?>
	<div class='post'>
		<h1 class='title'>Add Delete Category</h1>
		<div class='entry'>
			<form name='del_add' action='<?php echo $link?>' method='POST'>
			<table>
				<tr class='odd' height='30px'>
					<td align='right' width='100px'>Delete Category:&nbsp;</td>
					<td align='left'  width='175px'>&nbsp;<input id='del_cat' type='text' name='del_cat' style='width: 150px; height: 26px'></td>
				</tr>
				<tr class='even' height='30px'>
					<td align='center' colspan='2'><input id='submit' class='button blue' type='submit' value='Submit'></td>
				</tr>
			</table>
			</form>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function badd_del_reason(){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	$rec_count = sql_fld('COUNT(dc_id)', 'branch_del_cat');
	$del_cat = sql_qry('SELECT dc_id, del_category FROM branch_del_cat ORDER BY del_category ASC');
?>
	<div class='post'>
		<h1 class='title'>Add Delete Reason</h1>
		<div class='entry'>
			<form name='del_add' action='<?php echo $link?>' method='POST'>
			<table>
				<tr class='odd' height='30px'>
					<td width='125px' align='right'>Delete Category:&nbsp;</td>
					<td width='175px' align='left'>&nbsp;<select name='del_cat' style='width: 125px; height: 26px'>
							<option selected disabled> --- </option>
<?php
				if ($rec_count != 0){
					while ($d_cat = mysql_fetch_assoc($del_cat)){
?>
							<option value='<?php echo $d_cat['dc_id']?>'><?php echo $d_cat['del_category']?></option>
<?php
					}
				}
?>
						</select>
					</td>
				</tr>
				<tr class='even' height='30px'>
					<td align='right'>Delete Reason:&nbsp;</td>
					<td align='left'>&nbsp;<input id='del_reason' type='text' name='del_reason' style='width: 148px; height: 26px' <?php echo $rec_count==0?'disabled':''?> autocomplete='off'></td>
				</tr>
				<tr class='odd' height='30px'>
					<td align='center' colspan='2'><input id='submit' class='button blue' type='submit' value='Submit'  <?php echo $rec_count==0?'disabled':''?>></td>
				</tr>
			</table>
			</form>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function bshow_del_reason(){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	$position = sql_fld('position', 'users', 'user_id='.$_SESSION['user_id']);
	if (!isset($_GET['field']) && isset($_POST['field'])) $fld = _GET_POST($_POST['field']);
	elseif (isset($_GET['field']) && !isset($_POST['field'])) $fld = _GET_POST($_GET['field']);
	else $fld = '';
	$page = isset($_GET['page'])?_GET_POST($_GET['page']):'1';
	$recShown =10;
	$recStart = ($page * $recShown) - $recShown;
	$rc = sql_fld('COUNT(dr_id)', 'branch_del_reason dr INNER JOIN branch_del_cat dc ON dr.dc_id = dc.dc_id', $fld!=''?'dc.del_category LIKE \'%'.$fld.'%\' OR dr.del_reason LIKE \'%'.$fld.'%\'':'');
	$qry = sql_qry('SELECT dr.dr_id AS dr_id, dc.del_category AS category, dr.del_reason AS reason FROM branch_del_reason dr INNER JOIN branch_del_cat dc ON dr.dc_id = dc.dc_id '.($fld!=''?'WHERE dc.del_category LIKE \'%'.$fld.'%\' OR dr.del_reason LIKE \'%'.$fld.'%\'':'').' ORDER BY dc.del_category ASC, dr.del_reason ASC  LIMIT '.$recStart.', '.$recShown);
	$res = mysql_num_rows($qry);
	$totalPages = ceil($rc/$recShown);
	$pgFr = $recStart + 1;
	$pgTo = $recStart + $res;
	//-------------php code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<div class='post'>
		<div class="search">
			<form id='search_frm' name='search_frm' action='<?php echo $link?>' method='POST'>
				<input id='field' type='text' name='field'>
				<input id='del_find' name='del_find' type='submit' class='button blue' value='Go!'>
			</form>
		</div>
		<h1 class='title'>Delete Reasons</h1>
		<div class='entry'>
<?php
			if ($res>0){
?>
			<table width='60%'>
				<tr>
					<td align='left'>
						<font size='1'><b><?php echo $pgFr?></b> to <b><?php echo $pgTo?></b> of <b><?php echo $rc ?></b> results <?php echo $fld!=''?'with keyword <b>'.$fld.'</b>':''?></font>
					</td>
					<td align="right">
<?php
					if ($fld==''){
						if ($page > 1){
							$prev = $page - 1;
?>
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=1"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $prev ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++) {
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?php echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $i ?>"><?php echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = $page + 1;
?>
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $next ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $totalPages ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					} else {
						if($page > 1) {
							$prev = $page - 1;
?>
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=1&field=<?php echo $fld ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $prev ?>&field=<?php echo $fld ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++){
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?php echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $i ?>&field=<?php echo $fld ?>"><?php echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = ($page + 1);
?>
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $next ?>&field=<?php echo $fld ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $totalPages ?>&field=<?php echo $fld ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					}
?>
					</td>
				</tr>
			</table>
<?php
			}
?>
			<table>
				<thead class='data'>
					<tr align='center' height='20px'>
						<td width='150px'>Category</td>
						<td width='250px'>Reason</td>
						<td width=' 25px'></td>
						<td width=' 25px'></td>
					</tr>
				</thead>
				<tbody class='data'>
<?php
		if ($rc!=0){
			$i=0;
			while($del_roe = mysql_fetch_assoc($qry)){
				$i++;
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>' align='left' height='20px'>
						<td>&nbsp;<?php echo $del_roe['category']?></td>
						<td>&nbsp;<?php echo $del_roe['reason']?></td>
						<td align='center'><a class='td_img' href='branch_dtable_edit_reas.php?dr_id=<?php echo $del_roe['dr_id']?>'><img src='lib/file_edit.png'></a></td>
						<td align='center'><a class='td_img' href='branch_dtable_del_reas.php?dr_id=<?php echo $del_roe['dr_id']?>'><img src='lib/file_delete.png'></a></td>
					</tr>
<?php
			}
		} else {
?>
					<tr class='odd' align='center' height='20px'>
						<td colspan='4'>There is no record.</td>
					</tr>
<?php
		}
?>
				</tbody>
			</table>
<?php
			if ($res>0){
?>
			<table width='60%'>
				<tr>
					<td align='left'>
						<font size='1'><b><?php echo $pgFr?></b> to <b><?php echo $pgTo?></b> of <b><?php echo $rc ?></b> results <?php echo $fld!=''?'with keyword <b>'.$fld.'</b>':''?></font>
					</td>
					<td align="right">
<?php
					if ($fld==''){
						if ($page > 1){
							$prev = $page - 1;
?>
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=1"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $prev ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++) {
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?php echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $i ?>"><?php echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = $page + 1;
?>
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $next ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $totalPages ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					} else {
						if($page > 1) {
							$prev = $page - 1;
?>
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=1&field=<?php echo $fld ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $prev ?>&field=<?php echo $fld ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++){
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?php echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $i ?>&field=<?php echo $fld ?>"><?php echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = ($page + 1);
?>
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $next ?>&field=<?php echo $fld ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $totalPages ?>&field=<?php echo $fld ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					}
?>
					</td>
				</tr>
			</table>
<?php
			}
?>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function bedt_del_reason($dr_id){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	$rec = sql_rec('branch_del_reason dr INNER JOIN branch_del_cat dc ON dr.dc_id = dc.dc_id', 'dr.dr_id=\''.$dr_id.'\'');
?>
	<div class='post'>
		<h1 class='title'>Edit Delete Reason</h1>
		<div class='entry'>
			<form name='del_edt' action='<?php echo $link.'?dr_id='.$dr_id?>' method='POST'>
			<table>
				<tr class='odd' height='30px'>
					<td align='right' width='100px'>Delete Category:&nbsp;</td>
					<td align='left'  width='175px'>&nbsp;<?php echo $rec['del_category']?></td>
				</tr>
				<tr class='even' height='30px'>
					<td align='right' width='100px'>Delete Reason:&nbsp;</td>
					<td align='left'  width='175px'>&nbsp;<input type='text' name='del_reas' style='width: 145px; height: 26px' value='<?php echo $rec['del_reason']?>' autocomplete='off'></td>
				</tr>
				<tr class='odd' height='30px'>
					<td align='center' colspan='2'><input id='submit' class='button blue' type='submit' value='Submit'></td>
				</tr>
			</table>
			</form>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function bdel_del_reason($dr_id){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	$rec = sql_rec('branch_del_reason dr INNER JOIN branch_del_cat dc ON dr.dc_id = dc.dc_id', 'dr.dr_id=\''.$dr_id.'\'');
?>
	<div class='post'>
		<h1 class='title'>Delete This Reason</h1>
		<div class='entry'>
			<form id='del_this' name='del_this' action='<?php echo $link.'?dr_id='.$dr_id?>' method='POST'>
			<table>
				<input type='hidden' name='dr_id' value='<?php echo $dr_id?>'>
				<tr class='odd' height='30px'>
					<td align='right' width='100px'>Delete Category:&nbsp;</td>
					<td align='left'  width='175px'>&nbsp;<?php echo $rec['del_category']?></td>
				</tr>
				<tr class='even' height='30px'>
					<td align='right' width='100px'>Delete Reason:&nbsp;</td>
					<td align='left'  width='175px'>&nbsp;<?php echo $rec['del_reason']?></td>
				</tr>
				<tr class='odd' height='30px'>
					<td align='center' colspan='2'><input id='btn_del_reas' class='button blue' type='button' value='Delete'></td>
				</tr>
			</table>
			</form>
		</div>
		<p class='meta'></p>
	</div>
	<script>
		$(document).ready(function(){
			$('#btn_del_reas').click(function(){
				if (window.confirm("Do you want to delete this reason?")){
					$('#del_this').submit();
				}
			});
		});
	</script>
<?php
}
function branch_sale_delete_sold_product($sd_id){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	$prod_rec = sql_rec('bsale_details', 'sd_id=\''.$sd_id.'\'');
	$prod_name = sql_fld('product_name', 'products', 'product_id=\''.$prod_rec['product_id'].'\'');
	$del_rec = sql_qry('SELECT dr.dr_id AS dr_id, dc.del_category AS del_cat, dr.del_reason AS del_reason FROM branch_del_reason dr INNER JOIN branch_del_cat dc ON dr.dc_id = dc.dc_id WHERE dc.del_category = \'Sale\'');
?>
	<div class='post'>
		<h1 class='title'>Delete This Product</h1>
		<div class='entry'>
<?php
	if ($prod_rec['deleted'] == 0){
?>
		<form id='del_prod' action='<?php echo $link.'?sd_id='.$sd_id?>' method='POST'>
			<input type='hidden' name='sd_id' value='<?php echo $prod_rec['sd_id']?>'>
<?php
	}
?>
			<table>
				<tr class='odd' height='25px'>
					<td width='125px' align='right'>Product Name:&nbsp;</td>
					<td width='275px' align='left'>&nbsp;<?php echo $prod_name?></td>
				</tr>
				<tr class='even' height='25px'>
					<td align='right'>Selling Price:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo number_format($prod_rec['unit_price'], 2)?></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'>Discount:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo number_format($prod_rec['unit_discount'], 2)?></td>
				</tr>
				<tr class='even' height='25px'>
					<td align='right'>Quantity:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo number_format($prod_rec['quantity'], 2)?></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'>Total:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo number_format($prod_rec['net_price'], 2)?></td>
				</tr>
				<tr class='even' height='25px'>
					<td align='right'>Revenue:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo number_format(((($prod_rec['unit_price']-$prod_rec['unit_discount'])-$prod_rec['acq_price'])*$prod_rec['quantity']), 2)?></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'>Delete Reason:&nbsp;</td>
<?php
	if ($prod_rec['deleted'] == 0){
?>
					<td align='left'>&nbsp;<select id='del_opt' name='del_opt' style='width: 200px;'>
							<option disabled selected> -- </option>
<?php
					while($del_roe = mysql_fetch_assoc($del_rec)){
?>
							<option value='<?php echo $del_roe['dr_id']?>'><?php echo $del_roe['del_cat'].' -- '.$del_roe['del_reason']?></option>
<?php
					}
?>
						</select>&nbsp;&nbsp;&nbsp;<input id='sbt' type='button' class='button blue' value='Submit'>
						
					</td>
				</tr>
			</table>
		</form>
		<script>
			$(document).ready(function(){
				$('#sbt').click(function(){
					var del_opt = $('#del_opt').val();
					if (del_opt !== null){
						if (window.confirm("Do you really want to delete this product?")){
							$('#del_prod').submit();
						}
					} else {
						alert('Please select from the Delete Reasons to Continue.');
					}
				});
			});
		</script>
<?php
	} else {
?>
					<td align='left'>&nbsp;<?php echo sql_fld('del_reason', 'branch_del_reason', 'dr_id=\''.$prod_rec['deleted'].'\'')?></td>
				</tr>
			</table>
<?php
	}
?>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function branch_sale_delete_sale($sale_id){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	$deleted_sale = sql_fld('deleted', 'branch_sales', 'sale_id=\''.$sale_id.'\'')!=0?true:false;
	$payment_count = sql_fld('COUNT(bsp_id)', 'bspayments', 'sale_id=\''.$sale_id.'\'');
	$refunded_payment_count = sql_fld('COUNT(bsp_id)', 'bspayments', 'sale_id=\''.$sale_id.'\' AND refund_id > 0');
	$deleted_payment_count = sql_fld('COUNT(bsp_id)', 'bspayments', 'sale_id=\''.$sale_id.'\' AND deleted > 0');
	$items_count = sql_fld('COUNT(sd_id)', 'bsale_details', 'sale_id=\''.$sale_id.'\'');
	$deleted_items_count = sql_fld('COUNT(sd_id)', 'bsale_details', 'sale_id=\''.$sale_id.'\' AND deleted > 0');
?>
	<div class='post'>
		<h1 class='title'>Delete This Sale</h1>
		<div class='entry'>
<?php
	if ($deleted_sale){
?>
			<table>
				<tr class='odd' align='center' height='25px'>
					<td width='200px'>This sale is Deleted!</td>
				</tr>
			</table>
<?php
	} else {
		if ($payment_count > 0){
			if ($refunded_payment_count > 0){
?>
				<table>
					<tr class='odd' height='25px'>
						<td align='right' width='125px'>Status:&nbsp;</td>
						<td align='left' width='300px'>&nbsp;Refunds are present <font color='red'><b>*DO NOT DELETE*</b></font></td>
					</tr>
				</table>
<?php
			} else {
				if ($deleted_payment_count < $payment_count){
?>
				<table>
					<tr class='odd' height='25px'>
						<td align='right' width='125px'>Status:&nbsp;</td>
						<td align='left' width='300px'>&nbsp;Payments are present <font color='red'><b>*DO NOT DELETE*</b></font></td>
					</tr>
				</table>
<?php
				} elseif ($deleted_payment_count == $payment_count){
					if ($items_count > 0){
						if($deleted_items_count > 0){
							if($deleted_items_count != $items_count){
?>
							<table>
								<tr class='odd' height='25px'>
									<td align='right' width='125px'>Status:&nbsp;</td>
									<td align='left' width='300px'>&nbsp;Items are present <font color='red'><b>*DO NOT DELETE*</b></font></td>
								</tr>
							</table>
<?php
							} elseif ($deleted_items_count == $items_count){
								bye_sale($link, $sale_id);
							}
						} else {
?>
							<table>
								<tr class='odd' height='25px'>
									<td align='right' width='125px'>Status:&nbsp;</td>
									<td align='left' width='300px'>&nbsp;Items are present <font color='red'><b>*DO NOT DELETE*</b></font></td>
								</tr>
							</table>
<?php
						}
						
					} else {
						bye_sale($link, $sale_id);
					}
				}
			}
		} else {
			if ($items_count > 0){
				if($deleted_items_count > 0){
					if($deleted_items_count != $items_count){
?>
					<table>
						<tr class='odd' height='25px'>
							<td align='right' width='125px'>Status:&nbsp;</td>
							<td align='left' width='300px'>&nbsp;Items are present <font color='red'><b>*DO NOT DELETE*</b></font></td>
						</tr>
					</table>
<?php
					} elseif ($deleted_items_count == $items_count){
						bye_sale($link, $sale_id);
					}
				} else {
?>
					<table>
						<tr class='odd' height='25px'>
							<td align='right' width='125px'>Status:&nbsp;</td>
							<td align='left' width='300px'>&nbsp;Items are present <font color='red'><b>*DO NOT DELETE*</b></font></td>
						</tr>
					</table>
<?php
				}
			} else {
				bye_sale($link, $sale_id);
			}
		}
	}
?>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function bye_sale($link, $sale_id){
	$del_rec = sql_qry('SELECT dr.dr_id AS dr_id, dc.del_category AS del_cat, dr.del_reason AS del_reason FROM branch_del_reason dr INNER JOIN branch_del_cat dc ON dr.dc_id = dc.dc_id WHERE dc.del_category = \'Sale\'');
?>
	<form id='del_sale' action='<?php echo $link.'?sale_id='.$sale_id?>' method='POST'>
		<input name='sale_id' type='hidden' value='<?php echo $sale_id?>'>
		<table>
			<tr class='odd' height='25px'>
				<td align='right' width='125px'>Delete Reason:&nbsp;</td>
				<td align='left' width='300px'>&nbsp;<select id='adel_sale' name='del_id' style='width: 150px; height: 21px;'>
						<option disabled selected> -- </option>
<?php
			while($del_roe = mysql_fetch_assoc($del_rec)){
?>
						<option value='<?php echo $del_roe['dr_id']?>'><?php echo $del_roe['del_cat'].' -- '.$del_roe['del_reason']?></option>
<?php
			}
?>					
					</select>&nbsp;&nbsp;&nbsp;<input id='sbt' type='button' class='button blue' value='Submit'>
				</td>
			</tr>
		</table>
	</form>
	<script>
		$(document).ready(function(){
			$('#sbt').click(function(){
				var del_opt = $('#adel_sale').val();
				if (del_opt !== null){
					if (window.confirm("Do you really want to delete this sale?")){
						$('#del_sale').submit();
					}
				} else {
					alert('Please select from the Delete Reasons to Continue.');
				}
			});
		});
	</script>
<?php
}
function branch_sale_delete_payment($bsp_id){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	$sale_payment_rec = sql_rec('bspayments', 'bsp_id=\''.$bsp_id.'\'');
	$del_rec = sql_qry('SELECT dr.dr_id AS dr_id, dc.del_category AS del_cat, dr.del_reason AS del_reason FROM branch_del_reason dr INNER JOIN branch_del_cat dc ON dr.dc_id = dc.dc_id WHERE dc.del_category = \'Payment\'');
?>
	<div class='post'>
		<h1 class='title'>Delete This Payment</h1>
		<div class='entry'>
			<table>
<?php
		if($sale_payment_rec['deleted']==0 && $sale_payment_rec['refund_id']==0){
?>
			<form id='del_pay' action='<?php echo $link.'?bsp_id='.$bsp_id?>' method='POST'>
				<input type='hidden' name='bsp_id' value='<?php echo $sale_payment_rec['bsp_id']?>'>
<?php
		}
?>
				<tr class='odd' height='25px'>
					<td align='right' width='100px'>Payment Date:&nbsp;</td>
					<td align='left' width='250px'>&nbsp;<?php echo date_format(date_create($sale_payment_rec['pdate']), 'M. d, Y')?></td>
				</tr>
				<tr class='even' height='25px'>
					<td align='right'>Customer:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo sql_fld('company_name', 'branch_customers', 'customer_id=\''.$sale_payment_rec['customer_id'].'\'')?></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'>OR Number:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo $sale_payment_rec['bsp_id']?></td>
				</tr>
				<tr class='even' height='25px'>
					<td align='right'>Payment Method&nbsp;</td>
					<td align='left'>&nbsp;<?php echo $sale_payment_rec['pmethod']?></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'>Amount:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo number_format($sale_payment_rec['amount'], 2)?></td>
				</tr>
<?php		if ($sale_payment_rec['pmethod']=='Check'){ ?>
				<tr class='even' height='25px'>
					<td align='right'>Check Number:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo  $sale_payment_rec['pmethod']=='Check'?$sale_payment_rec['check_num']:''?></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'>Encash. Date:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo $sale_payment_rec['pmethod']=='Check'?date_format(date_create($sale_payment_rec['check_date']), 'M. d, Y'):''?></td>
				</tr>
<?php		} ?>
				<tr class='even' height='25px'>
					<td align='right'>Notes:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo $sale_payment_rec['notes']?></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'>Encoder:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo sql_fld('CONCAT(fname, \' \', lname)', 'users', 'user_id=\''.$sale_payment_rec['user_id'].'\'')?></td>
				</tr>
<?php
		if($sale_payment_rec['deleted']==0 && $sale_payment_rec['refund_id']==0){
?>
				<tr class='even' height='25px'>
					<td align='right'>Delete Reason:&nbsp;</td>
					<td align='left'>&nbsp;<select id='adel_pay' name='del_id' style='width: 150px; height: 21px;'>
						<option disabled selected> -- </option>
<?php
			while ($del_roe = mysql_fetch_assoc($del_rec)){
?>
						<option value='<?php echo $del_roe['dr_id']?>'><?php echo $del_roe['del_cat'].' -- '.$del_roe['del_reason']?></option>
<?php
			}
?>
						</select>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input id='sbt' type='button' class='button blue' value='Submit'>
					</td>
				</tr>
			</form>
			<script>
				$(document).ready(function(){
					$('#sbt').click(function(){
						var del_opt = $('#adel_pay').val();
						if (del_opt !== null){
							if (window.confirm("Do you really want to delete this payment?")){
								$('#del_pay').submit();
							}
						} else {
							alert('Please select from the Delete Reasons to Continue.');
						}
					});
				});
			</script>
<?php
		} else {
			if($sale_payment_rec['deleted']>0){
?>
				<tr class='even' height='25px'>
					<td align='right'>Delete Reason:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo sql_fld('del_reason', 'branch_del_reason', 'dr_id=\''.$sale_payment_rec['deleted'].'\'')?></td>
				</tr>
<?php
			}
			if($sale_payment_rec['refund_id']>0){
?>
				<tr class='even' height='25px'>
					<td align='right'>Refund Notes:&nbsp;</td>
					<td align='left'>&nbsp;<?php echo sql_fld('notes', 'refunds_customers', 'refund_id=\''.$sale_payment_rec['refund_id'].'\'')?></td>
				</tr>
<?php
			}
		}
?>
			</table>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function get_good_inv($prod_id, $branch_id){
	$customer_id = sql_fld('customer_id', 'customer_branches', 'branch_id=\''.$branch_id.'\'');
	$s_purchases = sql_fld('SUM(pd.quantity)',
					'branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id',
					'p.branch_id=\''.$branch_id.'\' AND pd.product_id=\''.$prod_id.'\' AND p.user_id != 0');
	$s_cus_returns = sql_fld('SUM(rb.quantity)',
					'returns_branches r INNER JOIN rb_details rb ON r.rb_id = rb.rb_id',
					'r.branch_id=\''.$branch_id.'\' AND rb.product_id=\''.$prod_id.'\' AND rb.rtype = 1');
	$s_to_conversions = sql_fld('SUM(to_units)',
					'branch_conversions',
					'branch_id=\''.$branch_id.'\' AND to_product_id = \''.$prod_id.'\'');
	$s_sales = sql_fld('SUM(sd.quantity)',
					'branch_sales s INNER JOIN bsale_details sd ON s.sale_id = sd.sale_id',
					'sd.product_id=\''.$prod_id.'\' AND s.branch_id=\''.$branch_id.'\' AND sd.deleted = 0');
	$s_off_returns = sql_fld('SUM(rd.quantity)',
					'returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id',
					'r.customer_id=\''.$customer_id.'\' AND rd.product_id=\''.$prod_id.'\' AND rd.rtype = 1');
	$s_fr_conversions = sql_fld('SUM(fr_units)',
					'branch_conversions',
					'branch_id=\''.$branch_id.'\' AND fr_product_id=\''.$prod_id.'\'');
	$s_losses = sql_fld('SUM(bl.quantity)',
					'branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id',
					'l.branch_id=\''.$branch_id.'\' AND bl.product_id=\''.$prod_id.'\'');
	$good = ($s_purchases + $s_cus_returns + $s_to_conversions) - ($s_sales + $s_off_returns + $s_fr_conversions + $s_losses);
	return $good;
}
function prev_cash_count($date, $branch_id){
	$ys_anchor_amount = sql_fld('SUM(anchor_amount)', 'branch_ptcash_virtual_adjustment', 'branch_id=\''.$branch_id.'\' AND adjustment_date<\''.$date.'\'');
	$ys_cob_payment = sql_fld('SUM(b.amount)', 'bspayments b INNER JOIN branch_customers bc ON b.customer_id = bc.customer_id', 'b.sale_id = 0 AND bc.branch_id=\''.$branch_id.'\' AND b.pdate<\''.$date.'\' AND deleted=0');
	$ys_sale_payments = sql_fld('SUM(amount)', 'bspayments bp INNER JOIN branch_sales bs ON bp.sale_id = bs.sale_id', 'bs.branch_id=\''.$branch_id.'\' AND bp.pdate<\''.$date.'\' AND bp.deleted=\'0\' AND bp.refund_id=\'0\'');
	$ys_refunded_returns = sql_fld('SUM(ref.amount)', 'returns_branches ret INNER JOIN refunds_branches ref ON ret.rb_id=ref.rb_id', 'ref.refund_date<\''.$date.'\' AND ret.branch_id=\''.$branch_id.'\'');
	$ys_expense = sql_fld('SUM(amount)', 'branch_expenses', 'branch_id=\''.$branch_id.'\' AND edate<\''.$date.'\'');
	$ys_remit = sql_fld('SUM(amount)', 'branch_remittances', 'br_date<\''.$date.'\' AND branch_id=\''.$branch_id.'\'');
	$ycoh = ($ys_anchor_amount + $ys_cob_payment + $ys_sale_payments) - ($ys_refunded_returns+ $ys_expense + $ys_remit);
	return $ycoh;
}
function cash_count($date, $branch_id){
	$ycoh = prev_cash_count($date, $branch_id);
	$anchor_amount = sql_fld('SUM(anchor_amount)', 'branch_ptcash_virtual_adjustment', 'branch_id=\''.$branch_id.'\' AND adjustment_date=\''.$date.'\'');
	$cob_payment = sql_fld('SUM(b.amount)', 'bspayments b INNER JOIN branch_customers bc ON b.customer_id = bc.customer_id', 'b.sale_id = 0 AND bc.branch_id=\''.$branch_id.'\' AND b.pdate=\''.$date.'\' AND deleted=0');
	$s_sale_payments = sql_fld('SUM(amount)', 'bspayments bp INNER JOIN branch_sales bs ON bp.sale_id = bs.sale_id', 'bs.branch_id=\''.$branch_id.'\' AND bp.pdate=\''.$date.'\' AND bp.deleted=\'0\' AND bp.refund_id=\'0\'');
	$s_refunded_returns = sql_fld('SUM(ref.amount)', 'returns_branches ret INNER JOIN refunds_branches ref ON ret.rb_id=ref.rb_id', 'ref.refund_date=\''.$date.'\' AND ret.branch_id=\''.$branch_id.'\'');
	$s_expense = sql_fld('SUM(amount)', 'branch_expenses', 'branch_id=\''.$branch_id.'\' AND edate=\''.$date.'\'');
	$s_remit = sql_fld('SUM(amount)', 'branch_remittances', 'br_date=\''.$date.'\' AND branch_id=\''.$branch_id.'\'');
	$coh = ($ycoh + $anchor_amount + $cob_payment + $s_sale_payments) - ($s_refunded_returns + $s_expense + $s_remit);
	return $coh;
}
function branch_remittance($branch_id){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	$date = sql_curdate();
?>
	<div class='post'>
		<h1 class='title'>Add Branch Remittance</h1>
		<div class='entry'>
			<form id='remit' action='<?php echo $link.'?branch_id='.$branch_id?>' method='POST'>
			<table>
				<tr class='odd' height='25px'>
					<td width='100px' align='right'><font color='red'>*</font>&nbsp;Date:&nbsp;</td>
					<td width='250px'>&nbsp;<input readonly id='remdate' type="text" size="10" name="remdate" value="<?php echo $date?>" style='width: 80px; height: 19px'>&nbsp;<a class="td_img" href="javascript:rem_date.popup();">&nbsp;<img src="lib/b_calendar.png" style='vertical-align: -30%'></a></td>
				</tr>
				<tr class='even' height='25px'>
					<td align='right'>Source:&nbsp;</td>
					<td>&nbsp;<?php echo sql_fld('branch_name', 'branches', 'branch_id=\''.$branch_id.'\'').'\'s Register'?><input type='hidden' name='branch_id' value='<?php echo $branch_id?>'></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'>Balance:&nbsp;</td>
					<td>&nbsp;<?php echo sql_fld('cash', 'branch_registers ', 'branch_id=\''.$branch_id.'\'')?></td>
				</tr>
				<tr class='even' height='25px'>
					<td align='right'><font color='red'>*</font>&nbsp;Amount:&nbsp;</td>
					<td>&nbsp;<input id='amount' type='text' name='amount' style='width: 80px; height: 19px'></td>
				</tr>
				<tr class='odd' height='25px'>
					<td align='right'><font color='red'>*</font>&nbsp;Notes:&nbsp;</td>
					<td>&nbsp;<input id='notes' type='text' name='notes' style='width: 242px; height: 19px'></td>
				</tr>
				<tr class='even' height='25px'>
					<td align='center' colspan='2'><input id='rst' type='reset' class='button blue' value='Reset'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input id='sbt' type='button' class='button blue' value='Submit'></td>
				</tr>
			</table>
			</form>
			<script>
				$(document).ready(function(){
					$('#sbt').click(function(){
						if($('#amount').val().length == 0 || $('#notes').val().length == 0){
							if($('#amount').val().length == 0){
								$('#amount').css('background-color', 'red');
							}
							if($('#notes').val().length == 0){
								$('#notes').css('background-color', 'red');
							}
							alert('All Fields in red are required.');
						} else {
							$('#remit').submit();
						}
					});
					$('#rst').click(function(){
						$('#chkDate').hide();
						$('#chkNum').hide();
						$('#checkDate').attr('disabled', true);
						$('#checkNumber').attr('disabled', true);
						$('input[type=\"text\"]').css('background-color', 'white');
					});
					$('#pay_method').change(function(){
						var opt = $('#pay_method').val();
						if (opt == 'Check'){
							$('#chkDate').show();
							$('#chkNum').show();
							$('#checkDate').attr('disabled', false);
							$('#checkNumber').attr('disabled', false);
						} else {
							$('#chkDate').hide();
							$('#checkDate').val('').attr('disabled', true);
							$('#chkNum').hide();
							$('#checkNumber').val('').attr('disabled', true);
						}
					});
					$('input[type=\"text\"]').click(function(){
						$(this).css('background-color', 'white');
					});
				});
				var rem_date = new calendar(document.getElementById('remdate'));
				rem_date.year_scroll = true; rem_date.time_comp = false;
			</script>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function branch_daily_rpt($date, $branch_id){
	$rpt_dte = date_format(date_create($date), 'D. M. d, Y');
	//get customer's return
	$return_count = sql_fld('COUNT(ret.rb_id)',
						'returns_branches ret INNER JOIN refunds_branches ref ON ret.rb_id=ref.rb_id INNER JOIN branch_customers bc ON ret.customer_id = bc.customer_id',
						'ref.refund_date=\''.$date.'\' AND ret.branch_id=\''.$branch_id.'\'');
	$return_refund_rec = sql_qry("SELECT ret.rb_id AS rb_id, ref.refund_id AS ref_id, bc.company_name AS company_name, ref.amount AS amount
						FROM returns_branches ret
							INNER JOIN refunds_branches ref ON ret.rb_id=ref.rb_id
							INNER JOIN branch_customers bc ON ret.customer_id = bc.customer_id
						WHERE ref.refund_date='$date' AND ret.branch_id='$branch_id' ORDER BY ref.refund_id ASC");
	//get sales
	$sales_count = sql_fld('COUNT(bs.sale_id)',
						'branch_sales bs INNER JOIN branch_customers bc ON bs.customer_id = bc.customer_id INNER JOIN bspayments bp ON bs.sale_id = bp.sale_id',
						'bs.branch_id = \''.$branch_id.'\' AND bc.company_name LIKE \'%walk%\' AND bp.pdate = \''.$date.'\' AND bp.deleted=\'0\' AND bp.refund_id=\'0\'');
	$sales_rec = sql_qry("SELECT bs.sale_id AS sale_id, bp.bsp_id AS bsp_id, bc.company_name AS company_name, bp.amount AS amount, bc.customer_id AS customer_id
						FROM branch_sales bs
							INNER JOIN branch_customers bc ON bs.customer_id = bc.customer_id
							INNER JOIN bspayments bp ON bs.sale_id = bp.sale_id
						WHERE bs.branch_id = '$branch_id' AND bc.company_name LIKE '%walk%' AND bp.pdate = '$date' AND bp.deleted='0' AND bp.refund_id='0'
						ORDER BY sale_id");
	//get customer old balance payment
	$cob_payment_count = sql_fld('COUNT(b.bsp_id)', 'bspayments b INNER JOIN branch_customers bc ON b.customer_id = bc.customer_id', 'b.sale_id = 0 AND bc.branch_id=\''.$branch_id.'\' AND b.pdate=\''.$date.'\'');
	$cob_payment_rec = sql_qry("SELECT b.bsp_id, b.customer_id, bc.company_name, b.amount
						FROM bspayments b
							INNER JOIN branch_customers bc ON b.customer_id = bc.customer_id
						WHERE b.sale_id = 0 AND bc.branch_id='$branch_id' AND b.pdate='$date' AND b.deleted=0
						ORDER BY b.bsp_id");
	//get credit sale
	$credit_sales_count = sql_fld('COUNT(bs.sale_id)',
						'branch_sales bs INNER JOIN branch_customers bc ON bs.customer_id = bc.customer_id LEFT JOIN bspayments bp ON bs.sale_id = bp.sale_id',
						'bs.branch_id = \''.$branch_id.'\' AND bs.deleted=0 AND bc.company_name NOT LIKE \'%walk%\' AND bs.delivery_date = \''.$date.'\'');
	$credit_sales_rec = sql_qry("SELECT bs.sale_id AS sale_id, bc.company_name AS company_name, bs.line_total AS line_total, bc.customer_id AS customer_id
						FROM branch_sales bs
							INNER JOIN branch_customers bc ON bs.customer_id = bc.customer_id
						WHERE bs.branch_id='$branch_id' AND bs.deleted=0 AND bc.company_name NOT LIKE '%walk%' AND bs.delivery_date='$date'
						ORDER BY sale_id");
	//get credit remit
	$credit_remit_count = sql_fld('COUNT(bp.bsp_id)',
						'branch_sales bs INNER JOIN branch_customers bc ON bs.customer_id = bc.customer_id INNER JOIN bspayments bp ON bs.sale_id = bp.sale_id',
						'bs.branch_id = \''.$branch_id.'\' AND bc.company_name NOT LIKE \'%walk%\' AND bp.pdate = \''.$date.'\' AND bp.deleted=0');
	$credit_remit_rec = sql_qry("SELECT bp.bsp_id AS bsp_id, bc.company_name AS company_name, bp.amount AS amount, bs.sale_id AS sale_id, bc.customer_id AS customer_id
						FROM branch_sales bs
							INNER JOIN branch_customers bc ON bs.customer_id = bc.customer_id
							INNER JOIN bspayments bp ON bs.sale_id = bp.sale_id
						WHERE bs.branch_id='$branch_id' AND bc.company_name NOT LIKE '%walk%' AND bp.pdate='$date' AND bp.deleted=0
						ORDER BY bsp_id");
	//get confirmed purchases
	$confired_purchases_count = sql_fld('COUNT(purchase_id)',
						'branch_purchases',
						'branch_id = \''.$branch_id.'\' AND confirm_date = \''.$date.'\' AND user_id != 0');
	$confired_purchases_rec = sql_qry("SELECT purchase_id, line_total 
						FROM branch_purchases
						WHERE branch_id='$branch_id' AND confirm_date='$date' AND user_id != 0
						ORDER BY purchase_id");
	//get expenses
	$expenses_count = sql_fld('COUNT(extype_id)', 'branch_expenses', 'edate=\''.$date.'\' AND branch_id=\''.$branch_id.'\'');
	$expenses_rec = sql_qry("SELECT extype_id, exdesc, amount
						FROM branch_expenses
						WHERE edate='$date' AND branch_id='$branch_id'");
	//get remittances
	$remittances_count = sql_fld('br_id', 'branch_remittances', 'br_date = \''.$date.'\'');
	$remittances_rec = sql_qry("SELECT br_id, notes, amount, confirmed
						FROM branch_remittances
						WHERE br_date='$date' AND branch_id='$branch_id'");
	//get virtual adjustments
	$adjustment_count = sql_fld('COUNT(anchor_id)', 'branch_ptcash_virtual_adjustment', 'branch_id=\''.$branch_id.'\' AND adjustment_date=\''.$date.'\'');
	$adjustment_rec = sql_qry("SELECT CONCAT(u.fname, ' ', u.lname) AS user, va.anchor_amount AS amount, va.notes AS notes
						FROM branch_ptcash_virtual_adjustment va
							INNER JOIN users u ON va.user_id = u.user_id
						WHERE va.branch_id='$branch_id' AND va.adjustment_date='$date'");
	$branch_excess_count = sql_fld('COUNT(ec_id)', 'branch_excesses', 'branch_id=\''.$branch_id.'\' AND ec_date=\''.$date.'\'');
	$branch_excess_rec = sql_qry("SELECT ec_id, notes, user_id, amount
						FROM branch_excesses
						WHERE branch_id='$branch_id' AND ec_date='$date'");
?>
	<div class='post'>
		<h1 class='title'><?php echo sql_fld('branch_name', 'branches', 'branch_id=\''.$branch_id.'\'')?> Branch Report <?php echo $rpt_dte?></h1>
		<div class='entry'>
			<table>
				<thead class='data'>
					<tr align='center'>
						<td align='center'>&nbsp;&nbsp;DR#&nbsp;&nbsp;</td>
						<td align='center'>&nbsp;&nbsp;Credit Sale&nbsp;&nbsp;</td>
						<td align='center'>&nbsp;&nbsp;Particulars&nbsp;&nbsp;</td>
						<td align='center'>&nbsp;&nbsp;Credit Remit&nbsp;&nbsp;</td>
						<td align='center'>&nbsp;&nbsp;Sale&nbsp;&nbsp;</td>
						<td align='center'>&nbsp;&nbsp;Purchase&nbsp;&nbsp;</td>
						<td align='center'>&nbsp;&nbsp;Expenses&nbsp;&nbsp;</td>
						<td align='center'>&nbsp;&nbsp;Remit&nbsp;&nbsp;</td>
					</tr>
				</thead>
				<tbody class='data'>
					<tr class='odd'>
						<td colspan='7' align='right'><b>Petty Cash:</b>&nbsp;</td>
						<td align='right'><?php echo number_format(prev_cash_count($date, $branch_id), 2)?>&nbsp;</td>
					</tr>

<?php
		$i=1;
		if ($remittances_count > 0){
			while ($remittances_roe = mysql_fetch_assoc($remittances_rec)){
				$i++;
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>'>
						<td></td>
						<td></td>
						<td><?php echo $remittances_roe['notes']?></td>
						<td></td>
						<td></td>
						<td></td>
						<td></td>
						<td align='right'><?php echo number_format($remittances_roe['amount'], 2)?>&nbsp;</td>
					</tr>
<?php
			}
		}
		//customer's return
		if ($return_count > 0){
			while ($return_refund_roe = mysql_fetch_assoc($return_refund_rec)){
				$i++;
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>'>
						<td><a class="tddata" href="branch_refund.php?refund_id=<?php echo $return_refund_roe['ref_id'] ?>"><?php echo $return_refund_roe['ref_id'] ?></a></td>
						<td></td>
						<td><a class="tddata" href="branch_return.php?rb_id=<?php echo $return_refund_roe['rb_id'] ?>"><?php echo $return_refund_roe['company_name'].'\'s returned products' ?></a></td>
						<td></td>
						<td></td>
						<td></td>
						<td align='right'><?php echo $return_refund_roe['amount'] ?>&nbsp;</td>
						<td></td>
					</tr>
<?php
			}
		}
		if ($expenses_count > 0){
			while ($expenses_roe = mysql_fetch_assoc($expenses_rec)){
				$i++;
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>'>
						<td></td>
						<td></td>
						<td><?php echo $expenses_roe['exdesc']?></td>
						<td></td>
						<td></td>
						<td></td>
						<td align='right'><?php echo number_format($expenses_roe['amount'], 2)?>&nbsp;</td>
						<td></td>
					</tr>
<?php
			}
		}
		if ($confired_purchases_count > 0){
			while ($confired_purchases_roe = mysql_fetch_assoc($confired_purchases_rec)){
				$i++;
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>'>
						<td></td>
						<td></td>
						<td><a class="tddata" href='branch_purchase.php?purchase_id=<?php echo $confired_purchases_roe['purchase_id']?>' target='New'><?php echo $confired_purchases_roe['purchase_id']?></a></td>
						<td></td>
						<td></td>
						<td align='right'>(<?php echo number_format($confired_purchases_roe['line_total'], 2)?>)&nbsp;</td>
						<td></td>
						<td></td>
					</tr>
<?php
			}
		}
		if ($cob_payment_count > 0){
			while ($cob_payment_roe = mysql_fetch_assoc($cob_payment_rec)) {
				$i++;
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>'>
						<td><a class="tddata" href='branch_payment.php?bsp_id=<?php echo $cob_payment_roe['bsp_id']?>' target='New'><?php echo $cob_payment_roe['bsp_id']?></a></td>
						<td></td>
						<td><a class="tddata" href='branch_customer.php?customer_id=<?php echo $cob_payment_roe['customer_id']?>' target='New'><?php echo $cob_payment_roe['company_name']?></a></td>
						<td align='right'><?php echo number_format($cob_payment_roe['amount'], 2)?>&nbsp;</td>
						<td></td>
						<td></td>
						<td></td>
						<td></td>
					</tr>
<?php				
			}
		}
		if ($credit_remit_count > 0){
			while ($credit_remit_roe= mysql_fetch_assoc($credit_remit_rec)){
				$i++;
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>'>
						<td><a class="tddata" href='point_of_sale_dtls.php?sale_id=<?php echo $credit_remit_roe['sale_id']?>' target='New'><?php echo $credit_remit_roe['sale_id']?></a></td>
						<td></td>
						<td><a class="tddata" href='branch_customer.php?customer_id=<?php echo $credit_remit_roe['customer_id']?>' target='New'><?php echo $credit_remit_roe['company_name']?></a></td>
						<td align='right'><?php echo number_format($credit_remit_roe['amount'], 2)?>&nbsp;</td>
						<td></td>
						<td></td>
						<td></td>
						<td></td>
					</tr>
<?php
			}
		}
		if ($credit_sales_count > 0){
			while ($credit_sale_roe = mysql_fetch_assoc($credit_sales_rec)){
				$i++;
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>'>
						<td><a class="tddata" href='point_of_sale_dtls.php?sale_id=<?php echo $credit_sale_roe['sale_id']?>' target='New'><?php echo $credit_sale_roe['sale_id']?></a></td>
						<td align='right'><?php echo number_format($credit_sale_roe['line_total'], 2)?>&nbsp;</td>
						<td><a class="tddata" href='branch_customer.php?customer_id=<?php echo $credit_sale_roe['customer_id']?>' target='New'><?php echo $credit_sale_roe['company_name']?></a></td>
						<td></td>
						<td></td>
						<td></td>
						<td></td>
						<td></td>
					</tr>
<?php
			}
		}
		if ($sales_count > 0){
			while ($sale_roe = mysql_fetch_assoc($sales_rec)){
				$i++;
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>'>
						<td><a class="tddata" href='point_of_sale_dtls.php?sale_id=<?php echo $sale_roe['sale_id']?>' target='New'><?php echo $sale_roe['sale_id']?></a></td>
						<td></td>
						<td><a class="tddata" href='branch_customer.php?customer_id=<?php echo $sale_roe['customer_id']?>' target='New'><?php echo $sale_roe['company_name']?></a></td>
						<td></td>
						<td align='right'><?php echo number_format($sale_roe['amount'], 2)?>&nbsp;</td>
						<td></td>
						<td></td>
						<td></td>
					</tr>
<?php
			}
		}
?>
				</tbody>
				<tfoot class='data'>
					<tr class='total'>
						<td></td>
						<td align='right'><?php echo number_format(sql_fld('SUM(line_total)', 'branch_sales bs
							INNER JOIN branch_customers bc ON bs.customer_id = bc.customer_id', 
						'bs.branch_id = \''.$branch_id.'\' AND bc.company_name NOT LIKE \'%walk%\' AND bs.delivery_date = \''.$date.'\''), 2)?>&nbsp;</td><!-- Credit Sale -->
						<td></td><!-- Particulars -->
						<td align='right'><?php echo number_format(sql_fld('SUM(bp.amount)', 'branch_sales bs
							INNER JOIN branch_customers bc ON bs.customer_id = bc.customer_id
							INNER JOIN bspayments bp ON bs.sale_id = bp.sale_id',
						'bs.branch_id = \''.$branch_id.'\' AND bc.company_name NOT LIKE \'%walk%\' AND bp.pdate = \''.$date.'\' AND bp.deleted=0') + sql_fld('SUM(b.amount)', 'bspayments b INNER JOIN branch_customers bc ON b.customer_id = bc.customer_id', 'b.sale_id = 0 AND bc.branch_id=\''.$branch_id.'\' AND b.pdate=\''.$date.'\' AND b.deleted=0'), 2)?>&nbsp;</td><!-- Credit Remit -->
						<td align='right'><?php echo number_format(sql_fld('SUM(bp.amount)', 'branch_sales bs
							INNER JOIN branch_customers bc ON bs.customer_id = bc.customer_id
							INNER JOIN bspayments bp ON bs.sale_id = bp.sale_id',
						'bs.branch_id = \''.$branch_id.'\' AND bc.company_name LIKE \'%walk%\' AND bp.pdate = \''.$date.'\' AND bp.deleted=\'0\' AND bp.refund_id=\'0\' '), 2)?>&nbsp;</td><!-- Sale -->
						<td align='right'><?php echo number_format(sql_fld('SUM(line_total)', 'branch_purchases', 'branch_id = \''.$branch_id.'\' AND confirm_date = \''.$date.'\' AND user_id != 0'), 2)?>&nbsp;</td><!-- Purchase -->
						<td align='right'><?php echo number_format(sql_fld('SUM(amount)', 'branch_expenses', 'branch_id = \''.$branch_id.'\' AND edate=\''.$date.'\'') + sql_fld('SUM(ref.amount)', 'returns_branches ret INNER JOIN refunds_branches ref ON ret.rb_id=ref.rb_id', 'ref.refund_date=\''.$date.'\' AND ret.branch_id=\''.$branch_id.'\''), 2)?>&nbsp;</td><!-- Expenses -->
						<td align='right'><?php echo number_format(sql_fld('SUM(amount)', 'branch_remittances', 'br_date = \''.$date.'\' AND branch_id=\''.$branch_id.'\''), 2)?>&nbsp;</td><!-- Remit -->
					</tr>
<?php
				if($adjustment_count > 0){
					$cohba = cash_count($date, $branch_id) - sql_fld('SUM(anchor_amount)', 'branch_ptcash_virtual_adjustment', 'adjustment_date=\''.$date.'\' AND branch_id=\''.$branch_id.'\'');
?>
					<tr class='total'>
						<td colspan='7' align='right'><b>Cash On Hand Before Adjustment:</b>&nbsp;</td>
						<td align='right'><?php echo number_format($cohba, 2)?>&nbsp;</td>
					</tr>
<?php
					while($adjustment_roe = mysql_fetch_assoc($adjustment_rec)){
?>
					<tr class='total'>
						<td colspan='3' align='right'><b>Adjustment issued by:</b>&nbsp;</td>
						<td colspan='4' align='left'>&nbsp;<b><?php echo $adjustment_roe['user']?></b></td>
						<td align='right' rowspan='2'><?php echo number_format($adjustment_roe['amount'], 2)?>&nbsp;</td>
					</tr>
					<tr class='total'>
						<td colspan='3' align='right'><b>Adjustment Reason:</b>&nbsp;</td>
						<td colspan='4' align='left'>&nbsp;<b><?php echo $adjustment_roe['notes']?></b></td>
					</tr>
<?php
					}
				}
?>
					<tr class='total'>
						<td colspan='7' align='right'><b>Cash On Hand:</b>&nbsp;</td>
						<td align='right'><?php echo number_format(cash_count($date, $branch_id), 2)?>&nbsp;</td>
					</tr>
				</tfoot>
			</table>
<?php if ($branch_excess_count > 0){ ?>
			<br \>
			<br \>
			<br \>
			<table>
				<thead class="data">
					<tr>
						<td align='center' width=' 75px'>Excess ID</td>
						<td align='center' width='150px'>Notes</td>
						<td align='center' width='100px'>Encoder</td>
						<td align='center' width=' 75px'>Amount</td>
					</tr>
				</thead>
				<tbody class="data">
<?php 		$i=0;
			while ($branch_excess = mysql_fetch_assoc($branch_excess_rec)){ 
				$i++; ?>
					<tr class="<?php echo $i%2==0?'even':'odd' ?>">
						<td align="right" ><?php echo $branch_excess['ec_id'] ?>&nbsp;</td>
						<td align="left"  >&nbsp;<?php echo $branch_excess['notes'] ?></td>
						<td align="center"><?php echo sql_fld('CONCAT(lname, \', \', fname)', 'users', 'user_id=\''.$branch_excess['user_id'].'\'') ?></td>
						<td align="right" ><?php echo number_format($branch_excess['amount'], 2)?>&nbsp;</td>
					</tr>
<?php       } ?>
				</tbody>
				<tfoot class="total">
					<tr class="total">
						<td colspan="3" align="right">Total Excess&nbsp;</td>
						<td align="right"><?php echo number_format(sql_fld('SUM(amount)', 'branch_excesses', 'branch_id=\''.$branch_id.'\' AND ec_date=\''.$date.'\''), 2)?>&nbsp;</td>
					</tr>
				</tfoot>
			</table>
<?php } ?>
			

		</div>
		<p class='meta'></p>
	</div>
<?php
}
function report_date($date, $branch_id){
?>
	<div class='post'>
		<h1 class='title'>Select Date</h1>
		<div class='entry'>
			<table class='data'>
				<tr class='odd'>
					<td>Select Date:&nbsp;<input id='brid' type='hidden' value='<?php echo $branch_id?>'></td>
					<td>&nbsp;<input readonly id='rptdate' type="text" size="10" name="rptdate" value="<?php echo $date?>" style='width: 80px; height: 19px; text-align: center'>&nbsp;<a class="td_img" href="javascript:rpt_date.popup();">&nbsp;<img src="lib/b_calendar.png" style='vertical-align: -30%'></a></td>
				</tr>
				<tr class='even'>
					<td colspan='2' align='center'><input id='sbt' class='button blue' type='button' value='submit'></td>
				</tr>
			</table>
			<script>
				$(document).ready(function(){
					$('#sbt').click(function(){
						var brid = $('#brid').val();
						var rdte = $('#rptdate').val();
						$.post('get_branch_rpt.php', {string: rdte+'|'+brid}, function(data){
							if (data.length > 0){
								$('#report_container').html(data);
							}
						});
					});
				});
				var rpt_date = new calendar(document.getElementById('rptdate'));
				rpt_date.year_scroll = true; rpt_date.time_comp = false;
			</script>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function adjustment_anchor(){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	$date = sql_curdate();
	$branches = sql_qry('SELECT branch_id AS id, branch_name AS name FROM branches WHERE active = 1');
?>
	<div class='post'>
		<h1 class='title'>Add Branch Adjustment</h1>
		<div class='entry'>
		<form action='<?php echo $link?>' method='POST'>
			<table>
				<tr class='odd'>
					<td width='120px' align='right'>Date of Adjustment:&nbsp;</td>
					<td width='220px'><input readonly id='adjdate' type="text" size="10" name="adjdate" value="<?php echo $date?>" style='width: 80px; height: 19px; text-align: center'>&nbsp;<a class="td_img" href="javascript:adj_date.popup();">&nbsp;<img src="lib/b_calendar.png" style='vertical-align: -30%'></a></td>
				</tr>
				<tr class='even'>
					<td align='right'>Branch:&nbsp;</td>
					<td>
						<select name='branch' style='width: 140px; height: 19px;'>
							<option selected disabled> -- </option>
<?php
						while($branch = mysql_fetch_assoc($branches)){
?>
							<option value='<?php echo $branch['id']?>'><?php echo $branch['name']?></option>
<?php
						}
?>
						</select>
					</td>
				</tr>
				<tr class='odd'>
					<td align='right'>Amount:&nbsp;</td>
					<td><input type='text' name='amount' style='width: 80px; height: 19px;' autocomplete='off'></td>
				</tr>
				<tr class='even'>
					<td align='right'>Notes:&nbsp;</td>
					<td><input type='text' name='notes' style='width: 200px; height: 19px;' autocomplete='off'></td>
				</tr>
				<tr class='odd'>
					<td colspan='2' align='center'><input type='submit' class='button blue' value='Submit'></td>
				</tr>
			</table>
			<script>
				var adj_date = new calendar(document.getElementById('adjdate'));
				adj_date.year_scroll = true; adj_date.time_comp = false;
			</script>
		</form>
		</div>
		<p class='meta'></p>
	</div>
<?php
}

function adjustment_field(){
	$link = _GET_POST($_SERVER['PHP_SELF']);
	if (!isset($_GET['field']) && isset($_POST['field'])) $fld = _GET_POST($_POST['field']);
	elseif (isset($_GET['field']) && !isset($_POST['field'])) $fld = _GET_POST($_GET['field']);
	else $fld = '';
	$page = isset($_GET['page'])?_GET_POST($_GET['page']):'1';
	$recShown =30;
	$recStart = ($page * $recShown) - $recShown;
	$rc = sql_fld('COUNT(anchor_id)', 'branch_ptcash_virtual_adjustment pt INNER JOIN users u ON pt.user_id = u.user_id INNER JOIN branches b ON pt.branch_id = b.branch_id', $fld!=''?' pt.notes LIKE \'%'.$fld.'%\' OR b.branch_name LIKE \'%'.$fld.'%\' OR CONCAT(u.fname, \' \', u.lname) LIKE \'%'.$fld.'%\'':'');
	$qry = sql_qry('SELECT CONCAT(u.fname, \' \', u.lname) AS user, b.branch_name AS branch, pt.anchor_amount AS amount, pt.adjustment_date AS date, pt.notes AS reason FROM branch_ptcash_virtual_adjustment pt INNER JOIN users u ON pt.user_id = u.user_id INNER JOIN branches b ON pt.branch_id = b.branch_id '.($fld!=''?'WHERE pt.notes LIKE \'%'.$fld.'%\' OR b.branch_name LIKE \'%'.$fld.'%\' OR CONCAT(u.fname, \' \', u.lname) LIKE \'%'.$fld.'%\'':'').'ORDER BY pt.adjustment_date DESC');
	$res = mysql_num_rows($qry);
	$totalPages = ceil($rc/$recShown);
	$pgFr = $recStart + 1;
	$pgTo = $recStart + $res;
?>
	<div class='post'>
		<div id="search">
			<a id="icon1" class="th_img" href="branch_rpt_adj_add.php"><img src="lib/file_add.png" width="16" height="16"></a>
			<form method="POST" action="<?php echo $link?>">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class='title'>Branch Report Adjustment</h1>
		<div class='entry'>
<?php
		if ($res>0){
?>
			<table width='70%'>
				<tr>
					<td align='left'>
						<font size='1'><b><?php echo $pgFr?></b> to <b><?php echo $pgTo?></b> of <b><?php echo $rc ?></b> results <?php echo $fld!=''?'with keyword <b>'.$fld.'</b>':''?></font>
					</td>
					<td align="right">
<?php
					if ($fld==''){
						if ($page > 1){
							$prev = $page - 1;
?>
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=1"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $prev ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++) {
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?php echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $i ?>"><?php echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = $page + 1;
?>
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $next ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $totalPages ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					} else {
						if($page > 1) {
							$prev = $page - 1;
?>
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=1&field=<?php echo $fld ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $prev ?>&field=<?php echo $fld ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++){
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?php echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $i ?>&field=<?php echo $fld ?>"><?php echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = ($page + 1);
?>
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $next ?>&field=<?php echo $fld ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?php echo $link ?>?im_id=<?php echo $im_id ?>&page=<?php echo $totalPages ?>&field=<?php echo $fld ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					}
?>
					</td>
				</tr>
			</table>
<?php
			}
?>
			<table>
				<thead class='data'>
					<tr>
						<td align='center' width='100px'>Branch</td>
						<td align='center' width='100px'>Amount</td>
						<td align='center' width='100px'>Issued By</td>
						<td align='center' width='100px'>Date Issued</td>
						<td align='center' width='250px'>Reason</td>
					</tr>
				</thead>
				<tbody class='data'>
<?php
			if ($res > 0){
				$i=0;
				while($adjust_roe = mysql_fetch_assoc($qry)){
					$i++;
?>
					<tr class='<?php echo $i%2==0?'even':'odd'?>'>
						<td><?php echo $adjust_roe['branch']?></td>
						<td align="right"><?php echo number_format($adjust_roe['amount'], 2)?></td>
						<td align="center"><?php echo $adjust_roe['user']?></td>
						<td align="center"><?php echo date_format(date_create($adjust_roe['date']), "M. d, Y")?></td>
						<td><?php echo $adjust_roe['reason']?></td>
					</tr>
<?php
				}
			} else {
?>
					<tr class='even'>
						<td align='center' colspan='4'>No record found.</td>
					</tr>
<?php
			}
?>
				</tbody>
			</table>
		</div>
		<p class='meta'></p>
	</div><?php
}
//$num			-> the number of data to be paged on display
//		use get the num rows from sql_qry() function for this
//$page			-> a set of data to be displayed, basically a page in the whole set of data
//		get this from the url
//$from			-> the starting point of the set to be displayed
//		define this by ($page * $max_res) - $max_res
//$max_res		-> the total number of data to be displayed,
//		this is defined by you by setting any number you wish
//$link			-> the link to redirect the query
//		use basename(__FILE__);
//$ary_index	-> the index from the url
//		set this using array() function
//$field		-> the searched item, can be empty
//		to be set by input of the user
function paginations($num, $page, $from, $max_res, $link, $ary_index, $field=''){
	$page_index = '';
	foreach($ary_index as $key => $value){
		$page_index .= $key.'='.$value.'&';
	}
	$page_index = substr($page_index, 0, (strlen($page_index)-1));
	$total_pages = ceil($num / $max_res);
	$fr = $from + 1;
	$to = $from + $num;
	if ($num > 0) { ?>
		<table width="95%">
			<tr>
				<td align="left">&nbsp;<font size="1"><b><?php echo $fr ?></b> to <b><?php echo $to ?></b> of <b><?php echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font></td>
				<td align="right"><?php
					/***** start of pagination *******/
					// Build First and Prev links. If on page 1, we won't make links
					if($page > 1) {
						$prev = ($page - 1); ?>
						<a class="page_img" href="<?php echo $link.'?'.$page_index ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $link.'?'.$page_index.'&page='.$prev ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
					} // end if
					// build the links to the previous 4 and next 4 pages
					for($i = ($page - 4); $i <= ($page + 4); $i++) {
						// only make a link if the prev/next is a valid page number
						if (($i >= 1) && ($i <= $total_pages)) {
							if ($page == $i) { ?>
								<font face="arial" size="2" color="#000"><b><?php echo $i ?></b></font>&nbsp;&nbsp;<?php
							} else { ?>
								<a class="paging" href="<?php echo $link.'?'.$page_index.'&page='.$i ?>"><?php echo $i ?></a>&nbsp;&nbsp;<?php
							}
						} // end if
					} // end for
					// Build Next and Last links. If on last page, we won't make a links
					if($page < $total_pages) {
						$next = ($page + 1); ?>
						<a class="page_img" href="<?php echo $link.'?'.$page_index.'&page='.$next ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $link.'?'.$page_index.'&page='.$total_pages ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
					} // end if
					/***** end of pagination ******/ ?>           
				</td>
			</tr>
		</table><?php
	}
}
?>