<?php
include "fxns.php";
head("Income Statement", 4);
if(get("branches", "branch_id")){
	if($_POST)
		pre($_POST);
	else{
		$position=fld("position", "users", "user_id=$_SESSION[user_id]");
		if($position==1) pre("");
	}
}else{
	?>
	<div class="err">You must have made a mistake accessing this page.</div>
	<?php
}
foot();
function get($src, $fld){
	if(!isset($_GET[$fld])) return false;
	if(!rec($src, "$fld='$_GET[$fld]'")) return false;
	return true;
}
function pre($val){
	$branch_name=fld("branch_name", "branches", "branch_id=$_GET[branch_id]");
	if($_POST){
		$start_date=date("Y-m-d", strtotime($_POST["dteStartDate"]));
		$end_date=date("Y-m-d", strtotime($_POST["dteEndDate"]));
	}else{
		$q=qry("select date_format(now(), '%Y-%m-01'), last_day(now())");
		$r=mysql_fetch_row($q);
		$start_date=$r[0];
		$end_date=$r[1];
	}
	$gross_profit=fld("sum(revenue)", "branch_sales", "branch_id=$_GET[branch_id] and delivery_date between '$start_date' and '$end_date'");
	$total_expense=fld("sum(amount)", "branch_expenses", "branch_id=$_GET[branch_id] and edate between '$start_date' and '$end_date'");
	$total_tax=fld("sum(amount)", "branch_taxes", "branch_id=$_GET[branch_id] and tdate between '$start_date' and '$end_date'");
	$net_income=$gross_profit-($total_expense+$total_tax);
	$total_unrealized=fld("sum((balance/line_total)*revenue)", "branch_sales", "branch_id=$_GET[branch_id]");
	$current_unrealized=fld("sum((balance/line_total)*revenue)", "branch_sales", "branch_id=$_GET[branch_id] and delivery_date between '$start_date' and '$end_date'");
	$smt=	"SELECT SUM((c.amount / s.line_total) * s.revenue) 
			FROM branch_sales s INNER JOIN bspayments c ON s.sale_id = c.sale_id
			WHERE s.branch_id = '$_GET[branch_id]' AND s.delivery_date between '$start_date' and '$end_date' AND c.good = 1";
	$q=qry($smt);
	$r=mysql_fetch_row($q);
	$current_realized=$r[0];
	$smt=	"SELECT SUM((c.amount / s.line_total) * s.revenue) 
			FROM branch_sales s INNER JOIN bspayments c ON s.sale_id = c.sale_id
			WHERE s.branch_id = '$_GET[branch_id]' AND c.good = 1";
	$q=qry($smt);
	$r=mysql_fetch_row($q);
	$total_realized=$r[0];
	$smt=	"SELECT SUM((c.amount / s.line_total) * s.revenue) 
			FROM branch_sales s INNER JOIN bspayments c ON s.sale_id = c.sale_id
			WHERE s.branch_id = '$_GET[branch_id]' AND c.good = 1 AND (TO_DAYS(s.delivery_date) < TO_DAYS(DATE_ADD(LAST_DAY(DATE_SUB('$start_date', INTERVAL 1 MONTH)), INTERVAL 1 DAY)))";
	$q=qry($smt);
	$r=mysql_fetch_row($q);
	$prev_realized=$r[0];
	?>
	<script type="text/javascript">
		$(document).ready(function(){
			$("form").submit(function(){
				if(env("#dteStartDate", "Start Date")) return false;
				if(!dte("#dteStartDate", "StartDate")) return false;
				if(env("#dteEndDate", "End Date")) return false;
				if(!dte("#dteEndDate", "End Date")) return false;
			});
		});
	</script>
	<div class="out"><div class="in">
		<table class="head"><tr><th>Income Statement - <?php echo $branch_name ?></th></tr></table>
		<table class="grd">
			<tr>
				<th>Start Date:</th>
				<td><?php dte("StartDate", $val) ?></td>
			</tr>
			<tr>
				<th>End Date:</th>
				<td><?php dte("EndDate", $val) ?></td>
			</tr>
			<tfoot><tr><td colspan="2" class="center">
				<?php
				rst("Reset", "Reset", "button blue");
				sbt("Submit", "Go", "button blue");
				?>
			</td></tr></tfoot>
		</table>
	</div></div>
	<div class="out"><div class="in">
		<table class="head"><tr>
			<th>Income Statement - <?php echo $branch_name ?></th>
			<td>
				<?php
				lnk("print", "", "print_income.php", "start_date=$start_date; end_date=$end_date", "", "lnkImg imgPrint");
				?>
			</td>
		</tr></table>
		<table class="grd">
			<thead><tr><th colspan="2" style="padding:5px;">Income Statement for <?php echo $branch_name." from ".date("M d, Y", strtotime($start_date))." to ".date("M d, Y", strtotime($end_date)) ?></th></tr></thead>
			<tr>
				<th>Gross Profit</th>
				<th><?php echo number_format($gross_profit, 2) ?></th>
			</tr>
			<tr>
				<th>Operational Expenses</th>
				<th>
					<?php
					$smt=	"SELECT  et.extype_name, SUM(e.amount)
							FROM branch_expenses e INNER JOIN expense_types et ON e.extype_id = et.extype_id 
							WHERE e.branch_id = '$_GET[branch_id]' 
								AND e.edate between '$start_date' and '$end_date'
							GROUP BY et.extype_name
							ORDER BY et.extype_name";
					$q=qry($smt);
					while($r=mysql_fetch_row($q)) echo $r[0]." ---->> ".number_format($r[1], 2)."<br>";
					?>
				</th>
			</tr>
			<tr>
				<th>Total Expenses</th>
				<th style="font-weight:bold;"><?php echo number_format($total_expense, 2) ?></th>
			</tr>
			<tr>
				<th>Taxes</th>
				<th>
					<?php
					$smt=	"SELECT  tt.taxtype_name, SUM(t.amount)
							FROM branch_taxes t INNER JOIN tax_types tt ON t.taxtype_id = tt.taxtype_id 
							WHERE t.branch_id = '$_GET[branch_id]'
								AND t.tdate between '$start_date' and '$end_date'
							GROUP BY tt.taxtype_name
							ORDER BY tt.taxtype_name";
					$q=qry($smt);
					while($r=mysql_fetch_row($q)) echo $r[0]." ---->> ".number_format($r[1], 2)."<br>";
					?>
				</th>
			</tr>
			<tr>
				<th>Total Taxes</th>
				<th style="font-weight:bold;"><?php echo number_format($total_tax, 2) ?></th>
			</tr>
			<tr>
				<th style="font-weight:bold;">Net Income</th>
				<th style="font-weight:bold;"><?php echo number_format($net_income, 2) ?></th>
			</tr>
			<tr>
				<th>&nbsp;</th>
				<th>&nbsp;</th>
			</tr>
			<tr>
				<th>&nbsp;</th>
				<th>&nbsp;</th>
			</tr>
			<tr>
				<th style="font-style:italic;">Total Unrealized Profit</th>
				<th><?php echo number_format($total_unrealized, 2) ?></th>
			</tr>
			<tr>
				<th style="font-style:italic;">Unrealized Profit From Current Period</th>
				<th><?php echo number_format($current_unrealized, 2) ?></th>
			</tr>
			<tr>
				<th style="font-style:italic;">Total Realized Profit From Previous Months</th>
				<th><?php echo number_format($prev_realized, 2) ?></th>
			</tr>
			<tr>
				<th style="font-style:italic;">Realized Profit from Current Period</th>
				<th><?php echo number_format($current_realized, 2) ?></th>
			</tr>
			<tr>
				<th style="font-weight:bold;">Total Realized Profit</th>
				<th><?php echo number_format($total_realized, 2) ?></th>
			</tr>
		</table>
	</div></div>
	<?php
}
?>