<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Refunds To Customers');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if ($_POST['field'] != "") {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$field = htmlentities(mysql_real_escape_string(stripslashes($_POST['field'])));
			} else {
				$field = htmlentities(mysql_real_escape_string($_POST['field']));
			}
			$branch_id = $_GET['branch_id'];
		} else {
			$branch_id = $_GET['branch_id'];
			$field = $_GET['field'];
			$page = $_GET['page'];
		}
		show_branch_refunds($branch_id, $field, $page);

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_branch_refunds($branch_id, $field, $page) {
	// get the name of the branch
	$sql = "SELECT branch_name FROM branches WHERE branch_id = '$branch_id'"; 
	$wres = mysql_query($sql); $wrow = mysql_fetch_array($wres); $branch_name = $wrow[0];
	
	// to get the position of the user
	$dres = mysql_query("SELECT position FROM users WHERE user_id='$_SESSION[user_id]'");
	$drow = mysql_fetch_array($dres); 
	$position = $drow[0];
				
	// If current page number, use it if not, set one!
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 

	// Define the number of results per page
	$max_results = 30;

	// Figure out the limit for the query based  on the current page number.
	$from = (($page * $max_results) - $max_results);

	// Make links to click in order for  user to sort by whichever column
	$allowed = array('r.refund_id DESC');
	$sortby = (in_array($_GET['sortby'], $allowed)) ? $_GET['sortby'] : 'r.refund_id DESC';

	if ($field == "") {
		// build and run the sql query
		$sql = "SELECT r.refund_id, DATE_FORMAT(r.refund_date, '%b %e, %Y'), r.rb_id, 
					rt.customer_id, c.company_name, r.amount, u.fname, r.notes
				FROM refunds_branches r
					INNER JOIN returns_branches rt ON r.rb_id = rt.rb_id
					INNER JOIN branch_customers c ON rt.customer_id = c.customer_id
					INNER JOIN users u ON r.user_id = u.user_id
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT refund_id FROM refunds_branches";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	} else {
		// build and run the sql query
		$sql = "SELECT r.refund_id, DATE_FORMAT(r.refund_date, '%b %e, %Y'), r.rb_id, 
					rt.customer_id, c.company_name, r.amount, u.fname, r.notes
				FROM refunds_branches r
					INNER JOIN returns_branches rt ON r.rb_id = rt.rb_id
					INNER JOIN branch_customers c ON rt.customer_id = c.customer_id
					INNER JOIN users u ON r.user_id = u.user_id
				WHERE c.company_name LIKE '%$field%'
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT r.refund_id
				FROM refunds_branches r
					INNER JOIN returns_branches rt ON r.rb_id = rt.rb_id
					INNER JOIN branch_customers c ON rt.customer_id = c.customer_id
					INNER JOIN users u ON r.user_id = u.user_id
				WHERE c.company_name LIKE '%$field%'";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	}

	// Figure out the total number of pages we will have
	$total_pages = ceil($total_results / $max_results);

	// Figure out the current page result numbers
	$fr = $from + 1;
	$to = $from + $num;

	// show the table and data
	?>
	<div class="post">
		<div id="search">
			<form method="POST" action="srefunds.php">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title">Refunds To Customers</h1>
		<div class="entry">
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
			<table>
				<thead class="data">
					<tr>
						<td width="80" align="center">Date</td>
						<td width="70" align="center">Return #</td>
						<td width="150" align="center">Supplier</td>
						<td width="80" align="center">Amount</td>
						<td width="100" align="center">Encoder</td>
						<td width="180" align="center">Notes</td>
						<td width="30" align="center"></td>
					</tr>
				</thead>
				<tbody class="data">
					<?PHP
					if ($num > 0) {
						$i = 1; 
						while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
							?>
								<td align="center"><a class="tddata" href="branch_refund.php?refund_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
								<td align="center"><a class="tddata" href="branch_return.php?rb_id=<?PHP echo $row[2] ?>"><?PHP echo $row[2] ?></a></td>
								<td align="left"><a class="tddata" href="branch_customer.php?customer_id=<?PHP echo $row[3] ?>"><?PHP echo $row[4] ?></a></td>
								<td align="right"><?PHP echo number_format($row[5], 2) ?></td>
								<td align="center"><?PHP echo $row[6] ?></td>
								<td align="left"><?PHP echo $row[7] ?></td>
								<td align="center"><a class="td_img" href="d_branch_refund.php?refund_id=<?PHP echo $row[0] ?>"><img src="lib/file_delete.png"></a></td>
							</tr>
							<?PHP
							$i++;
						}
					} else {
						?>
						<tr>
							<td align="center" colspan="8">There are NO existing records of refunds to customers</td>
						</tr>
						<?PHP				
					}
					?>
				</tbody>
			</table>
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}


?>