<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include 'fxns.php';
define('TITLE', 'Avanzare Business Solutions - Branch Remittance');
define('NAV', 3);
session_start();
if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		(isset($_POST['branch_id']) && $_POST['branch_id'] == $_GET['branch_id'])?pre():'';
		branch_remittance(_GET_POST($_GET['branch_id']));
		print_footer();
	}
} else {
	header('Location: login.php');	
}
function pre(){
	$br_date = _GET_POST($_POST['remdate']);
	$branch_id = _GET_POST($_POST['branch_id']);
	$amount = _GET_POST($_POST['amount']);
	$notes = _GET_POST($_POST['notes']);
	$d_bank_id = sql_fld('bank_id', 'banks', 'bank_name LIKE \'UNDEPOSITED CASH\'');
	$notes = _GET_POST($_POST['notes']);
	$remit_dtls = array(
		'br_date'				=> $br_date,
		'branch_id'				=> $branch_id,
		'amount'				=> $amount,
		'user_id'				=> $_SESSION['user_id'],
		'notes'					=> $notes,
	);
	$branch_cash = sql_fld('cash', 'branch_registers', 'branch_id=\''.$branch_id.'\'') - $amount;
	$cash_out = array(
		'cash'		=> $branch_cash
	);
	$bank_cash= sql_fld('balance', 'banks', 'bank_id=\''.$d_bank_id.'\'') + $amount;
	$cash_in = array(
		'balance'	=> $bank_cash
	);
	$remit_res = sql_ins('branch_remittances', $remit_dtls);
	$branch_cash_res = sql_upd('branch_registers', $cash_out, 'branch_id=\''.$branch_id.'\'');
	$banks_res = sql_upd('banks', $cash_in, 'bank_id=\''.$d_bank_id.'\'');
	if($remit_res != false && $branch_cash_res != -1 && $banks_res != -1){
?>
	<br>
	<center>
		<table bgcolor='#008000'>
			<tr>
				<td>
					<table bgcolor='#FFE5B4' width='730'>
						<tr>
							<td align='center'>
								<font face='arial' size='2'><img src='lib/s_okay.png'>
									<br>
									<br>
									Remittance recorded.<br />
									Click <a href='branch_remittances.php?branch_id=<?php echo $branch_id?>'>here</a> to check remittance.
								</font>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</center>
	<br>
<?php		
	} else {
		if($remit_res = false){
?>
	<br>
	<center>
		<table bgcolor='#FF0000'>
			<tr>
				<td>
					<table bgcolor='#FFE5B4' width='730'>
						<tr>
							<td align='center'>
								<font face='arial' size='2'><img src='lib/s_error.png'>
									<br>
									<br>
									Remittance not recorded.
								</font>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</center>
	<br>
<?php
		}
		if($branch_cash_res = -1){
?>
	<br>
	<center>
		<table bgcolor='#FF0000'>
			<tr>
				<td>
					<table bgcolor='#FFE5B4' width='730'>
						<tr>
							<td align='center'>
								<font face='arial' size='2'><img src='lib/s_error.png'>
									<br>
									<br>
									Branch Cash not taken out.
								</font>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</center>
	<br>
<?php
		}
		if($banks_res != -1){
?>
	<br>
	<center>
		<table bgcolor='#FF0000'>
			<tr>
				<td>
					<table bgcolor='#FFE5B4' width='730'>
						<tr>
							<td align='center'>
								<font face='arial' size='2'><img src='lib/s_error.png'>
									<br>
									<br>
									No remittance accepted.
								</font>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</center>
	<br>
<?php
		}
	}
}
?>