<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Branch Sales');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if ($_POST['field'] != "") {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$field = htmlentities(mysql_real_escape_string(stripslashes($_POST['field'])));
			} else {
				$field = htmlentities(mysql_real_escape_string($_POST['field']));
			}
			$branch_id = $_GET['branch_id'];
		} else {
			$branch_id = $_GET['branch_id'];
			$field = $_GET['field'];
			$page = $_GET['page'];
		}
		shortcut_banner($branch_id);
		show_sales($branch_id, $field, $page);

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_sales($branch_id, $field, $page) {
	// get the name of the branch
	$sql = "SELECT branch_name FROM branches WHERE branch_id = '$branch_id'"; 
	$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_name = $brow[0];
	
	// to get the position of the user
	$dres = mysql_query("SELECT position FROM users WHERE user_id='$_SESSION[user_id]'");
	$drow = mysql_fetch_array($dres); 
	$position = $drow[0];
				
	// If current page number, use it if not, set one!
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 

	// Define the number of results per page
	$max_results = 30;

	// Figure out the limit for the query based  on the current page number.
	$from = (($page * $max_results) - $max_results);

	// Make links to click in order for  user to sort by whichever column
	$allowed = array('s.delivery_date DESC, c.company_name, s.or_num', 's.or_num DESC');
	$sortby = (in_array($_GET['sortby'],$allowed)) ? $_GET['sortby'] : 's.delivery_date DESC, c.company_name, s.or_num';

	// build and run the sql query
	if ($field == "") {
		$sql = "SELECT s.sale_id, DATE_FORMAT(s.delivery_date, '%b %e, %Y'), 
					TO_DAYS(NOW()), TO_DAYS(due_date), DATE_FORMAT(s.due_date, '%b %e, %Y'), 
					s.customer_id, c.company_name, s.line_total, s.balance, s.pmode, CONCAT(b.branch_code,' ',s.or_num), s.revenue, s.deleted
				FROM branch_sales s 
					INNER JOIN branches b ON s.branch_id = b.branch_id
					INNER JOIN branch_customers c ON s.customer_id = c.customer_id
				WHERE s.branch_id = '$branch_id'
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT sale_id FROM branch_sales WHERE branch_id = '$branch_id'";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	} else {
		$sql = "SELECT s.sale_id, DATE_FORMAT(s.delivery_date, '%b %e, %Y'), 
					TO_DAYS(NOW()), TO_DAYS(due_date), DATE_FORMAT(s.due_date, '%b %e, %Y'), 
					s.customer_id, c.company_name, s.line_total, s.balance, s.pmode, CONCAT(b.branch_code,' ',s.or_num), s.revenue, s.deleted
				FROM branch_sales s 
					INNER JOIN branches b ON s.branch_id = b.branch_id
					INNER JOIN branch_customers c ON s.customer_id = c.customer_id
				WHERE s.branch_id = '$branch_id' AND (s.or_num LIKE '%$field%' OR c.company_name LIKE '%$field%')
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT s.sale_id
				FROM branch_sales s INNER JOIN branch_customers c ON s.customer_id = c.customer_id
				WHERE s.branch_id = '$branch_id' AND (s.or_num LIKE '%$field%' OR c.company_name LIKE '%$field%')";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	}

	// Figure out the total number of pages we will have
	$total_pages = ceil($total_results / $max_results);

	// Figure out the current page result numbers
	$fr = $from + 1;
	$to = $from + $num;

	// show the table and data
	if ($position != 4){ ?>
	<script type="text/javascript">
		$(document).ready(function(){
			var def_title = $('#title').html();
			var new_title = "Upload "+$('#title').html();
			$('.toggler').click(function(e){
				e.preventDefault();
				$(this).hide();
				$('.toggle').hide();
				$('.switcher').show();
				$('.switch').show();
				$('#title').html(def_title);
			});
			$('.switcher').click(function(e){
				e.preventDefault();
				$(this).hide();
				$('.switch').hide();
				$('.toggler').show();
				$('.toggle').show();
				$('#title').html(new_title);
			});
		});
	</script><?php
	} ?>
	<div class="post">
		<div id="search" style="width: 300px;">
			<a id="icon1" class="th_img" href="point_of_sale.php?branch_id=<?php echo $branch_id ?>"><img src="lib/file_add.png" width="16" height="16"></a><?php
			if ($position != 4){ ?>
			<a id="icon1" class="th_img toggler" href="" style="display: none;" title="Payment Mode"><img src="lib/toggle.png" width="16" height="16"></a>
			<a id="icon1" class="th_img switcher" href="" style="display: block;" title="Upload Mode"><img src="lib/toggle-filled.png" width="16" height="16"></a>
			<a id="icon1" class="th_img toggle" href="import_sale_data.php?branch_id=<?php echo $branch_id ?>" style="display: none"><img src="lib/add.png" width="16" height="16"></a><?php
			} ?>
			<form method="POST" action="branch_sales.php?branch_id=<?php echo $branch_id ?>">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title" id="title">Sales - <?php echo $branch_name ?></h1>
		<div class="entry">
			<?php
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?php echo $fr ?></b> to <b><?php echo $to ?></b> of <b><?php echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?php
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=1&sortby=<?php echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $prev ?>&sortby=<?php echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?php echo $i ?></b></font>&nbsp;&nbsp;<?php
											} else {
												?><a class="paging" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $i ?>&sortby=<?php echo $sortby ?>"><?php echo $i ?></a>&nbsp;&nbsp;<?php
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $next ?>&sortby=<?php echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $total_pages ?>&sortby=<?php echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=1&field=<?php echo $field ?>&sortby=<?php echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $prev ?>&field=<?php echo $field ?>&sortby=<?php echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?php echo $i ?></b></font>&nbsp;&nbsp;<?php
											} else {
												?><a class="paging" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $i ?>&field=<?php echo $field ?>&sortby=<?php echo $sortby ?>"><?php echo $i ?></a>&nbsp;&nbsp;<?php
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $next ?>&field=<?php echo $field ?>&sortby=<?php echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $total_pages ?>&field=<?php echo $field ?>&sortby=<?php echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?php
				}
			?>
			<table>
				<thead class="data">
					<tr>
						<td width="80" align="center"><a class="thdata" href="<?php $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $page ?>&sortby=s.or_num">OR#</a></td>
						<td width="80" align="center"><a class="thdata" href="<?php $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $page ?>&sortby=s.delivery_date DESC, s.or_num">Delivery</a></td>
						<td width="80" align="center">Due Date</td>
						<td width="110" align="center">Customer</td>
						<td width="190" align="center" class="switch">Payments</td>
						<td width="60" align="center">Total</td>
						<td width="60" align="center">Balance</td>
						<td width="50" align="center">Rev.</td>
						<td width="50" align="center" class="toggle" style="display: none;"></td>
					</tr>
				</thead>
				<tbody class="data">
					<?php
					if ($num > 0) {
						$i = 1;
						while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even" <?php echo $row['deleted']!=0?'style=\'background-color: #FF6373\'':''?>><?php
							} else { // $i is ODD
								?><tr class="odd" <?php echo $row['deleted']!=0?'style=\'background-color: #FF6373\'':''?>><?php
							}
							?>
								<td align="center"><a class="tddata" href="point_of_sale_dtls.php?sale_id=<?php echo $row[0] ?>"><?php echo $row[10] ?></a></td>
								<td align="center"><?php echo $row[1] ?></td>
								<td align="center"><?php
									if (($row[2] >= $row[3]) && $row[8] > 0) { // TO_DAYS(NOW()) > TO_DAYS(due_date) && balance > 0									echo "<font color=red><b><blink>$row[13]</blink></b></font>";
										echo "<font color=red><b><blink>$row[4]</blink></b></font>";
									} else {
										echo $row[4]; // due date
									} 
									?></td>
								<td align="left"><a class="tddata" href="branch_customer.php?customer_id=<?php echo $row[5] ?>"><?php echo $row[6] ?></a></td>
								<td align="center" class="switch"><?php 
									$sql = "SELECT bsp_id, DATE_FORMAT(pdate, '%m/%e/%y'), amount, good
											FROM bspayments
											WHERE sale_id = '$row[0]' AND deleted = 0 ORDER BY pdate DESC";
									$pres = mysql_query($sql);
									while ($prow = mysql_fetch_array($pres)) {
										echo "&nbsp;&nbsp;$prow[1]&nbsp;&nbsp;--&nbsp;&nbsp;";
										if ($position != 2) {
											?><a class="tddata" href="bs_payment.php?bsp_id=<?php echo $prow[0] ?>"><?php echo $prow[0] ?></a><?php
										} else { echo $prow[0];
										}			
										echo "&nbsp;&nbsp;--&nbsp;&nbsp;";
										if ($prow[3] == 1) { echo number_format($prow[2], 2); 
										} else { ?><font color="red"><?php echo number_format($prow[2], 2); ?></font><?php }
										echo "<br>";
									}
									?></td>
								<td align="right"><?php echo number_format($row[7], 2); /* line total */ ?></td>
								<td align="right"><?php echo number_format($row[8], 2); /* balance  */ ?></td>
								<td align="right"><?php if ($position == 1) { echo number_format($row[11], 2); } /* revenue  */ ?></td>
								<td align="center" class="toggle" style="display: none;"><?php
									$deleted = sql_fld("deleted", "branch_sales", "sale_id=$row[0]");
									if ($deleted == 0){
										?>
									<a id="icon1" class="th_img" href="import_sale_data.php?sale_id=<?php echo $row[0] ?>" target="_blank"><img src="lib/add.png" width="16" height="16"></a><?php
									$item_cnt = sql_fld("COUNT(sale_id)", "bsale_details_temp", "sale_id=$row[0]");
									if ($item_cnt > 0){ ?>
									<a id="icon1" class="th_img" href="import_sale_confirm.php?sale_id=<?php echo $row[0] ?>" target="_blank"><img src="lib/Excel-icon.png" width="16" height="16"></a><?php
									} 
									} ?></td>
							</tr>
							<?php
							$i++;
						}
					} else {
						?>
						<tr>
							<td align="center" colspan="7">There are NO existing records of sales for <?php echo $branch_name ?></td>
						</tr>
						<?php				
					}
					?>
				</tbody>
			</table>
			<?php
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?php echo $fr ?></b> to <b><?php echo $to ?></b> of <b><?php echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?php
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=1&sortby=<?php echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $prev ?>&sortby=<?php echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?php echo $i ?></b></font>&nbsp;&nbsp;<?php
											} else {
												?><a class="paging" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $i ?>&sortby=<?php echo $sortby ?>"><?php echo $i ?></a>&nbsp;&nbsp;<?php
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $next ?>&sortby=<?php echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $total_pages ?>&sortby=<?php echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=1&field=<?php echo $field ?>&sortby=<?php echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $prev ?>&field=<?php echo $field ?>&sortby=<?php echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?php echo $i ?></b></font>&nbsp;&nbsp;<?php
											} else {
												?><a class="paging" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $i ?>&field=<?php echo $field ?>&sortby=<?php echo $sortby ?>"><?php echo $i ?></a>&nbsp;&nbsp;<?php
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $next ?>&field=<?php echo $field ?>&sortby=<?php echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['PHP_SELF'] ?>?branch_id=<?php echo $branch_id ?>&page=<?php echo $total_pages ?>&field=<?php echo $field ?>&sortby=<?php echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?php
				}
			?>
		</div>
		<p class="meta"></p>		
	</div>
	<?php
}
?>