<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Print Lump Sum Check Payment to Supplier');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin
if (isset($_GET['supplier_id'])){
	val_qry("supplier_id", "suppliers");
	$supplier_id = _GET_POST($_GET['supplier_id']);	
}


session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		isset($supplier_id)?pre($supplier_id):consolidated_pre();
		print_footer();
	}
} else {
	header('Location: login.php');	
}

function consolidated_pre(){
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 
	$max_results = 30;
	$from = (($page * $max_results) - $max_results);
	if (!empty($_POST['field'])){ $fld = _GET_POST($_POST['field']); }
	else if (!empty($_GET['field'])) { $fld = _GET_POST($_GET['field']); }
	else { $fld=""; }
	$sql =sql_qry("SELECT cv.cv_id, cv.supplier_id, s.company_name, cv.ttl_amt, cv.cv_date, cv.voucher_printed, cv.v_printed_by, cv.check_printed, cv.c_printed_by
				   FROM check_voucher cv INNER JOIN suppliers s ON cv.supplier_id = s.supplier_id
				   ".(strlen($fld)==0?"":" WHERE s.company_name LIKE '%$fld%'")." 
				   ORDER BY cv.cv_date DESC
				   LIMIT $from, $max_results");
	$cv_num = mysql_num_rows($sql);
	$total_results = sql_fld("COUNT(cv_id)", "check_voucher cv INNER JOIN suppliers s ON cv.supplier_id = s.supplier_id", strlen($fld)==0?"":"s.company_name LIKE '%$fld%'");
	$total_pages = ceil($total_results / $max_results);
	$fr = $from + 1;
	$to = $from + $total_results;
	 ?>
	<div class="post">
		<div id="search">
			<a id="icon1" class="th_img" href="print_chk.php"><img src="lib/cheque.png" width="16" height="16"></a>
			<form method="POST" action="check_voucher.php">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title">Check Vouchers</h1>
		<div class="entry"><?php
			if ($cv_num > 0) {
				?>
					<table width="80%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?php echo $fr ?></b> to <b><?php echo $to ?></b> of <b><?php echo number_format($total_results, 0) ?></b> results <?php echo strlen($fld)>0 ? 'with keyword "<b>'.$fld.'</b>"' : '' ?></font>
							</td>
							<td align="right"><?php
								if ($fld == ""){
								/***** start of pagination *******/
								// Build First and Prev links. If on page 1, we won't make links
								if($page > 1) {
									$prev = ($page - 1);
									?><a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=1"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=<?php echo $prev ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
								} // end if
			
								// build the links to the previous 4 and next 4 pages
								for($i = ($page - 4); $i <= ($page + 4); $i++) {
									// only make a link if the prev/next is a valid page number
									if (($i >= 1) && ($i <= $total_pages)) {
										echo ($page == $i) ? "<font face=arial size=2 color=#000000><b>$i</b></font>&nbsp;&nbsp;" : "<a class=paging 
										href='{$_SERVER['php_SELF']}?supplier_id=$supplier_id&page=$i'>$i</a>&nbsp;&nbsp;";
									} // end if
								} // end for
								
								// Build Next and Last links. If on last page, we won't make a links
								if($page < $total_pages) {
									$next = ($page + 1);
									?><a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=<?php echo $next ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=<?php echo $total_pages ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
								} // end if
								/***** end of pagination ******/
								} else {
								/***** start of pagination *******/
								// Build First and Prev links. If on page 1, we won't make links
								if($page > 1) {
									$prev = ($page - 1);
									?><a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=1&field=<?php echo $fld ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=<?php echo $prev ?>&field=<?php echo $fld ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
								} // end if
			
								// build the links to the previous 4 and next 4 pages
								for($i = ($page - 4); $i <= ($page + 4); $i++) {
									// only make a link if the prev/next is a valid page number
									if (($i >= 1) && ($i <= $total_pages)) {
										echo ($page == $i) ? "<font face=arial size=2 color=#000000><b>$i</b></font>&nbsp;&nbsp;" : "<a class=paging 
										href='{$_SERVER['php_SELF']}?supplier_id=$supplier_id&page=$i&field=$fld'>$i</a>&nbsp;&nbsp;";
									} // end if
								} // end for
								
								// Build Next and Last links. If on last page, we won't make a links
								if($page < $total_pages) {
									$next = ($page + 1);
									?><a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=<?php echo $next ?>&field=<?php echo $fld ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=<?php echo $total_pages ?>&field=<?php echo $fld ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
								} // end if
								/***** end of pagination ******/
								} ?>           
							</td>
						</tr>
					</table>
				<?php
				}
			?>
			<table>
				<thead class="data">
					<tr height="20px" align="center">
						<td width=" 80px">Voucher#</td>
						<td width="200px">Supplier</td>
						<td width="100px">Amount</td>
						<td width="100px">Encashment Date</td>
						<td width=" 70px">Status</td>
					</tr>
				</thead>
				<tbody><?php
				if ($cv_num > 0) {
					$i = 0;
					while ($sql_row = mysql_fetch_array($sql)) {
					$i++; ?>
						<tr height="20px" align="center" class="<?php echo $i%2==0?"even":"odd" ?>">
							<td title="<?php echo $sql_row[v_printed_by]!=0?"Printed by ".sql_fld("CONCAT(fname, ' ', lname)", "users", "user_id='$sql_row[v_printed_by]'"):"Not Yet Printed" ?>"><a href="print_chk_vchr.php?cv_id=<?php echo $sql_row[cv_id] ?>" target="_blank"><?php echo $sql_row[cv_id]; ?></a></td>
							<td align="left">&nbsp;<a href="supplier.php?supplier_id=<?php echo $sql_row[supplier_id]; ?>"><?php echo $sql_row[company_name]; ?></a></td>
							<td align="right"><?php echo number_format($sql_row[ttl_amt], 2); ?>&nbsp;</td>
							<td title="<?php echo $sql_row[c_printed_by]!=0?"Printed by ".sql_fld("CONCAT(fname, ' ', lname)", "users", "user_id='$sql_row[c_printed_by]'"):"Not Yet Printed" ?>"><a href="print_chk.php?cv_id=<?php echo $sql_row[cv_id] ?>" target="_blank"><?php echo date_format(date_create($sql_row[cv_date]), "M. d, Y"); ?></a></td>
							<td><?php echo ($sql_row[voucher_printed]==1&&$sql_row[check_printed]==1)?"Released":"Not Yet";  ?></td>
						</tr><?php
					}
				} else { ?>
					<tr height="20px" align="center" class="odd">
						<td colspan="5">THERE IS NO RECORD FOUND</td>
					</tr><?php
				} ?>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div><?php
}

function pre($supplier_id){
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 
	$max_results = 30;
	$from = (($page * $max_results) - $max_results);
	if (!empty($_POST['field'])){ $fld = _GET_POST($_POST['field']); }
	else if (!empty($_GET['field'])) { $fld = _GET_POST($_GET['field']); }
	else { $fld=""; }
	$sql =sql_qry("SELECT cv.cv_id, cv.supplier_id, s.company_name, cv.ttl_amt, cv.cv_date, cv.voucher_printed, cv.v_printed_by, cv.check_printed, cv.c_printed_by
				   FROM check_voucher cv INNER JOIN suppliers s ON cv.supplier_id = s.supplier_id
				   WHERE cv.supplier_id = $supplier_id".(strlen($fld)==0?"":" AND s.company_name LIKE '%$fld%'")." 
				   ORDER BY cv.cv_date DESC
				   LIMIT $from, $max_results");
	$cv_num = mysql_num_rows($sql);
	$total_results = sql_fld("COUNT(cv_id)", "check_voucher cv INNER JOIN suppliers s ON cv.supplier_id = s.supplier_id", strlen($fld)==0?"":"s.company_name LIKE '%$fld%'");
	$total_pages = ceil($total_results / $max_results);
	$fr = $from + 1;
	$to = $from + $total_results;
	 ?>
	<div class="post">
		<div id="search">
			<form method="POST" action="check_voucher.php">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title">Check Vouchers</h1>
		<div class="entry"><?php
			if ($cv_num > 0) {
				?>
					<table width="80%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?php echo $fr ?></b> to <b><?php echo $to ?></b> of <b><?php echo number_format($total_results, 0) ?></b> results <?php echo strlen($fld)>0 ? 'with keyword "<b>'.$fld.'</b>"' : '' ?></font>
							</td>
							<td align="right"><?php
								if ($fld == ""){
								/***** start of pagination *******/
								// Build First and Prev links. If on page 1, we won't make links
								if($page > 1) {
									$prev = ($page - 1);
									?><a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=1"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=<?php echo $prev ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
								} // end if
			
								// build the links to the previous 4 and next 4 pages
								for($i = ($page - 4); $i <= ($page + 4); $i++) {
									// only make a link if the prev/next is a valid page number
									if (($i >= 1) && ($i <= $total_pages)) {
										echo ($page == $i) ? "<font face=arial size=2 color=#000000><b>$i</b></font>&nbsp;&nbsp;" : "<a class=paging 
										href='{$_SERVER['php_SELF']}?supplier_id=$supplier_id&page=$i'>$i</a>&nbsp;&nbsp;";
									} // end if
								} // end for
								
								// Build Next and Last links. If on last page, we won't make a links
								if($page < $total_pages) {
									$next = ($page + 1);
									?><a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=<?php echo $next ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=<?php echo $total_pages ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
								} // end if
								/***** end of pagination ******/
								} else {
								/***** start of pagination *******/
								// Build First and Prev links. If on page 1, we won't make links
								if($page > 1) {
									$prev = ($page - 1);
									?><a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=1&field=<?php echo $fld ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=<?php echo $prev ?>&field=<?php echo $fld ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
								} // end if
			
								// build the links to the previous 4 and next 4 pages
								for($i = ($page - 4); $i <= ($page + 4); $i++) {
									// only make a link if the prev/next is a valid page number
									if (($i >= 1) && ($i <= $total_pages)) {
										echo ($page == $i) ? "<font face=arial size=2 color=#000000><b>$i</b></font>&nbsp;&nbsp;" : "<a class=paging 
										href='{$_SERVER['php_SELF']}?supplier_id=$supplier_id&page=$i&field=$fld'>$i</a>&nbsp;&nbsp;";
									} // end if
								} // end for
								
								// Build Next and Last links. If on last page, we won't make a links
								if($page < $total_pages) {
									$next = ($page + 1);
									?><a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=<?php echo $next ?>&field=<?php echo $fld ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?php echo $_SERVER['php_SELF'] ?>?supplier_id=<?php echo $supplier_id ?>&page=<?php echo $total_pages ?>&field=<?php echo $fld ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
								} // end if
								/***** end of pagination ******/
								} ?>           
							</td>
						</tr>
					</table>
				<?php
				}
			?>
			<table>
				<thead class="data">
					<tr height="20px" align="center">
						<td width=" 80px">Voucher#</td>
						<td width="200px">Supplier</td>
						<td width="100px">Amount</td>
						<td width="100px">Encashment Date</td>
						<td width=" 70px">Status</td>
					</tr>
				</thead>
				<tbody><?php
				if ($cv_num > 0) {
					$i = 0;
					while ($sql_row = mysql_fetch_array($sql)) {
					$i++; ?>
						<tr height="20px" align="center" class="<?php echo $i%2==0?"even":"odd" ?>">
							<td title="<?php echo $sql_row[v_printed_by]!=0?"Printed by ".sql_fld("CONCAT(fname, ' ', lname)", "users", "user_id='$sql_row[v_printed_by]'"):"Not Yet Printed" ?>"><a href="print_chk_vchr.php?cv_id=<?php echo $sql_row[cv_id] ?>" target="_blank"><?php echo $sql_row[cv_id]; ?></a></td>
							<td align="left">&nbsp;<a href="supplier.php?supplier_id=<?php echo $sql_row[supplier_id]; ?>"><?php echo $sql_row[company_name]; ?></a></td>
							<td align="right"><?php echo number_format($sql_row[ttl_amt], 2); ?>&nbsp;</td>
							<td title="<?php echo $sql_row[c_printed_by]!=0?"Printed by ".sql_fld("CONCAT(fname, ' ', lname)", "users", "user_id='$sql_row[c_printed_by]'"):"Not Yet Printed" ?>"><a href="print_chk.php?cv_id=<?php echo $sql_row[cv_id] ?>" target="_blank"><?php echo date_format(date_create($sql_row[cv_date]), "M. d, Y"); ?></a></td>
							<td><?php echo ($sql_row[voucher_printed]==1&&$sql_row[check_printed]==1)?"Released":"Not Yet";  ?></td>
						</tr><?php
					}
				} else { ?>
					<tr height="20px" align="center" class="odd">
						<td colspan="5">THERE IS NO RECORD FOUND</td>
					</tr><?php
				} ?>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div><?php
}
?>