<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Customer\'s Lump Sum Payment');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $customer_id = mysql_real_escape_string(stripslashes($_POST['customer_id']));
	            $bank_id = mysql_real_escape_string(stripslashes($_POST['bank_id']));
	            $pmethod = mysql_real_escape_string(stripslashes($_POST['pmethod']));
	            $or_num = mysql_real_escape_string(stripslashes($_POST['or_num']));
	            $amount = mysql_real_escape_string(stripslashes($_POST['amount']));
	            $check_num = mysql_real_escape_string(stripslashes($_POST['check_num']));
	            $check_date = mysql_real_escape_string(stripslashes($_POST['check_date']));
	            $notes = mysql_real_escape_string(stripslashes($_POST['notes']));
			} else {
	            $customer_id = mysql_real_escape_string($_POST['customer_id']);
	            $bank_id = mysql_real_escape_string($_POST['bank_id']);
	            $pmethod = mysql_real_escape_string($_POST['pmethod']);
	            $or_num = mysql_real_escape_string($_POST['or_num']);
	            $amount = mysql_real_escape_string($_POST['amount']);
	            $check_num = mysql_real_escape_string($_POST['check_num']);
	            $check_date = mysql_real_escape_string($_POST['check_date']);
	            $notes = mysql_real_escape_string($_POST['notes']);
			}

			// Check to make sure they entered the payment method.
			if ($bank_id != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please select from the list of banks."; }
			// Check to make sure they entered the Official Receipt Number.
			if ($or_num != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please enter Official Receipt Number."; }
			// Check to make sure they entered the payment amount.
			if ($amount != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please enter payment amount."; }

			// If the data pass all tests, add the patient to the database.
			if ( $a && $b && $c ) {
				$sid_array = $_POST[pid];
				foreach ($sid_array as $sale_id) {
					
					// process payment for each sale_id
					$sql = "SELECT balance FROM sales WHERE sale_id = '$sale_id'";
					$chck_pres = mysql_query($sql);
					$chck_prow = mysql_fetch_array($chck_pres);
					$balance = $chck_prow[0];
					$ctype = sql_fld('ctype', 'customers', 'customer_id=\''.$customer_id.'\'');

					// if selected payment method is cash, ignore check information
					if ($pmethod == "Cash") {
						// get the value of the selected bank
						$sql = "SELECT balance FROM banks WHERE bank_id = '$bank_id'";
						$res = mysql_query($sql); $row = mysql_fetch_array($res); $bank_balance = $row[0];
						$new_balance = $bank_balance + $balance;
								
						$sql = "INSERT INTO cpayments( or_num, customer_id, user_id, sale_id, amount, pdate, pmethod, notes, good, bank_id ) 
								VALUES( '$or_num', '$customer_id', '$_SESSION[user_id]', '$sale_id', '$balance', CURDATE(), 'Cash', '$notes', 1, '$bank_id' )";
						// if payment to customer insertion is successful
						if (mysql_query($sql)) { 
							$c_payment_id = mysql_insert_id();
							// if update of sale if sucessful
							if (mysql_query("UPDATE sales SET balance = 0 WHERE sale_id='$sale_id'")) {
								mysql_query("UPDATE banks SET balance = '$new_balance' WHERE bank_id = '$bank_id' LIMIT 1") or die(mysql_error());
								if ($ctype = 1){
									$b_pur_dtls = array(
										'balance' => 0
									);
									sql_upd('branch_purchases', $b_pur_dtls, 'sale_id=\''.$sale_id.'\'');
								}
								print"<center><font face=arial size=2>Customer's payment has been added into the database.
									Click <a class=paging href='cpayment.php?c_payment_id=$c_payment_id'>here</a> to view the payment.
									</font></center><br><br>";
							}
						} else { // failed to insert
							print"<center><font face=arial size=2 color=red>Could not add customer's payment into the database 
								because: <b>".mysql_error()."</b>.</font></center><br><br>";
						}
					// if selected payment method is check, get check information
					} elseif ($pmethod == "Check") {
						$sql = "INSERT INTO cpayments( customer_id, user_id, sale_id, or_num, amount, pdate, pmethod, check_num, check_date, notes, good, bank_id ) 
								VALUES( '$customer_id', '$_SESSION[user_id]', '$sale_id', '$or_num', '$balance', CURDATE(), 'Check', '$check_num', '$check_date', '$notes', 0, '$bank_id' )";
						// if payment to customer insertion is successful
						if (mysql_query($sql)) { 
							$c_payment_id = mysql_insert_id();
							if ($ctype = 1){
								$b_pur_dtls = array(
									'balance' => 0
								);
								sql_upd('branch_purchases', $b_pur_dtls, 'sale_id=\''.$sale_id.'\'');
							}
							// there is no need to update the sale yet because the check has to be verified first
							print"<center><font face=arial size=2>Customer's payment has been added into the database.
								Click <a class=paging href='cpayment.php?c_payment_id=$c_payment_id'>here</a> to view the payment.
								</font></center><br><br>";
						} else { // failed to insert
							print"<br><center><font face=arial size=2 color=red>Could not add customer's payment into the database 
								because: <b>".mysql_error()."</b>.</font></center><br>";
						}
					}
				}
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<center><table><tr><td bgcolor=#000000><table bgcolor=#ffffff><tr><td height=30><font color=red 
						face=arial size=2><b>The following problems occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<p></p><b>Be sure to re-enter the sale id and the payment method!</b></font></td></tr></table>
						</td></tr></table></center>\n<br>";
				}
				lump_sum($customer_id);
			}
			
		} else {
			// Check for valid entry customer_id in the URL
			if (is_numeric($_GET['customer_id'])) {
				$customer_id = $_GET['customer_id'];
				// show form
				lump_sum($customer_id);
			} else { // No customer_id set.
				print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function lump_sum($customer_id) {
	$sql = "SELECT YEAR(NOW()), MONTH(NOW()), DAY(NOW())";
	$d8_res = mysql_query($sql); $d8_row = mysql_fetch_array($d8_res); 
	$year = $d8_row[0]; $month = $d8_row[1]; $day = $d8_row[2];
	
	$sql = "SELECT company_name FROM customers WHERE customer_id = '$customer_id'";
	$sres = mysql_query($sql); $srow = mysql_fetch_array($sres); 

	$sql = "SELECT sale_id, or_num, DATE_FORMAT(delivery_date, '%b %e, %Y'), line_total, balance
			FROM sales
			WHERE customer_id = '$customer_id' AND balance > 0
			ORDER BY delivery_date DESC, or_num";
	$res = mysql_query($sql); $num = mysql_num_rows($res); 
	
	if ($num > 0) {
		?>
		<form name="AddCLS" action="clump_sum.php" method="POST">
			<div class="post">
				<h1 class="title">Add <?PHP echo $srow[0] ?>'s Lump-Sum Payment</h1>
				<div class="entry">
					<table align="center">
						<tbody class="data">
							<tr class="odd">
								<td width="100" align="right">O.R. #&nbsp;</td>
								<td width="250" align="left"><input type="text" size="30" name="or_num">&nbsp;<font color="red">*</font></td>
								<td width="100" align="right">Payment Method&nbsp;</td>
								<td width="250" align="left"><select name="pmethod"><option value="Cash" rel="1">+++ Cash +++</option><option value="Check" rel="2">+++ Check +++</option></select></td>
							</tr>
							<tr class="even">
								<td align="right">Amount&nbsp;</td>
								<td align="left"><input type="text" size="30" name="amount" readonly="true">&nbsp;<font color="red">*</font></td>
								<td align="right">Destination Bank&nbsp;</td>
								<td align="left"><select name="bank_id"><option value="0">Bank</option>
									<?PHP
									$sql = "SELECT bank_id, bank_name FROM banks WHERE active = 1 ORDER BY bank_name";
									$bres = mysql_query($sql); 
									while ($brow = mysql_fetch_array($bres)) {
										?><option value="<?PHP echo $brow[0] ?>"><?PHP echo $brow[1] ?></option><?PHP
									}
									?>
									</select>&nbsp;<font color="red">*</font></td>
							</tr>
							<tr rel="1" class="odd">
								<td align="right">Notes&nbsp;</td>
								<td align="left" colspan="3"><input type="text" size="90" name="notes"></td>
							</tr>
							<tr rel="2" class="odd">
								<td align="right">Check Number&nbsp;</td>
								<td align="left"><input type="text" size="30" name="check_num">&nbsp;<font color="red">*</font></td>
								<td align="right">Encashment Date&nbsp;</td>
								<td align="left"><input readonly type="text" size="10" name="check_date" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:check_date.popup();">&nbsp;<img src="lib/b_calendar.png"></a>&nbsp;&nbsp;<font color="red">*</font></td>
								<script language="JavaScript">
								<!-- // create calendar object(s) just after form tag closed
									var check_date = new calendar(document.forms['AddCLS'].elements['check_date']);
									check_date.year_scroll = true; check_date.time_comp = false;
								//-->
								</script>
							</tr>
							<tr rel="2" class="even">
								<td align="right">Notes&nbsp;</td>
								<td align="left" colspan="3"><input type="text" size="90" name="notes"></td>
							</tr>
						</tbody>
					</table>
				</div>
				<p class="meta"></p>
			</div>
			<br>
			<div class="post">
				<h1 class="title">Details of Acquisition(s)</h1>
				<div class="entry">
					<table align="center">
						<thead class="data"><tr>
							<td align="center" width="50"></td>
							<td align="center" width="150">O.R. #</td>
							<td align="center" width="150">Delivery Date</td>
							<td align="center" width="150">Line Total</td>
							<td align="center" width="150">Balance</td>
						</tr></thead>
						<tbody class="data">
							<?PHP 
							$i = 1; 
							while ($row = mysql_fetch_array($res)) {
								$m = fmod($i, 2); 
								if ($m == 0) {
									?><tr class="even"><?PHP
								} else {
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><input type="checkbox" name="pid[]" value="<?PHP echo $row[0] ?>" onClick="getClumpSUM()"></td>
									<td align="center"><a class="tddata" href="sale.php?sale_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
									<td align="center"><?PHP echo $row[2] ?></td>
									<td align="right"><?PHP $linet = number_format($row[3], 2); print $linet ?></td>
									<td align="right"><input type="text" name="balance" size="20" value="<?PHP echo $row[4] ?>" style="text-align:right;" readonly="true"></td>
								</tr>
								<?PHP
								$i++;
							}
							?>
							<tr class="total">
								<td colspan="4" align="right"><b>Total Amount</b></td>
								<td align="right"><input type="text" size="20" name="tprice" readonly="true" style="text-align:right"></td>
							</tr>
							<tr class="odd">
								<td colspan="5" align="center">
									<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
									<input type="hidden" name="customer_id" value="<?PHP echo $customer_id ?>">
									<input type="hidden" name="submitted" value="1">
									<input type="button" class="button blue" value="Submit" onClick="valAddCLS()">
								</td>
							</tr>
						</tbody>
					</table>
				</div>
				<p class="meta"></p>
			</div>
		</form>
		<?PHP
	} else {
		print "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
			align=center><font face=arial color=red><img src='lib/s_warn.png'><br><b>There are no payable acquisitions from this customer.</font></td></tr>
			</table></td></tr></table></center><br>";
	}
	
}
?>