<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Confirm Price Movement');
define('NAV', 3); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			if (isset($_SESSION['token']) && $_POST['token'] == $_SESSION['token']) {
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$price_id = mysql_real_escape_string(stripslashes($_POST['price_id']));
				} else {
					$price_id = mysql_real_escape_string($_POST['price_id']);
				}
				
				// update price_users table
				$sql = "UPDATE price_users SET pu_dtime = NOW() WHERE price_id = '$price_id' AND user_id = '$_SESSION[user_id]'";
				if (mysql_query($sql)) {
					print "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>
						You have confirmed the price movement.</font></td></tr></table></td></tr></table></center><br>";
					show_movement($price_id); 
				} else {
					print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2 color=red>Could not confirm price movement because: <b>".mysql_error()."</b>.
						The query was $sql.</font></td></tr></table></td></tr></table></center><br>";
				}
				mysql_close();
			} else {
				$sql = "DELETE FROM users_online WHERE user_id = '$_SESSION[user_id]' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
				session_unset();
				session_destroy();
				header('Location: login.php');
			}
		} else {
			// Check for valid entry price_id in the URL
			if (is_numeric($_GET['price_id'])) {
				$price_id = $_GET['price_id'];
			}
			show_form($price_id);
		}
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($price_id) {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;

	$sql = "SELECT DATE_FORMAT(pr.price_date, '%b %e, %Y'), pr.product_id, p.product_name, pr.price
			FROM pricings pr INNER JOIN products p ON pr.product_id = p.product_id
			WHERE price_id = '$price_id'";
	$res = mysql_query($sql) or die(mysql_error()); $row = mysql_fetch_array($res);
	?>
	<form action="confirm_movement.php" method="POST">
		<div class="post">
			<h1 class="title">Confirm Price Movement</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="even"><td width="100" align="right">Date&nbsp;</td>
							<td width="500" align="left">&nbsp;<?PHP echo $row[0] ?></td></tr>
						<tr class="odd"><td align="right">Product&nbsp;</td>
							<td align="left">&nbsp;<a class="tddata" href="product.php?product_id=<?PHP echo $row[1] ?>"><?PHP echo $row[2] ?></a></td></tr>
						<tr class="even"><td align="right">Price&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[3], 2) ?></td></tr>
						<tr class="odd"><td align="right">&nbsp;</td>
							<td align="left">&nbsp;</td></tr>
						<tr class="even"><td align="right">Conformed&nbsp;</td>
							<td align="left"><?PHP
								$sql = "SELECT DATE_FORMAT(pu.pu_dtime, '%b %e, %Y'), CONCAT(u.fname,' ',u.lname)
										FROM price_users pu JOIN users u ON pu.user_id = u.user_id
										WHERE pu.price_id = '$price_id' AND pu.pu_dtime != '0000-00-00'";
								$ures = mysql_query($sql); 
								while ($urow = mysql_fetch_array($ures)) {
									echo $urow[0]; echo '&nbsp;&nbsp;-&nbsp;&nbsp;'; echo $urow[1]; echo '<br />';
								}
								?></td></tr>
						<tr class="odd"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="token" value="<?PHP echo $token ?>">
							<input type="hidden" name="price_id" value="<?PHP echo $price_id ?>">
							<input type="submit" class="button blue" value="Confirm Price" onclick="return confirm('Are you sure you want to confirm price?');"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}

?>