<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Confirm Branch Remittance');
define('NAV', 3); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			if (isset($_SESSION['token']) && $_POST['token'] == $_SESSION['token']) {
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$br_id = mysql_real_escape_string(stripslashes($_POST['br_id']));
				} else {
					$br_id = mysql_real_escape_string($_POST['br_id']);
				}
				
				// get the information of the remittance
				$sql = "SELECT branch_id, amount FROM branch_remittances WHERE br_id = '$br_id'";
				$rres = mysql_query($sql); $rrow = mysql_fetch_array($rres); 
				$branch_id = $rrow[0]; $amount = $rrow[1]; 
				//echo "BRANCH#: $branch_id<br>AMOUNT: $amount<br><br>";
				
				// get the id and balance of the bank where the remittance will be added
				$sql = "SELECT bank_id, balance FROM banks WHERE bank_name LIKE 'UNDEPOSITED CASH'";
				$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $bank_id = $brow[0]; $bank_balance = $brow[1]; 
				//echo "BANK#: $bank_id<br>BALANCE: $bank_balance<br><br>";
				
				// get the customer_id of the branch
				$sql = "SELECT customer_id FROM customer_branches WHERE branch_id = '$branch_id'";
				$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $customer_id = $crow[0]; 
				//echo "CUSTOMER#: $customer_id<br><br>";
				
				// find old balances for this customer
				$sql = "SELECT balance FROM customer_old_balances WHERE customer_id = '$customer_id' AND balance > 0";
				$cob_res = mysql_query($sql); $cob_row = mysql_fetch_array($cob_res); $cob = $cob_row[0]; 
				//echo "OLD BALANCE: $cob<br><br>";

				if ($cob > 0) {
					//samuel magana
					//echo "<br>Customer's Old Balance $cob > 0<br>"; 
					if ($amount <= $cob) {
						//samuel magana
						//echo "<br>Branch Remittance Amount $amount <= Customer's Old Balance $cob<br>";
						$new_cob = $cob - $amount; 
						$new_bank_balance = $bank_balance + $amount; 
						//echo "UPDATED OLD BALANCE: $new_cob<BR>UPDATED BANK BALANCE: $new_bank_balance<BR><BR>";

						// update the customer's old balance
						$sql = "UPDATE customer_old_balances SET balance = '$new_cob' WHERE customer_id = '$customer_id' LIMIT 1";
						mysql_query($sql) or die(mysql_error()); 

						// insert into cpayments
						$sql = "INSERT INTO cpayments( customer_id, user_id, or_num, amount, pdate, pmethod, bank_id, notes, good )
								VALUES( '$customer_id', '$_SESSION[user_id]', 'Remit', '$amount', CURDATE(), 'Cash', '$bank_id', 'Automatic payment from branch remittance', 1 )";
						mysql_query($sql) or die(mysql_error()); 
						
						// update the balance of the bank
						$sql = "UPDATE banks SET balance = '$new_bank_balance' WHERE bank_id = '$bank_id' LIMIT 1";
						mysql_query($sql) or die(mysql_error());

						// update the branch remittance
						$sql = "UPDATE branch_remittances SET confirmed = 1 WHERE br_id = '$br_id' LIMIT 1";
						mysql_query($sql) or die(mysql_error());

						$amount = 0; 
						//echo "NEW AMOUNT: $amount<BR><BR>";
					} else {
						//samuel magana
						//echo "<br>Branch Remittance Amount $amount > Customer's Old Balance $cob<br>";
						$new_bank_balance = $bank_balance + $cob; 
						//echo "UPDATED BANK BALANCE: $new_bank_balance<BR><BR>";
						
						// update the customer's old balance
						$sql = "UPDATE customer_old_balances SET balance = 0 WHERE customer_id = '$customer_id' LIMIT 1";
						mysql_query($sql) or die(mysql_error()); 

						// insert into cpayments
						$sql = "INSERT INTO cpayments( customer_id, user_id, or_num, amount, pdate, pmethod, bank_id, notes, good )
								VALUES( '$customer_id', '$_SESSION[user_id]', 'Remit', '$cob', CURDATE(), 'Cash', '$bank_id', 'Automatic payment from branch remittance', 1 )";
						mysql_query($sql) or die(mysql_error()); 
						
						// update the balance of the bank
						$sql = "UPDATE banks SET balance = '$new_bank_balance' WHERE bank_id = '$bank_id' LIMIT 1";
						mysql_query($sql) or die(mysql_error());
						
						$amount = $amount - $cob; 
						//echo "NEW AMOUNT: $amount<BR><BR>";
					}
				}
					
				// subtract the remittance amount to sales with balances, starting from the oldest
				while ($amount > 0) {
					//samuel magana
					//echo "<br>LOOP: Branch Remittance Amount $amount > 0<br>";
					// find the oldest sale with balance
					$sql = "SELECT DATEDIFF(delivery_date, NOW()) AS diff, sale_id, balance
							FROM sales 
							WHERE customer_id = '$customer_id' AND balance > 0
							ORDER BY diff, sale_id LIMIT 0, 1";
					$sres = mysql_query($sql); 
					$snum = mysql_num_rows($sres); 
					if ($snum > 0) {
						//samuel magana
						//echo "<br>Oldest Sale with Balance Found.<br>";
						$srow = mysql_fetch_array($sres); 
						$sale_id = $srow[1]; $balance = $srow[2]; 
						//echo "SALE#: $sale_id<br>SALE BALANCE: $balance<br><br>";
						
						if ($amount <= $balance) {
							//samuel magana
							//echo "<br>Branch Remittance Amount $amount <= Sale Balance $balance<b>";
							$new_balance = $balance - $amount; 
							$new_bank_balance = $bank_balance + $amount; 
							//echo "NEW SALE BALANCE: $new_balance<br>NEW BANK BALANCE: $new_bank_balance<br><br>";
							
							// update the balance of the sale
							$sql = "UPDATE sales SET balance = '$new_balance' WHERE sale_id = '$sale_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 

							// insert into cpayments
							$sql = "INSERT INTO cpayments( customer_id, user_id, sale_id, or_num, amount, pdate, pmethod, bank_id, notes, good )
									VALUES( '$customer_id', '$_SESSION[user_id]', '$sale_id', 'Remit', '$amount', CURDATE(), 'Cash', '$bank_id', 'Automatic payment from branch remittance', 1 )";
							mysql_query($sql) or die(mysql_error()); 
							
							// update the balance of the bank
							$sql = "UPDATE banks SET balance = '$new_bank_balance' WHERE bank_id = '$bank_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error());

							// update the branch remittance
							$sql = "UPDATE branch_remittances SET confirmed = 1 WHERE br_id = '$br_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error());

							$amount = 0; 
						} else {
							//samuel magana
							//echo "<br>Branch Remittance Amount $amount > Sale Balance $balance<br>";
							$amount = $amount - $balance; 
							$new_bank_balance = $bank_balance + $balance; 
							
							//samuel magana
							$bank_balance=$new_bank_balance;
							//
							
							//echo "NEW BANK BALANCE: $new_bank_balance<br><br>";
							
							// update the balance of the sale
							$sql = "UPDATE sales SET balance = 0 WHERE sale_id = '$sale_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 

							// insert into cpayments
							$sql = "INSERT INTO cpayments( customer_id, user_id, sale_id, or_num, amount, pdate, pmethod, bank_id, notes, good )
									VALUES( '$customer_id', '$_SESSION[user_id]', '$sale_id', 'Remit', '$balance', CURDATE(), 'Cash', '$bank_id', 'Automatic payment from branch remittance', 1 )";
							mysql_query($sql) or die(mysql_error()); 
							
							// update the balance of the bank
							$sql = "UPDATE banks SET balance = '$new_bank_balance' WHERE bank_id = '$bank_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error());
						}
					} else {
						$remaining = $amount; 
						$amount = 0; 
					}
				}
				
				//samuel magana
				//echo "<br>Remaining: $remaining<br>";
				if ($remaining > 0) {
					// overpayment should be added into the capital build-up
					// get the capital build up of the branch
					$sql = "SELECT capital FROM branches WHERE branch_id = '$branch_id'";
					$cap_res = mysql_query($sql); $cap_row = mysql_fetch_array($cap_res); 
					$capital = $cap_row[0]; $new_capital = $capital + $remaining; 
					
					// update the capital build-up
					$sql = "UPDATE branches SET capital = '$new_capital' WHERE branch_id = '$branch_id' LIMIT 1";
					mysql_query($sql) or die(mysql_error());

					// update the branch remittance
					$sql = "UPDATE branch_remittances SET confirmed = 1 WHERE br_id = '$br_id' LIMIT 1";
					mysql_query($sql) or die(mysql_error());
				}
				
				print "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
					align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>
					Remittance was confirmed.<br>Click <a class=paging href='branch_remittances.php?branch_id=$branch_id'>here</a> to view all remittances for this branch.</font></td></tr></table></td></tr></table></center><br>";
					
				mysql_close();
			} else {
				$sql = "DELETE FROM users_online WHERE user_id = '$_SESSION[user_id]' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
				session_unset();
				session_destroy();
				header('Location: login.php');
			}
		} else {
			// Check for valid entry br_id in the URL
			if (is_numeric($_GET['br_id'])) {
				$br_id = $_GET['br_id'];
			}
			show_form($br_id);
		}
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($br_id) {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;

	$sql = "SELECT DATE_FORMAT(r.br_date, '%b %e, %Y'), b.branch_name, r.amount, CONCAT(u.fname,' ',u.lname), r.notes
			FROM branch_remittances r
				INNER JOIN branches b ON r.branch_id = b.branch_id
				INNER JOIN users u ON r.user_id = u.user_id
			WHERE r.br_id = '$br_id'";
	$res = mysql_query($sql) or die(mysql_error()); $row = mysql_fetch_array($res);
	?>
	<form action="confirm_remittance.php" method="POST">
		<div class="post">
			<h1 class="title">Confirm Branch-Remittance</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="right" width="100">Date&nbsp;</td>
							<td align="left" width="240">&nbsp;<?PHP echo $row[0] ?></td>
							<td align="right" width="120">Remitting Branch&nbsp;</td>
							<td align="left" width="240">&nbsp;<?PHP echo $row[1] ?></td></tr>
						<tr class="even"><td align="right">Amount&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[2], 2) ?></td>
							<td align="right">Encoder&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[3] ?></td></tr>
						<tr class="odd"><td align="right">Notes&nbsp;</td>
							<td colspan="3" align="left">&nbsp;<?PHP echo $row[4] ?></td></tr>
						<tr class="even"><td align="center" colspan="4">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="token" value="<?PHP echo $token ?>">
							<input type="hidden" name="br_id" value="<?PHP echo $br_id ?>">
							<input type="submit" class="button blue" value="Confirm Remittance" onclick="return confirm('Are you sure you want to confirm this remittance?');"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}

?>