<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Delete Branch');
define('NAV', 6); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin
session_start();
if(isset($_SESSION['user_id'])){
	if(validate_1()==true){
		print_header(TITLE);
		print_navs();
		if($_POST)
			post();
		else{
			$err=false;
			if(param()){
				$r=rec('vw_branch', "branch_id=$_GET[branch_id]");
				if(!$r){
					$err=true;
				}
			}else{
				$err=true;
			}
			if($err){
				?>
				<div class='err'>
					You must have made a mistake accessing this page.<br>
					Please try again.
				</div>
				<?php
			}else{
				unset($err);
				$branch_purchase=rec('branch_purchases', "branch_id=$_GET[branch_id]");
				if($branch_purchase) $err='Could not Delete Branch.<br>Please make sure that the selected branch has no Purchases.';
				$branch_sale=rec('branch_sales', "branch_id=$_GET[branch_id]");
				if($branch_sale) $err='Could not Delete Branch.<br>Please make sure that the selected branch has no Sales.';
				if(isset($err)){
					?>
					<div class='err'><?php echo $err ?></div>
					<?php
				}else{
					pre($r);	
				}	
			}	
		}
		print_footer();
	}
}else
	header('Location: login.php');
function pre(){
	?>
	<script type='text/javascript'>
		$(document).ready(function(){
			$('form').submit(function(){
				return confirm('Are you sure to Delete the selected Branch?');
				return false;
			});
		});
	</script>
	<form method='post' enctype='multipart/form-data'>
		<div class='out'><div class='in'>
			<table class='head'><tr>
				<th>Delete Branch</th>
			</tr></table>
			<?php
			$fld[]=array('branch_code', 'Branch Code');
			$fld[]=array('branch_name', 'Branch Name');
			$fld[]=array('branch_addr', 'Address');
			$fld[]=array('customer', 'Customer');
			$fld[]=array('active', 'Active', 'bln');
			$btn[]='sbtDelete; Delete; button blue';
			dtl($fld, 'vw_branch', "branch_id=$_GET[branch_id]", $btn);
			?>
		</div></div>
	</form>
	<?php
}
function post(){
	$ar=del('branches', "branch_id=$_GET[branch_id]");
	if($ar){
		del('customer_branches', "branch_id=$_GET[branch_id]");
	}else{
		$err='Could not Delete Branch.<br>Please try again.';
	}
	if(isset($err)){
		?>
		<div class='err'><?php echo $err ?></div>
		<?php
		pre();
	}else{
		?>
		<div class='ok'>
			Branch has been deleted.<br>
			Click <?php lnk('BranchList', 'here', 'branches.php') ?> to see all Branches.
		</div>
		<?php
	}
}
function param(){
	if(!isset($_GET['branch_id'])) return false;
	if(!is_numeric($_GET['branch_id'])) return false;
	return true;
}
?>