<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Delete Product Conversion');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_13() == true) {
		print_header(TITLE);
		print_navs();
		
		if (isset($_POST['submit'])) {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $conv_id = mysql_real_escape_string(stripslashes($_POST['conv_id']));
	        } else {
	            $conv_id = mysql_real_escape_string($_POST['conv_id']);
	        }
			
			// get the details of the conversion
			$sql = "SELECT branch_id, fr_product_id, fr_units, to_product_id, to_units FROM branch_conversions WHERE conv_id = '$conv_id'";
			$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); 
			$branch_id = $crow[0]; $fr_product_id = $crow[1]; $fr_units = $crow[2]; $to_product_id = $crow[3]; $to_units = $crow[4]; 

			// get the customer number of this branch
			$sql = "SELECT customer_id FROM customer_branches WHERE branch_id = '$branch_id'"; 
			$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $customer_id = $crow[0];
			
			// ***********************************************************************************************
			// THE SOURCE ITEM
			// ***********************************************************************************************
			// get the sum of purchases
			$sql = "SELECT SUM(pd.quantity)
					FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id
					WHERE p.branch_id = '$branch_id' AND pd.product_id = '$product_id' AND p.user_id != 0"; 
			$tpur_res = mysql_query($sql); $tpur_row = mysql_fetch_array($tpur_res);
			// get the sum of returns from customers
			$sql = "SELECT SUM(rb.quantity)
					FROM returns_branches r INNER JOIN rb_details rb ON r.rb_id = rb.rb_id
					WHERE r.branch_id = '$branch_id' AND rb.product_id = '$product_id' AND rb.rtype = 1"; 
			$giret_res = mysql_query($sql); $giret_row = mysql_fetch_array($giret_res);
			// get the sum of conversions
			$sql = "SELECT SUM(to_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND to_product_id = '$product_id'"; 
			$rcon_res = mysql_query($sql); $rcon_row = mysql_fetch_array($rcon_res); 

			// get the sum of sales
			$sql = "SELECT SUM(sd.quantity)
					FROM branch_sales s INNER JOIN bsale_details sd ON s.sale_id = sd.sale_id
					WHERE sd.product_id = '$product_id' AND s.branch_id = '$branch_id'";
			$tsale_res = mysql_query($sql); $tsale_row = mysql_fetch_array($tsale_res);
			// get the sum of good returns to main office
			$sql = "SELECT SUM(rd.quantity)
					FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
					WHERE r.customer_id = '$customer_id' AND rd.product_id = '$product_id' AND rd.rtype = 1"; 
			$goret_res = mysql_query($sql); $goret_row = mysql_fetch_array($goret_res);
			// get the sum of conversions
			$sql = "SELECT SUM(fr_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND fr_product_id = '$product_id'"; 
			$wcon_res = mysql_query($sql); $wcon_row = mysql_fetch_array($wcon_res); 
			// get the sum of loss
			$sql = "SELECT SUM(bl.quantity)
					FROM branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id
					WHERE l.branch_id = '$branch_id' AND bl.product_id = '$product_id'"; 
			$gl_res = mysql_query($sql); $gl_row = mysql_fetch_array($gl_res); 
			
			$good = ($tpur_row[0] + $giret_row[0] + $rcon_row[0]) - ($tsale_row[0] + $goret_row[0] + $wcon_row[0] + $gl_row[0]);
			$new_inventory = $good + $fr_units; 
			mysql_free_result($tpur_res); mysql_free_result($giret_res); mysql_free_result($tsale_res); mysql_free_result($goret_res);
			mysql_free_result($rcon_res); mysql_free_result($wcon_res); mysql_free_result($gl_res);
			
			// update the inventory_level in branch_products table
			$sql = "UPDATE branch_products SET inventory = '$new_inventory' 
					WHERE branch_id = '$branch_id' AND product_id = '$product_id' LIMIT 1";
			mysql_query($sql) or die(mysql_error());
			
			
			// ***********************************************************************************************
			// THE NEW ITEM
			// ***********************************************************************************************
			// get the sum of purchases
			$sql = "SELECT SUM(pd.quantity)
					FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id
					WHERE p.branch_id = '$branch_id' AND pd.product_id = '$to_product_id' AND p.user_id != 0"; 
			$tpur_res2 = mysql_query($sql); $tpur_row2 = mysql_fetch_array($tpur_res2);
			// get the sum of returns from customers
			$sql = "SELECT SUM(rb.quantity)
					FROM returns_branches r INNER JOIN rb_details rb ON r.rb_id = rb.rb_id
					WHERE r.branch_id = '$branch_id' AND rb.product_id = '$to_product_id' AND rb.rtype = 1"; 
			$giret_res2 = mysql_query($sql); $giret_row2 = mysql_fetch_array($giret_res2);
			// get the sum of conversions
			$sql = "SELECT SUM(to_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND to_product_id = '$to_product_id'"; 
			$rcon_res2 = mysql_query($sql); $rcon_row2 = mysql_fetch_array($rcon_res2); 

			// get the sum of sales
			$sql = "SELECT SUM(sd.quantity)
					FROM branch_sales s INNER JOIN bsale_details sd ON s.sale_id = sd.sale_id
					WHERE sd.product_id = '$to_product_id' AND s.branch_id = '$branch_id'";
			$tsale_res2 = mysql_query($sql); $tsale_row2 = mysql_fetch_array($tsale_res2);
			// get the sum of good returns to main office
			$sql = "SELECT SUM(rd.quantity)
					FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
					WHERE r.customer_id = '$customer_id' AND rd.product_id = '$to_product_id' AND rd.rtype = 1"; 
			$goret_res2 = mysql_query($sql); $goret_row2 = mysql_fetch_array($goret_res2);
			// get the sum of conversions
			$sql = "SELECT SUM(fr_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND fr_product_id = '$to_product_id'"; 
			$wcon_res2 = mysql_query($sql); $wcon_row2 = mysql_fetch_array($wcon_res2); 
			// get the sum of loss
			$sql = "SELECT SUM(bl.quantity)
					FROM branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id
					WHERE l.branch_id = '$branch_id' AND bl.product_id = '$to_product_id'"; 
			$gl_res2 = mysql_query($sql); $gl_row2 = mysql_fetch_array($gl_res2); 
			
			$good2 = ($tpur_row2[0] + $giret_row2[0] + $rcon_row2[0]) - ($tsale_row2[0] + $goret_row2[0] + $wcon_row2[0] + $gl_row2[0]);

			mysql_free_result($tpur_res2); mysql_free_result($giret_res2); mysql_free_result($tsale_res2); mysql_free_result($goret_res2);
			mysql_free_result($rcon_res2); mysql_free_result($wcon_res2); mysql_free_result($gl_res2);
			
			$good2 = ($tpur_row2[0] + $tit_row2[0] + $giret_row2[0] + $rcon_row2[0]) - ($tsale_row2[0] + $tot_row2[0] + $goret_row2[0] + $gl_row2[0] + $wcon_row2[0]);
			$new_inventory2 = $good2 - $to_units; 
			
			// update the inventory_level in branch_products table
			$sql = "UPDATE branch_products SET inventory = '$new_inventory2' 
					WHERE branch_id = '$branch_id' AND product_id = '$to_product_id' LIMIT 1";
			mysql_query($sql) or die(mysql_error());
			
			// delete the conversion
			$sql = "DELETE FROM branch_conversions WHERE conv_id = '$conv_id'";
			if (mysql_query($sql)) {
				echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
					align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>Product conversion has been deleted.<br>
					Click <a href='branch_conversions.php?branch_id=$branch_id'>here</a> to view all conversions.</font></td></tr></table></td></tr></table></center><br>";
			} else {
				echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 align=center>
					<font face=arial size=2 color=red>Error! Could not delete product conversion.</font></td></tr></table></td></tr></table></center>";
			}
		} else {
			// Check for valid entry conv_id in the URL
			if (is_numeric($_GET['conv_id'])) {
				$conv_id = $_GET['conv_id'];
				// show form
				show_form($conv_id);
			} else { // No conv_id set.
				echo '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($conv_id) {
	$sql = "SELECT DATE_FORMAT(c.cdate, '%b %e, %Y'), c.branch_id, b.branch_name,
				c.fr_product_id, p.product_name, c.fr_units, c.to_product_id, c.to_units, CONCAT(u.lname,', ',u.fname)
			FROM branch_conversions c 
				INNER JOIN branches b ON c.branch_id = b.branch_id
				INNER JOIN users u ON c.user_id = u.user_id 
				INNER JOIN products p ON c.fr_product_id = p.product_id
			WHERE c.conv_id = '$conv_id'"; 
	$res = mysql_query($sql);
	$row = mysql_fetch_array($res);
	?>
	<form action="d_branch_conv.php" method="POST">
		<div class="post">
			<h1 class="title">Conversion Details</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd"><td align="right" width="125">Date&nbsp;</td>
							<td align="left" width="250">&nbsp;<?PHP echo $row[0] ?></td></tr>
						<tr class="even"><td align="right">Warehouse&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[2] ?></td></tr>
						<tr class="odd"><td align="right">Wholesale Product&nbsp;</td>
							<td align="left">&nbsp;<a class="tddata" href="bproduct_its.php?branch_id=<?PHP echo $row[1] ?>&product_id=<?PHP echo $row[3] ?>"><?PHP echo $row[4] ?></a></td></tr>
						<tr class="even"><td align="right">Units&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[5], 2); ?></td></tr>
						<tr class="odd"><td align="right">Retail Product&nbsp;</td>
							<td align="left">&nbsp;<?PHP
								$sql = "SELECT product_name FROM products WHERE product_id = '$row[6]'";
								$pres = mysql_query($sql); $prow = mysql_fetch_array($pres); 
								?><a class="tddata" href="bproduct_its.php?branch_id=<?PHP echo $row[1] ?>&product_id=<?PHP echo $row[6] ?>"><?PHP echo $prow[0] ?></a></td></tr>
						<tr class="even"><td align="right">Units&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[7], 2); ?></td></tr>
						<tr class="odd"><td align="right">Notes&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[8] ?></td></tr>
						<tr class="even">
							<td colspan="2" align="center">
								<input type="hidden" name="conv_id" value="<?PHP echo $conv_id ?>">
								<input type="submit" class="button blue" name="submit" value="Cancel Conversion" onClick="return confirm('Are you sure you want to cancel this conversion?');">
							</td>
						</tr>
					</tbody>
				</table>
			</div>
			<p class="meta"></p>
		</div>
	</form>
	<?PHP
	mysql_free_result($res);
}
?>