<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Delete Expense');
define('NAV', 4); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_134() == true) {
		print_header(TITLE);
		print_navs();
		
		if (isset($_POST['submit'])) {
			if (isset($_SESSION['token']) && $_POST['token'] == $_SESSION['token']) {
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$expense_id = mysql_real_escape_string(stripslashes($_POST[expense_id]));
				} else {
					$expense_id = mysql_real_escape_string($_POST[expense_id]);
				}
				
				// Check to make sure they entered the allergy's name.
				if ($expense_id != 0 && is_numeric($expense_id)) { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please select from the list of expenses."; }

				// If the data pass all tests, add the patient to the database.
				if ( $a ) {
					// get the details of the expense
					$sql = "SELECT branch_id, amount FROM branch_expenses WHERE expense_id = '$expense_id'";
					$res = mysql_query($sql); $row = mysql_fetch_array($res); 
					$branch_id = $row[0]; $amount = $row[1]; 
					
					// get the balance of the registers cash before adding the expense
					$sql = "SELECT cash FROM branch_registers WHERE branch_id = '$branch_id'";
					$rc_res = mysql_query($sql); $rc_row = mysql_fetch_array($rc_res); $rc = $rc_row[0]; $new_rc = $rc + $amount; 
					
					$query = "DELETE FROM branch_expenses WHERE expense_id = '$expense_id' LIMIT 1";
					$result = mysql_query($query);

					// Report the result
					if (mysql_affected_rows() == 1) {
						mysql_query("UPDATE branch_registers SET cash = '$new_rc' WHERE branch_id = '$branch_id' LIMIT 1") or die(mysql_error());
						print "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><img src='lib/s_attention.png'>&nbsp;<font face=arial size=2>Expense has been deleted.
								<br>Click <a class=tddata href='branch_expenses.php?branch_id=$branch_id'>here</a> to view all expenses.</font></td></tr></table></td></tr></table></center><br>";
					} else {
						print "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><img src='lib/s_error.png'><font face=arial size=2>&nbsp;&nbsp;&nbsp;Error!! 
							FAILED to delete expense because: <b>" .mysql_error(). "</b>. The query was $query.</font></td></tr></table></td></tr></table></center><br>"; 
						show_form($expense_id);
					}
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td  
							align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>The following problems 
							occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
						echo "<p></p><b>Be sure to re-enter everything!</b></font></td></tr>
							</table></td></tr></table></center><br>\n";
					}
					show_form();
				}
			} else {
				$sql = "DELETE FROM users_online WHERE user_id = '$_SESSION[user_id]' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
				session_unset();
				session_destroy();
				header('Location: login.php');
			}
		} else {
			// Check for valid entry expense_id in the URL
			if (is_numeric($_GET['expense_id'])) {
				$expense_id = $_GET['expense_id'];
				// show form
				show_form($expense_id);
			} else { // No expense_id set.
				print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($expense_id) {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;

	// get the details of the expense
	$sql = "SELECT DATE_FORMAT(e.edate, '%b %e, %Y'), e.ref_num, et.extype_name, e.exdesc, 
				e.amount, CONCAT(u.fname,' ',u.lname), b.branch_name
			FROM branch_expenses e 
				INNER JOIN expense_types et ON  e.extype_id = et.extype_id 
				INNER JOIN users u ON e.user_id = u.user_id 
				INNER JOIN branches b ON e.branch_id = b.branch_id
			WHERE e.expense_id = '$expense_id'"; 
	$res = mysql_query($sql);
	$row = mysql_fetch_array($res);
	?>
	<form action="d_branch_expense.php" method="POST">
		<div class="post">
			<h1 class="title">Delete Expense</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd"><td align="right" width="125">&nbsp;&nbsp;Date&nbsp;&nbsp;</td>
							<td align="left" width="250">&nbsp;&nbsp;<?PHP echo $row[0] ?>&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Reference #&nbsp;&nbsp;</td>
							<td align="left">&nbsp;&nbsp;<?PHP echo $row[1] ?>&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Type of Expense&nbsp;&nbsp;</td>
							<td align="left">&nbsp;&nbsp;<?PHP echo $row[2] ?>&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Expense Description&nbsp;&nbsp;</td>
							<td align="left">&nbsp;&nbsp;<?PHP echo $row[3] ?>&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Amount&nbsp;&nbsp;</td>
							<td align="left">&nbsp;&nbsp;<?PHP echo $row[4] ?>&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Encoder&nbsp;&nbsp;</td>
							<td align="left">&nbsp;&nbsp;<?PHP echo $row[5] ?>&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Branch&nbsp;&nbsp;</td>
							<td align="left">&nbsp;&nbsp;<?PHP echo $row[6] ?>&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="center" colspan="2">
							<input type="hidden" name="token" value="<?PHP echo $token ?>">
							<input type="hidden" name="expense_id" value="<?PHP echo $expense_id ?>">
							<input type="submit" class="button blue" name="submit" value="Delete" onclick="return confirm('Are you sure you want to delete this expense?');"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
	mysql_free_result($res);
}
?>