<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Delete Customer\'s Payment');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();


if(isset($_SESSION['user_id'])) {
	if (validate_134() == true) {
		print_header(TITLE);
		print_navs();
		delpay(_GET_POST($_GET['bsp_id']));
		print_footer();
	}
} else {
	header('Location: login.php');	
}


function delpay($bsp_id){
	if (isset($_POST['del_reas'])){
		$del_id = _GET_POST($_POST['del_reas']);
		$rec = sql_rec('bspayments', 'bsp_id=\''.$bsp_id.'\'');
		$customer_id = $rec['customer_id'];
		$amount = $rec['amount'];
		$good = $rec['good'];
		$sale_id = $rec['sale_id'];
		$branch_id = sql_fld('branch_id', 'branch_customers', 'customer_id=\''.$customer_id.'\'');
		$refund_id = $rec['refund_id'];
		if ($good==1){
			$register = sql_fld('cash', 'branch_registers', 'branch_id=\''.$branch_id.'\'');
			if ($register>=$amount){
				$new_cash = $register - $amount;
				$reg_dtls = array(
					'cash'	=> $new_cash
				);
				if ($sale_id!=0){
					$sale_bal = sql_fld('balance', 'branch_sales', 'sale_id=\''.$sale_id.'\'');
					$new_sale_bal = $sale_bal + $amount;
					$sale_bal_dtls = array(
						'balance'	=> $new_sale_bal
					);
					$delpay_dtls = array(
						'deleted' => $del_id
					);
					if (sql_upd('branch_sales', $sale_bal_dtls, 'sale_id=\''.$sale_id.'\'') == -1){ ?>
						<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE5B4' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br>Balance Not Updated.<br><br>Delete Payment Failed.</font></td></tr></table></td></tr></table></center><br>
<?php					show_payment($bsp_id, $refund_id);
						return;
					}
					if (sql_upd('bspayments', $delpay_dtls, 'bsp_id=\''.$bsp_id.'\'') == -1){ ?>
						<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE5B4' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br>Balance Updated.<br><br>Delete Payment Failed. Please contact Office to fix the issue.</font></td></tr></table></td></tr></table></center><br>
<?php					show_payment($bsp_id, $refund_id);
						return;
					} ?>
					<br><center><table bgcolor='#008000'><tr><td><table bgcolor='#FFE5B4' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_okay.png'><br><br>Sale Payment Successfully Deleted.</font></td></tr></table></td></tr></table></center><br>
<?php				sql_upd('branch_registers', $reg_dtls, 'branch_id=\''.$branch_id.'\'');
					show_payment($bsp_id, $refund_id);
					return;
				} else {
					$cob_bal = sql_fld('balance', 'branch_cob', 'customer_id=\''.$customer_id.'\'') + $amount;
					$cob_dtls = array(
						'balance' => $cob_bal
					);
					$delpay_dtls = array(
						'deleted' => $del_id
					);
					if (sql_upd('branch_cob', $cob_dtls, 'customer_id=\''.$customer_id.'\'') == -1){ ?>
						<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE5B4' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br><?php echo sql_fld('company_name', 'branch_customers', 'customer_id=\''.$customer_id.'\'').'\'s' ?> Old Balance Not Updated.<br><br>Delete Payment Failed.</font></td></tr></table></td></tr></table></center><br>
<?php					show_payment($bsp_id, $refund_id);
						return;
					}
					if (sql_upd('bspayments', $delpay_dtls, 'bsp_id=\''.$bsp_id.'\'') == -1){ ?>
						<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE5B4' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br><?php echo sql_fld('company_name', 'branch_customers', 'customer_id=\''.$customer_id.'\'').'\'s' ?> Old Balance Updated.<br><br>Delete Payment Failed. Please contact Office to fix the issue.</font></td></tr></table></td></tr></table></center><br>
<?php					sql_upd('branch_registers', $reg_dtls, 'branch_id=\''.$branch_id.'\'');
						show_payment($bsp_id, $refund_id);
						return;
					} ?>
					<br><center><table bgcolor='#008000'><tr><td><table bgcolor='#FFE5B4' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_okay.png'><br><br>Sale Payment Successfully Deleted.</font></td></tr></table></td></tr></table></center><br>
<?php				show_payment($bsp_id, $refund_id);
					return;
				}
			} else { ?>
				<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE5B4' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br>There is not enough balance to be returned to the customer.<br><br>Delete Payment Failed.</font></td></tr></table></td></tr></table></center><br>
<?php			return;
			}
		} else {
			$delpay_dtls = array(
				'deleted' => $del_id
			);
			if (sql_upd('bspayments', $delpay_dtls, 'bsp_id=\''.$bsp_id.'\'') == -1){ ?>
				<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE5B4' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br>Delete Payment Failed.</font></td></tr></table></td></tr></table></center><br>
<?php			show_payment($bsp_id, $refund_id);
				return;
			} else { ?>
				<br><center><table bgcolor='#008000'><tr><td><table bgcolor='#FFE5B4' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_okay.png'><br><br>Sale Payment Successfully Deleted.</font></td></tr></table></td></tr></table></center><br>
<?php			show_payment($bsp_id, $refund_id);
				return;
			}
		} // update sale balance for good measure
		$new_bal = sql_fld('line_total', 'branch_sales', 'sale_id=\''.$sale_id.'\'') - sql_fld('SUM(amount)', 'bspayments', 'sale_id=\''.$sale_id.'\' AND good=\'1\' AND deleted=\'0\'');
		$upd_bal_dtls = array(
			'balance'	=> $new_bal
		);
		sql_upd('branch_sales', $upd_bal_dtls, 'sale_id=\''.$sale_id.'\'');
	} else {
		$refund_id = sql_fld('refund_id', 'bspayments', 'bsp_id=\''.$bsp_id.'\'');
		if (is_numeric($_GET['bsp_id'])){
			if ($refund_id > 0){ ?>
				<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE5B4' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br>COULD NOT DELETE BRANCH PAYMENT because its part of BRANCH'S CUSTOMER REFUND<br>Click <a href="branch_refund.php?refund_id=<?php echo $refund_id?>">here</a> to view Branch Customer Refund.<br></font></td></tr></table></td></tr></table></center><br>
<?php			show_payment($bsp_id, $refund_id);
				print_footer();
				exit();
			} else {
				show_payment($bsp_id, $refund_id);
			}
		} else { ?>
			<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE5B4' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br>You made a mistake accessing this page.</font></td></tr></table></td></tr></table></center><br>
<?php		print_footer();
			exit();
		}
	}
}

function show_payment($bsp_id, $refund_id) {
	$sql = "SELECT p.customer_id, c.company_name, CONCAT(u.lname,', ',u.fname), p.sale_id, 
				p.amount, DATE_FORMAT(p.pdate, '%b %e, %Y'), p.pmethod, p.check_num, 
				DATE_FORMAT(p.check_date, '%b %e, %Y'), p.notes, p.good, DATEDIFF(p.check_date, NOW())
			FROM bspayments p 
				INNER JOIN branch_customers c ON p.customer_id = c.customer_id
				INNER JOIN users u ON p.user_id = u.user_id
			WHERE p.bsp_id = '$bsp_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);
	$deleted = sql_fld('deleted', 'bspayments', 'bsp_id=\''.$bsp_id.'\'');
	$customer_id = sql_fld('customer_id', 'bspayments', 'bsp_id=\''.$bsp_id.'\'');
	if ($deleted == 0 && $refund_id == 0){
		$del_reasons = sql_qry('SELECT dr_id AS id, del_reason AS reason FROM branch_del_reason WHERE dc_id=\'3\' ORDER BY dr_id ASC');	
	} else {
		if($deleted != 0){
			$del_reason = sql_fld('del_reason', 'branch_del_reason', 'dr_id=\''.$deleted.'\'');
		}
		if($refund_id != 0){
			$ref_msg = 'This Payment is refunded to '.sql_fld('company_name', 'branch_customers', 'customer_id=\''.$customer_id.'\'');
		}
	}
	?>
	<form action="d_branch_payment.php?bsp_id=<?php echo $bsp_id?>" method="POST">
		<div class="post">
			<h1 class="title">Delete Customer's Payment</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="even" height="15px"><td align="right" width="125">Customer&nbsp;</td>
							<td align="left" width="275">&nbsp;<a class="tddata" href="customer.php?customer_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td></tr>
						<tr class="odd" height="15px"><td align="right">Prepared By&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[2] ?></td></tr>
						<tr class="even" height="15px"><td align="right">Sale #&nbsp;</td>
							<td align="left">&nbsp;<a class="tddata" href="branch_sale.php?sale_id=<?PHP echo $row[3] ?>"><?PHP echo $row[3] ?></a></td></tr>
						<tr class="odd" height="15px"><td align="right">Payment Amount&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[4], 2) ?></td></tr>
						<tr class="even" height="15px"><td align="right">Payment Date&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[5] ?></td></tr>
						<tr class="odd" height="15px"><td align="right">Payment Method&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[6] ?></td></tr>
						<?PHP
							if ($row[6] == "Check") {
								?>
								<tr class="even" height="15px"><td align="right">Check Number&nbsp;</td>
									<td align="left">&nbsp;<?PHP echo $row[7] ?></td></tr>
								<tr class="odd" height="15px"><td align="right">Check Maturity Date&nbsp;</td>
									<td align="left">&nbsp;<?PHP echo $row[8] ?></td></tr>
								<?PHP
							}
						?>
						<tr class="even" height="15px"><td align="right">Notes&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[9] ?></td></tr>
						<tr class="odd" height="15px"><td align="right">Paid&nbsp;</td>
							<td align="left">&nbsp;
							<?PHP 
							if ($row[10] == 1) { echo "Yes"; } 
							else { echo "No";
								if ($position == 1 && $row[11] <= 0) {
									?>&nbsp;&nbsp;&nbsp;<a class="tddata" href="e_bspayment.php?bsp_id=<?PHP echo $bsp_id ?>"><img src="lib/file_edit.png"></a><?PHP
								}
							}
							?></td></tr>
						<tr class="even" height="15px">
<?php 					if ($refund_id == 0){ ?>
							<td align="right">Deleted&nbsp;</td>
<?php						if ($deleted == 0){ ?>
								<td align="left">&nbsp;<select name='del_reas'>
<?php							while ($delete = mysql_fetch_assoc($del_reasons)){ ?>
									<option value="<?php echo $delete['id'] ?>"><?php echo sql_fld('del_category', 'branch_del_cat', 'dc_id=\'3\'').' -- '.$delete['reason'] ?></option>
<?php							} ?>
								</select>&nbsp;&nbsp;<input type="submit" name="sbt" class="button blue" value="Submit"></td>
<?php						} else { ?>
								<td align="left">&nbsp;<?php echo $del_reason ?></td>
<?php						}
						} else { ?>
							<td align="right">Refund&nbsp;</td>
<?php							if ($deleted == 0){ ?>
								<td align="left">&nbsp;<?php echo $ref_msg ?></td>
<?php						}
						} ?>
						</tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
	mysql_free_result($res);
}

/*
if(isset($_SESSION['user_id'])) {
	if (validate_134() == true) {
		print_header(TITLE);
		print_navs();
		
		if (isset($_POST['submit'])) {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $bsp_id = mysql_real_escape_string(stripslashes($_POST[bsp_id]));
	        } else {
	            $bsp_id = mysql_real_escape_string($_POST[bsp_id]);
	        } //done

			// check if the payment the payment has already been encashed
			$sql = "SELECT customer_id, amount, good, sale_id FROM bspayments WHERE bsp_id = '$bsp_id'";
			$res = mysql_query($sql); $row = mysql_fetch_array($res);
			$customer_id = $row[0]; $amount = $row[1]; $good = $row[2]; $sale_id = $row[3]; // done
			
			// get the assigned branch of the customer
			$sql = "SELECT branch_id FROM branch_customers WHERE customer_id = '$customer_id'";
			$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_id = $brow[0]; //done
			
			// if already encashed, get the balance
			if ($good == 1) { // done
				// get the value of the cash register
				$sql = "SELECT cash FROM branch_registers WHERE branch_id = '$branch_id'";
				$cash_res = mysql_query($sql); $cash_row = mysql_fetch_array($cash_res);
				
				if ($cash_row[0] >= $amount) { //done
					$new_cash = $cash_row[0] - $amount;
					mysql_query("UPDATE branch_registers SET cash = '$new_cash' WHERE branch_id = '$branch_id' LIMIT 1") or die(mysql_error());
					
					if ($sale_id != 0) { //this block is done
						
						$sres = mysql_query("SELECT balance FROM branch_sales WHERE sale_id = '$sale_id'");
						$srow = mysql_fetch_array($sres);
						$sale_bal = $srow[0];
						$new_sale_bal = $sale_bal + $amount;

						$sql1 = "UPDATE branch_sales SET balance = '$new_sale_bal' WHERE sale_id = '$sale_id' LIMIT 1";
						$sql2 = "DELETE FROM bspayments WHERE bsp_id = '$bsp_id' LIMIT 1";
						if (mysql_query($sql1) && mysql_query($sql2)) {
							print"<br><center><table><tr><td bgcolor=#000000><table bgcolor=#bbffbb width=500><tr><td height=30 
								align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>Customer's payment has 
								been deleted.<br><br>Click <a class=paging href='branch_payments.php?branch_id=$branch_id'>here</a> to view all customer's
								payments.</font></td></tr></table></td></tr></table></center><br>";
						} else {
							print"<br><center><table><tr><td bgcolor=#000000><table bgcolor=#ffdddd width=500><tr><td height=30 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br>There has been a mistake
								in cancelling the payment.</font></td></tr></table></td></tr></table></center><br>";
						}
					} else { // this block is done too
						// update the customer's old balance
						$sql = "SELECT balance FROM branch_cob WHERE customer_id = '$customer_id'";
						$res2 = mysql_query($sql); $row2 = mysql_fetch_array($res2);
						$cob_bal = $row2[0] + $amount;
						
						$sql1 = "UPDATE branch_cob SET balance = '$cob_bal' WHERE customer_id = '$customer_id' LIMIT 1";
						$sql2 = "DELETE FROM bspayments WHERE bsp_id = '$bsp_id' LIMIT 1";
						if (mysql_query($sql1) && mysql_query($sql2)) {
							print"<br><center><table><tr><td bgcolor=#000000><table bgcolor=#bbffbb width=500><tr><td height=30 
								align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>Customer's payment has 
								been deleted.<br><br>Click <a class=paging href='branch_payments.php?branch_id=$branch_id'>here</a> to view all customer's
								payments.</font></td></tr></table></td></tr></table></center><br>";
						} else {
							print"<br><center><table><tr><td bgcolor=#000000><table bgcolor=#ffdddd width=500><tr><td height=30 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br>There has been a mistake
								in cancelling the payment.</font></td></tr></table></td></tr></table></center><br>";
						}
					}
				} else {
					print"<br><center><table><tr><td bgcolor=#000000><table bgcolor=#ffdddd width=500><tr><td height=30 
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br>There is not enough amount in the undeposited amount
						to be added back to customer.</font></td></tr></table></td></tr></table></center><br>";
				}
			} else {
				// just delete the cpayment
				$sql = "DELETE FROM bspayments WHERE bsp_id = '$bsp_id' LIMIT 1";
				if (mysql_query($sql)) {
					print "<br><center><table><tr><td bgcolor=#000000><table bgcolor=#bbffbb width=500><tr><td height=30 
						align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>Customer's payment has 
						been deleted.<br><br>Click <a class=paging href='branch_payments.php?branch_id=$branch_id'>here</a> to view all customer's
						payments.</font></td></tr></table></td></tr></table></center><br>";
				} else {
					print "<br><center><table><tr><td bgcolor=#000000><table bgcolor=#ffdddd width=500><tr><td height=30 
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br>There has been a mistake
						in cancelling the payment.</font></td></tr></table></td></tr></table></center><br>";
				}
			}
			$sale_id=fld('sale_id', 'bspayments', 'bsp_id="'.$bsp_id.'"');
			upd_branch_sale_bal($sale_id);
		} else {
			// Check for valid entry bsp_id in the URL
			if (is_numeric($_GET['bsp_id'])) {
				$bsp_id = $_GET['bsp_id'];
				//samuel magana - check if branch sale payment is deleteable
				$refund_id=fld('refund_id', 'bspayments', 'bsp_id="'.$bsp_id.'"');
				$sale_id=fld('sale_id', 'bspayments', 'bsp_id="'.$bsp_id.'"');
				$delivery_date=fld('delivery_date', 'branch_sales', 'sale_id="'.$sale_id.'"');
				if($refund_id){
					err('Could not Delete Branch Sale Payment because it is a part of Branch Customer Refund.<br>Delete Branch Customer Refund Instead.<br>Click <a href="branch_refund.php?refund_id='.$refund_id.'">here</a> to view Branch Customer Refund.');*/
                /*}elseif(rec('branch_sales', 'sale_id="'.$sale_id.'" and datediff(curdate(), "'.$delivery_date.'")>4')){
                    err('Could not Delete Branch Sale Payment.<br>Plase make sure that the related Sale is less than or equal to 5 days old.');*/
				/*}else{
					// show form
					show_payment($bsp_id);	
				}				
			} else { // No bsp_id set.
				print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

*/
?>