<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include 'fxns.php';
define('TITLE', 'Avanzare Business Solutions - Branch Taxes');
define('NAV', 3);
val_qry('tax_id', 'branch_taxes');
session_start();
if (isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		(isset($_POST[tax_id]) && $_POST[tax_id] == $_GET[tax_id])?pre():post();
		print_footer();
	}
}

function pre(){
	$deleted = _GET_POST($_POST[del]);
	$tax_id = _GET_POST($_POST[tax_id]);
	$branch_id = sql_fld('branch_id', 'branch_taxes', 'tax_id=\''.$tax_id.'\'');
	$del_dtls = array(
		'deleted'	=> $deleted
	);
	if(sql_upd('branch_taxes', $del_dtls, 'tax_id=\''.$tax_id.'\'') == -1){ ?>
		<br>
		<center>
			<table bgcolor='#FF0000'>
				<tr>
					<td>
						<table bgcolor='#FFE5B4' width='730'>
							<tr>
								<td align='center'>
									<font face='arial' size='2'><img src='lib/s_error.png'>
										<br>
										<br>
										Tax not deleted.
									</font>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</center>
		<br><?php
		exit();
	} else {
		$new_cash = sql_fld('cash', 'branch_registers', 'branch_id=\''.$branch_id.'\'') + sql_fld('amount', 'branch_taxes', 'tax_id=\''.$tax_id.'\''); ?>
		<br>
		<center>
			<table bgcolor='#008000'>
				<tr>
					<td>
						<table bgcolor='#FFE5B4' width='730'>
							<tr>
								<td align='center'>
									<font face='arial' size='2'><img src='lib/s_okay.png'>
										<br>
										<br>
										Tax successfully deleted.
										<br>
										<br>
										Click <a class="tddata" href="branch_taxes.php?branch_id=<?php echo sql_fld('branch_id', 'branch_taxes', 'tax_id=\''.$tax_id.'\'') ?>">here</a> to view records.
									</font>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</center>
		<br><?php
	}
}

function post(){ 
	$tax_id = _GET_POST($_GET[tax_id]);
	$tax_rec = sql_rec('branch_taxes', 'tax_id=\''.$tax_id.'\'');
	$branch_id = $tax_rec[branch_id];
	$delete_tax = sql_qry('SELECT dr.dr_id AS id, dr.del_reason AS reason, dc.del_category AS category FROM branch_del_reason dr INNER JOIN branch_del_cat dc ON dr.dc_id=dc.dc_id WHERE dc.del_category LIKE \'%Taxes%\' ORDER BY dr.del_reason ASC') ?>
	<dir class="post">
		<h1 class="title"><?php echo $tax_rec[deleted]>0?'Deleted ':'Delete '?>Tax - <?php echo sql_fld('branch_name', 'branches', 'branch_id=\''.$branch_id.'\'') ?></h1>
		<dir class="entry">
			<form id="del_frm" action="d_btax.php?tax_id=<?php echo $tax_id ?>" method="POST">
				<table>
					<tbody class="data">
						<tr>
							<tr class="odd" height="20">
							<td width="150" align="right">Reference Number&nbsp;</td>
							<td width="250" align="left">&nbsp;<?php echo $tax_rec[ref_num] ?></td>
						</tr>
						<tr class="even" height="20">
							<td align="right">Date&nbsp;</td>
							<td align="left">&nbsp;<?php echo $tax_rec[tdate]?></td>
						</tr>
						<tr class="odd" height="20">
							<td align="right">Tax Type&nbsp;</td>
							<td align="left">&nbsp;<?php echo sql_fld('taxtype_name', 'tax_types', 'taxtype_id=\''.$tax_rec[taxtype_id].'\'') ?></td>
						</tr>
						<tr class="even" height="20">
							<td align="right">Notes&nbsp;</td>
							<td align="left">&nbsp;<?php echo $tax_rec[taxdesc] ?></td>
						</tr>
						<tr class="odd" height="20">
							<td align="right">Amount&nbsp;</td>
							<td align="left">&nbsp;<?php echo $tax_rec[amount] ?></td>
						</tr>
						<tr class="even" height="20"><?php
						if ($tax_rec[deleted] > 0) { ?>
							<td align="right">Deleted&nbsp;</td>
							<td align="left">&nbsp;<?php echo sql_fld('del_reason', 'branch_del_reason', 'dr_id=\''.$tax_rec[deleted].'\'') ?></td><?php
						} else { ?>
							<td align="right">Delete&nbsp;</td>
							<td align="left">&nbsp;<select id="del" name="del">
								<option value="--"> --- </option><?php
							while ($delete = mysql_fetch_assoc($delete_tax)){ ?>
								<option value="<?php echo $delete[id] ?>"><?php echo  $delete[category].' -- '.$delete[reason] ?></option> <?php
							} ?>
								</select>&nbsp;
								<input id="dlt" type="button" class="button blue" name="dlt" value="Delete">
								<input type="hidden" name="tax_id" value="<?php echo $tax_id ?>">
							</td><?php
						} ?>
						</tr>
					</tbody>
				</table>
			</form><?php 
			if ($tax_rec[deleted] == 0){ ?>
			<script type="text/javascript">
				$(document).ready(function(){
					$('#dlt').click(function(){
						var del = $('#del').val();
						if ($.isNumeric(del) == false){
							$('#del').css("background-color", "red");
							alert('Select a reason to delete this tax.');
						} else {
							$('#del_frm').submit();
						}
					});
				});
			</script><?php
			} ?>
		</dir>
		<p class="meta"></p>
	</dir><?php
}
?>