<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Delete Payment to Cash Advance');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_13() == true) {
		print_header(TITLE);
		print_navs();
		
		if (isset($_POST['submit'])) {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $lp_id = mysql_real_escape_string(stripslashes($_POST['lp_id']));
	        } else {
	            $lp_id = mysql_real_escape_string($_POST['lp_id']);
	        }
			
			// get the loan_id of the payment
			$sql = "SELECT loan_id, amount FROM loan_payments WHERE lp_id = '$lp_id'";
			$lres = mysql_query($sql); $lrow = mysql_fetch_array($lres); $loan_id = $lrow[0]; $amount = $lrow[1]; 
			
			// get the details of the loan
			$sql = "SELECT balance, branch_id FROM loans WHERE loan_id = '$loan_id'";
			$res = mysql_query($sql); $row = mysql_fetch_array($res);
			$balance = $row[0]; $branch_id = $row[1]; $loan_balance = $balance + $amount; 
			
			if ($branch_id != 0) {
				// get the value of the register
				$sql = "SELECT cash FROM branch_registers WHERE branch_id = '$branch_id'";
				$cr_res = mysql_query($sql); $cr_row = mysql_fetch_array($cr_res); $cash = $cr_row[0]; 
				
				$new_cash = $cash - $amount; 
				// update the cash register
				$sql = "UPDATE branch_registers SET cash = '$new_cash' WHERE branch_id = '$branch_id' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
			} else {
				// get the value of the undeposited cash
				$sql = "SELECT bank_id, balance FROM banks WHERE bank_name = 'UNDEPOSITED CASH'";
				$uc_res = mysql_query($sql); $uc_row = mysql_fetch_array($uc_res); $bank_id = $uc_row[0]; $balance = $uc_row[1]; 
				
				$new_balance = $balance - $amount; 
				// update the undeposited amount
				$sql = "UPDATE banks SET balance = '$new_balance' WHERE bank_id = '$bank_id' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
			}
			
			$sql = "DELETE FROM loan_payments WHERE lp_id = '$lp_id' LIMIT 1";
			if (mysql_query($sql)) {
				$sql = "UPDATE loans SET balance = '$loan_balance' WHERE loan_id = '$loan_id' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 

				echo "<br><center><table><tr><td bgcolor=#000000><table bgcolor=#bbffbb width=730><tr><td height=30 
					align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>Payment to cash advance has 
					been deleted.<br><br>Click <a class=paging href='loan_payments.php'>here</a> to view all payments to cash advances.
					</font></td></tr></table></td></tr></table></center><br>";
			} else {
				echo "<br><center><table><tr><td bgcolor=#000000><table bgcolor=#ffdddd width=730><tr><td height=30 
					align=center><font face=arial size=2><img src='lib/s_error.png'><br><br>Failed to delete payment to cash advance.
					</font></td></tr></table></td></tr></table></center><br>";
			}
		} else {
			// Check for valid entry lp_id in the URL
			if (is_numeric($_GET['lp_id'])) {
				$lp_id = $_GET['lp_id'];
				
				// show form
				show_form($lp_id);
			} else { // No lp_id set.
				print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($lp_id) {
	// to get the details of the drawing
	$sql = "SELECT DATE_FORMAT(p.lp_date, '%b %e, %Y'), CONCAT(u.lname,', ',u.fname), p.amount, p.notes, p.encoder
			FROM loan_payments p 
				INNER JOIN loans l ON p.loan_id = l.loan_id
				INNER JOIN users u ON l.user_id = u.user_id
			WHERE p.lp_id = '$lp_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res); 
	?>
	<form action="d_lp.php" method="POST">
		<div class="post">
			<h1 class="title">Delete Payment To Cash Advance</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd"><td align="right" width="125">Date&nbsp;</td>
							<td align="left" width="250">&nbsp;<?PHP echo $row[0] ?></td></tr>
						<tr class="even"><td align="right">Borrower&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[1] ?></td></tr>
						<tr class="odd"><td align="right">Amount&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[2], 2) ?></td></tr>
						<tr class="even"><td align="right">Notes&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[3] ?></td></tr>
						<tr class="odd"><td align="right">Encoder&nbsp;</td>
							<td align="left">&nbsp;<?PHP 
								$sql = "SELECT CONCAT(lname,', ',fname) FROM users WHERE user_id = '$row[4]'";
								$ures = mysql_query($sql); $urow = mysql_fetch_array($ures); echo $urow[0];
								?></td></tr>
						<tr class="even"><td align="right">Source&nbsp;</td>
							<td align="left">&nbsp;<?PHP
								if ($row[5] == 0) { echo '<i>Undeposited Cash</i>';
								} else {
									$sql = "SELECT branch_name FROM branches WHERE branch_id = '$row[5]'";
									$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); echo $brow[0];
								}
								?></td></tr>
						<tr class="odd"><td align="center" colspan="2">
							<input type="hidden" name="lp_id" value="<?PHP echo $lp_id ?>">
							<input type="submit" class="button blue" name="submit" value="Delete" onclick="return confirm('Are you sure you want to delete this payment to cash advance?');"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
	mysql_free_result($res);
}

?>