<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Daily Report');
define('NAV', 3); 

session_start();
if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		if (isset($_POST['dr'])) pre();
	}
} else {
	header('Location: login.php');	
}

function pre(){
	$dr = _GET_POST($_POST['dr']);
	$custName = _GET_POST($_POST['drcust']);
	$cBalance = _GET_POST($_POST['cBalance']);
	$method = _GET_POST($_POST['method']);
	$payment = _GET_POST($_POST['payment']);
	$notes = _GET_POST($_POST['notes']);
	if (is_numeric($dr) && is_numeric($payment)){
		if ($payment > $cBalance){
			alert('Payment cannot be received: Payment is bigger than the Balance');
			return jscript("
				window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
			");
		} else {
			if ($method == 'Cash'){
				if (!stristr($notes,'online')){
					cpays();
				} else {
					opays();
				}
			} elseif ($method == 'Check'){
				chpays();
			}
		}
	} elseif (!is_numeric($dr) && is_numeric($payment)){
		if ($method == 'Cash'){
			othcash();
		} elseif ($method == 'Check'){
			othcheck();
		}
	} else {
		alert('Please check your entries as they may not be numbers');
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}

function othcheck(){
	$collector_id = _GET_POST($_GET['collector_id']);
	$collector_name = sql_fld('fname', 'users', 'user_id=\''.$collector_id.'\'');
	$bank_id = sql_fld('bank_id', 'banks', 'bank_name=\'Collectors cash-'.$collector_name.'\'');
	$dr = _GET_POST($_POST['dr']);
	$payment = _GET_POST($_POST['payment']);
	$checkNum =  _GET_POST($_POST['checkNum']);
	$checkDate =  _GET_POST($_POST['checkDate']);
	$notes = _GET_POST($_POST['notes']);
	$othcheck_info = array(
		'user_id'		=> $_SESSION['user_id'],
		'trans_code'	=> $dr,
		'tdate'			=> sql_curdate(),
		'bank_id'		=> $bank_id,
		'tmethod'		=> 'Check',
		'check_num'		=> $checkNum,
		'enc_date'		=> $checkDate,
		'amount'		=> $payment,
		'notes'			=> $notes,
		'good'			=> 0
	);
	$othcheck_ins = sql_ins('other_debits', $othcheck_info);
	$clt = 'clt'.$collector_id;
	if (mysql_query(!!$othcheck_ins)){
		$trans_info = array(
			'trans_id'		=> $othcheck_ins,
			'tdate'			=> sql_curdate(),
			'cont_table'	=> 'other_debits',
			'used_system'	=> $clt
		);
		sql_ins('trans_identify', $trans_info);
		alert('Additional debit accepted.');
	} else {
		alert('Payment not posted: '. mysql_error());
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}

function othcash(){
	$collector_id = _GET_POST($_GET['collector_id']);
	$collector_name = sql_fld('fname', 'users', 'user_id=\''.$collector_id.'\'');
	$bank_id = sql_fld('bank_id', 'banks', 'bank_name=\'Collectors cash-'.$collector_name.'\'');
	$dr = _GET_POST($_POST['dr']);
	$payment = _GET_POST($_POST['payment']);
	$notes = _GET_POST($_POST['notes']);
	$othcash_info = array(
		'user_id'		=> $_SESSION['user_id'],
		'trans_code'	=> $dr,
		'tdate'			=> sql_curdate(),
		'bank_id'		=> $bank_id,
		'tmethod'		=> 'Cash',
		'amount'		=> $payment,
		'notes'			=> $notes,
		'good'			=> 1
	);	
	$othcash_ins = sql_ins('other_debits', $othcash_info);
	$clt = 'clt'.$collector_id;
	if (!!$othcash_ins){
		$trans_info = array(
			'trans_id'		=> $othcash_ins,
			'tdate'			=> sql_curdate(),
			'cont_table'	=> 'other_debits',
			'used_system'	=> $clt
		);
		sql_ins('trans_identify', $trans_info);
		alert('Non-transaction debit accepted.');
	} else {
		alert('Payment not posted because of error: '. mysql_error());
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}

function chpays(){
	$collector_id = _GET_POST($_GET['collector_id']);
	$dr = _GET_POST($_POST['dr']);
	$saleID =  _GET_POST($_POST['saleID']);
	$custID =  _GET_POST($_POST['custID']);
	$payment = _GET_POST($_POST['payment']);
	$checkNum =  _GET_POST($_POST['checkNum']);
	$checkDate =  _GET_POST($_POST['checkDate']);
	$notes = _GET_POST($_POST['notes']);
	$chpay_info = array(
		'customer_id'	=> $custID,
		'user_id'		=> $_SESSION['user_id'],
		'sale_id'		=> $saleID,
		'or_num'		=> $dr,
		'amount'		=> $payment,
		'pdate'			=> sql_curdate(),
		'pmethod'		=> 'Check',
		'check_num'		=> $checkNum,
		'check_date'	=> $checkDate,
		'bank_id'		=> 7,
		'notes'			=> $notes,
		'good'			=> 0
	);
	$chpay_ins = sql_ins('cpayments', $chpay_info);
	$clt = 'clt'.$collector_id;
	if (!!$chpay_ins){
		$trans_info = array(
			'trans_id'		=> $chpay_ins,
			'tdate'			=> sql_curdate(),
			'cont_table'	=> 'cpayments',
			'used_system'	=> $clt
		);
		sql_ins('trans_identify', $trans_info);
	} else {
		alert('Payment not posted because '. mysql_error());
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}

function opays(){
	$collector_id = _GET_POST($_GET['collector_id']);
	$dr = _GET_POST($_POST['dr']);
	$saleID =  _GET_POST($_POST['saleID']);
	$custID =  _GET_POST($_POST['custID']);
	$payment = _GET_POST($_POST['payment']);
	$notes = _GET_POST($_POST['notes']);
	$cpay_info = array(
		'customer_id'	=> $custID,
		'user_id'		=> $_SESSION['user_id'],
		'sale_id'		=> $saleID,
		'or_num'		=> $dr,
		'amount'		=> $payment,
		'pdate'			=> sql_curdate(),
		'pmethod'		=> 'Cash',
		'bank_id'		=> 4,
		'notes'			=> $notes,
		'good'			=> 1
	);
	$opay_ins = sql_ins('cpayments', $cpay_info);
	$clt = 'clt'.$collector_id;
	if (!!$opay_ins){
		$sale_bal = sql_fld('balance', 'sales', 'sale_id='.$saleID);
		$new_sale_bal = $sale_bal - $payment;
		$sale_info = array(
			'balance'	=> $new_sale_bal 
		);
		sql_upd('sales', $sale_info, 'sale_id='.$saleID);
		$bank_bal = sql_fld('balance', 'banks', 'bank_id=4');
		$new_bank_bal = $sale_bal + $payment;
		$bank_info = array(
			'balance'	=> $new_bank_bal
		);
		sql_upd('banks', $bank_info, 'bank_id=4');
		$trans_info = array(
			'trans_id'		=> $opay_ins,
			'tdate'			=> sql_curdate(),
			'cont_table'	=> 'cpayments',
			'used_system'	=> $clt
		);
		sql_ins('trans_identify', $trans_info);
		upd_acct_sale($sale_id);
	} else {
		alert('Payment not posted because of error: '. mysql_error());
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}

function cpays(){
	$collector_id = _GET_POST($_GET['collector_id']);
	$collector_name = sql_fld('fname', 'users', 'user_id=\''.$collector_id.'\'');
	$bank_id = sql_fld('bank_id', 'banks', 'bank_name=\'Collectors cash-'.$collector_name.'\'');
	$dr = _GET_POST($_POST['dr']);
	$saleID =  _GET_POST($_POST['saleID']);
	$custID =  _GET_POST($_POST['custID']);
	$payment = _GET_POST($_POST['payment']);
	$notes = _GET_POST($_POST['notes']);
	$cpay_info = array(
		'customer_id'	=> $custID,
		'user_id'		=> $_SESSION['user_id'],
		'sale_id'		=> $saleID,
		'or_num'		=> $dr,
		'amount'		=> $payment,
		'pdate'			=> sql_curdate(),
		'pmethod'		=> 'Cash',
		'bank_id'		=> $bank_id,
		'notes'			=> $notes,
		'good'			=> 1
	);
	$cpay_ins = sql_ins('cpayments', $cpay_info);
	$clt = 'clt'.$collector_id;
	if (!!$cpay_ins){
		$sale_bal = sql_fld('balance', 'sales', 'sale_id='.$saleID);
		$new_sale_bal = $sale_bal - $payment;
		$sale_info = array(
			'balance'	=> $new_sale_bal
		);
		sql_upd('sales', $sale_info, 'sale_id='.$saleID);
		$trans_info = array(
			'trans_id'		=> $cpay_ins,
			'tdate'			=> sql_curdate(),
			'cont_table'	=> 'cpayments',
			'used_system'	=> $clt
		);
		sql_ins('trans_identify', $trans_info);
		upd_acct_sale($saleID);
	} else {
		alert('Payment not posted because of error: '. mysql_error());
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}
?>