//cbo
$.widget("custom.cbo", $.ui.autocomplete, {
	options:{
		fld:null,
		src:null,
		con:null,
		srt:null,
		source:function(request, response){
			$.getJSON("dep/php-cbo.php", {
				field:this.options.fld,
				source:this.options.src,
				condition:this.options.con,
				sort:this.options.srt,
				find:request.term
			}, function(data){
				response(data);
			});
		}
	},
	_renderMenu:function(ul, items){
		var that=this;
		var li=$("<li>");
		var fldIndex;
		for(fldIndex in this.options.fld){
			li.append($("<p>").text(this.options.fld[fldIndex][1]===undefined?"":this.options.fld[fldIndex][1]).addClass("ui-widget-header"));
		}
		ul.append($("<div>").append(li));
		$.each(items, function(index, item){
			that._renderItemData(ul, item);
		});
	},
	_renderItem:function(ul, item){
		var fld=this.options.fld;
		return $("<li>")
		.append(function(){
			var a=$("<a>");
			var fldIndex;
			for(fldIndex in fld){
				a.append($("<p class='"+(fld[fldIndex][2]===undefined?"":fld[fldIndex][2])+"'>").html(item[fld[fldIndex][0]]));
			}
			return a;
		})
		.appendTo(ul);
	},
	_resizeMenu:function(){
		$(".ui-autocomplete>li:nth-child(odd)").addClass("ui-state-default");
	}
});