function env(id, lbl, err){
	if($(id).val()!="") return false;
	if(lbl===undefined)	return true;
	var msg="Please provide a value for "+lbl+".";
	if(err===undefined)
		alert(msg);
	else
		$(err).text(msg);
	$(id).addClass("ui-state-error");
	$(id).focus();
	return true;
}
function num(id, lbl, err){
	if($(id).val()=="") return true;
	if(!isNaN($(id).val())) return true;
	if(lbl===undefined) return false;
	var msg="Please provide a value for "+lbl+" that is numeric.";
	if(err===undefined)
		alert(msg);
	else
		$(err).text(msg);
	$(id).addClass("ui-state-error");
	$(id).focus();
	return false;
}
function dteVal(val){
	val=val.split("/");
	if(val.length!=3) return false;
	var month=val[0];
	var day=val[1];
	var year=val[2];
	if(isNaN(month)||isNaN(day)||isNaN(year)) return false;
	if(year<1000||year>9999||day<1) return false;
	if(month==1||month==3||month==5||month==7||month==8||month==10||month==12){
		if(day>31) return false;
	}else if(month==4||month==6||month==9||month==11){
		if(day>30) return false;
	}else if(month==2){
		if(year%4==0){
			if(day>29) return false;
		}else{
			if(day>28) return false;
		}
	}else
		return false;
	return true;
}
function tmeVal(val){
	val=val.split(":");
	if(val.length!=2) return false;
	var hour=val[0];
	val=val[1].split(" ");
	if(val.length!=2) return false;
	var minute=val[0];
	var meridian=val[1];
	if(isNaN(hour)||isNaN(minute)||!(meridian.toUpperCase()=="AM"||meridian.toUpperCase()=="PM")) return false;
	if(hour<1||hour>12||minute<0||minute>59) return false;
	return true;
}
function dte(id, lbl, err){
	if($(id).val()=="") return true;
	if(dteVal($(id).val())) return true;
	if(lbl===undefined) return false;
	var msg="Please provide a value for "+lbl+" that is date.";
	if(err===undefined)
		alert(msg);
	else
		$(err).text(msg);
	$(id).addClass("ui-state-error");
	$(id).focus();
	return false;
}
function tme(id, lbl, err){
	if($(id).val()=="") return true;
	if(tmeVal($(id).val())) return true;
	if(lbl===undefined) return false;
	var msg="Please provide a value for "+lbl+" that is time.";
	if(err===undefined)
		alert(msg);
	else
		$(err).text(msg);
	$(id).addClass("ui-state-error");
	$(id).focus();
	return false;
}
function dtm(id, lbl, err){
	if($(id).val()=="") return true;
	var val=$(id).val().split(" ");
	if(val.length==3&&dteVal(val[0])&&tmeVal(val[1]+" "+val[2])) return true;
	if(lbl===undefined) return false;
	var msg="Please provide a value for "+lbl+" that is date/time.";
	if(err===undefined)
		alert(msg);
	else
		$(err).text(msg);
	$(id).addClass("ui-state-error");
	$(id).focus();
	return false;	
}
function rf(src, con){
	var result;
	$.ajaxSetup({async:false});
	$.getJSON("dep/php-rf.php", {
		smt:"select * from "+src+" where "+con
	}, function(data){
		result=data[0];
	});
	$.ajaxSetup({async:true});
	return result;
}
//date and time picker
$(function(){
	/*form tag*/
	$("input[name^='dte']").datepicker({
		showButtonPanel:true,
		changeMonth:true,
		changeYear:true,
		showOtherMonths:true,
		selectOtherMonths:true,
		showWeek:true
	});
	$("input[name^='tme']").timepicker({
		timeFormat:"hh:mm TT"
	});
	$("input[name^='dtm']").datetimepicker({
		changeMonth:true,
		changeYear:true,
		showOtherMonths:true,
		selectOtherMonths:true,
		showWeek:true,
		timeFormat:"hh:mm TT"
	});
});
function rec(src, con, srt){
	var result;
	$.ajaxSetup({async:false});
	$.getJSON("dep/php-ajax.php", {
		type:'rec',
		smt:"select * from "+src+(con?" where "+con:"")+(srt?" order by "+srt:"")
	}, function(data){
		result=data;
	});
	$.ajaxSetup({async:true});
	return result;
}
function fld(fld, src, con, srt){
	var res;
	$.ajaxSetup({async:false});
	$.getJSON('dep/php-ajax.php', {
		type:'fld',
		smt:'select '+fld+' from '+src+(con?' where '+con:'')+(srt?' order by '+srt:'')
	}, function(data){
		res=data;
	});
	$.ajaxSetup({async:true});
	return res;
}
