<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Edit Bank Details');
define('NAV', 6); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $bank_id = mysql_real_escape_string(stripslashes($_POST[bank_id]));
	            $bank_name = mysql_real_escape_string(stripslashes($_POST[bank_name]));
	            $account_id = mysql_real_escape_string(stripslashes($_POST[account_id]));
	            $address = mysql_real_escape_string(stripslashes($_POST[address]));
	            $phone = mysql_real_escape_string(stripslashes($_POST[phone]));
	            $balance = mysql_real_escape_string(stripslashes($_POST[balance]));
	            $active = mysql_real_escape_string(stripslashes($_POST[active]));
	        } else {
	            $bank_id = mysql_real_escape_string($_POST[bank_id]);
	            $bank_name = mysql_real_escape_string($_POST[bank_name]);
	            $account_id = mysql_real_escape_string($_POST[account_id]);
	            $address = mysql_real_escape_string($_POST[address]);
	            $phone = mysql_real_escape_string($_POST[phone]);
	            $balance = mysql_real_escape_string($_POST[balance]);
	            $active = mysql_real_escape_string($_POST[active]);
	        }

			// Check to make sure they entered the first name.
			if ($bank_name != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please enter the name of the bank."; }
			// Check to make sure they entered the last name.
			if ($address != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please enter the address of the bank."; }
			// Check to make sure they entered the last name.
			if ($account_id != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please select from the list of accounts."; }

			// If the data pass all tests, add data.
			if ( $a && $b && $c ) {
				$sql = "UPDATE banks 
						SET bank_name = '$bank_name', 
							account_id = '$account_id', 
							address = '$address', 
							phone = '$phone', 
							balance = '$balance', 
							active = '$active'
						WHERE bank_id = '$bank_id' LIMIT 1";
				mysql_query($sql);
				if (mysql_affected_rows() == 1) {
					print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
					<font face=arial size=2>Bank's information has been updated.<br>Click <a class=paging 
					href='banks.php'>here</a> to view all banks.</font></td></tr></table></td></tr></table></center>";
				} else {
					print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
					<font face=arial size=2>Could not update the bank's information because: <b>" .mysql_error(). "</b>.</font>
					</td></tr></table></td></tr></table></center>";
					show_form($bank_id);
				}
				mysql_close();
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td  
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>The following problems 
						occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<p></p><b>Be sure to re-enter everything!</b></font></td></tr>
						</table></td></tr></table></center><br>\n";
				}
				show_form($bank_id);
			}
		} else {
			// Check for valid entry bank_id in the URL
			if (is_numeric($_GET['bank_id'])) {
				$bank_id = $_GET['bank_id'];
				// show form
				show_form($bank_id);
			} else { // No bank_id set.
				print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($bank_id) {
	$res = mysql_query("SELECT * FROM banks WHERE bank_id = '$bank_id'");
	$row = mysql_fetch_array($res);
	?>
	<form name="EditBank" action="e_bank.php" method="POST">
		<div class="post">
			<h1 class="title">Edit Bank Details</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td align="right" width="100">Bank Name&nbsp;</td>
							<td align="left" width="225"><input type="text" size="30" name="bank_name" value="<?PHP echo $row[2] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Account&nbsp;</td>
							<td align="left"><select name="account_id"><?PHP
								$sql = "SELECT account_id, account_name FROM accounts WHERE active = 1 ORDER BY account_id";
								$ares = mysql_query($sql); 
								while ($arow = mysql_fetch_array($ares)) {
									if ($row[1] == $arow[0]) {
										?><option value="<?PHP echo $arow[0] ?>" Selected><?PHP echo $arow[1] ?></option><?PHP
									} else {
										?><option value="<?PHP echo $arow[0] ?>"><?PHP echo $arow[1] ?></option><?PHP
									}
								}
								?></select>&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Address&nbsp;</td>
							<td align="left"><input type="text" size="30" name="address" value="<?PHP echo $row[3] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Phone Numbers&nbsp;</td>
							<td align="left"><input type="text" size="30" name="phone" value="<?PHP echo $row[4] ?>">&nbsp;</td></tr>
						<tr class="odd"><td align="right">Balance&nbsp;</td>
							<td align="left"><input type="text" size="30" name="balance" value="<?PHP echo $row[5] ?>">&nbsp;</td></tr>
						<tr class="even"><td align="right">Active&nbsp;</td>
							<td align="left"><select name="active"><?PHP
								if ($row[6] == 1) {
									?><option value="1" Selected>Yes</option><option value="0">No</option><?PHP
								} elseif ($row[6] == 0) {
									?><option value="1">Yes</option><option value="0" Selected>No</option><?PHP
								}
								?></select>&nbsp;</td></tr>
						<tr class="odd"><td align="center" colspan="2">
								<input type="hidden" name="submitted" value="1">
								<input type="hidden" name="bank_id" value="<?PHP echo $bank_id ?>">
								<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
								<input onClick="valEditBank()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>