<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Edit Product Supplier');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		if (isset($_POST['submitted'])) {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $supplier_id = mysql_real_escape_string(stripslashes($_POST['supplier_id']));
	            $company_name = mysql_real_escape_string(stripslashes($_POST['company_name']));
	            $contact_person = mysql_real_escape_string(stripslashes($_POST['contact_person']));
	            $st_addr = mysql_real_escape_string(stripslashes($_POST['st_addr']));
	            $brgy_addr = mysql_real_escape_string(stripslashes($_POST['brgy_addr']));
	            $mun_addr = mysql_real_escape_string(stripslashes($_POST['mun_addr']));
	            $prov_addr = mysql_real_escape_string(stripslashes($_POST['prov_addr']));
	            $zipcode = mysql_real_escape_string(stripslashes($_POST['zipcode']));
	            $phone_number = mysql_real_escape_string(stripslashes($_POST['phone_number']));
	            $fax_number = mysql_real_escape_string(stripslashes($_POST['fax_number']));
	            $account_id = mysql_real_escape_string(stripslashes($_POST['account_id']));
	            $notes = mysql_real_escape_string(stripslashes($_POST['notes']));
	        } else {
	            $supplier_id = mysql_real_escape_string($_POST['supplier_id']);
	            $company_name = mysql_real_escape_string($_POST['company_name']);
	            $contact_person = mysql_real_escape_string($_POST['contact_person']);
	            $st_addr = mysql_real_escape_string($_POST['st_addr']);
	            $brgy_addr = mysql_real_escape_string($_POST['brgy_addr']);
	            $mun_addr = mysql_real_escape_string($_POST['mun_addr']);
	            $prov_addr = mysql_real_escape_string($_POST['prov_addr']);
	            $zipcode = mysql_real_escape_string($_POST['zipcode']);
	            $phone_number = mysql_real_escape_string($_POST['phone_number']);
	            $fax_number = mysql_real_escape_string($_POST['fax_number']);
	            $account_id = mysql_real_escape_string($_POST['account_id']);
	            $notes = mysql_real_escape_string($_POST['notes']);
	        }
			
			// Check to make sure they entered the category name.
			if ($company_name != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please enter the name of supplier."; }
			// Check to make sure they entered the category name.
			if ($brgy_addr != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please enter the baranggay address of supplier."; }
			// Check to make sure they entered the category name.
			if ($mun_addr != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please enter the city/municipal address of supplier."; }
			// Check to make sure they entered the category name.
			if ($prov_addr != "") { $d = TRUE; } 
			else { $d = FALSE; $message[] = "Please enter the provincial address of supplier."; }
			// Check to make sure they entered the category name.
			if ($phone_number != "") { $e = TRUE; } 
			else { $e = FALSE; $message[] = "Please enter the contact number of supplier."; }
			// Check to make sure they entered the category name.
			if ($account_id != "") { $f = TRUE; } 
			else { $f = FALSE; $message[] = "Please select from the list of accounts"; }

			// If the data pass all tests, add in the database
			if ( $a && $b && $c && $d && $e && $f ) {
				// perform update
				$sql = "UPDATE suppliers
						SET company_name = '$company_name', contact_person = '$contact_person',
							st_addr = '$st_addr', brgy_addr = '$brgy_addr', mun_addr = '$mun_addr',
							prov_addr = '$prov_addr', zipcode = '$zipcode', phone_number = '$phone_number',
							fax_number = '$fax_number', account_id = '$account_id', notes = '$notes'
						WHERE supplier_id = '$supplier_id' LIMIT 1";
				mysql_query($sql);

				if (mysql_affected_rows() == 1) {
					print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 align=center>
					<font face=arial size=2>Supplier's information has been updated.</font></td></tr></table></td></tr></table></center><br>";
					show_supplier($supplier_id, $page);
				} else {
					print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 align=center>
					<font face=arial size=2>Could not update supplier's information because: <b>" .mysql_error(). "</b>.</font>
					</td></tr></table></td></tr></table></center><br>";
					show_form($supplier_id);
				}
				mysql_close();
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>The following problems 
						occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<p></p><b>Be sure to re-enter everything!</b></font></td></tr>
						</table></td></tr></table></center><br>\n";
				}
				show_form($supplier_id);
			}
		} else {
			// Check for valid entry supplier_id in the URL
			if (is_numeric($_GET['supplier_id'])) {
				$supplier_id = $_GET['supplier_id'];
				// show form
				show_form($supplier_id);
			} else { // No supplier_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!
				</b></font></p></center>";
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($supplier_id) {
	// get the details
	$res = mysql_query("select * from suppliers where supplier_id='$supplier_id'");
	$row = mysql_fetch_array($res);
	?>
	<form name="EditSupp" action="e_supplier.php" method="POST">
		<div class="post">
			<h1 class="title">Edit Product Supplier</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font size="2" color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td align="right" width="100">Company Name&nbsp;</td>
							<td align="left" width="250"><input type="text" size="33" name="company_name" value="<?PHP echo $row[2] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Contact Name&nbsp;</td>
							<td align="left"><input type="text" size="33" name="contact_person" value="<?PHP echo $row[3] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Address: Street&nbsp;</td>
							<td align="left"><input type="text" size="33" name="st_addr" value="<?PHP echo $row[4] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Barangay&nbsp;</td>
							<td align="left"><input type="text" size="33" name="brgy_addr" value="<?PHP echo $row[5] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">City/Town&nbsp;</td>
							<td align="left"><input type="text" size="33" name="mun_addr" value="<?PHP echo $row[6] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Province&nbsp;</td>
							<td align="left"><input type="text" size="33" name="prov_addr" value="<?PHP echo $row[7] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Zip Code&nbsp;</td>
							<td align="left"><input type="text" size="33" name="zipcode" value="<?PHP echo $row[8] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Phone Number&nbsp;</td>
							<td align="left"><input type="text" size="33" name="phone_number" value="<?PHP echo $row[9] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Fax Number&nbsp;</td>
							<td align="left"><input type="text" size="33" name="fax_number" value="<?PHP echo $row[10] ?>"></td></tr>
						<tr class="odd"><td align="right">Account&nbsp;</td>
							<td align="left"><select name="account_id"><option value="0">Account</option><?PHP
								$sql = "SELECT account_id, account_name FROM accounts WHERE active = 1";
								$ares = mysql_query($sql); 
								while ($arow = mysql_fetch_array($ares)) {
									if ($row[1] == $arow[0]) {
										?><option value="<?PHP echo $arow[0] ?>" Selected><?PHP echo $arow[1] ?></option><?PHP
									} else {
										?><option value="<?PHP echo $arow[0] ?>"><?PHP echo $arow[1] ?></option><?PHP
									}
								}
								?></select>&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Notes&nbsp;</td>
							<td align="left"><input type="text" size="33" name="notes" value="<?PHP echo $row[11] ?>"></td></tr>
						<tr class="odd"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="supplier_id" value="<?PHP echo $supplier_id ?>">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valEditSupp()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
	mysql_free_result($res);
}
?>