<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Edit Tax');
define('NAV', 4); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		if (isset($_POST['submitted'])) {
			if (isset($_SESSION['token']) && $_POST['token'] == $_SESSION['token']) {
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$tax_id = mysql_real_escape_string(stripslashes($_POST['tax_id']));
					$ref_num = htmlentities(mysql_real_escape_string(stripslashes($_POST['ref_num'])));
					$tdate = mysql_real_escape_string(stripslashes($_POST['tdate']));
					$taxtype_id = mysql_real_escape_string(stripslashes($_POST['taxtype_id']));
					$taxdesc = htmlentities(mysql_real_escape_string(stripslashes($_POST['taxdesc'])));
					$amount = htmlentities(mysql_real_escape_string(stripslashes($_POST['amount'])));
					$account_id = mysql_real_escape_string(stripslashes($_POST['account_id']));
				} else {
					$tax_id = mysql_real_escape_string($_POST['tax_id']);
					$ref_num = htmlentities(mysql_real_escape_string($_POST['ref_num']));
					$tdate = mysql_real_escape_string($_POST['tdate']);
					$taxtype_id = mysql_real_escape_string($_POST['taxtype_id']);
					$taxdesc = htmlentities(mysql_real_escape_string($_POST['taxdesc']));
					$amount = htmlentities(mysql_real_escape_string($_POST['amount']));
					$account_id = mysql_real_escape_string($_POST['account_id']);
				}
				
				// Check to make sure they have entered the reference number
				if ($ref_num != "" && is_string($ref_num)) { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please enter a valid reference number."; }
				// Check to make sure they entered a valid date of the tax
				if ($tdate != "" && is_string($ref_num)) { $b = TRUE; } 
				else { $b = FALSE; $message[] = "Please enter the date of tax."; }
				// Check to make sure they have entered the type of tax
				if ($taxtype_id != 0 && is_numeric($taxtype_id)) { $c = TRUE; } 
				else { $c = FALSE; $message[] = "Please select from the list of types of tax."; }
				// Check to make sure they have entered the description of tax
				if ($taxdesc != "" && is_string($taxdesc)) { $d = TRUE; } 
				else { $d = FALSE; $message[] = "Please enter a valid description of tax."; }
				// Check to make sure they have entered the amount
				if (is_float($amount) || is_numeric($amount)) { $e = TRUE; } 
				else { $e = FALSE; $message[] = "Please enter a valid amount of tax."; }
				// Check to make sure they have entered the amount
				if ($account_id != 0) { $f = TRUE; } 
				else { $f = FALSE; $message[] = "Please select from the list of accounts."; }

				// If the data pass all tests, add the patient to the database.
				if ( $a && $b && $c && $d && $e && $f ) {
					// perform update
					$sql = "UPDATE taxes 
							SET ref_num = '$ref_num', tdate = '$tdate', account_id = '$account_id', 
								taxtype_id = '$taxtype_id', taxdesc = '$taxdesc', 
								amount = '$amount', user_id = '$_SESSION[user_id]'
							WHERE tax_id = '$tax_id' LIMIT 1";
					mysql_query($sql);

					if (mysql_affected_rows() == 1) {
						print "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td height=30 align=center>
						<font face=arial size=2>Tax has been updated.<br>Click <a class=tddata 
						href='taxes.php?account_id=$account_id'>here</a> to view all taxes.</font></td></tr></table></td></tr></table></center><br>";
					} else {
						print"<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td height=30 align=center>
						<font face=arial size=2>Could not update the tax because: <b>" .mysql_error(). "</b>.</font>
						</td></tr></table></td></tr></table></center><br>";
					}
					mysql_close();
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td height=30 
							align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>The following problems 
							occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
					}
					show_form($tax_id);
				}
			} else {
				$sql = "DELETE FROM users_online WHERE user_id = '$_SESSION[user_id]' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
				session_unset();
				session_destroy();
				header('Location: login.php');
			}
		} else {
			// Check for valid entry tax_id in the URL
			if (is_numeric($_GET['tax_id'])) {
				$tax_id = $_GET['tax_id'];
				// show form
				show_form($tax_id);
			} else { // No tax_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!
				</b></font></p></center>";
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($tax_id) {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;

	$sql = "SELECT CURDATE()";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$date = $drow[0]; 
	mysql_free_result($dres); 

	$sql = "SELECT * FROM taxes WHERE tax_id = '$tax_id'"; 
	$res = mysql_query($sql);
	$row = mysql_fetch_array($res);
	?>
	<form name="EditTax" action="e_tax.php" method="POST">
		<div class="post">
			<h1 class="title">Edit Tax</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All are required fields</font></td></tr>
						<tr class="even"><td align="right" width="125">&nbsp;&nbsp;Date&nbsp;</td>
							<td align="left" width="300"><input readonly type="text" size="10" name="tdate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:tdate.popup();">&nbsp;<img src="lib/b_calendar.png"></a>&nbsp;<font color="red">*</font></td></tr>
							<script language="JavaScript">
							<!-- // create calendar object(s) just after form tag closed
								var tdate = new calendar(document.forms['EditTax'].elements['tdate']);
								tdate.year_scroll = true; tdate.time_comp = false;
							//-->
							</script>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Type of Tax&nbsp;</td>
							<td align="left"><select name="taxtype_id"><option value="0">Type</option>
								<?PHP
								$sql = "SELECT taxtype_id, taxtype_name FROM tax_types ORDER BY taxtype_id";
								$ttres = mysql_query($sql);
								while ($ttrow = mysql_fetch_array($ttres)) {
									if ($row[4] == $ttrow[0]) {
										?><option value="<?PHP echo $ttrow[0] ?>" Selected><?PHP echo $ttrow[1] ?></option><?PHP
									} else {
										?><option value="<?PHP echo $ttrow[0] ?>"><?PHP echo $ttrow[1] ?></option><?PHP
									}
								}
								?></select>&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Account&nbsp;</td>
							<td align="left"><select name="account_id"><option value="0">Account</option><?PHP
								$sql = "SELECT account_id, account_name FROM accounts ORDER BY account_name";
								$bbres = mysql_query($sql) or die(mysql_error()); 
								while ($bbrow = mysql_fetch_array($bbres)) {
									if ($row[1] == $bbrow[0]) {
										?><option value="<?PHP echo $bbrow[0] ?>" Selected><?PHP echo $bbrow[1] ?></option><?PHP
									} else {
										?><option value="<?PHP echo $bbrow[0] ?>"><?PHP echo $bbrow[1] ?></option><?PHP
									}
								}
								?></select></td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Reference #&nbsp;</td>
							<td align="left"><input type="text" name="ref_num" size="30" value="<?PHP echo $row[2] ?>">&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Tax Description&nbsp;</td>
							<td align="left"><input type="text" name="taxdesc" size="30" value="<?PHP echo $row[5] ?>">&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Amount&nbsp;</td>
							<td align="left"><input type="text" size="30" name="amount" value="<?PHP echo $row[6] ?>">&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="token" value="<?PHP echo $token ?>">
							<input type="hidden" name="tax_id" value="<?PHP echo $tax_id ?>">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valEditTax()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
	mysql_free_result($res);
}
?>