<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Edit Product');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_13() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
				$tconv_id = mysql_real_escape_string(stripslashes($_POST['tconv_id']));
				$fr_product_id = mysql_real_escape_string(stripslashes($_POST['fr_product_id']));
				$to_product_id = mysql_real_escape_string(stripslashes($_POST['to_product_id']));
				$conv_units = mysql_real_escape_string(stripslashes($_POST['conv_units']));
			} else {
				$tconv_id = mysql_real_escape_string($_POST['tconv_id']);
				$fr_product_id = mysql_real_escape_string($_POST['fr_product_id']);
				$to_product_id = mysql_real_escape_string($_POST['to_product_id']);
				$conv_units = mysql_real_escape_string($_POST['conv_units']);
			}
			
			// Check to make sure they have selected from the list of categories.
			if ($fr_product_id != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please select from the list of products."; }
			// Check to make sure they have selected from the list of manufacturers.
			if ($to_product_id != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please select from the list of products."; }
			// Check to make sure they entered the product name.
			if ($conv_units != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please enter the conversion value."; }
			
			// If the data pass all tests, add data
			if ( $a && $b && $c ) {
				$query = "UPDATE tconversions 
						SET fr_product_id = '$fr_product_id', 
							to_product_id = '$to_product_id', 
							conv_units = $conv_units
						WHERE tconv_id = '$tconv_id'";
				if (mysql_query($query)) {
					print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2>Product conversion has been updated.<br>Click <a 
						class=paging href='tconversions.php'>here</a> to view all product conversions.</font></td></tr>
						</table></td></tr></table></center><br>";
				} else {
					print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2 color=red>Could not edit product conversion because: <b>".mysql_error()."</b>.
						The query was $query.</font></td></tr></table></td></tr></table></center><br>";
				}
				mysql_close();
			} else {
				if ($message) {
					echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td><font face=arial size=2>
					<img src='lib/s_error.png'><br><br><b>The following problems occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<b>Be sure to re-enter all fields!</b></font><br><br></td></tr></table></td></tr></table></center>\n";
				}
				show_form($tconv_id);
			}
		} else {
			// Check for valid entry tconv_id in the URL
			if (is_numeric($_GET['tconv_id'])) {
				$tconv_id = $_GET['tconv_id'];
				// show form
				show_form($tconv_id);
			} else { // No tconv_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!
				</b></font></p></center>";
			}
		}

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($tconv_id) {
	$sql = "SELECT * FROM tconversions WHERE tconv_id = '$tconv_id'";
	$res = mysql_query($sql);
	$row = mysql_fetch_array($res);
	?>
	<form name="EditTConv" action="e_tconv.php" method="POST">
	    <div class="post">
			<h1 class="title">Edit Product</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td align="right">From Product&nbsp;</td>
							<td align="left"><select name="fr_product_id"><option value="0">Select</option>
								<?PHP
								$fres = mysql_query("SELECT product_id, product_name FROM products ORDER BY product_name");
								while ($frow = mysql_fetch_array($fres)) {
									if ($row[1] == $frow[0]) {
										print "<option value='$frow[0]' Selected>$frow[1]</option>";
									} else {
										print "<option value='$frow[0]'>$frow[1]</option>";
									}
								} ?></select>&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">To Product&nbsp;</td>
							<td align="left"><select name="to_product_id"><option value="0">Select</option>
								<?PHP
								$tres = mysql_query("SELECT product_id, product_name FROM products ORDER BY product_name");
								while ($trow = mysql_fetch_array($tres)) {
									if ($row[2] == $trow[0]) {
										print "<option value='$trow[0]' Selected>$trow[1]</option>";
									} else {
										print "<option value='$trow[0]'>$trow[1]</option>";
									}
								} ?></select>&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right" width="125">Conversion Value&nbsp;</td>
							<td align="left" width="250"><input type="text" size="35" name="conv_units" value="<?PHP echo $row[3] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="tconv_id" value="<?PHP echo $tconv_id ?>">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valEditTConv()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
	        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}


?>