$.widget("custom.cbo", $.ui.autocomplete, {
	options:{
		fld:"",
		src:"",
		con:"",
		srt:"",
		lbl:"",
		tag:"",
		autoSelect:true,
		minLength:0,
		source:function(request, response){
			$.ajax({
				data:{fld:this.options.fld, src:this.options.src, con:this.options.con, srt:this.options.srt, trm:request.term},
				dataType:"json",
				success:function(data){response(data);},
				type:"POST",
				url:"i/php-cbo.php"
			});
		}
	},
	_create:function(){
		this._super("_create");
		var opt=this.options;
		var o_val=this.element.val();
		this.element.bind("cboselect", function(event, ui){
			if(!opt.lbl) return false;
			$(this).val(ui.item[opt.lbl]);
			o_val=$(this).val();
			if(!opt.tag) return false;
			for(var i in opt.tag){
				var tag=opt.tag[i][0];
				var fld=opt.tag[i][1];
				var tag_name=tag.prop('tagName');
				if(tag_name=='INPUT'||tag_name=='SELECT'||tag_name=='TEXTAREA') tag.val(ui.item[fld]);
				else tag.html(ui.item[fld]);
			}
			return false;
		});
		if(opt.tag){
			this.element.bind('cbochange', function(event, ui){
				if(o_val==$(this).val()) return false;
				if(!ui.item){
					$(this).val('');
					for(var i in opt.tag){
						var tag=opt.tag[i][0];
						var tag_name=tag.prop('tagName');
						if(tag_name=='INPUT'||tag_name=='SELECT'||tag_name=='TEXTAREA') tag.val('');
						else tag.html('');
					}
				}
			});
		}
	},
	_renderMenu:function(ul, items){
		var that=this; var li=$("<li>"); var fld=this.options.fld; var i;
		for(i in fld) li.append($("<span>").text(fld[i][1]===undefined?"":fld[i][1]).addClass("ui-widget-header"));
		ul.append($("<div>").append(li));
		$.each(items, function(index, item){
			that._renderItemData(ul, item);
		});
	},
	_renderItem:function(ul, item){
		return $("<li><a>"+item.cbo_lbl+"</a></li>").appendTo(ul);
	},
	_resizeMenu:function(ui, item){
		$('.ui-autocomplete>li:nth-child(even)').addClass('ui-widget-content');
		$('.ui-autocomplete>li:nth-child(odd)').addClass('ui-state-default');
	}
});
