<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Import Branch Sale Details');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		pre();
		print_footer();
	}
} else {
	header('Location: login.php');
}

function pre(){
	$sale_id = _GET_POST($_GET['sale_id']);
	$branch_sale_dtls = sql_rec('branch_sales', 'sale_id='.$sale_id);
	$branch_name = sql_fld('branch_name', 'branches', 'branch_id='.$branch_sale_dtls['branch_id']);
	$link = explode("/", _GET_POST($_SERVER['PHP_SELF'])); ?>
	<form id='form' name='form' action='import_proc.php?sale_id=<?php echo $sale_id; ?>' method='POST'>
		<div class='post'>
			<h1 class='title'>Sale Details</h1>
			<div class='entry'>
				<table>
					<tr class='odd' height='20px'>
						<td align='right' width='200px'>Account:&nbsp;</td>
						<td align='left' width='400px'>&nbsp;Bicol Tenese Trading Corporation - <?php echo $branch_name?></td>
					</tr>
					<tr class='even' height='20px'>
						<td align='right'>Sale No.:&nbsp;</td>
						<td align='left'>&nbsp;<?php echo $sale_id ?></td>
					</tr>
					<tr class='odd' height='20px'>
						<td align='right'>Date Sold:&nbsp;</td>
						<td align='left'>&nbsp;<?php echo date_format(date_create($branch_sale_dtls['delivery_date']), 'M. d, Y')?></td>
					</tr>
					<tr class='even' height='20px'>
						<td align='right'>Due Date:&nbsp;</td>
						<td align='left'>&nbsp;<?php echo date_format(date_create($branch_sale_dtls['due_date']), 'M. d, Y')?></td>
					</tr>
					<tr class='odd' height='20px'>
						<td align='right'>OR Nos:&nbsp;</td>
						<td align='left'>&nbsp;<?php $bsp_ids = sql_qry('SELECT bsp_id FROM bspayments WHERE sale_id=\''.$sale_id.'\' AND deleted=\'0\' ORDER BY bsp_id ASC');
						$id_count = sql_fld('COUNT(bsp_id)', 'bspayments', 'sale_id=\''.$sale_id.'\' AND deleted=\'0\''); $i = 0;
						while ($bsp_id = mysql_fetch_assoc($bsp_ids)){
							$i++;
							echo $i>=$id_count?$bsp_id['bsp_id']:$bsp_id['bsp_id'].', ';
						}
					?>	</td>
					</tr>
					<tr class='even' height='20px'>
						<td align='right'>Customer:&nbsp;</td>
						<td align='left'>&nbsp;<?php echo sql_fld('company_name', 'branch_customers', 'customer_id='.$branch_sale_dtls['customer_id'])?></td>
					</tr>
					<tr class='odd' height='20px'>
						<td align='right'>Received By:&nbsp;</td>
						<td align='left'>&nbsp;<?php echo $branch_sale_dtls['received_by']?></td>
					</tr>
					<tr class='even' height='20px'>
						<td align='right'>Total:&nbsp;</td>
						<td align='left'>&nbsp;<?php echo number_format($branch_sale_dtls['line_total'], 2)?></td>
					</tr>
					<tr class='odd' height='20px'>
						<td align='right'>Payment:&nbsp;</td>
						<td align='left'>&nbsp;<?php echo number_format(sql_fld('SUM(amount)', 'bspayments', 'sale_id='.$sale_id.' AND good=1 AND deleted=0'), 2)?></td>
					</tr>
					<tr class='even' height='20px'>
						<td align='right'>Balance:&nbsp;</td>
						<td align='left'>&nbsp;<?php echo number_format($branch_sale_dtls['balance'], 2)?></td>
					</tr>
					<tr class='odd' height='20px'>
						<td align='right'>Revenue:&nbsp;</td>
						<td align='left'>&nbsp;<?php echo number_format($branch_sale_dtls['revenue'], 2)?></td>
					</tr>
					<tr class='even' height='20px'>
						<td align='right'>Good:&nbsp;</td>
						<td align='left'>&nbsp;<input id='good' type='checkbox' disabled <?php echo ($branch_sale_dtls['balance'] == 0 AND $branch_sale_dtls['line_total'] > 0)?'checked':''?>></td>
					</tr>
					<tr class='odd' height='20px'>
						<td align='right'>Note:&nbsp;</td>
						<td align='left'>&nbsp;<?php echo $branch_sale_dtls['notes']?></td>
					</tr>
					<tr class='odd' height='20px'>
						<td align='right'>Encoder:&nbsp;</td>
						<td align='left'>&nbsp;<?php echo sql_fld('CONCAT(fname, \' \', lname)', 'users', 'user_id='.$branch_sale_dtls['user_id'])?></td>
					</tr>
					<tr class='even' height='20px' <?php echo $branch_sale_dtls['deleted']!=0?'style=\'background-color: #FF6373\'':''?>>
						<td align='right'>Delete Reason:&nbsp;</td>
						<td align='left'>&nbsp;<?php echo $branch_sale_dtls['deleted']!=0?sql_fld('del_reason', 'branch_del_reason', 'dr_id=\''.$branch_sale_dtls['deleted'].'\''):''?></td>
					</tr>
				</table>
			</div>
			<p class="meta"></p>
		</div>
		<div class='post'>
			<h1 class='title'>Sale Items</h1>
			<div class='entry'>
				<table>
					<thead class='data'>
						<tr height='30px' align='center'>
							<td width=' 25px'><input type="checkbox" class="import all"></td>
							<td width='150px'>Product</td>
							<td width=' 75px'>Selling Price</td>
							<td width=' 75px'>Discount</td>
							<td width=' 75px'>Quantity</td>
							<td width=' 75px'>Total</td>
						</tr>
					</thead>
					<tbody class='data'><?php
						$import_qry = sql_qry("SELECT * FROM bsale_details_temp WHERE sale_id=$sale_id");
						$i = 0; $total = 0;
						while ($import_row = mysql_fetch_assoc($import_qry)){ 
						$i++; $total += $import_row['net_price']; ?>
						<tr height='15px' align='right' class="<?php echo $i%2==0?"even":"odd" ?>">
							<td align="center"><input type="checkbox" class="import row">
								<input type="hidden" name="sale_id[]"			class="import hdn" value="<?php echo $import_row[sale_id] ?>">
								<input type="hidden" name="product_id[]"		class="import hdn" value="<?php echo $import_row[product_id] ?>">
								<input type="hidden" name="acq_price[]"			class="import hdn" value="<?php echo $import_row[acq_price] ?>">
								<input type="hidden" name="quantity[]"			class="import hdn" value="<?php echo $import_row[quantity] ?>">
								<input type="hidden" name="unit_price[]"		class="import hdn" value="<?php echo $import_row[unit_price] ?>">
								<input type="hidden" name="unit_discount[]"		class="import hdn" value="<?php echo $import_row[unit_discount] ?>">
								<input type="hidden" name="net_price[]"			class="import hdn" value="<?php echo $import_row[net_price] ?>">
							</td>
							<td align="left">&nbsp;<?php echo sql_fld("product_name", "products", "product_id=$import_row[product_id]"); ?></td>
							<td><?php echo $import_row['unit_price']; ?>&nbsp;</td>
							<td><?php echo $import_row['unit_discount']; ?>&nbsp;</td>
							<td><?php echo $import_row['quantity']; ?>&nbsp;</td>
							<td><?php echo $import_row['net_price']; ?>&nbsp;</td>
						</tr><?php
						} 
						$i++; ?>
						<tr height='20px' align='center' class="<?php echo $i%2==0?"even":"odd" ?>">
							<td colspan="5" align="right">Total:</td>
							<td align="right"><?php echo $total; ?></td>
						</tr>
						<tr height='20px' align='center' class="<?php echo $i%2==0?"even":"odd" ?>">
							<td colspan="6"><input type="button" class="button blue" value="Submit"></td>
						</tr>
					</tbody>
				</table>
			</div>
			<p class="meta"></p>
		</div>
	</form>
	<script type="text/javascript">
		$(document).ready(function(){
			$('.import').prop('checked', true);
			$('.all').click(function(){
				var chk = $(this).prop('checked');
				if (!chk){
					$('.import').prop('checked', false);
					$('.import.hdn').prop('disabled', true);
				}
				if (chk){
					$('.import').prop('checked', true);
					$('.import.hdn').prop('disabled', false);
				}
			});
			$('.import.row').click(function(){
				var class_cnt = 0;
				var check_cnt = 0;
				$('.import.row').each(function(){
					class_cnt++;
					if ($(this).prop('checked')){
						check_cnt++;
					}
				});
				if (class_cnt == check_cnt){
					$('.all').prop('checked', true);
				}
				if (class_cnt != check_cnt || (class_cnt == 0 && check_cnt == 0)){
					$('.all').prop('checked', false);
				}
				if ($(this).prop('checked')){ $(this).siblings('.import.hdn').prop('disabled', false); }
				if (!$(this).prop('checked')){ $(this).siblings('.import.hdn').prop('disabled', true); }
			});
			$('.button').click(function(){
				if (window.confirm("Are all your submitting correct?")){
					$('#form').submit();
				}
			});
		});
	</script><?php
}
?>