$(document).ready(function(){
	var timer;
	$('#prod_name').keyup(function(){
		var prod = $(this).val();
		var b = $('#bran_id').val();
		if (prod.length > 0){
			clearTimeout(timer);
			$('#prod_name').css('width', '182px');
			$('#loading-indicator').show();
			$('#prod_sggt').hide();
			timer = setTimeout(function(){
				bprod_lookup(prod, b);
				$('#prod_name').css('width', '203px');
				$('#loading-indicator').hide();
			}, 1000);
		} else {
			clearTimeout(timer);
			$('#prod_id').val('');
			$('#prod_name').val('');
			$('#hdn_prod_name').val('');
			$('#sell_price').val('');
			$('#discount').val('');
			$('#prod_stck').html('');
			$('#quantity').val('');
			$('#total_amt').html('');
			$('#hdn_total_amt').val('');
			$('#prod_sggt').hide();
			$('#prod_name').css('width', '203px');
			$('#loading-indicator').hide();
		}
	});
	$('#prod_name').focusout(function(){
		var pr_id = $('#prod_id').val();
		var pr_st = $('#prod_stck').html();
		var pr_nm = $('#prod_name').val();
		var hd_pr_nm = $('#hdn_prod_name').val();
		if ((pr_id.length == 0 && pr_st.length == 0 && pr_nm != hd_pr_nm) || (pr_id.length > 0 && pr_st.length > 0 && pr_nm != hd_pr_nm)){
			//do not trigger function
		} else {
			bprod_fill();
		}
	});
	$('#sell_price').keyup(function(){
		var ttl_prc = price_changes();
		$('#hdn_total_amt').val(decimal_rounder(ttl_prc).toFixed(3));
		ttl_prc = number_format(ttl_prc, 2);
		$('#total_amt').html(ttl_prc);
	});
	$('#discount').keyup(function(){
		var ttl_prc = price_changes();
		$('#hdn_total_amt').val(decimal_rounder(ttl_prc).toFixed(3));
		ttl_prc = number_format(ttl_prc, 2);
		$('#total_amt').html(ttl_prc);
	});
	$('#quantity').keyup(function(){
		var ttl_prc = price_changes();
		$('#hdn_total_amt').val(decimal_rounder(ttl_prc).toFixed(3));
		ttl_prc = number_format(ttl_prc, 2);
		$('#total_amt').html(ttl_prc);
	});
	$('#quantity').focusout(function(){
		$('#quantity').val(number_format($('#quantity').val(), 2, '.', ','));
		var qnty = parseFloat($('#quantity').val());
		var stck = parseFloat($('#prod_stck').html());
		if (qnty > stck){
			chk_conv();
		} // else do nothing
	});
	$('#add_sale').click(function(){
		var qnty = $('#quantity').val();
		var stck = $('#prod_stck').html();
		if (stck.length > 0 && qnty.length > 0){
			qnty = parseFloat(qnty);
			stck = parseFloat(stck);
			if (qnty <= stck){
				accept_display();
			} else {
				alert('Sold to many product/s than the recorded Quantity. Cannot Accept Sold Item/s.');
			}
		} else {
			console.log('stck.length = '+stck.length);
			console.log('qnty.length = '+qnty.length);
		} // else do nothing
	});
});
function accept_display(){
	var sal_id = $('#sale_id').val();
	var brn_id = $('#bran_id').val();
	var prd_id = $('#prod_id').val();
	var sel_pr = $('#sell_price').val();
	var discnt = $('#discount').val();
	var qntity = $('#quantity').val();
	var net_pr = $('#hdn_total_amt').val();
	if (prd_id.length > 0 && sel_pr.length > 0 && qntity.length > 0){
		var acq_pr =  $('#acqi_price').html();
		if ((sel_pr-discnt)<acq_pr){
			alert('Product Not Accepted. SELLING PRICE should not be lower than its Acquisition');
		} else {
			$.post('get_sale_pad_add_items.php',{string: sal_id+'|'+brn_id+'|'+prd_id+'|'+sel_pr+'|'+discnt+'|'+qntity+'|'+net_pr}, function(data){
				if(data.length > 0){
					$('#sale_container').html(data);
					$('#prod_id').val('');
					$('#prod_name').val('');
					$('#hdn_prod_name').val('');
					$('#acqi_price').html('');
					$('#sell_price').val('');
					$('#discount').val('');
					$('#prod_stck').html('');
					$('#quantity').val('');
					$('#total_amt').html('');
					$('#hdn_total_amt').val('');
					$('#prod_sggt').hide();
					$('#prod_name').focus();
				}
			});
		}
	}
}
function chk_conv(){
	var brid = $('#bran_id').val();
	var prid = $('#prod_id').val();
	$.post('get_bautoconv.php', {string: brid+'|'+prid}, function(data){
		if (data.includes('|')){
			var dta = data.split('|');
			if (window.confirm(dta[2]+' can be converted from '+dta[1]+'. Would you like to convert?')){
				$.post('get_bautoconv.php', {strings: brid+'|'+dta[0]}, function(datum){
					if (datum == 'false') {
						alert('Something is wrong. Try checking if the source product is still available.');
					} else if(datum == 'falsey'){
						alert('Conversion not present. Please contact Administrator.');
					} else {
						var str = datum.split('|');
						if (str[0] == dta[0]){
							$('#prod_stck').html(str[1]);
							$('#acqi_price').html(str[2]);
							alert('Product Conversion Successful.');
						} else {
							alert('Something is wrong. Please contact Administrator.');
							alert(datum);
						}
					}
				});
			}
		} else {
			if (data == 'false') {
				alert('There is not enough source product available to be converted into.');
			} else if (data == 'falsey') {
				alert('The conversion is not possible.');
			} else {
				alert('Something is wrong. Please contact Administrator.');
				alert(data);
			}
		}
	});
}
function price_changes(){
	if ($('#prod_name').val().length > 0){
		var selprc = $('#sell_price').val();
		var discnt = $('#discount').val();
		var qntty =	$('#quantity').val();
		var total = (selprc - discnt) * qntty;
		return total;
	} else {
		return 0;
	}
}
function decimal_rounder(balyo){
	var int_num = Math.floor(balyo);
	var dec_num = balyo % 1;
	dec_num = dec_num.toFixed(3);
	if (dec_num >= 0 && dec_num < 0.125){ //0.00
		return int_num;
	} else if (dec_num >= 0.125 && dec_num < 0.375){ //0.25
		return int_num + 0.25;
	} else if (dec_num >= 0.375 && dec_num < 0.625){ //0.50
		return int_num + 0.5;
	} else if (dec_num >= 0.625 && dec_num < 0.875){ //0.75
		return int_num + 0.75;
	} else if (dec_num >= 0.875){ //1.00
		return int_num + 1.00;
	}
}
function bprod_fill(thisValue='', thatValue='', otherValue='', anotherValue='', theOtherValue=''){
	if (thisValue.length > 0){
		$('#prod_id').val(thisValue);
		$('#prod_name').val(thatValue);
		$('#hdn_prod_name').val(thatValue);
		$('#sell_price').val(otherValue);
		$('#prod_stck').html(anotherValue);
		$('#acqi_price').html(theOtherValue);
		setTimeout(function(){
			$('#prod_sggt').hide();
			$('#sell_price').focus();
		}, 200);
		return;
	} else {
		$('#prod_id').val('');
		$('#prod_name').val('');
		$('#hdn_prod_name').val('');
		$('#sell_price').val('');
		$('#sell_price').val('');
		$('#discount').val('');
		$('#prod_stck').html('');
		$('#acqi_price').html('');
		$('#quantity').val('');
		$('#total_amt').html('');
		$('#hdn_total_amt').val('');
		$('#prod_sggt').hide();
		return;
	}
}
function bprod_lookup(prod='', b){
	$.post('get_bprod.php', {string: b+'|'+prod}, function(data){
		if (data.length > 0) {
			$('#prod_sggt').show();
			$('#prod_sgtl').html(data);
		}
	});
}
function number_format(number, decimals, decPoint, thousandsSep) {
	number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
	var n = !isFinite(+number) ? 0 : +number;
	var prec = !isFinite(+decimals) ? 0 : Math.abs(decimals);
	var sep = (typeof thousandsSep === 'undefined') ? ',' : thousandsSep;
	var dec = (typeof decPoint === 'undefined') ? '.' : decPoint;
	var s = '';
	var toFixedFix = function (n, prec) {
	if (('' + n).indexOf('e') === -1) {
		return +(Math.round(n + 'e+' + prec) + 'e-' + prec);
	} else {
		var arr = ('' + n).split('e');
		var sig = '';
		if (+arr[1] + prec > 0) {
			sig = '+';
		}
		return (+(Math.round(+arr[0] + 'e' + sig + (+arr[1] + prec)) + 'e-' + prec)).toFixed(prec);
	}
}
// @todo: for IE parseFloat(0.55).toFixed(0) = 0;
	s = (prec ? toFixedFix(n, prec).toString() : '' + Math.round(n)).split('.');
	if (s[0].length > 3) {
		s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
	}
	if ((s[1] || '').length < prec) {
		s[1] = s[1] || '';
		s[1] += new Array(prec - s[1].length + 1).join('0');
	}
	return s.join(dec);
}