$(document).ready(function(){
	$('#rst').click(function(){
		dReset();
	});
	$('#discount').keyup(function(){
		var sel_pr = $('#sell_price').html().substring(6);
		var qntity = $('#quantity').html().substring(6);
		var discnt = $('#discount').val();
		var acq_pr = $('#acq_price').html().substring(6);
		if ((sel_pr-discnt)<acq_pr){
			discnt = sel_pr-acq_pr;
			alert(' Error: Discount cannot be set higher than '+number_format(discnt, 2)+'!');
			$('#discount').val(number_format(discnt, 2));
		}
		if (discnt<0){
			discnt = 0;
			alert(' Error: Discount cannot be set lower than 0!');
			$('#discount').val(number_format(discnt, 2));
		}
		var net_pr = (sel_pr-discnt)*qntity;
		$('#net_price').html('&nbsp;'+number_format(net_pr, 2));
	});
	$('#sbt').click(function(){
		edit_discount();
	});
});
function edit_discount(){
	var sle_id = $('#sale_id').val();
	var brn_id = $('#bran_id').val();
	var prd_id = $('#prod_id').val();
	var sad_id = $('#sdtl_id').val();
	if ($('#discount').is(':disabled')){var chkdis = false;}
	else {var chkdis = true;}
	var discnt = $('#discount').val();
	if (prd_id.length > 0 && chkdis == true){
		$.post('get_sale_pad_edit_discounts.php', {string: sle_id+'|'+brn_id+'|'+prd_id+'|'+discnt+'|'+sad_id}, function(data){
			if(data.length > 0){
				$('#sale_discount_container').html(data);
				dReset();
				alert('Discount Edited.');
			}
		});
	} 
}
function dReset(){
	$('#prod_id').val('');
	$('#sdtl_id').val('');
	$('#prod_name').html('');
	$('#acq_price').html('');
	$('#sell_price').html('');
	$('#discount').val('');
	$('#quantity').html('');
	$('#net_price').html('');
	$('#discount').attr('disabled', true);
}
function number_format(number, decimals, decPoint, thousandsSep) {
	number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
	var n = !isFinite(+number) ? 0 : +number;
	var prec = !isFinite(+decimals) ? 0 : Math.abs(decimals);
	var sep = (typeof thousandsSep === 'undefined') ? ',' : thousandsSep;
	var dec = (typeof decPoint === 'undefined') ? '.' : decPoint;
	var s = '';
	var toFixedFix = function (n, prec) {
	if (('' + n).indexOf('e') === -1) {
		return +(Math.round(n + 'e+' + prec) + 'e-' + prec);
	} else {
		var arr = ('' + n).split('e');
		var sig = '';
		if (+arr[1] + prec > 0) {
			sig = '+';
		}
		return (+(Math.round(+arr[0] + 'e' + sig + (+arr[1] + prec)) + 'e-' + prec)).toFixed(prec);
	}
}
// @todo: for IE parseFloat(0.55).toFixed(0) = 0;
	s = (prec ? toFixedFix(n, prec).toString() : '' + Math.round(n)).split('.');
	if (s[0].length > 3) {
		s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
	}
	if ((s[1] || '').length < prec) {
		s[1] = s[1] || '';
		s[1] += new Array(prec - s[1].length + 1).join('0');
	}
	return s.join(dec);
}