<?php
include 'php-main.php';
function head($title, $nav){
	ini_set('display_errors', 1);
	error_reporting(E_ALL & ~E_NOTICE);
	define('TITLE', $title);
	define('NAV', $nav); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin
	session_start();
	validate_user();
	print_header(TITLE);
	print_navs();
	?>
	<form method='post' enctype='multipart/form-data'>
	<?php
}
function foot(){
	?>
	</form>
	<?php
	print_footer();
}
function headPrint($title){
	?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<title><?PHP echo $title ?></title>
		<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
		<link rel="stylesheet" type="text/css" href="lib/AvanzareBiz.css"/>
		<link rel='stylesheet' href='lib/css-main.css'>
		<link rel='stylesheet' href='lib/css-sub.css'>
		<script type='text/javascript' src='lib/jquery-1.10.2.js'></script>
		<script type='text/javascript'>
			$(document).ready(function(){
				window.print();
			});
		</script>
	</head>
	<body class='bodyPrint'>
	<?php
}
function footPrint(){
	?>
	</body></html>
	<?php
}
function headExport($title){
	header("Content-type: application/vnd.ms-excel");
	header("Content-Disposition: attachment;Filename=$title.xls");
	?>
	<html>
		<head>
			<meta http-equiv='Content-Type' content='text/html; charset=Windows-1252'>
			<style>
				*{
					font-family:arial;
					font-size:11px;
					margin:0;
					padding:0;
				}
				table{
					border-collapse:collapse;
				}
				th, td{
					border:1px solid #000000;
					padding:.25em;
					vertical-align:middle;
				}
				.center{
					text-align:center;
				}
				.right{
					text-align:right;
				}
			</style>
		</head>
		<body class='bodyPrint'>
	<?php
}
function footExport(){
	?>
	</body></html>
	<?php
}
function err($msg){
	echo '<div class="err">'.$msg.'</div>';	
}
function upd_branch_sale($sale_id){
    qry('update bsale_details set net_price=((unit_price-unit_discount)*quantity) where sale_id="'.$sale_id.'" and deleted="0"');
	$q=qry('select sum(net_price), sum(rev) from vw_branch_sale_prod where sale_id="'.$sale_id.'" and deleted="0"');
	$r=mysql_fetch_row($q);
	$total=$r[0];
	$rev=$r[1];
	qry('update branch_sales set line_total="'.$total.'", revenue="'.$rev.'" where sale_id="'.$sale_id.'"');
	upd_branch_sale_bal($sale_id);
}
function upd_branch_sale_bal($sale_id){
	$balance=fld('line_total', 'branch_sales', 'sale_id="'.$sale_id.'"')-fld('sum(amount)', 'bspayments', 'sale_id="'.$sale_id.'" and good=1');
	qry('update branch_sales set balance="'.$balance.'" where sale_id="'.$sale_id.'"');
}
function upd_acct_sale($sale_id){
    qry('update sale_details set net_price=((unit_price-unit_discount)*quantity) where sale_id="'.$sale_id.'"');
	$q=qry('select sum(net_price), sum(rev) from vw_acct_sale_prod where sale_id="'.$sale_id.'"');
	$r=mysql_fetch_row($q);
	$total=$r[0];
	$rev=$r[1];
	$bal=$total-fld('sum(amount)', 'cpayments', 'sale_id="'.$sale_id.'" and good=1');
	qry('update sales set line_total="'.$total.'", revenue="'.$rev.'", balance="'.$bal.'" where sale_id="'.$sale_id.'"');
}
function upd_acct_ret($rc_id){
	$total=fld('sum(net_price)', 'rc_details', 'rc_id="'.$rc_id.'"');
	$bal=$total-fld('sum(amount)', 'refunds_customers', 'rc_id="'.$rc_id.'"');
	qry('update returns_customers set line_total="'.$total.'", balance="'.$bal.'" where rc_id="'.$rc_id.'"');
}
function upd_branch_ret($rb_id){
	$total=fld('sum(net_price)', 'rb_details', 'rb_id="'.$rb_id.'"');
	$bal=$total-fld('sum(amount)', 'refunds_branches', 'rb_id="'.$rb_id.'"');
	qry('update returns_branches set line_total="'.$total.'", balance="'.$bal.'" where rb_id="'.$rb_id.'"');
}
?>