<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Pay Employee\'s Salary');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_13() == true) {
		print_header(TITLE);
		print_navs();
		
		if (isset($_POST['submit'])) {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $att_id = mysql_real_escape_string(stripslashes($_POST['att_id']));
	        } else {
	            $att_id = mysql_real_escape_string($_POST['att_id']);
	        }
			
			// to get the details of the attendance
			$sql = "SELECT a.status, a.user_id, u.wage, CONCAT(u.lname,', ',u.fname), u.branch_id 
					FROM attendance a INNER JOIN users u ON a.user_id = u.user_id WHERE a.att_id = '$att_id'";
			$res = mysql_query($sql); $row = mysql_fetch_array($res); 
			$status = $row[0]; $user_id = $row[1]; $wage = $row[2]; $employee = $row[3]; $branch_id = $row[4];
			
			if ($status == "PR") { $wage = $wage * 1; 
			} elseif ($status == "HD") { $wage = $wage * 0.5; }
			
			// add to salaries
			$sql = "INSERT INTO salaries( att_id, sal_date, user_id, amount, notes, encoder )
					VALUES( '$att_id', CURDATE(), '$user_id', '$wage', '$notes', '$_SESSION[user_id]' )";
			if (mysql_query($sql)) {
				if ($branch_id != 0) {
					// get the extype_id for "Salary - Employees"
					$sql = "SELECT extype_id FROM expense_types WHERE extype_name = 'Salary - Employees'";
					$ex_res = mysql_query($sql); $ex_row = mysql_fetch_array($ex_res); $extype_id = $ex_row[0]; 
					
					// add expense into the database
					$sql = "INSERT INTO branch_expenses ( branch_id, ref_num, edate, extype_id, exdesc, amount, user_id )
							VALUES ( '$branch_id', CURDATE(), CURDATE(), '$extype_id', 'Salary for $employee', '$wage', '$_SESSION[user_id]' )";
					mysql_query($sql) or die(mysql_error()); 

					// get the value of the register
					$sql = "SELECT cash FROM branch_registers WHERE branch_id = '$branch_id'";
					$cr_res = mysql_query($sql); $cr_row = mysql_fetch_array($cr_res); $cash = $cr_row[0]; 
					
					$new_cash = $cash - $wage; 
					// update the cash register
					$sql = "UPDATE branch_registers SET cash = '$new_cash' WHERE branch_id = '$branch_id' LIMIT 1";
					mysql_query($sql) or die(mysql_error()); 
				} else {
					// get the extype_id for "Salary - Employees"
					$sql = "SELECT extype_id FROM expense_types WHERE extype_name = 'Salary - Employees'";
					$ex_res = mysql_query($sql); $ex_row = mysql_fetch_array($ex_res); $extype_id = $ex_row[0]; 
					
					// add expense into the database
					$sql = "INSERT INTO expenses ( ref_num, edate, account_id, extype_id, exdesc, amount, user_id )
							VALUES ( CURDATE(), CURDATE(), 1, '$extype_id', 'Salary for $employee', '$wage', '$_SESSION[user_id]' )";
					mysql_query($sql) or die(mysql_error()); 

					// get the value of the undeposited cash
					$sql = "SELECT bank_id, balance FROM banks WHERE bank_name = 'UNDEPOSITED CASH'";
					$uc_res = mysql_query($sql); $uc_row = mysql_fetch_array($uc_res); $bank_id = $uc_row[0]; $balance = $uc_row[1]; 
					
					$new_balance = $balance - $wage; 
					// update the undeposited amount
					$sql = "UPDATE banks SET balance = '$new_balance' WHERE bank_id = '$bank_id' LIMIT 1";
					mysql_query($sql) or die(mysql_error()); 
				}
				
				echo "<br><center><table><tr><td bgcolor=#000000><table bgcolor=#bbffbb width=730><tr><td height=30 
					align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>Salary has 
					been added into the database.<br><br>Click <a class=tddata href='salaries.php'>here</a> to view all employees' salaries.
					<br><br>Or click <a class=tddata href='attendance.php'>here</a> to view employees' attendace.</font></td></tr></table></td></tr></table></center><br>";
			} else {
				echo "<br><center><table><tr><td bgcolor=#000000><table bgcolor=#ffdddd width=730><tr><td height=30 
					align=center><font face=arial size=2><img src='lib/s_error.png'><br><br>Failed to add salary into the database.
					</font></td></tr></table></td></tr></table></center><br>";
			}
		} else {
			// Check for valid entry att_id in the URL
			if (is_numeric($_GET['att_id'])) {
				$att_id = $_GET['att_id'];
				
				// check if attendance is present or half-day
				$sql = "SELECT status FROM attendance WHERE att_id = '$att_id'";
				$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $status = $arow[0];
				
				if ($status == "PR" || $status == "HD") {
					// check if attendance has already been paid
					$sql = "SELECT sal_id FROM salaries WHERE att_id = '$row[0]'";
					$att_res = mysql_query($sql); $att_num = mysql_num_rows($att_res); 
					if ($att_num < 1) {
						// show form
						show_form($att_id);
					} else {
						print '<p><font face=arial size=2 color=red><b>Employee has already been paid!</b></font></p>';
					}
				} else {
					print '<p><font face=arial size=2 color=red><b>Employee is neither present nor half-day present!</b></font></p>';
				}
			} else { // No att_id set.
				print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($att_id) {
	// to get the details of the attendance
	$sql = "SELECT DATE_FORMAT(att_d8, '%b %e, %Y'), a.status, CONCAT(u.lname,', ',u.fname), u.wage
			FROM attendance a INNER JOIN users u ON a.user_id = u.user_id
			WHERE a.att_id = '$att_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res); 
	?>
	<form action="pay_salary.php" method="POST">
		<div class="post">
			<h1 class="title">Pay Employee's Salary</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd"><td align="right" width="125">Attendance Date&nbsp;</td>
							<td align="left" width="250">&nbsp;<?PHP echo $row[0] ?></td></tr>
						<tr class="even"><td align="right">Status&nbsp;</td>
							<td align="left">&nbsp;<?PHP 
								if ($row[1] == "PR") { echo "Present"; $wage = 1;
								} elseif ($row[1] == "HD") { echo "Half-Day"; $wage = 0.5;
								} elseif ($row[1] == "AB") { echo "<font color=red><b><blink>Absent</blink></b></font>"; $wage = 0;
								} elseif ($row[1] == "DO") { echo "<i>Day-Off</i>"; $wage = 0;
								} ?></td></tr>
						<tr class="odd"><td align="right">Employee&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[2] ?></td></tr>
						<tr class="even"><td align="right">Daily wage&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[3], 2) ?></td></tr>
						<tr class="odd"><td align="right">Wage&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format(($row[3] * $wage), 2) ?></td></tr>
						<tr class="even"><td align="center" colspan="2">
							<input type="hidden" name="att_id" value="<?PHP echo $att_id ?>">
							<input type="submit" class="button blue" name="submit" value="Pay Wage" onclick="return confirm('Are you sure you want to pay this wage?');"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
	mysql_free_result($res);
}

?>