<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Payroll');
define('NAV', 6); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_13() == true) {
		print_header(TITLE);
		print_navs();
		
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			$month = $_POST['month'];
			$year = $_POST['year'];
			
			if ($month == 1) { $monthname = "January";
			} elseif ($month == 2) { $monthname = "February";
			} elseif ($month == 3) { $monthname = "March";
			} elseif ($month == 4) { $monthname = "April";
			} elseif ($month == 5) { $monthname = "May";
			} elseif ($month == 6) { $monthname = "June";
			} elseif ($month == 7) { $monthname = "July";
			} elseif ($month == 8) { $monthname = "August";
			} elseif ($month == 9) { $monthname = "September";
			} elseif ($month == 10) { $monthname = "October";
			} elseif ($month == 11) { $monthname = "November";
			} elseif ($month == 12) { $monthname = "December"; }
			
			$sql = "SELECT user_id, CONCAT(lname,' ',fname), position, wage 
					FROM users WHERE position != 1 ORDER BY lname, fname";
			$res = mysql_query($sql); 
			
			?>
			<div class="post">
				<div id="search">
					<a id="icon1" class="th_img" href="print_payroll.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>" target="new"><img src="lib/b_print.png"></a>
					<a id="icon1" class="th_img" href="generate_payroll.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>"><img src="lib/money.png"></a>
					<form method="post" action="payroll.php">
						<?PHP drop_month_year($year, $month); ?>
						<input type="hidden" name="submitted" value="1">
						<input id="sbutton" type="submit" class="button blue" value="Go!">
					</form>
				</div>
				<h1 class="title">Employees' Payroll for <?PHP print "$monthname, $year"; ?></h1>
				<div class="entry">
					<table>
						<thead class="data"><tr>
							<td width="200" align="center">Employee</td>
							<td width="100" align="center">Position</td>
							<td width="100" align="center">Days Payable</td>
							<td width="100" align="center">Rate</td>
							<td width="100" align="center">Wage</td>
						</tr></thead>
						<tbody class="data">
							<?PHP
							$i = 1; $twage = 0;
							while ($row = mysql_fetch_array($res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="user.php?user_id=<?PHP print $row[0] ?>"><?PHP print $row[1] ?></a></td>
									<td align="left"><?PHP
										if ($row[2] == 1) { print "Administrator"; 
										} elseif ($row[2] == 2) { print "Secretary"; 
										} elseif ($row[2] == 3) { print "Aide"; }
										?></td>
									<td align="right"><?PHP 
										$sql = "SELECT att_id FROM attendance
												WHERE user_id = '$row[0]' 
													AND $month = MONTH(att_d8) AND $year = YEAR(att_d8)
													AND status IN ('PR', 'PL')";
										$tres = mysql_query($sql); $tnum = mysql_num_rows($tres); echo $tnum
										?>&nbsp;</td>
									<td align="right"><?PHP echo number_format($row[3], 2) ?></td>
									<td align="right"><?PHP $wage = $tnum * $row[3]; echo number_format($wage, 2) ?></td>
								</tr>
								<?PHP
								$i++; 
								$twage = $twage + $wage;
							}
							?>
							<tr class="total">
								<td colspan="4" align="right"><b>Total</b>&nbsp;</td>
								<td align="right"><b><?PHP echo number_format($twage, 2) ?></b></td>
							</tr>
						</tbody>
					</table>
				</div>
				<p class="meta"></p>
			</div>
			<?PHP
			
			
		} else {
			show_payroll(); 
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_payroll() {
	$sql = "SELECT MONTH(NOW()), YEAR(NOW()), MONTHNAME(NOW())";
	$dres = mysql_query($sql); $drow = mysql_fetch_array($dres);
	$month = $drow[0]; $year = $drow[1]; $monthname = $drow[2];
	
	$sql = "SELECT user_id, CONCAT(lname,' ',fname), position, wage 
			FROM users 
			WHERE position != 1 AND active = 1
			ORDER BY lname, fname";
	$res = mysql_query($sql); 
	
	?>
	<div class="post">
		<div id="search">
			<a id="icon1" class="th_img" href="print_payroll.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>" target="new"><img src="lib/b_print.png"></a>
			<a id="icon1" class="th_img" href="generate_payroll.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>"><img src="lib/money.png"></a>
			<form method="post" action="payroll.php">
				<?PHP drop_month_year($year, $month); ?>
				<input type="hidden" name="submitted" value="1">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title">Employees' Payroll for <?PHP print "$monthname, $year"; ?></h1>
		<div class="entry">
			<table>
				<thead class="data"><tr>
					<td width="200" align="center">Employee</td>
					<td width="100" align="center">Position</td>
					<td width="100" align="center">Days Payable</td>
					<td width="100" align="center">Rate</td>
					<td width="100" align="center">Wage</td>
				</tr></thead>
				<tbody class="data">
					<?PHP
					$i = 1;
					while ($row = mysql_fetch_array($res)) {
						$m = fmod($i, 2);
						if ($m == 0) { // $i is EVEN
							?><tr class="even"><?PHP
						} else { // $i is ODD
							?><tr class="odd"><?PHP
						}
						?>
							<td align="left"><a class="tddata" href="user.php?user_id=<?PHP print $row[0] ?>"><?PHP print $row[1] ?></a></td>
							<td align="left"><?PHP
								if ($row[2] == 1) { print "Administrator"; 
								} elseif ($row[2] == 2) { print "Secretary"; 
								} elseif ($row[2] == 3) { print "Supervisor"; 
								} elseif ($row[2] == 4) { print "Branch Cashier"; 
								}
								?></td>
							<td align="right"><?PHP 
								$sql = "SELECT att_id FROM attendance
										WHERE user_id = '$row[0]' 
											AND MONTH(NOW()) = MONTH(att_d8) AND YEAR(NOW()) = YEAR(att_d8)
											AND status IN ('PR')";
								$tres = mysql_query($sql); $tnum = mysql_num_rows($tres); echo $tnum
								?>&nbsp;</td>
							<td align="right"><?PHP echo number_format($row[3], 2) ?></td>
							<td align="right"><?PHP $wage = $tnum * $row[3]; echo number_format($wage, 2) ?></td>
						</tr>
						<?PHP
						$i++;
						$twage = $twage + $wage;
					}
					?>
					<tr class="total">
						<td colspan="4" align="right"><b>Total</b>&nbsp;</td>
						<td align="right"><b><?PHP echo number_format($twage, 2) ?></b></td>
					</tr>
				</tbody>
			</table>
		</div>
        <p class="meta"></p>
	</div>
	<?PHP
}
?>