<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Petty Cash');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();

		show_pc();

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_pc() {
	$sql = "SELECT DATE_FORMAT(ct.date_added, '%b %e, %Y'), ct.ref_num, ct.amount, CONCAT(u.lname,', ',u.fname)
			FROM cash_trans ct, users u
			WHERE ct.user_id = u.user_id AND ct.type = 2
			ORDER BY ct.date_added DESC";
	$ires = mysql_query($sql); 
	$sql = "SELECT DATE_FORMAT(edate, '%b %e, %Y'), et.extype_name, e.amount, CONCAT(u.lname,', ',u.fname)
			FROM expenses e, expense_types et, users u
			WHERE e.extype_id = et.extype_id AND e.user_id = u.user_id
			ORDER BY e.edate DESC";
	$ores = mysql_query($sql);
	$sql = "SELECT config_value FROM config WHERE config_id = 3";
	$pres = mysql_query($sql); $prow = mysql_fetch_array($pres);
	?>
    <div class="post">
        <h1 class="title">Petty Cash: P<?PHP echo number_format($prow[0], 2) ?></h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="350" valign="top">
					<table width="350" class="data">
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Cash-in to Petty cash from Undeposited Cash</b></td></tr>
							<tr>
								<td align="center" width="80">Date</td>
								<td align="center" width="80">Ref #</td>
								<td align="center" width="90">Amount</td>
								<td align="center" width="150">User</td>
							</tr>
						</thead>
						<tbody class="data"><?PHP
							$i = 1;
							while ($irow = mysql_fetch_array($ires)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><?PHP print $irow[0] ?></td>
									<td align="left"><?PHP print $irow[1] ?></td>
									<td align="right"><?PHP print $irow[2] ?></td>
									<td align="left"><?PHP print $irow[3] ?></td>
								</tr>
								<?PHP
								$i++;
							} ?>
						</tbody>
					</table>
				</td>
				<td width="350" valign="top">
					<table width="350" class="data">
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Cash-out from Expenses</b></td></tr>
							<tr>
								<td align="center" width="80">Date</td>
								<td align="center" width="120">Type</td>
								<td align="center" width="70">Amount</td>
								<td align="center" width="130">User</td>
							</tr>
						</thead>
						<tbody class="data"><?PHP
							$j = 1;
							while ($orow = mysql_fetch_array($ores)) {
								$n = fmod($j, 2);
								if ($n == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align=left><?PHP print $orow[0] ?></td>
									<td align=left><?PHP print $orow[1] ?></td>
									<td align=right><?PHP print $orow[2] ?></td>
									<td align=left><?PHP print $orow[3] ?></td>
								</tr>
								<?PHP
								$j++;
							}
							?>
						</tbody>
					</table>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}

?>