<?php
set_time_limit(0);
include 'i/php-cus.php';
val_qry('account_id', 'accounts');
rpt('Daily Cash Transaction Report');
pre();
ft();
function pre(){
	$account_id=$_GET['account_id'];
	$bank_id=fld('bank_id', 'banks', 'bank_name="UNDEPOSITED CASH"');
	$bank_bal=fld('balance', 'banks', 'bank_name="UNDEPOSITED CASH"');
	$user_id=$_SESSION['user_id'];
	// $user_id=20;
	?>
	<h1>Daily Cash Transaction Report</h1>
	<table class="grd">
		<thead>
			<tr><td colspan="7">Date: <?php echo date('M d, Y', time()) ?></td></tr>
			<tr>
				<th>Description</th>
				<th>DR#</th>
				<th>Debit</th>
				<th>Expense</th>
				<th>Other</th>
				<th>Deposit /<br>Remittance</th>
				<th>Balance</th>	
			</tr>
		</thead>
		<tbody>
			<tr>
				<td colspan="6" class="right">Beginning Balance:</td>
				<td id="bal" class="right"></td>
			</tr>
			<?php
			$deb_total=0;
			$exp_total=0;
			$oth_total=0;
			$dr_total=0;
			//deposit
			$q=qry('select
				d.ref_num,
				d.amount
			from deposits d
			left join banks b on b.bank_id=d.bank_id
			where d.bank_id="'.$bank_id.'" and b.account_id="'.$account_id.'" and d.ddate=curdate() and d.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$deb_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']) ?>Bank Deposit</td>
					<td><?php echo $r['ref_num'] ?></td>					
					<td class="right"><?php echo number_format($r['amount'], 2) ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//bank transfer addition
			$q=qry('select
				b.bank_name,
				t.ref_num,
				t.amount
			from bank_transfers t
			left join banks b on b.bank_id=t.to_bank_id
			where b.account_id="'.$account_id.'" and t.to_bank_id="'.$bank_id.'" and t.bt_date=curdate() and t.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$deb_total+=$r['amount'];
				?>
				<td><?php echo hdn('rel_amt', $r['amount']) ?>Bank Transfer</td>
				<td><?php echo $r['ref_num'] ?></td>
				<td class="right"><?php echo number_format($r['amount'], 2) ?></td>
				<td class="right"></td>
				<td class="right"></td>
				<td class="right"></td>
				<td id="bal" class="right"></td>
				<?php
			}
			//payment to supplier
			$q=qry('select
			  p.or_num,
			  p.amount,
			  s.company_name
			from spayments p
			left join suppliers s on s.supplier_id=p.supplier_id
			left join banks b on b.bank_id=p.bank_id
			where p.bank_id="'.$bank_id.'" and b.account_id="'.$account_id.'" and p.pdate=curdate() and p.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$oth_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']*-1).$r['company_name'] ?></td>
					<td><?php echo $r['or_num'] ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"><?php echo number_format($r['amount'], 2) ?></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//refund from supplier
			$q=qry('select
			  s.company_name,
			  f.amount
			from refunds_suppliers f
			left join returns_suppliers t on t.rs_id=f.rs_id
			left join suppliers s on s.supplier_id=t.supplier_id
			where f.refund_date=curdate() and f.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$deb_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']).$r['company_name'] ?></td>
					<td>Refund</td>
					<td class="right"><?php echo number_format($r['amount'], 2) ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//loan
			$q=qry('select
			  concat(u.fname, " ", u.lname) employee,
			  l.amount
			from loans l
			left join users u on u.user_id=l.user_id
			where u.branch_id=0 and loan_date=curdate()');
			while($r=mysqli_fetch_assoc($q)){
				$oth_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']*-1).$r['employee'] ?></td>
					<td>Cash Advance</td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"><?php echo number_format($r['amount'], 2) ?></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//loan payment
			$q=qry('select
			  concat(u.fname, " ", u.lname) employee,
			  p.amount
			from loan_payments p
			left join loans l on l.loan_id=p.loan_id
			left join users u on u.user_id=l.user_id
			where lp_date=curdate()');
			while($r=mysqli_fetch_assoc($q)){
				$deb_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']).$r['employee'] ?></td>
					<td>Cash Advance Payment</td>
					<td class="right"><?php echo number_format($r['amount'], 2) ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//capital
			$q=qry('select
			  concat(u.fname, " ", u.lname) employee,
			  c.amount
			from capitals c
			left join banks b on b.bank_id=c.bank_id
			left join users u on u.user_id=c.admin_id
			where c.bank_id="'.$bank_id.'" and b.account_id="'.$account_id.'" and c.draw_date=curdate() and c.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$oth_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']*-1).$r['employee'] ?></td>
					<td>Capital Expenditure</td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"><?php echo number_format($r['amount'], 2) ?></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//drawing
			$q=qry('select
			  concat(u.fname, " ", u.lname) employee,
			  d.amount
			from drawings d
			left join banks b on b.bank_id=d.bank_id
			left join users u on u.user_id=d.admin_id
			where d.bank_id="'.$bank_id.'" and b.account_id="'.$account_id.'" and d.draw_date=curdate() and d.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$oth_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']*-1).$r['employee'] ?></td>
					<td>Owner's Drawing</td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"><?php echo number_format($r['amount'], 2) ?></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//sale payment
			$q=qry('select
			  p.or_num,
			  c.company_name,
			  p.amount
			from cpayments p
			left join customers c on c.customer_id=p.customer_id
			left join banks b on b.bank_id=p.bank_id
			where p.bank_id=4 and b.account_id=1 and p.pdate=curdate() and p.refund_id=0 and p.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$deb_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']).$r['company_name'] ?></td>
					<td><?php echo $r['or_num'] ?></td>
					<td class="right"><?php echo number_format($r['amount'], 2) ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//expense
			$q=qry('select
			  e.amount,
			  t.extype_name
			from expenses e
			left join expense_types t on t.extype_id=e.extype_id
			where e.account_id="'.$account_id.'" and e.edate=curdate() and e.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$exp_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']*-1).$r['extype_name'] ?></td>
					<td></td>
					<td class="right"></td>
					<td class="right"><?php echo number_format($r['amount'], 2) ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//deposit / remittance
			$q=qry('select
			  t.ref_num,
			  t.amount
			from bank_transfers t
			left join banks b on b.bank_id=t.fr_bank_id
			where t.fr_bank_id="'.$bank_id.'" and b.account_id="'.$account_id.'" and t.bt_date=curdate() and t.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$dr_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']*-1) ?></td>
					<td><?php echo $r['ref_num'] ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"><?php echo number_format($r['amount'], 2) ?></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//loan / payable expense
			$q=qry('select note, amt from ln where ln_date=curdate() and user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$oth_total+=$r['amt'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amt']*-1).$r['note'] ?></td>
					<td>Loan</td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"><?php echo number_format($r['amt'], 2) ?></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//loan payment
			$q=qry('select
			  p.amt,
			  l.note
			from ln_pymt p
			left join ln l on l.ln_id=p.ln_id
			where p.pymt_date=curdate() and p.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$deb_total+=$r['amt'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amt']).$r['note'] ?></td>
					<td>Loan Payment</td>
					<td class="right"><?php echo number_format($r['amt'], 2) ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			$bgn_bal=$bank_bal-($deb_total-$exp_total-$oth_total-$dr_total);
			?>
		</tbody>
		<tfoot><tr>
			<th colspan="2" class="right">TOTAL:</th>
			<th class="right"><?php echo number_format($deb_total, 2) ?></th>
			<th class="right"><?php echo number_format($exp_total, 2) ?></th>
			<th class="right"><?php echo number_format($oth_total, 2) ?></th>
			<th class="right"><?php echo number_format($dr_total, 2) ?></th>
			<th class="right"><?php echo number_format($bank_bal, 2) ?></th>
		</tr></tfoot>
	</table>
	<?php
	echo hdn('bgn_bal', $bgn_bal);
	?>
	<script type="text/javascript" src="i/jquery.js"></script>
	<script type="text/javascript">$(function(){
		var bgn_bal=$('#bgn_bal').val()-0;
		$('.grd>tbody>tr:eq(0)>#bal').text(bgn_bal);
		$('[name="rel_amt"]').each(function(){
			bgn_bal+=$(this).val()-0;
			$(this).parent().parent().find('#bal').text(bgn_bal);
		});
	});</script>
	<?php
}
?>