<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

define('TITLE', 'Print Balance Sheet');

include("fxns.php");

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		printing_header(TITLE);

		$month = $_GET['month'];
		$year = $_GET['year'];
		print_bs($month, $year);
		
	}
}
else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.
	</font></center>";
}

function print_bs($month, $year) {
	if ($year != "" && $month != "") { // year and month are given
		if ($month == 1) { $monthname = "Jan"; 
		} elseif ($month == 2) { $monthname = "Feb"; 
		} elseif ($month == 3) { $monthname = "Mar"; 
		} elseif ($month == 4) { $monthname = "Apr"; 
		} elseif ($month == 5) { $monthname = "May"; 
		} elseif ($month == 6) { $monthname = "Jun"; 
		} elseif ($month == 7) { $monthname = "Jul"; 
		} elseif ($month == 8) { $monthname = "Aug"; 
		} elseif ($month == 9) { $monthname = "Sep"; 
		} elseif ($month == 10) { $monthname = "Oct"; 
		} elseif ($month == 11) { $monthname = "Nov"; 
		} elseif ($month == 12) { $monthname = "Dec"; }
		
		?>
		<br>
        <table align="center" width="700">
		<tr><td colspan="2" align="center"><h4><font face="arial">Balance Sheet</font></h4></td></tr>
		<tr>
			<td width="350" align="center">
				<table width="350">
					<thead class="print">
					<tr><td colspan="2" align="center"><b>Balance Sheet for <?PHP print "$monthname, $year"; ?></b></td></tr>
					</thead>
					<tbody class="print">
						<?PHP
						$sql = "SELECT * FROM bs_history WHERE MONTH(bsh_date) = $month AND YEAR(bsh_date) = $year";
						$res = mysql_query($sql) or die(mysql_error()); 
						$row = mysql_fetch_array($res); 
						
						$uc = number_format($row[2], 2); 
						$tc = number_format($row[3], 2); 
						$iv = number_format($row[4], 2); 
						?>
						<tr class="odd"><td width="100" align="right" valign="top">Assets&nbsp;</td>
							<td width="300" align="right"><?PHP
								$sql = "SELECT bsh_name, amount FROM bsh_details WHERE bsh_id = '$row[0]' AND bsh_type = 1";
								$ares = mysql_query($sql) or die(mysql_error()); 
								while ($arow = mysql_fetch_array($ares)) {
									$asset_amount = number_format($arow[1], 2);
									print "$arow[0] ---->> $asset_amount<br>";
								}

								print "UNDEPOSITED CASH ---->> $uc<br>";
								print "TOTAL COLLECTIBLES ---->> $tc<br>";
								print "INVENTORY VALUE ---->> $iv<br>";
							?></td></tr>
						<tr class="even"><td align="right" valign="top">Total Assets&nbsp;</td>
							<td align="right"><?PHP
								$total_assets = number_format($row[5], 2);
								print "<b>$total_assets</b>";
							?></td></tr>
						<tr class="odd"><td align="right" valign="top">Liabilities&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT bsh_name, amount FROM bsh_details WHERE bsh_id = '$row[0]' AND bsh_type = 0";
								$lres = mysql_query($sql) or die(mysql_error()); 
								while ($lrow = mysql_fetch_array($lres)) {
									$liability = number_format($lrow[1], 2);
									print "$lrow[0] ---->> $liability<br>";
								}
							?></td></tr>
						<tr class="even"><td align="right" valign="top">Total Liabilities&nbsp;</td>
							<td align="right"><?PHP
								$total_liabilities = number_format($row[6], 2);
								print "<b>$total_liabilities</b>";
							?></td></tr>
						<tr class="odd"><td align="right" valign="top">Equity&nbsp;</td>
							<td align="right"><b><?PHP
								$equity = number_format($row[7], 2);
								print $equity; 
							?></b></td></tr>
					</tbody>
				</table>
			</td>
		</tr>
        </table>
		<?PHP
		
	} else {
		// get the income for current month and year
		$sql = "SELECT MONTHNAME(NOW()), YEAR(NOW())";
		$dres = mysql_query($sql);
		$drow = mysql_fetch_array($dres);
		$monthname = $drow[0]; $year = $drow[1];
		?>
		<br>
        <table align="center" width="700">
		<tr><td colspan="2" align="center"><h4><font face="arial">Balance Sheet</font></h4></td></tr>
		<tr>
			<td width="350" align="center">
				<table width="350">
					<thead class="print">
					<tr><td colspan="2" align="center"><b>Balance Sheet for <?PHP print "$monthname, $year"; ?></b></td></tr>
					</thead>
					<tbody class="print">
						<tr class="odd"><td width="100" align="right" valign="top">Assets&nbsp;</td>
							<td width="300" align="right"><?PHP
								// get the value of the undeposited cash
								$sql = "SELECT bank_id, balance FROM banks WHERE bank_name = 'UNDEPOSITED CASH'";
								$uc_res = mysql_query($sql); $uc_row = mysql_fetch_array($uc_res); 
								$bank_id = $uc_row[0]; $uc = $uc_row[1];
								
								$sql = "SELECT SUM((pd.unit_price - pd.unit_discount) * pd.balance) 
										FROM purchase_details pd, purchases p 
										WHERE p.purchase_id=pd.purchase_id";
								$res4 = mysql_query($sql);
								$row4 = mysql_fetch_array($res4);
								$iv = number_format($row4[0], 2); 
								
								$sql = "select sum(balance) from sales";
								$res3 = mysql_query($sql);
								$row3 = mysql_fetch_array($res3);
								
								$sql = "SELECT SUM(balance) FROM customer_old_balances";
								$res31 = mysql_query($sql);
								$row31 = mysql_fetch_array($res31);

								$tc = number_format(($row3[0] + $row31[0]), 2);

								$sql = "SELECT  at.asstype_name, SUM(a.amount)
										FROM assets a, asset_types at
										WHERE a.asstype_id=at.asstype_id 
										GROUP BY at.asstype_name
										ORDER BY at.asstype_name";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									$asset_amount = number_format($row[1], 2);
									print "$row[0] ---->> $asset_amount<br>";
								}

								print "UNDEPOSITED CASH ---->> $uc<br>";
								print "TOTAL COLLECTIBLES ---->> $tc<br>";
								print "INVENTORY VALUE ---->> $iv<br>";
							?></td></tr>
						<tr class="even"><td align="right" valign="top">Total Assets&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT SUM(amount) FROM assets";
								$res1 = mysql_query($sql);
								$row1 = mysql_fetch_array($res1);

								$tassets = $row1[0] + $row3[0] + $row31[0] + $row4[0] + $uc_row[0];
								$total_assets = number_format($tassets, 2);
								print "<b>$total_assets</b>";
							?></td></tr>
						<tr class="odd"><td align="right" valign="top">Liabilities&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT supplier_id, company_name
										FROM suppliers
										ORDER BY company_name";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									$tp_res = mysql_query("select sum(balance) from purchases where supplier_id='$row[0]'");
									$tp_row = mysql_fetch_array($tp_res); $tp = $tp_row[0];
									$ob_res = mysql_query("select balance from supplier_old_balances where supplier_id='$row[0]'");
									$ob_row = mysql_fetch_array($ob_res); $ob = $ob_row[0];
									$tbal = $tp + $ob;
									$total_balance = number_format($tbal, 2); 
									print "$row[1] - $total_balance<br>";
								}
							?></td></tr>
						<tr class="even"><td align="right" valign="top">Total Liabilities&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT SUM(balance) FROM purchases";
								$res2 = mysql_query($sql);
								$row2 = mysql_fetch_array($res2);
								
								$sql = "SELECT SUM(balance) FROM supplier_old_balances";
								$res21 = mysql_query($sql);
								$row21 = mysql_fetch_array($res21); 
								
								$total_liabilities = number_format(($row2[0] + $row21[0]), 2);
								print "<b>$total_liabilities</b>";
							?></td></tr>
						<tr class="odd"><td align="right" valign="top">Equity&nbsp;</td>
							<td align="right"><b><?PHP
								$eqty = ($row1[0] + $row3[0] + $row31[0] + $row4[0]) - ($row2[0] + $row21[0]);
								$equity = number_format($eqty, 2);
								print $equity; 
							?></b></td></tr>
					</tbody>
				</table>
			</td>
		</tr>
        </table>
		<?PHP
	}
}

?>