<?php
//ini_set('display_errors', 1);
//error_reporting(E_ALL & ~E_NOTICE);
define('TITLE', 'Print Check Voucher');
include("fxns.php");
session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		printing_header(TITLE);
		$cv_id = isset($_GET['cv_id'])?_GET_POST($_GET['cv_id']):"";
		$position = sql_fld("position", "users", "user_id='$_SESSION[user_id]'");
		$print = sql_fld("check_printed", "check_voucher", "cv_id='$cv_id'");
		if ($print == 0){
			print_voucher($cv_id);
			$print_array = array(
				'check_printed' => 1,
				'c_printed_by'		=> $_SESSION['user_id']
			);
			sql_upd("check_voucher", $print_array, "cv_id='$cv_id'");
			return;
		}
		if ($position == 1 || $position == 2 || $position == 3){
			print_voucher($cv_id);
			return;
		}
		echo "<br><br><br><center><font face=arial size=5 color=gray>Cheque has been printed already.<br>
		Ask the admins/supervisor to print this for you.</font></center>";
	}
} else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.</font></center>";
}

function print_voucher($cv_id){
	$cv_row = $cv_id==''?array('cv_date' => '', 'supplier_id' => '', 'ttl_amt' => '', 'amt_words' => ''):sql_rec("check_voucher", "cv_id=$cv_id");
	$wordlen = strlen($cv_row['amt_words']);
	if($wordlen <= 70){ $fontSize = '14.5px'; }
	if($wordlen > 70 && $wordlen <=  75){ $fontSize = '14px'; }
	if($wordlen > 75 && $wordlen <=  80){ $fontSize = '13.5px'; }
	if($wordlen > 80 && $wordlen <=  85){ $fontSize = '13px'; }
	if($wordlen > 85 && $wordlen <=  90){ $fontSize = '12.5px'; }
	if($wordlen > 90 && $wordlen <=  95){ $fontSize = '12px'; }
	if($wordlen > 95 && $wordlen <= 100){ $fontSize = '11.5px'; }
	if($wordlen > 100){ $fontSize = '11px'; } ?>
	<center>
	<script type="text/javascript" src="lib/jquery-1.10.2.js"></script>
	<table>
		<tbody>
			<tr height="30px">
				<td colspan="6"><input type="hidden" id="cv_id" value="<?php echo $cv_id ?>"></td>
			</tr>
			<tr>
				<td width="55px"></td>
				<td width="35px"></td>
				<td width="440px"></td>
				<td width="18px"></td>
				<td width="167px">
					<span class="txt" style="display: <?php echo $cv_row['cv_date']==''?'inline':'none'; ?>;">
						<input type="text" class="inp date" style="width: 35px; text-align: center; letter-spacing: 7px">&nbsp;&nbsp;
						<input type="text" class="inp date" style="width: 35px; text-align: center; letter-spacing: 7px">&nbsp;&nbsp;
						<input type="text" class="inp date" style="width: 70px; text-align: center; letter-spacing: 7px">
					</span>
					<?php
						$month = date_format(date_create($cv_row['cv_date']), "m");
						$day = date_format(date_create($cv_row['cv_date']), "d");
						$year = date_format(date_create($cv_row['cv_date']), "Y");
						$montharray = str_split($month);
						$month = implode("&nbsp;&nbsp;&nbsp;", $montharray);
						$dayarray = str_split($day);
						$day = implode("&nbsp;&nbsp;&nbsp;", $dayarray);
						$yeararray = str_split($year);
						$year = implode("&nbsp;&nbsp;&nbsp;", $yeararray);
					?>
					<span class="dsp"><?php echo $cv_row['cv_date']==''?'':$month."&nbsp;&nbsp;&nbsp;&nbsp;".$day."&nbsp;&nbsp;&nbsp;&nbsp;".$year; ?></span></td>
				<td width="30px"></td>
			</tr>
			<tr>
				<td></td>
				<td></td>
				<td>
					<span class="txt" style="display: <?php echo $cv_row['supplier_id']==''?'inline':'none'; ?>;"><input type="text" class="inp" style="width: 100%;"></span>
					<span class="dsp"><?php echo $cv_row['supplier_id']==''?'':sql_fld("company_name", "suppliers", "supplier_id=$cv_row[supplier_id]") ?></span></td>
				<td></td>
				<td>
					<span class="txt" style="display: <?php echo $cv_row['ttl_amt']==''?'inline':'none'; ?>;"><input type="text" class="inp" style="width: 100%;"></span>
					<span class="dsp"><?php echo $cv_row['ttl_amt']==''?'':number_format($cv_row['ttl_amt'], 2); ?></span></td>
				<td></td>
			</tr>
			<tr>
				<td></td>
				<td colspan="4" style="font-size: <?php echo $fontSize; ?>;">
					<span class="txt" style="display: <?php echo $cv_row['amt_words']==''?'inline':'none'; ?>;"><input type="text" class="inp" style="width: 100%;"></span>
					<span class="dsp"><?php echo $cv_row['amt_words']==''?'':$cv_row['amt_words']; ?></span></td>
				<td></td>
			</tr>
			<tr height="150px">
				<td colspan="6"></td>
			</tr>
		</tbody>
	</table>
	<style type="text/css">
		body{
			margin-top: 0px;
		}
		table{
			background: url("lib/scanned-blank-cheque.jpg");
			background-position: top;
			background-repeat: no-repeat;
			background-size: cover;
		}
		td{
			font-family: "Century Gothic", Verdana, Helvetica, sans-serif;
			font-size: 15px;
			text-align: center;
			height: 31px;
			vertical-align: bottom;
		}
		input[class='inp']{
			height: 20px;
			font-family: 'Century Gothic', Verdana, Helvetica, sans-serif;
			font-size: 13px;
			text-align: left;
			/*padding-bottom: 5px;*/
		}
		input[type="date"]::-webkit-inner-spin-button,
		input[type="date"]::-webkit-calendar-picker-indicator {
			display: none;
			-webkit-appearance: none;
		}
	</style>
	<script type="text/javascript">
		$(document).ready(function(){
			var cv_id = $('#cv_id').val();
			window.onbeforeprint = function(event) {
				$('table').css('background', 'none');
				if (cv_id != ""){
					return;
				}
				if (new Date($('.date').val()) == "Invalid Date" ){
					$('.date').css('display', 'none');
				}
			};
			window.onafterprint = function(event) {
				$('table').css('background', 'url("lib/scanned-blank-check.jpg")');
				$('table').css('background-position', 'top');
				$('table').css('background-repeat', ' no-repeat');
				$('table').css('background-size', 'cover');
				if (cv_id != ""){
					return;
				}
				if (new Date($('.date').val()) == "Invalid Date" ){
					$('.date').css('display', 'inline');
				}
			};
			$('.dsp').click(function(){
				$(this).hide();
				$(this).siblings('.txt').show();
			});
			$('input').focusout(function(){
				$(this).css('background-color', 'transparent');
				$(this).css('border', 'none');
				if ($(this).attr('type') == "date"){

				}
			});
			$('input').focus(function(){
				$(this).css('background-color', 'white');
				$(this).css('border', 'default');
			})
		});
	</script>
	</center><?php
} ?>