<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

define('TITLE', 'Print Daily Balance');

include("fxns.php");

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_13() == true) {
		printing_header(TITLE);
		print_daily_balances();
	}
} else {
	alert('Your are not welcome here get lost');
}

function print_daily_balances(){
	$today = sql_curdate();
	$today = date_format(date_create($today), 'M. d, Y');
	$name = sql_fld('CONCAT(fname, \' \', lname)', 'users', 'user_id='.$_SESSION['user_id']);
	$fname = sql_fld('fname', 'users', 'user_id='.$_SESSION['user_id']);
	$collect_details = sql_qry('SELECT payment_id, method, customer_id FROM collect_identify WHERE collector=\''.$fname.'\' AND cdate=CURDATE() ORDER BY id ASC');
	$cash_collections = 0; $check_collections = 0; $loadmanna_remittances = 0; $branch_remittances = 0;
	if (!!$collect_details){
		while ($collect_info = mysql_fetch_assoc($collect_details)){
			if ($collect_info['method'] == 'Cash'){
				$cash_collections += sql_fld('amount', 'cpayments', 'c_payment_id='.$collect_info['payment_id'].' AND customer_id='.$collect_info['customer_id']);
				$cash_collect_ids[] = $collect_info['payment_id'];
			} elseif ($collect_info['method'] == 'Check') {
				$check_collections += sql_fld('amount', 'cpayments', 'c_payment_id='.$collect_info['payment_id'].' AND customer_id='.$collect_info['customer_id']);
				$check_collect_ids[] = $collect_info['payment_id'];
			}
		}
	}
	//-------------PHP code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------	
?>
<script type="text/javascript" language="javascript" src="lib/jquery-1.10.2.js"></script>
<center>
	<h2>Bicol Tenese Trading Corporation</h2>
	<h1>Collection Report</h1>
	<table>
		<thead class="print">
			<tr>
				<td class='daily' align='right'>Date:&nbsp;&nbsp;</td>
				<td class='daily' colspan='5' align='left'>&nbsp;&nbsp;<?php echo $today?></td>
			</tr>
			<tr>
				<td class='daily' align='right'>Prepared by:&nbsp;&nbsp;</td>
				<td class='daily' colspan='5' align='left'>&nbsp;&nbsp;<?php echo $name?></td>
			</tr>
			<tr>
				<td class='daily' colspan='6' align='center'>Collections</td>
			</tr>
			<tr height='30px'>
				<td class='daily' align='center' width='150'>Customer's Name</td>
				<td class='daily' align='center' width='100'>DR#</td>
				<td class='daily' align='center' width='100'>Line Total</td>
				<td class='daily' align='center' width='100'>Remaining Balance</td>
				<td class='daily' align='center' width='100'>Amount Paid</td>
				<td class='daily' align='center' width='200'>Remarks</td>
			</tr>
		</thead>
		<tbody>
<?php
	$ci=0;
	if (!!$cash_collect_ids){
		foreach ($cash_collect_ids as $id){
			$c_pay_dtls = sql_rec('cpayments', 'c_payment_id='.$id);
			$ci++;
?>
			<tr class='<?php echo $ci%2==0?'even':'odd'?>'>
				<td class='daily' align="left"><?php echo sql_fld('company_name', 'customers', 'customer_id='.$c_pay_dtls['customer_id'])?></td>
				<td class='daily' align="center"><?php echo $c_pay_dtls['or_num']==$c_pay_dtls['sale_id']?$c_pay_dtls['or_num']:$c_pay_dtls['or_num'].'--'.$c_pay_dtls['sale_id']?></td>
				<td class='daily' align="right"><?php echo number_format(sql_fld('line_total', 'sales', 'customer_id='.$c_pay_dtls['customer_id'].' AND sale_id='.$c_pay_dtls['sale_id']), 2, '.', ',')?></td>
				<td class='daily' align="right"><?php echo number_format(sql_fld('balance', 'sales', 'customer_id='.$c_pay_dtls['customer_id'].' AND sale_id='.$c_pay_dtls['sale_id']), 2, '.', ',')?></td>
				<td class='daily' align="right"><?php echo number_format($c_pay_dtls['amount'], 2, '.', ',')?></td>
<?php
				if ($ci == 1) echo '<td id=\'cash_remarks\' class=\'daily\'></td>';
?>
			</tr>
<?php
		}
?>
			<script>
				$('#cash_remarks').attr('rowspan', <?php echo $ci+1?>);
			</script>
<?php
	}
?>
			<tr class='total'>
				<td class='daily' colspan='4' align="right">Total Cash Collections:&nbsp;&nbsp;</td>
				<td class='daily' align="right"><?php echo number_format($cash_collections, 2, '.', ',')?></td>
<?php
				if ($ci == 0) echo '<td class=\'daily\'></td>';
?>
			</tr>
<?php
	$chi=0;
	if (!!$check_collect_ids){
		foreach ($check_collect_ids as $id){
			$c_pay_dtls = sql_rec('cpayments', 'c_payment_id='.$id);
			$chi++;
?>
			<tr class='<?php echo $chi%2==0?'even':'odd'?>'>
				<td class='daily' align="left"><?php echo sql_fld('company_name', 'customers', 'customer_id='.$c_pay_dtls['customer_id'])?></td>
				<td class='daily' align="center"><?php echo $c_pay_dtls['or_num']==$c_pay_dtls['sale_id']?$c_pay_dtls['or_num']:$c_pay_dtls['or_num'].'--'.$c_pay_dtls['sale_id'] ?></td>
				<td class='daily' align="right"><?php echo number_format(sql_fld('line_total', 'sales', 'customer_id='.$c_pay_dtls['customer_id'].' AND sale_id='.$c_pay_dtls['sale_id']), 2, '.', ',')?></td>
				<td class='daily' align="right"><?php echo number_format(sql_fld('balance', 'sales', 'customer_id='.$c_pay_dtls['customer_id'].' AND sale_id='.$c_pay_dtls['sale_id']), 2, '.', ',')?></td>
				<td class='daily' align="right"><?php echo number_format($c_pay_dtls['amount'], 2, '.', ',') ?></td>
<?php
				if ($chi == 1) echo '<td id=\'check_remarks\' class=\'daily\'></td>';
?>
			</tr>
<?php
		}
?>
			<script>
				$('#check_remarks').attr('rowspan', <?php echo $chi+1?>);
			</script>
<?php
	}
?>
			<tr class='total'>
				<td class='daily' colspan='4' align="right">Total Check Collections:&nbsp;&nbsp;</td>
				<td class='daily' align="right"><?php echo number_format($check_collections, 2, '.', ',')?></td>
<?php
				if ($chi == 0) echo '<td class=\'daily\'></td>';
?>
			</tr>
		</tbody>
	</table>
	<br />
	<table>
		<thead class="print">
			<tr height='30px'>
				<td class='daily' align='center' width='150'>Customer's Name</td>
				<td class='daily' align='center' width='100'>Bank</td>
				<td class='daily' align='center' width='100'>Check Number</td>
				<td class='daily' align='center' width='100'>Encashment Date</td>
				<td class='daily' align='center' width='100'>Check Amount</td>
				<td class='daily' align='center' width='200'>Summary</td>
			</tr>
		</thead>
		<tbody>
<?php
	$chd = 0;
	if (!!$check_collect_ids){
		$check_cus_id = sql_qry('SELECT DISTINCT customer_id FROM collect_identify WHERE cdate = curdate() AND method = \'Check\' ORDER BY id DESC');
		if (!!$check_cus_id){
			while ($customer = mysql_fetch_assoc($check_cus_id)){
				$custid = $customer['customer_id'];
				$check_info = sql_qry('SELECT DISTINCT check_num FROM cpayments WHERE pdate = curdate() AND pmethod = \'Check\' AND customer_id = '.$custid.' ORDER BY c_payment_id DESC');
				if (!!$check_info){
					while ($checknum = mysql_fetch_assoc($check_info)){
						$chd++;
						$check_num = $checknum['check_num'];
?>
			<tr class='<?php echo $chd%2==0?'even':'odd'?>'>
				<td class='daily' align='center'><?php echo sql_fld('company_name', 'customers', 'customer_id='.$custid)?></td>
				<td class='daily' align='center'><?php echo sql_fld('DISTINCT issuing_bank', 'collect_identify', 'check_num='.$check_num.' AND cdate = curdate() AND method = \'Check\' AND customer_id = '.$custid)?></td>
				<td class='daily' align='center'><?php echo $check_num?></td>
				<td class='daily' align='center'><?php echo date_format(date_create(sql_fld('DISTINCT check_date', 'cpayments', 'check_num='.$check_num.' AND pdate = curdate() AND pmethod = \'Check\' AND customer_id = '.$custid)), 'M. d, Y')?></td>
				<td class='daily' align='right'><?php echo number_format(sql_fld('SUM(amount)', 'cpayments', 'check_num='.$check_num.' AND pdate = curdate() AND pmethod = \'Check\' AND customer_id = '.$custid), 2, '.', ',')?></td>
<?php
						if ($chd == 1) echo '<td id=\'check_summary\' class=\'daily\'></td>';
?>
			</tr>
<?php						
					}
				}
			}
?>
			<script>
				$('#check_summary').attr('rowspan', <?php echo $chd+1?>);
			</script>
<?php 
		}
	}
?>
			<tr class='total'>
				<td class='daily' align='right' colspan='4'>Total Check Payments:&nbsp;</td>
				<td class='daily' align='right'><?php echo number_format($check_collections, 2, '.', ',')?></td>
<?php
				if ($chd == 0) echo '<td class=\'daily\'></td>';
?>
			</tr>
<?php

?>
		
		</tbody>
	</table>
</center>
<?php
}
?>