<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

define('TITLE', 'Print Income Statement');

include("fxns.php");

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		printing_header(TITLE);
		print_income();
	}
}
else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.
	</font></center>";
}

function print_income() {
		// none is given
		// get the income for current month and year
		$start=$_GET["start_date"];
		$end=$_GET["end_date"];
		?>
		<br>
        <table align="center" width="700">
		<tr><td colspan="2" align="center"><h4><font face="arial">Balance Sheet and Income Statement</font></h4></td></tr>
		<tr>
			<?PHP
			// GROSS PROFIT OF THE MONTH
			$sql = "SELECT SUM(revenue) FROM sales WHERE delivery_date between '$start' and '$end'";
			$gross_profit_res = mysql_query($sql) or die(mysql_error()); 
			$gross_profit_row = mysql_fetch_array($gross_profit_res); 
			
			// TOTAL EXPENSES
			$sql = "SELECT SUM(amount) FROM expenses WHERE edate between '$start' and '$end'";
			$total_expenses_res = mysql_query($sql) or die(mysql_error()); 
			$total_expenses_row = mysql_fetch_array($total_expenses_res); 
			
			// TOTAL TAXES
			$sql = "SELECT SUM(amount) FROM taxes WHERE tdate between '$start' and '$end'";
			$total_taxes_res = mysql_query($sql) or die(mysql_error()); 
			$total_taxes_row = mysql_fetch_array($total_taxes_res); 
			
			// NET INCOME
			$net_income = $gross_profit_row[0] - ($total_expenses_row[0] + $total_taxes_row[0]);
			
			// TOTAL UNREALIZED PROFIT
			$sql = "SELECT SUM((balance / line_total) * revenue) FROM sales";
			$total_unrealized_res = mysql_query($sql) or die(mysql_error()); 
			$total_unrealized_row = mysql_fetch_array($total_unrealized_res); 

			// CURRENT UNREALIZED PROFIT
			$sql = "SELECT SUM((balance / line_total) * revenue) FROM sales 
					WHERE delivery_date between '$start' and '$end'";
			$current_unrealized_res = mysql_query($sql) or die(mysql_error()); 
			$current_unrealized_row = mysql_fetch_array($current_unrealized_res); 
			
			// CURRENT REALIZED PROFIT
			$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
					FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
					WHERE s.delivery_date between '$start' and '$end'";
			$current_realized_res = mysql_query($sql) or die(mysql_error()); 
			$current_realized_row = mysql_fetch_array($current_realized_res); 

			// TOTAL REALIZED PROFIT
			$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
					FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
					WHERE c.good = 1";
			$total_realized_res = mysql_query($sql) or die(mysql_error()); 
			$total_realized_row = mysql_fetch_array($total_realized_res); 
			
			// PREVIOUS REALIZED PROFIT
			//$prev_realized = $total_realized_row[0] - $current_realized_row[0]; 
			//$sql = "SELECT TO_DAYS(DATE_ADD(LAST_DAY(DATE_SUB(NOW(), INTERVAL 1 MONTH)), INTERVAL 1 DAY))"; // INT of 1ST DAY OF CURRENT MONTH
			$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
					FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
					WHERE c.good = 1 AND (TO_DAYS(s.delivery_date) < TO_DAYS(DATE_ADD(LAST_DAY(DATE_SUB('$start', INTERVAL 1 MONTH)), INTERVAL 1 DAY)))";
			$prev_realized_res = mysql_query($sql) or die(mysql_error()); 
			$prev_realized_row = mysql_fetch_array($prev_realized_res); 
			
			?>
			<td align="center" width="500" valign="top">
				<table width="500">
					<thead class="print">
					<tr><td colspan="2" align="center"><b>Income Statement from <?PHP echo date("M d, Y", strtotime($start))." to ".date("M d, Y", strtotime($end)) ?></b></td></tr>
					</thead>
					<tbody class="print">
						<tr class="odd"><td width="250" align="right">Gross Profit&nbsp;</td>
							<td width="250" align="right"><?PHP echo number_format($gross_profit_row[0], 2); ?></td></tr>
						<tr class="even"><td align="right" valign="top">Operational Expenses&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT  et.extype_name, SUM(e.amount)
										FROM expenses e, expense_types et
										WHERE e.extype_id=et.extype_id 
											AND e.edate between '$start' and '$end'
										GROUP BY et.extype_name
										ORDER BY et.extype_name";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									$expense_amount = number_format($row[1], 2);
									print "$row[0] ---->> $expense_amount<br>";
								}
							?></td></tr>
						<tr class="odd"><td align="right">Total Expenses&nbsp;</td>
							<td align="right"><b><?PHP echo number_format($total_expenses_row[0], 2); ?></b></td></tr>
						<tr class="even"><td align="right" valign="top">Taxes&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT  tt.taxtype_name, SUM(t.amount)
										FROM taxes t, tax_types tt
										WHERE t.taxtype_id=tt.taxtype_id 
											AND t.tdate between '$start' and '$end'
										GROUP BY tt.taxtype_name
										ORDER BY tt.taxtype_name";
								$res2 = mysql_query($sql);
								while ($row2 = mysql_fetch_array($res2)) {
									$tax_amount = number_format($row2[1], 2);
									print "$row2[0] ---->> $tax_amount<br>";
								}
							?></td></tr>
						<tr class="odd"><td align="right">Total Taxes&nbsp;</td>
							<td align="right"><b><?PHP echo number_format($total_taxes_row[0], 2); ?></b></td></tr>
						<tr class="even"><td align="right"><b>Net Income</b>&nbsp;</td>
							<td align="right"><b><?PHP echo number_format($net_income, 2); ?></b></td></tr>
						<tr class="odd"><td>&nbsp;</td><td>&nbsp;</td></tr>
						<tr class="even"><td>&nbsp;</td><td>&nbsp;</td></tr>
						<tr class="odd">
							<td align="right"><i>Total Unrealized Profit</i>&nbsp;</td>
							<td align="right"><?PHP echo number_format($total_unrealized_row[0], 2); ?></td></tr>
						<tr class="even">
							<td align="right"><i>Unrealized Profit From Current Period</i>&nbsp;</td>
							<td align="right"><?PHP echo number_format($current_unrealized_row[0], 2); ?></td></tr>
						<tr class="odd">
							<td align="right"><i>Total Realized Profit From Previous Months</i>&nbsp;</td>
							<td align="right"><?PHP echo number_format($prev_realized_row[0], 2); ?></td></tr>
						<tr class="even">
							<td align="right"><i>Realized Profit From Current Period</i>&nbsp;</td>
							<td align="right"><?PHP echo number_format($current_realized_row[0], 2); ?></td></tr>
						<tr class="odd">
							<td align="right"><b>Total Realized Profit</b>&nbsp;</td>
							<td align="right"><?PHP echo number_format($total_realized_row[0], 2); ?></td></tr>
					</tbody>
				</table>
			</td>
		</tr>
        </table>
		<?PHP
}
?>