<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

define('TITLE', 'Print Fast-Moving Products');

include("fxns.php");

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		printing_header(TITLE);

		$branch_id = $_GET['branch_id'];
		$month = $_GET['month'];
		$day = $_GET['day'];
		$year = $_GET['year'];
		report_sales_customer($branch_id, $month, $day, $year);
		
	}
}
else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.
	</font></center>";
}

function report_sales_customer($branch_id, $month, $day, $year) {
	if ($month == 1) { $monthname = "Jan"; 
	} elseif ($month == 2) { $monthname = "Feb"; 
	} elseif ($month == 3) { $monthname = "Mar"; 
	} elseif ($month == 4) { $monthname = "Apr"; 
	} elseif ($month == 5) { $monthname = "May"; 
	} elseif ($month == 6) { $monthname = "Jun"; 
	} elseif ($month == 7) { $monthname = "Jul"; 
	} elseif ($month == 8) { $monthname = "Aug"; 
	} elseif ($month == 9) { $monthname = "Sep"; 
	} elseif ($month == 10) { $monthname = "Oct"; 
	} elseif ($month == 11) { $monthname = "Nov"; 
	} elseif ($month == 12) { $monthname = "Dec"; }
		
	if ($year != 0 && $month != 0 && $day != 0) { // all fields are given
		$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
				FROM branch_customers c INNER JOIN branch_sales s ON s.customer_id = c.customer_id
				WHERE s.branch_id = '$branch_id' 
					AND TO_DAYS('$year-$month-$day') = TO_DAYS(s.delivery_date) 
				GROUP BY c.customer_id 
				ORDER BY c.company_name";
		$res = mysql_query($sql); $num = mysql_num_rows($res);
		
		$sql = "SELECT SUM(line_total), SUM(balance) FROM branch_sales 
				WHERE branch_id = '$branch_id' 
					AND TO_DAYS('$year-$month-$day') = TO_DAYS(delivery_date)";
		$tres = mysql_query($sql);
		$trow = mysql_fetch_array($tres);
		
		?>	
			<center>
			<h4><font face="arial">Sales for <?PHP echo "$monthname $day, $year"; ?></font></h4>
			<table>
				<thead class="print"><tr>
					<td width="400" align="center">Customer</td>
					<td width="150" align="center">Line Total</td>
					<td width="150" align="center">Total Balance</td>
				</tr></thead>
				<tbody class="print">
					<?PHP
					while ($row = mysql_fetch_array($res)) {
						$m = fmod($i, 2);
						if ($m == 0) { // $i is EVEN
							?><tr class="even"><?PHP
						} else { // $i is ODD
							?><tr class="odd"><?PHP
						}
						?>
							<td><?PHP echo $row[0] ?>&nbsp;</td>
							<td align="right"><?PHP echo number_format($row[1], 2); ?></td>
							<td align="right"><?PHP echo number_format($row[2], 2); ?></td>
						</tr>
						<?PHP
						$i++;
					}
					?>
					<tr class="total">
						<td align="right"><b>Line Total&nbsp;</b></td>
						<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
						<td align="right"><b><?PHP echo number_format($trow[1], 2); ?></b></td>
					</tr>
				</tbody>
			</table>
			<p class="meta"><font face="arial" size="2">
				<?PHP
				if ($num > 1) { print "<b>$num</b> records found for $monthname $day, $year";
				} else { print "<b>$num</b> record for $monthname $day, $year";
				}
				?></font>
			</p>
			</center>
		<?PHP
		
	} elseif ($year != 0 && $month != 0 && $day == 0) { // day is NOT given
		$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
				FROM branch_customers c INNER JOIN branch_sales s ON s.customer_id = c.customer_id
				WHERE s.branch_id = '$branch_id' 
					AND MONTH(s.delivery_date) = '$month' 
					AND YEAR(s.delivery_date) = '$year' 
				GROUP BY c.company_name 
				ORDER BY c.company_name";
		$res = mysql_query($sql); $num = mysql_num_rows($res);
		
		$sql = "SELECT SUM(line_total), SUM(balance) FROM branch_sales 
				WHERE branch_id = '$branch_id' 
					AND MONTH(delivery_date) = '$month' 
					AND YEAR(delivery_date) = '$year'";
		$tres = mysql_query($sql);
		$trow = mysql_fetch_array($tres);
		
		?>	
			<center>
			<h4><font face="arial">Sales for <?PHP echo "$monthname, $year"; ?></font></h4>
			<table>
				<thead class="print"><tr>
					<td width="400" align="center">Customer</td>
					<td width="150" align="center">Line Total</td>
					<td width="150" align="center">Total Balance</td>
				</tr></thead>
				<tbody class="print">
					<?PHP
					while ($row = mysql_fetch_array($res)) {
						$m = fmod($i, 2);
						if ($m == 0) { // $i is EVEN
							?><tr class="even"><?PHP
						} else { // $i is ODD
							?><tr class="odd"><?PHP
						}
						?>
							<td><?PHP echo $row[0] ?>&nbsp;</td>
							<td align="right"><?PHP echo number_format($row[1], 2); ?></td>
							<td align="right"><?PHP echo number_format($row[2], 2); ?></td>
						</tr>
						<?PHP
						$i++;
					}
					?>
					<tr class="total">
						<td align="right"><b>Line Total&nbsp;</b></td>
						<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
						<td align="right"><b><?PHP echo number_format($trow[1], 2); ?></b></td>
					</tr>
				</tbody>
			</table>
			<p class="meta"><font face="arial" size="2">
				<?PHP
				if ($num > 1) { print "<b>$num</b> records found for $monthname, $year";
				} else { print "<b>$num</b> record for $monthname, $year";
				}
				?></font>
			</p>
			</center>
		<?PHP
		
	} elseif ($year != 0 && $month == 0 && $day == 0) { // only year is given
		$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
				FROM branch_customers c INNER JOIN branch_sales s ON s.customer_id = c.customer_id
				WHERE s.branch_id = '$branch_id' 
					AND YEAR(s.delivery_date) = '$year'
				GROUP BY c.company_name 
				ORDER BY c.company_name";
		$res = mysql_query($sql); $num = mysql_num_rows($res);
		
		$sql = "SELECT SUM(line_total), SUM(balance) FROM branch_sales 
				WHERE branch_id = '$branch_id' AND YEAR(delivery_date) = $year";
		$tres = mysql_query($sql);
		$trow = mysql_fetch_array($tres);
		
		?>	
			<center>
			<h4><font face="arial">Sales for <?PHP echo $year ?></font></h4>
			<table>
				<thead class="print"><tr>
					<td width="400" align="center">Customer</td>
					<td width="150" align="center">Line Total</td>
					<td width="150" align="center">Total Balance</td>
				</tr></thead>
				<tbody class="print">
					<?PHP
					while ($row = mysql_fetch_array($res)) {
						$m = fmod($i, 2);
						if ($m == 0) { // $i is EVEN
							?><tr class="even"><?PHP
						} else { // $i is ODD
							?><tr class="odd"><?PHP
						}
						?>
							<td><?PHP echo $row[0] ?>&nbsp;</td>
							<td align="right"><?PHP echo number_format($row[1], 2); ?></td>
							<td align="right"><?PHP echo number_format($row[2], 2); ?></td>
						</tr>
						<?PHP
						$i++;
					}
					?>
					<tr class="total">
						<td align="right"><b>Line Total&nbsp;</b></td>
						<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
						<td align="right"><b><?PHP echo number_format($trow[1], 2); ?></b></td>
					</tr>
				</tbody>
			</table>
			<p class="meta"><font face="arial" size="2">
				<?PHP
				if ($num > 1) { print "<b>$num</b> records found for $year";
				} else { print "<b>$num</b> record for $year";
				}
				?></font>
			</p>
			</center>
		<?PHP
		
	}
}

?>