<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

define('TITLE', 'Print Customer\'s Payments');

include("fxns.php");

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		printing_header(TITLE);

		$month = $_GET['month'];
		$day = $_GET['day'];
		$year = $_GET['year'];
		print_report_cpayments($month, $day, $year);
		
	}
}
else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.
	</font></center>";
}

function print_report_cpayments($month, $day, $year) {
	if ($month == 1) { $monthname = "Jan"; 
	} elseif ($month == 2) { $monthname = "Feb"; 
	} elseif ($month == 3) { $monthname = "Mar"; 
	} elseif ($month == 4) { $monthname = "Apr"; 
	} elseif ($month == 5) { $monthname = "May"; 
	} elseif ($month == 6) { $monthname = "Jun"; 
	} elseif ($month == 7) { $monthname = "Jul"; 
	} elseif ($month == 8) { $monthname = "Aug"; 
	} elseif ($month == 9) { $monthname = "Sep"; 
	} elseif ($month == 10) { $monthname = "Oct"; 
	} elseif ($month == 11) { $monthname = "Nov"; 
	} elseif ($month == 12) { $monthname = "Dec"; }
		
	if ($year != 0 && $month != 0 && $day != 0) { // all fields are given
		$sql = "SELECT cp.c_payment_id, cp.or_num, DATE_FORMAT(cp.pdate, '%b %e, %Y'), cp.customer_id, c.company_name, 
					cp.user_id, CONCAT(u.fname,' ',u.lname), cp.sale_id, cp.amount, cp.good, DATE_FORMAT(cp.check_date, '%b %e, %Y')
				FROM cpayments cp, customers c, users u
				WHERE cp.customer_id=c.customer_id AND cp.user_id=u.user_id 
					AND TO_DAYS('$year-$month-$day') = TO_DAYS(cp.pdate) 
				ORDER BY cp.pdate DESC";
		$res = mysql_query($sql); $num = mysql_num_rows($res);
		
		$sql = "SELECT SUM(amount) FROM cpayments WHERE TO_DAYS('$year-$month-$day') = TO_DAYS(pdate)";
		$tres = mysql_query($sql);
		$trow = mysql_fetch_array($tres);
		
		?>	
			<center>
			<h4><font face="arial">Customers' Payments for <?PHP echo "$monthname $day, $year"; ?></font></h4>
			<table>
				<thead class="print"><tr>
					<td width="80" align="center">O.R. #</td>
					<td width="100" align="center">Payment Date</td>
					<td width="100" align="center">Encashment Date</td>
					<td width="160" align="center">Customer</td>
					<td width="130" align="center">User</td>
					<td width="60" align="center">Sale ID</td>
					<td width="100" align="center">Amount</td>
				</tr></thead>
				<tbody class="print">
					<?PHP
					while ($row = mysql_fetch_array($res)) {
						$m = fmod($i, 2);
						if ($m == 0) { // $i is EVEN
							?><tr class="even"><?PHP
						} else { // $i is ODD
							?><tr class="odd"><?PHP
						}
						?>
							<td align="center"><?PHP echo $row[1] ?>&nbsp;</td>
							<td align="left"><?PHP echo $row[2] ?>&nbsp;</td>
							<td align="left"><?PHP echo $row[10] ?>&nbsp;</td>
							<td align="left"><?PHP echo $row[4] ?>&nbsp;</td>
							<td align="left"><?PHP echo $row[6] ?>&nbsp;</td>
							<td align="center"><?PHP echo $row[7] ?>&nbsp;</td>
							<td align="right"><?PHP
								if ($row[9] == 0) {
									print "<font color=red>"; $amount = number_format($row[8], 2); print "$amount</font>";
								} elseif ($row[9] == 1) {
									$amount = number_format($row[8], 2); print "$amount";
								} ?></td>
						</tr>
						<?PHP
						$i++;
					}
					?>
					<tr class="total">
						<td align="right" colspan="6"><b>Total:&nbsp;</b></td>
						<td align="right"><b><?PHP $tamt = number_format($trow[0], 2); echo $tamt ?></b></td>
					</tr>
				</tbody>
			</table>
			<p class="meta"><font face="arial" size="2">
				<?PHP
				if ($num > 1) { print "<b>$num</b> records found for $monthname $day, $year";
				} else { print "<b>$num</b> record for $monthname $day, $year";
				}
				?></font>
			</p>
			</center>
		<?PHP
		
	} elseif ($year != 0 && $month != 0 && $day == 0) { // day is NOT given
		$sql = "SELECT cp.c_payment_id, cp.or_num, DATE_FORMAT(cp.pdate, '%b %e, %Y'), cp.customer_id, c.company_name, 
					cp.user_id, CONCAT(u.fname,' ',u.lname), cp.sale_id, cp.amount, cp.good, DATE_FORMAT(cp.check_date, '%b %e, %Y')
				FROM cpayments cp, customers c, users u
				WHERE cp.customer_id=c.customer_id AND cp.user_id=u.user_id 
					AND MONTH(cp.pdate) = $month AND YEAR(cp.pdate) = $year 
				ORDER BY cp.pdate DESC";
		$res = mysql_query($sql); $num = mysql_num_rows($res);
		
		$sql = "SELECT SUM(amount) FROM cpayments WHERE MONTH(pdate) = $month AND YEAR(pdate) = $year";
		$tres = mysql_query($sql);
		$trow = mysql_fetch_array($tres);
		
		?>	
			<center>
			<h4><font face="arial">Customers' Payments for the month of <?PHP echo "$monthname, $year"; ?></font></h4>
			<table>
				<thead class="print"><tr>
					<td width="80" align="center">O.R. #</td>
					<td width="100" align="center">Payment Date</td>
					<td width="100" align="center">Encashment Date</td>
					<td width="160" align="center">Customer</td>
					<td width="130" align="center">User</td>
					<td width="60" align="center">Sale ID</td>
					<td width="100" align="center">Amount</td>
				</tr></thead>
				<tbody class="print">
					<?PHP
					while ($row = mysql_fetch_array($res)) {
						$m = fmod($i, 2);
						if ($m == 0) { // $i is EVEN
							?><tr class="even"><?PHP
						} else { // $i is ODD
							?><tr class="odd"><?PHP
						}
						?>
							<td align="center"><?PHP echo $row[1] ?>&nbsp;</td>
							<td align="left"><?PHP echo $row[2] ?>&nbsp;</td>
							<td align="left"><?PHP echo $row[10] ?>&nbsp;</td>
							<td align="left"><?PHP echo $row[4] ?>&nbsp;</td>
							<td align="left"><?PHP echo $row[6] ?>&nbsp;</td>
							<td align="center"><?PHP echo $row[7] ?>&nbsp;</td>
							<td align="right"><?PHP
								if ($row[9] == 0) {
									print "<font color=red>"; $amount = number_format($row[8], 2); print "$amount</font>";
								} elseif ($row[9] == 1) {
									$amount = number_format($row[8], 2); print "$amount";
								} ?></td>
						</tr>
						<?PHP
						$i++;
					}
					?>
					<tr class="total">
						<td align="right" colspan="6"><b>Total:&nbsp;</b></td>
						<td align="right"><b><?PHP $tamt = number_format($trow[0], 2); echo $tamt ?></b></td>
					</tr>
				</tbody>
			</table>
			<p class="meta"><font face="arial" size="2">
				<?PHP
				if ($num > 1) { print "<b>$num</b> records found for $monthname, $year";
				} else { print "<b>$num</b> record for $monthname, $year";
				}
				?></font>
			</p>
			</center>
		<?PHP
		
	} elseif ($year != 0 && $month == 0 && $day == 0) { // only year is given
		$sql = "SELECT cp.c_payment_id, cp.or_num, DATE_FORMAT(cp.pdate, '%b %e, %Y'), cp.customer_id, c.company_name, 
					cp.user_id, CONCAT(u.fname,' ',u.lname), cp.sale_id, cp.amount, cp.good, DATE_FORMAT(cp.check_date, '%b %e, %Y')
				FROM cpayments cp, customers c, users u
				WHERE cp.customer_id=c.customer_id AND cp.user_id=u.user_id AND YEAR(cp.pdate) = $year 
				ORDER BY cp.pdate DESC";
		$res = mysql_query($sql); $num = mysql_num_rows($res);
		
		$sql = "SELECT SUM(amount) FROM cpayments WHERE YEAR(pdate) = $year";
		$tres = mysql_query($sql);
		$trow = mysql_fetch_array($tres);
		
		?>	
			<center>
			<h4><font face="arial">Customers' Payments for <?PHP echo $year ?></font></h4>
			<table>
				<thead class="print"><tr>
					<td width="80" align="center">O.R. #</td>
					<td width="100" align="center">Payment Date</td>
					<td width="100" align="center">Encashment Date</td>
					<td width="160" align="center">Customer</td>
					<td width="130" align="center">User</td>
					<td width="60" align="center">Sale ID</td>
					<td width="100" align="center">Amount</td>
				</tr></thead>
				<tbody class="print">
					<?PHP
					while ($row = mysql_fetch_array($res)) {
						$m = fmod($i, 2);
						if ($m == 0) { // $i is EVEN
							?><tr class="even"><?PHP
						} else { // $i is ODD
							?><tr class="odd"><?PHP
						}
						?>
							<td align="center"><?PHP echo $row[1] ?>&nbsp;</td>
							<td align="left"><?PHP echo $row[2] ?>&nbsp;</td>
							<td align="left"><?PHP echo $row[10] ?>&nbsp;</td>
							<td align="left"><?PHP echo $row[4] ?>&nbsp;</td>
							<td align="left"><?PHP echo $row[6] ?>&nbsp;</td>
							<td align="center"><?PHP echo $row[7] ?>&nbsp;</td>
							<td align="right"><?PHP
								if ($row[9] == 0) {
									print "<font color=red>"; $amount = number_format($row[8], 2); print "$amount</font>";
								} elseif ($row[9] == 1) {
									$amount = number_format($row[8], 2); print "$amount";
								} ?></td>
						</tr>
						<?PHP
						$i++;
					}
					?>
					<tr class="total">
						<td align="right" colspan="6"><b>Total:&nbsp;</b></td>
						<td align="right"><b><?PHP $tamt = number_format($trow[0], 2); echo $tamt ?></b></td>
					</tr>
				</tbody>
			</table>
			<p class="meta"><font face="arial" size="2">
				<?PHP
				if ($num > 1) { print "<b>$num</b> records found for $year";
				} else { print "<b>$num</b> record for $year";
				}
				?></font>
			</p>
			</center>
		<?PHP
		
	}
}

?>