<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
define('TITLE', 'Print Sale by Customer');
include("fxns.php");
session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		printing_header(TITLE);
		print_sales();
	}
}
else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.</font></center>";
}

function print_sales(){
	$zero_balance = _GET_POST($_GET['zero_balance']);
	if (($zero_balance != 0 && $zero_balance != 1) || !isset($_GET['zero_balance'])){
		err_stop('You must have made a mistake accessing this page.');
		echo "<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE4B5' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br>Click <a class=tddata href='javascript:history.go(-1)'>here</a> to go back.</font></td></tr></table></td></tr></table></center><br>";
		exit();
	}
	// 1=include sales with 0 balance, 0=exclude sales with 0 balance
	$account_id = _GET_POST($_GET['account_id']);
	$year = _GET_POST($_GET['year']);
	$month = _GET_POST($_GET['month']);
	$day = _GET_POST($_GET['day']);
	$zero = ($zero_balance==0?" AND s.balance > 0":" AND s.balance >= 0");
	if ($month != 0 && $day != 0 && $year != 0){
		if (checkdate ($month, $day, $year)) {
			$sales_rec = sql_qry("SELECT c.customer_id AS cus_id, c.company_name AS customer, SUM(s.line_total) AS line_total, SUM(s.balance) AS balance
							FROM customers c INNER JOIN sales s ON s.customer_id = c.customer_id 
							WHERE c.account_id = '$account_id' AND TO_DAYS('$year-$month-$day') = TO_DAYS(s.delivery_date) $zero
							GROUP BY c.customer_id 
							ORDER BY c.ctype DESC, c.company_name");
			$net_line_total = sql_fld("SUM(s.line_total)", "customers c INNER JOIN sales s ON s.customer_id = c.customer_id", "c.account_id = '$account_id' AND TO_DAYS('$year-$month-$day') = TO_DAYS(s.delivery_date) $zero");
			$net_balance = sql_fld("SUM(s.balance)", "customers c INNER JOIN sales s ON s.customer_id = c.customer_id", "c.account_id = '$account_id' AND TO_DAYS('$year-$month-$day') = TO_DAYS(s.delivery_date) $zero");
			display($account_id, $sales_rec, $net_line_total, $net_balance, $year, $month, $day, $zero_balance);
			return;
		}
	}
	if ($month != 0 && $day == 0 && $year != 0){
			$sales_rec = sql_qry("SELECT c.customer_id AS cus_id, c.company_name AS customer, SUM(s.line_total) AS line_total, SUM(s.balance) AS balance
							FROM customers c INNER JOIN sales s ON s.customer_id = c.customer_id 
							WHERE c.account_id = '$account_id' AND MONTH(s.delivery_date) = '$month' AND YEAR(s.delivery_date) = '$year' $zero
							GROUP BY c.company_name 
							ORDER BY c.ctype DESC, c.company_name");
			$net_line_total = sql_fld("SUM(s.line_total)", "customers c INNER JOIN sales s ON s.customer_id = c.customer_id", "c.account_id = '$account_id' AND MONTH(s.delivery_date) = '$month' AND YEAR(s.delivery_date) = '$year' $zero");
			$net_balance = sql_fld("SUM(s.balance)", "customers c INNER JOIN sales s ON s.customer_id = c.customer_id", "c.account_id = '$account_id' AND MONTH(s.delivery_date) = '$month' AND YEAR(s.delivery_date) = '$year' $zero");
			display($account_id, $sales_rec, $net_line_total, $net_balance, $year, $month, $day, $zero_balance);
			return;
	}
	if ($month == 0 && $day == 0 && $year != 0){
			$sales_rec = sql_qry("SELECT c.customer_id AS cus_id, c.company_name AS customer, SUM(s.line_total) AS line_total, SUM(s.balance) AS balance
						FROM customers c INNER JOIN sales s ON s.customer_id = c.customer_id 
						WHERE c.account_id = '$account_id' AND YEAR(s.delivery_date) = $year $zero
						GROUP BY c.company_name 
						ORDER BY c.ctype DESC, c.company_name");
			$net_line_total = sql_fld("SUM(s.line_total)", "customers c INNER JOIN sales s ON s.customer_id = c.customer_id", "c.account_id = '$account_id' AND YEAR(s.delivery_date) = $year $zero");
			$net_balance = sql_fld("SUM(s.balance)", "customers c INNER JOIN sales s ON s.customer_id = c.customer_id", "c.account_id = '$account_id' AND YEAR(s.delivery_date) = $year $zero");
			display($account_id, $sales_rec, $net_line_total, $net_balance, $year, $month, $day, $zero_balance);
			return;
	}
	err_stop('You must have made a mistake accessing this page.');
	echo "<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE4B5' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br>Click <a class=tddata href='javascript:history.go(-1)'>here</a> to go back.</font></td></tr></table></td></tr></table></center><br>";
	exit();
}

function display($account_id, $resource, $net_line_total, $net_balance, $year, $month, $day, $zero_balance){
	$date2day = $year.($month==0?'':('-'.$month)).($day==0?'':('-'.$day));
	$date2day = date_format(date_create($date2day), ($month==0?'Y':($day==0?'M. Y':'M. d, Y')));
	if ($month != 0 && $day != 0 && $year != 0){ $date_con = "TO_DAYS('$year-$month-$day') = TO_DAYS(delivery_date)"; }
	if ($month != 0 && $day == 0 && $year != 0){ $date_con = "MONTH(delivery_date) = '$month' AND YEAR(delivery_date) = '$year'"; }
	if ($month == 0 && $day == 0 && $year != 0){ $date_con = "YEAR(delivery_date) = $year"; }
	$zero = ($zero_balance==0?' AND balance > 0':' AND balance >= 0'); ?>
	<center>
	<table width="700" class="data" border="1">
		<thead class="print">
			<tr>
				<td align="center" colspan="3"><?php echo sql_fld("account_name", "accounts", "account_id=$account_id"); ?> Sales for <?php echo $date2day; ?></td>
			</tr>
			<tr>
				<td align="center">Customer</td>
				<td align="center">Line Total</td>
				<td align="center">Balance</td>
			</tr>
		</thead>
		<tbody class="print"><?php
		$i=0;
		while ($sales_rec = mysql_fetch_assoc($resource)) {
			$i++; ?>
			<tr class="<?php echo $i%2==0?'even':'odd' ?>">
				<td><?php echo $sales_rec['customer'] ?></td>
				<td align="right"><?php echo number_format($sales_rec['line_total'], 2) ?></td>
				<td align="right"><?php echo number_format($sales_rec['balance'], 2) ?></td>
			</tr><?php
			$sale_ids = sql_qry("SELECT sale_id FROM sales WHERE customer_id = $sales_rec[cus_id] $zero AND $date_con");
			$line_totals = sql_qry("SELECT line_total FROM sales WHERE customer_id = $sales_rec[cus_id] $zero AND $date_con");
			$balances = sql_qry("SELECT balance FROM sales WHERE customer_id = $sales_rec[cus_id] $zero AND $date_con"); ?>
			<tr class="<?php echo $i%2==0?'even':'odd' ?>">
				<td align="right"><?php
				while ($sale_id = mysql_fetch_assoc($sale_ids)) {
					echo $sale_id['sale_id'].'<br>';
				} ?></td>
				<td align="right"><?php
				while ($line_total = mysql_fetch_assoc($line_totals)) {
					echo number_format($line_total['line_total'], 2).'<br>';
				} ?></td>
				<td align="right"><?php
				while ($balance = mysql_fetch_assoc($balances)) {
					echo number_format($balance['balance'], 2).'<br>';
				} ?></td>
			</tr>
			<?php $i++; ?>
			<tr class="<?php echo $i%2==0?'even':'odd' ?>">
				<td colspan="3">&nbsp;</td>
			</tr><?php
		} ?>
			<tr>
				<td align="right">Total:&nbsp;</td>
				<td align="right"><?php echo number_format($net_line_total, 2); ?></td>
				<td align="right"><?php echo number_format($net_balance, 2); ?></td>
			</tr>
		</tbody>
	</table>
	</center><?php
} 

?>