<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Purchases');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_1236() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if ($_POST['field'] != "") {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$field = htmlentities(mysql_real_escape_string(stripslashes($_POST['field'])));
			} else {
				$field = htmlentities(mysql_real_escape_string($_POST['field']));
			}
		} else {
			$field = $_GET['field'];
			$page = $_GET['page'];
		}
		show_purchases(2, $field, $page);

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_purchases($account_id, $field, $page) {
	// to get the position of the user
	$dres = mysql_query("SELECT position FROM users WHERE user_id='$_SESSION[user_id]'");
	$drow = mysql_fetch_array($dres); 
	$position = $drow[0];
	
	// get the name of account
	$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
	$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0]; 
				
	// If current page number, use it if not, set one!
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 

	// Define the number of results per page
	$max_results = 30;

	// Figure out the limit for the query based  on the current page number.
	$from = (($page * $max_results) - $max_results);

	// Make links to click in order for  user to sort by whichever column
	$allowed = array('p.delivery_date DESC, s.company_name, p.or_num', 'p.or_num');
	$sortby = (in_array($_GET['sortby'],$allowed)) ? $_GET['sortby'] : 'p.delivery_date DESC, s.company_name, p.or_num';

	if ($field == "") {
		// build and run the sql query
		$sql = "SELECT p.purchase_id, p.or_num, DATE_FORMAT(p.delivery_date, '%b %e, %Y'), p.direct_delivery, 
					p.supplier_id, s.company_name, p.line_total, p.balance, p.pmode, p.user2_id
				FROM purchases p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id 
				WHERE p.account_id = '$account_id'
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT p.purchase_id
				FROM purchases p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id 
				WHERE p.account_id = '$account_id'";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	} else {
		// build and run the sql query
		$sql = "SELECT p.purchase_id, p.or_num, DATE_FORMAT(p.delivery_date, '%b %e, %Y'), p.direct_delivery, 
					p.supplier_id, s.company_name, p.line_total, p.balance, p.pmode, p.user2_id
				FROM purchases p 
					INNER JOIN suppliers s ON p.supplier_id = s.supplier_id 
					INNER JOIN users u ON p.user_id = u.user_id 
				WHERE p.account_id = '$account_id' AND (p.or_num LIKE '%$field%' OR s.company_name LIKE '%$field%')
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT p.purchase_id
				FROM purchases p 
					INNER JOIN suppliers s ON p.supplier_id = s.supplier_id 
					INNER JOIN users u ON p.user_id = u.user_id 
				WHERE p.account_id = '$account_id' AND (p.or_num LIKE '%$field%' OR s.company_name LIKE '%$field%')";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	}

	// Figure out the total number of pages we will have
	$total_pages = ceil($total_results / $max_results);

	// Figure out the current page result numbers
	$fr = $from + 1;
	$to = $from + $num;

	// show the table and data
	?>
	<div class="post">
		<div id="search">
			<a id="icon1" class="th_img" href="add_purchase.php"><img src="lib/file_add.png" width="16" height="16"></a>
			<form method="POST" action="purchases.php?account_id=<?PHP echo $account_id ?>">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title"><?PHP echo $account_name ?> Purchases</h1>
		<div class="entry">
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
			<table>
				<thead class="data">
					<tr>
						<td width="70" align="center"><a class="thdata" href="<?PHP $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $page ?>&sortby=p.or_num">O.R. #</a></td>
						<td width="80" align="center"><a class="thdata" href="<?PHP $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $page ?>&sortby=p.delivery_date DESC, s.company_name, p.or_num">Date</a></td>
						<td width="30" align="center"></td>
						<td width="180" align="center">Supplier</td>
						<td width="150" align="center">Payments</td>
						<td width="70" align="center">Total</td>
						<td width="70" align="center">Balance</td>
						<td width="30" align="center"></td>
					</tr>
				</thead>
				<tbody class="data">
					<?PHP
					if ($num > 0) {
						$i = 1; 
						while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
							?>
								<td align="center"><a class="tddata" href="purchase.php?purchase_id=<?PHP print $row[0] ?>"><?PHP print $row[1] ?></a></td>
								<td align="center"><?PHP print $row[2] /* date*/ ?></td>
								<td align="center"><?PHP if ($row[3] == 1) { print "<b>D.D.</b>"; } /* if direct delivery */ ?></td>
								<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP print $row[4] ?>"><?PHP print $row[5] ?></a></td>
								<td align="center"><?PHP 
									$sql = "SELECT s_payment_id, DATE_FORMAT(pdate, '%m-%e-%y'), or_num, amount, good
											FROM spayments WHERE purchase_id = '$row[0]' ORDER BY pdate DESC";
									$pres = mysql_query($sql);
									while ($prow = mysql_fetch_array($pres)) {
										?>&nbsp;&nbsp;<?PHP echo $prow[1] ?>&nbsp;&nbsp;--&nbsp;&nbsp;<?PHP
										if ($position == 1) {
											?><a class="tddata" href="spayment.php?s_payment_id=<?PHP echo $prow[0] ?>"><?PHP echo $prow[2] ?></a><?PHP
										} else {
											print "$prow[2]";
										}			
										?>&nbsp;&nbsp;--&nbsp;&nbsp;<?PHP
										if ($prow[4] == 1) {
											echo number_format($prow[3], 2); 
										} else {
											?><font color="red"><?PHP echo number_format($prow[3], 2); ?></font><?PHP
										}
										print "<br>";
									}
									?></td>
								<td align="right"><?PHP echo number_format($row[6], 2) /* line total */?></td>
								<td align="right"><?PHP echo number_format($row[7], 2) /* balance */?></td>
								<td align="center"><?PHP
									if ($row[9] == 0) { // if not yet confirmed, make a link to confirm
										?><a class="<?PHP if ($m == 0) echo "td_img_even"; else echo "td_img"; ?>" href="pur-check.php?purchase_id=<?PHP echo $row[0] ?>"><img src="lib/b_usrcheck.png"></a><?PHP
									} else { // if confirmed, 
										// if payment mode is check & the user is an administrator, 
										// check if there are existing payments for this purchase and if their sum is equal to the net amount of purchase
										if ($row[8] == 2 && $position == 1) { /* if pmode = check and position = 1*/
											$sql = "SELECT SUM(amount) FROM spayments WHERE purchase_id = '$row[0]'";
											$res1 = mysql_query($sql); $row1 = mysql_fetch_array($res1);
											if ($row[6] > $row1[0]) { /* if line total > sum of payments for this purchase */
												?><a class="tddata" href="add_spayment.php?purchase_id=<?PHP echo $row[0] ?>"><img src="lib/money.png" width="16" height="16" border="0"></a><?PHP
											}
										} 
									}
									?></td>
							</tr>
							<?PHP
							$i++;
						}
					} else {
						?>
						<tr>
							<td align="center" colspan="8">There are NO existing records of <?PHP echo $account_name ?> purchases</td>
						</tr>
						<?PHP				
					}
					?>
				</tbody>
			</table>
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}


?>