<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Purchases by Date Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $month = mysql_real_escape_string(stripslashes($_POST['month']));
	            $year = mysql_real_escape_string(stripslashes($_POST['year']));
	        } else {
	            $month = mysql_real_escape_string($_POST['month']);
	            $year = mysql_real_escape_string($_POST['year']);
			}
			$account_id = $_GET['account_id'];

			$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
			$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0];

			if ($month == 1) { $monthname = "January";
			} elseif ($month == 2) { $monthname = "February";
			} elseif ($month == 3) { $monthname = "March";
			} elseif ($month == 4) { $monthname = "April";
			} elseif ($month == 5) { $monthname = "May";
			} elseif ($month == 6) { $monthname = "June";
			} elseif ($month == 7) { $monthname = "July";
			} elseif ($month == 8) { $monthname = "August";
			} elseif ($month == 9) { $monthname = "September";
			} elseif ($month == 10) { $monthname = "October";
			} elseif ($month == 11) { $monthname = "November";
			} elseif ($month == 12) { $monthname = "December"; }

			?>
			<div class="post">
				<div id="search">
					<a id="icon1" class="th_img" href="export_report_all.php?account_id=<?PHP echo $account_id ?>&year=<?PHP echo $year ?>&month=<?PHP echo $month ?>"><img src="lib/excel.png" width="16" height="16"></a>
					<form method="post" action="report_all.php?account_id=<?PHP echo $account_id ?>">
						<?PHP show_drop_ym($year, $month); ?>
						<input type="hidden" name="submitted" value="1">
						<input id="sbutton" type="submit" class="button blue" value="Go!">
					</form>
				</div>
				<h1 class="title"><?PHP echo $account_name ?> Over-All Reports - <?PHP echo "$monthname, $year"; ?></h1>
				<div class="index_entry">
					<ol id="toc">
						<li><a href="#page-1"><span>Income Statement</span></a></li>
						<li><a href="#page-2"><span>Balance Sheet</span></a></li>
						<li><a href="#page-3"><span>Cash Flow</span></a></li>
						<li><a href="#page-4"><span>Purchases</span></a></li>
						<li><a href="#page-5"><span>Sales</span></a></li>
						<li><a href="#page-6"><span>Expenses</span></a></li>
					</ol>
					<div class="content" id="page-1">
						<?PHP
						// GROSS PROFIT OF THE MONTH FROM BRANCHES
						$sql = "SELECT SUM(s.revenue) 
								FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
								WHERE c.account_id = '$account_id' AND c.ctype = 1 AND MONTH(s.delivery_date) = '$month' AND YEAR(s.delivery_date) = '$year'";
						$branch_profit_res = mysql_query($sql) or die(mysql_error()); 
						$branch_profit_row = mysql_fetch_array($branch_profit_res); 
						
						// GROSS PROFIT OF THE MONTH FROM CUSTOMERS
						$sql = "SELECT SUM(s.revenue) 
								FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
								WHERE c.account_id = '$account_id' AND c.ctype = 0 AND MONTH(s.delivery_date) = '$month' AND YEAR(s.delivery_date) = '$year'";
						$customer_profit_res = mysql_query($sql) or die(mysql_error()); 
						$customer_profit_row = mysql_fetch_array($customer_profit_res); 
						
						// GROSS PROFIT OF THE MONTH
						$sql = "SELECT SUM(revenue) FROM sales WHERE account_id = '$account_id' AND MONTH(delivery_date) = '$month' AND YEAR(delivery_date) = '$year'";
						$gross_profit_res = mysql_query($sql) or die(mysql_error()); 
						$gross_profit_row = mysql_fetch_array($gross_profit_res); 
						
						// TOTAL EXPENSES
						$sql = "SELECT SUM(amount) FROM expenses WHERE account_id = '$account_id' AND MONTH(edate) = '$month' AND YEAR(edate) = '$year'";
						$total_expenses_res = mysql_query($sql) or die(mysql_error()); 
						$total_expenses_row = mysql_fetch_array($total_expenses_res); 
						
						// TOTAL TAXES
						$sql = "SELECT SUM(amount) FROM taxes WHERE account_id = '$account_id' AND MONTH(tdate) = '$month' AND YEAR(tdate) = '$year'";
						$total_taxes_res = mysql_query($sql) or die(mysql_error()); 
						$total_taxes_row = mysql_fetch_array($total_taxes_res); 
						
						// NET INCOME
						$net_income = $gross_profit_row[0] - ($total_expenses_row[0] + $total_taxes_row[0]);
						
						// TOTAL UNREALIZED PROFIT
						$sql = "SELECT SUM((balance / line_total) * revenue) FROM sales WHERE account_id = '$account_id'";
						$total_unrealized_res = mysql_query($sql) or die(mysql_error()); 
						$total_unrealized_row = mysql_fetch_array($total_unrealized_res); 

						// CURRENT UNREALIZED PROFIT
						$sql = "SELECT SUM((balance / line_total) * revenue) FROM sales 
								WHERE account_id = '$account_id' AND MONTH(delivery_date) = '$month' AND YEAR(delivery_date) = '$year'";
						$current_unrealized_res = mysql_query($sql) or die(mysql_error()); 
						$current_unrealized_row = mysql_fetch_array($current_unrealized_res); 
						
						// CURRENT REALIZED PROFIT
						$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
								FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
								WHERE s.account_id = '$account_id' AND MONTH(s.delivery_date) = '$month' AND YEAR(s.delivery_date) = '$year' AND c.good = 1";
						$current_realized_res = mysql_query($sql) or die(mysql_error()); 
						$current_realized_row = mysql_fetch_array($current_realized_res); 

						// TOTAL REALIZED PROFIT
						$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
								FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
								WHERE s.account_id = '$account_id' AND c.good = 1";
						$total_realized_res = mysql_query($sql) or die(mysql_error()); 
						$total_realized_row = mysql_fetch_array($total_realized_res); 
						
						// PREVIOUS REALIZED PROFIT
						//$prev_realized = $total_realized_row[0] - $current_realized_row[0]; 
						//$sql = "SELECT TO_DAYS(DATE_ADD(LAST_DAY(DATE_SUB(NOW(), INTERVAL 1 MONTH)), INTERVAL 1 DAY))"; // INT of 1ST DAY OF CURRENT MONTH
						$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
								FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
								WHERE s.account_id = '$account_id' AND c.good = 1 AND (TO_DAYS(s.delivery_date) < TO_DAYS(DATE_ADD(LAST_DAY(DATE_SUB(NOW(), INTERVAL 1 MONTH)), INTERVAL 1 DAY)))";
						$prev_realized_res = mysql_query($sql) or die(mysql_error()); 
						$prev_realized_row = mysql_fetch_array($prev_realized_res); 
						
						?>
						<br>
						<table width="500">
							<thead class="data">
							<tr><td colspan="2" align="center"><b>Income Statement for <?PHP echo "$monthname, $year"; ?></b></td></tr>
							</thead>
							<tbody class="data">
								<tr class="odd"><td width="250" align="right">Gross Profit From Branches&nbsp;</td>
									<td width="250" align="right"><?PHP echo number_format($branch_profit_row[0], 2); ?></td></tr>
								<tr class="even"><td align="right">Total Gross Profit From Customers&nbsp;</td>
									<td align="right"><?PHP echo number_format($customer_profit_row[0], 2); ?></td></tr>
								<tr class="odd"><td align="right">Total Gross Profit&nbsp;</td>
									<td align="right"><b><?PHP echo number_format($gross_profit_row[0], 2); ?></b></td></tr>
								<tr class="even"><td align="right" valign="top">Operational Expenses&nbsp;</td>
									<td align="right"><?PHP
										$sql = "SELECT et.extype_name, SUM(e.amount)
												FROM expenses e INNER JOIN expense_types et ON e.extype_id = et.extype_id 
												WHERE e.account_id = '$account_id' AND MONTH(e.edate) = '$month' AND YEAR(e.edate) = '$year'
												GROUP BY et.extype_name
												ORDER BY et.extype_name";
										$res = mysql_query($sql);
										while ($row = mysql_fetch_array($res)) {
											$expense_amount = number_format($row[1], 2);
											echo "$row[0] ---->> $expense_amount<br>";
										}
									?></td></tr>
								<tr class="odd"><td align="right">Total Expenses&nbsp;</td>
									<td align="right"><b><?PHP echo number_format($total_expenses_row[0], 2); ?></b></td></tr>
								<tr class="even"><td align="right" valign="top">Taxes&nbsp;</td>
									<td align="right"><?PHP
										$sql = "SELECT tt.taxtype_name, SUM(t.amount)
												FROM taxes t INNER JOIN tax_types tt ON t.taxtype_id = tt.taxtype_id 
												WHERE t.account_id = '$account_id' AND MONTH(t.tdate) = '$month' AND YEAR(t.tdate) = '$year'
												GROUP BY tt.taxtype_name
												ORDER BY tt.taxtype_name";
										$res2 = mysql_query($sql);
										while ($row2 = mysql_fetch_array($res2)) {
											$tax_amount = number_format($row2[1], 2);
											echo "$row2[0] ---->> $tax_amount<br>";
										}
									?></td></tr>
								<tr class="odd"><td align="right">Total Taxes&nbsp;</td>
									<td align="right"><b><?PHP echo number_format($total_taxes_row[0], 2); ?></b></td></tr>
								<tr class="even"><td align="right"><b>Net Income</b>&nbsp;</td>
									<td align="right"><b><?PHP echo number_format($net_income, 2); ?></b></td></tr>
								<tr class="odd"><td>&nbsp;</td><td>&nbsp;</td></tr>
								<tr class="even"><td>&nbsp;</td><td>&nbsp;</td></tr>
								<tr class="odd">
									<td align="right"><i>Total Unrealized Profit</i>&nbsp;</td>
									<td align="right"><?PHP echo number_format($total_unrealized_row[0], 2); ?></td></tr>
								<tr class="even">
									<td align="right"><i>Unrealized Profit From Current Period</i>&nbsp;</td>
									<td align="right"><?PHP echo number_format($current_unrealized_row[0], 2); ?></td></tr>
								<tr class="odd">
									<td align="right"><i>Total Realized Profit From Previous Months</i>&nbsp;</td>
									<td align="right"><?PHP echo number_format($prev_realized_row[0], 2); ?></td></tr>
								<tr class="even">
									<td align="right"><i>Realized Profit From Current Period</i>&nbsp;</td>
									<td align="right"><?PHP echo number_format($current_realized_row[0], 2); ?></td></tr>
								<tr class="odd">
									<td align="right"><b>Total Realized Profit</b>&nbsp;</td>
									<td align="right"><?PHP echo number_format($total_realized_row[0], 2); ?></td></tr>
							</tbody>
						</table>
						<br>
					</div>
					<div class="content" id="page-2">
						<br>
						<table width="400">
							<thead class="data">
							<tr><td colspan="2" align="center"><b>Balance Sheet for <?PHP print "$monthname, $year"; ?></b></td></tr>
							</thead>
							<tbody class="data">
								<?PHP
								$sql = "SELECT * FROM bs_history WHERE account_id = '$account_id' AND MONTH(bsh_date) = '$month' AND YEAR(bsh_date) = '$year'";
								$res = mysql_query($sql) or die(mysql_error()); 
								$row = mysql_fetch_array($res); 
								
								$uc = number_format($row[2], 2); 
								$tc = number_format($row[3], 2); 
								$iv = number_format($row[4], 2); 
								?>
								<tr class="odd"><td width="100" align="right" valign="top">Assets&nbsp;</td>
									<td width="300" align="right"><?PHP
										$sql = "SELECT bsh_name, amount FROM bsh_details WHERE bsh_id = '$row[0]' AND bsh_type = 1";
										$ares = mysql_query($sql) or die(mysql_error()); 
										while ($arow = mysql_fetch_array($ares)) {
											$asset_amount = number_format($arow[1], 2);
											print "$arow[0] ---->> $asset_amount<br>";
										}

										print "BANK DEPOSITS ---->> $uc<br>";
										print "TOTAL COLLECTIBLES ---->> $tc<br>";
										print "INVENTORY VALUE ---->> $iv<br>";
									?></td></tr>
								<tr class="even"><td align="right" valign="top">Total Assets&nbsp;</td>
									<td align="right"><?PHP
										$total_assets = number_format($row[5], 2);
										print "<b>$total_assets</b>";
									?></td></tr>
								<tr class="odd"><td align="right" valign="top">Liabilities&nbsp;</td>
									<td align="right"><?PHP
										$sql = "SELECT bsh_name, amount FROM bsh_details WHERE bsh_id = '$row[0]' AND bsh_type = 0";
										$lres = mysql_query($sql) or die(mysql_error()); 
										while ($lrow = mysql_fetch_array($lres)) {
											$liability = number_format($lrow[1], 2);
											print "$lrow[0] ---->> $liability<br>";
										}
									?></td></tr>
								<tr class="even"><td align="right" valign="top">Total Liabilities&nbsp;</td>
									<td align="right"><?PHP
										$total_liabilities = number_format($row[6], 2);
										print "<b>$total_liabilities</b>";
									?></td></tr>
								<tr class="odd"><td align="right" valign="top">Equity&nbsp;</td>
									<td align="right"><b><?PHP
										$equity = number_format($row[7], 2);
										print $equity; 
									?></b></td></tr>
							</tbody>
						</table>
						<br>
					</div>
					<div class="content" id="page-3">
						<?PHP
						// TOTAL CASH IN
						$sql = "SELECT SUM(p.amount)
								FROM cpayments p INNER JOIN customers c ON p.customer_id = c.customer_id
								WHERE c.account_id = '$account_id' 
									AND ((MONTH(p.pdate) = '$month' AND YEAR(p.pdate) = '$year' AND p.pmethod = 'Cash') 
										OR (MONTH(p.check_date) = '$month' AND YEAR(p.check_date) = '$year' AND p.pmethod = 'Check'))";
						$cash_in_res = mysql_query($sql) or die(mysql_error()); 
						$cash_in_row = mysql_fetch_array($cash_in_res); 
						// CASH SALE
						$sql = "SELECT SUM(s.line_total)
								FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
								WHERE c.account_id = '$account_id' AND MONTH(s.delivery_date) = '$month' AND YEAR(s.delivery_date) = '$year' AND s.balance = 0";
						$sale_res = mysql_query($sql) or die(mysql_error()); 
						$sale_row = mysql_fetch_array($sale_res); 
						// COLLECTION
						$collection = $cash_in_row[0] - $sale_row[0]; 
						// PAYMENT TO SUPPLIERS
						$sql = "SELECT SUM(p.amount)
								FROM spayments p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
								WHERE s.account_id = '$account_id' 
									AND ((MONTH(p.pdate) = '$month' AND YEAR(p.pdate) = '$year' AND p.pmethod = 'Cash') 
										OR (MONTH(p.check_date) = '$month' AND YEAR(p.check_date) = '$year' AND p.pmethod = 'Check'))";
						$sp_res = mysql_query($sql) or die(mysql_error()); 
						$sp_row = mysql_fetch_array($sp_res); 
						// EXPENSES
						$sql = "SELECT SUM(amount)
								FROM expenses 
								WHERE account_id = '$account_id' AND MONTH(edate) = '$month' AND YEAR(edate) = '$year'";
						$expense_res = mysql_query($sql) or die(mysql_error()); 
						$expense_row = mysql_fetch_array($expense_res); 
						// TOTAL CASH OUT
						$cash_out = $sp_row[0] + $expense_row[0]; 
						?>
						<br>
						<table>
							<thead class="data"><tr>
								<td align="center" width="175"></td>
								<td align="center" width="175">Cash In</td>
								<td align="center" width="175"></td>
								<td align="center" width="175">Cash Out</td>
							</tr></thead>
							<tbody class="data">
								<tr class="odd">
									<td align="right">Cash Sale</td>
									<td align="right"><?PHP echo number_format($sale_row[0], 2); ?></td>
									<td align="right">Payment to Suppliers</td>
									<td align="right"><?PHP echo number_format($sp_row[0], 2); ?></td>
								</tr>
								<tr class="even">
									<td align="right">Collection</td>
									<td align="right"><?PHP echo number_format($collection, 2); ?></td>
									<td align="right">Expenses</td>
									<td align="right"><?PHP echo number_format($expense_row[0], 2); ?></td>
								</tr>
								<tr class="total">
									<td align="right">Total</td>
									<td align="right"><b><?PHP echo number_format($cash_in_row[0], 2); ?></b></td>
									<td align="right">Total</td>
									<td align="right"><b><?PHP echo number_format($cash_out, 2); ?></b></td>
								</tr>
							</tbody>
						</table>
						<br>
					</div>
					<div class="content" id="page-4">
						<br>
						<table align="center" width="720">
							<tr>
								<td width="360" valign="top">
									<table>
										<thead class="data">
											<tr><td colspan="3" align="center">Purchases By Category - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
											<tr>
												<td align="center" width="90"><b>Category</b></td>
												<td align="center" width="210"><b>Product</b></td>
												<td align="center" width="60"><b>Qty</b></td>
											</tr>
										</thead>
										<tbody class="data">
											<?PHP
											$sql = "SELECT c.category_name, p.product_name, SUM(pd.quantity)
													FROM products p 
														INNER JOIN categories c ON p.category_id = c.category_id 
														INNER JOIN purchase_details pd ON p.product_id = pd.product_id 
														INNER JOIN purchases pp ON pd.purchase_id = pp.purchase_id 
													WHERE pp.account_id = '$account_id' 
														AND MONTH(pp.delivery_date) = '$month'
														AND YEAR(pp.delivery_date) = '$year'
													GROUP BY pd.product_id
													ORDER BY c.category_name, SUM(pd.quantity) DESC, p.product_name";
											$res3 = mysql_query($sql); 
											$i = 1; $total3 = 0; 
											while ($row3 = mysql_fetch_array($res3)) {
												$m = fmod($i, 2);
												if ($m == 0) { // $i is EVEN
													?><tr class="even"><?PHP
												} else { // $i is ODD
													?><tr class="odd"><?PHP
												}
												?>
													<td align="left"><?PHP echo $row3[0] ?></td>
													<td align="left"><?PHP echo $row3[1] ?></td>
													<td align="right"><?PHP  echo number_format($row3[2], 2); ?></td>
												</tr>
												<?PHP
												$i++; $total3 = $total3 + $row3[2]; 
											}
											?>
											<tr class="total">
												<td colspan="2" align="right"><b>Line Total</b>&nbsp;</td>
												<td align="right"><b><?PHP echo number_format($total3, 2); ?></b></td>
											</tr>
										</tbody>
									</table>
								</td>
								<td width="360" valign="top">
									<table>
										<thead class="data">
											<tr><td colspan="3" align="center">Purchases By Manufacturer - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
											<tr>
												<td align="center" width="150"><b>Manufacturer</b></td>
												<td align="center" width="160"><b>Product</b></td>
												<td align="center" width="50"><b>Qty</b></td>
											</tr>
										</thead>
										<tbody class="data">
											<?PHP
											$sql = "SELECT m.manufacturer_name, p.product_name, SUM(pd.quantity)
													FROM products p 
														INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id 
														INNER JOIN purchase_details pd ON p.product_id = pd.product_id 
														INNER JOIN purchases pp ON pd.purchase_id = pp.purchase_id 
													WHERE pp.account_id = '$account_id' 
														AND MONTH(pp.delivery_date) = '$month'
														AND YEAR(pp.delivery_date) = '$year'
													GROUP BY pd.product_id
													ORDER BY m.manufacturer_name, SUM(pd.quantity) DESC, p.product_name";
											$res2 = mysql_query($sql); 
											$j = 1; $total2 = 0; 
											while ($row2 = mysql_fetch_array($res2)) {
												$n = fmod($j, 2);
												if ($n == 0) { // $j is EVEN
													?><tr class="even"><?PHP
												} else { // $j is ODD
													?><tr class="odd"><?PHP
												}
												?>
													<td align="left"><?PHP echo $row2[0] ?></td>
													<td align="left"><?PHP echo $row2[1] ?></td>
													<td align="right"><?PHP  echo number_format($row2[2], 2); ?></td>
												</tr>
												<?PHP
												$j++; $total2 = $total2 + $row2[2]; 
											}
											?>
											<tr class="total">
												<td colspan="2" align="right"><b>Line Total</b>&nbsp;</td>
												<td align="right"><b><?PHP echo number_format($total2, 2); ?></b></td>
											</tr>
										</tbody>
									</table>
								</td>
							</tr>
							<tr height="10"></tr>
							<tr>
								<td width="360" valign="top">
									<table>
										<thead class="data">
											<tr><td colspan="3" align="center">Purchases By Supplier - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
											<tr>
												<td align="center" width="180"><b>Supplier</b></td>
												<td align="center" width="90"><b>Total</b></td>
												<td align="center" width="90"><b>Balance</b></td>
											</tr>
										</thead>
										<tbody class="data">
											<?PHP
											$sql = "SELECT s.company_name, SUM(p.line_total), SUM(p.balance) 
													FROM suppliers s INNER JOIN purchases p ON p.supplier_id = s.supplier_id 
													WHERE s.account_id = '$account_id' 
														AND MONTH(p.delivery_date) = '$month'
														AND YEAR(p.delivery_date) = '$year' 
													GROUP BY s.company_name 
													ORDER BY s.company_name";
											$res1 = mysql_query($sql); 
											$i = 1; $total1 = 0; $balance1 = 0; 
											while ($row1 = mysql_fetch_array($res1)) {
												$m = fmod($i, 2);
												if ($m == 0) { // $i is EVEN
													?><tr class="even"><?PHP
												} else { // $i is ODD
													?><tr class="odd"><?PHP
												}
												?>
													<td align="left"><?PHP echo $row1[0] ?></td>
													<td align="right"><?PHP  echo number_format($row1[1], 2); ?></td>
													<td align="right"><?PHP  echo number_format($row1[2], 2); ?></td>
												</tr>
												<?PHP
												$i++; $total1 = $total1 + $row1[1]; $balance1 = $balance1 + $row1[2];
											}
											?>
											<tr class="total">
												<td align="right"><b>Line Total</b>&nbsp;</td>
												<td align="right"><b><?PHP echo number_format($total1, 2); ?></b></td>
												<td align="right"><b><?PHP echo number_format($balance1, 2); ?></b></td>
											</tr>
										</tbody>
									</table>
								</td>
								<td width="360" valign="top">
								</td>
							</tr>
						</table>
						<br>
					</div>
					<div class="content" id="page-5">
						<br>
						<table align="center" width="720">
							<tr>
								<td width="360" valign="top">
									<table>
										<thead class="data">
											<tr><td colspan="3" align="center">Sales By Category - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
											<tr>
												<td align="center" width="90"><b>Category</b></td>
												<td align="center" width="210"><b>Product</b></td>
												<td align="center" width="60"><b>Qty</b></td>
											</tr>
										</thead>
										<tbody class="data">
											<?PHP
											$sql = "SELECT c.category_name, p.product_name, SUM(sd.quantity)
													FROM products p 
														INNER JOIN categories c ON p.category_id = c.category_id 
														INNER JOIN sale_details sd ON p.product_id = sd.product_id 
														INNER JOIN sales s ON sd.sale_id = s.sale_id 
													WHERE s.account_id = '$account_id' 
														AND MONTH(s.delivery_date) = '$month'
														AND YEAR(s.delivery_date) = '$year'
													GROUP BY sd.product_id
													ORDER BY c.category_name, SUM(sd.quantity) DESC, p.product_name";
											$res3 = mysql_query($sql); 
											$i = 1; $total3 = 0; 
											while ($row3 = mysql_fetch_array($res3)) {
												$m = fmod($i, 2);
												if ($m == 0) { // $i is EVEN
													?><tr class="even"><?PHP
												} else { // $i is ODD
													?><tr class="odd"><?PHP
												}
												?>
													<td align="left"><?PHP echo $row3[0] ?></td>
													<td align="left"><?PHP echo $row3[1] ?></td>
													<td align="right"><?PHP  echo number_format($row3[2], 2); ?></td>
												</tr>
												<?PHP
												$i++; $total3 = $total3 + $row3[2]; 
											}
											?>
											<tr class="total">
												<td colspan="2" align="right"><b>Line Total</b>&nbsp;</td>
												<td align="right"><b><?PHP echo number_format($total3, 2); ?></b></td>
											</tr>
										</tbody>
									</table>
								</td>
								<td width="360" valign="top">
									<table>
										<thead class="data">
											<tr><td colspan="3" align="center">Sales By Manufacturer - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
											<tr>
												<td align="center" width="130"><b>Manufacturer</b></td>
												<td align="center" width="180"><b>Product</b></td>
												<td align="center" width="50"><b>Qty</b></td>
											</tr>
										</thead>
										<tbody class="data">
											<?PHP
											$sql = "SELECT m.manufacturer_name, p.product_name, SUM(sd.quantity)
													FROM products p 
														INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id 
														INNER JOIN sale_details sd ON p.product_id = sd.product_id 
														INNER JOIN sales s ON sd.sale_id = s.sale_id 
													WHERE s.account_id = '$account_id' 
														AND MONTH(s.delivery_date) = '$month'
														AND YEAR(s.delivery_date) = '$year'
													GROUP BY sd.product_id
													ORDER BY m.manufacturer_name, SUM(sd.quantity) DESC, p.product_name";
											$res2 = mysql_query($sql); 
											$j = 1; $total2 = 0; 
											while ($row2 = mysql_fetch_array($res2)) {
												$n = fmod($j, 2);
												if ($n == 0) { // $j is EVEN
													?><tr class="even"><?PHP
												} else { // $j is ODD
													?><tr class="odd"><?PHP
												}
												?>
													<td align="left"><?PHP echo $row2[0] ?></td>
													<td align="left"><?PHP echo $row2[1] ?></td>
													<td align="right"><?PHP  echo number_format($row2[2], 2); ?></td>
												</tr>
												<?PHP
												$j++; $total2 = $total2 + $row2[2]; 
											}
											?>
											<tr class="total">
												<td colspan="2" align="right"><b>Line Total</b>&nbsp;</td>
												<td align="right"><b><?PHP echo number_format($total2, 2); ?></b></td>
											</tr>
										</tbody>
									</table>
								</td>
							</tr>
							<tr height="10"></tr>
							<tr>
								<td width="360" valign="top">
									<table>
										<thead class="data">
											<tr><td colspan="3" align="center">Sales By Customer - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
											<tr>
												<td align="center" width="180"><b>Customer</b></td>
												<td align="center" width="90"><b>Total</b></td>
												<td align="center" width="90"><b>Balance</b></td>
											</tr>
										</thead>
										<tbody class="data">
											<?PHP
											$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
													FROM customers c INNER JOIN sales s ON c.customer_id = s.customer_id 
													WHERE c.account_id = '$account_id' 
														AND MONTH(s.delivery_date) = '$month'
														AND YEAR(s.delivery_date) = '$year' 
													GROUP BY c.company_name 
													ORDER BY c.company_name";
											$res1 = mysql_query($sql); 
											$i = 1; $total1 = 0; $balance1 = 0; 
											while ($row1 = mysql_fetch_array($res1)) {
												$m = fmod($i, 2);
												if ($m == 0) { // $i is EVEN
													?><tr class="even"><?PHP
												} else { // $i is ODD
													?><tr class="odd"><?PHP
												}
												?>
													<td align="left"><?PHP echo $row1[0] ?></td>
													<td align="right"><?PHP  echo number_format($row1[1], 2); ?></td>
													<td align="right"><?PHP  echo number_format($row1[2], 2); ?></td>
												</tr>
												<?PHP
												$i++; $total1 = $total1 + $row1[1]; $balance1 = $balance1 + $row1[2];
											}
											?>
											<tr class="total">
												<td align="right"><b>Line Total</b>&nbsp;</td>
												<td align="right"><b><?PHP echo number_format($total1, 2); ?></b></td>
												<td align="right"><b><?PHP echo number_format($balance1, 2); ?></b></td>
											</tr>
										</tbody>
									</table>
								</td>
								<td width="360" valign="top">
								</td>
							</tr>
						</table>
						<br>
					</div>
					<div class="content" id="page-6">
						<br>
						<table>
							<thead class="data">
								<tr><td colspan="2" align="center">Expenses - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
								<tr>
									<td align="center" width="300"><b>Type of Expense</b></td>
									<td align="center" width="100"><b>Total</b></td>
								</tr>
							</thead>
							<tbody class="data">
								<?PHP
								$sql = "SELECT et.extype_name, SUM(e.amount)
										FROM expenses e INNER JOIN expense_types et ON e.extype_id = et.extype_id
										WHERE e.account_id = '$account_id' 
											AND MONTH(e.edate) = '$month'
											AND YEAR(e.edate) = '$year' 
										GROUP BY et.extype_id 
										ORDER BY e.amount DESC";
								$res1 = mysql_query($sql); 
								$i = 1; $total1 = 0; 
								while ($row1 = mysql_fetch_array($res1)) {
									$m = fmod($i, 2);
									if ($m == 0) { // $i is EVEN
										?><tr class="even"><?PHP
									} else { // $i is ODD
										?><tr class="odd"><?PHP
									}
									?>
										<td align="left"><?PHP echo $row1[0] ?></td>
										<td align="right"><?PHP  echo number_format($row1[1], 2); ?></td>
									</tr>
									<?PHP
									$i++; $total1 = $total1 + $row1[1]; 
								}
								?>
								<tr class="total">
									<td align="right"><b>Line Total</b>&nbsp;</td>
									<td align="right"><b><?PHP echo number_format($total1, 2); ?></b></td>
								</tr>
							</tbody>
						</table>
						<br>
					</div>
					<script src="lib/activatables.js" type="text/javascript"></script>
					<script type="text/javascript">
					activatables('page', ['page-1', 'page-2', 'page-3', 'page-4', 'page-5', 'page-6']);
					</script>
				</div>
				<p class="meta"></p>
			</div>
			<?PHP
		} else {
			// Check for valid entry account_id in the URL
			if (is_numeric($_GET['account_id'])) {
				$account_id = $_GET['account_id'];
				// show form
				show_report_all($account_id);
			} else { // No account_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p></center>";
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_report_all($account_id) {
	$sql = "SELECT MONTHNAME(NOW()), MONTH(NOW()), YEAR(NOW())";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$monthname = $drow[0]; $month = $drow[1]; $year = $drow[2];

	$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
	$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0];

	?>
	<div class="post">
		<div id="search">
			<a id="icon1" class="th_img" href="export_report_all.php?account_id=<?PHP echo $account_id ?>&year=<?PHP echo $year ?>&month=<?PHP echo $month ?>"><img src="lib/excel.png" width="16" height="16"></a>
			<form method="post" action="report_all.php?account_id=<?PHP echo $account_id ?>">
				<?PHP show_drop_ym($year, $month); ?>
				<input type="hidden" name="submitted" value="1">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title"><?PHP echo $account_name ?> Over-All Reports - <?PHP echo "$monthname, $year"; ?></h1>
		<div class="index_entry">
			<ol id="toc">
				<li><a href="#page-1"><span>Income Statement</span></a></li>
				<li><a href="#page-2"><span>Balance Sheet</span></a></li>
				<li><a href="#page-3"><span>Cash Flow</span></a></li>
				<li><a href="#page-4"><span>Purchases</span></a></li>
				<li><a href="#page-5"><span>Sales</span></a></li>
				<li><a href="#page-6"><span>Expenses</span></a></li>
			</ol>
			<div class="content" id="page-1">
				<?PHP
				// GROSS PROFIT OF THE MONTH FROM BRANCHES
				$sql = "SELECT SUM(s.revenue) 
						FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
						WHERE c.account_id = '$account_id' AND c.ctype = 1 AND MONTH(s.delivery_date) = '$month' AND YEAR(s.delivery_date) = '$year'";
				$branch_profit_res = mysql_query($sql) or die(mysql_error()); 
				$branch_profit_row = mysql_fetch_array($branch_profit_res); 
				
				// GROSS PROFIT OF THE MONTH FROM CUSTOMERS
				$sql = "SELECT SUM(s.revenue) 
						FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
						WHERE c.account_id = '$account_id' AND c.ctype = 0 AND MONTH(s.delivery_date) = '$month' AND YEAR(s.delivery_date) = '$year'";
				$customer_profit_res = mysql_query($sql) or die(mysql_error()); 
				$customer_profit_row = mysql_fetch_array($customer_profit_res); 
				
				// GROSS PROFIT OF THE MONTH
				$sql = "SELECT SUM(revenue) FROM sales WHERE account_id = '$account_id' AND MONTH(delivery_date) = '$month' AND YEAR(delivery_date) = '$year'";
				$gross_profit_res = mysql_query($sql) or die(mysql_error()); 
				$gross_profit_row = mysql_fetch_array($gross_profit_res); 
				
				// TOTAL EXPENSES
				$sql = "SELECT SUM(amount) FROM expenses WHERE account_id = '$account_id' AND MONTH(edate) = '$month' AND YEAR(edate) = '$year'";
				$total_expenses_res = mysql_query($sql) or die(mysql_error()); 
				$total_expenses_row = mysql_fetch_array($total_expenses_res); 
				
				// TOTAL TAXES
				$sql = "SELECT SUM(amount) FROM taxes WHERE account_id = '$account_id' AND MONTH(tdate) = '$month' AND YEAR(tdate) = '$year'";
				$total_taxes_res = mysql_query($sql) or die(mysql_error()); 
				$total_taxes_row = mysql_fetch_array($total_taxes_res); 
				
				// NET INCOME
				$net_income = $gross_profit_row[0] - ($total_expenses_row[0] + $total_taxes_row[0]);
				
				// TOTAL UNREALIZED PROFIT
				$sql = "SELECT SUM((balance / line_total) * revenue) FROM sales WHERE account_id = '$account_id'";
				$total_unrealized_res = mysql_query($sql) or die(mysql_error()); 
				$total_unrealized_row = mysql_fetch_array($total_unrealized_res); 

				// CURRENT UNREALIZED PROFIT
				$sql = "SELECT SUM((balance / line_total) * revenue) FROM sales 
						WHERE account_id = '$account_id' AND MONTH(delivery_date) = '$month' AND YEAR(delivery_date) = '$year'";
				$current_unrealized_res = mysql_query($sql) or die(mysql_error()); 
				$current_unrealized_row = mysql_fetch_array($current_unrealized_res); 
				
				// CURRENT REALIZED PROFIT
				$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
						FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
						WHERE s.account_id = '$account_id' AND MONTH(s.delivery_date) = '$month' AND YEAR(s.delivery_date) = '$year' AND c.good = 1";
				$current_realized_res = mysql_query($sql) or die(mysql_error()); 
				$current_realized_row = mysql_fetch_array($current_realized_res); 

				// TOTAL REALIZED PROFIT
				$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
						FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
						WHERE s.account_id = '$account_id' AND c.good = 1";
				$total_realized_res = mysql_query($sql) or die(mysql_error()); 
				$total_realized_row = mysql_fetch_array($total_realized_res); 
				
				// PREVIOUS REALIZED PROFIT
				//$prev_realized = $total_realized_row[0] - $current_realized_row[0]; 
				//$sql = "SELECT TO_DAYS(DATE_ADD(LAST_DAY(DATE_SUB(NOW(), INTERVAL 1 MONTH)), INTERVAL 1 DAY))"; // INT of 1ST DAY OF CURRENT MONTH
				$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
						FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
						WHERE s.account_id = '$account_id' AND c.good = 1 AND (TO_DAYS(s.delivery_date) < TO_DAYS(DATE_ADD(LAST_DAY(DATE_SUB(NOW(), INTERVAL 1 MONTH)), INTERVAL 1 DAY)))";
				$prev_realized_res = mysql_query($sql) or die(mysql_error()); 
				$prev_realized_row = mysql_fetch_array($prev_realized_res); 
				
				?>
				<br>
				<table width="500">
					<thead class="data">
					<tr><td colspan="2" align="center"><b>Income Statement for <?PHP echo "$monthname, $year"; ?></b></td></tr>
					</thead>
					<tbody class="data">
						<tr class="odd"><td width="250" align="right">Gross Profit From Branches&nbsp;</td>
							<td width="250" align="right"><?PHP echo number_format($branch_profit_row[0], 2); ?></td></tr>
						<tr class="even"><td align="right">Total Gross Profit From Customers&nbsp;</td>
							<td align="right"><?PHP echo number_format($customer_profit_row[0], 2); ?></td></tr>
						<tr class="odd"><td align="right">Total Gross Profit&nbsp;</td>
							<td align="right"><b><?PHP echo number_format($gross_profit_row[0], 2); ?></b></td></tr>
						<tr class="even"><td align="right" valign="top">Operational Expenses&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT et.extype_name, SUM(e.amount)
										FROM expenses e INNER JOIN expense_types et ON e.extype_id = et.extype_id 
										WHERE e.account_id = '$account_id' AND MONTH(e.edate) = '$month' AND YEAR(e.edate) = '$year'
										GROUP BY et.extype_name
										ORDER BY et.extype_name";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									$expense_amount = number_format($row[1], 2);
									echo "$row[0] ---->> $expense_amount<br>";
								}
							?></td></tr>
						<tr class="odd"><td align="right">Total Expenses&nbsp;</td>
							<td align="right"><b><?PHP echo number_format($total_expenses_row[0], 2); ?></b></td></tr>
						<tr class="even"><td align="right" valign="top">Taxes&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT tt.taxtype_name, SUM(t.amount)
										FROM taxes t INNER JOIN tax_types tt ON t.taxtype_id = tt.taxtype_id 
										WHERE t.account_id = '$account_id' AND MONTH(t.tdate) = '$month' AND YEAR(t.tdate) = '$year'
										GROUP BY tt.taxtype_name
										ORDER BY tt.taxtype_name";
								$res2 = mysql_query($sql);
								while ($row2 = mysql_fetch_array($res2)) {
									$tax_amount = number_format($row2[1], 2);
									echo "$row2[0] ---->> $tax_amount<br>";
								}
							?></td></tr>
						<tr class="odd"><td align="right">Total Taxes&nbsp;</td>
							<td align="right"><b><?PHP echo number_format($total_taxes_row[0], 2); ?></b></td></tr>
						<tr class="even"><td align="right"><b>Net Income</b>&nbsp;</td>
							<td align="right"><b><?PHP echo number_format($net_income, 2); ?></b></td></tr>
						<tr class="odd"><td>&nbsp;</td><td>&nbsp;</td></tr>
						<tr class="even"><td>&nbsp;</td><td>&nbsp;</td></tr>
						<tr class="odd">
							<td align="right"><i>Total Unrealized Profit</i>&nbsp;</td>
							<td align="right"><?PHP echo number_format($total_unrealized_row[0], 2); ?></td></tr>
						<tr class="even">
							<td align="right"><i>Unrealized Profit From Current Period</i>&nbsp;</td>
							<td align="right"><?PHP echo number_format($current_unrealized_row[0], 2); ?></td></tr>
						<tr class="odd">
							<td align="right"><i>Total Realized Profit From Previous Months</i>&nbsp;</td>
							<td align="right"><?PHP echo number_format($prev_realized_row[0], 2); ?></td></tr>
						<tr class="even">
							<td align="right"><i>Realized Profit From Current Period</i>&nbsp;</td>
							<td align="right"><?PHP echo number_format($current_realized_row[0], 2); ?></td></tr>
						<tr class="odd">
							<td align="right"><b>Total Realized Profit</b>&nbsp;</td>
							<td align="right"><?PHP echo number_format($total_realized_row[0], 2); ?></td></tr>
					</tbody>
				</table>
				<br>
			</div>
			<div class="content" id="page-2">
				<br>
				<table width="400">
					<thead class="data">
					<tr><td colspan="2" align="center"><b>Balance Sheet for <?PHP print "$monthname, $year"; ?></b></td></tr>
					</thead>
					<tbody class="data">
						<tr class="odd"><td width="100" align="right" valign="top">Assets&nbsp;</td>
							<td width="300" align="right"><?PHP
								// get the value of the undeposited cash
								$sql = "SELECT SUM(balance) FROM banks WHERE account_id = '$account_id'";
								$uc_res = mysql_query($sql) or die(mysql_error());
								$uc_row = mysql_fetch_array($uc_res); 
								$uc = number_format($uc_row[0], 2); 
								
								if ($account_id == 1) {
									$sql = "SELECT SUM(inventory * ave_acq) FROM warehouse_products WHERE whouse_id IN (1, 2)";
								} else {
									$sql = "SELECT SUM(inventory * ave_acq) FROM warehouse_products WHERE whouse_id = 3";
								}
								$res4 = mysql_query($sql);
								$row4 = mysql_fetch_array($res4);
								$iv = number_format($row4[0], 2); 
								
								$sql = "SELECT sum(s.balance) 
										FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
										WHERE c.account_id = '$account_id'";
								$res3 = mysql_query($sql);
								$row3 = mysql_fetch_array($res3);
								
								$sql = "SELECT SUM(cob.balance) 
										FROM customer_old_balances cob INNER JOIN customers c ON cob.customer_id = c.customer_id
										WHERE c.account_id = '$account_id'";
								$res31 = mysql_query($sql);
								$row31 = mysql_fetch_array($res31);

								$tc = number_format(($row3[0] + $row31[0]), 2);

								$sql = "SELECT at.asstype_name, SUM(a.amount)
										FROM assets a INNER JOIN asset_types at ON a.asstype_id = at.asstype_id 
										WHERE a.account_id = '$account_id'
										GROUP BY at.asstype_name
										ORDER BY at.asstype_name";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									$asset_amount = number_format($row[1], 2);
									print "$row[0] ---->> $asset_amount<br>";
								}

								print "BANK DEPOSITS ---->> $uc<br>";
								print "TOTAL COLLECTIBLES ---->> $tc<br>";
								print "INVENTORY VALUE ---->> $iv<br>";
							?></td></tr>
						<tr class="even"><td align="right" valign="top">Total Assets&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT SUM(amount) FROM assets WHERE account_id = '$account_id'";
								$res1 = mysql_query($sql);
								$row1 = mysql_fetch_array($res1);

								$tassets = $row1[0] + $row3[0] + $row31[0] + $row4[0] + $uc_row[0];
								$total_assets = number_format($tassets, 2);
								print "<b>$total_assets</b>";
							?></td></tr>
						<tr class="odd"><td align="right" valign="top">Liabilities&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT supplier_id, company_name
										FROM suppliers
										WHERE account_id = '$account_id'
										ORDER BY company_name";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									$tp_res = mysql_query("SELECT sum(balance) FROM purchases WHERE supplier_id='$row[0]'");
									$tp_row = mysql_fetch_array($tp_res); $tp = $tp_row[0];
									$ob_res = mysql_query("SELECT balance FROM supplier_old_balances WHERE supplier_id='$row[0]'");
									$ob_row = mysql_fetch_array($ob_res); $ob = $ob_row[0];
									$tbal = $tp + $ob;
									$total_balance = number_format($tbal, 2); 
									print "$row[1] - $total_balance<br>";
								}
							?></td></tr>
						<tr class="even"><td align="right" valign="top">Total Liabilities&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT SUM(balance) FROM purchases WHERE account_id = '$account_id'";
								$res2 = mysql_query($sql);
								$row2 = mysql_fetch_array($res2);
								
								$sql = "SELECT SUM(sob.balance) 
										FROM supplier_old_balances sob INNER JOIN suppliers s ON sob.supplier_id = s.supplier_id
										WHERE s.account_id = '$account_id'";
								$res21 = mysql_query($sql);
								$row21 = mysql_fetch_array($res21); 
								
								$total_liabilities = number_format(($row2[0] + $row21[0]), 2);
								print "<b>$total_liabilities</b>";
							?></td></tr>
						<tr class="odd"><td align="right" valign="top">Equity&nbsp;</td>
							<td align="right"><b><?PHP
								$eqty = ($row1[0] + $row3[0] + $row31[0] + $row4[0]) - ($row2[0] + $row21[0]);
								$equity = number_format($eqty, 2);
								print $equity; 
							?></b></td></tr>
					</tbody>
				</table>
				<br>
			</div>
			<div class="content" id="page-3">
				<?PHP
				// TOTAL CASH IN
				$sql = "SELECT SUM(p.amount)
						FROM cpayments p INNER JOIN customers c ON p.customer_id = c.customer_id
						WHERE c.account_id = '$account_id' 
							AND ((MONTH(p.pdate) = '$month' AND YEAR(p.pdate) = '$year' AND p.pmethod = 'Cash') 
								OR (MONTH(p.check_date) = '$month' AND YEAR(p.check_date) = '$year' AND p.pmethod = 'Check'))";
				$cash_in_res = mysql_query($sql) or die(mysql_error()); 
				$cash_in_row = mysql_fetch_array($cash_in_res); 
				// CASH SALE
				$sql = "SELECT SUM(s.line_total)
						FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
						WHERE c.account_id = '$account_id' AND MONTH(s.delivery_date) = '$month' AND YEAR(s.delivery_date) = '$year' AND s.balance = 0";
				$sale_res = mysql_query($sql) or die(mysql_error()); 
				$sale_row = mysql_fetch_array($sale_res); 
				// COLLECTION
				$collection = $cash_in_row[0] - $sale_row[0]; 
				// PAYMENT TO SUPPLIERS
				$sql = "SELECT SUM(p.amount)
						FROM spayments p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
						WHERE s.account_id = '$account_id' 
							AND ((MONTH(p.pdate) = '$month' AND YEAR(p.pdate) = '$year' AND p.pmethod = 'Cash') 
								OR (MONTH(p.check_date) = '$month' AND YEAR(p.check_date) = '$year' AND p.pmethod = 'Check'))";
				$sp_res = mysql_query($sql) or die(mysql_error()); 
				$sp_row = mysql_fetch_array($sp_res); 
				// EXPENSES
				$sql = "SELECT SUM(amount)
						FROM expenses 
						WHERE account_id = '$account_id' AND MONTH(edate) = '$month' AND YEAR(edate) = '$year'";
				$expense_res = mysql_query($sql) or die(mysql_error()); 
				$expense_row = mysql_fetch_array($expense_res); 
				// TOTAL CASH OUT
				$cash_out = $sp_row[0] + $expense_row[0]; 
				?>
				<br>
				<table>
					<thead class="data"><tr>
						<td align="center" width="175"></td>
						<td align="center" width="175">Cash In</td>
						<td align="center" width="175"></td>
						<td align="center" width="175">Cash Out</td>
					</tr></thead>
					<tbody class="data">
						<tr class="odd">
							<td align="right">Cash Sale</td>
							<td align="right"><?PHP echo number_format($sale_row[0], 2); ?></td>
							<td align="right">Payment to Suppliers</td>
							<td align="right"><?PHP echo number_format($sp_row[0], 2); ?></td>
						</tr>
						<tr class="even">
							<td align="right">Collection</td>
							<td align="right"><?PHP echo number_format($collection, 2); ?></td>
							<td align="right">Expenses</td>
							<td align="right"><?PHP echo number_format($expense_row[0], 2); ?></td>
						</tr>
						<tr class="total">
							<td align="right">Total</td>
							<td align="right"><b><?PHP echo number_format($cash_in_row[0], 2); ?></b></td>
							<td align="right">Total</td>
							<td align="right"><b><?PHP echo number_format($cash_out, 2); ?></b></td>
						</tr>
					</tbody>
				</table>
				<br>
			</div>
			<div class="content" id="page-4">
				<br>
				<table align="center" width="720">
					<tr>
						<td width="360" valign="top">
							<table>
								<thead class="data">
									<tr><td colspan="3" align="center">Purchases By Category - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
									<tr>
										<td align="center" width="90"><b>Category</b></td>
										<td align="center" width="210"><b>Product</b></td>
										<td align="center" width="60"><b>Qty</b></td>
									</tr>
								</thead>
								<tbody class="data">
									<?PHP
									$sql = "SELECT c.category_name, p.product_name, SUM(pd.quantity)
											FROM products p 
												INNER JOIN categories c ON p.category_id = c.category_id 
												INNER JOIN purchase_details pd ON p.product_id = pd.product_id 
												INNER JOIN purchases pp ON pd.purchase_id = pp.purchase_id 
											WHERE pp.account_id = '$account_id' 
												AND MONTH(pp.delivery_date) = '$month'
												AND YEAR(pp.delivery_date) = '$year'
											GROUP BY pd.product_id
											ORDER BY c.category_name, SUM(pd.quantity) DESC, p.product_name";
									$res3 = mysql_query($sql); 
									$i = 1; $total3 = 0; 
									while ($row3 = mysql_fetch_array($res3)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
										?>
											<td align="left"><?PHP echo $row3[0] ?></td>
											<td align="left"><?PHP echo $row3[1] ?></td>
											<td align="right"><?PHP  echo number_format($row3[2], 2); ?></td>
										</tr>
										<?PHP
										$i++; $total3 = $total3 + $row3[2]; 
									}
									?>
									<tr class="total">
										<td colspan="2" align="right"><b>Line Total</b>&nbsp;</td>
										<td align="right"><b><?PHP echo number_format($total3, 2); ?></b></td>
									</tr>
								</tbody>
							</table>
						</td>
						<td width="360" valign="top">
							<table>
								<thead class="data">
									<tr><td colspan="3" align="center">Purchases By Manufacturer - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
									<tr>
										<td align="center" width="150"><b>Manufacturer</b></td>
										<td align="center" width="160"><b>Product</b></td>
										<td align="center" width="50"><b>Qty</b></td>
									</tr>
								</thead>
								<tbody class="data">
									<?PHP
									$sql = "SELECT m.manufacturer_name, p.product_name, SUM(pd.quantity)
											FROM products p 
												INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id 
												INNER JOIN purchase_details pd ON p.product_id = pd.product_id 
												INNER JOIN purchases pp ON pd.purchase_id = pp.purchase_id 
											WHERE pp.account_id = '$account_id' 
												AND MONTH(pp.delivery_date) = '$month'
												AND YEAR(pp.delivery_date) = '$year'
											GROUP BY pd.product_id
											ORDER BY m.manufacturer_name, SUM(pd.quantity) DESC, p.product_name";
									$res2 = mysql_query($sql); 
									$j = 1; $total2 = 0; 
									while ($row2 = mysql_fetch_array($res2)) {
										$n = fmod($j, 2);
										if ($n == 0) { // $j is EVEN
											?><tr class="even"><?PHP
										} else { // $j is ODD
											?><tr class="odd"><?PHP
										}
										?>
											<td align="left"><?PHP echo $row2[0] ?></td>
											<td align="left"><?PHP echo $row2[1] ?></td>
											<td align="right"><?PHP  echo number_format($row2[2], 2); ?></td>
										</tr>
										<?PHP
										$j++; $total2 = $total2 + $row2[2]; 
									}
									?>
									<tr class="total">
										<td colspan="2" align="right"><b>Line Total</b>&nbsp;</td>
										<td align="right"><b><?PHP echo number_format($total2, 2); ?></b></td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>
					<tr height="10"></tr>
					<tr>
						<td width="360" valign="top">
							<table>
								<thead class="data">
									<tr><td colspan="3" align="center">Purchases By Supplier - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
									<tr>
										<td align="center" width="180"><b>Supplier</b></td>
										<td align="center" width="90"><b>Total</b></td>
										<td align="center" width="90"><b>Balance</b></td>
									</tr>
								</thead>
								<tbody class="data">
									<?PHP
									$sql = "SELECT s.company_name, SUM(p.line_total), SUM(p.balance) 
											FROM suppliers s INNER JOIN purchases p ON p.supplier_id = s.supplier_id 
											WHERE s.account_id = '$account_id' 
												AND MONTH(p.delivery_date) = '$month'
												AND YEAR(p.delivery_date) = '$year' 
											GROUP BY s.company_name 
											ORDER BY s.company_name";
									$res1 = mysql_query($sql); 
									$i = 1; $total1 = 0; $balance1 = 0; 
									while ($row1 = mysql_fetch_array($res1)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
										?>
											<td align="left"><?PHP echo $row1[0] ?></td>
											<td align="right"><?PHP  echo number_format($row1[1], 2); ?></td>
											<td align="right"><?PHP  echo number_format($row1[2], 2); ?></td>
										</tr>
										<?PHP
										$i++; $total1 = $total1 + $row1[1]; $balance1 = $balance1 + $row1[2];
									}
									?>
									<tr class="total">
										<td align="right"><b>Line Total</b>&nbsp;</td>
										<td align="right"><b><?PHP echo number_format($total1, 2); ?></b></td>
										<td align="right"><b><?PHP echo number_format($balance1, 2); ?></b></td>
									</tr>
								</tbody>
							</table>
						</td>
						<td width="360" valign="top">
						</td>
					</tr>
				</table>
				<br>
			</div>
			<div class="content" id="page-5">
				<br>
				<table align="center" width="720">
					<tr>
						<td width="360" valign="top">
							<table>
								<thead class="data">
									<tr><td colspan="3" align="center">Sales By Category - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
									<tr>
										<td align="center" width="90"><b>Category</b></td>
										<td align="center" width="210"><b>Product</b></td>
										<td align="center" width="60"><b>Qty</b></td>
									</tr>
								</thead>
								<tbody class="data">
									<?PHP
									$sql = "SELECT c.category_name, p.product_name, SUM(sd.quantity)
											FROM products p 
												INNER JOIN categories c ON p.category_id = c.category_id 
												INNER JOIN sale_details sd ON p.product_id = sd.product_id 
												INNER JOIN sales s ON sd.sale_id = s.sale_id 
											WHERE s.account_id = '$account_id' 
												AND MONTH(s.delivery_date) = '$month'
												AND YEAR(s.delivery_date) = '$year'
											GROUP BY sd.product_id
											ORDER BY c.category_name, SUM(sd.quantity) DESC, p.product_name";
									$res3 = mysql_query($sql); 
									$i = 1; $total3 = 0; 
									while ($row3 = mysql_fetch_array($res3)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
										?>
											<td align="left"><?PHP echo $row3[0] ?></td>
											<td align="left"><?PHP echo $row3[1] ?></td>
											<td align="right"><?PHP  echo number_format($row3[2], 2); ?></td>
										</tr>
										<?PHP
										$i++; $total3 = $total3 + $row3[2]; 
									}
									?>
									<tr class="total">
										<td colspan="2" align="right"><b>Line Total</b>&nbsp;</td>
										<td align="right"><b><?PHP echo number_format($total3, 2); ?></b></td>
									</tr>
								</tbody>
							</table>
						</td>
						<td width="360" valign="top">
							<table>
								<thead class="data">
									<tr><td colspan="3" align="center">Sales By Manufacturer - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
									<tr>
										<td align="center" width="130"><b>Manufacturer</b></td>
										<td align="center" width="180"><b>Product</b></td>
										<td align="center" width="50"><b>Qty</b></td>
									</tr>
								</thead>
								<tbody class="data">
									<?PHP
									$sql = "SELECT m.manufacturer_name, p.product_name, SUM(sd.quantity)
											FROM products p 
												INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id 
												INNER JOIN sale_details sd ON p.product_id = sd.product_id 
												INNER JOIN sales s ON sd.sale_id = s.sale_id 
											WHERE s.account_id = '$account_id' 
												AND MONTH(s.delivery_date) = '$month'
												AND YEAR(s.delivery_date) = '$year'
											GROUP BY sd.product_id
											ORDER BY m.manufacturer_name, SUM(sd.quantity) DESC, p.product_name";
									$res2 = mysql_query($sql); 
									$j = 1; $total2 = 0; 
									while ($row2 = mysql_fetch_array($res2)) {
										$n = fmod($j, 2);
										if ($n == 0) { // $j is EVEN
											?><tr class="even"><?PHP
										} else { // $j is ODD
											?><tr class="odd"><?PHP
										}
										?>
											<td align="left"><?PHP echo $row2[0] ?></td>
											<td align="left"><?PHP echo $row2[1] ?></td>
											<td align="right"><?PHP  echo number_format($row2[2], 2); ?></td>
										</tr>
										<?PHP
										$j++; $total2 = $total2 + $row2[2]; 
									}
									?>
									<tr class="total">
										<td colspan="2" align="right"><b>Line Total</b>&nbsp;</td>
										<td align="right"><b><?PHP echo number_format($total2, 2); ?></b></td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>
					<tr height="10"></tr>
					<tr>
						<td width="360" valign="top">
							<table>
								<thead class="data">
									<tr><td colspan="3" align="center">Sales By Customer - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
									<tr>
										<td align="center" width="180"><b>Customer</b></td>
										<td align="center" width="90"><b>Total</b></td>
										<td align="center" width="90"><b>Balance</b></td>
									</tr>
								</thead>
								<tbody class="data">
									<?PHP
									$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
											FROM customers c INNER JOIN sales s ON c.customer_id = s.customer_id 
											WHERE c.account_id = '$account_id' 
												AND MONTH(s.delivery_date) = '$month'
												AND YEAR(s.delivery_date) = '$year' 
											GROUP BY c.company_name 
											ORDER BY c.company_name";
									$res1 = mysql_query($sql); 
									$i = 1; $total1 = 0; $balance1 = 0; 
									while ($row1 = mysql_fetch_array($res1)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
										?>
											<td align="left"><?PHP echo $row1[0] ?></td>
											<td align="right"><?PHP  echo number_format($row1[1], 2); ?></td>
											<td align="right"><?PHP  echo number_format($row1[2], 2); ?></td>
										</tr>
										<?PHP
										$i++; $total1 = $total1 + $row1[1]; $balance1 = $balance1 + $row1[2];
									}
									?>
									<tr class="total">
										<td align="right"><b>Line Total</b>&nbsp;</td>
										<td align="right"><b><?PHP echo number_format($total1, 2); ?></b></td>
										<td align="right"><b><?PHP echo number_format($balance1, 2); ?></b></td>
									</tr>
								</tbody>
							</table>
						</td>
						<td width="360" valign="top">
						</td>
					</tr>
				</table>
				<br>
			</div>
			<div class="content" id="page-6">
				<br>
				<table>
					<thead class="data">
						<tr><td colspan="2" align="center">Expenses - <?PHP echo $monthname; echo ', '; echo $year; ?></tr>
						<tr>
							<td align="center" width="300"><b>Type of Expense</b></td>
							<td align="center" width="100"><b>Total</b></td>
						</tr>
					</thead>
					<tbody class="data">
						<?PHP
						$sql = "SELECT et.extype_name, SUM(e.amount)
								FROM expenses e INNER JOIN expense_types et ON e.extype_id = et.extype_id
								WHERE e.account_id = '$account_id' 
									AND MONTH(e.edate) = '$month'
									AND YEAR(e.edate) = '$year' 
								GROUP BY et.extype_id 
								ORDER BY e.amount DESC";
						$res1 = mysql_query($sql); 
						$i = 1; $total1 = 0; 
						while ($row1 = mysql_fetch_array($res1)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
							?>
								<td align="left"><?PHP echo $row1[0] ?></td>
								<td align="right"><?PHP  echo number_format($row1[1], 2); ?></td>
							</tr>
							<?PHP
							$i++; $total1 = $total1 + $row1[1]; 
						}
						?>
						<tr class="total">
							<td align="right"><b>Line Total</b>&nbsp;</td>
							<td align="right"><b><?PHP echo number_format($total1, 2); ?></b></td>
						</tr>
					</tbody>
				</table>
				<br>
			</div>
			<script src="lib/activatables.js" type="text/javascript"></script>
			<script type="text/javascript">
			activatables('page', ['page-1', 'page-2', 'page-3', 'page-4', 'page-5', 'page-6']);
			</script>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}
?>