<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Sales by Date Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_134() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$month = htmlentities(mysql_real_escape_string(stripslashes($_POST['month'])));
				$day = htmlentities(mysql_real_escape_string(stripslashes($_POST['day'])));
				$year = htmlentities(mysql_real_escape_string(stripslashes($_POST['year'])));
			} else {
				$month = htmlentities(mysql_real_escape_string($_POST['month']));
				$day = htmlentities(mysql_real_escape_string($_POST['day']));
				$year = htmlentities(mysql_real_escape_string($_POST['year']));
			}
			$branch_id = $_GET['branch_id'];

			if ($month == 1) { $monthname = "January";
			} elseif ($month == 2) { $monthname = "February";
			} elseif ($month == 3) { $monthname = "March";
			} elseif ($month == 4) { $monthname = "April";
			} elseif ($month == 5) { $monthname = "May";
			} elseif ($month == 6) { $monthname = "June";
			} elseif ($month == 7) { $monthname = "July";
			} elseif ($month == 8) { $monthname = "August";
			} elseif ($month == 9) { $monthname = "September";
			} elseif ($month == 10) { $monthname = "October";
			} elseif ($month == 11) { $monthname = "November";
			} elseif ($month == 12) { $monthname = "December"; }

			if ($month != 0 && $day != 0 && $year != 0) {
				if (checkdate ($month, $day, $year)) {
					$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
							FROM branch_customers c INNER JOIN branch_sales s ON s.customer_id = c.customer_id
							WHERE s.branch_id = '$branch_id' 
								AND TO_DAYS('$year-$month-$day') = TO_DAYS(s.delivery_date) 
							GROUP BY c.customer_id 
							ORDER BY c.company_name";
					$res = mysql_query($sql) or die(mysql_error());
					$num = mysql_num_rows($res);
					if ($num > 0) {
						$sql = "SELECT SUM(line_total), SUM(balance) FROM branch_sales 
								WHERE branch_id = '$branch_id' 
									AND TO_DAYS('$year-$month-$day') = TO_DAYS(delivery_date)";
						$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
						$i = 1;
						?>
					    <div class="post">
					        <div id="search">
					            <a id="icon1" class="th_img" href="print_report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>&year=<?PHP echo $year ?>&month=<?PHP echo $month ?>&day=<?PHP echo $day ?>" target="new"><img src="lib/b_print.png"></a>
					            <form method="post" action="report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>">
									<?PHP show_drop_d8($year, $month, $day); ?>
									<input type="hidden" name="submitted" value="1">
					                <input id="sbutton" type="submit" class="button blue" value="Go!">
					            </form>
					        </div>
					        <h1 class="title">Sales for <?PHP echo "$monthname $day, $year"; ?></h1>
					        <div class="entry">
					            <table>
					                <thead class="data"><tr>
										<td width="400" align="center">Customer</td>
										<td width="150" align="center">Line Total</td>
										<td width="150" align="center">Total Balance</td>
					                </tr></thead>
					                <tbody class="data">
					                    <?PHP
					                    while ($row = mysql_fetch_array($res)) {
											$m = fmod($i, 2);
											if ($m == 0) { // $i is EVEN
												?><tr class="even"><?PHP
											} else { // $i is ODD
												?><tr class="odd"><?PHP
											}
					                        ?>
												<td><?PHP echo $row[0] ?>&nbsp;</td>
												<td align="right"><?PHP echo number_format($row[1], 2); ?></td>
												<td align="right"><?PHP echo number_format($row[2], 2); ?></td>
					                        </tr>
					                        <?PHP
											$i++;
					                    }
					                    ?>
										<tr class="total">
											<td align="right"><b>Line Total&nbsp;</b></td>
											<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
											<td align="right"><b><?PHP echo number_format($trow[1], 2); ?></b></td>
										</tr>
					                </tbody>
					            </table>
					        </div>
					        <p class="meta"></p>
					    </div>
						<?PHP
					} else {
						?>
					    <div class="post">
					        <div id="search">
					            <a id="icon1" class="th_img" href="print_report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>&year=<?PHP echo $year ?>&month=<?PHP echo $month ?>&day=<?PHP echo $day ?>" target="new"><img src="lib/b_print.png"></a>
					            <form method="post" action="report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>">
									<?PHP show_drop_d8($year, $month, $day); ?>
									<input type="hidden" name="submitted" value="1">
					                <input id="sbutton" type="submit" class="button blue" value="Go!">
					            </form>
					        </div>
					        <h1 class="title">Sales for <?PHP echo "$monthname $day, $year"; ?></h1>
					        <div class="entry">
					            <table>
					                <thead class="data"><tr>
										<td width="300" align="center">Customer</td>
										<td width="100" align="center">Line Total</td>
										<td width="100" align="center">Total Balance</td>
					                </tr></thead>
					                <tbody class="data">
					                </tbody>
					            </table>
					        </div>
					        <p class="meta"></p>
					    </div>
						<?PHP
					}
				} else {
					echo "<center><table><tr><td bgcolor=#000000><table bgcolor=#eeeeee width=300><tr><td height=30 align=center><font face=arial size=2 color=red>Date entered was not a valid date.</font></td></tr></table></td></tr></table></center><br>";
					show_report_branch_sales_customer($branch_id);
				}
			} elseif ($month != 0 && $day == 0 && $year != 0) {
				$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
						FROM branch_customers c INNER JOIN branch_sales s ON s.customer_id = c.customer_id
						WHERE s.branch_id = '$branch_id' 
							AND MONTH(s.delivery_date) = '$month' 
							AND YEAR(s.delivery_date) = '$year' 
						GROUP BY c.company_name 
						ORDER BY c.company_name";
				$res = mysql_query($sql) or die(mysql_error());
				$num = mysql_num_rows($res);
				if ($num > 0) {
					$sql = "SELECT SUM(line_total), SUM(balance) FROM branch_sales 
							WHERE branch_id = '$branch_id' 
								AND MONTH(delivery_date) = '$month' 
								AND YEAR(delivery_date) = '$year'";
					$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
					$i = 1;
					?>
				    <div class="post">
				        <div id="search">
				            <a id="icon1" class="th_img" href="print_report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>&year=<?PHP echo $year ?>&month=<?PHP echo $month ?>&day=<?PHP echo $day ?>" target="new"><img src="lib/b_print.png"></a>
				            <form method="post" action="report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
				                <input id="sbutton" type="submit" class="button blue" value="Go!">
				            </form>
				        </div>
				        <h1 class="title">Sales for <?PHP echo "$monthname, $year"; ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="400" align="center">Customer</td>
									<td width="150" align="center">Line Total</td>
									<td width="150" align="center">Total Balance</td>
				                </tr></thead>
				                <tbody class="data">
				                    <?PHP
				                    while ($row = mysql_fetch_array($res)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
				                        ?>
											<td><?PHP echo $row[0] ?>&nbsp;</td>
											<td align="right"><?PHP echo number_format($row[1], 2); ?></td>
											<td align="right"><?PHP echo number_format($row[2], 2); ?></td>
				                        </tr>
				                        <?PHP
										$i++;
				                    }
				                    ?>
									<tr class="total">
										<td align="right"><b>Line Total&nbsp;</b></td>
										<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
										<td align="right"><b><?PHP echo number_format($trow[1], 2); ?></b></td>
									</tr>
				                </tbody>
				            </table>
				        </div>
				        <p class="meta"></p>
				    </div>
					<?PHP
				} else {
					?>
				    <div class="post">
				        <div id="search">
				            <a id="icon1" class="th_img" href="print_report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>&year=<?PHP echo $year ?>&month=<?PHP echo $month ?>&day=<?PHP echo $day ?>" target="new"><img src="lib/b_print.png"></a>
				            <form method="post" action="report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
				                <input id="sbutton" type="submit" class="button blue" value="Go!">
				            </form>
				        </div>
				        <h1 class="title">Sales for <?PHP echo "$monthname, $year"; ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="300" align="center">Customer</td>
									<td width="100" align="center">Line Total</td>
									<td width="100" align="center">Total Balance</td>
				                </tr></thead>
				                <tbody class="data">
				                </tbody>
				            </table>
				        </div>
				        <p class="meta"></p>
				    </div>
					<?PHP
				}
			} elseif ($month == 0 && $day == 0 && $year != 0) {
				$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
						FROM branch_customers c INNER JOIN branch_sales s ON s.customer_id = c.customer_id
						WHERE s.branch_id = '$branch_id' 
							AND YEAR(s.delivery_date) = '$year'
						GROUP BY c.company_name 
						ORDER BY c.company_name";
				$res = mysql_query($sql) or die(mysql_error());
				$num = mysql_num_rows($res);
				if ($num > 0) {
					$sql = "SELECT SUM(line_total), SUM(balance) FROM branch_sales 
							WHERE branch_id = '$branch_id' AND YEAR(delivery_date) = $year";
					$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
					$i = 1;
					?>
				    <div class="post">
				        <div id="search">
				            <a id="icon1" class="th_img" href="print_report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>&year=<?PHP echo $year ?>&month=<?PHP echo $month ?>&day=<?PHP echo $day ?>" target="new"><img src="lib/b_print.png"></a>
				            <form method="post" action="report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
				                <input id="sbutton" type="submit" class="button blue" value="Go!">
				            </form>
				        </div>
				        <h1 class="title">Sales for <?PHP echo $year ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="400" align="center">Customer</td>
									<td width="150" align="center">Line Total</td>
									<td width="150" align="center">Total Balance</td>
				                </tr></thead>
				                <tbody class="data">
				                    <?PHP
				                    while ($row = mysql_fetch_array($res)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
				                        ?>
											<td><?PHP echo $row[0] ?>&nbsp;</td>
											<td align="right"><?PHP echo number_format($row[1], 2); ?></td>
											<td align="right"><?PHP echo number_format($row[2], 2); ?></td>
				                        </tr>
				                        <?PHP
										$i++;
				                    }
				                    ?>
									<tr class="total">
										<td align="right"><b>Line Total&nbsp;</b></td>
										<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
										<td align="right"><b><?PHP echo number_format($trow[1], 2); ?></b></td>
									</tr>
				                </tbody>
				            </table>
				        </div>
				        <p class="meta"></p>
				    </div>
					<?PHP
				} else {
					?>
				    <div class="post">
				        <div id="search">
				            <a id="icon1" class="th_img" href="print_report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>&year=<?PHP echo $year ?>&month=<?PHP echo $month ?>&day=<?PHP echo $day ?>" target="new"><img src="lib/b_print.png"></a>
				            <form method="post" action="report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
				                <input id="sbutton" type="submit" class="button blue" value="Go!">
				            </form>
				        </div>
				        <h1 class="title">Sales for <?PHP echo $year ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="300" align="center">Customer</td>
									<td width="100" align="center">Line Total</td>
									<td width="100" align="center">Total Balance</td>
				                </tr></thead>
				                <tbody class="data">
				                </tbody>
				            </table>
				        </div>
				        <p class="meta"></p>
				    </div>
					<?PHP
				}
			}
		} else {
			// Check for valid entry branch_id in the URL
			if (is_numeric($_GET['branch_id'])) {
				$branch_id = $_GET['branch_id'];
				// show form
				show_report_branch_sales_customer($branch_id);
			} else { // No branch_id set.
				echo "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!
				</b></font></p></center>";
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_report_branch_sales_customer($branch_id) {
	$sql = "SELECT MONTHNAME(NOW()), MONTH(NOW()), DAY(NOW()), YEAR(NOW())";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$monthname = $drow[0]; $month = $drow[1]; $day = $drow[2]; $year = $drow[3];

	// build and run the sql query
	$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
			FROM branch_customers c INNER JOIN branch_sales s ON s.customer_id = c.customer_id
			WHERE s.branch_id = '$branch_id' 
				AND MONTH(NOW()) = MONTH(s.delivery_date) 
				AND YEAR(NOW()) = YEAR(s.delivery_date)  
			GROUP BY c.company_name 
			ORDER BY c.company_name";
	$res = mysql_query($sql);
	$num = mysql_num_rows($res);

	// show the table and data
	if ($num > 0) {
		$sql = "SELECT SUM(line_total), SUM(balance) FROM branch_sales 
				WHERE branch_id = '$branch_id' 
					AND MONTH(NOW()) = MONTH(delivery_date) 
					AND YEAR(NOW()) = YEAR(delivery_date)";
		$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
		$i = 1;
		?>
	    <div class="post">
	        <div id="search">
	            <a id="icon1" class="th_img" href="print_report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>&year=<?PHP echo $year ?>&month=<?PHP echo $month ?>&day=<?PHP echo $day ?>" target="new"><img src="lib/b_print.png"></a>
	            <form method="post" action="report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>">
					<?PHP show_drop_d8($year, $month, $day); ?>
					<input type="hidden" name="submitted" value="1">
	                <input id="sbutton" type="submit" class="button blue" value="Go!">
	            </form>
	        </div>
	        <h1 class="title">Sales for <?PHP echo "$monthname, $year"; ?></h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr>
						<td width="400" align="center">Customer</td>
						<td width="150" align="center">Line Total</td>
						<td width="150" align="center">Total Balance</td>
	                </tr></thead>
	                <tbody class="data">
	                    <?PHP
	                    while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
	                        ?>
								<td><?PHP echo $row[0] ?>&nbsp;</td>
								<td align="right"><?PHP echo number_format($row[1], 2); ?></td>
								<td align="right"><?PHP echo number_format($row[2], 2); ?></td>
	                        </tr>
	                        <?PHP
							$i++;
	                    }
	                    ?>
						<tr class="total">
							<td align="right"><b>Line Total&nbsp;</b></td>
							<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
							<td align="right"><b><?PHP echo number_format($trow[1], 2); ?></b></td>
						</tr>
	                </tbody>
	            </table>
	        </div>
	        <p class="meta"></p>
	    </div>
		<?PHP
	} else {
		?>
	    <div class="post">
	        <div id="search">
	            <a id="icon1" class="th_img" href="print_report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>&year=<?PHP echo $year ?>&month=<?PHP echo $month ?>&day=<?PHP echo $day ?>" target="new"><img src="lib/b_print.png"></a>
	            <form method="post" action="report_branch_sales_customer.php?branch_id=<?PHP echo $branch_id ?>">
					<?PHP show_drop_d8($year, $month, $day); ?>
					<input type="hidden" name="submitted" value="1">
	                <input id="sbutton" type="submit" class="button blue" value="Go!">
	            </form>
	        </div>
	        <h1 class="title">Sales for <?PHP echo "$monthname, $year"; ?></h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr>
						<td width="400" align="center">Customer</td>
						<td width="150" align="center">Line Total</td>
						<td width="150" align="center">Total Balance</td>
	                </tr></thead>
	                <tbody class="data">
	                </tbody>
	            </table>
	        </div>
	        <p class="meta"></p>
	    </div>
		<?PHP
	}
}
?>