<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Purchases by Date Report');
define('NAV', 5); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			$fr_date = $_POST['fr_date'];
			$to_date = $_POST['to_date'];
			
			$sql = "SELECT DATE_FORMAT('$fr_date', '%b %e, %Y')";
			$fr_res = mysql_query($sql); $fr_row = mysql_fetch_array($fr_res); $fr = $fr_row[0];
			
			$sql = "SELECT DATE_FORMAT('$to_date', '%b %e, %Y')";
			$to_res = mysql_query($sql); $to_row = mysql_fetch_array($to_res); $to = $to_row[0];

			// build and run the sql query
			$sql = "SELECT product_id, product_name FROM products WHERE ptype = 1 ORDER BY category_id, product_id";
			$res = mysql_query($sql);
			
			?>
			<div class="post">
				<div id="search">
					<form name="Purchases" method="post" action="report_purchases_sku.php">
						<?PHP show_purchase_dates(); ?>
						<input type="hidden" name="submitted" value="1">
						<input id="sbutton" type="submit" value="Go!">
					</form>
				</div>
				<h1 class="title">Purchases Per SKU from <?PHP echo "$fr to $to"; ?></h1>
				<div class="entry">
					<table>
						<thead class="data"><tr height="25">
							<td width="400" align="center">SKU</td>
							<td width="150" align="center">Total Quantity</td>
							<td width="150" align="center">Value</td>
						</tr></thead>
						<tbody class="data">
							<?PHP
							$i = 1; $tqty = 0; $tvalue = 0; 
							while ($row = mysql_fetch_array($res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
									<td align="right"><?PHP 
										$sql = "SELECT SUM(quantity) FROM purchase_details
												WHERE product_id = '$row[0]' 
													AND TO_DAYS(delivery) >= TO_DAYS('$fr_date')
													AND TO_DAYS(delivery) <= TO_DAYS('$to_date')";
										$qres = mysql_query($sql); $qrow = mysql_fetch_array($qres);
										echo number_format($qrow[0], 0); 
										$tqty = $tqty + $qrow[0];
										?></td>
									<td align="right"><?PHP 
										$sql = "SELECT SUM(net_price) FROM purchase_details
												WHERE product_id = '$row[0]' 
													AND TO_DAYS(delivery) >= TO_DAYS('$fr_date')
													AND TO_DAYS(delivery) <= TO_DAYS('$to_date')";
										$vres = mysql_query($sql); $vrow = mysql_fetch_array($vres);
										echo number_format($vrow[0], 2); 
										$tvalue = $tvalue + $vrow[0];
										?></td>
								</tr>
								<?PHP
								$i++;
							}
							?>
							<tr class="total">
								<td align="right"><b>Line Total&nbsp;</b></td>
								<td align="right"><b><?PHP echo number_format($tqty, 0); ?></b></td>
								<td align="right"><b><?PHP echo number_format($tvalue, 2); ?></b></td>
							</tr>
						</tbody>
					</table>
				</div>
				<p class="meta"></p>
			</div>
			<?PHP
		} else {
			show_form(); 
			show_report_purchases_sku();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
}

function show_report_purchases_sku() {
	$sql = "SELECT MONTHNAME(NOW()), YEAR(NOW())";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$monthname = $drow[0]; $year = $drow[1];

	// build and run the sql query
	$sql = "SELECT product_id, product_name FROM products WHERE active = 1 ORDER BY category_id, product_id";
	$res = mysql_query($sql);

	// show the table and data
	?>
	<div class="post">
		<div id="search">
			<form name="Purchases" method="post" action="report_purchases_sku.php">
				<?PHP show_purchase_dates(); ?>
				<input type="hidden" name="submitted" value="1">
				<input id="sbutton" type="submit" value="Go!">
			</form>
		</div>
		<h1 class="title">Purchases Per SKU for <?PHP print "$monthname, $year"; ?></h1>
		<div class="entry">
			<table>
				<thead class="data"><tr height="25">
					<td width="400" align="center">SKU</td>
					<td width="150" align="center">Total Quantity</td>
					<td width="150" align="center">Value</td>
				</tr></thead>
				<tbody class="data">
					<?PHP
					$i = 1; $tqty = 0; $tvalue = 0; 
					while ($row = mysql_fetch_array($res)) {
						$m = fmod($i, 2);
						if ($m == 0) { // $i is EVEN
							?><tr class="even"><?PHP
						} else { // $i is ODD
							?><tr class="odd"><?PHP
						}
						?>
							<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
							<td align="right"><?PHP 
								$sql = "SELECT SUM(pd.quantity) 
										FROM purchase_details pd INNER JOIN purchases p ON pd.purchase_id = p.purchase_id
										WHERE pd.product_id = '$row[0]' 
											AND MONTH(p.delivery_date) = MONTH(CURDATE()) 
											AND YEAR(p.delivery_date) = YEAR(CURDATE())";
								$qres = mysql_query($sql); $qrow = mysql_fetch_array($qres);
								echo number_format($qrow[0], 0); 
								$tqty = $tqty + $qrow[0];
								?></td>
							<td align="right"><?PHP 
								$sql = "SELECT SUM(pd.net_price) 
										FROM purchase_details pd INNER JOIN purchases p ON pd.purchase_id = p.purchase_id
										WHERE pd.product_id = '$row[0]' 
											AND MONTH(p.delivery_date) = MONTH(CURDATE()) 
											AND YEAR(p.delivery_date) = YEAR(CURDATE())";
								$vres = mysql_query($sql); $vrow = mysql_fetch_array($vres);
								echo number_format($vrow[0], 2); 
								$tvalue = $tvalue + $vrow[0];
								?></td>
						</tr>
						<?PHP
						$i++;
					}
					?>
					<tr class="total">
						<td align="right"><b>Line Total&nbsp;</b></td>
						<td align="right"><b><?PHP echo number_format($tqty, 0); ?></b></td>
						<td align="right"><b><?PHP echo number_format($tvalue, 2); ?></b></td>
					</tr>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}
?>