<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Sales by Date Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			$month = $_POST['month'];
			$day = $_POST['day'];
			$year = $_POST['year'];

			if ($month == 1) { $monthname = "January";
			} elseif ($month == 2) { $monthname = "February";
			} elseif ($month == 3) { $monthname = "March";
			} elseif ($month == 4) { $monthname = "April";
			} elseif ($month == 5) { $monthname = "May";
			} elseif ($month == 6) { $monthname = "June";
			} elseif ($month == 7) { $monthname = "July";
			} elseif ($month == 8) { $monthname = "August";
			} elseif ($month == 9) { $monthname = "September";
			} elseif ($month == 10) { $monthname = "October";
			} elseif ($month == 11) { $monthname = "November";
			} elseif ($month == 12) { $monthname = "December"; }

			if ($month != 0 && $day != 0 && $year != 0) {
				if (checkdate ($month, $day, $year)) {
					$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
							FROM customers c, sales s 
							WHERE s.customer_id = c.customer_id  
								AND TO_DAYS('$year-$month-$day') = TO_DAYS(s.delivery_date) 
							GROUP BY c.customer_id 
							ORDER BY c.ctype DESC, c.company_name";
					$res = mysql_query($sql) or die(mysql_error());
					$num = mysql_num_rows($res);
					if ($num > 0) {
						$sql = "SELECT SUM(line_total), SUM(balance) FROM sales 
								WHERE TO_DAYS('$year-$month-$day') = TO_DAYS(delivery_date)";
						$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
						$i = 1;
						?>
					    <div class="post">
					        <div id="search">
					            <a id="icon1" class="th_img" href="print_report_sales_d8.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
					            <form method="post" action="report_sales_d8.php">
									<?PHP show_drop_d8($year, $month, $day); ?>
									<input type="hidden" name="submitted" value="1">
					                <input id="sbutton" type="submit" class="button blue" value="Go!">
					            </form>
					        </div>
					        <h1 class="title">Sales for <?PHP print "$monthname $day, $year"; ?></h1>
					        <div class="entry">
					            <table>
					                <thead class="data"><tr>
										<td width="400" align="center">Customer</td>
										<td width="150" align="center">Line Total</td>
										<td width="150" align="center">Total Balance</td>
					                </tr></thead>
					                <tbody class="data">
					                    <?PHP
					                    while ($row = mysql_fetch_array($res)) {
											$m = fmod($i, 2);
											if ($m == 0) { // $i is EVEN
												?><tr class="even"><?PHP
											} else { // $i is ODD
												?><tr class="odd"><?PHP
											}
					                        ?>
												<td><?PHP print $row[0] ?>&nbsp;</td>
												<td align="right"><?PHP $linet = number_format($row[1], 2); print $linet ?></td>
												<td align="right"><?PHP $bal = number_format($row[2], 2); print $bal ?></td>
					                        </tr>
					                        <?PHP
											$i++;
					                    }
					                    ?>
										<tr class="total">
											<td align="right"><b>Line Total&nbsp;</b></td>
											<td align="right"><b><?PHP $tlinet = number_format($trow[0], 2); print $tlinet ?></b></td>
											<td align="right"><b><?PHP $tbal = number_format($trow[1], 2); print $tbal ?></b></td>
										</tr>
					                </tbody>
					            </table>
					        </div>
					        <p class="meta">
								<?PHP
								if ($num > 1) { print "<b>$num</b> records found for $monthname $day, $year";
								} else { print "<b>$num</b> record for $monthname $day, $year";
								}
								?>
					        </p>
					    </div>
						<?PHP
					} else {
						?>
					    <div class="post">
					        <div id="search">
					            <a id="icon1" class="th_img" href="print_report_sales_d8.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
					            <form method="post" action="report_sales_d8.php">
									<?PHP show_drop_d8($year, $month, $day); ?>
									<input type="hidden" name="submitted" value="1">
					                <input id="sbutton" type="submit" class="button blue" value="Go!">
					            </form>
					        </div>
					        <h1 class="title">Sales for <?PHP print "$monthname $day, $year"; ?></h1>
					        <div class="entry">
					            <table>
					                <thead class="data"><tr>
										<td width="300" align="center">Customer</td>
										<td width="100" align="center">Line Total</td>
										<td width="100" align="center">Total Balance</td>
					                </tr></thead>
					                <tbody class="data">
					                </tbody>
					            </table>
					        </div>
					        <p class="meta">There are NO existing consultation records for <?PHP print "$monthname $day, $year"; ?></p>
					    </div>
						<?PHP
					}
				} else {
					print "<center><table><tr><td bgcolor=#000000><table bgcolor=#eeeeee width=300><tr><td height=30 align=center><font face=arial size=2 color=red>Date entered was not a valid date.</font></td></tr></table></td></tr></table></center><br>";
					show_report_sales_d8();
				}
			} elseif ($month != 0 && $day == 0 && $year != 0) {
				$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
						FROM customers c, sales s 
						WHERE s.customer_id = c.customer_id  
							AND MONTH(s.delivery_date) = $month
							AND YEAR(s.delivery_date) = $year 
						GROUP BY c.company_name 
						ORDER BY c.ctype DESC, c.company_name";
				$res = mysql_query($sql) or die(mysql_error());
				$num = mysql_num_rows($res);
				if ($num > 0) {
					$sql = "SELECT SUM(line_total), SUM(balance) FROM sales 
							WHERE MONTH(delivery_date) = $month
								AND YEAR(delivery_date) = $year";
					$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
					$i = 1;
					?>
				    <div class="post">
				        <div id="search">
				            <a id="icon1" class="th_img" href="print_report_sales_d8.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
				            <form method="post" action="report_sales_d8.php">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
				                <input id="sbutton" type="submit" class="button blue" value="Go!">
				            </form>
				        </div>
				        <h1 class="title">Sales for <?PHP print "$monthname, $year"; ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="400" align="center">Customer</td>
									<td width="150" align="center">Line Total</td>
									<td width="150" align="center">Total Balance</td>
				                </tr></thead>
				                <tbody class="data">
				                    <?PHP
				                    while ($row = mysql_fetch_array($res)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
				                        ?>
											<td><?PHP print $row[0] ?>&nbsp;</td>
											<td align="right"><?PHP $linet = number_format($row[1], 2); print $linet ?></td>
											<td align="right"><?PHP $bal = number_format($row[2], 2); print $bal ?></td>
				                        </tr>
				                        <?PHP
										$i++;
				                    }
				                    ?>
									<tr class="total">
										<td align="right"><b>Line Total&nbsp;</b></td>
										<td align="right"><b><?PHP $tlinet = number_format($trow[0], 2); print $tlinet ?></b></td>
										<td align="right"><b><?PHP $tbal = number_format($trow[1], 2); print $tbal ?></b></td>
									</tr>
				                </tbody>
				            </table>
				        </div>
				        <p class="meta">
							<?PHP
							if ($num > 1) { print "<b>$num</b> records found for $monthname, $year";
							} else { print "<b>$num</b> record for $monthname, $year";
							}
							?>
				        </p>
				    </div>
					<?PHP
				} else {
					?>
				    <div class="post">
				        <div id="search">
				            <a id="icon1" class="th_img" href="print_report_sales_d8.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
				            <form method="post" action="report_sales_d8.php">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
				                <input id="sbutton" type="submit" class="button blue" value="Go!">
				            </form>
				        </div>
				        <h1 class="title">Sales for <?PHP print "$monthname, $year"; ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="300" align="center">Customer</td>
									<td width="100" align="center">Line Total</td>
									<td width="100" align="center">Total Balance</td>
				                </tr></thead>
				                <tbody class="data">
				                </tbody>
				            </table>
				        </div>
				        <p class="meta">There are NO existing purchase records for <?PHP print "$monthname, $year"; ?></p>
				    </div>
					<?PHP
				}
			} elseif ($month == 0 && $day == 0 && $year != 0) {
				$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
						FROM customers c, sales s 
						WHERE s.customer_id = c.customer_id  
							AND YEAR(s.delivery_date) = $year 
						GROUP BY c.company_name 
						ORDER BY c.ctype DESC, c.company_name";
				$res = mysql_query($sql) or die(mysql_error());
				$num = mysql_num_rows($res);
				if ($num > 0) {
					$sql = "SELECT SUM(line_total), SUM(balance) FROM sales 
							WHERE YEAR(delivery_date) = $year";
					$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
					$i = 1;
					?>
				    <div class="post">
				        <div id="search">
				            <a id="icon1" class="th_img" href="print_report_sales_d8.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
				            <form method="post" action="report_sales_d8.php">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
				                <input id="sbutton" type="submit" class="button blue" value="Go!">
				            </form>
				        </div>
				        <h1 class="title">Sales for <?PHP print $year ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="400" align="center">Customer</td>
									<td width="150" align="center">Line Total</td>
									<td width="150" align="center">Total Balance</td>
				                </tr></thead>
				                <tbody class="data">
				                    <?PHP
				                    while ($row = mysql_fetch_array($res)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
				                        ?>
											<td><?PHP print $row[0] ?>&nbsp;</td>
											<td align="right"><?PHP $linet = number_format($row[1], 2); print $linet ?></td>
											<td align="right"><?PHP $bal = number_format($row[2], 2); print $bal ?></td>
				                        </tr>
				                        <?PHP
										$i++;
				                    }
				                    ?>
									<tr class="total">
										<td align="right"><b>Line Total&nbsp;</b></td>
										<td align="right"><b><?PHP $tlinet = number_format($trow[0], 2); print $tlinet ?></b></td>
										<td align="right"><b><?PHP $tbal = number_format($trow[1], 2); print $tbal ?></b></td>
									</tr>
				                </tbody>
				            </table>
				        </div>
				        <p class="meta">
							<?PHP
							if ($num > 1) { print "<b>$num</b> records found for $year";
							} else { print "<b>$num</b> record for $year";
							}
							?>
				        </p>
				    </div>
					<?PHP
				} else {
					?>
				    <div class="post">
				        <div id="search">
				            <a id="icon1" class="th_img" href="print_report_sales_d8.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
				            <form method="post" action="report_sales_d8.php">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
				                <input id="sbutton" type="submit" class="button blue" value="Go!">
				            </form>
				        </div>
				        <h1 class="title">Sales for <?PHP print $year ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="300" align="center">Customer</td>
									<td width="100" align="center">Line Total</td>
									<td width="100" align="center">Total Balance</td>
				                </tr></thead>
				                <tbody class="data">
				                </tbody>
				            </table>
				        </div>
				        <p class="meta">There are NO existing purchase records for <?PHP print $year ?></p>
				    </div>
					<?PHP
				}
			}
		} else {
			show_report_sales_d8();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_report_sales_d8() {
	$sql = "SELECT MONTHNAME(NOW()), MONTH(NOW()), DAY(NOW()), YEAR(NOW())";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$monthname = $drow[0]; $month = $drow[1]; $day = $drow[2]; $year = $drow[3];

	// build and run the sql query
	$sql = "SELECT c.company_name, SUM(s.line_total), SUM(s.balance) 
			FROM customers c, sales s 
			WHERE s.customer_id = c.customer_id AND MONTH(NOW()) = MONTH(s.delivery_date) 
				AND YEAR(NOW()) = YEAR(s.delivery_date)  
			GROUP BY c.company_name 
			ORDER BY c.ctype DESC, c.company_name";
	$res = mysql_query($sql);
	$num = mysql_num_rows($res);

	// show the table and data
	if ($num > 0) {
		$sql = "SELECT SUM(line_total), SUM(balance) FROM sales 
				WHERE MONTH(NOW()) = MONTH(delivery_date) 
					AND YEAR(NOW()) = YEAR(delivery_date)";
		$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
		$i = 1;
		?>
	    <div class="post">
	        <div id="search">
	            <a id="icon1" class="th_img" href="print_report_sales_d8.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
	            <form method="post" action="report_sales_d8.php">
					<?PHP show_drop_d8($year, $month, $day); ?>
					<input type="hidden" name="submitted" value="1">
	                <input id="sbutton" type="submit" class="button blue" value="Go!">
	            </form>
	        </div>
	        <h1 class="title">Sales for <?PHP print "$monthname, $year"; ?></h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr>
						<td width="400" align="center">Customer</td>
						<td width="150" align="center">Line Total</td>
						<td width="150" align="center">Total Balance</td>
	                </tr></thead>
	                <tbody class="data">
	                    <?PHP
	                    while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
	                        ?>
								<td><?PHP print $row[0] ?>&nbsp;</td>
								<td align="right"><?PHP $linet = number_format($row[1], 2); print $linet ?></td>
								<td align="right"><?PHP $bal = number_format($row[2], 2); print $bal ?></td>
	                        </tr>
	                        <?PHP
							$i++;
	                    }
	                    ?>
						<tr class="total">
							<td align="right"><b>Line Total&nbsp;</b></td>
							<td align="right"><b><?PHP $tlinet = number_format($trow[0], 2); print $tlinet ?></b></td>
							<td align="right"><b><?PHP $tbal = number_format($trow[1], 2); print $tbal ?></b></td>
						</tr>
	                </tbody>
	            </table>
	        </div>
	        <p class="meta">
				<?PHP
				if ($num > 1) { print "<b>$num</b> records found for $monthname, $year";
				} else { print "<b>$num</b> record for $monthname, $year";
				}
				?>
	        </p>
	    </div>
		<?PHP
	} else {
		?>
	    <div class="post">
	        <div id="search">
	            <a id="icon1" class="th_img" href="print_report_sales_d8.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
	            <form method="post" action="report_sales_d8.php">
					<?PHP show_drop_d8($year, $month, $day); ?>
					<input type="hidden" name="submitted" value="1">
	                <input id="sbutton" type="submit" class="button blue" value="Go!">
	            </form>
	        </div>
	        <h1 class="title">Sales for <?PHP print "$monthname, $year"; ?></h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr>
						<td width="400" align="center">Customer</td>
						<td width="150" align="center">Line Total</td>
						<td width="150" align="center">Total Balance</td>
	                </tr></thead>
	                <tbody class="data">
	                </tbody>
	            </table>
	        </div>
	        <p class="meta"><font color="red">There are NO existing purchase records for <?PHP print "$monthname, $year"; ?></font></p>
	    </div>
		<?PHP
	}
}
?>