<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Return Sale');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_13() == true) {
		print_header(TITLE);
		print_navs();
		
		if (isset($_POST['submit'])) {
			$sale_id = $_POST[sale_id];
		} else {
			// Check for valid entry sale_id in the URL
			if (is_numeric($_GET['sale_id'])) {
				$sale_id = $_GET['sale_id'];
				// show form
				show_form($sale_id);
			} else { // No sale_id set.
				print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($sale_id) {
	$sql = "SELECT s.or_num, s.customer_id, c.company_name, CONCAT(u.fname,' ',u.lname),
				DATE_FORMAT(s.delivery_date, '%b %e, %Y'), DATE_FORMAT(s.due_date, '%b %e, %Y'),
				s.received_by, s.notes, s.line_total, s.balance, s.revenue, 
				s.pmode, s.purchase_id, TO_DAYS(NOW()), TO_DAYS(s.due_date)
			FROM sales s, customers c, users u
			WHERE s.customer_id = c.customer_id AND s.user_id = u.user_id AND s.sale_id = '$sale_id'";
	$res = mysql_query($sql);
	$row = mysql_fetch_array($res);
	?>
	<div class="post">
		<h1 class="title">Return Sold Product</h1>
		<div class="entry">
			<table width="725">
				<tbody class="data">
					<tr class="odd"><td align="right" width="100">O.R. #&nbsp;</td>
						<td align="left" width="240">&nbsp;<?PHP print $row[0] ?></td>
						<td align="right" width="110">Customer&nbsp;</td>
						<td align="left" width="250">&nbsp;<a class="tddata" href="customer.php?customer_id=<?PHP print $row[1] ?>"><b><?PHP print $row[2] ?></b></a></td></tr>
					<tr class="even"><td align="right">Delivery Date&nbsp;</td>
						<td align="left">&nbsp;<?PHP print $row[4] ?></a></td>
						<td align="right">Due Date&nbsp;</td>
						<td align="left">&nbsp;<?PHP if (($row[15] <= $row[14]) && $row[10] > 0) {echo "<font color=red><blink>$row[5]</blink></font>";} else {echo $row[5];} ?></td></tr>
					<tr class="odd"><td align="right">Prepared by&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[3] ?></td>
						<td align="right">Received by&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[6] ?></td></tr>
					<tr class="even"><td align="right">Line Total&nbsp;</td>
						<td align="left">&nbsp;<?PHP $linet = number_format($row[8], 2); print $linet ?></td>
						<td align="right">Payment Balance&nbsp;</td>
						<td align="left">&nbsp;<?PHP $pbal = number_format($row[9], 2); print $pbal ?></td></tr>
					<tr class="odd"><td align="right">Notes&nbsp;</td>
						<td align="left">&nbsp;<?PHP print $row[7] ?></td>
						<td align="right">Revenue&nbsp;</td>
						<td align="left">&nbsp;<?PHP $frev = number_format($row[10], 2); print $frev ?></td></tr>
					<tr class="even"><td align="right">Payment Mode&nbsp;</td>
						<td align="left">&nbsp;<?PHP
							if ($row[11] == 1) { print "Cash"; } 
							elseif ($row[11] == 2) { print "Check"; } ?></td>
						<td align="right">Direct Delivery&nbsp;</td>
						<td align="left">&nbsp;<?PHP if ($row[12] != 0) echo "Yes"; else echo "No";  ?></td></tr>
				</tbody>
			</table>
		</div>
	</div><br>
	<?PHP
	$sql = "SELECT sd.product_id, p.product_name, SUM(sd.quantity), 
				sd.acq_price, sd.unit_price, sd.unit_discount, SUM(sd.net_price), sd.sd_id, 
				SUM(sd.quantity * ((sd.unit_price - sd.unit_discount) - sd.acq_price))
			FROM sale_details sd, products p
			WHERE sd.sale_id='$sale_id' AND sd.product_id=p.product_id
			GROUP BY sd.product_id
			ORDER BY sd.sd_id";
	$res2 = mysql_query($sql); 
	?>
	<form action="cancel_sale.php" method="POST">
		<div class="post">
			<h1 class="title">Product Details</h1>
			<div class="entry">
				<table width="725">
					<thead class="data"><tr>
						<td align="center" width="280">Product</td>
						<td align="center" width="40">Qty</td>
						<td align="center" width="70">Acq. Price</td>
						<td align="center" width="70">Sell Price</td>
						<td align="center" width="90">Unit Discount</td>
						<td align="center" width="80">Net Price</td>
						<td align="center" width="65">Revenue</td>
					</tr></thead>
					<tbody class="data">
					<?PHP
						$i = 1;
						while ($row2 = mysql_fetch_array($res2)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
	                        ?>
								<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row2[0] ?>"><?PHP echo $row2[1] ?></a></td>
								<td align="right"><?PHP $qty = number_format($row2[2], 2); echo $qty ?></td>
								<td align="right"><?PHP $acq = number_format($row2[3], 2); echo $acq ?></td>
								<td align="right"><?PHP $sell = number_format($row2[4], 2); echo $sell ?></td>
								<td align="right"><?PHP $discount = number_format($row2[5], 2); echo $discount ?></td>
								<td align="right"><?PHP $netp = number_format($row2[6], 2); echo $netp ?></td>
								<td align="right"><?PHP if ($position == 1) $revenue = number_format($row2[8], 2); echo $revenue ?></td>
							</tr>
							<?PHP
							$i++;
						}
						$sql = "SELECT SUM(quantity), SUM(net_price), SUM((quantity * ((unit_price - unit_discount) - acq_price))) 
								FROM sale_details WHERE sale_id = '$sale_id'";
						$tres = mysql_query($sql);
						$trow = mysql_fetch_array($tres);
					?>
						<tr class="total">
							<td align="right"><b>Line Totals</b></td>
							<td align="right"><b><?PHP $tqty = number_format($trow[0], 2); echo $tqty ?></b></td>
							<td></td>
							<td align="right"></td>
							<td align="right"></td>
							<td align="right"><b><?PHP $tnetp = number_format($trow[1], 2); echo $tnetp ?></b></td>
							<td align="right"><b><?PHP
								if ($position == 1) $trevenue = number_format($trow[2], 2); echo $trevenue ?></b></td>
						</tr>
						<tr class="odd">
							<td colspan="7" align="center">
								<input type="hidden" name="sale_id" value="<?PHP echo $sale_id ?>">
								<input type="submit" class="button blue" name="submit" value="Cancel Sale" onClick="return confirm('Are you sure you want to cancel this sale?');">
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</form>
	<?PHP
	mysql_free_result($res);
	mysql_free_result($res2);
}

?>