<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Sales');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_1236() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if ($_POST['field'] != "") {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$field = htmlentities(mysql_real_escape_string(stripslashes($_POST['field'])));
			} else {
				$field = htmlentities(mysql_real_escape_string($_POST['field']));
			}
		} else {
			$field = $_GET['field'];
			$page = $_GET['page'];
		}
		show_sales(2, $field, $page);

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_sales($account_id, $field, $page) {
	// to get the position of the user
	$dres = mysql_query("SELECT position FROM users WHERE user_id='$_SESSION[user_id]'");
	$drow = mysql_fetch_array($dres); 
	$position = $drow[0];
				
	// get the name of account
	$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
	$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0]; 
				
	// If current page number, use it if not, set one!
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 

	// Define the number of results per page
	$max_results = 30;

	// Figure out the limit for the query based  on the current page number.
	$from = (($page * $max_results) - $max_results);

	// Make links to click in order for  user to sort by whichever column
	$allowed = array('s.delivery_date DESC, c.company_name, s.or_num', 's.or_num');
	$sortby = (in_array($_GET['sortby'], $allowed)) ? $_GET['sortby'] : 's.delivery_date DESC, s.or_num';

	// build and run the sql query
	if ($field == "") {
		$sql = "SELECT s.sale_id, DATE_FORMAT(s.delivery_date, '%b %e, %Y'), TO_DAYS(NOW()), 
					TO_DAYS(due_date), DATE_FORMAT(s.due_date, '%b %e, %Y'), s.purchase_id, 
					s.customer_id, c.company_name, s.line_total, s.balance, s.pmode, s.revenue
				FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
				WHERE s.account_id = '$account_id'
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT sale_id FROM sales WHERE account_id = '$account_id'";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	} else {
		$sql = "SELECT s.sale_id, DATE_FORMAT(s.delivery_date, '%b %e, %Y'), TO_DAYS(NOW()), 
					TO_DAYS(due_date), DATE_FORMAT(s.due_date, '%b %e, %Y'), s.purchase_id, 
					s.customer_id, c.company_name, s.line_total, s.balance, s.pmode, s.revenue
				FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
				WHERE s.account_id = '$account_id' AND (s.sale_id LIKE '%$field%' OR c.company_name LIKE '%$field%')
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT s.sale_id
				FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
				WHERE s.account_id = '$account_id' AND (s.sale_id LIKE '%$field%' OR c.company_name LIKE '%$field%')";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	}

	// Figure out the total number of pages we will have
	$total_pages = ceil($total_results / $max_results);

	// Figure out the current page result numbers
	$fr = $from + 1;
	$to = $from + $num;

	// show the table and data
	?>
	<div class="post">
		<div id="search">
			<a id="icon1" class="th_img" href="add_sale.php"><img src="lib/file_add.png" width="16" height="16"></a>
			<form method="POST" action="sales.php?account_id=<?PHP echo $account_id ?>">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title"><?PHP echo $account_name ?> Sales</h1>
		<div class="entry">
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
			<table>
				<thead class="data">
					<tr>
						<td width="40" align="center"><a class="thdata" href="<?PHP $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $page ?>&sortby=s.or_num">OR#</a></td>
						<td width="80" align="center"><a class="thdata" href="<?PHP $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $page ?>&sortby=s.delivery_date DESC, s.or_num">Delivery</a></td>
						<td width="80" align="center">Due Date</td>
						<td width="30"></td>
						<td width="140" align="center">Customer</td>
						<td width="160" align="center">Payments</td>
						<td width="50" align="center">Total</td>
						<td width="50" align="center">Bal.</td>
						<td width="50" align="center">Rev.</td>
						<td width="30" align="center"></td>
					</tr>
				</thead>
				<tbody class="data">
					<?PHP
					if ($num > 0) {
						$i = 1;
						while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
							?>
								<td align="center"><a class="tddata" href="sale.php?sale_id=<?PHP echo $row[0] ?>"><?PHP echo $row[0] ?></a></td>
								<td align="center"><?PHP echo $row[1] ?></td>
								<td align="center"><?PHP
									if (($row[2] >= $row[3]) && $row[9] > 0) { // TO_DAYS(NOW()) > TO_DAYS(due_date) && balance > 0									echo "<font color=red><b><blink>$row[13]</blink></b></font>";
										echo "<font color=red><b><blink>$row[4]</blink></b></font>";
									} else {
										echo $row[4]; // due date
									} 
									?></td>
								<td align="center"><?PHP if ($row[5] != 0) { echo "<b>D.D.</b>"; /* direct delivery */ } ?></td>
								<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $row[6] ?>"><?PHP echo $row[7] ?></a></td>
								<td align="center"><?PHP 
									$sql = "SELECT c_payment_id, DATE_FORMAT(pdate, '%m/%e/%y'), or_num, amount, good
											FROM cpayments
											WHERE sale_id = '$row[0]' ORDER BY pdate DESC";
									$pres = mysql_query($sql);
									while ($prow = mysql_fetch_array($pres)) {
										echo "&nbsp;&nbsp;$prow[1]&nbsp;&nbsp;--&nbsp;&nbsp;";
										if ($position != 2) {
											?><a class="tddata" href="cpayment.php?c_payment_id=<?PHP echo $prow[0] ?>"><?PHP echo $prow[2] ?></a><?PHP
										} else { echo $prow[2];
										}			
										echo "&nbsp;&nbsp;--&nbsp;&nbsp;";
										if ($prow[4] == 1) { echo number_format($prow[3], 2); 
										} else { ?><font color="red"><?PHP echo number_format($prow[3], 2); ?></font><?PHP }
										echo "<br>";
									}
									?></td>
								<td align="right"><?PHP echo number_format($row[8], 2); /* line total */ ?></td>
								<td align="right"><?PHP echo number_format($row[9], 2); /* balance  */ ?></td>
								<td align="right"><?PHP if ($position == 1) { echo number_format($row[11], 2); } /* revenue  */ ?></td>
								<td align="center"><?PHP
									if ($row[10] == 2) { // pmode is check
										$sql = "SELECT SUM(amount) FROM cpayments WHERE sale_id = '$row[0]'";
										$res1 = mysql_query($sql); $row1 = mysql_fetch_array($res1);
										if ($row[7] > $row1[0]) {
											?><a class="tddata" href="add_cpayment.php?sale_id=<?PHP echo $row[0] ?>"><img src="lib/money.png" width="16" height="16" border="0"></a><?PHP
										}
									} ?></td>
							</tr>
							<?PHP
							$i++;
						}
					} else {
						?>
						<tr>
							<td align="center" colspan="10">There are NO existing records of <?PHP echo $account_name ?> sales</td>
						</tr>
						<?PHP				
					}
					?>
				</tbody>
			</table>
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}


?>