<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Payment to Supplier Details');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry s_payment_id in the URL
		if (is_numeric($_GET['s_payment_id'])) {
			$s_payment_id = $_GET['s_payment_id'];
			// show form
			show_payment($s_payment_id);
		} else { // No s_payment_id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_payment($s_payment_id) {
	// to get the position of the user
	$dres = mysql_query("SELECT position FROM users WHERE user_id='$_SESSION[user_id]'");
	$drow = mysql_fetch_array($dres); 
	$position = $drow[0];

	$sql = "SELECT sp.or_num, sp.supplier_id, s.company_name, CONCAT(u.lname,', ',u.fname), 
				sp.purchase_id, sp.amount, DATE_FORMAT(sp.pdate, '%b %e, %Y'), sp.pmethod, 
				sp.check_num, DATE_FORMAT(sp.check_date, '%b %e, %Y'), sp.bank_id, sp.notes, 
				sp.good, DATEDIFF(sp.check_date, NOW()), b.bank_name
			FROM spayments sp 
				INNER JOIN suppliers s ON sp.supplier_id = s.supplier_id 
				INNER JOIN users u ON sp.user_id = u.user_id 
				INNER JOIN banks b ON sp.bank_id = b.bank_id
			WHERE sp.s_payment_id = '$s_payment_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res); 
	?>
	<div class="post">
		<div id="details">
			<a class="th_img" href="d_spayment.php?s_payment_id=<?PHP echo $s_payment_id ?>"><img src="lib/file_delete.png"></a>&nbsp;&nbsp;
		</div>
		<h1 class="title">Payment To Supplier</h1>
		<div class="entry">
			<table>
				<tbody class="data">
					<tr class="odd"><td align="right" width="125">O.R. #&nbsp;</td>
						<td align="left" width="250">&nbsp;<?PHP echo $row[0] ?></td></tr>
					<tr class="even"><td align="right">Supplier&nbsp;</td>
						<td align="left">&nbsp;<a class="tddata" href="supplier.php?supplier_id=<?PHP echo $row[1] ?>"><?PHP echo $row[2] ?></a></td></tr>
					<tr class="odd"><td align="right">Prepared By&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[3] ?></td></tr>
					<tr class="even"><td align="right">Purchase #&nbsp;</td>
						<td align="left">&nbsp;<a class="tddata" href="purchase.php?purchase_id=<?PHP echo $row[4] ?>"><?PHP echo $row[4] ?></a></td></tr>
					<tr class="odd"><td align="right">Source Bank&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[14] ?></td></tr>
					<tr class="even"><td align="right">Payment Amount&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[5] ?></td></tr>
					<tr class="odd"><td align="right">Payment Date&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[6] ?></td></tr>
					<tr class="even"><td align="right">Payment Method&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[7] ?></td></tr>
					<?PHP
						if ($row[7] == "Check") {
							?>
							<tr class="even"><td align="right">Check Number&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo $row[8] ?></td></tr>
							<tr class="odd"><td align="right">Check Maturity Date&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo $row[9] ?></td></tr>
							<?PHP
						}
					?>
					<tr class="odd"><td align="right">Source Of Fund&nbsp;</td>
						<td align="left">&nbsp;<?PHP 
							if ($row[10] != 0) { 
								$sql = "SELECT bank_name FROM banks WHERE bank_id = '$row[10]'";
								$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); echo $brow[0];
							} ?></td></tr>
					<tr class="even"><td align="right">Notes&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[11] ?></td></tr>
					<tr class="odd"><td align="right">Paid&nbsp;</td>
						<td align="left">&nbsp;
						<?PHP 
						if ($row[12] == 1) { echo "Yes"; } 
						else { echo "No";
							if ($position == 1 && $row[7] != "Cash" && $row[13] <= 0) {
								echo "&nbsp;&nbsp;&nbsp;<a class=td_img href='e_spayment.php?s_payment_id=$s_payment_id'><img src='lib/file_edit.png'></a>";
							}
						}
						?></td></tr>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}

?>