<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Product Conversion Table');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if ($_POST['field'] != "") {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$field = htmlentities(mysql_real_escape_string(stripslashes($_POST['field'])));
			} else {
				$field = htmlentities(mysql_real_escape_string($_POST['field']));
			}
		} else {
			$field = $_GET['field'];
			$page = $_GET['page'];
		}
		show_tconversions($field, $page);

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_tconversions($field, $page) {
	// to get the position of the user
	$dres = mysql_query("SELECT position FROM users WHERE user_id='$_SESSION[user_id]'");
	$drow = mysql_fetch_array($dres); 
	$position = $drow[0];
				
	// If current page number, use it if not, set one!
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 

	// Define the number of results per page
	$max_results = 30;

	// Figure out the limit for the query based  on the current page number.
	$from = (($page * $max_results) - $max_results);

	// Make links to click in order for  user to sort by whichever column
	$allowed = array('b.tconv_id', 'pf.product_name');
	$sortby = (in_array($_GET['sortby'], $allowed)) ? $_GET['sortby'] : 'pf.product_name';

	if ($field == "") {
		// build and run the sql query
		$sql = "SELECT b.tconv_id AS tconv_id, b.fr_product_id AS fr_product_id, pf.product_name AS fr_product_name, b.to_product_id AS to_product_id, pt.product_name AS to_product_name, b.conv_units AS conv_units, IF(pf.active = 1 AND pt.active = 1, 1, 0) AS active
				FROM tconversions b
					INNER JOIN products pf ON b.fr_product_id = pf.product_id
					LEFT JOIN products pt ON b.to_product_id = pt.product_id
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT tconv_id FROM tconversions";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	} else {
		// build and run the sql query
		$sql = "SELECT b.tconv_id AS tconv_id, b.fr_product_id AS fr_product_id, pf.product_name AS fr_product_name, b.to_product_id AS to_product_id, pt.product_name AS to_product_name, b.conv_units AS conv_units, IF(pf.active = 1 AND pt.active = 1, 1, 0) AS active
				FROM tconversions b
					INNER JOIN products pf ON b.fr_product_id = pf.product_id
					LEFT JOIN products pt ON b.to_product_id = pt.product_id
				WHERE pf.product_name LIKE '%$field%' OR pt.product_name LIKE '%$field%'
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT b.tconv_id
				FROM tconversions b
					INNER JOIN products pf ON b.fr_product_id = pf.product_id
					LEFT JOIN products pt ON b.to_product_id = pt.product_id
				WHERE pf.product_name LIKE '%$field%' OR pt.product_name LIKE '%$field%'
				ORDER BY $sortby LIMIT $from, $max_results";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	}

	// Figure out the total number of pages we will have
	$total_pages = ceil($total_results / $max_results);

	// Figure out the current page result numbers
	$fr = $from + 1;
	$to = $from + $num;

	?>
	<div class="post">
		<div id="search">
			<?PHP
			if ($position == 1 || $position == 3) {
				?><a id="icon2" class="th_img" href="add_tconv.php"><img src="lib/file_add.png" width="16" height="16"></a></a><?PHP
			}
			?>
			<form method="POST" action="tconversions.php">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title">Product Conversion Table</h1>
		<div class="entry">
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
			<table>
				<thead class="data">
					<tr>
						<td width="50" align="center"><a class="thdata" href="<?PHP $_SERVER['PHP_SELF'] ?>?page=<?PHP print $page ?>&sortby=b.tconv_id">#</a></td>
						<td width="225" align="center"><a class="thdata" href="<?PHP $_SERVER['PHP_SELF'] ?>?page=<?PHP print $page ?>&sortby=pf.product_name">From Product</a></td>
						<td width="225" align="center">To Product</td>
						<td width="100" align="center">To Units</td>
						<td width="50" align="center">Active</td>
						<?PHP if ($position == 1 || $position == 2 || $position == 3) { ?>
						<td width="50" align="center">Action</td>
						<?php } ?>
					</tr>
				</thead>
				<tbody class="data">
					<?PHP
					if ($num > 0) {
						$i = 1; 
						while ($row = mysql_fetch_assoc($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
							?>
								<td align="center"><?PHP print $row['tconv_id'] ?></td>
								<td align="left"><?php echo sql_fld('active', 'products', 'product_id=\''.$row['fr_product_id'].'\'')==0?'<img src="lib/s_error.png" heigth="10px" width="10px" style="vertical-align: -10%">&nbsp;&nbsp;':'' ?><a class="tddata" href="product.php?product_id=<?PHP print $row['fr_product_id'] ?>"><?PHP print $row['fr_product_name'] ?></a></td>
								<td align="left"><?php echo sql_fld('active', 'products', 'product_id=\''.$row['to_product_id'].'\'')==0?'<img src="lib/s_error.png" heigth="10px" width="10px" style="vertical-align: -10%">&nbsp;&nbsp;':'' ?><a class="tddata" href="product.php?product_id=<?PHP print $row['to_product_id'] ?>"><?PHP print $row['to_product_name'] ?></a></td>
								<td align="right"><?PHP echo number_format($row['conv_units'], 2) ?></td>
								<td align="center"><?PHP print $row['active']==1?'Yes':'No' ?></td>
								<td align="center">
									<?PHP
									if ($position == 1 || $position == 2 || $position == 3) {
										?><a class="<?PHP if ($m == 0) print "td_img_even"; else print "td_img"; ?>" href="e_tconv.php?tconv_id=<?PHP print $row['tconv_id'] ?>"><img src="lib/file_edit.png"></a>&nbsp;&nbsp;<a class="<?PHP if ($m == 0) print "td_img_even"; else print "td_img"; ?>" href="d_tconv.php?tconv_id=<?PHP print $row['tconv_id'] ?>"><img src='lib/file_delete.png'></a><?PHP
									}
									?>
								</td>
							</tr>
							<?PHP
							$i++;
						}
					} else {
						?>
						<tr>
							<td align="center" colspan="5">There are NO existing records of product conversions</td>
						</tr>
						<?PHP				
					}
					?>
				</tbody>
			</table>
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}


?>