<?php
include 'i/php-fnx.php';
include 'i/php-mig.php';
set_time_limit(0);
session_start();
if(ob_get_level()==0) ob_start();
if(!isset($_GET['acct_id'])){
	echo 'Please provide a valid Account ID.';
	exit();
}else{
	$acct_id=$_GET['acct_id'];
	if(mf('count(*)', 'accounts', 'account_id in ('.$acct_id.')')!=count(explode(',', $acct_id))){
		echo 'Please provide a valid Account ID.';
		exit();
	}
}
if(!isset($_GET['house_id'])){
	echo 'Please provide a valid Warehouse ID.';
	exit();
}else{
	$house_id=$_GET['house_id'];
	if(mf('count(*)', 'warehouses', 'whouse_id in ('.$house_id.')')!=count(explode(',', $house_id))){
		echo 'Please provide a valid Warehouse ID.';
		exit();
	}
}
echo 'Account Master File Migration<br>';
$q=qry('show full tables from '.$bms_db.' where table_type="base table"');
while($r=mysqli_fetch_row($q)){
	if($r[0]=='del') continue;
	echo '<br>Deleting Table '.$r[0].'...'; ob_flush(); flush();
	qry('delete from '.$r[0]);
	qry('alter table '.$r[0].' auto_increment=1');
	echo 'Complete.';
}
echo '<br>Migrating User Level...'; ob_flush(); flush();
$fld['inv_val']=1;
$fld['cash_reg']=1;
qry('delete from usr_lvl');
qry('alter table usr_lvl auto_increment=1');
$mq=mq('select distinct position from users');
while($r=mysqli_fetch_row($mq)){
	$fld['lvl_id']=$r[0];
	$fld['lvl_name']='User Level '.$r[0];
	ins('usr_lvl', $fld);
}
echo 'Complete.<br>Migrating Position...'; ob_flush(); flush();
qry('delete from pos');
qry('alter table pos auto_increment=1');
unset($fld);
$mq=mq('select distinct position from users');
while($r=mysqli_fetch_row($mq)){
	$fld['pos_id']=$r[0];
	$fld['pos_name']='Position '.$r[0];
	ins('pos', $fld);
}
echo 'Complete.<br>Migrating User...'; ob_flush(); flush();
qry('delete from usr');
qry('alter table usr auto_increment=1');
unset($fld);
$mq=mq('select * from users');
while($r=mysqli_fetch_assoc($mq)){
	$fld['usr_id']=$r['user_id'];
	$fld['uname']=$r['username'];
	$fld['pwd']=$r['password'];
	$fld['lvl_id']=$r['position'];
	$fld['fname']=$r['fname'];
	$fld['lname']=$r['lname'];
	ins('usr', $fld);
}
echo 'Complete.<br>Migrating Employee...'; ob_flush(); flush();
qry('delete from emp');
qry('alter table emp auto_increment=1');
unset($fld);
$mq=mq('select * from users');
while($r=mysqli_fetch_assoc($mq)){
	$fld['emp_id']=$r['user_id'];
	$fld['fname']=$r['fname'];
	$fld['lname']=$r['lname'];
	$fld['contact_no']=$r['contact'];
	$fld['address']=$r['address'];
	$fld['contact_person']=$r['spouse'];
	$fld['pos_id']=$r['position'];
	$fld['emp_date']=$r['emp_date'];
	$fld['sss']=$r['sss'];
	$fld['philhealth']=$r['philhealth'];
	$fld['rate']=$r['wage'];
	$fld['active']=$r['active'];
	ins('emp', $fld);
}
echo 'Complete<br>Migrating Warehouse...'; ob_flush(); flush();
qry('delete from house');
qry('alter table house auto_increment=1');
unset($fld);
$mq=mq('select * from warehouses where whouse_id in ('.$house_id.')');
while($r=mysqli_fetch_assoc($mq)){
	$fld['house_id']=$r['whouse_id'];
	$fld['house_name']=$r['whouse_name'];
	$fld['address']=$r['whouse_addr'];
	ins('house', $fld);
}
echo 'Complete<br>Migrating Account...'; ob_flush(); flush();
qry('delete from acct');
qry('alter table acct auto_increment=1');
unset($fld);
$fld['emp_id']=fld('emp_id', 'emp');
$mq=mq('select * from accounts where account_id in ('.$acct_id.')');
while($r=mysqli_fetch_assoc($mq)){
	$fld['acct_id']=$r['account_id'];
	$fld['acct_name']=$r['account_name'];
	ins('acct', $fld);
}
echo 'Complete<br>Migrating Bank...'; ob_flush(); flush();
qry('delete from bank');
qry('alter table bank auto_increment=1');
unset($fld);
$mq=mq('select * from banks where account_id in ('.$acct_id.')');
while($r=mysqli_fetch_assoc($mq)){
	$fld['bank_id']=$r['bank_id'];
	$fld['bank_name']=$r['bank_name'];
	$fld['contact_no']=$r['phone'];
	$fld['address']=$r['address'];
	ins('bank', $fld);
	qry('update acct set bank_id="'.$r['bank_id'].'" where acct_id="'.$r['account_id'].'"');
}
echo 'Complete<br>Migrating Payment Term...'; ob_flush(); flush();
qry('delete from term');
qry('alter table term auto_increment=1');
unset($fld);
$mq=mq('select days from terms');
while($r=mysqli_fetch_row($mq)){
	$fld['term']=$r[0];
	ins('term', $fld);
}
echo 'Complete<br>Migrating Product Category...'; ob_flush(); flush();
qry('delete from cat');
qry('alter table cat auto_increment=1');
unset($fld);
$mq=mq('select * from categories');
while($r=mysqli_fetch_assoc($mq)){
	$fld['cat_id']=$r['category_id'];
	$fld['cat_name']=$r['category_name'];
	ins('cat', $fld);
}
echo 'Complete<br>Migrating Product Manufacturer...'; ob_flush(); flush();
qry('delete from man');
qry('alter table man auto_increment=1');
unset($fld);
$mq=mq('select * from manufacturers');
while($r=mysqli_fetch_assoc($mq)){
	$fld['man_id']=$r['manufacturer_id'];
	$fld['man_name']=$r['manufacturer_name'];
	ins('man', $fld);
}
echo 'Complete<br>Migrating Product Roster...'; ob_flush(); flush();
qry('delete from prod');
qry('alter table prod auto_increment=1');
unset($fld);
$mq=mq('select * from products where active=1');
while($r=mysqli_fetch_assoc($mq)){
	$fld['prod_id']=$r['product_id'];
	$fld['prod_code']=$r['product_num'];
	$fld['prod_name']=$r['product_name'];
	$fld['cat_id']=$r['category_id'];
	$fld['man_id']=$r['manufacturer_id'];
	ins('prod', $fld);
}
echo 'Complete<br>Migrating Warehouse Product...'; ob_flush(); flush();
qry('delete from house_prod');
qry('alter table house_prod auto_increment=1');
unset($fld);
$mq=mq('select w.* from warehouse_products w left join products p on p.product_id=w.product_id where p.active=1 and w.whouse_id in ('.$house_id.')');
while($r=mysqli_fetch_assoc($mq)){
	$fld['hp_id']=$r['wp_id'];
	$fld['house_id']=$r['whouse_id'];
	$fld['prod_id']=$r['product_id'];
	$fld['rol']=$r['reorder'];
	$fld['active']=mf('active', 'products', 'product_id="'.$r['product_id'].'"');
	ins('house_prod', $fld);
}
echo 'Complete<br>Migrating Product Conversion Table...'; ob_flush(); flush();
unset($fld);
$mq=mq('select
  c.*
from tconversions c
left join products f on f.product_id=c.fr_product_id
left join products t on t.product_id=c.to_product_id
where f.active=1 and t.active=1');
while($r=mysqli_fetch_assoc($mq)){
	$fld['pct_id']=$r['tconv_id'];
	$fld['src_id']=$r['fr_product_id'];
	$fld['tar_id']=$r['to_product_id'];
	$fld['qty']=$r['conv_units'];
	ins('pct', $fld);
}
echo 'Complete<br>Migrating Supplier...'; ob_flush(); flush();
qry('delete from sup');
qry('alter table sup auto_increment=1');
unset($fld);
$mq=mq('select * from suppliers where account_id in ('.$acct_id.')');
while($r=mysqli_fetch_assoc($mq)){
	$fld['sup_id']=$r['supplier_id'];
	$fld['acct_id']=$r['account_id'];
	$fld['sup_name']=$r['company_name'];
	$fld['contact_person']=$r['contact_person'];
	$fld['contact_no']=$r['phone_number'].($r['fax_number']?', '.$r['fax_number']:'');
	$fld['address']=$r['st_addr'].' '.$r['brgy_addr'].' '.$r['mun_addr'].' '.$r['prov_addr'].' '.$r['zipcode'];
	$fld['active']=1;
	ins('sup', $fld);
}
echo 'Complete<br>Migrating Customer...'; ob_flush(); flush();
qry('delete from cus');
qry('alter table cus auto_increment=1');
unset($fld);
$mq=mq('select * from customers where account_id in ('.$acct_id.')');
while($r=mysqli_fetch_assoc($mq)){
	$fld['cus_id']=$r['customer_id'];
	$fld['acct_id']=$r['account_id'];
	$fld['cus_name']=$r['company_name'];
	$fld['contact_person']=$r['contact_person'];
	$fld['contact_no']=$r['phone_number'].($r['fax_number']?', '.$r['fax_number']:'');
	$fld['address']=$r['st_addr'].' '.$r['brgy_addr'].' '.$r['mun_addr'].' '.$r['prov_addr'].' '.$r['zipcode'];
	$fld['cl']=$r['credit_limit'];
	$fld['aur']=$r['receipts'];
	$fld['emp_id']=$r['agent_id'];
	$fld['branch']=$r['ctype'];
	$fld['active']=1;
	ins('cus', $fld);
}
echo 'Complete<br>Migrating Expense Type...'; ob_flush(); flush();
qry('delete from exp_type');
qry('alter table exp_type auto_increment=1');
unset($fld);
$mq=mq('select * from expense_types');
while($r=mysqli_fetch_assoc($mq)){
	$fld['et_id']=$r['extype_id'];
	$fld['et_name']=$r['extype_name'];
	ins('exp_type', $fld);
}
echo 'Complete';
$_SESSION['usr_id']=fld('usr_id', 'usr', '', 'usr_id');
unset($fld);
foreach(explode(',', $house_id) as $item){
	$fld['house_id']=$item;
	$fld['init_date']=date('Y-m-d', time());
	$fld['note']='Product Initialization from Migration';
	$init_id=ins('prod_init', $fld);
	prod_init($init_id);
	unset($fld);
	echo '<br>Initializing Good Product, Warehouse ID '.$item.'...'; ob_flush(); flush();
	$fld['rel_name']='init';
	$fld['rel_id']=$init_id;
	$fld['good']=1;
	$mq=mq('select w.* from warehouse_products w left join products p on p.product_id=w.product_id where p.active=1 and w.whouse_id="'.$item.'" and w.inventory>0');
	while($r=mysqli_fetch_assoc($mq)){
		$fld['hp_id']=$r['wp_id'];
		$fld['price']=$r['ave_acq'];
		$fld['qty']=$r['inventory'];
		$pi_id=ins('pi', $fld);
		prod_init_prod($pi_id);
	}
	echo 'Complete<br>Initializing Damaged Product, Warehouse ID '.$item.'...'; ob_flush(); flush();
	$fld['good']=0;
	$mq=mq('select w.* from warehouse_products w left join products p on p.product_id=w.product_id where p.active=1 and w.whouse_id="'.$item.'" and w.damaged>0');
	while($r=mysqli_fetch_assoc($mq)){
		$fld['hp_id']=$r['wp_id'];
		$fld['price']=$r['ave_acq'];
		$fld['qty']=$r['inventory'];
		$pi_id=ins('pi', $fld);
		prod_init_prod($pi_id);
	}
	unset($fld);
	echo 'Complete';
}
echo '<br>Initializing Customer...'; ob_flush(); flush();
unset($fld);
$fld['init_date']=date('Y-m-d', time());
$fld['note']='Customer Initialization from Migration';
$mq=mq('select customer_id, account_id from customers where account_id in ('.$acct_id.')');
while($r=mysqli_fetch_assoc($mq)){
	$fld['acct_id']=$r['account_id'];
	$fld['cus_id']=$r['customer_id'];
	$fld['amt']=mf('sum(balance)', 'sales', 'customer_id="'.$r['customer_id'].'" and account_id in ('.$acct_id.')');
	$fld['amt']+=mf('sum(balance)', 'customer_old_balances', 'customer_id="'.$r['customer_id'].'"');
	$fld['amt']-=mf('sum(balance)', 'returns_customers', 'customer_id="'.$r['customer_id'].'" and account_id in ('.$acct_id.')');
	$init_id=ins('cus_init', $fld);
	cus_init($init_id);
}
echo 'Complete<br>Initializing Supplier...'; ob_flush(); flush();
unset($fld);
$fld['init_date']=date('Y-m-d', time());
$fld['note']='Supplier Initialization from Migration';
$mq=mq('select supplier_id, account_id from suppliers where account_id in ('.$acct_id.')');
while($r=mysqli_fetch_assoc($mq)){
	$fld['acct_id']=$r['account_id'];
	$fld['sup_id']=$r['supplier_id'];
	$fld['amt']=mf('sum(balance)', 'purchases', 'supplier_id="'.$r['supplier_id'].'"');
	$fld['amt']+=mf('sum(balance)', 'supplier_old_balances', 'supplier_id="'.$r['supplier_id'].'"');
	$init_id=ins('sup_init', $fld);
	sup_init($init_id);
}
echo 'Complete<br>Initializing Bank...'; ob_flush(); flush();
unset($fld);
$mq=mq('select * from banks where account_id in ('.$acct_id.')');
while($r=mysqli_fetch_assoc($mq)){
	$fld['init_date']=date('Y-m-d', time());
	$fld['bank_id']=$r['bank_id'];
	$fld['amt']=$r['balance'];
	$fld['note']='Bank Initialization from Migration';
	$init_id=ins('bank_init', $fld);
	bank_init($init_id);	
}
// echo 'Complete<br>Migrating ...'; ob_flush(); flush();
echo 'Complete<br><br>Migration of Account\'s Master File has been Completed.';
ob_end_flush();
?>