<?php
include 'i/php-cus.php';
hd('Add Cash Advance');
pre();
ft();
function pre(){
	if(val_date('adv_date')) $fld[]=array('Date of Cash Advance', dte('adv_date', date_now()), '');
	$fld[]=array('Employee', txt('emp_name'), '');
	$fld[]=array('Source Bank', txt('bank_name'), '');
	$fld[]=array('Balance', '<span id="bal"></span>');
	$fld[]=array('Amount', txt('amt', '', 'n'), '');
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('emp_id').hdn('bank_id');
	$lnk=lnk('lst', 'View All', 'adv.php', '', 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Cash Advance', $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		$('#adv_date').valid(['', 'dte']);
		$('#emp_name').focus().cbo({
			fld:[
				['emp_name', 'Employee Name', ''],
				['pos_name', 'Position', ''],
			],
			src:'vw_emp',
			con:'active=1',
			srt:'emp_name',
			lbl:'emp_name',
			tag:[
				[$('#emp_id'), 'emp_id'],
			],
		}).valid();
		$('#bank_name').cbo({
			fld:[
				['bank_name', 'Bank Name', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
				['bal', 'Balance', 'dec'],
			],
			src:'bank',
			srt:'bank_name',
			lbl:'bank_name',
			tag:[
				[$('#bank_id'), 'bank_id'],
				[$('#bal'), 'bal'],
			],
		}).valid();
		$('#amt').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			var bal=$('#bal').text()-0;
			return $(this).val()-0>bal?'Please provide a value that is less than or equal to Balance which is '+bal+'.':true;
		}]);
		$('#note').valid();
		
		$('#rst').click(function(){
			$('#emp_id').val('');
			$('#bank_id').val('');
			$('#bal').text('');
			$('#emp_name').focus();
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var adv_id=$.ins('adv');
			if(adv_id){
				$.fnx('adv', adv_id, function(){
					$.ok('Cash Advance has been Added.');
					$('#rst').click();
				});
			}else $.err('Cash Advance was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>