<?php
include 'i/php-cus.php';
hd('Add Bank Initialization');
pre();
ft();
function pre(){
	if(val_date('init_date')) $fld[]=array('Date Initialized', dte('init_date', date_now()), '');
	$fld[]=array('Bank', txt('bank_name'), '');
	$fld[]=array('Initial Balance', txt('amt', '', 'n'), '');
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('bank_id');
	$lnk=lnk('lst', 'View All', 'bank-init.php', '', 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Bank Initialization', $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		$('#init_date').valid(['', 'dte']);
		$('#bank_name').focus().cbo({
			fld:[
				['bank_name', 'Bank Name', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
			],
			src:'bank',
			srt:'bank_name',
			lbl:'bank_name',
			tag:[
				[$('#bank_id'), 'bank_id'],
			],
		}).valid();
		$('#amt').valid(['', 'num']);
		$('#note').valid();
		
		$('#rst').click(function(){
			$('#hp_id').val('');
			$('#bank_name').focus();
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var init_id=$.ins('bank_init');
			if(init_id){
				$.fnx('bank_init', init_id, function(){
					$.ok('Bank Initialization has been Added.');
					$('#rst').click();
				});
			}else $.err('Bank Initialization was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>