<?php
include 'i/php-cus.php';
hd('Add Branch-Owned Remittance');
val_qry('acct_id', 'acct');
pre();
ft();
function pre(){
	$acct_id=$_GET['acct_id'];
	$acct_name=fld('acct_name', 'acct', 'acct_id="'.$acct_id.'"');
	if(val_date('rem_date')) $fld[]=array('Date Remitted', dte('rem_date', date_now()), '');
	$fld[]=array('Branch Customer', txt('cus_name'), '');
	$fld[]=array('Payment Method', sel('method', '', 'Cash; Check - Pending', 'Cash; Check'), '');
	$fld[]=array('Amount', txt('amt', '', 'n'), '');
	$fld[]=array('Check No.', txt('check_no', '', 's'), '');
	$fld[]=array('Encashment Date', dte('enc_date'), '');
	$fld[]=array('Target Bank', txt('bank_name'), '');
	$fld[]=array('Balance', '<span id="bal"></span>');
	$fld[]=array('Payment to Customer\'s Balance', chk('cus_pymt'));
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('acct_id', $acct_id).hdn('cus_id').hdn('bank_id');
	$lnk=lnk('lst', 'View All', 'branch-rem.php', 'acct_id='.$acct_id, 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Branch-Owned Remittance<br>'.$acct_name, $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		//alert(hello_world);
		var acct_id=$('#acct_id').val();
		$('#rem_date').valid(['', 'dte']);
		$('#cus_name').focus().cbo({
			fld:[
				['cus_name', 'Customer Name', ''],
				['contact_person', 'Contact Person', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
			],
			src:'cus',
			con:'acct_id="'+acct_id+'" and ra_id!=0 and active=1',
			srt:'cus_name',
			lbl:'cus_name',
			tag:[
				[$('#cus_id'), 'cus_id'],
			],
		}).valid();
		$('#method').change(function(){
			$('#check_no').val('').parent().parent().css('display', 'none');
			$('#enc_date').val('').parent().parent().css('display', 'none');
			if($(this).val()=='Check - Pending'){
				$('#check_no').parent().parent().css('display', 'table-row');
				$('#enc_date').parent().parent().css('display', 'table-row');
			}
		}).change().valid();
		$('#amt').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			if($('#cus_pymt').is(':checked')){
				var bal=$.fld('bal', 'cus', 'cus_id="'+$('#cus_id').val()+'"');
				return $(this).val()-0>bal?'Please provide a value that is less than or equal to Customer\'s Balance which is '+bal+'.':true;
			}else return true;
		}, function(){
			var bank_id=$.fld('bank_id', 'vw_cus', 'cus_id="'+$('#cus_id').val()+'"');
			if(bank_id){
				var bank=$.rec('bank', 'bank_id="'+bank_id+'"');
				return $('#amt').val()-0>bank.bal-0?'Please provide a value tha is less than or equal to '+bank.bank_name+': '+bank.bal+'.':true;
			}else return true;
		}]);
		$('#check_no').valid([function(){
			if($('#method').val()=='Check - Pending') return $(this).val()==''?'Please provide a value':true;
			else return true;
		}]);
		$('#enc_date').valid(['dte', function(){
			if($('#method').val()=='Check - Pending') return $(this).val()==''?'Please provide a value.':true;
			else return true;
		}]);
		$('#bank_name').cbo({
			fld:[
				['bank_name', 'Bank Name', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
				['bal', 'Balance', 'dec'],
			],
			src:'bank',
			srt:'bank_name',
			lbl:'bank_name',
			tag:[
				[$('#bank_id'), 'bank_id'],
				[$('#bal'), 'bal'],
			],
		}).valid();
		$('#note').valid();
		
		$('#rst').click(function(){
			$('#cus_id').val('');
			$('#method').change();
			$('#cus_name').focus();
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var rem_id=$.ins('branch_rem');
			if(rem_id){
				$.fnx('branch_rem', rem_id, function(){
					$.ok('Branch-Owned Remittance has been Added.');
					$('#rst').click();
				});
			}else $.err('Branch-Owned Remittance was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>