<?php
include 'i/php-cus.php';
hd('Product Budget');
val_qry('acct_id', 'acct');
$_POST?post():pre();
ft();
function pre($val=''){
	$acct_id=$_GET['acct_id'];
	$acct_name=fld('acct_name', 'acct', 'acct_id="'.$acct_id.'"');
	if(!$val){
		$val['from']=date_now();
		$val['to']=date_now();
	}
	$fld[]=array('Manufacturer', sel('man_id', $val, 'man_id', 'man_name', 'man', '', 'man_name'), '');
	$fld[]=array('Cash Amount per Bag', txt('amt', $val, 'n'), '');
	$fld[]=array('Date Started', dte('from', $val), '');
	$fld[]=array('Date Ended', dte('to', $val), '');
	$fld[]=array('Employee', txt('emp_name', $val), '');
	$fld[]=array('Area Coverage', txt('area', $val, 'l'));
	$hdn=hdn('emp_id', $val);
	$lnk=lnk('print', 'Print', '', '', 'img_print', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Product Budget<br>'.$acct_name, $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		$('.print').click(function(){
			window.open('print.php');
		});
		
		$('#man_id').focus().valid();
		$('#amt').valid(['', 'num']);
		$('#from').valid(['dte']);
		$('#to').valid(['dte']);
		$('#emp_name').cbo({
			fld:[
				['emp_name', 'Employee Name', ''],
				['pos_name', 'Position', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
			],
			src:'vw_emp',
			srt:'emp_name',
			lbl:'emp_name',
			tag:[
				[$('#emp_id'), 'emp_id'],
			],
		}).valid();
		$('#area').valid();
		
		$('#rst').click(function(){
			$('#emp_id').val('');
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			$('form').unbind('submit');
			$('form').submit();
		});
	});</script>
	<?php
}
function post(){
	pre($_POST);
	$acct_id=$_GET['acct_id'];
	$acct_name=fld('acct_name', 'acct', 'acct_id="'.$acct_id.'"');
	$man_id=$_POST['man_id'];
	$man_name=fld('man_name', 'man', 'man_id="'.$man_id.'"');
	$amt=$_POST['amt'];
	$from=$_POST['from'];
	$to=$_POST['to'];
	$emp_id=$_POST['emp_id'];
	$emp_name=$_POST['emp_name'];
	$area=$_POST['area'];
	
	$sale_date='';
	if($from&&$to) $sale_date='sale_date between "'.$from.'" and "'.$to.'"';
	elseif(!$from&&$to) $sale_date='sale_date<="'.$to.'"';
	elseif($from&&!$to) $sale_date='sale_date>="'.$from.'"';
	
	$sale_id=fld('group_concat(sale_id)', 'vw_sale', 'acct_id="'.$acct_id.'" and emp_id="'.$emp_id.'"'.($sale_date?' and '.$sale_date:'')
	.' and del_id=0', 'sale_date, sale_id');
	
	$q=qry('select hp_id, prod_id, prod_code from vw_po where rel_name="sale" and rel_id in ('.($sale_id?$sale_id:'""').') and man_id="'.$man_id
	.'" and del_id=0 group by hp_id order by cat_name, prod_code');
	
	if(mysqli_num_rows($q)){
		while($r=mysqli_fetch_row($q)) $hp[]=array('hp_id'=>$r[0], 'prod_id'=>$r[1], 'prod_code'=>$r[2], 'total'=>0);
		$colspan=count($hp)+4;
		ob_flush(); flush();
		?>
		<div id="rpt"><table class="grd">
			<thead>
				<tr><th colspan="<?php echo $colspan ?>">
					<?php
					echo 'TECHNICIAN BUDGET<br>DURATION: '
					.date('M d, Y', strtotime($from)).' - '.date('M d, Y', strtotime($to))
					.'<br>I-TECH NAME: '.$emp_name.'<br>AREA COVERAGE: '.$area;
					?>
				</th></tr>
					<tr>
						<th>DATE</th>
						<th>CUSTOMER</th>
						<th>DR#</th>
						<?php
						foreach($hp as $item){
							echo '<th>'.$item['prod_code'].'</th>';
							ob_flush(); flush();
						}
						?>
						<th>TOTAL</th>
					</tr></thead>
			<?php
			$net_total=0;
			$q=qry('select sale_id, sale_date, cus_name, note from vw_sale where acct_id="'.$acct_id.'" and emp_id="'.$emp_id.'"'
			.($sale_date?' and '.$sale_date:'').' and del_id=0 order by sale_date, sale_id');
			while($s=mysqli_fetch_assoc($q)){
				$row_total=0;
				?>
				<tr>
					<td class="center"><?php echo date('M d, Y', strtotime($s['sale_date'])) ?></td>
					<td><?php echo $s['cus_name'] ?></td>
					<td><?php echo lnk('', $s['sale_id'].' / '.$s['note'], 'sale-dtl.php', 'sale_id='.$s['sale_id'], '', 'View Sale Detail') ?></td>
					<?php
					foreach($hp as $key=>$item){
						$sum_qty=fld('sum(qty)', 'vw_po', 'rel_name="sale" and rel_id="'.$s['sale_id'].'" and hp_id="'.$item['hp_id'].'" and del_id=0');
						$qty=fld('qty', 'pct', 'tar_id="'.$item['prod_id'].'"');
						$bag_qty=$qty?$sum_qty/$qty:$sum_qty;
						$hp[$key]['total']=$hp[$key]['total']+$bag_qty;
						$row_total+=$bag_qty;
						echo '<td class="right">'.($bag_qty?number_format($bag_qty, 2):'').'</td>';
						ob_flush(); flush();
					}
					$net_total+=$row_total;
					echo '<td class="right">'.number_format($row_total, 2).'</td>';
					?>
				</tr>
				<?php
				ob_flush(); flush();
			}
			?>
			<tfoot><tr>
				<th colspan="3">TOTAL:</th>
				<?php
				foreach($hp as $item) echo '<th>'.number_format($item['total'], 2).'</th>';
				echo '<th>'.number_format($net_total, 2).'</th>';
				?>
			</tr></tfoot>
		</table>
		<br>
		<div class="center bold">
			<?php
			echo 'TOTAL: '.number_format($net_total, 2).' Bags x Php '.number_format($amt, 2).' = Php '.number_format($net_total*$amt, 2);
			?>
		</div></div>
		<?php
	}else err('No result(s) found.');
}
?>