<?php
include 'i/php-cus.php';
hd('Matured Check');
pre();
ft();
function pre(){
	?>
	<div id="tab_check">
		<ul>
			<li><a href="#tab_sup_pymt">Payment to Old Balance to Supplier</a></li>
			<li><a href="#tab_cus_pymt">Payment to Customer's Old Balance</a></li>
			<li><a href="#tab_pur_pymt">Purchase Payment</a></li>
			<li><a href="#tab_sale_pymt">Sale Payment</a></li>
			<li><a href="#tab_ref_sup">Refund from Supplier</a></li>
			<li><a href="#tab_ref_cus">Refund to Customer</a></li>
			<li><a href="#tab_acct_rem">Account Remittance</a></li>
			<li><a href="#tab_branch_rem">Branch-Owned Remittance</a></li>
		</ul>
		<div id="tab_sup_pymt">
			<?php
			//payment to old balance to supplier
			$fld[]=array('sup_name', 'Supplier', '', 'lnk', 'sup-pymt-dtl.php', 'pymt_id', '', 'View Payment to Old Balance to Supplier Detail');
			$fld[]=array('pymt_date', 'Date Paid', 'dte');
			$fld[]=array('or_no', 'OR No.', '');
			$fld[]=array('amt', 'Amount', 'dec');
			$fld[]=array('check_no', 'Check No.', '');
			$fld[]=array('enc_date', 'Encashment Date', 'dte');
			$fld[]=array('bank_name', 'Source Bank', '');
			$fld[]=array('note', 'Note', '');
			$fld[]=array('encoder', 'Encoder', '');
			$fld[]=array('', '', 'center', 'lnk', 'sup-pymt-upd.php', 'pymt_id', 'img_ok', 'Encash Check');
			grd('Payment to Old Balance to Supplier', $fld, 'vw_sup_pymt', 'method="Check - Pending" and enc_date<=curdate() and del_id=0', 'enc_date asc, pymt_date desc, pymt_id desc');
			?>
		</div>
		<div id="tab_cus_pymt">
			<?php
			//payment to customer's old balance
			unset($fld);
			$fld[]=array('cus_name', 'Customer', '', 'lnk', 'cus-pymt-dtl.php', 'pymt_id', '', 'View Payment to Cusomer\'s Old Balance Detail');
			$fld[]=array('pymt_date', 'Date Paid', 'dte');
			$fld[]=array('or_no', 'OR No.', '');
			$fld[]=array('amt', 'Amount', 'dec');
			$fld[]=array('check_no', 'Check No.', '');
			$fld[]=array('enc_date', 'Encashment Date', 'dte');
			$fld[]=array('bank_name', 'Target Bank', '');
			$fld[]=array('note', 'Note', '');
			$fld[]=array('encoder', 'Encoder', '');
			$fld[]=array('', '', 'center', 'lnk', 'cus-pymt-upd.php', 'pymt_id', 'img_ok', 'Encash Check');
			grd('Payment to Customer\'s Old Balance', $fld, 'vw_cus_pymt', 'method="Check - Pending" and enc_date<=curdate() and del_id=0', 'enc_date asc, pymt_date desc, pymt_id desc');
			?>
		</div>
		<div id="tab_pur_pymt">
			<?php
			//purchase payment
			unset($fld);
			$fld[]=array('sup_name', 'Supplier', '', 'lnk', 'pur-pymt-dtl.php', 'pymt_id', '', 'View Purchase Payment Detail');
			$fld[]=array('pymt_date', 'Date Paid', 'dte');
			$fld[]=array('or_no', 'OR No.', '');
			$fld[]=array('amt', 'Amount', 'dec');
			$fld[]=array('check_no', 'Check No.', '');
			$fld[]=array('enc_date', 'Encashment Date', 'dte');
			$fld[]=array('bank_name', 'Source Bank', '');
			$fld[]=array('note', 'Note', '');
			$fld[]=array('encoder', 'Encoder', '');
			$fld[]=array('', '', 'center', 'lnk', 'pur-pymt-upd.php', 'pymt_id', 'img_ok', 'Encash Check');
			grd('Purchase Payment', $fld, 'vw_pur_pymt', 'method="Check - Pending" and enc_date<=curdate() and del_id=0', 'enc_date asc, pymt_date desc, pymt_id desc');
			?>
		</div>
		<div id="tab_sale_pymt">
			<?php
			//sale payment
			unset($fld);
			$fld[]=array('cus_name', 'Customer', '', 'lnk', 'sale-pymt-dtl.php', 'pymt_id', '', 'View Payment to Cusomer\'s Old Balance Detail');
			$fld[]=array('pymt_date', 'Date Paid', 'dte');
			$fld[]=array('or_no', 'OR No.', '');
			$fld[]=array('amt', 'Amount', 'dec');
			$fld[]=array('check_no', 'Check No.', '');
			$fld[]=array('enc_date', 'Encashment Date', 'dte');
			$fld[]=array('bank_name', 'Target Bank', '');
			$fld[]=array('note', 'Note', '');
			$fld[]=array('encoder', 'Encoder', '');
			$fld[]=array('', '', 'center', 'lnk', 'sale-pymt-upd.php', 'pymt_id', 'img_ok', 'Encash Check');
			grd('Sale Payment', $fld, 'vw_sale_pymt', 'method="Check - Pending" and enc_date<=curdate() and del_id=0', 'enc_date asc, pymt_date desc, pymt_id desc');
			?>
		</div>
		<div id="tab_ref_sup">
			<?php
			//refund from supplier
			unset($fld);
			$fld[]=array('sup_name', 'Supplier', '', 'lnk', 'ref-sup-dtl.php', 'ref_id', '', 'View Refund from Supplier Detail');
			$fld[]=array('ref_date', 'Date Refunded', 'dte');
			$fld[]=array('amt', 'Amount', 'dec');
			$fld[]=array('check_no', 'Check No.', '');
			$fld[]=array('enc_date', 'Encashment Date', 'dte');
			$fld[]=array('bank_name', 'Target Bank', '');
			$fld[]=array('note', 'Note', '');
			$fld[]=array('encoder', 'Encoder', '');
			$fld[]=array('', '', 'center', 'lnk', 'ref-sup-upd.php', 'ref_id', 'img_ok', 'Encash Check');
			grd('Refund from Supplier', $fld, 'vw_ref_sup', 'method="Check - Pending" and enc_date<=curdate() and del_id=0', 'enc_date asc, ref_date desc, ref_id desc');
			?>
		</div>
		<div id="tab_ref_cus">
			<?php
			//refund to customer
			unset($fld);
			$fld[]=array('cus_name', 'Customer', '', 'lnk', 'ref-cus-dtl.php', 'ref_id', '', 'View Refund to Customer Detail');
			$fld[]=array('ref_date', 'Date Refunded', 'dte');
			$fld[]=array('amt', 'Amount', 'dec');
			$fld[]=array('check_no', 'Check No.', '');
			$fld[]=array('enc_date', 'Encashment Date', 'dte');
			$fld[]=array('bank_name', 'Source Bank', '');
			$fld[]=array('note', 'Note', '');
			$fld[]=array('encoder', 'Encoder', '');
			$fld[]=array('', '', 'center', 'lnk', 'ref-cus-upd.php', 'ref_id', 'img_ok', 'Encash Check');
			grd('Refund to Customer', $fld, 'vw_ref_cus', 'method="Check - Pending" and enc_date<=curdate() and del_id=0', 'enc_date asc, ref_date desc, ref_id desc');
			?>
		</div>
		<div id="tab_acct_rem">
			<?php
			//account remittance
			unset($fld);
			$fld[]=array('acct_name', 'Account', '', 'lnk', 'acct-rem-dtl.php', 'rem_id', '', 'View Account Remittance Detail');
			$fld[]=array('rem_date', 'Date Remitted', 'dte');
			$fld[]=array('amt', 'Amount', 'dec');
			$fld[]=array('check_no', 'Check No.', '');
			$fld[]=array('enc_date', 'Encashment Date', 'dte');
			$fld[]=array('bank_name', 'Source Bank', '');
			$fld[]=array('note', 'Note', '');
			$fld[]=array('encoder', 'Encoder', '');
			$fld[]=array('', '', 'center', 'lnk', 'acct-rem-upd.php', 'rem_id', 'img_ok', 'Encash Check');
			grd('Account Remittance', $fld, 'vw_acct_rem', 'method="Check - Pending" and enc_date<=curdate() and del_id=0', 'enc_date asc, rem_date desc, rem_id desc');
			?>
		</div>
		<div id="tab_branch_rem">
			<?php
			//branch-owned remittance
			unset($fld);
			$fld[]=array('cus_name', 'Customer', '', 'lnk', 'branch-rem-dtl.php', 'rem_id', '', 'View Branch-Owned Remittance Detail');
			$fld[]=array('rem_date', 'Date Remitted', 'dte');
			$fld[]=array('amt', 'Amount', 'dec');
			$fld[]=array('check_no', 'Check No.', '');
			$fld[]=array('enc_date', 'Encashment Date', 'dte');
			$fld[]=array('bank_name', 'Target Bank', '');
			$fld[]=array('note', 'Note', '');
			$fld[]=array('encoder', 'Encoder', '');
			$fld[]=array('', '', 'center', 'lnk', 'branch-rem-upd.php', 'rem_id', 'img_ok', 'Encash Check');
			grd('Branch-Owned Remittance', $fld, 'vw_branch_rem', 'method="Check - Pending" and enc_date<=curdate() and del_id=0', 'enc_date asc, rem_date desc, rem_id desc');
			?>
		</div>
			
	</div>
	<?php
	ob_flush(); flush();
	?>
	<script type="text/javascript">$(function(){
		$('#tab_check').tabs();
	});</script>
	<?php
}
?>