<?php
include 'i/php-cus.php';
hd('Add Subjective Conversion');
val_qry('house_id', 'house');
pre();
ft();
function pre(){
	$house_id=$_GET['house_id'];
	$house_name=fld('house_name', 'house', 'house_id="'.$house_id.'"');
	if(val_date('conv_date')) $fld[]=array('Date Converted', dte('conv_date', date_now()), '');
	$fld[]=array('Source Product', txt('src_name'), '');
	$fld[]=array('Stock', '<span id="stock"></span>');
	$fld[]=array('Source Quantity', txt('src_qty', '', 'n'), '');
	$fld[]=array('Target Product', txt('tar_name'), '');
	$fld[]=array('Target Quantity', txt('qty', '', 'n'), '');
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('house_id', $house_id).hdn('src_id').hdn('hp_id');
	$lnk=lnk('lst', 'View All', 'conv.php', 'house_id='.$house_id, 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Subjective Conversion<br>'.$house_name, $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		var house_id=$('#house_id').val();
		$('#conv_date').focus().valid(['', 'dte']);
		$('#src_name').cbo({
			fld:[
				['prod_code', 'Product Code', ''],
				['prod_name', 'Product Name', ''],
				['good_qty', 'Stock', 'dec'],
				['cat_name', 'Category', ''],
				['man_name', 'Manufacturer', ''],
				['rol', 'Re-Order Level', 'dec'],
			],
			src:'vw_house_prod',
			con:'house_id="'+house_id+'" and active=1',
			srt:'cat_name, man_name, prod_name',
			lbl:'prod_name',
			tag:[
				[$('#src_id'), 'hp_id'],
				[$('#stock'), 'good_qty'],
			],
		}).valid();
		$('#src_qty').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			var good_qty=$.fld('good_qty', 'house_prod', 'hp_id="'+$('#src_id').val()+'"');
			return $(this).val()-0>good_qty?'Please provide a value that is less than or equal to Stock which is '+good_qty+'.':true;
		}]);
		$('#tar_name').cbo({
			fld:[
				['prod_code', 'Product Code', ''],
				['prod_name', 'Product Name', ''],
				['good_qty', 'Stock', 'dec'],
				['cat_name', 'Category', ''],
				['man_name', 'Manufacturer', ''],
				['rol', 'Re-Order Level', 'dec'],
			],
			src:'vw_house_prod',
			con:'house_id="'+house_id+'" and active=1',
			srt:'cat_name, man_name, prod_name',
			lbl:'prod_name',
			tag:[
				[$('#hp_id'), 'hp_id'],
			],
		}).valid(['', function(){
			return $('#tar_id').val()==$('#src_id').val()?'Please provide a value that is not equal to Source Product.':true;
		}]);
		$('#qty').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}]);
		
		$('#rst').click(function(){
			$('#src_id').val('');
			$('#hp_id').val('');
			$('#stock').text('');
			$('#conv_date').focus();
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var conv_id=$.ins('conv');
			if(conv_id){
				$.ins('pi', [
					['rel_name', 'conv'],
					['rel_id', conv_id],
					['good', 1],
					['bal', $('#qty').val()],
				]);
				$.fnx('conv', [
					'sub',
					conv_id,
					$('#src_id').val(),
					$('#src_qty').val(),
				], function(){
					$.ok('Subjective Conversion has been Added.');
					$('#rst').click();
				});
			}else $.err('Subjective Conversion was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>