<?php
include 'i/php-cus.php';
hd('Add Customer Initialization');
val_qry('acct_id', 'acct');
pre();
ft();
function pre(){
	$acct_id=$_GET['acct_id'];
	$acct_name=fld('acct_name', 'acct', 'acct_id="'.$acct_id.'"');
	if(val_date('init_date')) $fld[]=array('Date Initialized', dte('init_date', date_now()), '');
	$fld[]=array('Customer', txt('cus_name'), '');
	$fld[]=array('Old Balance', txt('amt', '', 'n'), '');
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('acct_id', $acct_id).hdn('cus_id');
	$lnk=lnk('lst', 'View All', 'cus-init.php', 'acct_id='.$acct_id, 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Customer Initialization<br>'.$acct_name, $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		var acct_id=$('#acct_id').val();
		$('#init_date').valid(['', 'dte']);
		$('#cus_name').focus().cbo({
			fld:[
				['cus_name', 'Customer Name', ''],
				['contact_person', 'Contact Person', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
			],
			src:'cus',
			con:'acct_id="'+acct_id+'" and active=1',
			srt:'cus_name',
			lbl:'cus_name',
			tag:[
				[$('#cus_id'), 'cus_id'],
			],
		}).valid();
		$('#amt').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}]);
		$('#note').valid();
		
		$('#rst').click(function(){
			$('#cus_id').val('');
			$('#cus_name').focus();
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var init_id=$.ins('cus_init');
			if(init_id){
				$.fnx('cus_init', init_id, function(){
					$.ok('Customer Initialization has been Added.');
					$('#rst').click();
				});
			}else $.err('Customer Initialization was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>