<?php
include 'i/php-cus.php';
hd('Add Payment to Customer\'s Old Balance');
val_qry('acct_id', 'acct');
pre();
ft();
function pre(){
	$acct_id=$_GET['acct_id'];
	$acct_name=fld('acct_name', 'acct', 'acct_id="'.$acct_id.'"');
	$fld[]=array('Customer', txt('cus_name'), '');
	$fld[]=array('Old Balance', '<span id="cus_bal"></span>');
	if(val_date('pymt_date')) $fld[]=array('Date Paid', dte('pymt_date', date_now()), '');
	$fld[]=array('OR No.', txt('or_no', '', 's'), '');
	$fld[]=array('Payment Method', sel('method', '', 'Cash; Check - Pending', 'Cash; Check'), '');
	$fld[]=array('Amount', txt('amt', '', 'n'), '');
	$fld[]=array('Check No.', txt('check_no', '', 's'), '');
	$fld[]=array('Encashment Date', dte('enc_date'), '');
	$fld[]=array('Target Bank', txt('bank_name'), '');
	$fld[]=array('Balance', '<span id="bank_bal"></span>');
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('acct_id', $acct_id).hdn('cus_id').hdn('bank_id');
	$lnk=lnk('lst', 'View All', 'cus-pymt.php', 'acct_id='.$acct_id, 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Payment to Customer\'s Old Balance<br>'.$acct_name, $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		var acct_id=$('#acct_id').val();
		var pymt_date=$('#pymt_date').val();
		
		$('#cus_name').cbo({
			fld:[
				['cus_name', 'Customer Name', ''],
				['contact_person', 'Contact Person', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
			],
			src:'cus',
			con:'acct_id="'+acct_id+'" and active=1',
			lbl:'cus_name',
			tag:[
				[$('#cus_id'), 'cus_id'],
			],
			select:function(event, ui){
				var cus_init=$.fld('sum(amt)', 'cus_init', 'cus_id="'+$('#cus_id').val()+'" and del_id=0')-0;
				var cus_pymt=$.fld('sum(amt)', 'cus_pymt', 'cus_id="'+$('#cus_id').val()+'" and method!="Check - Pending" and del_id=0')-0;
				var cus_bal=cus_init-cus_pymt;
				$('#cus_bal').text(cus_bal);
			}
		}).valid();
		$('#pymt_date').valid(['', 'dte']);
		$('#or_no').valid();
		$('#method').change(function(){
			if($(this).val()=='Check - Pending'){
				$('#check_no').parent().parent().css('display', 'table-row');
				$('#enc_date').parent().parent().css('display', 'table-row');
			}else{
				$('#check_no').val('').parent().parent().css('display', 'none');
				$('#enc_date').val('').parent().parent().css('display', 'none');
			}
		}).change().valid();
		$('#amt').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			var cus_init=$.fld('sum(amt)', 'cus_init', 'cus_id="'+$('#cus_id').val()+'" and del_id=0')-0;
			var cus_pymt=$.fld('sum(amt)', 'cus_pymt', 'cus_id="'+$('#cus_id').val()+'" and method!="Check - Pending" and del_id=0')-0;
			var cus_bal=cus_init-cus_pymt;
			return $(this).val()-0>cus_bal?'Please provide a value that is less than or equal to Customer\'s Old Balance which is '+cus_bal+'.':true;
		}, function(){
			var bank_id=$.fld('bank_id', 'vw_cus', 'cus_id="'+$('#cus_id').val()+'"');
			if(bank_id){
				console.log('bank_id: '+bank_id);
				var bank=$.rec('bank', 'bank_id="'+bank_id+'"');
				console.log(bank);
				return $('#amt').val()-0>bank.bal-0?'Please provide a value that is less than or equal to '+bank.bank_name+': '+bank.bal+'.':true;
			}else return true;
		}]);
		$('#check_no').valid([function(){
			if($('#method').val()=='Cash') return true;
			else{
				return $(this).val()==''?'Please provide a value':true;
			}
		}]);
		$('#enc_date').valid(['dte', function(){
			if($('#method').val()=='Cash') return true;
			else{
				return $(this).val()==''?'Please provide a value.':true;
			}
		}]);
		$('#bank_name').cbo({
			fld:[
				['bank_name', 'Bank Name', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
				['bal', 'Balance', 'dec'],
			],
			src:'bank',
			srt:'bank_name',
			lbl:'bank_name',
			tag:[
				[$('#bank_id'), 'bank_id'],
				[$('#bank_bal'), 'bal'],
			],
		}).valid();
		$('#note').valid();
		
		$('#rst').click(function(){
			$('#cus_id').val('');
			$('#cus_name').val('');
			$('#cus_bal').text('');
			$('#pymt_date').val(pymt_date);
			$('#or_no').val('');
			$('#method').val('').change();
			$('#amt').val('');
			var bank_id=$.fld('bank_id', 'acct', 'acct_id="'+acct_id+'"');
			var r=$.rec('bank', 'bank_id="'+bank_id+'"');
			$('#bank_id').val(bank_id);
			$('#bank_name').val(r.bank_name).focus();
			$('#bank_bal').text(r.bal);
			$('#note').val('');
			$('#cus_name').focus();
			return false;
		}).click();
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var pymt_id=$.ins('cus_pymt');
			if(pymt_id){
				$.fnx('cus_pymt', pymt_id, function(){
					$.ok('Payment to Customer\'s Old Balance has been Added.');
					$('#rst').click();
				});
			}else $.err('Payment to Customer\'s Old Balance was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>