<?php
include 'i/php-cus.php';
hd('Daily Product Transaction');
val_qry('hp_id', 'house_prod');
pre();
ft();
function pre(){
	$hp_id=$_GET['hp_id'];
	$house_name=fld('house_name', 'vw_house_prod', 'hp_id="'.$hp_id.'"');
	$prod_name=fld('prod_name', 'vw_house_prod', 'hp_id="'.$hp_id.'"');
	house_prod_dtl($hp_id);
	ob_flush(); flush();
	
	if(isset($_POST['from'])) $from=$_POST['from'];
	elseif(isset($_GET['from'])) $from=$_GET['from'];
	else $from=date_now();
	if(isset($_POST['to'])) $to=$_POST['to'];
	elseif(isset($_GET['to'])) $to=$_GET['to'];
	else $to=date_now();
	
	$fld[]=array('From', dte('from', $from));
	$fld[]=array('To', dte('to', $to));
	$hdn=hdn('hp_id', $hp_id);
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Daily Product Transaction Detail', '', $hdn, $btn);
	ob_flush(); flush();
		
	$smt='';
	if($from&&$to) $smt.=' and (trx_date between "'.$from.'" and "'.$to.'")';
	else if($from&&!$to) $smt.=' and (trx_date>="'.$from.'")';	
	else if(!$from&&$to) $smt.=' and (trx_date<="'.$to.'")';
	
	//good in
	$pur_good=fld('sum(qty)', 'vw_pi_trx', 'rel_name="pur" and hp_id="'.$hp_id.'" and good=1'.$smt);			
	$pur_que=fld('sum(qty)', 'vw_pi_trx', 'rel_name="pur" and hp_id="'.$hp_id.'" and good=0'.$smt);			
	$conv_in=fld('sum(qty)', 'vw_pi_trx', 'rel_name="conv" and hp_id="'.$hp_id.'"'.$smt);					
	$init_good=fld('sum(qty)', 'vw_pi_trx', 'rel_name="init" and hp_id="'.$hp_id.'" and good=1'.$smt); 		
	$xfer_in=fld('sum(qty)', 'vw_pi_trx', 'rel_name="xfer" and hp_id="'.$hp_id.'"'.$smt);					
	$rep_sup_in=fld('sum(qty)', 'vw_pi_trx', 'rel_name="rep_sup" and hp_id="'.$hp_id.'"'.$smt);				
	$rep_cus_good=fld('sum(qty)', 'vw_pi_trx', 'rel_name="rep_cus" and hp_id="'.$hp_id.'" and good=1'.$smt);	
	$ret_cus_good=fld('sum(qty)', 'vw_pi_trx', 'rel_name="ret_cus" and hp_id="'.$hp_id.'" and good=1'.$smt);	
	$good_in=$pur_good+$conv_in+$init_good+$xfer_in+$rep_sup_in+$rep_cus_good+$ret_cus_good;							
	//good out
	$sale=fld('sum(grp_qty)', 'vw_pog_trx', 'rel_name="sale" and hp_id="'.$hp_id.'"'.$smt);					
	$conv_out=fld('sum(grp_qty)', 'vw_pog_trx', 'rel_name="conv" and hp_id="'.$hp_id.'"'.$smt);				
	$xfer_out=fld('sum(grp_qty)', 'vw_pog_trx', 'rel_name="xfer" and hp_id="'.$hp_id.'"'.$smt);				
	$rep_sup_out=fld('sum(grp_qty)', 'vw_pog_trx', 'rel_name="rep_sup" and hp_id="'.$hp_id.'"'.$smt);		
	$rep_cus_out=fld('sum(grp_qty)', 'vw_pog_trx', 'rel_name="rep_cus" and hp_id="'.$hp_id.'"'.$smt);		
	$ret_sup=fld('sum(grp_qty)', 'vw_pog_trx', 'rel_name="ret_sup" and hp_id="'.$hp_id.'"'.$smt);			
	$good_out=$sale+$conv_out+$xfer_out+$rep_sup_out+$rep_cus_out+$ret_sup;								
	//bad in
	$rep_cus_bad=fld('sum(qty)', 'vw_pi_trx', 'rel_name="rep_cus" and hp_id="'.$hp_id.'" and good=0'.$smt);	
	$ret_cus_bad=fld('sum(qty)', 'vw_pi_trx', 'rel_name="ret_cus" and hp_id="'.$hp_id.'" and good=0'.$smt);	
	$init_bad=fld('sum(qty)', 'vw_pi_trx', 'rel_name="init" and hp_id="'.$hp_id.'" and good=0'.$smt);	
	$bad_in=$rep_cus_bad+$ret_cus_bad+$init_bad;																	
	//bad out
	$loss=fld('sum(grp_qty)', 'vw_pog_trx', 'rel_name="loss" and hp_id="'.$hp_id.'"'.$smt);					
	$bad_out=$loss;
	
	$qry='hp_id='.$hp_id.'; from='.$from.'; to='.$to;
	
	ob_flush(); flush();
	?>
	<table class="grd">
		<thead>
			<tr>
				<th colspan="8">
					<?php
					echo 'Daily Product Transaction<br>'.$house_name.'<br>'.$prod_name.'<br>'.($from?'From '.date('M d, Y', strtotime($from)):'').($to?' To '.date('M d, Y', strtotime($to)):'');
					?>
				</th>
			</tr>
			<tr>
				<th colspan="2">Good Incoming</th>
				<th colspan="2">Good Outgoing</th>
				<th colspan="2">Damaged Incoming</th>
				<th colspan="2">Damaged Outgoing</th>
			</tr>
		</thead>
		<tr>
			<td>Purchased as Received</td>
			<td class="right"><?php echo lnk('', number_format($pur_good, 2), 'house-prod-pur.php', $qry) ?></td>
			<td>Sold</td>
			<td class="right"><?php echo lnk('', number_format($sale, 2), 'house-prod-sale.php', $qry) ?></td>
			<td>Replaced from Customer as Damaged</td>
			<td class="right"><?php echo lnk('', number_format($rep_cus_bad, 2), 'house-prod-rep-cus-bad.php', $qry) ?></td>
			<td>Loss Damaged</td>
			<td class="right"><?php echo lnk('', number_format($loss, 2), 'house-prod-loss.php', $qry) ?></td>
		</tr>
		<tr>
			<td>Purchased as Pending / Direct Delivery</td>
			<td class="right">(<?php echo lnk('', number_format($pur_que, 2), 'house-prod-dlv.php', $qry) ?>)</td>
			<td>Converted Source</td>
			<td class="right"><?php echo lnk('', number_format($conv_out, 2), 'house-prod-conv-src.php', $qry) ?></td>
			<td>Returned from Customer as Damaged</td>
			<td class="right"><?php echo lnk('', number_format($ret_cus_bad, 2), 'house-prod-ret-cus-bad.php', $qry) ?></td>
			<td></td>
			<td class="right"></td>
		</tr>
		<tr>
			<td>Converted Target</td>
			<td class="right"><?php echo lnk('', number_format($conv_in, 2), 'house-prod-conv-tar.php', $qry) ?></td>
			<td>Sent Transferred</td>
			<td class="right"><?php echo lnk('', number_format($xfer_out, 2), 'house-prod-xfer-out.php', $qry) ?></td>
			<td>Initialized Damaged</td>
			<td class="right"><?php echo lnk('', number_format($init_bad, 2), 'house-prod-init-bad.php', $qry) ?></td>
			<td></td>
			<td class="right"></td>
		</tr>
		<tr>
			<td>Received Transferred</td>
			<td class="right"><?php echo lnk('', number_format($xfer_in, 2), 'house-prod-xfer-in.php', $qry) ?></td>
			<td>Replaced to Supplier</td>
			<td class="right"><?php echo lnk('', number_format($rep_sup_out, 2), 'house-prod-rep-sup-out.php', $qry) ?></td>
			<td></td>
			<td class="right"></td>
			<td></td>
			<td class="right"></td>
		</tr>
		<tr>
			<td>Replaced from Supplier</td>
			<td class="right"><?php echo lnk('', number_format($rep_sup_in, 2), 'house-prod-rep-sup-in.php', $qry) ?></td>
			<td>Replaced to Customer</td>
			<td class="right"><?php echo lnk('', number_format($rep_cus_out, 2), 'house-prod-rep-cus-out.php', $qry) ?></td>
			<td></td>
			<td class="right"></td>
			<td></td>
			<td class="right"></td>
		</tr>
		<tr>
			<td>Replaced from Customer as Good</td>
			<td class="right"><?php echo lnk('', number_format($rep_cus_good, 2), 'house-prod-rep-cus-good.php', $qry) ?></td>
			<td>Returned to Supplier</td>
			<td class="right"><?php echo lnk('', number_format($ret_sup, 2), 'house-prod-ret-sup.php', $qry) ?></td>
			<td></td>
			<td class="right"></td>
			<td></td>
			<td class="right"></td>
		</tr>
		<tr>
			<td>Returned from Customer as Good</td>
			<td class="right"><?php echo lnk('', number_format($ret_cus_good, 2), 'house-prod-ret-cus-good.php', $qry) ?></td>
			<td></td>
			<td class="right"></td>
			<td></td>
			<td class="right"></td>
			<td></td>
			<td class="right"></td>
		</tr>
		<tr>
			<td>Initialized Good</td>
			<td class="right"><?php echo lnk('', number_format($init_good, 2), 'house-prod-init-good.php', $qry) ?></td>
			<td></td>
			<td class="right"></td>
			<td></td>
			<td class="right"></td>
			<td></td>
			<td class="right"></td>
		</tr>
		<tfoot><tr>
			<th>Total:</th>
			<th><?php echo number_format($good_in, 2) ?></th>
			<th></th>
			<th><?php echo number_format($good_out, 2) ?></th>
			<th></th>
			<th><?php echo number_format($bad_in, 2) ?></th>
			<th></th>
			<th><?php echo number_format($bad_out, 2) ?></th>
		</tr></tfoot>
	</table>
	<script type="text/javascript">$(function(){
		$('#from').valid(['dte']);
		$('#to').valid(['dte']);
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			$('form').unbind('submit');
			$('form').submit();
		});
	});</script>
	<?php																						
}
?>