$.extend({
	val_frm:function(id, val){
		if(val==null||val==undefined) return "";
		return typeof val=="object"?val[id]||"":val;
	},
	lnk:function(id, val, url, qry, img, title, cls){
		return $("<a>", {
			href:function(){
				if(url){
					if(qry){
						for(var i in qry){
							if(val==null||val==undefined) qry[i]=qry[i]+"=";
							else if(typeof val=="object"&&val[qry[i]]!=undefined) qry[i]=qry[i]+"="+val[qry[i]];
						}
						url+="?"+qry.join("&");
					}
					return url;
				}else return "javascript:";
			},
			title:title,
			class:(id||"")+" "+(cls||"")
		}).append(img?$("<div>", {class:img}):"").append(function(){
			var lbl=$.val_frm(id, val);
			return lbl?$("<span>").append(lbl):"";
		});
		// .attr('target', function(){
			// return img=='img_print'?'_blank':'';
		// })
	},
	rst:function(id, val, img, cls){
		return $("<button>", {type:"reset", id:id, class:"btn "+(cls||"")}).append(img?$("<div>", {class:img}):"")
		.append(val?$("<span>").append(val):"");
	},
	btn:function(id, val, img, cls){
		return $("<button>", {type:"button", id:id, class:"btn "+(cls||"")}).append(img?$("<div>", {class:img}):"")
		.append(val?$("<span>").append(val):"");
	},
	sbt:function(id, val, img, cls){
		return $("<button>", {type:"submit", id:id, class:"btn "+(cls||"")}).append(img?$("<div>", {class:img}):"")
		.append(val?$("<span>").append(val):"");
	},
	chk:function(id, val, chk_val, chk_lbl, cls){
		val=$.val_frm(id, val);
		chk_val=chk_val||1;
		return $("<label>").append($("<input>", {type:"checkbox", id:id, name:id, value:chk_val, checked:val==chk_val, class:cls}))
		.append(chk_lbl?$("<span>").append(chk_lbl):"");
	},
	dte:function(id, val, cls){
		val=$.val_frm(id, val);
		val=$.val_fmt(val, "dte", 1);
		return $("<input>", {type:"date", id:id, name:id, value:val, class:cls});
	},
	dtm:function(id, val, cls){
		val=$.val_frm(id, val);
		val=$.val_fmt(val, "dtm", 1);
		return $("<input>", {type:"datetime-local", id:id, name:id, value:val, class:cls});
	},
	fil:function(id, cls){
		return $("<input>", {type:"file", id:id, name:id, class:cls});
	},
	hdn:function(id, val, cls){
		return $("<input>", {type:"hidden", id:id, name:id, value:$.val_frm(id, val), class:cls});
	},
	pwd:function(id, size, cls){
		if(size=="s") size=10;
		else if(size=="n") size=20;
		else if(!size) size=30;
		else if(size=="l") size=40;
		return $("<input>", {type:"password", id:id, name:id, class:cls}).attr("size", size);
	},
	rad:function(id, val, rad_val, rad_lbl, src, con, srt, cls){
		val=$.val_frm(id, val);
		if(src){
			var q=$.qry("select "+rad_val+", "+rad_lbl+" from "+src+(con?" where "+con:"")+(srt?" order by "+srt:""));
			var rad_val=[];
			var rad_lbl=[];
			for(var i in q){
				rad_val[i]=q[i][0];
				rad_lbl[i]=q[i][1];
			}
		}
		var tag=[];
		for(var i in rad_val) tag[i]=$("<label>").append($("<input>", {type:"radio", name:id, value:rad_val[i],
			checked:(i==0&&!val)||rad_val[i]==val, class:(id||"")+" "+(cls||"")})).append($("<span>").append(rad_lbl[i]));
		return tag;
	},
	txt:function(id, val, size, col, row, cls){
		val=$.val_frm(id, val);
		if(size=="a") return $("<textarea>", {id:id, name:id, value:val, cols:col||57, rows:row||5, class:cls});
		else{
			if(size=="s") size=7;
			else if(size=="n") size=14;
			else if(!size) size=28;
			else if(size=="l") size=56;
			return $("<input>", {type:"text", id:id, name:id, value:val, class:cls}).attr("size", size);
		}
	},
	tme:function(id, val, cls){
		val=$.val_frm(id, val);
		val=$.val_fmt(val, "tme", 1);
		return $("<input>", {type:"time", id:id, name:id, value:val, class:cls});
	},
	sel:function(id, val, sel_val, sel_lbl, src, con, srt, cls){
		val=$.val_frm(id, val);
		if(src){
			var q=$.qry("select "+sel_val+", "+sel_lbl+" from "+src+(con?" where "+con:"")+(srt?" order by "+srt:""));
			var sel_val=[];
			var sel_lbl=[];
			for(var i in q){
				sel_val[i]=q[i][0];
				sel_lbl[i]=q[i][1];
			}
		}
		var tag=$("<select>", {id:id, name:id, class:cls});
		tag.append($("<option>", {value:"", selected:!val}).append("-"));
		for(var i in sel_val) tag.append($("<option>", {value:sel_val[i], selected:sel_val[i]==val}).append(sel_lbl[i]));
		return tag;
	},
});
