<?php
include 'i/php-cus.php';
$acct_name=fld('acct_name', 'acct');
hd($acct_name?$acct_name:'Business Management System');
pre();
ft();
function pre(){
	$trx_date=date_now();
	$q=qry('select * from acct order by acct_name');
	while($r=mysqli_fetch_assoc($q)) $acct[$r['acct_id']]=$r['acct_name'];
	if($acct){
		$smt='<table class="grd"><thead><tr><th colspan="2">Daily Statistics - '.date('M d, Y', time()).'</th></tr></thead></table>'
		.'<div id="tab_stat"><ul>';
		foreach($acct as $key=>$item) $smt.='<li><a href="#acct'.$key.'">'.$item.'</a></li>';
		$smt.='</ul>';
		echo $smt; ob_flush(); flush();
		$smt='';
		foreach($acct as $key=>$item){
			echo '<div id="acct'.$key.'""><div class="fill" style="display:flex;"><div class="half" style="padding-right:20px;">'; ob_flush(); flush();
			//pending purchase
			$smt='<table class="grd fill"><thead><tr><th colspan="3">Purchase as Pending</th></tr>';
			$q=qry('select pur_id, or_no, sup_name, amt from vw_pur where acct_id="'.$key.'" and pur_date="'.$trx_date.'" and emp_id=0 and del_id=0 order by pur_id desc');
			if(mysqli_num_rows($q)){
				$smt.='<tr><th>OR No.</th><th>Supplier</th><th>Total</th></tr></thead>';
				while($r=mysqli_fetch_assoc($q))
					$smt.='<tr><td>'.lnk('', $r['or_no'], 'pur-dtl.php', 'pur_id='.$r['pur_id'], '', 'View Purchase Detail').'</td><td>'.$r['sup_name'].'</td><td class="right">'.number_format($r['amt'], 2).'</td></tr>';
				$total=fld('sum(amt)', 'vw_pur', 'acct_id="'.$key.'" and pur_date="'.$trx_date.'" and emp_id=0 and del_id=0');
				$smt.='<tfoot><tr><th colspan="2">Total:</th><th>'.number_format($total, 2).'</th></tr></tfoot>';
			}else $smt.='<tr><td colspan="3">No result(s) found.</td></tr></thead>';
			$smt.='</table>';
			echo $smt; ob_flush(); flush();
			//purchase payment
			$smt='<table class="grd fill"><thead><tr><th colspan="3">Purchase Payment</th></tr>';
			$q=qry('select pymt_id, or_no, sup_name, amt from vw_pur_pymt where acct_id="'.$key.'" and pymt_date="'.$trx_date.'" and del_id=0 order by pymt_id desc');
			if(mysqli_num_rows($q)){
				$smt.='<tr><th>OR No.</th><th>Supplier</th><th>Amount</th></tr></thead>';
				while($r=mysqli_fetch_assoc($q))
					$smt.='<tr><td>'.lnk('', $r['or_no'], 'pur-pymt-dtl.php', 'pymt_id='.$r['pymt_id'], '', 'View Purchase Payment Detail').'</td><td>'.$r['sup_name'].'</td><td class="right">'.number_format($r['amt'], 2).'</td></tr>';
				$total=fld('sum(amt)', 'vw_pur_pymt', 'acct_id="'.$key.'" and pymt_date="'.$trx_date.'" and del_id=0');
				$smt.='<tfoot><tr><th colspan="2">Total:</th><th>'.number_format($total, 2).'</th></tr></tfoot>';
			}else $smt.='<tr><td colspan="3">No result(s) found.</td></tr></thead>';
			$smt.='</table>';
			echo $smt; ob_flush(); flush();
			//sale
			$smt='<table class="grd fill"><thead><tr><th colspan="3">Sale</th></tr>';
			$q=qry('select sale_id, cus_name, amt from vw_sale where acct_id="'.$key.'" and sale_date="'.$trx_date.'" and del_id=0 order by sale_id desc');
			if(mysqli_num_rows($q)){
				$smt.='<tr><th>OR No.</th><th>Customer</th><th>Total</th></tr></thead>';
				while($r=mysqli_fetch_assoc($q))
					$smt.='<tr><td>'.lnk('', $r['sale_id'], 'sale-dtl.php', 'sale_id='.$r['sale_id'], '', 'View Sale Detail').'</td><td>'.$r['cus_name'].'</td><td class="right">'.number_format($r['amt'], 2).'</td></tr>';
				$total=fld('sum(amt)', 'vw_sale', 'acct_id="'.$key.'" and sale_date="'.$trx_date.'" and del_id=0');
				$smt.='<tfoot><tr><th colspan="2">Total:</th><th>'.number_format($total, 2).'</th></tr></tfoot>';
			}else $smt.='<tr><td colspan="3">No result(s) found.</td></tr></thead>';
			$smt.='</table>';
			echo $smt; ob_flush(); flush();
			//customer payment
			$smt='<table class="grd fill"><thead><tr><th colspan="3">Payment to Customer\'s Old Balance</th></tr>';
			$q=qry('select pymt_id, or_no, cus_name, amt from vw_cus_pymt where acct_id="'.$key.'" and pymt_date="'.$trx_date.'" and del_id=0 order by pymt_id desc');
			if(mysqli_num_rows($q)){
				$smt.='<tr><th>OR No.</th><th>Customer</th><th>Amount</th></tr></thead>';
				while($r=mysqli_fetch_assoc($q))
					$smt.='<tr><td>'.lnk('', $r['or_no'], 'cus-pymt-dtl.php', 'pymt_id='.$r['pymt_id'], '', 'View Payment to Customer\'s Old Balance Detail').'</td><td>'.$r['cus_name'].'</td><td class="right">'.number_format($r['amt'], 2).'</td></tr>';
				$total=fld('sum(amt)', 'vw_cus_pymt', 'acct_id="'.$key.'" and pymt_date="'.$trx_date.'" and del_id=0');
				$smt.='<tfoot><tr><th colspan="2">Total:</th><th>'.number_format($total, 2).'</th></tr></tfoot>';
			}else $smt.='<tr><td colspan="3">No result(s) found.</td></tr></thead>';
			$smt.='</table>';
			echo $smt; ob_flush(); flush();
			echo '</div><div class="half">'; ob_flush(); flush();
			//received purchase
			$smt='<table class="grd fill"><thead><tr><th colspan="3">Purchase as Received</th></tr>';
			$q=qry('select pur_id, or_no, sup_name, amt from vw_pur where acct_id="'.$key.'" and pur_date="'.$trx_date.'" and emp_id!=0 and del_id=0 order by pur_id desc');
			if(mysqli_num_rows($q)){
				$smt.='<tr><th>OR No.</th><th>Supplier</th><th>Total</th></tr></thead>';
				while($r=mysqli_fetch_assoc($q))
					$smt.='<tr><td>'.lnk('', $r['or_no'], 'pur-dtl.php', 'pur_id='.$r['pur_id'], '', 'View Purchase Detail').'</td><td>'.$r['sup_name'].'</td><td class="right">'.number_format($r['amt'], 2).'</td></tr>';
				$total=fld('sum(amt)', 'vw_pur', 'acct_id="'.$key.'" and pur_date="'.$trx_date.'" and emp_id!=0 and del_id=0');
				$smt.='<tfoot><tr><th colspan="2">Total:</th><th>'.number_format($total, 2).'</th></tr></tfoot>';
			}else $smt.='<tr><td colspan="3">No result(s) found.</td></tr></thead>';
			$smt.='</table>';
			echo $smt; ob_flush(); flush();
			//supplier payment
			$smt='<table class="grd fill"><thead><tr><th colspan="3">Payment to Old Balance to Supplier</th></tr>';
			$q=qry('select pymt_id, or_no, sup_name, amt from vw_sup_pymt where acct_id="'.$key.'" and pymt_date="'.$trx_date.'" and del_id=0 order by pymt_id desc');
			if(mysqli_num_rows($q)){
				$smt.='<tr><th>OR No.</th><th>Supplier</th><th>Amount</th></tr></thead>';
				while($r=mysqli_fetch_assoc($q))
					$smt.='<tr><td>'.lnk('', $r['or_no'], 'sup-pymt-dtl.php', 'pymt_id='.$r['pymt_id'], '', 'View Payment to Old Balance to Supplier Detail').'</td><td>'.$r['sup_name'].'</td><td class="right">'.number_format($r['amt'], 2).'</td></tr>';
				$total=fld('sum(amt)', 'vw_sup_pymt', 'acct_id="'.$key.'" and pymt_date="'.$trx_date.'" and del_id=0');
				$smt.='<tfoot><tr><th colspan="2">Total:</th><th>'.number_format($total, 2).'</th></tr></tfoot>';
			}else $smt.='<tr><td colspan="3">No result(s) found.</td></tr></thead>';
			$smt.='</table>';
			echo $smt; ob_flush(); flush();
			//sale payment
			$smt='<table class="grd fill"><thead><tr><th colspan="3">Sale Payment</th></tr>';
			$q=qry('select pymt_id, or_no, cus_name, amt from vw_sale_pymt where acct_id="'.$key.'" and pymt_date="'.$trx_date.'" and del_id=0 order by pymt_id desc');
			if(mysqli_num_rows($q)){
				$smt.='<tr><th>OR No.</th><th>Supplier</th><th>Amount</th></tr></thead>';
				while($r=mysqli_fetch_assoc($q))
					$smt.='<tr><td>'.lnk('', $r['or_no'], 'sale-pymt-dtl.php', 'pymt_id='.$r['pymt_id'], '', 'View Sale Payment Detail').'</td><td>'.$r['cus_name'].'</td><td class="right">'.number_format($r['amt'], 2).'</td></tr>';
				$total=fld('sum(amt)', 'vw_sale_pymt', 'acct_id="'.$key.'" and pymt_date="'.$trx_date.'" and del_id=0');
				$smt.='<tfoot><tr><th colspan="2">Total:</th><th>'.number_format($total, 2).'</th></tr></tfoot>';
			}else $smt.='<tr><td colspan="3">No result(s) found.</td></tr></thead>';
			$smt.='</table>';
			echo $smt; ob_flush(); flush();
			//expense
			$smt='<table class="grd fill"><thead><tr><th colspan="3">Expense</th></tr>';
			$q=qry('select exp_id, et_name, note, amt from vw_exp where acct_id="'.$key.'" and exp_date="'.$trx_date.'" and del_id=0 order by exp_id desc');
			if(mysqli_num_rows($q)){
				$smt.='<tr><th>Expense Type</th><th>Note</th><th>Amount</th></tr></thead>';
				while($r=mysqli_fetch_assoc($q))
					$smt.='<tr><td>'.lnk('', $r['et_name'], 'exp-dtl.php', 'exp_id='.$r['exp_id'], '', 'View Expense Detail').'</td><td>'.$r['note'].'</td><td class="right">'.number_format($r['amt'], 2).'</td></tr>';
				$total=fld('sum(amt)', 'vw_exp', 'acct_id="'.$key.'" and exp_date="'.$trx_date.'" and del_id=0');
				$smt.='<tfoot><tr><th colspan="2">Total:</th><th>'.number_format($total, 2).'</th></tr></tfoot>';
			}else $smt.='<tr><td colspan="3">No result(s) found.</td></tr></thead>';
			$smt.='</table>';
			echo $smt; ob_flush(); flush();
			echo '</div></div></div>'; ob_flush(); flush();
		}
		echo '</div>';
		ob_flush(); flush();
		?>
		<script type="text/javascript">$(function(){
			$('#tab_stat').tabs();
		});</script>
		<?php
	}
}
?>