<?php
include 'i/php-cus.php';
hd('Add Employee Loan');
pre();
ft();
function pre(){
	if(val_date('loan_date')) $fld[]=array('Date Loaned', dte('loan_date', date_now()), '');
	$fld[]=array('Employee', txt('emp_name'), '');
	$fld[]=array('Source Bank', txt('bank_name'), '');
	$fld[]=array('Bank Balance', '<span id="bank_bal"></span>');
	$fld[]=array('Amount', txt('amt', '', 'n'), '');
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('emp_id').hdn('bank_id');
	$lnk=lnk('lst', 'View All', 'loan-emp.php', '', 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Employee Loan', $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		$('#loan_date').valid(['', 'dte']);
		$('#emp_name').cbo({
			fld:[
				['emp_name', 'Employee Name', ''],
				['pos_name', 'Position', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
				['bal', 'Balance', 'dec'],
			],
			src:'vw_emp',
			con:'active=1',
			srt:'emp_name',
			lbl:'emp_name',
			tag:[
				[$('#emp_id'), 'emp_id'],
			],
		}).valid();
		$('#bank_name').cbo({
			fld:[
				['bank_name', 'Bank Name', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
				['bal', 'Balance', 'dec'],
			],
			src:'bank',
			srt:'bank_name',
			lbl:'bank_name',
			tag:[
				[$('#bank_id'), 'bank_id'],
				[$('#bank_bal'), 'bal'],
			],
		}).valid();
		$('#amt').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			return $(this).val()-0>$('#bank_bal').text()-0?'Please provide a value that is less than or equal to Bank Balance which is '+$('#bank_bal').text()+'.':true;
		}]);
		$('#note').valid();
		
		$('#rst').click(function(){
			$('#emp_id').val('');
			$('#bank_id').val('');
			$('#bank_bal').text('');
			$('#emp_name').focus();
		}).click();
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var loan_id=$.ins('loan_emp');
			if(loan_id){
				$.fnx('loan_emp', loan_id, function(){
					$.ok('Employee Loan has been Added.');
					$('#rst').click();
				});
			}else $.err('Emloyee Loan was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>