<?php
include 'i/php-cus.php';
hd('Add Product Conversion Table');
pre();
ft();
function pre(){
	$fld[]=array('Source Product', txt('src_name'), '');
	$fld[]=array('Target Product', txt('tar_name'), '');
	$fld[]=array('Target Quantity per Source', txt('qty', '', 'n'), '');
	$hdn=hdn('src_id').hdn('tar_id');
	$lnk=lnk('lst', 'View All', 'pct.php', '', 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Product Conversion Table', $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		$('#src_name').focus().cbo({
			fld:[
				['prod_code', 'Product Code', ''],				
				['prod_name', 'Product Name', ''],				
				['cat_name', 'Category', ''],				
				['man_name', 'Manufacturer', ''],				
			],
			src:'vw_prod',
			srt:'cat_name, man_name, prod_name',
			lbl:'prod_name',
			tag:[
				[$('#src_id'), 'prod_id'],
			],
		}).valid();
		$('#tar_name').cbo({
			fld:[
				['prod_code', 'Product Code', ''],
				['prod_name', 'Product Name', ''],
				['cat_name', 'Category', ''],
				['man_name', 'Manufacturer', ''],
			],
			src:'vw_prod',
			srt:'cat_name, man_name, prod_name',
			lbl:'prod_name',
			tag:[
				[$('#tar_id'), 'prod_id'],
			],	
		}).valid(['', function(){
			return $('#tar_id').val()==$('#src_id').val()?'Please provide a value that is not equal to Source Product.':true;
		}, function(){
			return $.rec('pct', 'src_id="'+$('#src_id').val()+'" and tar_id="'+$('#tar_id').val()+'"')?'Please provide a value that is not yet existing.':true;
		}]);
		$('#qty').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}]);
		$('#rst').click(function(){
			$('#src_id').val('');
			$('#tar_id').val('');
			$('#src_name').focus();
		});
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var r=$.ins('pct');
			if(r){
				$.ok('Product Conversion Table has been Added.');
				$('#rst').click();
			}else $.err('Product Conversion Table was not Added.<br.Something went wrong.<br>Please try again.');
		});		
	});</script>
	<?php
}
?>