<?php
include 'i/php-cus.php';
rpt('Print Sale');
val_qry('sale_id', 'sale');
pre();
ft();
function pre(){
	$sale_id=$_GET['sale_id'];
	$sale=rec('vw_sale', 'sale_id="'.$sale_id.'"');
	$cus=rec('cus', 'cus_id="'.$sale['cus_id'].'"');
	?>
	<style>
		*{box-sizing:border-box;}
		table{border-collapse:collapse;}
		#org, #dup, #sale_dtl, #sale_lst{width:462px; max-width:462px;}
		#sep{width:96px;}
		
		
		#sale_dtl>*>tr>th{font-weight:normal; text-align:right;}
		#sale_dtl>*>tr>*{overflow:hidden; padding:3px; white-space:nowrap;}
		.col1{width:82px; max-width:82px;}
		.col2{width:155px; max-width:155px;}
		.col3{width:70px; max-width:70px;}
		.col4{width:155px; max-width:155px;}
		.address{width:380px; max-width:380px;}
		
		#sale_lst{border:1px solid #000000;}
		#sale_lst>*>tr>*:not(:first-child){border-left:1px solid #808080;}
		#sale_lst>thead>tr>th, #sale_lst>tfoot>tr>th{font-size:15px; padding:3px;}
		#sale_lst>thead>tr>th{background-color:#ddd; border-bottom:1px solid #808080;} 
		#sale_lst>tbody>tr>td{
			height:310px;
			overflow:hidden;
			vertical-align:top;
			white-space:nowrap;
		}
		#sale_lst>tfoot>tr>*{border-top:1px solid #808080;}
		#sale_lst>tfoot>tr>td{font-size:10px;}
		.org, .dup{background-position:center; background-repeat:no-repeat; background-size:contain;}
		.org{background-image:url("i/img/org.jpg");}
		.dup{background-image:url("i/img/dup.jpg");}
		#stat{font-family:Tahoma;}
		.rmks{border-bottom:1px solid #000000 !important;}
		.rmks, .rcv{vertical-align:top;}
		.sig{border-top:none !important; vertical-align:bottom;}
	</style>
	<table id="sale" width="1020"><tr>
		<td id="org">
			<div id="title" class="center"><?php echo $sale['acct_name'].'<br>TRUST RECEIPT' ?></div>
			<table id="sale_dtl">
				<tr>
					<th class="col1">Customer:</th>
					<td class="col2 bold"><?php echo $sale['cus_name'] ?></td>
					<th class"col3">No.:</th>
					<td class="col4"><?php echo $sale['sale_id'] ?></td>
				</tr>
				<tr>
					<th class="col1">Address:</th>
					<td class="address" colspan="3"><?php echo $cus['address'] ?></td>
				</tr>
				<tr>
					<th class="col1">Date:</th>
					<td class="col2"><?php echo $sale['sale_date']?date('M d, Y', strtotime($sale['sale_date'])):'' ?></td>
					<th class="col3">Due Date:</th>
					<td class="col4"><?php echo $sale['due_date']?date('M d, Y', strtotime($sale['due_date'])):'' ?></td>
				</tr>
				<tr>
					<th class="col1">Credit Limit:</th>
					<td class="col2"><?php echo number_format($cus['cl'], 2) ?></td>
					<th class="col3">Balance:</th>
					<td class="col4"><?php echo number_format($sale['bal'], 2) ?></td>
				</tr>
			</table>
			<br>
			<table id="sale_lst" class="org">
				<thead><tr>
					<th>Code</th>
					<th>Product</th>
					<th>Qty.</th>
					<th>Price</th>
					<th>Disc.</th>
					<th>Net</th>
				</tr></thead>
				<tr>
					<td class="fit">
						<?php
						$smt='';
						$q=qry('select prod_code from vw_pog where rel_name="sale" and rel_id="'.$sale_id.'" and del_id=0');
						while($r=mysqli_fetch_row($q)) $smt.=$r[0].'<br>';
						echo $smt;
						?>
					</td>
					<td class="prod_name fill">
						<?php
						$smt='';
						$q=qry('select prod_name from vw_pog where rel_name="sale" and rel_id="'.$sale_id.'" and del_id=0');
						while($r=mysqli_fetch_row($q)) $smt.=$r[0].'<br>';
						echo $smt;
						?>
					</td>
					<td class="fit right">
						<?php
						$smt='';
						$q=qry('select grp_qty from vw_pog where rel_name="sale" and rel_id="'.$sale_id.'" and del_id=0');
						while($r=mysqli_fetch_row($q)) $smt.=number_format($r[0], 2).'<br>';
						echo $smt;
						?>
					</td>
					<td class="fit right">
						<?php
						$smt='';
						$q=qry('select price_out from vw_pog where rel_name="sale" and rel_id="'.$sale_id.'" and del_id=0');
						while($r=mysqli_fetch_row($q)) $smt.=number_format($r[0], 2).'<br>';
						echo $smt;
						?>
					</td>
					<td class="fit right">
						<?php
						$smt='';
						$q=qry('select disc from vw_pog where rel_name="sale" and rel_id="'.$sale_id.'" and del_id=0');
						while($r=mysqli_fetch_row($q)) $smt.=number_format($r[0], 2).'<br>';
						echo $smt;
						?>
					</td>
					<td class="fit right">
						<?php
						$smt='';
						$q=qry('select grp_amt from vw_pog where rel_name="sale" and rel_id="'.$sale_id.'" and del_id=0');
						while($r=mysqli_fetch_row($q)) $smt.=number_format($r[0], 2).'<br>';
						echo $smt;
						?>
					</td>
				</tr>	
				<tfoot>
					<tr>
						<th class="left" colspan="2">Line Total:</th>
						<th class="right">
							<?php
							$total_qty=fld('sum(qty)', 'vw_po', 'rel_name="sale" and rel_id="'.$sale_id.'" and del_id=0');
							echo number_format($total_qty, 2);
							?>
						</th>
						<th class="right" colspan="3">
							<?php
							$total_amt=fld('sum(amt)', 'vw_pog', 'rel_name="sale" and rel_id="'.$sale_id.'" and del_id=0');
							echo number_format($total_amt, 2);
							?>
						</th>
					</tr>
					<tr>
						<td class="rmks center" colspan="3" rowspan="2">Received above listed goods in good order and condition, Price to be paid	w/o the need of demand on due date. Until price is fully paid tittle to goods remains with the seller although risk of loss is always signing hereof Goods shipped at buyer's	suit hereon. If unpaid after due date an interest of 3 % shall be applied to the remaining balance compounded monthly until balance is fully paid.</td>
						<td class="rcv" colspan="3">
							Received By:
						</td>
					</tr>
					<tr><td class="sig center" colspan="3"><div style="border-top:1px solid #000000; font-size:10px; margin:0 10px;">Signature</div></td></tr>
				</tfoot>
			</table>
			<br>
			<div id="stat" class="center bold">ORIGINAL</div>
		</td>
		<td id="sep">&nbsp;</td>
		<td id="dup"></td>
	</tr></table>
	<script type="text/javascript">$(function(){
		var net_width=0;
		$('#sale_lst>tbody>tr>td').each(function(i){
			if(i==1) return true;
			net_width+=$(this).outerWidth()-0;
		});
		//console.log('net width: '+net_width);
		var rem_width=462-net_width;
		//console.log('rem width: '+rem_width);
		$('.prod_name').removeClass('prod_name').css({'width':rem_width+'px', 'max-width':rem_width+'px'});
		$('#org').clone().appendTo($('#dup'));
		$('#dup').find('#sale_lst').removeClass('org').addClass('dup');
		$('#dup').find('#stat').html('DUPLICATE');
		window.print();
	});</script>
	<?php
}
?>
