<?php
include 'i/php-cus.php';
hd('Add Initialized Product');
val_qry('init_id', 'prod_init');
$init_id=$_GET['init_id'];
val_diu(fld('init_date', 'prod_init', 'init_id="'.$init_id.'"'));
$dtl='<br><br>'.lnk('dtl', 'View Product Initialization Detail', 'prod-init-dtl.php', 'init_id='.$init_id, 'img_dtl', '', 'btn');
val_del('prod_init', 'init_id="'.$init_id.'" and del_id!=0', '', 'Could not Add Initialized Product.<br>Please make sure that this Product Initialization is not yet Deleted.'.$dtl);
pre();
ft();
function pre(){
	$init_id=$_GET['init_id'];
	prod_init_dtl($init_id);
	$fld[]=array('Product Status', sel('good', '', '1; 0', 'Good; Damaged'));
	$fld[]=array('Product', txt('prod_name'));
	$fld[]=array('Acquisition Price', txt('price', '', 'n'));
	$fld[]=array('Quantity', txt('qty', '', 'n'));
	$fld[]=array('Total', '<span id="amt"></span>', 'right');
	$fld[]=array('', sbt('sbt_add', 'Add'), 'center');
	$hdn=hdn('rel_name', 'init').hdn('rel_id', $init_id).hdn('hp_id');
	echo gem($fld, 'Add Initialized Product', '', $hdn, 'prod_init_prod_ent');
	prod_init_good_lst($init_id);
	prod_init_bad_lst($init_id);
	?>
	<script type="text/javascript">$(function(){
		var init_id=$('#d_init_id').val();
		var house_id=$.fld('house_id', 'prod_init', 'init_id="'+init_id+'"');
		function set_total(){
			var price=$('#price').val()-0;
			var qty=$('#qty').val()-0;
			$('#amt').text(price*qty);
		}
		$('#good').focus().valid();
		$('#prod_name').cbo({
			fld:[
				['prod_code', 'Product Code', ''],
				['prod_name', 'Product Name', ''],
				['cat_name', 'Category', ''],
				['man_name', 'Manufacturer', ''],
				['rol', 'Re-Order Level', 'dec'],
			],
			src:'vw_house_prod',
			con:'house_id="'+house_id+'" and active=1',
			srt:'cat_name, man_name, prod_name',
			lbl:'prod_name',
			tag:[
				[$('#hp_id'), 'hp_id'],
			],
		}).valid(['', function(){
			return $.rec('pi', 'rel_name="init" and rel_id="'+init_id+'" and hp_id="'+$('#hp_id').val()+'" and good="'+$('#good').val()+'" and del_id=0')?'Please provide a value that is not yet existing.':true;
		}]);
		$('#price').keyup(function(){
			set_total();
		}).valid(['', 'num', function(){
			return $(this).val()-0<0?'Please provide a value that is greater than or equal to 0.':true;
		}]);
		$('#qty').keyup(function(){
			set_total();
		}).valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}]);
		
		$('form').submit(function(){
			if($.val_sbt('#prod_init_prod_ent')) return false;
			var pi_id=$.ins('pi');
			if(pi_id){
				$.fnx('prod_init_prod', pi_id, function(){
					$('#hp_id').val('');
					$('#prod_name').val('');
					$('#price').val('');
					$('#qty').val('');
					$('#amt').text('');
					$('#prod_init_good_lst').grd();
					$('#prod_init_bad_lst').grd();
					$('#prod_init_dtl').dtl({
						src:'vw_prod_init',
						con:'init_id="'+init_id+'"',
					});
					$('#good').focus();
				});
			}else $.err('Initialized Product was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>