<?php
include 'i/php-cus.php';
hd('Add Customer\'s Replaced Product');
val_qry('rep_id', 'rep_cus');
$rep_id=$_GET['rep_id'];
val_diu(fld('rep_date', 'rep_cus', 'rep_id="'.$rep_id.'"'));
$lnk='<br><br>'.lnk('dtl', 'View Customer\'s Product Replacement Detail', 'rep-cus-dtl.php', 'rep_id='.$rep_id, 'img_dtl', '', 'btn');
val_del('rep_cus', 'rep_id="'.$rep_id.'" and del_id!=0', '', 'Could not Add Customer\'s Replaced Product.<br>Please make sure that this Customer\'s Product Replacement is not yet Deleted.'.$lnk);
pre();
ft();
function pre(){
	$rep_id=$_GET['rep_id'];
	rep_cus_dtl($rep_id);
	$fld[]=array('Replacement Type', sel('rep_type', '', 'From Customer; To Customer', 'From Customer; To Customer'), '');
	$fld[]=array('Status', sel('good', '', '1; 0', 'Good; Damaged'), '');
	$fld[]=array('Product', txt('prod_name'));
	$fld[]=array('Acquisition Price', txt('price', '', 'n'), 'right');
	$fld[]=array('Selling Price', txt('sell_price', '', 'n'), 'right');
	$fld[]=array('Discount', txt('sell_disc', '', 'n'), 'right');
	$fld[]=array('Stock', '<span id="good_qty"></span>', 'right');
	$fld[]=array('Quantity', txt('qty', '', 'n'), 'right');
	$fld[]=array('Total', '<span id="amt"></span>');
	$fld[]=array('', sbt('add', 'Add'), 'center');
	$hdn=hdn('rel_id', $rep_id).hdn('hp_id');
	echo gem($fld, 'Add Customer\'s Replaced Product', '', $hdn, 'rep_cus_prod_ent');
	rep_cus_in_lst($rep_id);
	rep_cus_out_lst($rep_id);
	?>
	<script type="text/javascript">$(function(){
		var rep_id=$('#rel_id').val();
		var house_id=$.fld('house_id', 'rep_cus', 'rep_id="'+rep_id+'"');
		function rst(){
			$('#rep_type').val('').focus();
			$('#prod_name').val('');
			$('#hp_id').val('');
			$('#price').val('');
			$('#sell_price').val('');
			$('#sell_disc').val('');
			$('#good_qty').text('');
			$('#qty').val('');
			$('#amt').text('');
		}
		function com(){
			var sell_price=$('#sell_price').val()-0;
			var sell_disc=$('#sell_disc').val()-0;
			var qty=$('#qty').val()-0;
			$('#amt').text((sell_price-sell_disc)*qty);	
		}
		
		$('#rep_type').change(function(){
			if($(this).val()=='From Customer'){
				$('#price').removeAttr('disabled');
				$('#good').removeAttr('disabled');
			}else{
				$('#price').val('').attr('disabled', 'disabled');
				$('#good').val('').attr('disabled', 'disabled');	
			}
		}).focus().valid();
		$('#good').valid([function(){
			if($('#rep_type').val()=='From Customer') return $(this).val()==''?'Please provide a value.':true;
			else return true;
		}]);
		$('#prod_name').cbo({
			fld:[
				['prod_code', 'Product Code', ''],
				['prod_name', 'Product Name', ''],
				['acq_price', 'Acquisition Price', 'dec'],
				['sell_price', 'Selling Price', 'dec'],
				['good_qty', 'Stock', 'dec'],
				['cat_name', 'Category', ''],
				['man_name', 'Manufacturer', ''],
				['rol', 'Re-Order Level', 'dec'],
			],
			src:'vw_house_prod',
			con:'house_id="'+house_id+'" and active=1',
			srt:'cat_name, man_name, prod_name',
			lbl:'prod_name',
			tag:[
				[$('#hp_id'), 'hp_id'],
				[$('#price'), 'acq_price'],
				[$('#sell_price'), 'sell_price'],
				[$('#good_qty'), 'good_qty'],
			],
			select:function(event, ui){
				com();
			}
		}).valid(['', function(){
			if($('#rep_type').val()=='From Customer'){
				return $.rec('pi', 'rel_name="rep_cus" and rel_id="'+rep_id+'" and hp_id="'+$('#hp_id').val()+'" and good="'+$('#good').val()+'" and del_id=0')?'Please provide a value that is not yet existing.':true;
			}else if($('#rep_type').val()=='To Customer'){
				return $.rec('po', 'rel_name="rep_cus" and rel_id="'+rep_id+'" and hp_id="'+$('#hp_id').val()+'" and del_id=0')?'Please provide a value that is not yet existing.':true;
			}
		}]);
		$('#price').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}]);
		$('#sell_price').keyup(function(){
			com();
		}).valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			var disc_price=($(this).val()-0)-($('#sell_disc').val()-0);
			return disc_price<=$('#price').val()-0?'Please provide a value that is greater than Discounted Price which is '+disc_price+'.':true;
		}]);
		$('#sell_disc').keyup(function(){
			com();
		}).valid(['num', function(){
			return $(this).val()-0<0?'Please provide a value that is greater than or equal to 0.':true;
		}, function(){
			var disc_price=($('#sell_price').val()-0)-($(this).val()-0);
			return disc_price<=$('#price').val()-0?'Please provide a value that is greater than Discounted Price which is '+disc_price+'.':true;
		}]);
		$('#qty').keyup(function(){
			com();
		}).valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			if($('#rep_type').val()=='From Customer'){
				var rh_id=$.fld('house_id', 'rep_sup', 'rr_id="'+rep_id+'"');
				console.log('Related Warehouse ID: '+rh_id);
				if(rh_id){
					var prod_id=$.fld('prod_id', 'house_prod', 'hp_id="'+$('#hp_id').val()+'"');
					var good_qty=$.fld('good_qty', 'house_prod', 'house_id="'+rh_id+'" and prod_id="'+prod_id+'"')-0;
					console.log('Product ID: '+prod_id);
					console.log('Good Quantity: '+good_qty);
					console.log('Quantity: '+($('#qty').val()-0));
					return $('#qty').val()-0>good_qty?'Please provide a value that is less than or equal to '+good_qty+'.':true;
				}else return true;	
			}else{
				var good_qty=$.fld('good_qty', 'house_prod', 'hp_id="'+$('#hp_id').val()+'"');
				return $(this).val()-0>good_qty?'Please provide a value that is less than or equal to Stock which is '+good_qty+'.':true;	
			}
		}]);
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			if($('#rep_type').val()=='From Customer'){
				var pi_id=$.ins('pi', [
					['rel_name', 'rep_cus'],
					['bal', $('#qty').val()],
				]);
				if(pi_id){
					$.fnx('rep_cus_in', pi_id, function(){
						rst();
						$('#rep_cus_dtl').dtl({
							src:'vw_rep_cus',
							con:'rep_id="'+rep_id+'"',
						});
						$('#rep_cus_in_lst').grd();
					});
				}else $.err('Replaced Product was not Added.<br>Something went wrong.<br>Please try again.');
			}else if($('#rep_type').val()=='To Customer'){
				$.fnx('rep_cus_out', [
					rep_id,
					$('#hp_id').val(),
					$('#sell_price').val(),
					$('#sell_disc').val(),
					$('#qty').val(),
				], function(){
					rst();
					$('#rep_cus_dtl').dtl({
						src:'vw_rep_cus',
						con:'rep_id="'+rep_id+'"',
					});
					$('#rep_cus_out_lst').grd();
				});
			}
		});
	});</script>
	<?php
}
?>