<?php
include 'i/php-cus.php';
hd('Add Supplier\'s Replaced Product');
val_qry('rep_id', 'rep_sup');
$rep_id=$_GET['rep_id'];
val_diu(fld('rep_date', 'rep_sup', 'rep_id="'.$rep_id.'"'));
$lnk='<br><br>'.lnk('dtl', 'View Supplier\'s Product Replacement Detail', 'rep-sup-dtl.php', 'rep_id='.$rep_id, 'img_dtl', '', 'btn');
val_del('rep_sup', 'rep_id="'.$rep_id.'" and del_id!=0', '', 'Could not Add Supplier\'s Replaced Product.<br>Please make sure that this Supplier\'s Product Replacement is not yet Deleted.'.$lnk);
val_del('rep_sup', 'rep_id="'.$rep_id.'" and rr_id!=0', '', 'Could not Delete Supplier\'s Product Replacement.<br>Please make sure that it is not Generated from Customer\'s Product Replacement.'.$lnk);
pre();
ft();
function pre(){
	$rep_id=$_GET['rep_id'];
	rep_sup_dtl($rep_id);
	$fld[]=array('Replacement Type', sel('rep_type', '', 'From Supplier; To Supplier', 'From Supplier; To Supplier'), '');
	$fld[]=array('Product', txt('prod_name'));
	$fld[]=array('Acquisition Price', txt('price', '', 'n'), 'right');
	$fld[]=array('Discount', txt('disc', '', 'n'), 'right');
	$fld[]=array('Stock', '<span id="good_qty"></span>', 'right');
	$fld[]=array('Quantity', txt('qty', '', 'n'), 'right');
	$fld[]=array('Total', '<span id="amt"></span>');
	$fld[]=array('', sbt('add', 'Add'), 'center');
	$hdn=hdn('rel_id', $rep_id).hdn('hp_id');
	echo gem($fld, 'Add Supplier\'s Replaced Product', '', $hdn, 'rep_sup_prod_ent');
	rep_sup_in_lst($rep_id);
	rep_sup_out_lst($rep_id);
	?>
	<script type="text/javascript">$(function(){
		var rep_id=$('#rel_id').val();
		var house_id=$.fld('house_id', 'rep_sup', 'rep_id="'+rep_id+'"');
		function rst(){
			$('#rep_type').val('').focus();
			$('#prod_name').val('');
			$('#hp_id').val('');
			$('#price').val('');
			$('#disc').val('');
			$('#good_qty').text('');
			$('#qty').val('');
			$('#amt').text('');
		}
		function com(){
			var price=$('#price').val()-0;
			var disc=$('#disc').val()-0;
			var qty=$('#qty').val()-0;
			$('#amt').text((price-disc)*qty);	
		}
		
		$('#rep_type').focus().valid();
		$('#prod_name').cbo({
			fld:[
				['prod_code', 'Product Code', ''],
				['prod_name', 'Product Name', ''],
				['acq_price', 'Acquisition Price', 'dec'],
				['good_qty', 'Stock', 'dec'],
				['cat_name', 'Category', ''],
				['man_name', 'Manufacturer', ''],
				['rol', 'Re-Order Level', 'dec'],
			],
			src:'vw_house_prod',
			con:'house_id="'+house_id+'" and active=1',
			srt:'cat_name, man_name, prod_name',
			lbl:'prod_name',
			tag:[
				[$('#hp_id'), 'hp_id'],
				[$('#price'), 'acq_price'],
				[$('#good_qty'), 'good_qty'],
			],
			select:function(event, ui){
				com();
			}
		}).valid(['', function(){
			if($('#rep_type').val()=='From Supplier'){
				return $.rec('pi', 'rel_name="rep_sup" and rel_id="'+rep_id+'" and hp_id="'+$('#hp_id').val()+'" and del_id=0')?'Please provide a value that is not yet existing.':true;
			}else if($('#rep_type').val()=='To Supplier'){
				return $.rec('po', 'rel_name="rep_sup" and rel_id="'+rep_id+'" and hp_id="'+$('#hp_id').val()+'" and del_id=0')?'Please provide a value that is not yet existing.':true;
			}
		}]);
		$('#price').keyup(function(){
			com();
		}).valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}]);
		$('#disc').keyup(function(){
			com();
		}).valid(['num', function(){
			return $(this).val()-0<0?'Please provide a value that is greater than or equal to 0.':true;
		}, function(){
			return $(this).val()-0>$('#price').val()-0?'Please provide a value that is less than or equal to Acquisition Price.':true;
		}]);
		$('#qty').keyup(function(){
			com();
		}).valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			if($('#rep_type').val()=='From Supplier') return true;
			else{
				var good_qty=$.fld('good_qty', 'house_prod', 'hp_id="'+$('#hp_id').val()+'"');
				return $(this).val()-0>good_qty?'Please provide a value that is less than or equal to Stock which is '+good_qty+'.':true;	
			}
		}]);
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			if($('#rep_type').val()=='From Supplier'){
				var pi_id=$.ins('pi', [
					['rel_name', 'rep_sup'],
					['good', 1],
					['bal', $('#qty').val()],
				]);
				if(pi_id){
					$.fnx('rep_sup_in', pi_id, function(){
						rst();
						$('#rep_sup_dtl').dtl({
							src:'vw_rep_sup',
							con:'rep_id="'+rep_id+'"',
						});
						$('#rep_sup_in_lst').grd();
					});
				}else $.err('Replaced Product was not Added.<br>Something went wrong.<br>Please try again.');
			}else if($('#rep_type').val()=='To Supplier'){
				$.fnx('rep_sup_out', [
					rep_id,
					$('#hp_id').val(),
					$('#price').val(),
					$('#disc').val(),
					$('#qty').val(),
				], function(){
					rst();
					$('#rep_sup_dtl').dtl({
						src:'vw_rep_sup',
						con:'rep_id="'+rep_id+'"',
					});
					$('#rep_sup_out_lst').grd();
				});
			}
		});
	});</script>
	<?php
}
?>