<?php
include 'i/php-cus.php';
hd('Fast Moving Product Report');
val_qry('house_id', 'house');
pre();
ft();
function pre(){
	$house_id=$_GET['house_id'];
	$house_name=fld('house_name', 'house', 'house_id="'.$house_id.'"');
	$fld[]=array('Category', txt('cat_name'));
	$fld[]=array('Manufacturer', txt('man_name'));
	$fld[]=array('From', dte('from', date('M 1, Y', time())));
	$fld[]=array('To', dte('to', date('M t, Y', time())));
	$hdn=hdn('house_id', $house_id).hdn('cat_id').hdn('man_id');
	$lnk=lnk('print', 'Print', '', '', 'img_print', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Fast Moving Product Report<br>'.$house_name, $lnk, $hdn, $btn);
	?>
	<div id="rpt"><table class="grd" id="move_lst">
		<thead>
			<tr><th colspan="5">Fast Moving Product</th></tr>
			<tr>
				<th>Category</th>
				<th>Manufacturer</th>
				<th>Product Code</th>
				<th>Product Name</th>
				<th>Quantity</th>
			</tr>
		</thead>
		<tbody></tbody>
		<tfoot><tr>
			<th></th>
			<th></th>
			<th></th>
			<th>Total:</th>
			<th id="qty_total"></th>
		</tr></tfoot>
	</table></div>
	<script type="text/javascript">$(function(){
		var house_id=$('#house_id').val();
		var house_name=$.fld('house_name', 'house', 'house_id="'+house_id+'"');
		
		$('.print').click(function(){
			window.open('print.php');
		});
		
		$('#from').valid(['dte']);
		$('#to').valid(['dte']);
		$('#cat_name').cbo({
			fld:[
				['cat_name', 'Category Name', ''],
			],
			src:'cat',
			srt:'cat_name',
			lbl:'cat_name',
			tag:[
				[$('#cat_id'), 'cat_id'],
			],
		});
		$('#man_name').cbo({
			fld:[
				['man_name', 'Manufacturer Name', ''],
			],
			src:'man',
			srt:'man_name',
			lbl:'man_name',
			tag:[
				[$('#man_id'), 'man_id'],
			],
		});
		
		$('#rst').click(function(){
			$('#cat_id').val('');
			$('#man_id').val('');
			$('#cat_name').focus();
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			
			$('<div id="msg">').append($('<div>').html('Please Wait.<br>Do not Close this Page while Processing Data.')).appendTo($('#body')).dialog({
				modal:true,
				resizable:false,
				draggable:false,
				title:'Processing Data...',
			});	
			
			setTimeout(function(){
				var from=$('#from').val();
				var to=$('#to').val();
				
				var smt='Most Moving Product Report<br>Warehouse: '+house_name;
				smt+=$('#cat_id').val()!=''?'<br>Category: '+$('#cat_name').val():'';
				smt+=$('#man_id').val()!=''?'<br>Manufacturer: '+$('#man_name').val():'';
				smt+='<br>';
				smt+=from!=''?'From '+$.dl({type:'dte', val:from, ent:null}):'';
				smt+=to!=''?' To '+$.dl({type:'dte', val:to, ent:null}):'';
				$('th[colspan="5"]').html(smt);
				
				var smt='';
				if($('#cat_id').val()!='') smt+=' and cat_id="'+$('#cat_id').val()+'"';
				if($('#man_id').val()!='') smt+=' and man_id="'+$('#man_id').val()+'"';
				if(from&&to) smt+=' and trx_date between "'+from+'" and "'+to+'"';
				if(from&&!to) smt+=' and trx_date>="'+from+'"';
				if(!from&&to) smt+=' and trx_date<="'+to+'"';
				var tbody=$('#move_lst>tbody');
				tbody.html('');
				var q=$.qry('select cat_name, man_name, prod_code, prod_name, sum(grp_qty) qty from vw_pog_trx where rel_name="sale" and house_id="'+house_id+'" and del_id=0'+smt+' group by hp_id order by sum(grp_qty) desc, cat_name, man_name, prod_name');
				for(var i in q){
					var tr=$('<tr>').appendTo(tbody);
					tr.append($('<td>').append(q[i].cat_name));
					tr.append($('<td>').append(q[i].man_name));
					tr.append($('<td>').append(q[i].prod_code));
					tr.append($('<td>').append(q[i].prod_name));
					tr.append($('<td class="right">').append($.dl({type:'dec', val:q[i].qty})));
				}
				var qty_total=$.fld('sum(grp_qty)', 'vw_pog_trx', 'rel_name="sale" and house_id="'+house_id+'" and del_id=0'+smt)-0;
				qty_total=$.dl({type:'dec', val:qty_total});
				$('#qty_total').html(qty_total);
				
				$('#msg').dialog('destroy').remove();
				$('#cat_name').focus();
			}, 1);
			
		}).submit();
	});</script>
	<?php
}
?>