<?php
include 'i/php-cus.php';
hd('Purchase Report');
val_qry('acct_id', 'acct');
pre();
ft();
function pre(){
	$acct_id=$_GET['acct_id'];
	$acct_name=fld('acct_name', 'acct', 'acct_id="'.$acct_id.'"');
	$fld[]=array('Group By', sel('grp', '', 'cat; man; sup', 'Category; Manufacturer; Supplier'));
	$fld[]=array('Category', txt('cat_name'), '');
	$fld[]=array('Manufacturer', txt('man_name'), '');
	$fld[]=array('From', dte('from', date('M 1, Y', time())), '');
	$fld[]=array('To', dte('to', date('M t, Y', time())), '');
	$hdn=hdn('acct_id', $acct_id).hdn('cat_id').hdn('man_id');
	$lnk=lnk('print', 'Print', '', '', 'img_print', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Purchase Report<br>'.$acct_name, $lnk, $hdn, $btn);
	?>
	<div id="rpt"><table class="grd" id="pur"></table></div>
	<script type="text/javascript">$(function(){
		var acct_id=$('#acct_id').val();
		var acct_name=$.fld('acct_name', 'acct', 'acct_id="'+acct_id+'"');
		
		$('.print').click(function(){
			window.open('print.php');
		});
		
		$('#grp').focus().change(function(){
			$('#cat_id').val('');
			$('#man_id').val('');
			$('#cat_name').val('').parent().parent().css('display', 'none');
			$('#man_name').val('').parent().parent().css('display', 'none');
			if($(this).val()=='cat') $('#cat_name').parent().parent().css('display', 'table-row');
			else if($(this).val()=='man') $('#man_name').parent().parent().css('display', 'table-row');
		}).change();
		$('#cat_name').cbo({
			fld:[
				['cat_name', 'Category Name', ''],
			],
			src:'cat',
			srt:'cat_name',
			lbl:'cat_name',
			tag:[
				[$('#cat_id'), 'cat_id'],
			],
		}).valid([function(){
			if($('#grp').val()=='cat') return $(this).val()==''?'Please provide a value.':true;
			else return true;
		}]);
		$('#man_name').cbo({
			fld:[
				['man_name', 'Manufacturer Name', ''],
			],
			src:'man',
			srt:'man_name',
			lbl:'man_name',
			tag:[
				[$('#man_id'), 'man_id'],
			],
		}).valid([function(){
			if($('#grp').val()=='man') return $(this).val()==''?'Please provide a value.':true;
			else return true;
		}]);
		$('#from').valid('dte');
		$('#to').valid('dte');
		
		
		$('#rst').click(function(){
			$('#grp').change().focus();
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			
			$('<div id="msg">').append($('<div>').html('Please Wait.<br>Do not Close this Page while Processing Data.')).appendTo($('#body')).dialog({
				modal:true,
				resizable:false,
				draggable:false,
				title:'Processing Data...',
			});
			
			setTimeout(function(){
				var from=$('#from').val();
				var to=$('#to').val();
				var pur_date='';
				if(from&&to) pur_date+=' and pur_date between "'+from+'" and "'+to+'"';
				if(from&&!to) pur_date+=' and pur_date>="'+from+'"';
				if(!from&&to) pur_date+=' and pur_date<="'+to+'"';
				var lbl_date='';
				if(from) lbl_date+='From '+$.dl({type:'dte', val:from, ent:null});
				if(to) lbl_date+=' To '+$.dl({type:'dte', val:to, ent:null});
				$('#pur').html('');
				if($('#grp').val()=='cat'){
					var caption='Purchase Report by Category<br>Account: '+acct_name+'<br>Category: '+$('#cat_name').val()+'<br>'+lbl_date;
					var thead=$('<thead>').appendTo($('#pur'));
					thead.append('<tr><th colspan="2">'+caption+'</th></tr>');
					thead.append('<tr><th>Product</th><th>Quantity</th></tr>');
					var tbody=$('<tbody>').appendTo($('#pur'));
					var pur_id=$.fld('group_concat(pur_id)', 'vw_pur', 'acct_id="'+acct_id+'"'+pur_date+' and del_id=0')
					var q=$.qry('select prod_name, sum(qty) qty from vw_pi where rel_name="pur" and rel_id in('+pur_id+') and cat_id="'+$('#cat_id').val()+'" and good=1 and del_id=0 group by hp_id order by prod_name');
					for(var i in q) tbody.append('<tr><td>'+q[i].prod_name+'</td><td class="right">'+$.dl({type:'dec', val:q[i].qty})+'</td></tr>');
					var tfoot=$('<tfoot>').appendTo($('#pur'));
					var total=$.fld('sum(qty)', 'vw_pi', 'rel_name="pur" and rel_id in ('+pur_id+') and cat_id="'+$('#cat_id').val()+'" and good=1 and del_id=0')-0;
					total=$.dl({type:'dec', val:total});
					tfoot.append('<tr><th>Total:</th><th>'+total+'</th></tr>');
				}else if($('#grp').val()=='man'){
					var caption='Purchase Report by Manufacturer<br>Account: '+acct_name+'<br>Manufacturer: '+$('#man_name').val()+'<br>'+lbl_date;
					var thead=$('<thead>').appendTo($('#pur'));
					thead.append('<tr><th colspan="2">'+caption+'</th></tr>');
					thead.append('<tr><th>Product</th><th>Quantity</th></tr>');
					var tbody=$('<tbody>').appendTo($('#pur'));
					var pur_id=$.fld('group_concat(pur_id)', 'vw_pur', 'acct_id="'+acct_id+'"'+pur_date+' and del_id=0')
					var q=$.qry('select prod_name, sum(qty) qty from vw_pi where rel_name="pur" and rel_id in('+pur_id+') and man_id="'+$('#man_id').val()+'" and good=1 and del_id=0 group by hp_id order by prod_name');
					for(var i in q) tbody.append('<tr><td>'+q[i].prod_name+'</td><td class="right">'+$.dl({type:'dec', val:q[i].qty})+'</td></tr>');
					var tfoot=$('<tfoot>').appendTo($('#pur'));
					var total=$.fld('sum(qty)', 'vw_pi', 'rel_name="pur" and rel_id in ('+pur_id+') and man_id="'+$('#man_id').val()+'" and good=1 and del_id=0')-0;
					total=$.dl({type:'dec', val:total});
					tfoot.append('<tr><th>Total:</th><th>'+total+'</th></tr>');
				}else if($('#grp').val()=='sup'){
					var caption='Purchase Report by Supplier<br>Account: '+acct_name+'<br>Supplier: '+$('#sup_name').val()+'<br>'+lbl_date;
					var thead=$('<thead>').appendTo($('#pur'));
					thead.append('<tr><th colspan="3">'+caption+'</th></tr>');
					thead.append('<tr><th>Supplier</th><th>Total</th><th>Balance</th></tr>');
					var tbody=$('<tbody>').appendTo($('#pur'));
					var q=$.qry('select sup_name, sum(amt) amt, sum(bal) bal from vw_pur where acct_id="'+acct_id+'" and del_id=0'+pur_date+' group by sup_id order by sup_name');
					for(var i in q) tbody.append('<tr><td>'+q[i].sup_name+'</td><td class="right">'+$.dl({type:'dec', val:q[i].amt})+'</td><td class="right">'+$.dl({type:'dec', val:q[i].bal})+'</td></tr>');
					var tfoot=$('<tfoot>').appendTo($('#pur'));
					var amt=$.fld('sum(amt)', 'vw_pur', 'acct_id="'+acct_id+'" and del_id=0'+pur_date)-0;
					amt=$.dl({type:'dec', val:amt});
					var bal=$.fld('sum(bal)', 'vw_pur', 'acct_id="'+acct_id+'" and del_id=0'+pur_date)-0;
					bal=$.dl({type:'dec', val:bal});
					tfoot.append('<tr><th>Total:</th><th>'+amt+'</th><th>'+bal+'</th></tr>');
				}else{
					var caption='Purchase Report by Date<br>Account: '+acct_name+'<br>'+lbl_date;
					var thead=$('<thead>').appendTo($('#pur'));
					thead.append('<tr><th colspan="3">'+caption+'</th></tr>');
					thead.append('<tr><th>Date Purchased</th><th>Total</th><th>Balance</th></tr>');
					var tbody=$('<tbody>').appendTo($('#pur'));
					var q=$.qry('select pur_date, sum(amt) amt, sum(bal) bal from vw_pur where acct_id="'+acct_id+'" and del_id=0'+pur_date+' group by pur_date order by pur_date');
					for(var i in q) tbody.append('<tr><td class="center">'+$.dl({type:'dte', val:q[i].pur_date, ent:null})+'</td><td class="right">'+$.dl({type:'dec', val:q[i].amt})+'</td><td class="right">'+$.dl({type:'dec', val:q[i].bal})+'</td></tr>');
					var tfoot=$('<tfoot>').appendTo($('#pur'));
					var amt=$.fld('sum(amt)', 'vw_pur', 'acct_id="'+acct_id+'" and del_id=0'+pur_date)-0;
					amt=$.dl({type:'dec', val:amt});
					var bal=$.fld('sum(bal)', 'vw_pur', 'acct_id="'+acct_id+'" and del_id=0'+pur_date)-0;
					bal=$.dl({type:'dec', val:bal});
					tfoot.append('<tr><th>Total:</th><th>'+amt+'</th><th>'+bal+'</th></tr>');
				}
				
				$('#msg').dialog('destroy').remove();
				$('#grp').focus();
			}, 1);
			
		});
	});</script>
	<?php
}
?>