<?php
include 'i/php-cus.php';
hd('Supplier Discount Report');
val_qry('acct_id', 'acct');
pre();
ft();
function pre(){
	$acct_id=$_GET['acct_id'];
	$acct_name=fld('acct_name', 'acct', 'acct_id="'.$acct_id.'"');
	$fld[]=array('From', dte('from', date('M 1, Y', time())));
	$fld[]=array('To', dte('to', date('M t, Y', time())));
	$hdn=hdn('acct_id', $acct_id);
	$lnk=lnk('print', 'Print', '', '', 'img_print', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Supplier Discount Report<br>'.$acct_name, $lnk, $hdn, $btn);
	?>
	<div id="rpt"><table class="grd" id="disc_lst">
		<thead>
			<tr><th colspan="5"></th></tr>
			<tr>
				<th>Product Code</th>
				<th>Product Name</th>
				<th>Category</th>
				<th>Manufacturer</th>
				<th>Total Discount</th>
			</tr>
		</thead>
		<tbody></tbody>
		<tfoot><tr>
			<th></th>
			<th></th>
			<th></th>
			<th>Total:</th>
			<th id="total"></th>
		</tr></tfoot>
	</table></div>
	<script type="text/javascript">$(function(){
		var acct_id=$('#acct_id').val();
		var acct_name=$.fld('acct_name', 'acct', 'acct_id="'+acct_id+'"');
		
		$('.print').click(function(){
			window.open('print.php');
		});
		
		$('#from').valid('dte');
		$('#to').valid('dte');
		
		$('#rst').click(function(){
			$('#from').focus();
		});
		
		$('form').submit(function(){
			$('<div id="msg">').append($('<div>').html('Please Wait.<br>Do not Close this Page while Processing Data.')).appendTo($('#body')).dialog({
				modal:true,
				resizable:false,
				draggable:false,
				title:'Processing Data...',
			});
			
			setTimeout(function(){
				var from=$('#from').val();
				var to=$('#to').val();
				
				var caption='Supplier Discount Report<br>Account: '+acct_name+'<br>';
				if(from) caption+='From '+$.dl({type:'dte', val:from, ent:null});
				if(to) caption+=' To '+$.dl({type:'dte', val:to, ent:null});
				$('#disc_lst>thead>tr>th[colspan="5"]').html(caption);
				
				var pur_date='';
				if(from&&to) pur_date+=' and pur_date between "'+from+'" and "'+to+'"';
				if(from&&!to) pur_date+=' and pur_date>="'+from+'"';
				if(!from&&to) pur_date+=' and pur_date<="'+to+'"';
				
				var tbody=$('#disc_lst>tbody');
				tbody.html('');
				var pur_id=$.fld('group_concat(pur_id)', 'pur', 'acct_id="'+acct_id+'" and del_id=0'+pur_date);
				var q=$.qry('select prod_code, prod_name, cat_name, man_name, sum(disc*qty) sum_disc from vw_pi where rel_name="pur" and rel_id in ('+pur_id+') and del_id=0 group by hp_id order by sum(disc*qty) desc');
				for(var i in q){
					var tr=$('<tr>').appendTo(tbody);
					tr
						.append($('<td>').html(q[i].prod_code))
						.append($('<td>').html(q[i].prod_name))
						.append($('<td>').html(q[i].cat_name))
						.append($('<td>').html(q[i].man_name))
						.append($('<td class="right">').html($.dl({type:'dec', val:q[i].sum_disc})))
					;
				}
				var total=$.fld('sum(disc*qty)', 'pi', 'rel_name="pur" and rel_id in ('+pur_id+') and del_id=0');
				total=$.dl({type:'dec', val:total});
				$('#total').html(total);
				
				$('#msg').dialog('destroy').remove();
				$('#from').focus();
			}, 1);
		}).submit();
	});</script>
	<?php
}
?>