<?php
include 'i/php-cus.php';
hd('Add Salary');
pre();
ft();
function pre(){
	$hdn=hdn('emp_id').hdn('rate').hdn('bank_id');
	if(val_date('pymt_date')) $fld[]=array('Date Paid', dte('pymt_date', date_now()), '');
	$fld[]=array('Date Started', dte('bgn_date'), '');
	$fld[]=array('Date Ended', dte('end_date'), '');
	$fld[]=array('Employee', txt('emp_name'), '');
	$fld[]=array('Rate per Day', '<span id="lbl_rate"></span>');
	$fld[]=array('Number of Days', txt('days', '', 's'), '');
	$fld[]=array('Total Salary', '<span id="sal_total"></span>');
	$fld[]=array('Addition', '');
	$fld[]=array('Overtime', txt('ot', '', 'n'), '');
	$q=qry('select * from sat order by sat_name');
	while($r=mysqli_fetch_assoc($q)){
		$hdn.=hdn('sat_id', $r['sat_id']);
		$fld[]=array($r['sat_name'], txt('sat_amt', '', 'n'), '');
	}
	$fld[]=array('Total Addition', '<span id="add_total"></span>');
	$fld[]=array('Deduction', '');
	$fld[]=array('Cash Advance', '<span id="adv"></span>');
	$q=qry('select * from sdt order by sdt_name');
	while($r=mysqli_fetch_assoc($q)){
		$hdn.=hdn('sdt_id', $r['sdt_id']);
		$fld[]=array($r['sdt_name'], txt('sdt_amt', '', 'n'), '');
	}
	$fld[]=array('Total Deduction', '<span id="ded_total"></span>');
	$fld[]=array('Net Salary', '<span id="net_total"></span>');
	$fld[]=array('Source Bank', txt('bank_name'), '');
	$fld[]=array('Balance', '<span id="bal"></span>');
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$lnk=lnk('lst', 'View All', 'sal.php', '', 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Salary', $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		function com_sal(){
			var rate=$('#rate').val()-0;
			var days=$('#days').val()-0;
			$('#sal_total').text(rate*days);
			com_ded();
		}
		function com_add(){
			var total=$('#ot').val()-0;
			$('[name="sat_amt"]').each(function(){
				total+=$(this).val()-0;
			});
			$('#add_total').text(total);
			com_net();
		}
		function com_ded(){
			var total=$('#adv').text()-0;
			$('[name="sdt_amt"]').each(function(){
				total+=$(this).val()-0
			});
			$('#ded_total').text(total);
			com_net();
		}
		function com_net(){
			var sal_total=$('#sal_total').text()-0;
			var add_total=$('#add_total').text()-0;
			var ded_total=$('#ded_total').text()-0;
			$('#net_total').text(sal_total+add_total-ded_total);
		}
		$('#pymt_date').focus().valid(['', 'dte']);
		$('#bgn_date').valid(['', 'dte']);
		$('#end_date').valid(['', 'dte']);
		$('#emp_name').cbo({
			fld:[
				['emp_name', 'Employee Name', ''],
				['pos_name', 'Position', ''],
				['rate', 'Rate per Day', 'dec'],
			],
			src:'vw_emp',
			con:'active=1',
			srt:'emp_name',
			lbl:'emp_name',
			tag:[
				[$('#emp_id'), 'emp_id'],
				[$('#lbl_rate'), 'rate'],
				[$('#rate'), 'rate'],
			],
			select:function(event, ui){
				var adv=$.fld('sum(amt)', 'adv', 'emp_id="'+$('#emp_id').val()+'" and sal_id=0 and del_id=0')-0;
				$('#adv').text(adv);
				com_sal();
			},
		}).valid();
		$('#days').keyup(function(){
			com_sal();	
		}).valid(['', function(){
			return $(this).val()-0<0?'Please provide a value that is greater than or equal to 0.':true;
		}]);
		$('#ot').keyup(function(){
			com_add();
		}).valid(['num', function(){
			return $(this).val()-0<0?'Please provide a value that is greater than or equal to 0.':true;
		}]);
		$('[name="sat_amt"]').each(function(){
			$(this).keyup(function(){
				com_add();
			}).valid(['num', function(){
				return $(this).val()-0<0?'Please provide a value that is greater than or equal to 0.':true;
			}]);
		});
		$('[name="sdt_amt"]').each(function(){
			$(this).keyup(function(){
				com_ded();
			}).valid(['num', function(){
				return $(this).val()-0<0?'Please provide a value that is greater than or equal to 0.':true;
			}]);
		});
		$('#bank_name').cbo({
			fld:[
				['bank_name', 'Bank Name', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
				['bal', 'Balance', 'dec'],
			],
			src:'bank',
			srt:'bank_name',
			lbl:'bank_name',
			tag:[
				[$('#bank_id'), 'bank_id'],
				[$('#bal'), 'bal'],
			],
		}).valid(['', function(){
			return $('#net_total').text()-0>$('#bal').text()-0?'Please provide a value that has sufficient cash.':true;
		}]);
		$('#note').valid();
				
		
		$('#rst').click(function(){
			$('#emp_id').val('');
			$('#lbl_rate').text('');
			$('#rate').val('');
			$('#sal_total').text('');			
			$('[name="sat_id"]').each(function(){
				$(this).val('');
			});
			$('#add_total').text('');
			$('#adv').text('');
			$('[name="sdt_id"]').each(function(){
				$(this).val('');
			});
			$('#ded_total').text('');
			$('#net_total').text('');
			$('#bank_id').val('');
			$('#bal').text('');
			$('#pymt_date').focus();
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var sal_id=$.ins('sal');
			if(sal_id){
				$('[name="sat_id"]').each(function(i){
					$.ins('sal_add', [
						['sal_id', sal_id],
						['sat_id', $(this).val()],
						['amt', $('[name="sat_amt"]').eq(i).val()],
					], '');
				});
				$('[name="sdt_id"]').each(function(i){
					$.ins('sal_ded', [
						['sal_id', sal_id],
						['sdt_id', $(this).val()],
						['amt', $('[name="sdt_amt"]').eq(i).val()],
					], '');
				});
				$.fnx('sal', sal_id, function(){
					$.ok('Salary has been Added.');
					$('#rst').click();
				});
			}$.err('Salary was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>