<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Employee Details');
define('NAV', 6); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			$month = $_POST['month'];
			$year = $_POST['year'];
			$user_id = $_GET['user_id'];
			
			if ($month == 1) { $monthname = "January";
			} elseif ($month == 2) { $monthname = "February";
			} elseif ($month == 3) { $monthname = "March";
			} elseif ($month == 4) { $monthname = "April";
			} elseif ($month == 5) { $monthname = "May";
			} elseif ($month == 6) { $monthname = "June";
			} elseif ($month == 7) { $monthname = "July";
			} elseif ($month == 8) { $monthname = "August";
			} elseif ($month == 9) { $monthname = "September";
			} elseif ($month == 10) { $monthname = "October";
			} elseif ($month == 11) { $monthname = "November";
			} elseif ($month == 12) { $monthname = "December"; }
			
			show_user($user_id);

			$sql = "SELECT DATE_FORMAT(att_d8, '%b %e, %Y'), status 
					FROM attendance 
					WHERE user_id = '$user_id' AND $month = MONTH(att_d8) AND $year = YEAR(att_d8)
					ORDER BY att_d8 DESC";
			$res = mysql_query($sql); $num = mysql_num_rows($res); 
			
			if ($num > 0) {
				?>
			    <div class="post">
			        <div id="search">
						<form method="post" action="user.php?user_id=<?PHP echo $user_id ?>">
							<?PHP drop_month_year($year, $month); ?>
							<input type="hidden" name="submitted" value="1">
			                <input id="sbutton" type="submit" class="button blue" value="Go!">
			            </form>
			        </div>
			        <h1 class="title">Attendance for <?PHP print "$monthname, $year"; ?></h1>
			        <div class="entry">
			            <table>
			                <thead class="data"><tr>
								<td width="200" align="center">Date</td>
								<td width="200" align="center">Status</td>
			                </tr></thead>
			                <tbody class="data">
			                    <?PHP
								$i = 1;
			                    while ($row = mysql_fetch_array($res)) {
									$m = fmod($i, 2);
									if ($m == 0) { // $i is EVEN
										?><tr class="even"><?PHP
									} else { // $i is ODD
										?><tr class="odd"><?PHP
									}
			                        ?>
										<td align="left"><?PHP print $row[0] ?>&nbsp;</td>
										<td align="left"><?PHP 
											if ($row[1] == "PR") { echo "Present";
											} elseif ($row[1] == "AB") { echo "Absent";
											} elseif ($row[1] == "PL") { echo "Pay Leave";
											}
											?></td>
			                        </tr>
			                        <?PHP
									$i++;
			                    }
			                    ?>
			                </tbody>
			            </table>
			        </div>
			        <p class="meta">
						<?PHP
						$sql = "SELECT att_id FROM attendance
								WHERE user_id = '$user_id' 
									AND $month = MONTH(att_d8) AND $year = YEAR(att_d8)
									AND status IN ('PR', 'PL')";
						$tres = mysql_query($sql); $tnum = mysql_num_rows($tres); 
						if ($tnum > 1) { print "<b>$tnum</b> pay days for $monthname, $year";
						} else { print "<b>$tnum</b> pay day for $monthname, $year";
						}
						?>
			        </p>
			    </div>
				<?PHP
			} else {
				?>
			    <div class="post">
			        <div id="search">
						<form method="post" action="user.php?user_id=<?PHP echo $user_id ?>">
							<?PHP drop_month_year($year, $month); ?>
							<input type="hidden" name="submitted" value="1">
			                <input id="sbutton" type="submit" class="button blue" value="Go!">
			            </form>
			        </div>
			        <h1 class="title">Attendance for <?PHP print "$monthname, $year"; ?></h1>
			        <div class="entry">
			            <table>
			                <thead class="data"><tr>
								<td width="200" align="center">Date</td>
								<td width="200" align="center">Status</td>
			                </tr></thead>
			                <tbody class="data">
			                </tbody>
			            </table>
			        </div>
			        <p class="meta"><font color="red">There are NO existing attendance records for <?PHP print "$monthname, $year"; ?></font></p>
			    </div>
				<?PHP
			}
			
			
		} else {
			// Check for valid entry user_id in the URL
			if (is_numeric($_GET['user_id'])) {
				$user_id = $_GET['user_id'];
				// show form
				show_user($user_id);
				user_attendance($user_id); 
			} else { // No user_id set.
				print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_user($user_id) {
	$sql = "SELECT CONCAT(fname,' ',lname), DATE_FORMAT(emp_date, '%b %e, %Y'), 
				address, spouse, sss, philhealth, contact, wage, username, position
			FROM users 
			WHERE user_id = '$user_id'";
	$res = mysql_query($sql);
	$row = mysql_fetch_array($res);
	?>
    <div class="post">
		<div id="details">
			<a class="th_img" href="e_user.php?user_id=<?PHP print $user_id ?>"><img src="lib/file_edit.png"></a>&nbsp;&nbsp;
			<a class="th_img" href="d_user.php?user_id=<?PHP print $user_id ?>"><img src="lib/file_delete.png"></a>&nbsp;&nbsp;
		</div>
		<h1 class="title">Employee Details</h1>
		<div class="entry">
			<table>
				<tbody class="data">
						<tr class="odd"><td align="right" width="100">Name&nbsp;</td>
							<td align="left" width="250">&nbsp;<?PHP echo $row[0] ?></td>
							<td align="right" width="100">Date Employed&nbsp;</td>
							<td align="left" width="250">&nbsp;<?PHP echo $row[1] ?></td></tr>
						<tr class="even"><td align="right">Address&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[2] ?></td>
							<td align="right">Spouse&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[3] ?></td></tr>
						<tr class="odd"><td align="right">SSS #&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[4] ?></td>
							<td align="right">PhilHealth #&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[5] ?></td></tr>
						<tr class="even"><td align="right">Contact Numbers&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[6] ?></td>
							<td align="right">Daily Wage Rate&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[7] ?></td></tr>
						<tr class="odd"><td align="right">Username&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[8] ?></td>
							<td align="right">Position&nbsp;</td>
							<td align="left">&nbsp;<?PHP 
								if ($row[9] == 1) { echo "Administrator";
								} elseif ($row[9] == 2) { echo "Secretary";
								} elseif ($row[9] == 3) { echo "Supervisor"; 
								} elseif ($row[9] == 4) { print "Branch Cashier"; 
								} elseif ($row[9] == 5) { print "Branch Aide"; 
								} elseif ($row[9] == 6) { print "KM Secretary"; }
								?></td></tr>
				</tbody>
			</table>
		</div>
        <p class="meta"></p>
	</div><br>
	<?PHP
}

function user_attendance($user_id) {
	$sql = "SELECT MONTH(NOW()), YEAR(NOW()), MONTHNAME(NOW())";
	$dres = mysql_query($sql); $drow = mysql_fetch_array($dres);
	$month = $drow[0]; $year = $drow[1]; $monthname = $drow[2];
	
	$sql = "SELECT wage FROM users WHERE user_id = '$user_id'";
	$wres = mysql_query($sql); $wrow = mysql_fetch_array($wres); $wage = $wrow[0];

	$sql = "SELECT DATE_FORMAT(att_d8, '%b %e, %Y'), status 
			FROM attendance 
			WHERE user_id = '$user_id' AND MONTH(NOW()) = MONTH(att_d8) AND YEAR(NOW()) = YEAR(att_d8)
			ORDER BY att_d8 DESC";
	$res = mysql_query($sql); $num = mysql_num_rows($res); 
	
	if ($num > 0) {
		?>
	    <div class="post">
	        <div id="search">
	            <form method="post" action="user.php?user_id=<?PHP echo $user_id ?>">
					<?PHP drop_month_year($year, $month); ?>
					<input type="hidden" name="submitted" value="1">
	                <input id="sbutton" type="submit" class="button blue" value="Go!">
	            </form>
	        </div>
	        <h1 class="title">Attendance for <?PHP print "$monthname, $year"; ?></h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr>
						<td width="200" align="center">Date</td>
						<td width="200" align="center">Status</td>
	                </tr></thead>
	                <tbody class="data">
	                    <?PHP
						$i = 1;
	                    while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
	                        ?>
								<td align="left"><?PHP print $row[0] ?>&nbsp;</td>
								<td align="left"><?PHP 
									if ($row[1] == "PR") { echo "Present";
									} elseif ($row[1] == "AB") { echo "Absent";
									} elseif ($row[1] == "PL") { echo "Pay Leave";
									}
									?></td>
	                        </tr>
	                        <?PHP
							$i++;
	                    }
	                    ?>
	                </tbody>
	            </table>
	        </div>
	        <p class="meta">
				<?PHP
				$sql = "SELECT att_id FROM attendance
						WHERE user_id = '$user_id' 
							AND MONTH(NOW()) = MONTH(att_d8) AND YEAR(NOW()) = YEAR(att_d8)
							AND status IN ('PR', 'PL')";
				$tres = mysql_query($sql); $tnum = mysql_num_rows($tres); 
				$mwage = $wage * $tnum; 
				if ($tnum > 1) { print "<b>$tnum</b> pay days for $monthname, $year. Wage is <b>$mwage</b>";
				} else { print "<b>$tnum</b> pay day for $monthname, $year. Wage is <b>$mwage</b>";
				}
				?>
	        </p>
	    </div>
		<?PHP
	} else {
		?>
	    <div class="post">
	        <div id="search">
	            <form method="post" action="user.php?user_id=<?PHP echo $user_id ?>">
					<?PHP drop_month_year($year, $month); ?>
					<input type="hidden" name="submitted" value="1">
	                <input id="sbutton" type="submit" class="button blue" value="Go!">
	            </form>
	        </div>
	        <h1 class="title">Attendance for <?PHP print "$monthname, $year"; ?></h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr>
						<td width="200" align="center">Date</td>
						<td width="200" align="center">Status</td>
	                </tr></thead>
	                <tbody class="data">
	                </tbody>
	            </table>
	        </div>
	        <p class="meta"><font color="red">There are NO existing attendance records for <?PHP print "$monthname, $year"; ?></font></p>
	    </div>
		<?PHP
	}
}
?>