<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Product Inventory Tracking');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry product_id in the URL
		if (is_numeric($_GET['product_id'])) {
			$product_id = $_GET['product_id'];
			$whouse_id = $_GET['whouse_id'];
			// show form
			show_product($product_id);
			show_its($whouse_id, $product_id);
		} else { // No _id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_its($whouse_id, $product_id) {
	$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);

	// used for productions
	$sql = "SELECT p.pdxn_id, DATE_FORMAT(p.pdxn_date, '%b %e, %Y'), w.whouse_name, pd.quantity
			FROM pdxns p 
				INNER JOIN warehouses w ON p.fr_whouse_id = w.whouse_id
				INNER JOIN pdxn_details pd ON p.pdxn_id = pd.pdxn_id
			WHERE p.fr_whouse_id = '$whouse_id' AND pd.product_id = '$product_id'"; 
	$pdxn_res = mysql_query($sql);
	$pdxn_num = mysql_num_rows($pdxn_res);
	if ($pdxn_num > 0) {
		$sql = "SELECT SUM(pd.quantity)
				FROM pdxns p INNER JOIN pdxn_details pd ON p.pdxn_id = pd.pdxn_id
				WHERE p.fr_whouse_id = '$whouse_id' AND pd.product_id = '$product_id'"; 
		$tpdxn_res = mysql_query($sql); $tpdxn_row = mysql_fetch_array($tpdxn_res);
	}
	
	?>
    <div class="post">
        <h1 class="title">Detailed Productions For <?PHP echo $row[0] ?></h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="360" valign="top">
					<table width="360">
						<thead class="data">
							<tr><td colspan="3" align="center"><b>Productions</b></td></tr>
							<tr>
								<td width="80" align="center">Date</td>
								<td width="200" align="center">Warehouse</td>
								<td width="80" align="center">Qty</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
						if ($pdxn_num > 0) {
							$j = 1;
							while ($pdxn_row = mysql_fetch_array($pdxn_res)) {
								$n = fmod($j, 2);
								if ($n == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="pdxn.php?pdxn_id=<?PHP echo $pdxn_row[0] ?>"><?PHP echo $pdxn_row[1] ?></td></td>
									<td align="center"><?PHP echo $pdxn_row[2] ?></td>
									<td align="right"><?PHP echo number_format($pdxn_row[3], 2); ?></td>
								</tr>
								<?PHP
								$j++;
							}
							?>
							<tr class="total">
								<td align="right" colspan="2"><b>TOTAL</b>&nbsp;</td><td align="right"><b><?PHP echo number_format($tpdxn_row[0], 2); ?></b></td>
							</tr>
							<?PHP
						} else {
							?>
							<tr>
								<td align="center" colspan="3">There are NO existing records of production for this product</td>
							</tr>
							<?PHP				
						}
						?>
						</tbody>
					</table>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}


?>