<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Employee\'s Attendance');
define('NAV', 1); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $att_d8 = mysql_real_escape_string(stripslashes($_POST['att_d8']));
	            $user_id = mysql_real_escape_string(stripslashes($_POST['user_id']));
	            $status = mysql_real_escape_string(stripslashes($_POST['status']));
	        } else {
	            $att_d8 = mysql_real_escape_string($_POST['att_d8']);
	            $user_id = mysql_real_escape_string($_POST['user_id']);
	            $status = mysql_real_escape_string($_POST['status']);
			}
			
			// Check to make sure they entered teacher
			if ($user_id != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please select from the list of teachers."; }
			// Check to make sure they entered the teacher's name
			if ($status != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please enter the attendance status."; }
			// Check to make sure they entered teacher
			if ($att_d8 != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please enter the date of attendance."; }

			// If the data pass all tests, add the patient to the database.
			if ( $a && $b && $c ) {
				$sql = "SELECT att_id FROM attendance WHERE att_d8 = '$att_d8' AND user_id = '$user_id'"; 
				$res = mysql_query($sql);
				$num = mysql_num_rows($res); 
				if ($num > 0) {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
						<font face=arial size=2><img src='lib/s_error.png'><br><br><b>Error!!!</b><br>
						<p>Employee's attendance with that given date already exists in the database.</p></font></td></tr></table></td></tr></table></center><br>\n";
					show_form();
				} else {
					$sql = "INSERT INTO attendance( att_d8, user_id, status ) 
							VALUES( '$att_d8', '$user_id', '$status' )";
					if (mysql_query($sql)) {
						print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><img src='lib/s_attention.png'>&nbsp;<font face=arial size=2>Employee's attendance has been added into the database.
								</font></td></tr></table></td></tr></table></center><br>";
						show_form();
					} else {
						print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><font face=arial size=2><img src='lib/s_error.png'><br><br>Could not insert employee's attendance 
							because: <b>".mysql_error()."</b>.</font></td></tr></table></td></tr></table></center><br>"; 
					}
				}
				mysql_free_result($res);
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>The following problems 
						occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<p></p><b>Be sure to re-enter everything!</b></font></td></tr>
						</table></td></tr></table></center><br>\n";
				}
				show_form();
			}
		} else {
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	?>
	<form name="AddAttendance" action="add_attendance.php" method="POST">
		<div class="post">
			<h1 class="title">Enter Employee's Attendance</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd"><td colspan="2" align="center"><font color="red" size="2" face="arial">Asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td align="right">Date&nbsp;</td>
							<td align="left"><input readonly type="text" size="10" name="att_d8"><a class="td_img" href="javascript:att_d8.popup();"><img src="lib/b_calendar.png"></a>&nbsp;&nbsp;<font color="red">*</font></td></tr>
							<script language="JavaScript">
							<!-- // create calendar object(s) just after form tag closed
								var att_d8 = new calendar(document.forms['AddAttendance'].elements['att_d8']);
								att_d8.year_scroll = true; att_d8.time_comp = false;
							//-->
							</script>
						<tr class="odd"><td align="right" width="100">Employee&nbsp;</td>
							<td align="left" width="300"><select name="user_id"><option value="0">Employee</option><?PHP
								$sql = "SELECT user_id, CONCAT(lname,', ',fname) FROM users WHERE position != 1 AND active = 1 ORDER BY lname, fname";
								$res = mysql_query($sql); 
								while ($row = mysql_fetch_array($res)) {
									print "<option value=$row[0]>$row[1]</option>";
								} 
								?> </select>&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Status&nbsp;</td>
							<td align="left"><select name="status"><option value="">Select</option>
									<option value="PR">Present</option>
									<option value="HB">Half-Day</option>
									<option value="AB">Absent</option>
									<option value="DO">Day Off</option>
								</select>&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd">
							<td colspan="2" align="center">
								<input type="hidden" name="submitted" value=1>
								<input type="reset" class="button blue" value="Reset">&nbsp;&nbsp;&nbsp;
								<input onClick="valAddAttendance()" type="button" class="button blue" value="Enter Attendance"></td>
						</tr>
					</tbody>
				</table>
			</div>
			<p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>