<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add New BAnk');
define('NAV', 6); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $bank_name = mysql_real_escape_string(stripslashes($_POST[bank_name]));
	            $account_id = mysql_real_escape_string(stripslashes($_POST[account_id]));
	            $address = mysql_real_escape_string(stripslashes($_POST[address]));
	            $phone = mysql_real_escape_string(stripslashes($_POST[phone]));
	            $balance = mysql_real_escape_string(stripslashes($_POST[balance]));
	        } else {
	            $bank_name = mysql_real_escape_string($_POST[bank_name]);
	            $account_id = mysql_real_escape_string($_POST[account_id]);
	            $address = mysql_real_escape_string($_POST[address]);
	            $phone = mysql_real_escape_string($_POST[phone]);
	            $balance = mysql_real_escape_string($_POST[balance]);
	        }

			// Check to make sure they entered the first name.
			if ($bank_name != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please enter the name of the bank."; }
			// Check to make sure they entered the last name.
			if ($address != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please enter the address of the bank."; }
			// Check to make sure they entered the last name.
			if ($account_id != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please select from the list of accounts."; }

			// If the data pass all tests, add data.
			if ( $a && $b && $c ) {
				$chck_bank_res = mysql_query("SELECT bank_id FROM banks WHERE bank_name = '$bank_name' AND address = '$address'");
				$chck_bank_num = mysql_num_rows($chck_bank_res);
				if ($chck_bank_num > 0) {
					print "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
						<font color=red face=arial size=2><b>Bank already exists in the database!</b></font></td></tr>
						</table></td></tr></table></center>";
					show_form();
				} else {
					$sql = "INSERT INTO banks( bank_name, account_id, address, phone, balance, active ) 
							VALUES( '$bank_name', '$account_id', '$address', '$phone', '$balance', 1 )";
					if (mysql_query($sql)) {
						print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><font face=arial size=2>Bank has been added into the database.<br>Click <a 
							class=paging href='banks.php'>here</a> to view all banks.</font></td></tr></table></td></tr>
							</table></center><br>";
					} else {
						print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><font face=arial size=2 color=red>Could not add bank because: <b>".mysql_error()."</b>
							. The query was $sql.</font></td></tr></table></td></tr></table></center><br>";
					}
				}
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td  
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>The following problems 
						occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<p></p><b>Be sure to re-enter everything!</b></font></td></tr>
						</table></td></tr></table></center><br>\n";
				}
				show_form();
			}
		} else {
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	?>
	<form name="AddBank" action="add_bank.php" method="POST">
		<div class="post">
			<h1 class="title">Add New Bank</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td align="right" width="100">Bank Name&nbsp;</td>
							<td align="left" width="225"><input type="text" size="30" name="bank_name">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Account&nbsp;</td>
							<td align="left"><select name="account_id"><?PHP
								$sql = "SELECT account_id, account_name FROM accounts WHERE active = 1 ORDER BY account_id";
								$res = mysql_query($sql); 
								while ($row = mysql_fetch_array($res)) {
									?><option value="<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></option><?PHP
								}
								?></select>&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Address&nbsp;</td>
							<td align="left"><input type="text" size="30" name="address">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Phone Numbers&nbsp;</td>
							<td align="left"><input type="text" size="30" name="phone">&nbsp;</td></tr>
						<tr class="even"><td align="right">Balance&nbsp;</td>
							<td align="left"><input type="text" size="30" name="balance">&nbsp;</td></tr>
						<tr class="odd"><td align="center" colspan="2">
								<input type="hidden" name="submitted" value="1">
								<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
								<input onClick="valAddBank()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>