<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Customer\'s Payment');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_134() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $customer_id = mysql_real_escape_string(stripslashes($_POST['customer_id']));
	            $or_num = mysql_real_escape_string(stripslashes($_POST['or_num']));
	            $amount = mysql_real_escape_string(stripslashes($_POST['amount']));
	            $notes = mysql_real_escape_string(stripslashes($_POST['notes']));
	        } else {
	            $customer_id = mysql_real_escape_string($_POST['customer_id']);
	            $or_num = mysql_real_escape_string($_POST['or_num']);
	            $amount = mysql_real_escape_string($_POST['amount']);
	            $notes = mysql_real_escape_string($_POST['notes']);
	        }
			
			// Check to make sure they have selected from the list of customers
			if ($customer_id != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please select from the list of customers."; }
			// Check to make sure they entered the payment amount.
			if ($amount != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please enter the payment amount."; }

			// If the data pass all tests, add the patient to the database.
			if ( $a && $b ) {
				// get the assigned branch of the customer
				$sql = "SELECT branch_id FROM branch_customers WHERE customer_id = '$customer_id'";
				$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_id = $brow[0]; 
				// get the old balance of the customer
				$sql = "SELECT balance FROM branch_cob WHERE customer_id = '$customer_id'";
				$cob_res = mysql_query($sql); $cob_row = mysql_fetch_array($cob_res); $cob = $cob_row[0]; 

				if ($amount > $cob) { // do not accept payment
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
						align=center><font face=arial size=2 color=red>Could not accept customer's payment because: 
						<b>amount paid is greater than the balance</b>.</font></td></tr></table></td></tr></table></center><br>";
					show_form();
				} else {
					$new_cob = $cob - $amount;

					$sql = "SELECT cash FROM branch_registers WHERE branch_id = '$branch_id'";
					$uc_res = mysql_query($sql); $uc_row = mysql_fetch_array($uc_res); $uc = $uc_row[0]; 
					$new_uc = $uc + $amount;

					$sql = "INSERT INTO bspayments( customer_id, user_id, amount, pdate, notes, good ) 
							VALUES( '$customer_id', '$_SESSION[user_id]', '$amount', CURDATE(), '$notes', 1 )";
					if (mysql_query($sql)) { // inserted successfully
						$bsp_id = mysql_insert_id();
						if (mysql_query("UPDATE branch_cob SET balance = '$new_cob' WHERE customer_id = '$customer_id' LIMIT 1")) {
							mysql_query("UPDATE branch_registers SET cash = '$new_uc' WHERE branch_id = '$branch_id' LIMIT 1") or die(mysql_error());
							print "<br><center><table><tr><td bgcolor=#000000><table bgcolor=#efefef width=730><tr><td height=30 
							align=center><font face=arial size=2>Customer's payment to old balance has been added into the database.<br>
							Click <a class=paging href='branch_payment.php?bsp_id=$bsp_id'>here</a> to view the payment.
							</font></td></tr></table></td></tr></table></center><br>";
						}
					} else { // failed to insert
						print"<br><center><table><tr><td bgcolor=#000000><table bgcolor=#efefef width=730><tr><td height=30 
							align=center><font face=arial size=2 color=red>Could not add customer's payment into the database because: 
							<b>".mysql_error()."</b>.</font></td></tr></table></td></tr></table></center><br>";
					}
				}
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td  
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>The following problems 
						occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<p></p><b>Be sure to re-enter everything!</b></font></td></tr>
						</table></td></tr></table></center><br>\n";
				}
				show_form();
			}
		} else {
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	// get the branch of the employee
	$sql = "SELECT position, branch_id FROM users WHERE user_id = '$_SESSION[user_id]'"; 
	$res = mysql_query($sql); $row = mysql_fetch_array($res); $position = $row[0]; $branch_id = $row[1]; 
	?>
	<form name="AddBCOBP" action="add_bcob_payment.php" method="POST">
		<div class="post">
			<h1 class="title">Add Payment For Old Balance</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td align="right" width="100">&nbsp;&nbsp;Customer&nbsp;</td>
							<td align="left" width="250"><select name="customer_id"><option value="0">Customer -- Balance</option>
								<?PHP 
								if ($position == 4) {
									$sql = "SELECT c.customer_id, c.company_name, cob.balance
											FROM branch_customers c, branch_cob cob
											WHERE c.branch_id = '$branch_id' AND c.customer_id = cob.customer_id AND cob.balance > 0
											ORDER BY c.company_name";
								} elseif ($position == 1 || $position == 3) {
									$sql = "SELECT c.customer_id, c.company_name, cob.balance
											FROM branch_customers c, branch_cob cob
											WHERE c.customer_id = cob.customer_id AND cob.balance > 0
											ORDER BY c.company_name";
								}
								$res = mysql_query($sql); 
								while ($row = mysql_fetch_array($res)) {
									$balance = number_format($row[2], 2);
									print "<option value=$row[0]>$row[1] -- $balance</option>";
								}
								?></select>&nbsp;&nbsp;<font color="red">*</font>&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Amount&nbsp;</td>
							<td align="left"><input type="text" size="40" name="amount">&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Notes&nbsp;</td>
							<td align="left"><input type="text" size="40" name="notes"></td></tr>
						<tr class="odd">
							<td align="center" colspan="2">
								<input type="hidden" name="submitted" value="1">
								<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
								<input onClick="valAddBCOBP()" type="button" class="button blue" value="Submit">
							</td>
						</tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>