<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Expense');
define('NAV', 4); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_134() == true) {
		print_header(TITLE);
		print_navs();
		shortcut_banner(_GET_POST($_GET['branch_id']));
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			if (isset($_SESSION['token']) && $_POST['token'] == $_SESSION['token']) {
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$ref_num = mysql_real_escape_string(stripslashes($_POST['ref_num']));
					$edate = mysql_real_escape_string(stripslashes($_POST['edate']));
					$extype_id = mysql_real_escape_string(stripslashes($_POST['extype_id']));
					$exdesc = htmlentities(mysql_real_escape_string(stripslashes($_POST['exdesc'])));
					$amount = mysql_real_escape_string(stripslashes($_POST['amount']));
				} else {
					$ref_num = mysql_real_escape_string($_POST['ref_num']);
					$edate = mysql_real_escape_string($_POST['edate']);
					$extype_id = mysql_real_escape_string($_POST['extype_id']);
					$exdesc = htmlentities(mysql_real_escape_string($_POST['exdesc']));
					$amount = mysql_real_escape_string($_POST['amount']);
				}
				
				// Check to make sure they have entered the reference number
				if ($ref_num != "" && is_string($ref_num)) { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please enter the reference number."; }
				// Check to make sure they entered a valid date of the expense
				if ($edate != "" && is_string($ref_num)) { $b = TRUE; } 
				else { $b = FALSE; $message[] = "Please enter the date of expense."; }
				// Check to make sure they have entered the type of expense
				if ($extype_id != 0 && is_numeric($extype_id)) { $c = TRUE; } 
				else { $c = FALSE; $message[] = "Please enter the name of the type of expense."; }
				// Check to make sure they have entered the description of expense
				if ($exdesc != "" && is_string($exdesc)) { $d = TRUE; } 
				else { $d = FALSE; $message[] = "Please enter the description of expense."; }
				// Check to make sure they have entered the amount
				if (is_float($amount) || is_numeric($amount)) { $e = TRUE; } 
				else { $e = FALSE; $message[] = "Please enter the amount of expense."; }

				// If the data pass all tests, continue inserting of record
				if ( $a && $b && $c && $d && $e ) {
					// get the branch_id of the encoder
					$branch_id = _GET_POST($_POST[branch_id]);

					$sql = "SELECT expense_id FROM branch_expenses
							WHERE branch_id = '$branch_id' 
								AND edate = '$edate' 
								AND user_id = '$_SESSION[user_id]' 
								AND extype_id = '$extype_id' 
								AND amount = '$amount'";
					$chck_res = mysql_query($sql);
					$chck_num = mysql_num_rows($chck_res);
					if ($chck_num > 0) {
						print "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td align=center>
							<font color=red face=arial size=2><b>Expense already exists in the database!</b><br><br>
							The same entry for the date, type and amount of expense has been found.</font></td></tr></table>
							</td></tr></table></center>";
						show_form();
					} else {
						// get the balance of the registers cash before adding the expense
						$sql = "SELECT cash FROM branch_registers WHERE branch_id = '$branch_id'";
						$rc_res = mysql_query($sql); $rc_row = mysql_fetch_array($rc_res); $rc = $rc_row[0]; 
						
						if ($rc >= $amount) {
							$new_rc = $rc - $amount; 
							
							$sql = "INSERT INTO branch_expenses ( branch_id, ref_num, edate, extype_id, exdesc, amount, user_id )
									VALUES ( '$branch_id', '$ref_num', '$edate', '$extype_id', '$exdesc', '$amount', '$_SESSION[user_id]' )";
							if (mysql_query($sql)) {
								mysql_query("UPDATE branch_registers SET cash = '$new_rc' WHERE branch_id = '$branch_id' LIMIT 1") or die(mysql_error());
								print "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2><b>Expense has been added into the database</b>.<br>Click 
									<a class=tddata href='branch_expenses.php?branch_id=$branch_id'>here</a> to view all expenses.</font></td></tr></table></td></tr>
									</table></center><br>";
								show_form();
							} else {
								print"<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2 color=red>Could not add expense because: <b>".mysql_error()."</b>
									. The query was $sql.</font></td></tr></table></td></tr></table></center><br>";
								show_form();
							}
						} else {
							echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td height=30 
								align=center><font face=arial size=2 color=red>Could not add expense into the database 
								because: <b>amount entered is greater than the balance of the cash register</b>.</font></td></tr></table></td></tr></table></center><br>";
							show_form();
						}
					}
					mysql_free_result($chck_res);
					mysql_close();
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#ffffff><tr><td><font color=red 
							face=arial size=2><b>The following problems occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
						echo "</font></td></tr></table></td></tr></table></center>\n";
					}
					show_form();
				}
			} else {
				$sql = "DELETE FROM users_online WHERE user_id = '$_SESSION[user_id]' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
				session_unset();
				session_destroy();
				header('Location: login.php');
			}
		} else {
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;
	$branch_id = _GET_POST($_GET[branch_id]);
	$sql = "SELECT CURDATE()";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$date = $drow[0]; 
	mysql_free_result($dres); 
	?>
	<form name="AddBExpense" action="add_branch_expense.php?branch_id=<?php echo $branch_id ?>" method="POST">
		<div class="post">
			<h1 class="title">Add New Expense</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All are required fields</font></td></tr>
						<tr class="even"><td align="right" width="125">&nbsp;&nbsp;Date&nbsp;</td>
							<td align="left" width="300"><input readonly type="text" size="10" name="edate" value="<?php echo $date ?>"><a class="td_img" href="javascript:edate.popup();">&nbsp;<img src="lib/b_calendar.png" style="vertical-align: -30%"></a>&nbsp;<font color="red">*</font></td></tr>
							<script language="JavaScript">
							<!-- // create calendar object(s) just after form tag closed
								var edate = new calendar(document.forms['AddBExpense'].elements['edate']);
								edate.year_scroll = true; edate.time_comp = false;
							//-->
							</script>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Type of Expense&nbsp;</td>
							<td align="left"><select name="extype_id"><option value="0">Type</option>
								<?php
								$sql = "SELECT extype_id, extype_name FROM expense_types WHERE active = 1 ORDER BY extype_name";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									?><option value="<?php print $row[0] ?>"><?php print $row[1] ?></option><?php
								}
								?></select>&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Reference #&nbsp;</td>
							<td align="left"><input type="text" name="ref_num" size="30">&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Expense Description&nbsp;</td>
							<td align="left"><input type="text" name="exdesc" size="30">&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Amount&nbsp;</td>
							<td align="left"><input type="text" size="30" name="amount">&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="token" value="<?php echo $token ?>">
							<input type="hidden" name="branch_id" value="<?php echo $branch_id ?>">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valAddBExpense()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?php
}
?>