<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Refund To Customer');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $rb_id = mysql_real_escape_string(stripslashes($_POST['rb_id']));
	            $amount = mysql_real_escape_string(stripslashes($_POST['amount']));
	            $notes = mysql_real_escape_string(stripslashes($_POST['notes']));
	        } else {
	            $rb_id = mysql_real_escape_string($_POST['rb_id']);
	            $amount = mysql_real_escape_string($_POST['amount']);
	            $notes = mysql_real_escape_string($_POST['notes']);
	        }
	        $rdate = _GET_POST($_POST['rdate']);
			
			// Check to make sure they entered the payment method.
			$a = TRUE;
			$message = array();
			if ($amount == "") { $a = FALSE; array_push($message, "Please enter the amount of refund."); }
			if ($rdate == "") { $a = FALSE; array_push($message, "Please enter a valid date."); }
			
			
			// If the data pass all tests, add the patient to the database.
			if ( $a ) {
				$sql = "SELECT balance, branch_id FROM returns_branches WHERE rb_id = '$rb_id'";
				$res = mysql_query($sql); $row = mysql_fetch_array($res);
				$balance = $row[0]; $branch_id = $row[1];
				
				if ($amount > $balance) { // do not accept payment
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
						align=center><font face=arial size=2 color=red>Could not accept refund to customer because: 
						<b>amount paid is greater than the balance</b>.</font></td></tr></table></td></tr></table></center><br>";
					show_form($rb_id);
				} else {
						// if payment to supplier insertion is successful
						$sql = "INSERT INTO refunds_branches( refund_date, rb_id, user_id, amount, notes ) 
								VALUES( '$rdate', '$rb_id', '$_SESSION[user_id]', '$amount', '$notes' )";
						if (mysql_query($sql)) { 
							$refund_id = mysql_insert_id();
							//get correct branch return balance
							$bal=$balance-$amount;
							// if update of purchase if sucessful
							if (mysql_query("UPDATE returns_branches SET balance = '$bal', rb_date = CURDATE() WHERE rb_id = '$rb_id' LIMIT 1")){
								$customer_id=fld('customer_id', 'returns_branches', 'rb_id="'.$rb_id.'"');
								$r=rec('branch_sales', 'customer_id="'.$customer_id.'" and balance>0', 'sale_id asc');
								$pymt=$r['balance']>$amount?$amount:$r['balance'];
								qry('insert into bspayments (
									customer_id,
									user_id,
									sale_id,
									amount,
									pdate,
									notes,
									good,
									refund_id
								) values (
									"'.$customer_id.'",
									"'.$_SESSION['user_id'].'",
									"'.$r['sale_id'].'",
									"'.$pymt.'",
									"'.$rdate.'",
									"'.$notes.'",
									"1",
									"'.$refund_id.'"
								)');
								$bal=$r['line_total']-fld('sum(amount)', 'bspayments', 'sale_id="'.$r['sale_id'].'"');
								qry('update branch_sales set balance="'.$bal.'" where sale_id="'.$r['sale_id'].'"');
								
								echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
									align=center><font face=arial size=2>Refund to customer has been added into the database.<br>
									Click <a class=paging href='branch_refund.php?refund_id=$refund_id'>here</a> to view the refund.
									</font></td></tr></table></td></tr></table></center><br>";
							}
						} else { // failed to insert
							print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
								align=center><font face=arial size=2 color=red>Could not add refund to customer into the database 
								because: <b>".mysql_error()."</b>.</font></td></tr></table></td></tr></table></center><br>";
						}					
				}
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td height=30><font color=red 
						face=arial size=2><b>The following problems occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<p></p><b>Be sure to re-enter the purchase id and the payment method!</b></font></td></tr></table>
						</td></tr></table></center>\n";
				}
				show_form($rb_id);
			}
			
		} else {
			// Check for valid entry rb_id in the URL
			if (is_numeric($_GET['rb_id'])) {
				$rb_id = $_GET['rb_id'];
				// show form
				show_form($rb_id);
			} else { // No rb_id set.
				print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($rb_id) {
	$sql = "SELECT YEAR(NOW()), MONTH(NOW()), DAY(NOW())";
	$d8_res = mysql_query($sql); $d8_row = mysql_fetch_array($d8_res); 
	$year = $d8_row[0]; $month = $d8_row[1]; $day = $d8_row[2];

	$sql = "SELECT r.customer_id, c.company_name, r.line_total, r.balance, r.rb_date
			FROM returns_branches r INNER JOIN branch_customers c ON r.customer_id = c.customer_id
			WHERE r.rb_id = '$rb_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);
	$date = $row[4];
	?>
	<form action="add_branch_refund.php" method="POST">
		<div class="post">
			<h1 class="title">Add Refund To Customer</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td width="100" align="right">&nbsp;&nbsp;Date&nbsp;</td>
							<td width="300" align="left"><input type="date" name="rdate" value="<?php echo $date; ?>">&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Return #&nbsp;</td>
							<td >&nbsp;<a class="tddata" href="branch_return.php?rb_id=<?PHP echo $rb_id ?>"><?PHP echo $rb_id ?></a></td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Customer&nbsp;</td>
							<td align="left">&nbsp;<a class="tddata" href="branch_customer.php?customer_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Line Total&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[2], 2); ?></td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Balance&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[3], 2); ?></td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Amount&nbsp;</td>
							<td align="left"><input type="text" size="40" name="amount">&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Notes&nbsp;</td>
							<td align="left"><input type="text" size="40" name="notes"></td></tr>
						<tr class="odd">
							<td align="center" colspan="2">
								<input type="hidden" name="submitted" value="1">
								<input type="hidden" name="rb_id" value="<?PHP echo $rb_id ?>">
								<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
								<input type="submit" class="button blue" value="Submit">
							</td>
						</tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>