<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Sale');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_134() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $sale_id = mysql_real_escape_string(stripslashes($_POST['sale_id']));
	            $branch_id = mysql_real_escape_string(stripslashes($_POST['branch_id']));
	            $customer_id = mysql_real_escape_string(stripslashes($_POST['customer_id']));
	            $received_by = mysql_real_escape_string(stripslashes($_POST['received_by']));
	            $notes = mysql_real_escape_string(stripslashes($_POST['notes']));
	            $pmode = mysql_real_escape_string(stripslashes($_POST['pmode']));
	            $tendered = mysql_real_escape_string(stripslashes($_POST['tendered']));
	            $change = mysql_real_escape_string(stripslashes($_POST['change']));
	            $p_notes = mysql_real_escape_string(stripslashes($_POST['p_notes']));
	            $terms = mysql_real_escape_string(stripslashes($_POST['terms']));
	            $delivery_date = mysql_real_escape_string(stripslashes($_POST['delivery_date']));
	            $tnet_price = mysql_real_escape_string(stripslashes($_POST['tnet_price']));
	        } else {
	            $sale_id = mysql_real_escape_string($_POST['sale_id']);
	            $branch_id = mysql_real_escape_string($_POST['branch_id']);
	            $customer_id = mysql_real_escape_string($_POST['customer_id']);
	            $received_by = mysql_real_escape_string($_POST['received_by']);
	            $notes = mysql_real_escape_string($_POST['notes']);
	            $pmode = mysql_real_escape_string($_POST['pmode']);
	            $tendered = mysql_real_escape_string($_POST['tendered']);
	            $change = mysql_real_escape_string($_POST['change']);
	            $p_notes = mysql_real_escape_string($_POST['p_notes']);
	            $terms = mysql_real_escape_string($_POST['terms']);
	            $delivery_date = mysql_real_escape_string($_POST['delivery_date']);
	            $tnet_price = mysql_real_escape_string($_POST['tnet_price']);
			}
			
	
			// Check if the products submitted are the first entries of a sale
			if ($sale_id == "") {
				// Check to make sure they have selected from the list of customers.
				if ($customer_id != "") { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please select from the list of customers."; }
				// Check to make sure they have entered the person who received the product sale.
				if ($received_by != "") { $b = TRUE; } 
				else { $b = FALSE; $message[] = "Please enter the person who received the product sale."; }
				// Check to make sure they have entered the payment mode.
				if ($pmode != "") { $c = TRUE; } 
				else { $c = FALSE; $message[] = "Please enter the payment mode for this sale."; }
				// Check to make sure they have entered the payment mode.
				if ($branch_id != "") { $d = TRUE; } 
				else { $d = FALSE; $message[] = "Please select from the list of branches."; }
				// Check to make sure they have entered the payment mode.
				if ($delivery_date != "") { $e = TRUE; } 
				else { $e = FALSE; $message[] = "Please enter the date of sale."; }
				
				// If the data pass all tests, add the patient to the database.
				if ( $a && $b && $c && $d && $e ) {
					// get the due date of the sale
					$sql = "SELECT DATE_ADD( CURDATE( ) , INTERVAL $terms DAY )";
					$dd_res = mysql_query($sql); $dd_row = mysql_fetch_array($dd_res); $due_date = $dd_row[0];
					
					// check if the sale already exists 
					$sql = "SELECT sale_id FROM branch_sales
							WHERE branch_id = '$branch_id' 
								AND customer_id = '$customer_id' 
								AND user_id = '$_SESSION[user_id]' 
								AND delivery_date = '$delivery_date'
								AND due_date = '$due_date'
								AND received_by = '$received_by'
								AND notes = '$notes'
								AND line_total = '$tnet_price'";
					$sres = mysql_query($sql);
					$snum = mysql_num_rows($sres); 
					if ($snum > 0) {
						$srow = mysql_fetch_array($sres);
						echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><font face=arial size=2 color=red><img src='lib/s_error.png'><br><br>Product sale 
							already exists in the database.<br>Click <a class=paging href='branch_sale.php?sale_id=$srow[0]'>here</a>
							to view the product sale.</font></td></tr></table></td></tr></table></center><br>";
					} else {
						// get the next OR number for this branch
						$sql = "SELECT MAX(or_num) FROM branch_sales WHERE branch_id = '$branch_id'";
						$max_res = mysql_query($sql); $max_row = mysql_fetch_array($max_res); $nxt_or = $max_row[0] + 1; 
						
						$sql = "INSERT INTO branch_sales( branch_id, or_num, customer_id, user_id, delivery_date, due_date, received_by, notes ) 
								VALUES( '$branch_id', '$nxt_or', '$customer_id', '$_SESSION[user_id]', '$delivery_date', '$due_date', '$received_by', '$notes' )";
						if (mysql_query($sql)) {
							$sale_id = mysql_insert_id();
							$sql = "UPDATE branch_customers SET lastsale = CURDATE() WHERE customer_id = '$customer_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
							
							if ($_POST[product_id1] != "" && $_POST[quantity1] != "") {
								Add2Sale($branch_id, $_POST[product_id1], $_POST[quantity1], $sale_id, $_POST[unit_price1],	$_POST[unit_discount1], $_POST[net_price1]);
							} // end of product # 1
							if ($_POST[product_id2] != "" && $_POST[quantity2] != "") {
								Add2Sale($branch_id, $_POST[product_id2], $_POST[quantity2], $sale_id, $_POST[unit_price2], $_POST[unit_discount2], $_POST[net_price2]);
							} // end of product # 2
							if ($_POST[product_id3] != "" && $_POST[quantity3] != "") {
								Add2Sale($branch_id, $_POST[product_id3], $_POST[quantity3], $sale_id, $_POST[unit_price3], $_POST[unit_discount3], $_POST[net_price3]);
							} // end of product # 3
							if ($_POST[product_id4] != "" && $_POST[quantity4] != "") {
								Add2Sale($branch_id, $_POST[product_id4], $_POST[quantity4], $sale_id, $_POST[unit_price4], $_POST[unit_discount4], $_POST[net_price4]);
							} // end of product # 4
							if ($_POST[product_id5] != "" && $_POST[quantity5] != "") {
								Add2Sale($branch_id, $_POST[product_id5], $_POST[quantity5], $sale_id, $_POST[unit_price5], $_POST[unit_discount5], $_POST[net_price5]);
							} // end of product # 5
							if ($_POST[product_id6] != "" && $_POST[quantity6] != "") {
								Add2Sale($branch_id, $_POST[product_id6], $_POST[quantity6], $sale_id, $_POST[unit_price6], $_POST[unit_discount6], $_POST[net_price6]);
							} // end of product # 6
							if ($_POST[product_id7] != "" && $_POST[quantity7] != "") {
								Add2Sale($branch_id, $_POST[product_id7], $_POST[quantity7], $sale_id, $_POST[unit_price7], $_POST[unit_discount7], $_POST[net_price7]);
							} // end of product # 7
							if ($_POST[product_id8] != "" && $_POST[quantity8] != "") {
								Add2Sale($branch_id, $_POST[product_id8], $_POST[quantity8], $sale_id, $_POST[unit_price8], $_POST[unit_discount8], $_POST[net_price8]);
							} // end of product # 8
							if ($_POST[product_id9] != "" && $_POST[quantity9] != "") {
								Add2Sale($branch_id, $_POST[product_id9], $_POST[quantity9], $sale_id, $_POST[unit_price9], $_POST[unit_discount9], $_POST[net_price9]);
							} // end of product # 9
							if ($_POST[product_id10] != "" && $_POST[quantity10] != "") {
								Add2Sale($branch_id, $_POST[product_id10], $_POST[quantity10], $sale_id, $_POST[unit_price10], $_POST[unit_discount10], $_POST[net_price10]);
							} // end of product # 10
							if ($_POST[product_id11] != "" && $_POST[quantity11] != "") {
								Add2Sale($branch_id, $_POST[product_id11], $_POST[quantity11], $sale_id, $_POST[unit_price11], $_POST[unit_discount11], $_POST[net_price11]);
							} // end of product # 11
							if ($_POST[product_id12] != "" && $_POST[quantity12] != "") {
								Add2Sale($branch_id, $_POST[product_id12], $_POST[quantity12], $sale_id, $_POST[unit_price12], $_POST[unit_discount12], $_POST[net_price12]);
							} // end of product # 12
							if ($_POST[product_id13] != "" && $_POST[quantity13] != "") {
								Add2Sale($branch_id, $_POST[product_id13], $_POST[quantity13], $sale_id, $_POST[unit_price13], $_POST[unit_discount13], $_POST[net_price13]);
							} // end of product # 13
							if ($_POST[product_id14] != "" && $_POST[quantity14] != "") {
								Add2Sale($branch_id, $_POST[product_id14], $_POST[quantity14], $sale_id, $_POST[unit_price14], $_POST[unit_discount14], $_POST[net_price14]);
							} // end of product # 14
							if ($_POST[product_id15] != "" && $_POST[quantity15] != "") {
								Add2Sale($branch_id, $_POST[product_id15], $_POST[quantity15], $sale_id, $_POST[unit_price15], $_POST[unit_discount15], $_POST[net_price15]);
							} // end of product # 15
							if ($_POST[product_id16] != "" && $_POST[quantity16] != "") {
								Add2Sale($branch_id, $_POST[product_id16], $_POST[quantity16], $sale_id, $_POST[unit_price16], $_POST[unit_discount16], $_POST[net_price16]);
							} // end of product # 16
							if ($_POST[product_id17] != "" && $_POST[quantity17] != "") {
								Add2Sale($branch_id, $_POST[product_id17], $_POST[quantity17], $sale_id, $_POST[unit_price17], $_POST[unit_discount17], $_POST[net_price17]);
							} // end of product # 17
							if ($_POST[product_id18] != "" && $_POST[quantity18] != "") {
								Add2Sale($branch_id, $_POST[product_id18], $_POST[quantity18], $sale_id, $_POST[unit_price18], $_POST[unit_discount18], $_POST[net_price18]);
							} // end of product # 18
							if ($_POST[product_id19] != "" && $_POST[quantity19] != "") {
								Add2Sale($branch_id, $_POST[product_id19], $_POST[quantity19], $sale_id, $_POST[unit_price19], $_POST[unit_discount19], $_POST[net_price19]);
							} // end of product # 19
							if ($_POST[product_id20] != "" && $_POST[quantity20] != "") {
								Add2Sale($branch_id, $_POST[product_id20], $_POST[quantity20], $sale_id, $_POST[unit_price20], $_POST[unit_discount20], $_POST[net_price20]);
							} // end of product # 20
							
							$sql = "SELECT SUM(quantity*(unit_price - unit_discount)), 
										SUM((quantity * ((unit_price - unit_discount) - acq_price))) 
									FROM bsale_details WHERE sale_id = '$sale_id'";
							$lt_res = mysql_query($sql);
							$lt_row = mysql_fetch_array($lt_res); $line_total = $lt_row[0]; $revenue = $lt_row[1];
							
							$sql = "SELECT sd_id FROM bsale_details WHERE sale_id = '$sale_id'";
							$res = mysql_query($sql);
							$num = mysql_num_rows($res);
							
							if ($num > 0) {
								if ($pmode == 1) { // if cash
									$sql = "SELECT cash FROM branch_registers WHERE branch_id = '$branch_id'";
									$cash_res = mysql_query($sql); $cash_row = mysql_fetch_array($cash_res);
									$new_cash = $cash_row[0] + $line_total;
									
									$balance = $line_total - $tendered; 
									if ($tendered > $line_total) {
										$payment = $line_total; 
									} else {
										$payment = $tendered; 
									}
									
									$sql = "UPDATE branch_sales 
											SET line_total = '$line_total', balance = '$balance', revenue = '$revenue', pmode = 1
											WHERE sale_id = '$sale_id' LIMIT 1";
									// if suceessful to insert the sale
									if (mysql_query($sql)) {
										$sql = "INSERT INTO bspayments( customer_id, user_id, sale_id, amount, pdate, pmethod, notes, good ) 
												VALUES( '$customer_id', '$_SESSION[user_id]', '$sale_id', '$payment', '$delivery_date', 'Cash', '$p_notes', 1 )";
										// if successful to insert the payment
										if (mysql_query($sql)) {
											mysql_query("UPDATE branch_registers SET cash = '$new_cash' WHERE branch_id = '$branch_id' LIMIT 1") or die(mysql_error());
											print "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
												height=30 align=center><font face=arial size=2><img src='lib/s_okay.png'><br><b>
												Sale has been added into the database</b>.<br>Click <a class=paging 
												href='add_branch_sale.php'>here</a> to add <b>ANOTHER SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
											show_branch_sale($sale_id);	
										} else {
											print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
												align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>
												There has been a mistake</b>.<br>Sale has been added into the database but <b>payment
												has not been processed</b>.</font></td></tr></table></td></tr></table></center><br>";
										}
									} else {
										print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
											align=center><font face=arial size=2><img src='lib/s_error.png'><br><br>Could 
											not insert sale into the database because: <b> ".mysql_error()." </b>.</font></td>
											</tr></table></td></tr></table></center><br>";
									}
								} elseif ($pmode == 2) { // if check
									$sql = "UPDATE branch_sales 
											SET or_num = '$sale_id', line_total = '$line_total', balance = '$line_total', revenue = '$revenue', pmode = 2
											WHERE sale_id = '$sale_id' LIMIT 1";
									// if successful to insert the sale
									if (mysql_query($sql)) {
										echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
											align=center><font face=arial size=2><img src='lib/s_okay.png'><br><b>
											Sale has been added into the database</b>.<br>Click <a class=paging 
											href='add_branch_sale.php'>here</a> to add <b>ANOTHER SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
										show_branch_sale($sale_id);
									} else {
										echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
											align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could 
											not insert sale into the database because: <b> ".mysql_error()." </b>.</font></td>
											</tr></table></td></tr></table></center><br>";
									}
								}
							} else {
								echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could not add 
									sale into the database</b>.<br>No product has been added into the sale.</font></td></tr>
									</table></td></tr></table></center><br>";
							}
						} else {
							echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could not add 
								sale into the database</b></font></td></tr></table></td></tr></table></center><br>";
						}
					}
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td><font color=red 
							face=arial size=2><b>The following problems occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
						echo "</font></td></tr></table></td></tr></table></center>\n";
					}
				show_form($sale_id);
				}
			// If the submitted products are just additional to a previous sale
			} else {
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// Since sale Details were already given, we just have to fetch the additional products for the same requisition
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				$res = mysql_query("SELECT sd_id FROM bsale_details WHERE sale_id = '$sale_id'");
				$num = mysql_num_rows($res);

				if ($_POST[product_id1] != "" && $_POST[quantity1] != "") {
					Check_Product($branch_id, $_POST[product_id1], $_POST[quantity1], $sale_id, $_POST[unit_price1], $_POST[unit_discount1], $_POST[net_price1]);
				} // end of product # 1
				if ($_POST[product_id2] != "" && $_POST[quantity2] != "") {
					Check_Product($branch_id, $_POST[product_id2], $_POST[quantity2], $sale_id, $_POST[unit_price2], $_POST[unit_discount2], $_POST[net_price2]);
				} // end of product # 2
				if ($_POST[product_id3] != "" && $_POST[quantity3] != "") {
					Check_Product($branch_id, $_POST[product_id3], $_POST[quantity3], $sale_id, $_POST[unit_price3], $_POST[unit_discount3], $_POST[net_price3]);
				} // end of product # 3
				if ($_POST[product_id4] != "" && $_POST[quantity4] != "") {
					Check_Product($branch_id, $_POST[product_id4], $_POST[quantity4], $sale_id, $_POST[unit_price4], $_POST[unit_discount4], $_POST[net_price4]);
				} // end of product # 4
				if ($_POST[product_id5] != "" && $_POST[quantity5] != "") {
					Check_Product($branch_id, $_POST[product_id5], $_POST[quantity5], $sale_id, $_POST[unit_price5], $_POST[unit_discount5], $_POST[net_price5]);
				} // end of product # 5
				if ($_POST[product_id6] != "" && $_POST[quantity6] != "") {
					Check_Product($branch_id, $_POST[product_id6], $_POST[quantity6], $sale_id, $_POST[unit_price6], $_POST[unit_discount6], $_POST[net_price6]);
				} // end of product # 6
				if ($_POST[product_id7] != "" && $_POST[quantity7] != "") {
					Check_Product($branch_id, $_POST[product_id7], $_POST[quantity7], $sale_id, $_POST[unit_price7], $_POST[unit_discount7], $_POST[net_price7]);
				} // end of product # 7
				if ($_POST[product_id8] != "" && $_POST[quantity8] != "") {
					Check_Product($branch_id, $_POST[product_id8], $_POST[quantity8], $sale_id, $_POST[unit_price8], $_POST[unit_discount8], $_POST[net_price8]);
				} // end of product # 8
				if ($_POST[product_id9] != "" && $_POST[quantity9] != "") {
					Check_Product($branch_id, $_POST[product_id9], $_POST[quantity9], $sale_id, $_POST[unit_price9], $_POST[unit_discount9], $_POST[net_price9]);
				} // end of product # 9
				if ($_POST[product_id10] != "" && $_POST[quantity10] != "") {
					Check_Product($branch_id, $_POST[product_id10], $_POST[quantity10], $sale_id, $_POST[unit_price10], $_POST[unit_discount10], $_POST[net_price10]);
				} // end of product # 10
				if ($_POST[product_id11] != "" && $_POST[quantity11] != "") {
					Check_Product($branch_id, $_POST[product_id11], $_POST[quantity11], $sale_id, $_POST[unit_price11], $_POST[unit_discount11], $_POST[net_price11]);
				} // end of product # 11
				if ($_POST[product_id12] != "" && $_POST[quantity12] != "") {
					Check_Product($branch_id, $_POST[product_id12], $_POST[quantity12], $sale_id, $_POST[unit_price12], $_POST[unit_discount12], $_POST[net_price12]);
				} // end of product # 12
				if ($_POST[product_id13] != "" && $_POST[quantity13] != "") {
					Check_Product($branch_id, $_POST[product_id13], $_POST[quantity13], $sale_id, $_POST[unit_price13], $_POST[unit_discount13], $_POST[net_price13]);
				} // end of product # 13
				if ($_POST[product_id14] != "" && $_POST[quantity14] != "") {
					Check_Product($branch_id, $_POST[product_id14], $_POST[quantity14], $sale_id, $_POST[unit_price14], $_POST[unit_discount14], $_POST[net_price14]);
				} // end of product # 14
				if ($_POST[product_id15] != "" && $_POST[quantity15] != "") {
					Check_Product($branch_id, $_POST[product_id15], $_POST[quantity15], $sale_id, $_POST[unit_price15], $_POST[unit_discount15], $_POST[net_price15]);
				} // end of product # 15
				if ($_POST[product_id16] != "" && $_POST[quantity16] != "") {
					Check_Product($branch_id, $_POST[product_id16], $_POST[quantity16], $sale_id, $_POST[unit_price16], $_POST[unit_discount16], $_POST[net_price16]);
				} // end of product # 16
				if ($_POST[product_id17] != "" && $_POST[quantity17] != "") {
					Check_Product($branch_id, $_POST[product_id17], $_POST[quantity17], $sale_id, $_POST[unit_price17], $_POST[unit_discount17], $_POST[net_price17]);
				} // end of product # 17
				if ($_POST[product_id18] != "" && $_POST[quantity18] != "") {
					Check_Product($branch_id, $_POST[product_id18], $_POST[quantity18], $sale_id, $_POST[unit_price18], $_POST[unit_discount18], $_POST[net_price18]);
				} // end of product # 18
				if ($_POST[product_id19] != "" && $_POST[quantity19] != "") {
					Check_Product($branch_id, $_POST[product_id19], $_POST[quantity19], $sale_id, $_POST[unit_price19], $_POST[unit_discount19], $_POST[net_price19], $_POST[pmode]);
				} // end of product # 19
				if ($_POST[product_id20] != "" && $_POST[quantity20] != "") {
					Check_Product($branch_id, $_POST[product_id20], $_POST[quantity20], $sale_id, $_POST[unit_price20], $_POST[unit_discount20], $_POST[net_price20]);
				} // end of product # 20
				
				$sql = "SELECT SUM(quantity*(unit_price - unit_discount)), 
							SUM((quantity * ((unit_price - unit_discount) - acq_price))) 
						FROM bsale_details WHERE sale_id = '$sale_id'";
				$lt_res = mysql_query($sql);
				$lt_row = mysql_fetch_array($lt_res); $line_total = $lt_row[0]; $revenue = $lt_row[1];
				
				$res2 = mysql_query("SELECT sd_id FROM bsale_details WHERE sale_id='$sale_id'");
				$num2 = mysql_num_rows($res2);

				if ($num2 > $num) {
					if ($pmode == 1) {
						// if successful update of sale
						if (mysql_query("UPDATE branch_sales SET line_total = $line_total, balance = $line_total, revenue = '$revenue' WHERE sale_id = '$sale_id' LIMIT 1")) {
							// if successful update of cpayment
							if (mysql_query("UPDATE bspayments SET amount = $line_total WHERE sale_id = '$sale_id' LIMIT 1")) {
								echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2><img src='lib/s_okay.png'><br><b>Product sale and 
									payment to customer have been updated</b>. Click <a class=paging 
									href='add_branch_sale.php'>here</a> to add <b>ANOTHER SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
								show_branch_sale($sale_id);
							} else {
								echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>
									There has been a mistake</b>.<br>Sale has been updated but <b>payment to customer has not 
									been updated</b>.</font></td></tr></table></td></tr></table></center><br>";
							}
						} else {
							echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
								<font face=arial size=2><img src='lib/s_error.png'><br><br>Could not update sale because: 
								<b> ".mysql_error()." </b>.</font></td></tr></table></td></tr></table></center><br>";
						}
					} elseif ($pmode == 2) {
						// if successful update of sale
						if (mysql_query("UPDATE branch_sales SET line_total = $line_total, balance = $line_total, revenue = '$revenue' WHERE sale_id = '$sale_id'")) {
								echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br><b>Product sale and 
									payment to customer have been updated</b>. Click <a class=paging 
									href='add_branch_sale.php'>here</a> to add <b>ANOTHER SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
								show_branch_sale($sale_id);
						} else {
							echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
								<font face=arial size=2><img src='lib/s_error.png'><br><br>Could not update sale because: 
								<b> ".mysql_error()." </b>.</font></td></tr></table></td></tr></table></center><br>";
						}
					}
				} else {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td  
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>No update has been made to 
						the sale</b>. Click <a class=paging href='sale.php?sale_id=$sale_id'>here</a> to view 
						the requisition details.<br><br>Or click <a class=paging 
						href='add_sale.php?sale_id=$sale_id'>here</a> to add <b>MORE</b> products <b>IN THIS 
						PARTICULAR SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
				}
			}
			mysql_close();
		} else {
			// Check for valid entry sale_id in the URL
			if (is_numeric($_GET['sale_id'])) {
				$sale_id = $_GET['sale_id'];
			}
			show_form($sale_id);
		}
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($sale_id) {
	// to get the position of the user
	$dres = mysql_query("SELECT position, branch_id FROM users WHERE user_id = '$_SESSION[user_id]'");
	$drow = mysql_fetch_array($dres); 
	$position = $drow[0]; $branch_id = $drow[1]; 
	// get the id of the walk-in customer for this branch
	$sql = "SELECT customer_id FROM branch_customers WHERE branch_id = '$branch_id' AND company_name LIKE 'walk%'";
	$wres = mysql_query($sql); $wrow = mysql_fetch_array($wres); $walk_id = $wrow[0];
				
	$sql = "SELECT CURDATE()";
	$today_res = mysql_query($sql); $today_row = mysql_fetch_array($today_res); 
	$today = $today_row[0];
	?>
	<form name="AddBranchSale" action="add_branch_sale.php" method="POST">
		<div class="post">
			<h1 class="title">Add Sale</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="even"><td align="center" colspan="4"><font color="red">All asterisks (*) are required fields</font></td></tr>
							<?PHP
							if ($sale_id == "") {
								?>
								<tr class="odd"><td align="right" width="130">Customer&nbsp;</td>
									<td align="left" width="220"><select id="customer_id" name="customer_id" onchange="GetBStats('crdtlimit', 'get_bcrdtlimit.php', 'balance', 'get_bbalance.php', 'receipts', 'get_breceipts.php', 'unpaid', 'get_bunpaid.php', 'customer_id')"><option value="0">Customer</option>
										<?PHP
										if ($position == 4) {
											$sql = "SELECT customer_id, company_name FROM branch_customers WHERE frozen = 0 AND branch_id = '$branch_id' ORDER BY company_name";
										} elseif ($position == 1 || $position == 3) {
											$sql = "SELECT customer_id, company_name FROM branch_customers ORDER BY company_name";
										}
										$cres = mysql_query($sql) or die(mysql_error());
										while ($crow = mysql_fetch_array($cres)) { 
											if ($walk_id == $crow[0] && $position == 4) {
												?><option value="<?PHP echo $crow[0] ?>" Selected><?PHP echo $crow[1] ?></option><?PHP
											} else {
												?><option value="<?PHP echo $crow[0] ?>"><?PHP echo $crow[1] ?></option><?PHP
											}
										} ?></select>&nbsp;<font color="red">*</font></td>
									<td align="right" width="100">Branch&nbsp;</td>
									<td align="left" width="250"><select name="branch_id"><option value="0">Select</option><?PHP
										$sql = "SELECT branch_id, branch_name FROM branches WHERE active = 1 ORDER BY branch_id";
										$bres = mysql_query($sql); 
										while ($brow = mysql_fetch_array($bres)) {
											if ($branch_id == $brow[0]) {
												?><option value="<?PHP echo $brow[0] ?>" Selected><?PHP echo $brow[1] ?></option><?PHP
											} else {
												?><option value="<?PHP echo $brow[0] ?>"><?PHP echo $brow[1] ?></option><?PHP
											}
										}
										?></select>&nbsp;<font color="red">*</font></td></tr>
								<tr class="even"><td align="right">Credit Limit&nbsp;</td>
									<td align="left"><input readonly="true" type="text" size="33" id="crdtlimit" name="crdtlimit"></td>
									<td align="right">Balance&nbsp;</td>
									<td align="left"><input readonly="true" type="text" size="33" id="balance" name="balance"></td></tr>
								<tr class="odd"><td align="right">Allowable Receipts&nbsp;</td>
									<td align="left"><input readonly="true" type="text" size="33" id="receipts" name="receipts"></td>
									<td align="right">Unpaid Receipts&nbsp;</td>
									<td align="left"><input readonly="true" type="text" size="33" id="unpaid" name="unpaid"></td></tr>
								<tr class="even"><td align="right">Terms (Days)&nbsp;</td>
									<td align="left"><select name="terms"><?PHP
										$sql = "SELECT days FROM terms WHERE active = 1 ORDER BY days";
										$tres = mysql_query($sql); 
										while ($trow = mysql_fetch_array($tres)) {
											?><option value="<?PHP echo $trow[0] ?>"><?PHP echo $trow[0] ?></option><?PHP
										}
										?></select>&nbsp;&nbsp;<font color="red">*</font></td>
									<td align="right">Received By&nbsp;</td>
									<td align="left"><input type="text" size="33" name="received_by">&nbsp;&nbsp;<font color="red">*</font></td></tr>
								<tr class="odd"><td align="right">Date&nbsp;</td>
									<td align="left"><input readonly type="text" size="10" name="delivery_date" value="<?PHP echo $today ?>"><a class="td_img" href="javascript:delivery_date.popup();">&nbsp;<img src="lib/b_calendar.png"></a>&nbsp;<font color="red">*</font></td>
									<td align="right">Notes&nbsp;</td>
									<td align="left"><input type="text" size="33" name="notes"></td></tr>
									<script language="JavaScript">
									<!-- // create calendar object(s) just after form tag closed
										var delivery_date = new calendar(document.forms['AddBranchSale'].elements['delivery_date']);
										delivery_date.year_scroll = true; delivery_date.time_comp = false;
									//-->
									</script>
								<?PHP
							} else {
								$sql = "SELECT s.or_num, s.customer_id, c.company_name, CONCAT(u.fname,' ',u.lname),
											DATE_FORMAT(s.delivery_date, '%b %e, %Y'), DATE_FORMAT(s.due_date, '%b %e, %Y'),
											s.received_by, s.notes, s.line_total, s.balance, s.revenue, 
											s.pmode, TO_DAYS(NOW()), TO_DAYS(s.due_date), b.branch_name, s.branch_id
										FROM branch_sales s 
											INNER JOIN branch_customers c ON s.customer_id = c.customer_id 
											INNER JOIN users u ON s.user_id = u.user_id
											INNER JOIN branches b ON s.branch_id = b.branch_id
										WHERE s.sale_id = '$sale_id'";
								$sres = mysql_query($sql);
								$srow = mysql_fetch_array($sres);
								?>	
									<input type="hidden" name="branch_id" value="<?PHP echo $srow[15] ?>">
									<tr class="odd"><td align="right" width="100">O.R. #&nbsp;</td>
										<td align="left" width="240">&nbsp;<?PHP echo $srow[0] ?></td>
										<td align="right" width="110">Customer&nbsp;</td>
										<td align="left" width="250">&nbsp;<a class="tddata" href="branch_customer.php?customer_id=<?PHP echo $srow[1] ?>"><b><?PHP print $srow[2] ?></b></a></td></tr>
									<tr class="even"><td align="right">Delivery Date&nbsp;</td>
										<td align="left">&nbsp;<?PHP echo $srow[4] ?></a></td>
										<td align="right">Due Date&nbsp;</td>
										<td align="left">&nbsp;<?PHP if (($srow[13] <= $srow[12]) && $srow[9] > 0) {echo "<font color=red><blink>$srow[5]</blink></font>";} else {echo $srow[5];} ?></td></tr>
									<tr class="odd"><td align="right">Prepared by&nbsp;</td>
										<td align="left">&nbsp;<?PHP echo $srow[3] ?></td>
										<td align="right">Received by&nbsp;</td>
										<td align="left">&nbsp;<?PHP echo $srow[6] ?></td></tr>
									<tr class="even"><td align="right">Line Total&nbsp;</td>
										<td align="left">&nbsp;<?PHP echo number_format($srow[8], 2); ?></td>
										<td align="right">Payment Balance&nbsp;</td>
										<td align="left">&nbsp;<?PHP echo number_format($srow[9], 2); ?></td></tr>
									<tr class="odd"><td align="right">Branch&nbsp;</td>
										<td align="left">&nbsp;<?PHP echo $srow[14] ?></td>
										<td align="right">Revenue&nbsp;</td>
										<td align="left">&nbsp;<?PHP if ($position == 1) echo number_format($srow[10], 2) ?></td></tr>
									<tr class="even"><td align="right">Payment Mode&nbsp;</td>
										<td align="left">&nbsp;<?PHP
											if ($srow[11] == 1) { echo "Cash"; } 
											elseif ($srow[11] == 2) { 
												echo "Check"; 
												// srow[9] == balance
												if ($srow[9] > 0) {
													echo "&nbsp;&nbsp;--->>&nbsp;&nbsp;";
													echo "<a class=tddata href='add_bspayment.php?sale_id=$sale_id'><b>PAY</b></a>";
												}
											} ?></td>
										<td align="right">Notes&nbsp;</td>
										<td align="left">&nbsp;<?PHP echo $srow[7] ?></td></tr>
								<?PHP
							}
						?>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
		<div class="post">
			<h1 class="title">Product Sale Details</h1>
			<div class="entry">
				<table align="center">
					<thead class="data"><tr>
						<td align="center" width="30"></td>
						<td align="center" width="50">Code</td>
						<td align="center" width="250">Product</td>
						<td align="center" width="50">ID#</td>
						<td align="center" width="45"># Avail</td>
						<td align="center" width="50">Capital</td>
						<td align="center" width="50">Price</td>
						<td align="center" width="50">Disc.</td>
						<td align="center" width="45">Qty</td>
						<td align="center" width="60">Net</td>
					</tr></thead>
					<tbody class="data">
						<?PHP
						for ($i=1; $i<21; $i++) {
						$m = fmod($i, 2); 
						if ($m == 0) {
							?><tr class="even"><?PHP
						} else {
							?><tr class="odd"><?PHP
						}
						?>
							<td align="center"><?PHP echo $i ?></td>
							<td align="center"><input type="text" size="5" id="product_num<?PHP echo $i ?>" name="product_num<?PHP echo $i ?>" onblur="BranchSaleRequest('product_name<?PHP echo $i ?>', 'get_product_name.php', 'product_id<?PHP echo $i ?>', 'get_product_id.php', 'available<?PHP echo $i ?>', 'get_branch_avail.php', 'unit_price<?PHP echo $i ?>', 'get_price.php', 'capital<?PHP echo $i ?>', 'get_capital.php', 'product_num<?PHP echo $i ?>')"></td>
							<td align="center">
								<input type="text" size="44" id="product_name<?PHP echo $i ?>" name="product_name<?PHP echo $i ?>" onkeyup="bsale_lookup<?PHP echo $i ?>(this.value);" onblur="bsale_fill<?PHP echo $i ?>();">
								<div class="suggestionsBox" id="suggestions<?PHP echo $i ?>" style="display: none;">
									<div class="suggestionList" id="autoSuggestionsList<?PHP echo $i ?>"></div>
								</div></td>
							<td align="center"><input type="text" size="5" id="product_id<?PHP echo $i ?>" name="product_id<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="4" id="available<?PHP echo $i ?>" name="available<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="5" id="capital<?PHP echo $i ?>" name="capital<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="5" id="unit_price<?PHP echo $i ?>" name="unit_price<?PHP echo $i ?>" style="text-align:right;"></td>
							<td align="center"><input type="text" size="5" id="unit_discount<?PHP echo $i ?>" name="unit_discount<?PHP echo $i ?>" onblur="getBSTPrice()" style="text-align:right;"></td>
							<td align="center"><input type="text" size="4" id="quantity<?PHP echo $i ?>" name="quantity<?PHP echo $i ?>" onblur="getBSTPrice()" style="text-align:right;"></td>
							<td align="center"><input type="text" size="8" id="net_price<?PHP echo $i ?>" name="net_price<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
						</tr>
						<?PHP
						}
						?>
						<tr class="odd">
							<td colspan="3" align="right">Type of Sale&nbsp;<select name="pmode"><option rel="1" value="1" Selected>Cash</option><option rel="2" value="2">Credit</option></select></td>
							<td colspan="5" align="right"><b>Line Totals</b></td>
							<td align="center"><input type="text" size="4" id="tqty" name="tqty" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="8" id="tnet_price" name="tnet_price" readonly="true" style="text-align:right;"></td>
						</tr>
						<tr rel="1" class="even"><td align="center" colspan="10">&nbsp;</td></tr>
						<tr rel="2" class="even"><td align="center" colspan="10">&nbsp;</font></td></tr>
						<tr rel="1" class="odd"><td align="right" colspan="3">Amount Tendered&nbsp;</td>
							<td align="left" colspan="7"><input type="text" size="50" name="tendered" onblur="getChange()">&nbsp;<font color="red">*</font></td></tr>
						<tr rel="1" class="even"><td align="right" colspan="3">Change&nbsp;</td>
							<td align="left" colspan="7"><input type="text" size="50" name="change" readonly="1"></td></tr>
						<tr rel="1" class="odd"><td align="right" colspan="3">Notes&nbsp;</td>
							<td align="left" colspan="7"><input type="text" size="50" name="p_notes"></td></tr>
						<tr class="even"><td align="center" colspan="10">
								<input type="hidden" name="submitted" value="1">
								<input type="hidden" name="sale_id" value="<?PHP echo $sale_id ?>">
								<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
								<input onClick="valAddBranchSale()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}

function Check_Product($branch_id, $product_id, $quantity, $sale_id, $unit_price, $unit_discount, $net_price) {
	$sql = "SELECT sd.product_id, p.product_name
			FROM products p, bsale_details sd
			WHERE sd.product_id='$product_id' 
				AND p.product_id=sd.product_id 
				AND sd.sale_id='$sale_id'";
	$check_pres = mysql_query($sql);
	$check_pnum = mysql_num_rows($check_pres);
	$check_prow = mysql_fetch_array($check_pres);
	if ($check_pnum < 1) {
		Add2Sale($branch_id, $product_id, $quantity, $sale_id, $unit_price, $unit_discount, $net_price);
	} else {
		print "<center><font face=arial size=2 color=red>Double entry for $check_prow[0]<br>";
	}
	mysql_free_result($check_pres);
}

function Add2Sale($branch_id, $product_id, $quantity, $sale_id, $unit_price, $unit_discount, $net_price) {
	// get the customer number of this branch
	$sql = "SELECT customer_id FROM customer_branches WHERE branch_id = '$branch_id'"; 
	$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $customer_id = $crow[0];
	
	// get the sum of purchases
	$sql = "SELECT SUM(pd.quantity)
			FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id
			WHERE p.branch_id = '$branch_id' AND pd.product_id = '$product_id' AND p.user_id != 0"; 
	$tpur_res = mysql_query($sql); $tpur_row = mysql_fetch_array($tpur_res);
	// get the sum of returns from customers
	$sql = "SELECT SUM(rb.quantity)
			FROM returns_branches r INNER JOIN rb_details rb ON r.rb_id = rb.rb_id
			WHERE r.branch_id = '$branch_id' AND rb.product_id = '$product_id' AND rb.rtype = 1"; 
	$giret_res = mysql_query($sql); $giret_row = mysql_fetch_array($giret_res);
	// get the sum of conversions
	$sql = "SELECT SUM(to_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND to_product_id = '$product_id'"; 
	$rcon_res = mysql_query($sql); $rcon_row = mysql_fetch_array($rcon_res); 

	// get the sum of sales
	$sql = "SELECT SUM(sd.quantity)
			FROM branch_sales s INNER JOIN bsale_details sd ON s.sale_id = sd.sale_id
			WHERE sd.product_id = '$product_id' AND s.branch_id = '$branch_id'";
	$tsale_res = mysql_query($sql); $tsale_row = mysql_fetch_array($tsale_res);
	// get the sum of good returns to main office
	$sql = "SELECT SUM(rd.quantity)
			FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
			WHERE r.customer_id = '$customer_id' AND rd.product_id = '$product_id' AND rd.rtype = 1"; 
	$goret_res = mysql_query($sql); $goret_row = mysql_fetch_array($goret_res);
	// get the sum of conversions
	$sql = "SELECT SUM(fr_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND fr_product_id = '$product_id'"; 
	$wcon_res = mysql_query($sql); $wcon_row = mysql_fetch_array($wcon_res); 
	// get the sum of loss
	$sql = "SELECT SUM(bl.quantity)
			FROM branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id
			WHERE l.branch_id = '$branch_id' AND bl.product_id = '$product_id'"; 
	$gl_res = mysql_query($sql); $gl_row = mysql_fetch_array($gl_res); 
	
	$good = ($tpur_row[0] + $giret_row[0] + $rcon_row[0]) - ($tsale_row[0] + $goret_row[0] + $wcon_row[0] + $gl_row[0]);
	
	mysql_free_result($tpur_res); mysql_free_result($giret_res); mysql_free_result($tsale_res); mysql_free_result($goret_res);
	mysql_free_result($rcon_res); mysql_free_result($wcon_res); mysql_free_result($gl_res); 

	if ($good >= $quantity) {
		// get the ave_acq of product from that particular warehouse
		$sql = "SELECT bp_id, ave_acq FROM branch_products WHERE branch_id = '$branch_id' AND product_id = '$product_id'";
		$bp_res = mysql_query($sql) or die(mysql_error());
		$bp_row = mysql_fetch_array($bp_res); 
		
		$bp_id = $bp_row[0]; $ave_acq = $bp_row[1];
		$new_inventory = $good - $quantity; 
		
		// insert sale details
		$sql = "INSERT INTO bsale_details( sale_id, product_id, acq_price, quantity, unit_price, unit_discount, net_price )
				VALUES( '$sale_id', '$product_id', '$ave_acq', '$quantity', '$unit_price', '$unit_discount', '$net_price' )";
		mysql_query($sql) or die(mysql_error());
		
		// update the inventory_level in branch_products table
		$sql = "UPDATE branch_products 
				SET inventory = '$new_inventory', last_move = CURDATE()
				WHERE bp_id = '$bp_id' LIMIT 1";
		mysql_query($sql) or die(mysql_error());
	} else {
		$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
		$pres = mysql_query($sql); $prow = mysql_fetch_array($pres); $product_name = $prow[0];
		
		$sql = "UPDATE branch_products SET inventory = '$good' 
				WHERE branch_id = '$branch_id' AND product_id = '$product_id' LIMIT 1";
		mysql_query($sql) or die(mysql_error()); 

		echo "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td align=center><font face=arial size=2>
			<b>ERROR!</b> Insufficient stock for $product_name. Inventory was updated.</font></td></tr></table></td></tr></table></center><br>";
	}
} // end
?>