<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Purchase');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $manufacturer_id = mysql_real_escape_string(stripslashes($_POST['manufacturer_id']));
	            $category_id = mysql_real_escape_string(stripslashes($_POST['category_id']));
	            $supplier_id = mysql_real_escape_string(stripslashes($_POST['supplier_id']));
	            $p_or_num = mysql_real_escape_string(stripslashes($_POST['p_or_num']));
	            $customer_id = mysql_real_escape_string(stripslashes($_POST['customer_id']));
	            $received_by = mysql_real_escape_string(stripslashes($_POST['received_by']));
	            $notes = mysql_real_escape_string(stripslashes($_POST['notes']));
	            $due_date = mysql_real_escape_string(stripslashes($_POST['due_date']));
	            $delivery_date = mysql_real_escape_string(stripslashes($_POST['delivery_date']));
	            $terms = mysql_real_escape_string(stripslashes($_POST['terms']));
	        } else {
	            $manufacturer_id = mysql_real_escape_string($_POST['manufacturer_id']);
	            $category_id = mysql_real_escape_string($_POST['category_id']);
	            $supplier_id = mysql_real_escape_string($_POST['supplier_id']);
	            $p_or_num = mysql_real_escape_string($_POST['p_or_num']);
	            $customer_id = mysql_real_escape_string($_POST['customer_id']);
	            $received_by = mysql_real_escape_string($_POST['received_by']);
	            $notes = mysql_real_escape_string($_POST['notes']);
	            $due_date = mysql_real_escape_string($_POST['due_date']);
	            $delivery_date = mysql_real_escape_string($_POST['delivery_date']);
	            $terms = mysql_real_escape_string($_POST['terms']);
			}
			
			// Check to make sure they have selected from the list of suppliers.
			if ($supplier_id != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please select from the list of suppliers."; }
			// Check to make sure they have entered the Purchase Official Receipt Number
			if ($p_or_num != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please enter the Official Receipt Number."; }
			// Check to make sure they have selected from the list of customers.
			if ($customer_id != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please select from the list of customers."; }
			// Check to make sure they have entered the person who received the product sale.
			if ($received_by != "") { $d = TRUE; } 
			else { $d = FALSE; $message[] = "Please enter the person who received the product sale."; }
			// Check to make sure they have entered the person who received the product sale.
			if ($due_date != "") { $e = TRUE; } 
			else { $e = FALSE; $message[] = "Please enter due date of sale."; }
			// Check to make sure they have entered the date of delivery.
			if ($delivery_date != "") { $e = TRUE; } 
			else { $e = FALSE; $message[] = "Please enter the date of delivery."; }
			// Check to make sure they have entered the terms of the purchase.
			if ($terms != "") { $e = TRUE; } 
			else { $e = FALSE; $message[] = "Please enter the terms of purchase."; }

			// If the data pass all tests, add the patient to the database.
			if ( $a && $b && $c && $d && $e ) {
				// check if the purchase already exists 
				$sql = "SELECT purchase_id FROM purchases WHERE or_num = '$p_or_num' AND supplier_id = '$supplier_id' AND delivery_date = CURDATE()"; 
				$sres = mysql_query($sql);
				$snum = mysql_num_rows($sres); 
				$srow = mysql_fetch_array($sres);
				if ($snum > 0) {
					print"<br><center><table><tr><td bgcolor=#000000><table bgcolor=#efefef width=600><tr><td height=30 
						align=center><font face=arial size=2 color=red>Purchase delivered to customer already exists in the database.
						<br>Click <a class=paging href='purchase.php?purchase_id=$srow[0]'>here</a> to view the product sale.</font></td>
						</tr></table></td></tr></table></center><br>";
				} else {
					$sql = "INSERT INTO purchases( account_id, or_num, supplier_id, user_id, terms, delivery_date, actual_delivery_date, received_by, notes, pmode, direct_delivery )
							VALUES( 1, '$p_or_num', '$supplier_id', '$_SESSION[user_id]', $terms, CURDATE(), '$delivery_date', '$received_by', '$notes', '2', '1' )";
					if (mysql_query($sql)) {
						$purchase_id = mysql_insert_id();
						
						$sql = "INSERT INTO sales( account_id, customer_id, user_id, delivery_date, due_date, received_by, notes, pmode, purchase_id )
								VALUES( 1, '$customer_id', '$_SESSION[user_id]', CURDATE(), '$due_date', '$received_by', '$notes', 2, '$purchase_id' )";
						if (mysql_query($sql)) {
							$sale_id = mysql_insert_id();
							$sql = "UPDATE customers SET lastsale = CURDATE() WHERE customer_id = '$customer_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
							
							// verify if customer is a branch
							$sql = "SELECT ctype FROM customers WHERE customer_id = '$customer_id'";
							$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $ctype = $crow[0];
							
							if ($ctype == 1) {
								$sql = "SELECT branch_id, active FROM customer_branches WHERE customer_id = '$customer_id'";
								$cb_res = mysql_query($sql); $cb_row = mysql_fetch_array($cb_res); $branch_id = $cb_row[0]; $active = $cb_row[1]; 
								
								if ($active == 1) {
									$sql = "INSERT INTO branch_purchases( branch_id, sale_id, delivery_date ) 
											VALUES( '$branch_id', '$sale_id', CURDATE() )";
									mysql_query($sql) or die(mysql_error()); 
									$bp_id = mysql_insert_id();
								}
							}
							
						} else {
							echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could not add 
								sale into the database</b></font></td></tr></table></td></tr></table></center><br>";
						}
					} else {
						echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could not add 
							purchase into the database</b></font></td></tr></table></td></tr></table></center><br>";
					}

					if ($_POST[product_id1] != "" && $_POST[quantity1] != "") {
						Add2P2C($_POST[product_id1], $_POST[quantity1], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount1], $_POST[unit_price1], $_POST[sale_discount1]);
					} // end of product # 1
					
					if ($_POST[product_id2] != "" && $_POST[quantity2] != "") {
						Add2P2C($_POST[product_id2], $_POST[quantity2], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount2], $_POST[unit_price2], $_POST[sale_discount2]);
					} // end of product # 2
					
					if ($_POST[product_id3] != "" && $_POST[quantity3] != "") {
						Add2P2C($_POST[product_id3], $_POST[quantity3], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount3], $_POST[unit_price3], $_POST[sale_discount3]);
					} // end of product # 3
					
					if ($_POST[product_id4] != "" && $_POST[quantity4] != "") {
						Add2P2C($_POST[product_id4], $_POST[quantity4], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount4], $_POST[unit_price4], $_POST[sale_discount4]);
					} // end of product # 4
					
					if ($_POST[product_id5] != "" && $_POST[quantity5] != "") {
						Add2P2C($_POST[product_id5], $_POST[quantity5], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount5], $_POST[unit_price5], $_POST[sale_discount5]);
					} // end of product # 5
					
					if ($_POST[product_id6] != "" && $_POST[quantity6] != "") {
						Add2P2C($_POST[product_id6], $_POST[quantity6], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount6], $_POST[unit_price6], $_POST[sale_discount6]);
					} // end of product # 6
					
					if ($_POST[product_id7] != "" && $_POST[quantity7] != "") {
						Add2P2C($_POST[product_id7], $_POST[quantity7], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount7], $_POST[unit_price7], $_POST[sale_discount7]);
					} // end of product # 7
					
					if ($_POST[product_id8] != "" && $_POST[quantity8] != "") {
						Add2P2C($_POST[product_id8], $_POST[quantity8], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount8], $_POST[unit_price8], $_POST[sale_discount8]);
					} // end of product # 8
					
					if ($_POST[product_id9] != "" && $_POST[quantity9] != "") {
						Add2P2C($_POST[product_id9], $_POST[quantity9], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount9], $_POST[unit_price9], $_POST[sale_discount9]);
					} // end of product # 9
					
					if ($_POST[product_id10] != "" && $_POST[quantity10] != "") {
						Add2P2C($_POST[product_id10], $_POST[quantity10], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount10], $_POST[unit_price10], $_POST[sale_discount10]);
					} // end of product # 10

					if ($_POST[product_id11] != "" && $_POST[quantity11] != "") {
						Add2P2C($_POST[product_id11], $_POST[quantity11], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount11], $_POST[unit_price11], $_POST[sale_discount11]);
					} // end of product # 11

					if ($_POST[product_id12] != "" && $_POST[quantity12] != "") {
						Add2P2C($_POST[product_id12], $_POST[quantity12], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount12], $_POST[unit_price12], $_POST[sale_discount12]);
					} // end of product # 12

					if ($_POST[product_id13] != "" && $_POST[quantity13] != "") {
						Add2P2C($_POST[product_id13], $_POST[quantity13], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount13], $_POST[unit_price13], $_POST[sale_discount13]);
					} // end of product # 13

					if ($_POST[product_id14] != "" && $_POST[quantity14] != "") {
						Add2P2C($_POST[product_id14], $_POST[quantity14], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount14], $_POST[unit_price14], $_POST[sale_discount14]);
					} // end of product # 14

					if ($_POST[product_id15] != "" && $_POST[quantity15] != "") {
						Add2P2C($_POST[product_id15], $_POST[quantity15], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount15], $_POST[unit_price15], $_POST[sale_discount15]);
					} // end of product # 15

					if ($_POST[product_id16] != "" && $_POST[quantity16] != "") {
						Add2P2C($_POST[product_id16], $_POST[quantity16], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount16], $_POST[unit_price16], $_POST[sale_discount16]);
					} // end of product # 16

					if ($_POST[product_id17] != "" && $_POST[quantity17] != "") {
						Add2P2C($_POST[product_id17], $_POST[quantity17], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount17], $_POST[unit_price17], $_POST[sale_discount17]);
					} // end of product # 17

					if ($_POST[product_id18] != "" && $_POST[quantity18] != "") {
						Add2P2C($_POST[product_id18], $_POST[quantity18], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount18], $_POST[unit_price18], $_POST[sale_discount18]);
					} // end of product # 18

					if ($_POST[product_id19] != "" && $_POST[quantity19] != "") {
						Add2P2C($_POST[product_id19], $_POST[quantity19], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount19], $_POST[unit_price19], $_POST[sale_discount19]);
					} // end of product # 19

					if ($_POST[product_id20] != "" && $_POST[quantity20] != "") {
						Add2P2C($_POST[product_id20], $_POST[quantity20], $purchase_id, $sale_id, $bp_id, $_POST[purchase_discount20], $_POST[unit_price20], $_POST[sale_discount20]);
					} // end of product # 20
					
					// line total of purchase
					$p_lt_res = mysql_query("select sum(net_price) from purchase_details where purchase_id='$purchase_id'");
					$p_lt_row = mysql_fetch_array($p_lt_res); $p_line_total = $p_lt_row[0];
					// line total of sale
					$s_lt_res = mysql_query("select sum(net_price), sum((quantity * ((unit_price - unit_discount) - acq_price)))
						from sale_details where sale_id='$sale_id'");
					$s_lt_row = mysql_fetch_array($s_lt_res); $s_line_total = $s_lt_row[0]; $revenue = $s_lt_row[1];

					$res = mysql_query("select sd_id from sale_details where sale_id='$sale_id'");
					$num = mysql_num_rows($res);

					if ($num > 0) {
						$sql = "UPDATE purchases SET line_total = '$p_line_total', balance = '$p_line_total' WHERE purchase_id = '$purchase_id' LIMIT 1";
						if ( mysql_query($sql)) {
							if ($ctype == 1 && $active == 1) {
								$sql = "UPDATE branch_purchases SET line_total = '$s_line_total', balance = '$s_line_total'
										WHERE purchase_id = '$bp_id' LIMIT 1";
								mysql_query($sql) or die(mysql_error()); 
							}
							
							$sql = "UPDATE sales 
									SET or_num = '$sale_id', line_total = '$s_line_total', balance = '$s_line_total', revenue = '$revenue'
									WHERE sale_id = '$sale_id' LIMIT 1";
							if (mysql_query($sql)) {
								print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									height=30 align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br><b>
									Purchase delivered to customer has been added into the database</b>.<br>Products Added:<br><br>";
								$sql = "SELECT p.product_name
										FROM products p, purchase_details pd
										WHERE pd.purchase_id = '$purchase_id' AND pd.product_id = p.product_id
										GROUP BY pd.product_id ORDER BY p.product_name";
								$psres = mysql_query($sql);
									while ($psrow = mysql_fetch_array($psres)) {
										print "<i>$psrow[0]</i><br>";
									}
								print "<br>Click <a class=paging href='purchase.php?purchase_id=$purchase_id'>here</a> to view
									the product purchase details.<br><br>Or click <a class=paging href='sale.php?sale_id=$sale_id'>here</a> 
									to view sale details.<br><br>Or click <a class=paging href='add_direct_delivery.php'>here</a> to add 
									ANOTHER DIRECT DELIVERY.</font></td></tr></table></td></tr></table></center><br>";
							} else {
								print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									height=30 align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>
									There has been a mistake</b>.<br>Purchase has been added into the database but <b>supplier &
									customer balances were not updated</b>.</font></td></tr></table></td></tr></table></center><br>";
							}
						} else {
							print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								height=30 align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could 
								not insert purchase into the database because: <b> ".mysql_error()." </b>.</font></td>
								</tr></table></td></tr></table></center><br>";
						}
					} else {
						print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
							align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could not add 
							purchase delivered to customer into the database</b>.<br>No product has been added.</font></td></tr>
							</table></td></tr></table></center><br>";
					}
				}
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td height=30><font color=red 
						face=arial size=2><b>The following problems occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "</font></td></tr></table>
						</td></tr></table></center>\n";
				}
				show_form($manufacturer_id, $category_id);
			}
		} else {
			// Check for valid entry manufacturer_id in the URL
			if (is_numeric($_GET['manufacturer_id'])) {
				$manufacturer_id = $_GET['manufacturer_id'];
			}
			// Check for valid entry category_id in the URL
			if (is_numeric($_GET['category_id'])) {
				$category_id = $_GET['category_id'];
			}
			show_form($manufacturer_id, $category_id);
		}
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($manufacturer_id, $category_id) {
	$sql = "SELECT YEAR(NOW()), MONTH(NOW()), DAY(NOW())";
	$d8_res = mysql_query($sql); $d8_row = mysql_fetch_array($d8_res); 
	$year = $d8_row[0]; $month = $d8_row[1]; $day = $d8_row[2];
	
	$get_sale_id_res = mysql_query("select max(sale_id) from sales");
	$get_sale_id_row = mysql_fetch_array($get_sale_id_res);
	$sale_id = $get_sale_id_row[0] + 1;
	
	?>
	<form name="AddDDelivery" action="add_direct_delivery.php" method="POST">
		<div class="post">
			<h1 class="title">Add Direct Delivery</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="4"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="odd"><td align="right" width="90">Supplier&nbsp;</td>
							<td align="left" width="250"><select name="supplier_id" style="width: 230;"><option value="0">Supplier</option>
								<?PHP
								$sres = mysql_query("select supplier_id, company_name from suppliers order by company_name");
								while ($srow = mysql_fetch_array($sres)) { 
									print "<option value=$srow[0]>$srow[1]</option>"; 
								} ?></select>&nbsp;<font color="red">*</font></td>
							<td align="right" width="90">Purchase O.R.#&nbsp;</td>
							<td align="left" width="250"><input type="text" size="34" name="p_or_num">&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right" width="90">Customer&nbsp;</td>
							<td align="left" width="250"><select name="customer_id"  style="width: 230;"><option value="0">Customer</option>
								<?PHP
								$ccres = mysql_query("select customer_id, company_name, ctype from customers order by company_name");
								while ($ccrow = mysql_fetch_array($ccres)) {
									$in_list = sql_fld("customer_id", "customer_branches", "customer_id = '$ccrow[customer_id]'");
									if ($ccrow['ctype'] == 1 && $in_list != ''){
										$active = sql_fld("b.active", "branches b INNER JOIN customer_branches c on b.branch_id = c.branch_id", "c.customer_id = '$ccrow[customer_id]'");
										print "<option value=$ccrow[0]>$ccrow[1]".($active==0?' --- WAG GAGAMITIN':'')."</option>"; 
									} else {
										print "<option value=$ccrow[0]>$ccrow[1]</option>"; 	
									}
								} ?></select>&nbsp;<font color="red">*</font></td>
							<td align="right" width="90">Notes&nbsp;</td>
							<td align="left" width="250"><input type="text" size="34" name="notes"></td></tr>
						<tr class="odd"><td align="right">Received By&nbsp;</td>
							<td align="left"><input type="text" size="34" name="received_by">&nbsp;<font color="red">*</font></td>
							<td align="right">Sale Due Date&nbsp;</td>
							<td align="left"><input readonly type="text" size="10" name="due_date"><a class="td_img" href="javascript:due_date.popup();">&nbsp;<img src="lib/b_calendar.png" style="vertical-align: -30%"></a>&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Delivery Date&nbsp;</td>
							<td align="left"><input type="date" name="delivery_date">&nbsp;<font color="red">*</font></td>
							<td align="right">Terms&nbsp;</td>
							<td><select name="terms">
									<option value="0"> -- </option>
									<option value="15">15 Days</option>
									<option value="30">30 Days</option>
									<option value="60">60 Days</option>
								</select>&nbsp;<font color="red">*</font></td></tr>
							<script language="JavaScript">
							<!-- // create calendar object(s) just after form tag closed
								var due_date = new calendar(document.forms['AddDDelivery'].elements['due_date']);
								due_date.year_scroll = true; due_date.time_comp = false;
							//-->
							</script>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
		<br>
		<div class="post">
			<h1 class="title">Product Details</h1>
			<div class="entry">
				<table align="center">
					<thead class="data"><tr>
						<td align="center" width="30">#</td>
						<td align="center" width="50">Code</td>
						<td align="center" width="130">Name - Acq - Selling</td>
						<td align="center" width="50">ID</td>
						<td align="center" width="45">Qty</td>
						<td align="center" width="55">Price</td>
						<td align="center" width="65">Purchase<br>Disc.</td>
						<td align="center" width="65">Sale<br>Disc.</td>
						<td align="center" width="75">Net<br>Purchase</td>
						<td align="center" width="75">Net<br>Sale</td>
					</tr></thead>
					<tbody class="data">
						<?PHP
						for ($i=1; $i<21; $i++) {
						$m = fmod($i, 2); 
						if ($m == 0) {
							?><tr class="even"><?PHP
						} else {
							?><tr class="odd"><?PHP
						}
						?>
							<td align="center"><?PHP print $i ?></td>
							<td align="center"><input type="text" size="5" name="product_num<?PHP echo $i ?>" id="product_num<?PHP echo $i ?>" onblur="PurchaseRequest('product_name<?PHP echo $i ?>', 'get_product_name.php', 'product_id<?PHP echo $i ?>', 'get_product_id.php', 'product_num<?PHP echo $i ?>')"></td>
							<td align="center">
								<input type="text" size="30" name="product_name<?PHP echo $i ?>" id="product_name<?PHP echo $i ?>" onkeyup="lookup<?PHP echo $i ?>(this.value);" onblur="fill<?PHP echo $i ?>();">
								<div class="suggestionsBox" id="suggestions<?PHP echo $i ?>" style="display: none;">
									<div class="suggestionList" id="autoSuggestionsList<?PHP echo $i ?>"></div>
								</div>
							</td>
							<td align="center"><input type="text" size="4" name="product_id<?PHP echo $i ?>" id="product_id<?PHP echo $i ?>" readonly></td>
							<td align="center"><input type="text" size="3" name="quantity<?PHP echo $i ?>" onblur="getDDTPrice()" style="text-align:right;"></td>
							<td align="center"><input type="text" size="5" name="unit_price<?PHP echo $i ?>" onblur="getDDTPrice()" style="text-align:right;"></td>
							<td align="center"><input type="text" size="7" name="purchase_discount<?PHP echo $i ?>" onblur="getDDTPrice()" style="text-align:right;"></td>
							<td align="center"><input type="text" size="7" name="sale_discount<?PHP echo $i ?>" onblur="getDDTPrice()" style="text-align:right;"></td>
							<td align="center"><input readonly="true" style="text-align:right;" type="text" size="9" name="net_purchase<?PHP echo $i ?>"></td>
							<td align="center"><input readonly="true" style="text-align:right;" type="text" size="9" name="net_sale<?PHP echo $i ?>"></td>
						</tr>
						<?PHP
						}
						?>
						<tr class="odd">
							<td colspan="4" align="right"><b>Total Qty</b></td>
							<td align="center"><input readonly="true" style="text-align:right;" type="text" size="3" name="tqty"></td>
							<td colspan="3" align="right"><b>Line Totals</b></td>
							<td align="center"><input readonly="true" style="text-align:right;" type="text" size="9" name="tnet_purchase"></td>
							<td align="center"><input readonly="true" style="text-align:right;" type="text" size="9" name="tnet_sale"></td>
							</tr>
						<tr class="even"><td align="center" colspan="10">&nbsp;</td></tr>
						<tr class="odd"><td align="center" colspan="10">
								<input type="hidden" name="submitted" value="1">
								<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
								<input onClick="valAddDDelivery()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}

function Check_Product($product_id, $quantity, $purchase_id, $sale_id, $bp_id, $purchase_discount, $unit_price, $sale_discount) {
	$sql = "SELECT pd.product_id, p.product_name
			FROM products p, purchase_details pd
			WHERE pd.product_id = '$product_id' 
				AND pd.purchase_id = '$purchase_id' 
				AND p.product_id = pd.product_id";
	$check_pres = mysql_query($sql);
	$check_pnum = mysql_num_rows($check_pres);
	$check_prow = mysql_fetch_array($check_pres);
	if ($check_pnum < 1) {
		Add2P2C($product_id, $quantity, $purchase_id, $sale_id, $bp_id, $purchase_discount, $unit_price, $sale_discount);
	} else {
		print "<center><font face=arial size=2 color=red>Double entry for $check_prow[0]<br>";
	}
	mysql_free_result($check_pres);
}

function Add2P2C($product_id, $quantity, $purchase_id, $sale_id, $bp_id, $purchase_discount, $unit_price, $sale_discount) {
	// insert purchase detail
	$pnet_price = $quantity * ($unit_price - $purchase_discount);
	$sql = "INSERT INTO purchase_details( purchase_id, product_id, quantity, unit_price, unit_discount, net_price ) 
			VALUES( '$purchase_id', '$product_id', '$quantity', '$unit_price', '$purchase_discount', '$pnet_price' )";
	if (mysql_query($sql)) {
		$pd_id = mysql_insert_id();

		$acq_price = $unit_price - $purchase_discount;
		$snet_price = $quantity * ($unit_price - $sale_discount);

		$sql = "INSERT INTO sale_details( sale_id, pd_id, product_id, acq_price, quantity, unit_price, unit_discount, net_price ) 
				VALUES( '$sale_id', '$pd_id', '$product_id', '$acq_price', '$quantity', '$unit_price', '$sale_discount', '$snet_price' )";
		if (mysql_query($sql)) {
			if ($bp_id != 0) {
				$sql = "INSERT INTO bpurchase_details( purchase_id, product_id, quantity, unit_price, unit_discount, net_price )
						VALUES( '$bp_id', '$product_id', '$quantity', '$unit_price', '$sale_discount', '$snet_price' )";
				if (mysql_query($sql)) {
				} else {
					print "could not add into bpurchase_details<br>";
				}
			}
			$products_last_move = array(
				'lastsale' => sql_curdate()
			);
			sql_upd("products", $products_last_move, "product_id = '$product_id'");
		} else {
			print "could not add into sale_details<br>";
		}
	} else {
		print "could not add into purchase_details<br>";
	}
} // end
?>