<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Expense');
define('NAV', 4); 
session_start();
val_qry('branch_id', 'branches', 'active=\'1\'');

if(isset($_SESSION['user_id'])) {

	if (validate_134() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			if (isset($_SESSION['token']) && $_POST['token'] == $_SESSION['token']) {
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$branch_id = mysql_real_escape_string(stripslashes($_POST['branch_id']));
					$amount = mysql_real_escape_string(stripslashes($_POST['amount']));
					$notes = mysql_real_escape_string(stripslashes($_POST['notes']));
				} else {
					$branch_id = mysql_real_escape_string(stripslashes($_POST['branch_id']));
					$amount = mysql_real_escape_string($_POST['amount']);
					$notes = mysql_real_escape_string(stripslashes($_POST['notes']));
				}
				$excdate = _GET_POST($_POST['excdate']);
				
				// Check to make sure they entered a valid date of the expense
				if ($branch_id != 0 && is_numeric($branch_id)) { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please select from the list of branches."; }
				// Check to make sure they have entered the amount
				if (is_float($amount) || is_numeric($amount)) { $b = TRUE; } 
				else { $b = FALSE; $message[] = "Please enter the excess amount."; }

				// If the data pass all tests, continue inserting of record
				if ( $a && $b ) {
					$sql = "SELECT ec_id FROM branch_excesses
							WHERE branch_id = '$branch_id' 
								AND ec_date = '$ec_date' 
								AND notes = '$notes' 
								AND amount = '$amount'";
					$chck_res = mysql_query($sql);
					$chck_num = mysql_num_rows($chck_res);
					if ($chck_num > 0) {
						print "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td align=center>
							<font color=red face=arial size=2><b>Excess cash already exists in the database!</b><br><br>
							The same entry for the date, description and amount of excess has been found.</font></td></tr></table>
							</td></tr></table></center>";
						shortcut_banner($branch_id);
						show_form();
					} else {
						$sql = "INSERT INTO branch_excesses ( ec_date, branch_id, amount, user_id, notes )
								VALUES ( '$excdate', '$branch_id', '$amount', '$_SESSION[user_id]', '$notes' )";
						if (mysql_query($sql)) {
							print "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><b>Excess cash has been added into the database</b>.<br>Click 
								<a class=tddata href='branch_excesses.php?branch_id=$branch_id'>here</a> to view all cash excesses.</font></td></tr></table></td></tr>
								</table></center><br>";
							shortcut_banner($branch_id);
							show_form();
						} else {
							print"<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2 color=red>Could not add excess cash because: <b>".mysql_error()."</b>
								. The query was $sql.</font></td></tr></table></td></tr></table></center><br>";
							shortcut_banner($branch_id);
							show_form();
						}
					}
					mysql_free_result($chck_res);
					mysql_close();
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#ffffff><tr><td><font color=red 
							face=arial size=2><b>The following problems occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
						echo "</font></td></tr></table></td></tr></table></center>\n";
					}
					shortcut_banner($branch_id);
					show_form();
				}
			} else {
				$sql = "DELETE FROM users_online WHERE user_id = '$_SESSION[user_id]' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
				session_unset();
				session_destroy();
				header('Location: login.php');
			}
		} else {
			$branch_id=_GET_POST($_GET['branch_id']);
			shortcut_banner($branch_id);
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;
	$branch_id = _GET_POST($_GET[branch_id]);
	$date =sql_curdate();
	?>
	<form action="add_excess.php?branch_id=<?php echo $branch_id ?>" method="POST">
		<div class="post">
			<h1 class="title">Add New Excess Cash for <?php echo sql_fld('branch_name', 'branches', 'branch_id=\''.$branch_id.'\'') ?></h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd" height='25px'><td align="center" colspan="2"><font color="red">All are required fields</font></td></tr>
						<tr class='even' height='25px'><td align='right'>Date&nbsp;:</td>
							<td align='left'>&nbsp;<input readonly id='excdate' type="text" size="10" name="excdate" value="<?php echo $date?>" style='height: 19px'>&nbsp;<font color='red'>*</font><a class="td_img" href="javascript:excess_date.popup();">&nbsp;<img src="lib/b_calendar.png" style='vertical-align: -30%'></a></td></tr>
						<tr class="odd" height='25px'><td align="right">&nbsp;&nbsp;Amount&nbsp;</td>
							<td align="left"><input type="text" size="50" name="amount">&nbsp;&nbsp;</td></tr>
						<tr class="even" height='25px'><td align="right">&nbsp;&nbsp;Notes&nbsp;</td>
							<td align="left"><input type="text" name="notes" size="50">&nbsp;&nbsp;</td></tr>
						<tr class="odd" height='25px'><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="token" value="<?PHP echo $token ?>">
							<input type="hidden" name="branch_id" value="<?PHP echo $branch_id ?>">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input type="submit" class="button blue" value="Submit" onclick="return confirm('Are you sure your data entry is correct?');"></td></tr>
					</tbody>
				</table>
				<script language="JavaScript">
					var excess_date = new calendar(document.getElementById('excdate'));
					excess_date.year_scroll = true; excess_date.time_comp = false;
				</script>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>