<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Expense');
define('NAV', 4); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			if (isset($_SESSION['token']) && $_POST['token'] == $_SESSION['token']) {
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$ref_num = mysql_real_escape_string(stripslashes($_POST['ref_num']));
					$edate = mysql_real_escape_string(stripslashes($_POST['edate']));
					$extype_id = mysql_real_escape_string(stripslashes($_POST['extype_id']));
					$exdesc = htmlentities(mysql_real_escape_string(stripslashes($_POST['exdesc'])));
					$amount = mysql_real_escape_string(stripslashes($_POST['amount']));
					$account_id = mysql_real_escape_string(stripslashes($_POST['account_id']));
				} else {
					$ref_num = mysql_real_escape_string($_POST['ref_num']);
					$edate = mysql_real_escape_string($_POST['edate']);
					$extype_id = mysql_real_escape_string($_POST['extype_id']);
					$exdesc = htmlentities(mysql_real_escape_string($_POST['exdesc']));
					$amount = mysql_real_escape_string($_POST['amount']);
					$account_id = mysql_real_escape_string($_POST['account_id']);
				}
				
				// Check to make sure they have entered the reference number
				if ($ref_num != "" && is_string($ref_num)) { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please enter the reference number."; }
				// Check to make sure they entered a valid date of the expense
				if ($edate != "" && is_string($ref_num)) { $b = TRUE; } 
				else { $b = FALSE; $message[] = "Please enter the date of expense."; }
				// Check to make sure they have entered the type of expense
				if ($extype_id != 0 && is_numeric($extype_id)) { $c = TRUE; } 
				else { $c = FALSE; $message[] = "Please enter the name of the type of expense."; }
				// Check to make sure they have entered the description of expense
				if ($exdesc != "" && is_string($exdesc)) { $d = TRUE; } 
				else { $d = FALSE; $message[] = "Please enter the description of expense."; }
				// Check to make sure they have entered the amount
				if (is_float($amount) || is_numeric($amount)) { $e = TRUE; } 
				else { $e = FALSE; $message[] = "Please enter the amount of expense."; }
				// Check to make sure they have entered the amount
				if ($account_id != 0 && is_numeric($account_id)) { $f = TRUE; } 
				else { $f = FALSE; $message[] = "Please select from the list of accounts."; }
				// Check to make sure they have entered the amount

				// If the data pass all tests, add the patient to the database.
				if ( $a && $b && $c && $d && $e && $f ) {
					$sql = "SELECT expense_id FROM expenses
							WHERE edate = '$edate' AND extype_id = '$extype_id' AND exdesc = '$exdesc' AND amount = '$amount'";
					$chck_res = mysql_query($sql);
					$chck_num = mysql_num_rows($chck_res);
					if ($chck_num > 0) {
						print "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td align=center>
							<font color=red face=arial size=2><b>Expense already exists in the database!</b><br><br>
							The same entry for the date, type and amount of expense has been found.</font></td></tr></table>
							</td></tr></table></center>";
						show_form();
					} else {
						$sql = "SELECT bank_id, balance FROM banks WHERE bank_name = 'UNDEPOSITED CASH'";
						$bres = mysql_query($sql); $brow = mysql_fetch_row($bres); 
						$bank_id = $brow[0]; $balance = $brow[1]; $new_balance = $balance - $amount; 
						$sql = "INSERT INTO expenses ( ref_num, edate, account_id, extype_id, exdesc, amount, user_id )
								VALUES ('$ref_num', '$edate', '$account_id', '$extype_id', '$exdesc', '$amount', '$_SESSION[user_id]' )";
						if (mysql_query($sql)) {
							mysql_query("UPDATE banks SET balance = '$new_balance' WHERE bank_id = '$bank_id' LIMIT 1") or die(mysql_error());
							print "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><b>Expense has been added into the database</b>.<br>Click 
								<a class=tddata href='expenses.php?account_id=$account_id'>here</a> to view all expenses.</font></td></tr></table></td></tr>
								</table></center><br>";
							show_form();
						} else {
							print"<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2 color=red>Could not add expense because: <b>".mysql_error()."</b>
								. The query was $sql.</font></td></tr></table></td></tr></table></center><br>";
							show_form();
						}
					}
					mysql_free_result($chck_res);
					mysql_close();
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#ffffff><tr><td><font color=red 
							face=arial size=2><b>The following problems occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
						echo "</font></td></tr></table></td></tr></table></center>\n";
					}
					show_form();
				}
			} else {
				$sql = "DELETE FROM users_online WHERE user_id = '$_SESSION[user_id]' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
				session_unset();
				session_destroy();
				header('Location: login.php');
			}
		} else {
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;

	$sql = "SELECT CURDATE()";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$date = $drow[0]; 
	mysql_free_result($dres); 
	?>
	<form name="AddExpense" action="add_expense.php" method="POST">
		<div class="post">
			<h1 class="title">Add New Expense</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All are required fields</font></td></tr>
						<tr class="even"><td align="right" width="125">&nbsp;&nbsp;Date&nbsp;</td>
							<td align="left" width="300"><input readonly type="text" size="10" name="edate" value="<?php echo $date ?>"><a class="td_img" href="javascript:edate.popup();">&nbsp;<img src="lib/b_calendar.png"></a>&nbsp;<font color="red">*</font></td></tr>
							<script language="JavaScript">
							<!-- // create calendar object(s) just after form tag closed
								var edate = new calendar(document.forms['AddExpense'].elements['edate']);
								edate.year_scroll = true; edate.time_comp = false;
							//-->
							</script>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Type of Expense&nbsp;</td>
							<td align="left"><select name="extype_id"><option value="0">Type</option>
								<?php
								$sql = "SELECT extype_id, extype_name FROM expense_types WHERE active = 1 ORDER BY extype_name";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									?><option value="<?php print $row[0] ?>"><?php print $row[1] ?></option><?php
								}
								?></select>&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Account&nbsp;</td>
							<td align="left"><select name="account_id"><option value="0">Account</option><?php
								$sql = "SELECT account_id, account_name FROM accounts ORDER BY account_name";
								$bbres = mysql_query($sql) or die(mysql_error()); 
								while ($bbrow = mysql_fetch_array($bbres)) {
									?><option value="<?php echo $bbrow[0] ?>"><?php echo $bbrow[1] ?></option><?php
								}
								?></select></td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Reference #&nbsp;</td>
							<td align="left"><input type="text" name="ref_num" size="30">&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Expense Description&nbsp;</td>
							<td align="left"><input type="text" name="exdesc" size="30">&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Amount&nbsp;</td>
							<td align="left"><input type="text" size="30" name="amount">&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="token" value="<?php echo $token ?>">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valAddExpense()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?php
}
?>