<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Employee\'s Payment To Cash Advance');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $lp_date = mysql_real_escape_string(stripslashes($_POST['lp_date']));
	            $loan_id = mysql_real_escape_string(stripslashes($_POST['loan_id']));
	            $amount = mysql_real_escape_string(stripslashes($_POST['amount']));
	            $notes = mysql_real_escape_string(stripslashes($_POST['notes']));
	        } else {
	            $lp_date = mysql_real_escape_string($_POST['lp_date']);
	            $loan_id = mysql_real_escape_string($_POST['loan_id']);
	            $amount = mysql_real_escape_string($_POST['amount']);
	            $notes = mysql_real_escape_string($_POST['notes']);
	        }
			
			// Check to make sure they have selected from the list of customers
			if ($lp_date != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please enter the date of payment."; }
			// Check to make sure they entered the or number.
			if ($loan_id != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please select from the list of employees."; }
			// Check to make sure they entered the payment amount.
			if ($amount != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please enter the payment amount."; }

			// If the data pass all tests, add the patient to the database.
			if ( $a && $b && $c ) {
				// check for double entry of payment 
				$sql = "SELECT lp_id FROM loan_payments WHERE lp_date = CURDATE() AND loan_id = '$loan_id' AND amount = '$amount'";
				$cres = mysql_query($sql); 
				$cnum = mysql_num_rows($cres); 
				
				if ($cnum > 0) {
					echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
						<font color=red face=arial size=2><b>Payment to cash advance already exists in the database!</b></font></td></tr>
						</table></td></tr></table></center>";
					show_form();
				} else {
					// get the details of the loans
					$sql = "SELECT user_id, balance FROM loans WHERE loan_id = '$loan_id'";
					$res = mysql_query($sql); $row = mysql_fetch_array($res);
					$user_id = $row[0]; $balance = $row[1]; $new_balance = $balance - $amount; 
					
					$sql = "SELECT branch_id FROM users WHERE user_id = '$user_id'";
					$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_id = $brow[0]; 
				
					// insert the payment into the database
					$sql = "INSERT INTO loan_payments( lp_date, loan_id, amount, notes, encoder )
							VALUES( '$lp_date', '$loan_id', '$amount', '$notes', '$_SESSION[user_id]' )";
					if (mysql_query($sql)) {
						$sql = "UPDATE loans SET balance = '$new_balance' WHERE loan_id = '$loan_id' LIMIT 1";
						mysql_query($sql) or die(mysql_error()); 

						if ($branch_id != 0) {
							// get the value of the register
							$sql = "SELECT cash FROM branch_registers WHERE branch_id = '$branch_id'";
							$cr_res = mysql_query($sql); $cr_row = mysql_fetch_array($cr_res); $cash = $cr_row[0]; 
							
							$new_cash = $cash + $amount; 
							// update the cash register
							$sql = "UPDATE branch_registers SET cash = '$new_cash' WHERE branch_id = '$branch_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
						} else {
							// get the value of the undeposited cash
							$sql = "SELECT bank_id, balance FROM banks WHERE bank_name = 'UNDEPOSITED CASH'";
							$uc_res = mysql_query($sql); $uc_row = mysql_fetch_array($uc_res); $bank_id = $uc_row[0]; $balance = $uc_row[1]; 
							
							$new_balance = $balance + $amount; 
							// update the undeposited amount
							$sql = "UPDATE banks SET balance = '$new_balance' WHERE bank_id = '$bank_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
						}

						echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><font face=arial size=2>Payment to cash advance has been added into the database.<br>Click <a 
							class=tddata href='loan_payments.php'>here</a> to view all payments.</font></td></tr></table></td></tr></table></center><br>";
					} else {
						echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><font face=arial size=2 color=red>Could not insert payment to cash advance because: <b>".mysql_error()."</b>. 
							The query was $sql.</font></td></tr></table></td></tr></table></center><br>";
					}
				}
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td  
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>The following problems 
						occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<p></p><b>Be sure to re-enter everything!</b></font></td></tr></table></td></tr></table></center><br>\n";
				}
				show_form();
			}
		} else {
			// show form
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	$sql = "SELECT YEAR(NOW()), MONTH(NOW()), DAY(NOW())";
	$d8_res = mysql_query($sql); $d8_row = mysql_fetch_array($d8_res); 
	$year = $d8_row[0]; $month = $d8_row[1]; $day = $d8_row[2];
	?>
	<form name="AddLP" action="add_lp.php" method="POST">
		<div class="post">
			<h1 class="title">Add Employee's Payment To Cash Advance</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td align="right" width="100">Date&nbsp;</td>
							<td align="left" width="300"><input readonly type="text" size="10" name="lp_date" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:lp_date.popup();">&nbsp;<img src="lib/b_calendar.png"></a>&nbsp;&nbsp;<font color="red">*</font></td></tr>
							<script language="JavaScript">
							<!-- // create calendar object(s) just after form tag closed
								var lp_date = new calendar(document.forms['AddLP'].elements['lp_date']);
								lp_date.year_scroll = true; lp_date.time_comp = false;
							//-->
							</script>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Employee&nbsp;</td>
							<td align="left"><select name="loan_id"><option value="0">Employee -- Balance</option>
								<?PHP 
								$sql = "SELECT l.loan_id, CONCAT(u.lname,', ',u.fname), l.balance
										FROM loans l INNER JOIN users u ON l.user_id = u.user_id
										WHERE l.balance > 0
										ORDER BY u.lname, u.fname";
								$res = mysql_query($sql); 
								while ($row = mysql_fetch_array($res)) {
									?><option value="<?PHP echo $row[0] ?>"><?PHP echo $row[1]; echo ' -- '; echo number_format($row[2], 2); ?></option><?PHP
								}
								?></select>&nbsp;&nbsp;<font color="red">*</font>&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">Amount&nbsp;</td>
							<td align="left"><input type="text" size="40" name="amount">&nbsp;&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Notes&nbsp;</td>
							<td align="left"><input type="text" size="40" name="notes"></td></tr>
						<tr class="even">
							<td align="center" colspan="2">
								<input type="hidden" name="submitted" value="1">
								<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
								<input onClick="valAddLP()" type="button" class="button blue" value="Submit">
							</td>
						</tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>