<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Product');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_13() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
				$category_id = mysql_real_escape_string(stripslashes($_POST['category_id']));
				$manufacturer_id = mysql_real_escape_string(stripslashes($_POST['manufacturer_id']));
				$product_name = mysql_real_escape_string(stripslashes($_POST['product_name']));
				$acq_price = mysql_real_escape_string(stripslashes($_POST['acq_price']));
				$sell_price = mysql_real_escape_string(stripslashes($_POST['sell_price']));
				$aprice = mysql_real_escape_string(stripslashes($_POST['aprice']));
				$bprice = mysql_real_escape_string(stripslashes($_POST['bprice']));
				$cprice = mysql_real_escape_string(stripslashes($_POST['cprice']));
				$dprice = mysql_real_escape_string(stripslashes($_POST['dprice']));
				$active = mysql_real_escape_string(stripslashes($_POST['active']));
			} else {
				$category_id = mysql_real_escape_string($_POST['category_id']);
				$manufacturer_id = mysql_real_escape_string($_POST['manufacturer_id']);
				$product_name = mysql_real_escape_string($_POST['product_name']);
				$acq_price = mysql_real_escape_string($_POST['acq_price']);
				$sell_price = mysql_real_escape_string($_POST['sell_price']);
				$aprice = mysql_real_escape_string($_POST['aprice']);
				$bprice = mysql_real_escape_string($_POST['bprice']);
				$cprice = mysql_real_escape_string($_POST['cprice']);
				$dprice = mysql_real_escape_string($_POST['dprice']);
				$active = mysql_real_escape_string($_POST['active']);
			}

			// Check to make sure they have selected from the list of categories.
			if ($category_id != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please select from the list of categories."; }
			// Check to make sure they have selected from the list of manufacturers.
			if ($manufacturer_id != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please select from the list of manufacturers."; }
			// Check to make sure they entered the product name.
			if ($product_name != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please enter the product name."; }
			// Check to make sure they have entered the acquisition price
			if ($acq_price != "") { $d = TRUE; } 
			else { $d = FALSE; $message[] = "Please enter the acquisition price."; }
			// Check to make sure they have entered the selling price
			if ($sell_price != "") { $e = TRUE; } 
			else { $e = FALSE; $message[] = "Please enter the selling price."; }
			
			// If the data pass all tests, add data
			if ( $a && $b && $c && $d && $e ) {
				$sql = "SELECT product_id FROM products
						WHERE category_id = '$category_id' 
							AND manufacturer_id = '$manufacturer_id' 
							AND product_name = '$product_name'";
				$chck_pres = mysql_query($sql);
				$chck_pnum = mysql_num_rows($chck_pres);
				if ($chck_pnum > 0) {
					print "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=350><tr><td height=20 align=center>
						<font color=red face=arial size=2><b>Product already exists in the database!</b></font></td></tr></table>
						</td></tr></table></center>";
					show_form();
				} else {
					//samuel magana
					$product_num=fld("max(cast(product_num as unsigned))", "products", "manufacturer_id='$manufacturer_id'");
					if($product_num){
						$product_num+=1;
						if(strlen($product_num)<5) $product_num="0$product_num";
					}else
						$product_num=(strlen($manufacturer_id)<2?"0$manufacturer_id":$manufacturer_id)."001";
					$query = "INSERT INTO products(
								product_name, product_num, category_id, manufacturer_id, 
								acq_price, sell_price, aprice, bprice, cprice, dprice, active
							)
							VALUES(
								'$product_name', '$product_num', '$category_id', '$manufacturer_id', 
								'$acq_price', '$sell_price', '$aprice', '$bprice', '$cprice', '$dprice', 1
							)";
					if (mysql_query($query)) {
						$product_id = mysql_insert_id();
						$sql = "SELECT whouse_id FROM warehouses";
						$wres = mysql_query($sql); 
						while ($wrow = mysql_fetch_array($wres)) {
							$sql = "INSERT INTO warehouse_products(whouse_id, product_id, reorder) VALUES('$wrow[0]', '$product_id', 50)";
							mysql_query($sql) or die(mysql_error()); 
						}
						$sql = "SELECT branch_id FROM branches";
						$bres = mysql_query($sql); 
						while ($brow = mysql_fetch_array($bres)) {
							$sql = "INSERT INTO branch_products(branch_id, product_id, reorder, price) VALUES('$brow[0]', '$product_id', 25, '$sell_price')";
							mysql_query($sql) or die(mysql_error()); 
						}
						print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=350><tr><td 
							align=center><font face=arial size=2>Product has been added into the database.<br>Click <a 
							class=paging href='products.php'>here</a> to view all products.<br>Click <a class=paging 
							href='add_product.php'>here</a> to add another product.</font></td></tr></table></td></tr>
							</table></center><br>";
						show_product($product_id);
					} else {
						print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=350><tr><td 
							align=center><font face=arial size=2 color=red>Could not add product because: <b>".mysql_error()."</b>
							. The query was $query.</font></td></tr></table></td></tr></table></center><br>";
					}
				}
				mysql_free_result($chck_pres);
				mysql_close();
			} else {
				if ($message) {
					echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td><font face=arial size=2>
					<img src='lib/s_error.png'><br><br><b>The following problems occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<b>Be sure to re-enter all fields!</b></font><br><br></td></tr></table></td></tr></table></center>\n";
				}
				show_form();
			}
		} else {
			show_form();
		}

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	?>
	<form name="AddProduct" action="add_product.php" method="POST">
	    <div class="post">
			<h1 class="title">Add New Product</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td align="right">Category&nbsp;</td>
							<td align="left"><select name="category_id"><option value="0">Category</option>
								<?PHP
								$cres = mysql_query("select category_id, category_name from categories order by category_name");
								while ($crow = mysql_fetch_array($cres)) {
									print "<option value='$crow[0]'>$crow[1]</option>";
								} ?></select>&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Manufacturer&nbsp;</td>
							<td align="left"><select name="manufacturer_id"><option value="0">Manufacturer</option>
								<?PHP
								$mres = mysql_query("select manufacturer_id, manufacturer_name from manufacturers order by manufacturer_name");
								while ($mrow = mysql_fetch_array($mres)) {
									print "<option value='$mrow[0]'>$mrow[1]</option>";
								} ?></select>&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right" width="125">Product Name&nbsp;</td>
							<td align="left" width="250"><input type="text" size="35" name="product_name">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Acquisition Price&nbsp;</td>
							<td align="left"><input type="text" size="35" name="acq_price">&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Selling Price&nbsp;</td>
							<td align="left"><input type="text" size="35" name="sell_price">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Selling Price "A"&nbsp;</td>
							<td align="left"><input type="text" size="35" name="aprice">&nbsp;</td></tr>
						<tr class="even"><td align="right">Selling Price "B"&nbsp;</td>
							<td align="left"><input type="text" size="35" name="bprice">&nbsp;</td></tr>
						<tr class="odd"><td align="right">Selling Price "C"&nbsp;</td>
							<td align="left"><input type="text" size="35" name="cprice">&nbsp;</td></tr>
						<tr class="even"><td align="right">Selling Price "D"&nbsp;</td>
							<td align="left"><input type="text" size="35" name="dprice">&nbsp;</td></tr>
						<tr class="odd"><td align="center" colspan="2"><input type="hidden" name="submitted" value="1">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valAddProduct()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}


?>