<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Sale');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $sale_id = mysql_real_escape_string(stripslashes($_POST['sale_id']));
	            $whouse_id = mysql_real_escape_string(stripslashes($_POST['whouse_id']));
	            $account_id = mysql_real_escape_string(stripslashes($_POST['account_id']));
	            $customer_id = mysql_real_escape_string(stripslashes($_POST['customer_id']));
	            $received_by = mysql_real_escape_string(stripslashes($_POST['received_by']));
	            $notes = mysql_real_escape_string(stripslashes($_POST['notes']));
	            $terms = mysql_real_escape_string(stripslashes($_POST['terms']));
	        } else {
	            $sale_id = mysql_real_escape_string($_POST['sale_id']);
	            $whouse_id = mysql_real_escape_string($_POST['whouse_id']);
	            $account_id = mysql_real_escape_string($_POST['account_id']);
	            $customer_id = mysql_real_escape_string($_POST['customer_id']);
	            $received_by = mysql_real_escape_string($_POST['received_by']);
	            $notes = mysql_real_escape_string($_POST['notes']);
	            $terms = mysql_real_escape_string($_POST['terms']);
			}
			
	
			// Check if the products submitted are the first entries of a sale
			if ($sale_id == "") {
				// Check to make sure they have selected from the list of customers.
				if ($customer_id != "") { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please select from the list of customers."; }
				// Check to make sure they have entered the person who received the product sale.
				if ($received_by != "") { $b = TRUE; } 
				else { $b = FALSE; $message[] = "Please enter the person who received the product sale."; }
				// Check to make sure they have entered the payment mode.
				if ($terms != "") { $c = TRUE; } 
				else { $c = FALSE; $message[] = "Please enter the payment terms of the sale."; }
				// Check to make sure they have entered the payment mode.
				if ($whouse_id != "") { $d = TRUE; } 
				else { $d = FALSE; $message[] = "Please select from the list of warehouses."; }
				
				// If the data pass all tests, add the patient to the database.
				if ( $a && $b && $c && $d ) {
					// get the due date of the sale
					$sql = "SELECT DATE_ADD( CURDATE( ) , INTERVAL $terms DAY )";
					$dd_res = mysql_query($sql); $dd_row = mysql_fetch_array($dd_res); $due_date = $dd_row[0];
					
					// check if the sale already exists 
					$sql = "SELECT sale_id FROM sales
							WHERE whouse_id = '$whouse_id' 
								AND account_id = '$account_id' 
								AND customer_id = '$customer_id' 
								AND user_id = '$_SESSION[user_id]' 
								AND delivery_date = CURDATE()
								AND due_date = '$due_date'
								AND received_by = '$received_by'
								AND notes = '$notes'";
					$sres = mysql_query($sql);
					$snum = mysql_num_rows($sres); 
					if ($snum > 0) {
						$srow = mysql_fetch_array($sres);
						echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><font face=arial size=2 color=red><img src='lib/s_error.png'><br><br>Product sale 
							already exists in the database.<br>Click <a class=paging href='sale.php?sale_id=$srow[0]'>here</a>
							to view the product sale.</font></td></tr></table></td></tr></table></center><br>";
					} else {
						$sql = "INSERT INTO sales( account_id, whouse_id, customer_id, user_id, delivery_date, due_date, received_by, notes ) 
								VALUES( '$account_id', '$whouse_id', '$customer_id', '$_SESSION[user_id]', CURDATE(), '$due_date', '$received_by', '$notes' )";
						if (mysql_query($sql)) {
							$sale_id = mysql_insert_id();							
							$sql = "UPDATE customers SET lastsale = CURDATE() WHERE customer_id = '$customer_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
							
							// verify if customer is a branch
							$sql = "SELECT ctype FROM customers WHERE customer_id = '$customer_id'";
							$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $ctype = $crow[0];
							
							if ($ctype == 1) {
								$sql = "SELECT branch_id, active FROM customer_branches WHERE customer_id = '$customer_id'";
								$cb_res = mysql_query($sql); $cb_row = mysql_fetch_array($cb_res); $branch_id = $cb_row[0]; $active = $cb_row[1]; 
								
								if ($active == 1) {
									$sql = "INSERT INTO branch_purchases( branch_id, sale_id, delivery_date ) 
											VALUES( '$branch_id', '$sale_id', CURDATE() )";
									mysql_query($sql) or die(mysql_error()); 
									$purchase_id = mysql_insert_id();
								}
							}
							
							if ($_POST[product_id1] != "" && $_POST[quantity1] != "") {
								Add2Sale($whouse_id, $_POST[product_id1], $_POST[quantity1], $sale_id, $purchase_id, $_POST[unit_price1],	$_POST[unit_discount1], $_POST[net_price1]);
							} // end of product # 1
							if ($_POST[product_id2] != "" && $_POST[quantity2] != "") {
								Add2Sale($whouse_id, $_POST[product_id2], $_POST[quantity2], $sale_id, $purchase_id, $_POST[unit_price2], $_POST[unit_discount2], $_POST[net_price2]);
							} // end of product # 2
							if ($_POST[product_id3] != "" && $_POST[quantity3] != "") {
								Add2Sale($whouse_id, $_POST[product_id3], $_POST[quantity3], $sale_id, $purchase_id, $_POST[unit_price3], $_POST[unit_discount3], $_POST[net_price3]);
							} // end of product # 3
							if ($_POST[product_id4] != "" && $_POST[quantity4] != "") {
								Add2Sale($whouse_id, $_POST[product_id4], $_POST[quantity4], $sale_id, $purchase_id, $_POST[unit_price4], $_POST[unit_discount4], $_POST[net_price4]);
							} // end of product # 4
							if ($_POST[product_id5] != "" && $_POST[quantity5] != "") {
								Add2Sale($whouse_id, $_POST[product_id5], $_POST[quantity5], $sale_id, $purchase_id, $_POST[unit_price5], $_POST[unit_discount5], $_POST[net_price5]);
							} // end of product # 5
							if ($_POST[product_id6] != "" && $_POST[quantity6] != "") {
								Add2Sale($whouse_id, $_POST[product_id6], $_POST[quantity6], $sale_id, $purchase_id, $_POST[unit_price6], $_POST[unit_discount6], $_POST[net_price6]);
							} // end of product # 6
							if ($_POST[product_id7] != "" && $_POST[quantity7] != "") {
								Add2Sale($whouse_id, $_POST[product_id7], $_POST[quantity7], $sale_id, $purchase_id, $_POST[unit_price7], $_POST[unit_discount7], $_POST[net_price7]);
							} // end of product # 7
							if ($_POST[product_id8] != "" && $_POST[quantity8] != "") {
								Add2Sale($whouse_id, $_POST[product_id8], $_POST[quantity8], $sale_id, $purchase_id, $_POST[unit_price8], $_POST[unit_discount8], $_POST[net_price8]);
							} // end of product # 8
							if ($_POST[product_id9] != "" && $_POST[quantity9] != "") {
								Add2Sale($whouse_id, $_POST[product_id9], $_POST[quantity9], $sale_id, $purchase_id, $_POST[unit_price9], $_POST[unit_discount9], $_POST[net_price9]);
							} // end of product # 9
							if ($_POST[product_id10] != "" && $_POST[quantity10] != "") {
								Add2Sale($whouse_id, $_POST[product_id10], $_POST[quantity10], $sale_id, $purchase_id, $_POST[unit_price10], $_POST[unit_discount10], $_POST[net_price10]);
							} // end of product # 10
							if ($_POST[product_id11] != "" && $_POST[quantity11] != "") {
								Add2Sale($whouse_id, $_POST[product_id11], $_POST[quantity11], $sale_id, $purchase_id, $_POST[unit_price11], $_POST[unit_discount11], $_POST[net_price11]);
							} // end of product # 11
							if ($_POST[product_id12] != "" && $_POST[quantity12] != "") {
								Add2Sale($whouse_id, $_POST[product_id12], $_POST[quantity12], $sale_id, $purchase_id, $_POST[unit_price12], $_POST[unit_discount12], $_POST[net_price12]);
							} // end of product # 12
							if ($_POST[product_id13] != "" && $_POST[quantity13] != "") {
								Add2Sale($whouse_id, $_POST[product_id13], $_POST[quantity13], $sale_id, $purchase_id, $_POST[unit_price13], $_POST[unit_discount13], $_POST[net_price13]);
							} // end of product # 13
							if ($_POST[product_id14] != "" && $_POST[quantity14] != "") {
								Add2Sale($whouse_id, $_POST[product_id14], $_POST[quantity14], $sale_id, $purchase_id, $_POST[unit_price14], $_POST[unit_discount14], $_POST[net_price14]);
							} // end of product # 14
							if ($_POST[product_id15] != "" && $_POST[quantity15] != "") {
								Add2Sale($whouse_id, $_POST[product_id15], $_POST[quantity15], $sale_id, $purchase_id, $_POST[unit_price15], $_POST[unit_discount15], $_POST[net_price15]);
							} // end of product # 15
							if ($_POST[product_id16] != "" && $_POST[quantity16] != "") {
								Add2Sale($whouse_id, $_POST[product_id16], $_POST[quantity16], $sale_id, $purchase_id, $_POST[unit_price16], $_POST[unit_discount16], $_POST[net_price16]);
							} // end of product # 16
							if ($_POST[product_id17] != "" && $_POST[quantity17] != "") {
								Add2Sale($whouse_id, $_POST[product_id17], $_POST[quantity17], $sale_id, $purchase_id, $_POST[unit_price17], $_POST[unit_discount17], $_POST[net_price17]);
							} // end of product # 17
							if ($_POST[product_id18] != "" && $_POST[quantity18] != "") {
								Add2Sale($whouse_id, $_POST[product_id18], $_POST[quantity18], $sale_id, $purchase_id, $_POST[unit_price18], $_POST[unit_discount18], $_POST[net_price18]);
							} // end of product # 18
							if ($_POST[product_id19] != "" && $_POST[quantity19] != "") {
								Add2Sale($whouse_id, $_POST[product_id19], $_POST[quantity19], $sale_id, $purchase_id, $_POST[unit_price19], $_POST[unit_discount19], $_POST[net_price19]);
							} // end of product # 19
							if ($_POST[product_id20] != "" && $_POST[quantity20] != "") {
								Add2Sale($whouse_id, $_POST[product_id20], $_POST[quantity20], $sale_id, $purchase_id, $_POST[unit_price20], $_POST[unit_discount20], $_POST[net_price20]);
							} // end of product # 20
							
							$sql = "SELECT
                                        SUM(quantity*(unit_price - unit_discount)), 
                                        SUM(quantity * ((unit_price - unit_discount) - acq_price)) 
									FROM sale_details WHERE sale_id = '$sale_id'";
							$lt_res = mysql_query($sql);
							$lt_row = mysql_fetch_array($lt_res); $line_total = $lt_row[0]; $revenue = $lt_row[1];
							
							$sql = "SELECT sd_id FROM sale_details WHERE sale_id = '$sale_id'";
							$res = mysql_query($sql);
							$num = mysql_num_rows($res);
							
							if ($num > 0) {
								if ($ctype == 1 && $active == 1) {
									$sql = "UPDATE branch_purchases SET line_total = '$line_total', balance = '$line_total'
											WHERE purchase_id = '$purchase_id' LIMIT 1";
									mysql_query($sql) or die(mysql_error()); 
								}
								
								qry('update sales set or_num="'.$sale_id.'", pmode="2" where sale_id="'.$sale_id.'"');
								upd_acct_sale($sale_id);
								
								echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2><img src='lib/s_okay.png'><br><b>
									Sale has been added into the database</b>.<br>Click <a class=paging 
									href='add_sale.php'>here</a> to add <b>ANOTHER SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
								show_sale($sale_id);
							} else {
								echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could not add 
									sale into the database</b>.<br>No product has been added into the sale.</font></td></tr>
									</table></td></tr></table></center><br>";
							}
						} else {
							echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could not add 
								sale into the database: " . mysql_error() . "</b></font></td></tr></table></td></tr></table></center><br>";
						}
					}
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td><font color=red 
							face=arial size=2><b>The following problems occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
						echo "</font></td></tr></table></td></tr></table></center>\n";
					}
				show_form($sale_id);
				}
			// If the submitted products are just additional to a previous sale
			} else {
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// Since sale Details were already given, we just have to fetch the additional products for the same requisition
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				$sql = "SELECT customer_id FROM sales WHERE sale_id = '$sale_id'";
				$sres = mysql_query($sql); $srow = mysql_fetch_array($sres); $customer_id = $srow[0];
				
				// verify if customer is a branch
				$sql = "SELECT ctype FROM customers WHERE customer_id = '$customer_id'";
				$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $ctype = $crow[0];
				
				if ($ctype == 1) {
					$sql = "SELECT branch_id, active FROM customer_branches WHERE customer_id = '$customer_id'";
					$cb_res = mysql_query($sql); $cb_row = mysql_fetch_array($cb_res); $branch_id = $cb_row[0]; $active = $cb_row[1];
					
					if ($active == 1) {
						// find for the purchase_id in branch_purchases
						$sql = "SELECT purchase_id FROM branch_purchases WHERE sale_id = '$sale_id'";
						$bp_res = mysql_query($sql); $bp_row = mysql_fetch_array($bp_res); $purchase_id = $bp_row[0];
					}
				}
				
				$res = mysql_query("SELECT sd_id FROM sale_details WHERE sale_id = '$sale_id'");
				$num = mysql_num_rows($res);

				$sql = "SELECT SUM(quantity*(unit_price - unit_discount)) FROM sale_details WHERE sale_id = '$sale_id'";
				$olt_res = mysql_query($sql);
				$olt_row = mysql_fetch_array($olt_res); $old_line_total = $olt_row[0]; 
				
				if ($_POST[product_id1] != "" && $_POST[quantity1] != "") {
					Check_Product($whouse_id, $_POST[product_id1], $_POST[quantity1], $sale_id, $purchase_id, $_POST[unit_price1], $_POST[unit_discount1], $_POST[net_price1]);
				} // end of product # 1
				if ($_POST[product_id2] != "" && $_POST[quantity2] != "") {
					Check_Product($whouse_id, $_POST[product_id2], $_POST[quantity2], $sale_id, $purchase_id, $_POST[unit_price2], $_POST[unit_discount2], $_POST[net_price2]);
				} // end of product # 2
				if ($_POST[product_id3] != "" && $_POST[quantity3] != "") {
					Check_Product($whouse_id, $_POST[product_id3], $_POST[quantity3], $sale_id, $purchase_id, $_POST[unit_price3], $_POST[unit_discount3], $_POST[net_price3]);
				} // end of product # 3
				if ($_POST[product_id4] != "" && $_POST[quantity4] != "") {
					Check_Product($whouse_id, $_POST[product_id4], $_POST[quantity4], $sale_id, $purchase_id, $_POST[unit_price4], $_POST[unit_discount4], $_POST[net_price4]);
				} // end of product # 4
				if ($_POST[product_id5] != "" && $_POST[quantity5] != "") {
					Check_Product($whouse_id, $_POST[product_id5], $_POST[quantity5], $sale_id, $purchase_id, $_POST[unit_price5], $_POST[unit_discount5], $_POST[net_price5]);
				} // end of product # 5
				if ($_POST[product_id6] != "" && $_POST[quantity6] != "") {
					Check_Product($whouse_id, $_POST[product_id6], $_POST[quantity6], $sale_id, $purchase_id, $_POST[unit_price6], $_POST[unit_discount6], $_POST[net_price6]);
				} // end of product # 6
				if ($_POST[product_id7] != "" && $_POST[quantity7] != "") {
					Check_Product($whouse_id, $_POST[product_id7], $_POST[quantity7], $sale_id, $purchase_id, $_POST[unit_price7], $_POST[unit_discount7], $_POST[net_price7]);
				} // end of product # 7
				if ($_POST[product_id8] != "" && $_POST[quantity8] != "") {
					Check_Product($whouse_id, $_POST[product_id8], $_POST[quantity8], $sale_id, $purchase_id, $_POST[unit_price8], $_POST[unit_discount8], $_POST[net_price8]);
				} // end of product # 8
				if ($_POST[product_id9] != "" && $_POST[quantity9] != "") {
					Check_Product($whouse_id, $_POST[product_id9], $_POST[quantity9], $sale_id, $purchase_id, $_POST[unit_price9], $_POST[unit_discount9], $_POST[net_price9]);
				} // end of product # 9
				if ($_POST[product_id10] != "" && $_POST[quantity10] != "") {
					Check_Product($whouse_id, $_POST[product_id10], $_POST[quantity10], $sale_id, $purchase_id, $_POST[unit_price10], $_POST[unit_discount10], $_POST[net_price10]);
				} // end of product # 10
				if ($_POST[product_id11] != "" && $_POST[quantity11] != "") {
					Check_Product($whouse_id, $_POST[product_id11], $_POST[quantity11], $sale_id, $purchase_id, $_POST[unit_price11], $_POST[unit_discount11], $_POST[net_price11]);
				} // end of product # 11
				if ($_POST[product_id12] != "" && $_POST[quantity12] != "") {
					Check_Product($whouse_id, $_POST[product_id12], $_POST[quantity12], $sale_id, $purchase_id, $_POST[unit_price12], $_POST[unit_discount12], $_POST[net_price12]);
				} // end of product # 12
				if ($_POST[product_id13] != "" && $_POST[quantity13] != "") {
					Check_Product($whouse_id, $_POST[product_id13], $_POST[quantity13], $sale_id, $purchase_id, $_POST[unit_price13], $_POST[unit_discount13], $_POST[net_price13]);
				} // end of product # 13
				if ($_POST[product_id14] != "" && $_POST[quantity14] != "") {
					Check_Product($whouse_id, $_POST[product_id14], $_POST[quantity14], $sale_id, $purchase_id, $_POST[unit_price14], $_POST[unit_discount14], $_POST[net_price14]);
				} // end of product # 14
				if ($_POST[product_id15] != "" && $_POST[quantity15] != "") {
					Check_Product($whouse_id, $_POST[product_id15], $_POST[quantity15], $sale_id, $purchase_id, $_POST[unit_price15], $_POST[unit_discount15], $_POST[net_price15]);
				} // end of product # 15
				if ($_POST[product_id16] != "" && $_POST[quantity16] != "") {
					Check_Product($whouse_id, $_POST[product_id16], $_POST[quantity16], $sale_id, $purchase_id, $_POST[unit_price16], $_POST[unit_discount16], $_POST[net_price16]);
				} // end of product # 16
				if ($_POST[product_id17] != "" && $_POST[quantity17] != "") {
					Check_Product($whouse_id, $_POST[product_id17], $_POST[quantity17], $sale_id, $purchase_id, $_POST[unit_price17], $_POST[unit_discount17], $_POST[net_price17]);
				} // end of product # 17
				if ($_POST[product_id18] != "" && $_POST[quantity18] != "") {
					Check_Product($whouse_id, $_POST[product_id18], $_POST[quantity18], $sale_id, $purchase_id, $_POST[unit_price18], $_POST[unit_discount18], $_POST[net_price18]);
				} // end of product # 18
				if ($_POST[product_id19] != "" && $_POST[quantity19] != "") {
					Check_Product($whouse_id, $_POST[product_id19], $_POST[quantity19], $sale_id, $purchase_id, $_POST[unit_price19], $_POST[unit_discount19], $_POST[net_price19], $_POST[pmode]);
				} // end of product # 19
				if ($_POST[product_id20] != "" && $_POST[quantity20] != "") {
					Check_Product($whouse_id, $_POST[product_id20], $_POST[quantity20], $sale_id, $purchase_id, $_POST[unit_price20], $_POST[unit_discount20], $_POST[net_price20]);
				} // end of product # 20
				
				$sql = "SELECT SUM(quantity*(unit_price - unit_discount)), 
							SUM((quantity * ((unit_price - unit_discount) - acq_price))) 
						FROM sale_details WHERE sale_id = '$sale_id'";
				$lt_res = mysql_query($sql);
				$lt_row = mysql_fetch_array($lt_res); $line_total = $lt_row[0]; $revenue = $lt_row[1];
				$lt_diff = $line_total - $old_line_total; 
				
				$res2 = mysql_query("SELECT sd_id FROM sale_details WHERE sale_id='$sale_id'");
				$num2 = mysql_num_rows($res2);

				if ($num2 > $num) {
					if ($ctype == 1 && $active == 1) {
						//samuel magana - get correct balance
						$bal=$line_total-fld('sum(amount)', 'cpayments', 'sale_id="'.$sale_id.'" and good=1');
						$sql = "UPDATE branch_purchases SET line_total = '$line_total', balance = '$bal'
								WHERE purchase_id = '$purchase_id' LIMIT 1";
						mysql_query($sql) or die(mysql_error()); 
					}
					
					// get the capital build up of the branch
					$sql = "SELECT capital FROM branches WHERE branch_id = '$branch_id'";
					$cap_res = mysql_query($sql); $cap_row = mysql_fetch_array($cap_res); $capital = $cap_row[0];

					if ($capital > 0) {
						if ($capital <= $lt_diff) {
							$balance = $line_total - $capital; 
							
							// update the sales
							$sql = "UPDATE sales 
									SET or_num = '$sale_id', line_total = '$line_total', balance = '$balance', revenue = '$revenue'
									WHERE sale_id = '$sale_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
							
							// insert into cpayments
							$sql = "INSERT INTO cpayments( or_num, customer_id, user_id, sale_id, amount, pdate, pmethod, notes, good ) 
									VALUES( 'Remit', '$customer_id', '$_SESSION[user_id]', '$sale_id', '$capital', CURDATE(), 'Cash', 'Automatic payment from branch capital build-up', 1 )";
							mysql_query($sql) or die(mysql_error()); 
							
							// update the branch capital build-up
							$sql = "UPDATE branches SET capital = 0 WHERE branch_id = '$branch_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
						} else {
							$new_capital = $capital - $line_total; 
							
							// update the sales
							$sql = "UPDATE sales 
									SET or_num = '$sale_id', line_total = '$line_total', balance = 0, revenue = '$revenue'
									WHERE sale_id = '$sale_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
									
							// update the cpayments
							$sql = "INSERT INTO cpayments( or_num, customer_id, user_id, sale_id, amount, pdate, pmethod, notes, good ) 
									VALUES( 'Remit', '$customer_id', '$_SESSION[user_id]', '$sale_id', '$line_total', CURDATE(), 'Cash', 'Automatic payment from branch capital build-up', 1 )";
							mysql_query($sql) or die(mysql_error()); 
							
							// update the branch capital build-up
							$sql = "UPDATE branches SET capital = '$new_capital' WHERE branch_id = '$branch_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
						}
					} else {
						//samuel magana - get correct balance
						$bal=$line_total-fld('sum(amount)', 'cpayments', 'sale_id="'.$sale_id.'" and good=1');
						$sql = "UPDATE sales 
								SET or_num = '$sale_id', line_total = '$line_total', balance = '$bal', revenue = '$revenue'
								WHERE sale_id = '$sale_id' LIMIT 1";
						mysql_query($sql) or die(mysql_error()); 
					}
					upd_acct_sale($sale_id);
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br><b>Product sale and 
						payment to customer have been updated</b>. Click <a class=paging 
						href='add_sale.php'>here</a> to add <b>ANOTHER SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
					show_sale($sale_id);
				} else {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td  
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>No update has been made to 
						the sale</b>. Click <a class=paging href='sale.php?sale_id=$sale_id'>here</a> to view 
						the sale details.<br><br>Or click <a class=paging 
						href='add_sale.php?sale_id=$sale_id'>here</a> to add <b>MORE</b> products <b>IN THIS 
						PARTICULAR SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
				}
			}
			mysql_close();
		} else {
			// Check for valid entry sale_id in the URL
			if (is_numeric($_GET['sale_id'])) {
				$sale_id = $_GET['sale_id'];
			}
			$customer_id=fld('customer_id', 'sales', 'sale_id="'.$sale_id.'"');
			if(fld('customer_id', 'customers', 'customer_id="'.$customer_id.'" and company_name="VCSI - Virtual Cus. for Short Inv."'))
				err('Could not Add Account Sale.<br>Please make sure that this Sale is not Generated from Inventory Matching.');	
			else show_form($sale_id);
			
		}
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($sale_id) {
	// to get the position of the user
	$dres = mysql_query("SELECT position FROM users WHERE user_id='$_SESSION[user_id]'");
	$drow = mysql_fetch_array($dres); 
	$position = $drow[0];
				
	$sql = "SELECT YEAR(NOW()), MONTH(NOW()), DAY(NOW())";
	$d8_res = mysql_query($sql); $d8_row = mysql_fetch_array($d8_res); 
	$year = $d8_row[0]; $month = $d8_row[1]; $day = $d8_row[2];
	?>
	<form name="AddSale" action="add_sale.php" method="POST">
		<div class="post">
			<h1 class="title">Add Sale</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="even"><td align="center" colspan="4"><font color="red">All asterisks (*) are required fields</font></td></tr>
							<?PHP
							if ($sale_id == "") {
								?>
								<tr class="odd"><td align="right" width="110">Customer&nbsp;</td>
									<td align="left" width="220">
										<input type="hidden" id="ctype" value><select id="customer_id" name="customer_id" onchange="GetStats('crdtlimit', 'get_crdtlimit.php', 'balance', 'get_balance.php', 'receipts', 'get_receipts.php', 'unpaid', 'get_unpaid.php', 'customer_id'); " style="width: 95%"><option value="0">Customer</option>
										<?PHP
										if ($position == 2) {
											$sql = "SELECT customer_id, company_name, ctype FROM customers 
													WHERE frozen = 0 ORDER BY ctype DESC, company_name";
										} else {
											$sql = "SELECT customer_id, company_name, ctype FROM customers ORDER BY ctype DESC, company_name";
										}
										$sres = mysql_query($sql) or die(mysql_error());
										while ($srow = mysql_fetch_array($sres)) {
											$in_list = sql_fld("customer_id", "customer_branches", "customer_id = '$srow[customer_id]'");
											if ($srow['ctype'] == 1 && $in_list != ''){
												$active = sql_fld("b.active", "branches b INNER JOIN customer_branches c on b.branch_id = c.branch_id", "c.customer_id = '$srow[customer_id]'");
												print "<option value=$srow[0]>$srow[1]".($active==0?' --- WAG GAGAMITIN':'')."</option>"; 
											} else {
												print "<option value=$srow[0]>$srow[1]</option>"; 	
											}
										} ?></select>&nbsp;<font color="red">*</font></td>
									<td align="right" width="90">Warehouse&nbsp;</td>
									<td align="left" width="290"><select name="whouse_id"><option value="0">Select</option><?PHP
										$sql = "SELECT whouse_id, whouse_name FROM warehouses WHERE active = 1 ORDER BY whouse_id";
										$wres = mysql_query($sql); 
										while ($wrow = mysql_fetch_array($wres)) {
											?><option value="<?PHP echo $wrow[0] ?>"><?PHP echo $wrow[1] ?></option><?PHP
										}
										?></select>&nbsp;<font color="red">*</font></td></tr>
								<tr class="even"><td align="right">Credit Limit&nbsp;</td>
									<td align="left"><input readonly="true" type="text" size="33" id="crdtlimit" name="crdtlimit"></td>
									<td align="right">Balance&nbsp;</td>
									<td align="left"><input readonly="true" type="text" size="33" id="balance" name="balance"></td></tr>
								<tr class="odd"><td align="right">Allowable Receipts&nbsp;</td>
									<td align="left"><input readonly="true" type="text" size="33" id="receipts" name="receipts"></td>
									<td align="right">Unpaid Receipts&nbsp;</td>
									<td align="left"><input readonly="true" type="text" size="33" id="unpaid" name="unpaid"></td></tr>
								<tr class="even"><td align="right">Terms&nbsp;</td>
									<td align="left"><select name="terms"><option value="0">Terms</option><?PHP
										$sql = "SELECT days FROM terms WHERE active = 1 ORDER BY days";
										$tres = mysql_query($sql); 
										while ($trow = mysql_fetch_array($tres)) {
											?><option value="<?PHP echo $trow[0] ?>"><?PHP echo $trow[0] ?></option><?PHP
										}
										?></select>&nbsp;&nbsp;<font color="red">*</font></td>
									<td align="right">Received By&nbsp;</td>
									<td align="left"><input type="text" size="33" name="received_by">&nbsp;&nbsp;<font color="red">*</font></td></tr>
								<tr class="odd"><td align="right">Account&nbsp;</td>
									<td align="left"><select name="account_id"><?PHP
										$sql = "SELECT account_id, account_name FROM accounts WHERE active = 1";
										$ares = mysql_query($sql); 
										while ($arow = mysql_fetch_array($ares)) {
											?><option value="<?PHP echo $arow[0] ?>"><?PHP echo $arow[1] ?></option><?PHP
										}
										?></select></td>
									<td align="right">Notes&nbsp;</td>
									<td align="left"><input type="text" size="33" name="notes"></td></tr>
								<?PHP
							} else {
							    //samuel magana
								/*$delivery_date=fld('delivery_date', 'sales', 'sale_id="'.$sale_id.'"');
								if(rec('sales', 'sale_id="'.$sale_id.'" and datediff(curdate(), "'.$delivery_date.'")>4')){
									err('Could not Add Sold Product.<br>Please make sure that this Sale is less than or equal to 5 days old.');
									exit();
								}*/
                                //samuel magana
								$sql = "SELECT s.or_num, s.customer_id, c.company_name, CONCAT(u.fname,' ',u.lname),
											DATE_FORMAT(s.delivery_date, '%b %e, %Y'), DATE_FORMAT(s.due_date, '%b %e, %Y'),
											s.received_by, s.notes, s.line_total, s.balance, s.revenue, 
											s.pmode, s.purchase_id, TO_DAYS(NOW()), TO_DAYS(s.due_date), w.whouse_name, s.whouse_id
										FROM sales s 
											INNER JOIN customers c ON s.customer_id = c.customer_id 
											INNER JOIN users u ON s.user_id = u.user_id
											INNER JOIN warehouses w ON s.whouse_id = w.whouse_id
										WHERE s.sale_id = '$sale_id'";
								$sres = mysql_query($sql);
								$srow = mysql_fetch_array($sres);
								?>	
									<input type="hidden" name="whouse_id" value="<?PHP echo $srow[16] ?>">
									<tr class="odd"><td align="right" width="100">O.R. #&nbsp;</td>
										<td align="left" width="240">&nbsp;<?PHP print $srow[0] ?></td>
										<td align="right" width="110">Customer&nbsp;</td>
										<td align="left" width="250">&nbsp;<a class="tddata" href="customer.php?customer_id=<?PHP print $srow[1] ?>"><b><?PHP print $srow[2] ?></b></a></td></tr>
									<tr class="even"><td align="right">Delivery Date&nbsp;</td>
										<td align="left">&nbsp;<?PHP print $srow[4] ?></a></td>
										<td align="right">Due Date&nbsp;</td>
										<td align="left">&nbsp;<?PHP if (($srow[14] <= $srow[13]) && $srow[9] > 0) {echo "<font color=red><blink>$srow[5]</blink></font>";} else {echo $srow[5];} ?></td></tr>
									<tr class="odd"><td align="right">Prepared by&nbsp;</td>
										<td align="left">&nbsp;<?PHP echo $srow[3] ?></td>
										<td align="right">Received by&nbsp;</td>
										<td align="left">&nbsp;<?PHP echo $srow[6] ?></td></tr>
									<tr class="even"><td align="right">Line Total&nbsp;</td>
										<td align="left">&nbsp;<?PHP $linet = number_format($srow[8], 2); print $linet ?></td>
										<td align="right">Payment Balance&nbsp;</td>
										<td align="left">&nbsp;<?PHP $pbal = number_format($srow[9], 2); print $pbal ?></td></tr>
									<tr class="odd"><td align="right">Warehouse&nbsp;</td>
										<td align="left">&nbsp;<?PHP print $srow[15] ?></td>
										<td align="right">Revenue&nbsp;</td>
										<td align="left">&nbsp;<?PHP if ($position == 1) echo number_format($srow[10], 2) ?></td></tr>
									<tr class="even"><td align="right">Payment Mode&nbsp;</td>
										<td align="left">&nbsp;<?PHP
											if ($srow[11] == 1) { print "Cash"; } 
											elseif ($srow[11] == 2) { 
												print "Check"; 
												// srow[9] == balance
												if ($srow[9] > 0) {
													print "&nbsp;&nbsp;--->>&nbsp;&nbsp;";
													print "<a class=tddata href='add_cpayment.php?sale_id=$sale_id'><b>PAY</b></a>";
												}
											} ?></td>
										<td align="right">Direct Delivery&nbsp;</td>
										<td align="left">&nbsp;<?PHP if ($srow[12] != 0) echo "Yes"; else echo "No";  ?></td></tr>
									<tr class="odd"><td align="right">Notes&nbsp;</td>
										<td colspan="3" align="left">&nbsp;<?PHP print $srow[7] ?></td></tr>
								<?PHP
							}
						?>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
		<div class="post">
			<h1 class="title">Product Sale Details</h1>
			<div class="entry">
				<table align="center">
					<thead class="data"><tr>
						<td align="center" width="20"></td>
						<td align="center" width="50">Code</td>
						<td align="center" width="130">Product Name</td>
						<td align="center" width="40">Stock</td>
						<td align="center" width="45">Capital</td>
						<td align="center" width="45">Price</td>
						<td align="center" width="45">Price A</td>
						<td align="center" width="45">Price B</td>
						<td align="center" width="45">Price C</td>
						<td align="center" width="45">Price D</td>
						<td align="center" width="45">Disc.</td>
						<td align="center" width="35">Qty</td>
						<td align="center" width="55">Net</td>
					</tr></thead>
					<tbody class="data">
						<?PHP
						for ($i=1; $i<21; $i++) {
						$m = fmod($i, 2); 
						if ($m == 0) {
							?><tr class="even"><?PHP
						} else {
							?><tr class="odd"><?PHP
						}
						?>
							<td align="center"><?PHP echo $i ?></td>
							<td align="center"><input type="text" size="4" name="product_num<?PHP echo $i ?>" id="product_num<?PHP echo $i ?>" onblur="SaleRequest('product_name<?PHP echo $i ?>', 'get_product_name.php', 'product_id<?PHP echo $i ?>', 'get_product_id.php', 'available<?PHP echo $i ?>', 'get_avail.php', 'unit_price<?PHP echo $i ?>', 'get_sale_price.php', 'pricea<?PHP echo $i ?>', 'get_price_a.php', 'priceb<?PHP echo $i ?>', 'get_price_b.php', 'pricec<?PHP echo $i ?>', 'get_price_c.php', 'priced<?PHP echo $i ?>', 'get_price_d.php', 'capital<?PHP echo $i ?>', 'get_acquisition.php', 'product_num<?PHP echo $i ?>')" style="text-align:center;"></td>
							<td align="center">
								<input type="text" size="25" name="product_name<?PHP echo $i ?>" id="product_name<?PHP echo $i ?>" onkeyup="salelookup<?PHP echo $i ?>(this.value);" onblur="salefill<?PHP echo $i ?>();">
								<div class="suggestionsBox" id="suggestions<?PHP echo $i ?>" style="display: none;">
									<div class="suggestionList" id="autoSuggestionsList<?PHP echo $i ?>"></div>
								</div>
							</td><input type="hidden" id="product_id<?PHP echo $i ?>" name="product_id<?PHP echo $i ?>">
							<td align="center"><input type="text" size="3" id="available<?PHP echo $i ?>" name="available<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="4" id="capital<?PHP echo $i ?>" name="capital<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="4" id="unit_price<?PHP echo $i ?>" name="unit_price<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="4" id="pricea<?PHP echo $i ?>" name="pricea<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="4" id="priceb<?PHP echo $i ?>" name="priceb<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="4" id="pricec<?PHP echo $i ?>" name="pricec<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="4" id="priced<?PHP echo $i ?>" name="priced<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="4" id="unit_discount<?PHP echo $i ?>" name="unit_discount<?PHP echo $i ?>" onblur="getSTPrice()" style="text-align:right;"></td>
							<td align="center"><input type="text" size="3" id="quantity<?PHP echo $i ?>" name="quantity<?PHP echo $i ?>" onblur="getSTPrice()" style="text-align:right;"></td>
							<td align="center"><input type="text" size="6" id="net_price<?PHP echo $i ?>" name="net_price<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
						</tr>
						<?PHP
						}
						?>
						<tr class="odd">
							<td colspan="11" align="right"><b>Line Totals</b></td>
							<td align="center"><input type="text" size="3" id="tqty" name="tqty" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="6" id="tnet_price" name="tnet_price" readonly="true" style="text-align:right;"></td>
						</tr>
						<tr class="even"><td align="center" colspan="13">
								<input type="hidden" name="submitted" value="1">
								<input type="hidden" name="sale_id" value="<?PHP echo $sale_id ?>">
								<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
								<input onClick="valAddSale()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<script type="text/javascript">
		$(document).ready(function(){
			$('#customer_id').change(function(){
				var cus_id = $(this).val();
				$.get("get_ctype.php", {customer_id: cus_id}, function(data){
					$('#ctype').val(data);
					if (data.length == 0){
						return;
					}
					setTimeout(function(){
					var ctype = $('#ctype').val();
					if (ctype == 1){
						return;
					}
					var bal = $('#balance').val();
					arrbal = bal.split(',');
					bal = arrbal.join('');
					var crd = $('#crdtlimit').val();
					arrcrd = crd.split(',');
					crd = arrcrd.join('');
					if (parseFloat(bal)>=parseFloat(crd)){
						alert("Sale no longer allowed.\nMaximum Credit Limit Reached.");
						$('#balance').css('background-color', '#FFFF00');
						$('#crdtlimit').css('background-color', '#FFFF00');
					}
				}, 1000);
				});
			});
		});
	</script>
	<?PHP
}

function Check_Product($whouse_id, $product_id, $quantity, $sale_id, $purchase_id, $unit_price, $unit_discount, $net_price) {
	$sql = "SELECT sd.product_id, p.product_name
			FROM products p, sale_details sd
			WHERE sd.product_id='$product_id' 
				AND p.product_id=sd.product_id 
				AND sd.sale_id='$sale_id'";
	$check_pres = mysql_query($sql);
	$check_pnum = mysql_num_rows($check_pres);
	$check_prow = mysql_fetch_array($check_pres);
	if ($check_pnum < 1) {
		Add2Sale($whouse_id, $product_id, $quantity, $sale_id, $purchase_id, $unit_price, $unit_discount, $net_price);
	} else {
		print "<center><font face=arial size=2 color=red>Double entry for $check_prow[0]<br>";
	}
	mysql_free_result($check_pres);
}

function Add2Sale($whouse_id, $product_id, $quantity, $sale_id, $purchase_id, $unit_price, $unit_discount, $net_price) {
	// get the sum of purchases
	$sql = "SELECT SUM(pd.quantity)
			FROM purchases p INNER JOIN purchase_details pd ON p.purchase_id = pd.purchase_id
			WHERE p.whouse_id = '$whouse_id' AND pd.product_id = '$product_id' AND p.direct_delivery = 0 AND p.user2_id != 0"; 
	$tpur_res = mysql_query($sql); $tpur_row = mysql_fetch_array($tpur_res);  
	// get the sum of incoming transfers
	$sql = "SELECT SUM(td.quantity)
			FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
			WHERE t.to_whouse_id = '$whouse_id' AND td.product_id = '$product_id' AND t.user2_id != 0"; 
	$tit_res = mysql_query($sql); $tit_row = mysql_fetch_array($tit_res);  
	// get the sum of returns from customers
	$sql = "SELECT SUM(rd.quantity)
			FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
			WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$product_id' AND rd.rtype = 1"; 
	$giret_res = mysql_query($sql); $giret_row = mysql_fetch_array($giret_res);  
	// get the sum of conversions
	$sql = "SELECT SUM(to_units) FROM conversions WHERE whouse_id = '$whouse_id' AND to_product_id = '$product_id'"; 
	$rcon_res = mysql_query($sql); $rcon_row = mysql_fetch_array($rcon_res); 
	// get the sum of productions
	$sql = "SELECT SUM(quantity) FROM pdxns WHERE to_whouse_id = '$whouse_id' and product_id = '$product_id' AND user2_id != 0";
	$pdxn_res = mysql_query($sql); $pdxn_row = mysql_fetch_array($pdxn_res); 

	// get the sum of sales
	$sql = "SELECT SUM(sd.quantity)
			FROM sales s INNER JOIN sale_details sd ON s.sale_id = sd.sale_id
			WHERE sd.product_id = '$product_id' AND s.whouse_id = '$whouse_id' AND s.purchase_id = 0";
	$tsale_res = mysql_query($sql); $tsale_row = mysql_fetch_array($tsale_res); 
	// get the sum of outgoing transfers
	$sql = "SELECT SUM(td.quantity)
			FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
			WHERE t.fr_whouse_id = '$whouse_id' AND td.product_id = '$product_id'"; 
	$tot_res = mysql_query($sql); $tot_row = mysql_fetch_array($tot_res); 
	// get the sum of good returns to suppliers
	$sql = "SELECT SUM(rd.quantity)
			FROM returns_suppliers r INNER JOIN rs_details rd ON r.rs_id = rd.rs_id
			WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$product_id' AND rd.rtype = 1"; 
	$goret_res = mysql_query($sql); $goret_row = mysql_fetch_array($goret_res); 
	// get the sum of loss
	$sql = "SELECT SUM(wl.quantity)
			FROM warehouse_losses l INNER JOIN wl_details wl ON l.wl_id = wl.wl_id
			WHERE l.whouse_id = '$whouse_id' AND wl.product_id = '$product_id'"; 
	$gl_res = mysql_query($sql); $gl_row = mysql_fetch_array($gl_res); 
	// get the sum of conversions
	$sql = "SELECT SUM(fr_units) FROM conversions WHERE whouse_id = '$whouse_id' AND fr_product_id = '$product_id'"; 
	$wcon_res = mysql_query($sql); $wcon_row = mysql_fetch_array($wcon_res); 
	// get the sum of used items in productions
	$sql = "SELECT SUM(pd.quantity) 
			FROM pdxns p INNER JOIN pdxn_details pd ON p.pdxn_id = pd.pdxn_id 
			WHERE p.fr_whouse_id = '$whouse_id' AND p.user2_id != 0 AND pd.product_id = '$product_id'"; 
	$item_res = mysql_query($sql); $item_row = mysql_fetch_array($item_res); 
	
	$good = ($tpur_row[0] + $tit_row[0] + $giret_row[0] + $rcon_row[0] + $pdxn_row[0]) - ($tsale_row[0] + $tot_row[0] + $goret_row[0] + $gl_row[0] + $wcon_row[0] + $item_row[0]);
	
	mysql_free_result($tpur_res); mysql_free_result($tit_res); mysql_free_result($giret_res); mysql_free_result($tsale_res); 
	mysql_free_result($pdxn_res); mysql_free_result($tot_res); mysql_free_result($goret_res); mysql_free_result($gl_res); 
	mysql_free_result($wcon_res); mysql_free_result($rcon_res); mysql_free_result($item_res);

	if ($good >= $quantity) {
		// get the ave_acq of product from that particular warehouse
		$sql = "SELECT wp_id, ave_acq FROM warehouse_products WHERE whouse_id = '$whouse_id' AND product_id = '$product_id'";
		$wp_res = mysql_query($sql) or die(mysql_error());
		$wp_row = mysql_fetch_array($wp_res); 
		
		$wp_id = $wp_row[0]; $ave_acq = $wp_row[1];
		$new_inventory = $good - $quantity; 
		
		// update the sale_details table (acq_price)
		$sql = "INSERT INTO sale_details( sale_id, product_id, acq_price, quantity, unit_price, unit_discount, net_price )
				VALUES( '$sale_id', '$product_id', '$ave_acq', '$quantity', '$unit_price', '$unit_discount', '$net_price' )";
		mysql_query($sql) or die(mysql_error());
		
		// update the inventory_level in warehouse_products table
		$sql = "UPDATE warehouse_products 
				SET inventory = '$new_inventory', last_move = CURDATE()
				WHERE wp_id = '$wp_id' LIMIT 1";
		mysql_query($sql) or die(mysql_error());
		
		if ($purchase_id != 0) {
			$sql = "INSERT INTO bpurchase_details( purchase_id, product_id, quantity, unit_price, unit_discount, net_price )
					VALUES( '$purchase_id', '$product_id', '$quantity', '$unit_price', '$unit_discount', '$net_price' )";
			mysql_query($sql) or die(mysql_error());
		}
		$products_last_move = array(
			'lastsale' => sql_curdate()
		);
		sql_upd("products", $products_last_move, "product_id = '$product_id'");
	} else {
		$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
		$pres = mysql_query($sql); $prow = mysql_fetch_array($pres); $product_name = $prow[0];
		
		$sql = "UPDATE warehouse_products SET inventory = '$good' 
				WHERE whouse_id = '$whouse_id' AND product_id = '$product_id' LIMIT 1";
		mysql_query($sql) or die(mysql_error()); 

		echo "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td align=center><font face=arial size=2>
			<b>ERROR!</b> Insufficient stock for $product_name. Inventory was updated.</font></td></tr></table></td></tr></table></center><br>";
	}
} // end
?>