<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Tax');
define('NAV', 4); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			if (isset($_SESSION['token']) && $_POST['token'] == $_SESSION['token']) {
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$ref_num = htmlentities(mysql_real_escape_string(stripslashes($_POST['ref_num'])));
					$tdate = mysql_real_escape_string(stripslashes($_POST['tdate']));
					$taxtype_id = mysql_real_escape_string(stripslashes($_POST['taxtype_id']));
					$taxdesc = htmlentities(mysql_real_escape_string(stripslashes($_POST['taxdesc'])));
					$amount = htmlentities(mysql_real_escape_string(stripslashes($_POST['amount'])));
					$account_id = mysql_real_escape_string(stripslashes($_POST['account_id']));
				} else {
					$ref_num = htmlentities(mysql_real_escape_string($_POST['ref_num']));
					$tdate = mysql_real_escape_string($_POST['tdate']);
					$taxtype_id = mysql_real_escape_string($_POST['taxtype_id']);
					$taxdesc = htmlentities(mysql_real_escape_string($_POST['taxdesc']));
					$amount = htmlentities(mysql_real_escape_string($_POST['amount']));
					$account_id = mysql_real_escape_string($_POST['account_id']);
				}
				
				// Check to make sure they have entered the reference number
				if ($ref_num != "" && is_string($ref_num)) { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please enter a valid reference number."; }
				// Check to make sure they entered a valid date of the tax
				if ($tdate != "" && is_string($ref_num)) { $b = TRUE; } 
				else { $b = FALSE; $message[] = "Please enter the date of tax."; }
				// Check to make sure they have entered the type of tax
				if ($taxtype_id != 0 && is_numeric($taxtype_id)) { $c = TRUE; } 
				else { $c = FALSE; $message[] = "Please select from the list of types of tax."; }
				// Check to make sure they have entered the description of tax
				if ($taxdesc != "" && is_string($taxdesc)) { $d = TRUE; } 
				else { $d = FALSE; $message[] = "Please enter a valid description of tax."; }
				// Check to make sure they have entered the amount
				if (is_float($amount) || is_numeric($amount)) { $e = TRUE; } 
				else { $e = FALSE; $message[] = "Please enter a valid amount of tax."; }
				// Check to make sure they have entered the amount
				if ($account_id != 0 && is_numeric($account_id)) { $f = TRUE; } 
				else { $f = FALSE; $message[] = "Please select from the list of accounts."; }

				// If the data pass all tests, add the patient to the database.
				if ( $a && $b && $c && $d && $e && $f ) {
					$sql = "SELECT tax_id FROM taxes
							WHERE tdate = '$tdate' AND taxtype_id = '$taxtype_id' AND amount = '$amount'";
					$chck_res = mysql_query($sql);
					$chck_num = mysql_num_rows($chck_res);
					if ($chck_loan_num > 0) {
						print "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td align=center>
							<font color=red face=arial size=2><b>Tax already exists in the database!</b><br><br>
							The same entry for the date, type and amount of tax has been found.</font></td></tr></table>
							</td></tr></table></center>";
						show_form();
					} else {
						$sql = "INSERT INTO taxes ( ref_num, tdate, account_id, taxtype_id, taxdesc, amount, user_id )
								VALUES ( '$ref_num', '$tdate', '$account_id', '$taxtype_id', '$taxdesc', '$amount', '$_SESSION[user_id]' )";
						
						if (mysql_query($sql)) {
							mysql_query("UPDATE banks SET balance = '$new_balance' WHERE bank_id = '$bank_id' LIMIT 1") or die(mysql_error());
							echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><b>Tax has been added into the database</b>.<br>Click 
								<a class=tddata href='taxes.php?account_id=$account_id'>here</a> to view all taxes.</font></td></tr></table></td></tr>
								</table></center><br>";
							show_form();
						} else {
							echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2 color=red>Could not add tax because: <b>".mysql_error()."</b>
								. The query was $sql.</font></td></tr></table></td></tr></table></center><br>";
							show_form();
						}
					}
					mysql_free_result($chck_res);
					mysql_close();
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<center><table bgcolor=#FF0000><tr><td><table bgcolor=#ffffff><tr><td><font color=red 
							face=arial size=2><b>The following problems occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
						echo "</font></td></tr></table></td></tr></table></center>\n";
					}
					show_form();
				}
			} else {
				$sql = "DELETE FROM users_online WHERE user_id = '$_SESSION[user_id]' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
				session_unset();
				session_destroy();
				header('Location: login.php');
			}
		} else {
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;

	$sql = "SELECT CURDATE()";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$date = $drow[0]; 
	mysql_free_result($dres); 
	?>
	<form name="AddTax" action="add_tax.php" method="POST">
		<div class="post">
			<h1 class="title">Add New Tax</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All are required fields</font></td></tr>
						<tr class="even"><td align="right" width="125">&nbsp;&nbsp;Date&nbsp;</td>
							<td align="left" width="300"><input readonly type="text" size="10" name="tdate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:tdate.popup();">&nbsp;<img src="lib/b_calendar.png"></a>&nbsp;<font color="red">*</font></td></tr>
							<script language="JavaScript">
							<!-- // create calendar object(s) just after form tag closed
								var tdate = new calendar(document.forms['AddTax'].elements['tdate']);
								tdate.year_scroll = true; tdate.time_comp = false;
							//-->
							</script>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Type of Tax&nbsp;</td>
							<td align="left"><select name="taxtype_id"><option value="0">Type</option>
								<?PHP
								$sql = "SELECT taxtype_id, taxtype_name FROM tax_types ORDER BY taxtype_id";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									?><option value="<?PHP print $row[0] ?>"><?PHP print $row[1] ?></option><?PHP
								}
								?></select>&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Account&nbsp;</td>
							<td align="left"><select name="account_id"><option value="0">Account</option><?PHP
								$sql = "SELECT account_id, account_name FROM accounts ORDER BY account_name";
								$bbres = mysql_query($sql) or die(mysql_error()); 
								while ($bbrow = mysql_fetch_array($bbres)) {
									?><option value="<?PHP echo $bbrow[0] ?>"><?PHP echo $bbrow[1] ?></option><?PHP
								}
								?></select></td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Reference #&nbsp;</td>
							<td align="left"><input type="text" name="ref_num" size="30">&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Tax Description&nbsp;</td>
							<td align="left"><input type="text" name="taxdesc" size="30">&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Amount&nbsp;</td>
							<td align="left"><input type="text" size="30" name="amount">&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="token" value="<?PHP echo $token ?>">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valAddTax()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>