<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add New Warehouse');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $whouse_code = mysql_real_escape_string(stripslashes($_POST['whouse_code']));
	            $whouse_name = mysql_real_escape_string(stripslashes($_POST['whouse_name']));
	            $whouse_addr = mysql_real_escape_string(stripslashes($_POST['whouse_addr']));
	        } else {
	            $whouse_code = mysql_real_escape_string($_POST['whouse_code']);
	            $whouse_name = mysql_real_escape_string($_POST['whouse_name']);
	            $whouse_addr = mysql_real_escape_string($_POST['whouse_addr']);
			}
			
			// Check to make sure they entered the warehouse name.
			if ($whouse_code != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please enter the warehouse code."; }
			// Check to make sure they entered the warehouse name.
			if ($whouse_name != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please enter the warehouse name."; }
			// Check to make sure they entered the address
			if ($whouse_name != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please enter the address."; }

			// If the data pass all tests, add the patient to the database.
			if ( $a && $b && $c ) {
				$chcksup_result = mysql_query("SELECT whouse_name FROM warehouses WHERE whouse_code = '$whouse_code' OR whouse_name = '$whouse_name'");
				$chcksup_num = mysql_num_rows($chcksup_result);
				if ($chcksup_num > 0) {
					print "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
						<font color=red face=arial size=2><b>Warehouse already exists in the database!</b></font></td></tr>
						</table></td></tr></table></center>";
					show_form();
				} else {
					$query = sprintf("INSERT INTO warehouses ( whouse_code, whouse_name, whouse_addr, active ) VALUES ( '%s', '%s', '%s', 1 )", 
						mysql_real_escape_string($whouse_code),
						mysql_real_escape_string($whouse_name),
						mysql_real_escape_string($whouse_addr));
					if (mysql_query($query)) {
						$whouse_id = mysql_insert_id(); 
					
						$sql = "SELECT product_id FROM products WHERE active = 1 ORDER BY product_id";
						$res = mysql_query($sql); 
						while ($row = mysql_fetch_array($res)) {
							$product_id = $row[0]; 
							$sql = "INSERT INTO warehouse_products(whouse_id, product_id, reorder) VALUES('$whouse_id', '$product_id', 25)";
							mysql_query($sql) or die(mysql_error()); 
						}
						
						print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td  
							align=center><font face=arial size=2>Warehouse has been added into the database.<br>Click <a 
							class=paging href='warehouses.php'>here</a> to view all warehouses.</font></td></tr></table></td>
							</tr></table></center><br>";
					} else {
						print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td  
							align=center><font face=arial size=2 color=red>Could not add warehouse because: <b>".mysql_error()."
							</b>. The query was $query.</font></td></tr></table></td></tr></table></center><br>";
					}
				}
				mysql_free_result($chcksup_result);
				mysql_close();
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td  
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>The following problems 
						occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<p></p><b>Be sure to re-enter everything!</b></font></td></tr>
						</table></td></tr></table></center><br>\n";
				}
				show_form();
			}
		} else {
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	?>
	<form name="AddWarehouse" action="add_warehouse.php" method="POST">
		<div class="post">
			<h1 class="title">Add New Warehouse</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="right" width="100">Warehouse Code&nbsp;</td>
							<td align="left" width="250"><input type="text" size="33" name="whouse_code">&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Warehouse Name&nbsp;</td>
							<td align="left"><input type="text" size="33" name="whouse_name">&nbsp;</td></tr>
						<tr class="odd"><td align="right">Address&nbsp;</td>
							<td align="left"><input type="text" size="33" name="whouse_addr">&nbsp;</td></tr>
						<tr class="even">
							<td align="center" colspan="2">
								<input type="hidden" name="submitted" value="1">
								<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
								<input onClick="valAddWarehouse()" type="button" class="button blue" value="Submit">
							</td>
						</tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>