<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Balance Branch Inventory');
define('NAV', 6); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if (isset($_POST['submitted'])) {
			show_form();

			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $branch_id = mysql_real_escape_string(stripslashes($_POST[branch_id]));
	            $manufacturer_id = mysql_real_escape_string(stripslashes($_POST[manufacturer_id]));
	        } else {
	            $branch_id = mysql_real_escape_string($_POST[branch_id]);
	            $manufacturer_id = mysql_real_escape_string($_POST[manufacturer_id]);
	        }
			
			$sql = "SELECT branch_name FROM branches WHERE branch_id = '$branch_id'";
			$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_name = $brow[0];
			$sql = "SELECT manufacturer_name FROM manufacturers WHERE manufacturer_id = '$manufacturer_id'";
			$mres = mysql_query($sql); $mrow = mysql_fetch_array($mres); $manufacturer_name = $mrow[0];
			
			$sql = "SELECT product_id, product_num, product_name FROM products 
					WHERE manufacturer_id = '$manufacturer_id'";
			$res = mysql_query($sql); $num = mysql_num_rows($res); 

			?>
			<div class="post">
				<h1 class="title">Balance <?PHP echo $manufacturer_name ?> Products in <?PHP $branch_name ?> Branch</h1>
				<div class="entry">
					<table>
						<thead class="data">
							<tr>
								<td width="100" align="center">Code</td>
								<td width="200" align="center">Product</td>
								<td width="100" align="center">Qty</td>
								<td width="200" align="center"></td>
							</tr>
						</thead>
						<tbody class="data">
							<?PHP
							if ($num > 0) {
								$i = 1; 
								while ($row = mysql_fetch_array($res)) {
									$m = fmod($i, 2);
									if ($m == 0) { // $i is EVEN
										?><tr class="even"><?PHP
									} else { // $i is ODD
										?><tr class="odd"><?PHP
									}
									?>
										<td align="center"><a class="tddata" href="product_branch_its.php?product_id=<?PHP echo $row[0] ?>&branch_id=<?PHP echo $branch_id ?>"><?PHP echo $row[1] ?></a></td>
										<td align="left"><a class="tddata" href="product_branch_its.php?product_id=<?PHP echo $row[0] ?>&branch_id=<?PHP echo $branch_id ?>"><?PHP echo $row[2] ?></a></td>
										<td align="right"><?PHP 
											// **********************************************************
											// GOOD ITEMS 
											// **********************************************************
											// get the sum of purchases
											$sql = "SELECT SUM(pd.quantity)
													FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id
													WHERE p.branch_id = '$branch_id' AND pd.product_id = '$row[0]' AND p.user_id != 0"; 
											$tpur_res = mysql_query($sql); $tpur_row = mysql_fetch_array($tpur_res);
											// get the sum of returns from customers
											$sql = "SELECT SUM(rb.quantity)
													FROM returns_branches r INNER JOIN rb_details rb ON r.rb_id = rb.rb_id
													WHERE r.branch_id = '$branch_id' AND rb.product_id = '$row[0]' AND rb.rtype = 1"; 
											$giret_res = mysql_query($sql); $giret_row = mysql_fetch_array($giret_res);
											// get the sum of conversions
											$sql = "SELECT SUM(to_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND to_product_id = '$row[0]'"; 
											$rcon_res = mysql_query($sql); $rcon_row = mysql_fetch_array($rcon_res); 

											// get the sum of sales
											$sql = "SELECT SUM(sd.quantity)
													FROM branch_sales s INNER JOIN bsale_details sd ON s.sale_id = sd.sale_id
													WHERE sd.product_id = '$row[0]' AND s.branch_id = '$branch_id'";
											$tsale_res = mysql_query($sql); $tsale_row = mysql_fetch_array($tsale_res);
											// get the sum of good returns to main office
											$sql = "SELECT SUM(rd.quantity)
													FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
													WHERE r.customer_id = '$customer_id' AND rd.product_id = '$row[0]' AND rd.rtype = 1"; 
											$goret_res = mysql_query($sql); $goret_row = mysql_fetch_array($goret_res);
											// get the sum of conversions
											$sql = "SELECT SUM(fr_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND fr_product_id = '$row[0]'"; 
											$wcon_res = mysql_query($sql); $wcon_row = mysql_fetch_array($wcon_res); 
											// get the sum of loss
											$sql = "SELECT SUM(bl.quantity)
													FROM branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id
													WHERE l.branch_id = '$branch_id' AND bl.product_id = '$row[0]'"; 
											$gl_res = mysql_query($sql); $gl_row = mysql_fetch_array($gl_res); 
											
											$good = ($tpur_row[0] + $giret_row[0] + $rcon_row[0]) - ($tsale_row[0] + $goret_row[0] + $wcon_row[0] + $gl_row[0]);
											echo number_format($good, 2); 
											
											mysql_free_result($tpur_res); mysql_free_result($giret_res); mysql_free_result($tsale_res); mysql_free_result($goret_res);
											mysql_free_result($rcon_res); mysql_free_result($wcon_res); mysql_free_result($gl_res);
											?></td>
										<td align="center"><?PHP 
											$sql = "UPDATE branch_products 
													SET inventory = '$good'
													WHERE product_id = '$row[0]' AND branch_id = '$branch_id' LIMIT 1";
											/*
											if (mysql_query($sql)) {
												echo "Updated Inventory";
											} else {
												echo "<font color=red>FAILED TO UPDATE INVENTORY</font><br>";
											}
											*/
											?></td>
									</tr>
									<?PHP
									$i++;
								}
							} else {
								?>
								<tr>
									<td align="center" colspan="4">There are NO existing records of products for this manufacturer</td>
								</tr>
								<?PHP				
							}
							?>
						</tbody>
					</table>
				</div>
				<p class="meta"></p>
			</div>
			<?PHP
			
		} else {
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	?>
	<form name="balance_branch_inventory.php" method="POST">
		<div class="post">
			<h1 class="title">Balance Branch Inventory</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd">
							<td align="right" width="150">Branch&nbsp;</td>
							<td align="left" width="300"><select name="branch_id"><?PHP
								$sql = "SELECT branch_id, branch_name FROM branches";
								$bres = mysql_query($sql); 
								while ($brow = mysql_fetch_array($bres)) {
									?><option value="<?PHP echo $brow[0] ?>"><?PHP echo $brow[1] ?></option><?PHP
								}
								?></select></td>
						</tr>
						<tr class="even">
							<td align="right">Manufacturer&nbsp;</td>
							<td align="left"><select name="manufacturer_id"><?PHP
								$sql = "SELECT manufacturer_id, manufacturer_name FROM manufacturers";
								$wres = mysql_query($sql); 
								while ($wrow = mysql_fetch_array($wres)) {
									?><option value="<?PHP echo $wrow[0] ?>"><?PHP echo $wrow[1] ?></option><?PHP
								}
								?></select></td>
						</tr>
						<tr class="odd">
							<td colspan="2" align="center">
								<input type="reset" class="button blue">
								<input type="submit" class="button blue" name="submitted" value="Submit">
							</td>
						</tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>