<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Balance Inventory');
define('NAV', 6); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if (isset($_POST['submitted'])) {
			show_form();

			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $whouse_id = mysql_real_escape_string(stripslashes($_POST[whouse_id]));
	            $manufacturer_id = mysql_real_escape_string(stripslashes($_POST[manufacturer_id]));
	        } else {
	            $whouse_id = mysql_real_escape_string($_POST[whouse_id]);
	            $manufacturer_id = mysql_real_escape_string($_POST[manufacturer_id]);
	        }
			
			$sql = "SELECT whouse_name FROM warehouses WHERE whouse_id = '$whouse_id'";
			$wres = mysql_query($sql); $wrow = mysql_fetch_array($wres); $whouse_name = $wrow[0];
			$sql = "SELECT manufacturer_name FROM manufacturers WHERE manufacturer_id = '$manufacturer_id'";
			$mres = mysql_query($sql); $mrow = mysql_fetch_array($mres); $manufacturer_name = $mrow[0];
			
			$sql = "SELECT product_id, product_num, product_name FROM products 
					WHERE manufacturer_id = '$manufacturer_id'";
			$res = mysql_query($sql); $num = mysql_num_rows($res); 

			?>
			<div class="post">
				<h1 class="title">Balance <?PHP echo $manufacturer_name ?> Products in <?PHP $whouse_name ?> Warehouse</h1>
				<div class="entry">
					<table>
						<thead class="data">
							<tr>
								<td width="100" align="center">Code</td>
								<td width="200" align="center">Product</td>
								<td width="100" align="center">Qty</td>
								<td width="200" align="center"></td>
							</tr>
						</thead>
						<tbody class="data">
							<?PHP
							if ($num > 0) {
								$i = 1; 
								while ($row = mysql_fetch_array($res)) {
									$m = fmod($i, 2);
									if ($m == 0) { // $i is EVEN
										?><tr class="even"><?PHP
									} else { // $i is ODD
										?><tr class="odd"><?PHP
									}
									?>
										<td align="center"><a class="tddata" href="product_its.php?product_id=<?PHP echo $row[0] ?>&whouse_id=<?PHP echo $whouse_id ?>"><?PHP echo $row[1] ?></a></td>
										<td align="left"><a class="tddata" href="product_its.php?product_id=<?PHP echo $row[0] ?>&whouse_id=<?PHP echo $whouse_id ?>"><?PHP echo $row[2] ?></a></td>
										<td align="right"><?PHP 
											// **********************************************************
											// GOOD ITEMS 
											// **********************************************************
											// get the sum of purchases
											$sql = "SELECT SUM(pd.quantity)
													FROM purchases p INNER JOIN purchase_details pd ON p.purchase_id = pd.purchase_id
													WHERE p.whouse_id = '$whouse_id' AND pd.product_id = '$row[0]' AND p.direct_delivery = 0 AND p.user2_id != 0"; 
											$tpur_res = mysql_query($sql); $tpur_row = mysql_fetch_array($tpur_res);  
											// get the sum of incoming transfers
											$sql = "SELECT SUM(td.quantity)
													FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
													WHERE t.to_whouse_id = '$whouse_id' AND td.product_id = '$row[0]' AND t.user2_id != 0"; 
											$tit_res = mysql_query($sql); $tit_row = mysql_fetch_array($tit_res);  
											// get the sum of returns from customers
											$sql = "SELECT SUM(rd.quantity)
													FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
													WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$row[0]' AND rd.rtype = 1"; 
											$giret_res = mysql_query($sql); $giret_row = mysql_fetch_array($giret_res);  
											// get the sum of conversions
											$sql = "SELECT SUM(to_units) FROM conversions WHERE whouse_id = '$whouse_id' AND to_product_id = '$row[0]'"; 
											$rcon_res = mysql_query($sql); $rcon_row = mysql_fetch_array($rcon_res); 
											// get the sum of productions
											$sql = "SELECT SUM(quantity) FROM pdxns WHERE to_whouse_id = '$whouse_id' and product_id = '$row[0]' AND user2_id != 0";
											$pdxn_res = mysql_query($sql); $pdxn_row = mysql_fetch_array($pdxn_res); 

											// get the sum of sales
											$sql = "SELECT SUM(sd.quantity)
													FROM sales s INNER JOIN sale_details sd ON s.sale_id = sd.sale_id
													WHERE sd.product_id = '$row[0]' AND s.whouse_id = '$whouse_id' AND s.purchase_id = 0";
											$tsale_res = mysql_query($sql); $tsale_row = mysql_fetch_array($tsale_res); 
											// get the sum of outgoing transfers
											$sql = "SELECT SUM(td.quantity)
													FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
													WHERE t.fr_whouse_id = '$whouse_id' AND td.product_id = '$row[0]'"; 
											$tot_res = mysql_query($sql); $tot_row = mysql_fetch_array($tot_res); 
											// get the sum of good returns to suppliers
											$sql = "SELECT SUM(rd.quantity)
													FROM returns_suppliers r INNER JOIN rs_details rd ON r.rs_id = rd.rs_id
													WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$row[0]' AND rd.rtype = 1"; 
											$goret_res = mysql_query($sql); $goret_row = mysql_fetch_array($goret_res); 
											// get the sum of loss
											$sql = "SELECT SUM(wl.quantity)
													FROM warehouse_losses l INNER JOIN wl_details wl ON l.wl_id = wl.wl_id
													WHERE l.whouse_id = '$whouse_id' AND wl.product_id = '$row[0]'"; 
											$gl_res = mysql_query($sql); $gl_row = mysql_fetch_array($gl_res); 
											// get the sum of conversions
											$sql = "SELECT SUM(fr_units) FROM conversions WHERE whouse_id = '$whouse_id' AND fr_product_id = '$row[0]'"; 
											$wcon_res = mysql_query($sql); $wcon_row = mysql_fetch_array($wcon_res); 
											// get the sum of used items in productions
											$sql = "SELECT SUM(pd.quantity) 
													FROM pdxns p INNER JOIN pdxn_details pd ON p.pdxn_id = pd.pdxn_id 
													WHERE p.fr_whouse_id = '$whouse_id' AND p.user2_id != 0 AND pd.product_id = '$row[0]'"; 
											$item_res = mysql_query($sql); $item_row = mysql_fetch_array($item_res); 
											
											$good = ($tpur_row[0] + $tit_row[0] + $giret_row[0] + $rcon_row[0] + $pdxn_row[0]) - ($tsale_row[0] + $tot_row[0] + $goret_row[0] + $gl_row[0] + $wcon_row[0] + $item_row[0]);
											
											mysql_free_result($tpur_res); mysql_free_result($tit_res); mysql_free_result($giret_res); mysql_free_result($tsale_res); 
											mysql_free_result($pdxn_res); mysql_free_result($tot_res); mysql_free_result($goret_res); mysql_free_result($gl_res); 
											mysql_free_result($wcon_res); mysql_free_result($rcon_res); mysql_free_result($item_res);
											echo number_format($good, 2); 
											
											mysql_free_result($tpur_res); mysql_free_result($tit_res); mysql_free_result($giret_res); mysql_free_result($tsale_res);
											mysql_free_result($tot_res); mysql_free_result($goret_res); mysql_free_result($gl_res); mysql_free_result($wcon_res); mysql_free_result($rcon_res);
											?></td>
										<td align="center"><?PHP 
											$sql = "UPDATE warehouse_products 
													SET inventory = '$good'
													WHERE product_id = '$row[0]' AND whouse_id = '$whouse_id' LIMIT 1";
											if (mysql_query($sql)) {
												echo "Updated Inventory";
											} else {
												echo "<font color=red>FAILED TO UPDATE INVENTORY</font><br>";
											}
											?></td>
									</tr>
									<?PHP
									$i++;
								}
							} else {
								?>
								<tr>
									<td align="center" colspan="4">There are NO existing records of products for this manufacturer</td>
								</tr>
								<?PHP				
							}
							?>
						</tbody>
					</table>
				</div>
				<p class="meta"></p>
			</div>
			<?PHP
			
		} else {
			show_form();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	?>
	<form name="balance_inventory.php" method="POST">
		<div class="post">
			<h1 class="title">Balance Inventory</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd">
							<td align="right" width="150">Warehouse&nbsp;</td>
							<td align="left" width="300"><select name="whouse_id"><?PHP
								$sql = "SELECT whouse_id, whouse_name FROM warehouses";
								$wres = mysql_query($sql); 
								while ($wrow = mysql_fetch_array($wres)) {
									?><option value="<?PHP echo $wrow[0] ?>"><?PHP echo $wrow[1] ?></option><?PHP
								}
								?></select></td>
						</tr>
						<tr class="even">
							<td align="right">Manufacturer&nbsp;</td>
							<td align="left"><select name="manufacturer_id"><?PHP
								$sql = "SELECT manufacturer_id, manufacturer_name FROM manufacturers ORDER BY manufacturer_name";
								$wres = mysql_query($sql); 
								while ($wrow = mysql_fetch_array($wres)) {
									?><option value="<?PHP echo $wrow[0] ?>"><?PHP echo $wrow[1] ?></option><?PHP
								}
								?></select></td>
						</tr>
						<tr class="odd">
							<td colspan="2" align="center">
								<input type="reset" class="button blue">
								<input type="submit" class="button blue" name="submitted" value="Submit">
							</td>
						</tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}
?>