<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Balance Sheet');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if (isset($_POST['submit'])) {
			$account_id = $_GET['account_id'];
			// get the name of account
			$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
			$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0]; 

			if ($_POST['month'] == 1) { $monthname = "January"; }
			elseif ($_POST['month'] == 2) { $monthname = "February"; }
			elseif ($_POST['month'] == 3) { $monthname = "March"; }
			elseif ($_POST['month'] == 4) { $monthname = "April"; }
			elseif ($_POST['month'] == 5) { $monthname = "May"; }
			elseif ($_POST['month'] == 6) { $monthname = "June"; }
			elseif ($_POST['month'] == 7) { $monthname = "July"; }
			elseif ($_POST['month'] == 8) { $monthname = "August"; }
			elseif ($_POST['month'] == 9) { $monthname = "September"; }
			elseif ($_POST['month'] == 10) { $monthname = "October"; }
			elseif ($_POST['month'] == 11) { $monthname = "November"; }
			elseif ($_POST['month'] == 12)  { $monthname = "December"; }
			
			show_forms($account_id);
			if ($_POST[month] != 0 && $_POST[year] != 0) {
				?>
				<div class="post">
					<div id="details">
						<a id="icon1" class="th_img" href="print_balance_sheet.php?year=<?PHP echo $_POST[year] ?>&month=<?PHP echo $_POST[month] ?>" target="new"><img src="lib/b_print.png"></a>
					</div>
					<h1 class="title">Balance Sheet - <?PHP echo $account_name ?></h1>
					<div class="entry">
						<table align="center" width="700">
						<tr>
							<td align="center" width="400" valign="top">
								<table width="400">
									<thead class="data">
									<tr><td colspan="2" align="center"><b>Balance Sheet for <?PHP print "$monthname, $_POST[year]"; ?></b></td></tr>
									</thead>
									<tbody class="data">
										<?PHP
										$sql = "SELECT * FROM bs_history WHERE account_id = '$account_id' AND MONTH(bsh_date) = $_POST[month] AND YEAR(bsh_date) = $_POST[year]";
										$res = mysql_query($sql) or die(mysql_error()); 
										$row = mysql_fetch_array($res); 
										
										$uc = number_format($row[2], 2); 
										$tc = number_format($row[3], 2); 
										$iv = number_format($row[4], 2); 
										?>
										<tr class="odd"><td width="100" align="right" valign="top">Assets&nbsp;</td>
											<td width="300" align="right"><?PHP
												$sql = "SELECT bsh_name, amount FROM bsh_details WHERE bsh_id = '$row[0]' AND bsh_type = 1";
												$ares = mysql_query($sql) or die(mysql_error()); 
												while ($arow = mysql_fetch_array($ares)) {
													$asset_amount = number_format($arow[1], 2);
													print "$arow[0] ---->> $asset_amount<br>";
												}

												print "BANK DEPOSITS ---->> $uc<br>";
												print "TOTAL COLLECTIBLES ---->> $tc<br>";
												print "INVENTORY VALUE ---->> $iv<br>";
											?></td></tr>
										<tr class="even"><td align="right" valign="top">Total Assets&nbsp;</td>
											<td align="right"><?PHP
												$total_assets = number_format($row[5], 2);
												print "<b>$total_assets</b>";
											?></td></tr>
										<tr class="odd"><td align="right" valign="top">Liabilities&nbsp;</td>
											<td align="right"><?PHP
												$sql = "SELECT bsh_name, amount FROM bsh_details WHERE bsh_id = '$row[0]' AND bsh_type = 0";
												$lres = mysql_query($sql) or die(mysql_error()); 
												while ($lrow = mysql_fetch_array($lres)) {
													$liability = number_format($lrow[1], 2);
													print "$lrow[0] ---->> $liability<br>";
												}
											?></td></tr>
										<tr class="even"><td align="right" valign="top">Total Liabilities&nbsp;</td>
											<td align="right"><?PHP
												$total_liabilities = number_format($row[6], 2);
												print "<b>$total_liabilities</b>";
											?></td></tr>
										<tr class="odd"><td align="right" valign="top">Equity&nbsp;</td>
											<td align="right"><b><?PHP
												$equity = number_format($row[7], 2);
												print $equity; 
											?></b></td></tr>
									</tbody>
								</table>
							</td>
						</tr>
						</table>
					</div>
					<p class="meta"></p>
				</div>
				<?PHP
			} else {
				echo "Please select month and year<br>";
			}
		} else {
			$account_id = $_GET['account_id'];
			//show_forms($account_id);
			show_is($account_id);
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_forms($account_id) {
	// get the name of account
	$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
	$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0]; 
				
	?>
	<div class="post">
		<h1 class="title">Balance Sheet - <?PHP echo $account_name ?></h1>
		<div class="entry">
			<table align="center" width="700">
			<tr>
				<td align="center" width="350" valign="top">
					<form action="balance_sheet.php?account_id=<?PHP echo $account_id ?>" method="post"><table width="350" class="data">
						<thead class="data">
							<tr><td colspan="2" align="center"><b>Balance Sheet By Month And/Or Year</b></td></tr>
						</thead>
						<tbody class="data">
							<tr class="odd"><td align="center">Select Date:&nbsp;<select name="month"><option value="0">Month</option>
									<option value="1">Jan</option><option value="2">Feb</option><option value="3">Mar</option>
									<option value="4">Apr</option><option value="5">May</option><option value="6">Jun</option>
									<option value="7">Jul</option><option value="8">Aug</option><option value="9">Sep</option>
									<option value="10">Oct</option><option value="11">Nov</option><option value="12">Dec</option>
								</select>&nbsp;<select name="year"><option>Year</option>
									<?PHP
									$syear = date("Y"); 
									for ($j=$syear; $j>$syear-4; $j--) { print "<option value=$j>$j</option>"; }
									?></select></td></tr>
							<tr class="even"><td align="center" colspan="2">
								<input type="hidden" name="submit" value="1">
								<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;<input type="submit" class="button blue" value="Go"></td></tr>
						</tbody>
					</table></form>
				</td>
			</tr>
			</table>
		</div>
	<p class="meta"></p>
	</div>
	<?PHP
}

function show_is($account_id) {
	// get the name of account
	$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
	$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0]; 
				
	$sql = "SELECT MONTHNAME(NOW()), YEAR(NOW())";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$monthname = $drow[0]; $year = $drow[1];
	?>
    <div class="post">
        <div id="details">
            <a id="icon1" class="th_img" href="print_balance_sheet.php" target="new"><img src="lib/b_print.png"></a>
        </div>
        <h1 class="title">Balance Sheet - <?PHP echo $account_name ?></h1>
        <div class="entry"><table align="center" width="700">
		<tr>
			<td align="center" width="400" valign="top">
				<table width="400">
					<thead class="data">
					<tr><td colspan="2" align="center"><b>Balance Sheet for <?PHP print "$monthname, $year"; ?></b></td></tr>
					</thead>
					<tbody class="data">
						<tr class="odd"><td width="100" align="right" valign="top">Assets&nbsp;</td>
							<td width="300" align="right"><?PHP
								// get the value of the undeposited cash
								$sql = "SELECT SUM(balance) FROM banks WHERE account_id = '$account_id'";
								$uc_res = mysql_query($sql) or die(mysql_error());
								$uc_row = mysql_fetch_array($uc_res); 
								$uc = number_format($uc_row[0], 2); 
								
								if ($account_id == 1) {
									$sql = "SELECT SUM(inventory * ave_acq) FROM warehouse_products WHERE whouse_id IN (1, 2)";
								} else {
									$sql = "SELECT SUM(inventory * ave_acq) FROM warehouse_products WHERE whouse_id = 3";
								}
								$res4 = mysql_query($sql);
								$row4 = mysql_fetch_array($res4);
								$iv = number_format($row4[0], 2); 
								
								$sql = "SELECT sum(s.balance) 
										FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
										WHERE c.account_id = '$account_id'";
								$res3 = mysql_query($sql);
								$row3 = mysql_fetch_array($res3);
								
								$sql = "SELECT SUM(cob.balance) 
										FROM customer_old_balances cob INNER JOIN customers c ON cob.customer_id = c.customer_id
										WHERE c.account_id = '$account_id'";
								$res31 = mysql_query($sql);
								$row31 = mysql_fetch_array($res31);

								$tc = number_format(($row3[0] + $row31[0]), 2);

								$sql = "SELECT at.asstype_name, SUM(a.amount)
										FROM assets a INNER JOIN asset_types at ON a.asstype_id = at.asstype_id 
										WHERE a.account_id = '$account_id'
										GROUP BY at.asstype_name
										ORDER BY at.asstype_name";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									$asset_amount = number_format($row[1], 2);
									print "$row[0] ---->> $asset_amount<br>";
								}

								print "BANK DEPOSITS ---->> $uc<br>";
								print "TOTAL COLLECTIBLES ---->> $tc<br>";
								print "INVENTORY VALUE ---->> $iv<br>";
							?></td></tr>
						<tr class="even"><td align="right" valign="top">Total Assets&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT SUM(amount) FROM assets WHERE account_id = '$account_id'";
								$res1 = mysql_query($sql);
								$row1 = mysql_fetch_array($res1);

								$tassets = $row1[0] + $row3[0] + $row31[0] + $row4[0] + $uc_row[0];
								$total_assets = number_format($tassets, 2);
								print "<b>$total_assets</b>";
							?></td></tr>
						<tr class="odd"><td align="right" valign="top">Liabilities&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT supplier_id, company_name
										FROM suppliers
										WHERE account_id = '$account_id'
										ORDER BY company_name";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									$tp_res = mysql_query("SELECT sum(balance) FROM purchases WHERE supplier_id='$row[0]'");
									$tp_row = mysql_fetch_array($tp_res); $tp = $tp_row[0];
									$ob_res = mysql_query("SELECT balance FROM supplier_old_balances WHERE supplier_id='$row[0]'");
									$ob_row = mysql_fetch_array($ob_res); $ob = $ob_row[0];
									$tbal = $tp + $ob;
									$total_balance = number_format($tbal, 2); 
									print "$row[1] - $total_balance<br>";
								}
							?></td></tr>
						<tr class="even"><td align="right" valign="top">Total Liabilities&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT SUM(balance) FROM purchases WHERE account_id = '$account_id'";
								$res2 = mysql_query($sql);
								$row2 = mysql_fetch_array($res2);
								
								$sql = "SELECT SUM(sob.balance) 
										FROM supplier_old_balances sob INNER JOIN suppliers s ON sob.supplier_id = s.supplier_id
										WHERE s.account_id = '$account_id'";
								$res21 = mysql_query($sql);
								$row21 = mysql_fetch_array($res21); 
								
								$total_liabilities = number_format(($row2[0] + $row21[0]), 2);
								print "<b>$total_liabilities</b>";
							?></td></tr>
						<tr class="odd"><td align="right" valign="top">Equity&nbsp;</td>
							<td align="right"><b><?PHP
								$eqty = ($row1[0] + $row3[0] + $row31[0] + $row4[0] + $uc_row[0]) - ($row2[0] + $row21[0]);
								$equity = number_format($eqty, 2);
								print $equity; 
							?></b></td></tr>
					</tbody>
				</table>
			</td>
		</tr>
        </table></div>
        <p class="meta"></p>
    </div>
	<?PHP
}
?>