<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include 'fxns.php';
define('TITLE', 'Avanzare Business Solutions - Branch Inventory Details');
define('NAV', 3);
val_qry('cm_id', 'branch_inv_match_cm', 'cm_id='._GET_POST($_GET['cm_id']));
session_start();
if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		if (isset($_POST['ctr'])) pre();
		else post().post_js();
		print_footer();
	}
} else {
	header('Location: login.php');	
}
function pre(){
	$cm_id = _GET_POST($_GET['cm_id']);
	$im_id = sql_fld('im_id', 'branch_inv_match_cm', 'cm_id='.$cm_id);
	$branch_id = sql_fld('branch_id', 'branch_inv_match', 'im_id='.$im_id);
	$ctr = _GET_POST($_POST['ctr']);
	for ($i=1;$i<=$ctr;$i++){
		$active = isset($_POST['prdstat-'.$i])?true:false;
		if ($active){
			$cam = sql_rec('vw_branch_inv_match_cm', 'cm_id='.$cm_id);
			$product_id = _GET_POST($_POST['prdid-'.$i]);
			$prod_act = array(
				'active'		=> 1 
			);
			sql_upd('products', $prod_act, 'product_id='.$product_id);
			$good = get_good_inv($product_id, $branch_id);
			$good_inv_dtls = array(
				'inventory' => $good
			);
			sql_upd("branch_products", $good_inv_dtls, "product_id = '$product_id' AND branch_id = '$branch_id'");
			$bpap = sql_qry('SELECT bp.bp_id AS bp_id, p.acq_price AS acq_price, bp.price AS sell_price, bp.inventory AS rec_qty FROM products p INNER JOIN branch_products bp ON p.product_id = bp.product_id WHERE bp.branch_id = '.$branch_id.' AND p.product_id = '.$product_id);
			$bpap_dtl = mysql_fetch_assoc($bpap);
			$inv_item = array(
				'cm_id'			=> $cm_id,
				'bp_id'			=> $bpap_dtl['bp_id'],
				'acq_price'		=> $bpap_dtl['acq_price'],
				'sell_price'	=> $bpap_dtl['sell_price'],
				'rec_qty'		=> $bpap_dtl['rec_qty'],
				'phy_qty'		=> $bpap_dtl['rec_qty']
			);
			$imi_check = sql_fld('imi_id', 'vw_branch_inv_match_item', 'cm_id='.$cm_id.' AND product_id='.$product_id);
			if (!$imi_check){
				sql_ins('branch_inv_match_item', $inv_item);
			}
		} else {
			continue;
		}
	}
	return jscript("
		window.location='branch-inv-match-item.php?cm_id=".$cm_id."';
	");
}
function post(){
	$cm_id= _GET_POST($_GET['cm_id']);
	$im_id = sql_fld('im_id', 'branch_inv_match_cm', 'cm_id='.$cm_id);
	$dtl = sql_rec('vw_branch_inv_match', 'im_id='.$im_id);
	$cam = sql_rec('vw_branch_inv_match_cm', 'cm_id='.$cm_id);
	$p = sql_fld('COUNT(p.product_id)', 'products p INNER JOIN branch_products bp ON p.product_id = bp.product_id', 'bp.branch_id='.$dtl['branch_id'].' AND p.category_id='.$cam['category_id'].' AND p.manufacturer_id='.$cam['manufacturer_id']);
	$iProducts = sql_qry('SELECT p.product_id AS product_id , p.product_name AS product_name FROM products p INNER JOIN branch_products bp ON p.product_id = bp.product_id WHERE bp.branch_id='.$dtl['branch_id'].' AND p.category_id='.$cam['category_id'].' AND p.manufacturer_id='.$cam['manufacturer_id'].' ORDER BY p.product_name ASC');
	//-------------PHP code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<div class='post'>
		<h1 class='title'>Inventory Matching Details for <?php echo $dtl['branch_name']?></h1>
		<div class='entry'>
			<table>
				<tr class='odd'>
					<td align='right' style='width: 100px'>Date&nbsp;:</td>
					<td align='left' style='width: 250px'>&nbsp;&nbsp;<?php echo date_format(date_create($dtl['im_date']), 'D M d, Y')?></td>
				</tr>
				<tr class='even'>
					<td align='right'>Notes&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $dtl['notes']?></td>
				</tr>
				<tr class='odd'>
					<td align='right'>Completed&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<input type='checkbox' disabled <?php echo $dtl['done']==1?'checked':''?>></td>
				</tr>
				<tr class='even'>
					<td align='right'>Prepared by&nbsp;:</td>
					<td align='left'>&nbsp;&nbsp;<?php echo $dtl['encoder']?></td>
				</tr>
			</table>
		</div>
		<p class='meta'></p>
	</div>
	<div class='post'>
		<h1 class='title'>Product Listing for <?php echo $cam['manufacturer_name'].' '.$cam['category_name']?></h1>
		<div class='entry'>
			<table>
				<thead class='data'>
					<tr>
						<td style='width: 300px' align='center'>Products</td>
						<td style='width: 50px'></td>
					</tr>
				</thead>
				<tbody class='data'>
<?php
			if ($p==0){
?>
					<tr class='odd'>
						<td colspan='2' align='center'>No Records Found!!</td>
					</tr>
<?php
			} else {
?>
				<form id='add' action='branch-inv-match-item-add.php?cm_id=<?php echo $cm_id?>' method='POST'>
<?php
				$i=1;
				while($iPDtl = mysql_fetch_assoc($iProducts)){
?>
					<tr class='<?php echo $i%2==1?'odd':'even'?>' style='height: 20px' >
						<td align='center'><input type='hidden' name='prdid-<?php echo $i?>' value='<?php echo  $iPDtl['product_id']?>'><?php echo $iPDtl['product_name']?></td>
						<td align='center'><input name='prdstat-<?php echo $i?>' type='checkbox' value=''></td>
					</tr>
<?php
				$i++;
				}
?>
					<tr class='<?php echo $i%2==1?'odd':'even'?>' style='height: 20px' >
						<td colspan='2' align='center'><input id='rst' class='button blue' type='reset' value='Reset'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type='hidden' name='ctr' value='<?php echo $i-1?>'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input id='sbt' class='button blue' type='button' value='Submit'></td>
					</tr>
				</form>
<?php
			}
?>
				</tbody>
			</table>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function post_js(){
	jscript("
		$('document').ready(function(){
			$('#sbt').click(function(){
				$('#add').submit();
			});
		});
	");
}
?>