<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include 'fxns.php';
define('TITLE', 'Avanzare Business Solutions - Branch Inventory');
define('NAV', 3);
val_qry('branch_id', 'branches', 'branch_id='._GET_POST($_GET['branch_id']));
session_start();
if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		if (isset($_POST['notes'])){
			alert('Processing your request to add a new Inventory Matching');
			pre();
		} else {
			post();	post_js();
		}
		print_footer();
	}
} else {
	header('Location: login.php');	
}
function pre(){
	$inv_date = _GET_POST($_POST['inv_date']);
	$notes = _GET_POST($_POST['notes']);
	$branch_id = _GET_POST($_GET['branch_id']);
	$rc = sql_fld('COUNT(b.im_id)', 'branch_inv_match b INNER JOIN vw_branch_inv_match vb ON b.im_id = vb.im_id', 'b.branch_id = '.$branch_id.' AND vb.done = 0');
	$curdate = date_format(date_create($inv_date), 'dmy');
	if ($rc > 0){
		alert('An UNFINISHED Inventory Matching exist, NO ADDITIONAL Inventory Matching can be made yet.');
		return post().post_js();
	}
	$customer_id = sql_fld('customer_id', 'customer_branches', 'branch_id='.$branch_id);
	$branch_name = sql_fld('branch_name', 'branches', 'branch_id="'.$branch_id.'"');
	$user = sql_fld('CONCAT(fname, " ", lname)', 'users', 'user_id="'.$_SESSION['user_id'].'"');
	$s_customer_id = sql_fld('customer_id', 'branch_customers', 'branch_id='.$branch_id.' AND company_name LIKE \'%VCSI%\'');
	$fld = array(
		'branch_id' => $branch_id,
		'im_date' 	=> $inv_date,
		'notes' 	=> $notes,
		'user_id'	=> $_SESSION['user_id']
	);
	if ($im_id = sql_ins('branch_inv_match', $fld)){
		$sale = array(
			'branch_id' 	=> $branch_id,
			'or_num'		=> 'SRT'.$curdate,
			'customer_id'	=> $s_customer_id,
			'user_id'		=> $_SESSION['user_id'],
			'delivery_date' => $inv_date,
			'due_date'		=> $inv_date,
			'received_by'	=> $user,
			'notes'			=> 'SHORT - '.$branch_name,
			'pmode'			=> '2'
		);
		$sale_id = sql_ins('branch_sales', $sale);
		$lastsale= array(
			'lastsale'		=> $inv_date
		);
		sql_upd('customers', $lastsale, 'customer_id='.$customer_id);
		$purchase = array(
			'branch_id' 	=> $branch_id,
			'sale_id'		=> 'OVR'.$curdate,
			'user_id'		=> $_SESSION['user_id'],
			'delivery_date' => $inv_date,
			'notes'			=> 'OVER - '.$branch_name
		);		
		$purchase_id = sql_ins('branch_purchases', $purchase);
		$sap = array(
			'sale_id'		=> $sale_id,
			'purchase_id'	=> $purchase_id
		);
		sql_upd('branch_inv_match', $sap, 'im_id="'.$im_id.'"');
		$cam = sql_qry('SELECT DISTINCT p.category_id, p.manufacturer_id FROM products p INNER JOIN branch_products bp ON p.product_id = bp.product_id WHERE bp.branch_id = '.$branch_id.' AND p.active = 1 ORDER BY p.manufacturer_id, p.category_id ASC');
		while ($c_m = mysql_fetch_assoc($cam)){
			$cma = array(
				'im_id'				=> $im_id,
				'category_id'		=> $c_m['category_id'],
				'manufacturer_id'	=> $c_m['manufacturer_id']
			);
			sql_ins('branch_inv_match_cm', $cma);
		}
	}
	return jscript("
		window.location='branch-inv-match-dtl.php?im_id=".$im_id."';
	");
}
function post(){
	if (!isset($_GET['field']) && isset($_POST['field'])) $fld = _GET_POST($_POST['field']);
	elseif (isset($_GET['field']) && !isset($_POST['field'])) $fld = _GET_POST($_GET['field']);
	else $fld = '';
	$branch_id = _GET_POST($_GET['branch_id']);
	$branch_name = fld('branch_name', 'branches', 'branch_id="'.$branch_id.'"');
	$page = isset($_GET['page'])?_GET_POST($_GET['page']):'1';
	$recShown = 10;
	$recStart = ($page * $recShown) - $recShown;
	$rc = sql_fld('COUNT(b.im_id)', 'branch_inv_match b INNER JOIN vw_branch_inv_match vb ON b.im_id = vb.im_id', 'b.branch_id = '.$branch_id.($fld!=''?' AND (b.notes LIKE "%'.$fld.'%" OR vb.encoder LIKE "%'.$fld.'%")':''));
	$r = sql_qry('SELECT b.im_id AS im_id, DATE_FORMAT(b.im_date,"%a %b %d, %Y") AS im_date, b.notes AS notes, b.short_amt AS short_amt, b.over_amt AS over_amt, vb.done AS done, vb.encoder AS encoder FROM branch_inv_match b INNER JOIN vw_branch_inv_match vb ON b.im_id = vb.im_id WHERE b.branch_id = '.$branch_id.($fld!=''?' AND (b.notes LIKE "%'.$fld.'%" OR vb.encoder LIKE "%'.$fld.'%")':'').' ORDER BY b.im_date DESC LIMIT '.$recStart.', '.$recShown);
	$c = mysql_num_rows($r);
	
	$totalPages = ceil($rc/$recShown);
	$pgFr = $recStart + 1;
	$pgTo = $recStart + $c;
	//-------------PHP code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<div class='post'>
		<h1 class='title'>Add New Inventory Matching for <?php echo $branch_name?></h1>
		<div class='entry'>
			<form id='inventory' name='inventory' action='branch-inv-match.php?branch_id=<?php echo $branch_id?>' method='POST'>
				<table>
					<tr class='odd'>
						<td align='right'>Inventory Date:</td>
						<td align='left'><input readonly id='inv_date' type='text' size='10' name='inv_date' value='<?php echo $date?>'><a class='td_img' href='javascript:check_date.popup();'>&nbsp;<img src='lib/b_calendar.png'></a></td>
					</tr>
					<tr class='even'>
						<td align='right'>Notes:</td>
						<td align='left'><input id='notes' type='text' name='notes' style='width: 300px'></td>
					</tr>
					<tr class='odd'>
						<td align='center' colspan='2'><input id='add' name='add' type='button' class='button blue' value='add'></td>
					</tr>
				</table>
				<script language="JavaScript">
					var check_date = new calendar(document.forms['inventory'].elements['inv_date']);
					check_date.year_scroll = true; check_date.time_comp = false;
				</script>
			</form>
		</div>
		<p class='meta'></p>
	</div>
	<br \>
	<div class='post'>
		<div id="search">
			<form id='search_frm' name='search_frm' action='branch-inv-match.php?branch_id=<?PHP echo $branch_id ?>' method='POST'>
				<input id='field' type='text' name='field'>
				<input id='find' name='find' type='button'  class='button blue' value='Go!'>
			</form>
		</div>
		<h1 class='title'>Inventory Matching for <?php echo $branch_name?></h1>
		<div class='entry'>
<?php
			if ($c>0){
?>
			<table width='85%'>
				<tr>
					<td align='left'>
						<font size='1'><b><?php echo $pgFr?></b> to <b><?php echo $pgTo?></b> of <b><?PHP echo $rc ?></b> results <?php echo $fld!=''?'with keyword <b>'.$fld.'</b>':''?></font>
					</td>
					<td align="right">
<?php
					if ($fld==''){
						if ($page > 1){
							$prev = $page - 1;
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=1"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++) {
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = $page + 1;
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $totalPages ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					} else {
						if($page > 1) {
							$prev = $page - 1;
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=1&field=<?PHP echo $fld ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $fld ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;
<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++){
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) {
?>
								<font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;
<?php
								} else {
?>
								<a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&field=<?PHP echo $fld ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;
<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = ($page + 1);
?>
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $fld ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $fld ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;
<?php
						}
					}
?>
					</td>
				</tr>
			</table>
<?php			
			}
?>
			<table>
				<thead class='data'>
					<tr>
						<td align="center" width='100'>Inventory Date</td>
						<td align="center" width='200'>Notes</td>
						<td align="center" width='100'>Short Amount</td>
						<td align="center" width='100'>Over Amount</td>
						<td align="center" width='50'>Done</td>
						<td align="center" width='100'>Prepared By</td>
					</tr>
				</thead>
				<tbody class='data'>
<?php
				if ($c>0){
					while ($s = mysql_fetch_assoc($r)){
?>
					<tr>
						<td align="center"><a href='branch-inv-match-dtl.php?im_id=<?php echo $s['im_id']?>'><?php echo $s['im_date']?></a></td>
						<td align="center"><?php echo $s['notes']?></td>
						<td align="center"><?php echo $s['short_amt']?></td>
						<td align="center"><?php echo $s['over_amt']?></td>
						<td align="center"><?php echo $s['done']==1?'Yes':'No'?></td>
						<td align="center"><?php echo $s['encoder']?></td>
					</tr>
<?php
					}
				} else {
?>
					<tr>
						<td align="center" colspan='6'>No Records Found!!</td>
					</tr>	
<?php
				}
?>
				</tbody>
			</table>
		</div>
		<p class='meta'></p>
	</div>
<?php
}
function post_js(){
	$branch_id=_GET_POST($_GET['branch_id']);
	jscript("
		$('document').ready(function(){
			$('#find').click(function(){
				if ($('#field').val().length > 0){
					alert('Submitting '+$('#field').val());
					$('#search_frm').submit();
				} else {
					alert('Reloading Page');
					window.location='branch-inv-match.php?branch_id=".$branch_id."';
				}
			});
			$('#add').click(function(){
				if ($('#inv_date').val().length > 0 && $('#notes').val().length > 0){
					$('#inventory').submit();
				} else {
					alert('You must have made a mistake. Please review.');
				}
			});
		});
	");
}
?>