<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Account Ledger');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();

		$branch_id = $_GET['branch_id'];
		show_ledger($branch_id);

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_ledger($branch_id) {
	// get the name of the branch
	$sql = "SELECT branch_name FROM branches WHERE branch_id = '$branch_id'"; 
	$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_name = $brow[0];
	
	?>
    <div class="post">
        <h1 class="title"><?PHP echo $branch_name ?>'s Account Ledger</h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="380" valign="top">
					<?PHP
					$sql = "SELECT purchase_id, sale_id, DATE_FORMAT(delivery_date, '%b %e, %Y'), line_total, balance
							FROM branch_purchases
							WHERE branch_id = '$branch_id'
							ORDER BY delivery_date DESC
							LIMIT 0, 100";
					$pres = mysql_query($sql); $pnum = mysql_num_rows($pres); $total1 = 0; $balance = 0; 
					if ($pnum > 0) {
						?>
						<table width="360">
							<thead class="data">
								<tr><td colspan="4" align="center"><b>Last 50 Purchases</b></td></tr>
								<tr>
									<td width="80" align="center">OR #</td>
									<td width="80" align="center">Date</td>
									<td width="100" align="center">Total</td>
									<td width="100" align="center">Balance</td>
								</tr>
							</thead>
							<tbody class="data">
							<?PHP
							$i = 1;
							while ($prow = mysql_fetch_array($pres)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="branch_purchase.php?purchase_id=<?PHP echo $prow[0] ?>"><?PHP echo $prow[1] ?></td></td>
									<td align="center"><?PHP echo $prow[2] ?></td>
									<td align="right"><?PHP echo number_format($prow[3], 2) ?></td>
									<td align="right"><?PHP echo number_format($prow[4], 2) ?></td>
								</tr>
								<?PHP
								$i++; $total1 = $total1 + $prow[3]; $balance = $balance + $prow[4]; 
							}
							?>
							<tr class="total">
								<td colspan="2" align="right"><b>Total</b></td>
								<td align="right"><b><?PHP echo number_format($total1, 2) ?></b></td>
								<td align="right"><b><?PHP echo number_format($balance, 2) ?></b></td>
							</tr>
							</tbody>
						</table>
						<?PHP
					} else {
						print "<br><center><font size=2 color=red>No purchase recorded</font></center>";
					}
					?>
				</td>
				<td width="330" valign="top">
					<?PHP
					$sql = "SELECT cp.c_payment_id, cp.sale_id, DATE_FORMAT(cp.pdate, '%b %e, %Y'), cp.amount, cp.good 
							FROM cpayments cp INNER JOIN customers c ON cp.customer_id = c.customer_id 
							WHERE c.customer_id IN (SELECT customer_id FROM customer_branches WHERE branch_id = '$branch_id')
							ORDER BY cp.pdate DESC 
							LIMIT 0, 100";
					$sres = mysql_query($sql); $snum = mysql_num_rows($sres); $total2 = 0; 
					if ($snum > 0) {
						?>
						<table width="360">
							<thead class="data">
								<tr><td colspan="4" align="center"><b>Last 50 Remittances</b></td></tr>
								<tr>
									<td width="80" align="center">Payment #</td>
									<td width="80" align="center">Sale #</td>
									<td width="100" align="center">Date</td>
									<td width="100" align="center">Amount</td>
								</tr>
							</thead>
							<tbody class="data">
							<?PHP
							$j = 1;
							while ($srow = mysql_fetch_array($sres)) {
								$n = fmod($j, 2);
								if ($n == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><?PHP echo $srow[0] ?></td>
									<td align="center"><?PHP if ($srow[1] != 0) { ?><a class="tddata" href="sale.php?sale_id=<?PHP echo $srow[1] ?>"><?PHP echo $srow[1] ?></a><?PHP } ?></td>
									<td align="right"><?PHP echo $srow[2] ?></td>
									<td align="right"><?PHP echo number_format($srow[3], 2) ?></td>
								</tr>
								<?PHP
								$j++;
								$total2 = $total2 + $srow[3]; 
							}
							?>
							<tr class="total">
								<td align="right" colspan="3"><b>TOTAL</b>&nbsp;</td>
								<td align="right"><b><?PHP echo number_format($total2, 2) ?></b></td>
							</tr>
							</tbody></table>
							<?PHP
					} else {
						print "<br><center><font face=arial size=2 color=red>No remittance recorded</font></center>";
					}
					?>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}
?>