<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Customer\'s Payment Details');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry bsp_id in the URL
		if (is_numeric($_GET['bsp_id'])) {
			$bsp_id = $_GET['bsp_id'];
			// show form
			show_payment($bsp_id);
		} else { // No bsp_id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_payment($bsp_id) {
	// to get the position of the user
	$dres = mysql_query("SELECT position FROM users WHERE user_id='$_SESSION[user_id]'");
	$drow = mysql_fetch_array($dres); 
	$position = $drow[0];

	$sql = "SELECT p.customer_id, c.company_name, CONCAT(u.lname,', ',u.fname), p.sale_id, 
				p.amount, DATE_FORMAT(p.pdate, '%b %e, %Y'), p.pmethod, p.check_num, 
				DATE_FORMAT(p.check_date, '%b %e, %Y'), p.notes, p.good, DATEDIFF(p.check_date, NOW())
			FROM bspayments p 
				INNER JOIN branch_customers c ON p.customer_id = c.customer_id
				INNER JOIN users u ON p.user_id = u.user_id
			WHERE p.bsp_id = '$bsp_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res); 
	?>
	<div class="post">
		<h1 class="title">Customer's Payment</h1>
		<div class="entry">
			<table>
				<tbody class="data">
					<tr class="even"><td align="right" width="125">Customer&nbsp;</td>
						<td align="left" width="250">&nbsp;<a class="tddata" href="branch_customer.php?customer_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td></tr>
					<tr class="odd"><td align="right">Prepared By&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[2] ?></td></tr>
					<tr class="even"><td align="right">Sale #&nbsp;</td>
						<td align="left">&nbsp;<a class="tddata" href="branch_sale.php?sale_id=<?PHP echo $row[3] ?>"><?PHP echo $row[3] ?></a></td></tr>
					<tr class="odd"><td align="right">Payment Amount&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo number_format($row[4], 2) ?></td></tr>
					<tr class="even"><td align="right">Payment Date&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[5] ?></td></tr>
					<tr class="odd"><td align="right">Payment Method&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[6] ?></td></tr>
					<?PHP
						if ($row[6] == "Check") {
							?>
							<tr class="even"><td align="right">Check Number&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo $row[7] ?></td></tr>
							<tr class="odd"><td align="right">Check Maturity Date&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo $row[8] ?></td></tr>
							<?PHP
						}
					?>
					<tr class="odd"><td align="right">Notes&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[9] ?></td></tr>
					<tr class="even"><td align="right">Paid&nbsp;</td>
						<td align="left">&nbsp;
						<?PHP 
						if ($row[10] == 1) { echo "Yes"; } 
						else { echo "No";
							if ($position == 1 && $row[11] <= 0) {
								?>&nbsp;&nbsp;&nbsp;<a class="tddata" href="e_bspayment.php?bsp_id=<?PHP echo $bsp_id ?>"><img src="lib/file_edit.png"></a><?PHP
							}
						}
						?></td></tr>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}

?>