<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Return Products To Supplier');
define('NAV', 3);
val_qry('branch_id', 'customer_branches', 'active=1');
session_start();
if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		post();
		print_footer();
	}
}

function post(){
	$branch_id = _GET_POST($_GET[branch_id]);
	$link = _GET_POST($_SERVER[PHP_SELF]);
	//--------Products Pagination & Data Module--------
	if (!isset($_GET['field']) && isset($_POST['field'])) $fld = _GET_POST($_POST['field']);
	elseif (isset($_GET['field']) && !isset($_POST['field'])) $fld = _GET_POST($_GET['field']);
	else $fld = '';
	$page = isset($_GET['page'])?_GET_POST($_GET['page']):'1';
	$recShown = 30;
	$recStart = ($page * $recShown) - $recShown;
	$rc = sql_fld('COUNT(bp_id)', 'branch_products bp INNER JOIN products p ON bp.product_id = p.product_id INNER JOIN categories c ON c.category_id = p.category_id INNER JOIN manufacturers m ON m.manufacturer_id = p.manufacturer_id', 'branch_id='.$branch_id.($fld!=''?' AND (p.product_name LIKE "%'.$fld.'%" OR c.category_name LIKE "%'.$fld.'%" OR m.manufacturer_name LIKE "%'.$fld.'%")':''));
	$bprod_rec = sql_qry("
		SELECT p.product_num, p.product_name, c.category_name, m.manufacturer_name, if(bp.acq_price=0, bp.ave_acq, bp.acq_price) AS acq_price, bp.price, if(p.active=1,'Yes','No') AS active, DATE_FORMAT(bp.last_move, '%b. %d, %Y') AS movement
		FROM branch_products bp 
			INNER JOIN products p ON bp.product_id = p.product_id
			INNER JOIN categories c ON c.category_id = p.category_id
			INNER JOIN manufacturers m ON m.manufacturer_id = p.manufacturer_id
		WHERE branch_id='$branch_id'".($fld!=""?" AND (p.product_name LIKE '%".$fld."%' OR c.category_name LIKE '%".$fld."%' OR m.manufacturer_name LIKE '%".$fld."%')":"")." ORDER BY c.category_name ASC, m.manufacturer_name ASC LIMIT $recStart, $recShown");
	$rec_count = mysql_num_rows($bprod_rec);
	$totalPages = ceil($rc/$recShown);
	$pgFr = $recStart + 1;
	$pgTo = $recStart + $rec_count; 
	//---------------------Display--------------------- ?>
	<div class='post'>
		<div class="search">
			<form id="search_frm" action='<?php echo $link.'?branch_id='.$branch_id ?>' method='POST'>
				<input id='field' type='text' name='field'>
				<input id='sbt' name='sbt' type='submit' class='button blue' value='Go!'>
			</form>
		</div>	
		<h1 class='title'>Branch Products - <?php echo sql_fld('branch_name', 'branches', 'branch_id='.$branch_id) ?></h1>
		<div class='entry'><?php
			if ($rec_count>0){ ?>
			<table width='90%'>
				<tr>
					<td align='left'>
						<font size='1'><b><?php echo $pgFr?></b> to <b><?php echo $pgTo?></b> of <b><?PHP echo $rc ?></b> results <?php echo $fld!=''?'with keyword <b>'.$fld.'</b>':''?></font>
					</td>
					<td align="right"><?php
					if ($fld==''){
						if ($page > 1){
							$prev = $page - 1; ?>
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page=1' ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$prev ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++) {
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) { ?>
								<font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?php
								} else { ?>
								<a class="paging" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$i ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = $page + 1; ?>
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$next ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$totalPages ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
						}
					} else {
						if($page > 1) {
							$prev = $page - 1; ?>
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page=1&field='.$fld ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$prev.'&field='.$fld ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++){
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) { ?>
								<font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?php
								} else { ?>
								<a class="paging" href="<?PHP echo  $link.'?branch_id='.$branch_id.'&page='.$i.'&field='.$fld ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = ($page + 1); ?>
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$next.'&field='.$fld ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$totalPages.'&field='.$fld ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
						}
					} ?>
					</td>
				</tr>
			</table><?php
			} ?>
			<table>
				<thead class="data">
					<tr height="20px" align="center">
						<td>&nbsp;Product Number&nbsp;</td>
						<td>&nbsp;Product Name&nbsp;</td>
						<td>&nbsp;Category&nbsp;</td>
						<td>&nbsp;Manufacturer&nbsp;</td>
						<td>&nbsp;Latest Acquisition&nbsp;</td>
						<td>&nbsp;Price&nbsp;</td>
						<td>&nbsp;Active&nbsp;</td>
						<td>&nbsp;Movement&nbsp;</td>
					</tr>
				</thead>
				<tbody class="data"><?php 
				$i=0;
				while ($bprod = mysql_fetch_assoc($bprod_rec)){ 
					$i++; ?>
					<tr class="<?php echo $i%2==0?'even':'odd' ?>" height="20px">
						<td align="left"><?php echo $bprod[product_num] ?></td>
						<td align="left"><?php echo $bprod[product_name] ?></td>
						<td align="left"><?php echo $bprod[category_name] ?></td>
						<td align="left"><?php echo $bprod[manufacturer_name] ?></td>
						<td align="right"><?php echo $bprod[acq_price] ?></td>
						<td align="right"><?php echo $bprod[price] ?></td>
						<td align="center"><?php echo $bprod[active] ?></td>
						<td align="center"><?php echo $bprod[movement] ?></td>
					</tr><?php
				} ?>
				</tbody>
			</table><?php
			if ($rec_count>0){ ?>
			<table width='90%'>
				<tr>
					<td align='left'>
						<font size='1'><b><?php echo $pgFr?></b> to <b><?php echo $pgTo?></b> of <b><?PHP echo $rc ?></b> results <?php echo $fld!=''?'with keyword <b>'.$fld.'</b>':''?></font>
					</td>
					<td align="right"><?php
					if ($fld==''){
						if ($page > 1){
							$prev = $page - 1; ?>
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page=1' ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$prev ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++) {
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) { ?>
								<font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?php
								} else { ?>
								<a class="paging" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$i ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = $page + 1; ?>
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$next ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$totalPages ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
						}
					} else {
						if($page > 1) {
							$prev = $page - 1; ?>
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page=1&field='.$fld ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$prev.'&field='.$fld ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?php
						}
						for($i = ($page - 4); $i <= ($page + 4); $i++){
							if (($i >= 1) && ($i <= $totalPages)) {
								if ($page == $i) { ?>
								<font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?php
								} else { ?>
								<a class="paging" href="<?PHP echo  $link.'?branch_id='.$branch_id.'&page='.$i.'&field='.$fld ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?php
								}
							}
						}
						if($page < $totalPages) {
							$next = ($page + 1); ?>
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$next.'&field='.$fld ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;
							<a class="page_img" href="<?PHP echo $link.'?branch_id='.$branch_id.'&page='.$totalPages.'&field='.$fld ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?php
						}
					} ?>
					</td>
				</tr>
			</table><?php
			} ?>
		</div>
		<p class="meta"></p>
	</div><?php 
} ?>