<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Product Inventory Tracking');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry product_id in the URL
		if (is_numeric($_GET['product_id'])) {
			$product_id = $_GET['product_id'];
			$branch_id = $_GET['branch_id'];
			// show form
			show_product($product_id);
			show_its($branch_id, $product_id);
		} else { // No _id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_its($branch_id, $product_id) {
	$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);

	// branch_purchases
	$sql = "SELECT p.purchase_id, DATE_FORMAT(p.delivery_date, '%b %e, %Y'), p.sale_id, pd.quantity, pd.unit_price - pd.unit_discount
			FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id 
			WHERE pd.product_id = '$product_id' AND p.branch_id = '$branch_id' AND p.user_id != 0
			ORDER BY p.delivery_date DESC";
	$pur_res = mysql_query($sql);
	$pur_num = mysql_num_rows($pur_res);
	if ($pur_num > 0) {
		$sql = "SELECT SUM(pd.quantity)
				FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id
				WHERE p.branch_id = '$branch_id' AND pd.product_id = '$product_id' AND p.user_id != 0"; 
		$tpur_res = mysql_query($sql); $tpur_row = mysql_fetch_array($tpur_res);
	}
	?>
    <div class="post">
        <h1 class="title">Detailed Purchases For <?PHP echo $row[0] ?></h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="5" align="center"><b>Purchases</b></td></tr>
							<tr>
								<td width="100" align="center">OR #</td>
								<td width="100" align="center">Date</td>
								<td width="120" align="center">Warehouse Sale #</td>
								<td width="100" align="center">Qty</td>
								<td width="100" align="center">Acq</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
						if ($pur_num > 0) {
							$i = 1;
							while ($pur_row = mysql_fetch_array($pur_res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="branch_purchase.php?purchase_id=<?PHP echo $pur_row[0] ?>"><?PHP echo $pur_row[0] ?></a></td></td>
									<td align="center"><?PHP echo $pur_row[1] ?></td>
									<td align="center"><a class="tddata" href="sale.php?sale_id=<?PHP echo $pur_row[2] ?>"><?PHP echo $pur_row[2] ?></a></td>
									<td align="right"><?PHP echo number_format($pur_row[3], 2); ?></td>
									<td align="right"><?PHP echo number_format($pur_row[4], 2); ?></td>
								</tr>
								<?PHP
								$i++;
							}
							?>
							<tr class="total">
								<td align="right" colspan="3"><b>TOTAL</b>&nbsp;</td>
								<td align="right"><b><?PHP echo number_format($tpur_row[0], 2); ?></b></td>
								<td></td>
							</tr>
							<?PHP
						} else {
							?>
							<tr>
								<td align="center" colspan="4">There are NO existing records of purchases for this product</td>
							</tr>
							<?PHP				
						}
						?>
						</tbody>
					</table>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}


?>