<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Undeposited Cash');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();

		$branch_id = $_GET['branch_id'];
		show_register($branch_id);

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_register($branch_id) {
	// get the name of the branch
	$sql = "SELECT branch_name FROM branches WHERE branch_id = '$branch_id'"; 
	$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_name = $brow[0];
	
	$sql = "SELECT p.bsp_id, DATE_FORMAT(p.pdate, '%b %e, %Y'), p.customer_id, c.company_name, p.amount
			FROM bspayments p 
				INNER JOIN branch_sales s ON p.sale_id = s.sale_id
				INNER JOIN branch_customers c ON p.customer_id = c.customer_id 
			WHERE c.branch_id = '$branch_id' AND p.good = 1
			ORDER BY p.pdate DESC LIMIT 0, 50";
	$ires = mysql_query($sql); 
	
	$sql = "SELECT cp.c_payment_id, cp.sale_id, DATE_FORMAT(cp.pdate, '%b %e, %Y'), cp.amount, cp.good 
			FROM cpayments cp INNER JOIN customers c ON cp.customer_id = c.customer_id 
			WHERE c.customer_id IN (SELECT customer_id FROM customer_branches WHERE branch_id = '$branch_id')
			ORDER BY cp.pdate DESC 
			LIMIT 0, 50";
	$ores = mysql_query($sql);
	
	$sql = "SELECT e.expense_id, e. ref_num, DATE_FORMAT(e.edate, '%b %e, %Y'), et.extype_name, e.amount
			FROM branch_expenses e INNER JOIN expense_types et ON e.extype_id = et.extype_id
			WHERE e.branch_id = '$branch_id'
			ORDER BY e.edate DESC LIMIT 0, 50";
	$eres = mysql_query($sql); 
	
	$sql = "SELECT t.tax_id, t.ref_num, DATE_FORMAT(t.tdate, '%b %e, %Y'), tt.taxtype_name, t.amount
			FROM branch_taxes t INNER JOIN tax_types tt on t.taxtype_id = tt.taxtype_id
			WHERE t.branch_id = '$branch_id'
			ORDER BY t.tdate DESC LIMIT 0, 50";
	$tres = mysql_query($sql); 
	
	$sql = "SELECT cash FROM branch_registers WHERE branch_id = '$branch_id'";
	$pres = mysql_query($sql); $prow = mysql_fetch_array($pres);
	?>
    <div class="post">
        <h1 class="title"><?PHP echo $branch_name ?>'s Register's Cash: P<?PHP echo number_format($prow[0], 2) ?></h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="350" valign="top">
					<table width="350" class="data">
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Last 50 Customers' Payments</b></td></tr>
							<tr>
								<td align="center" width="60">OR #</td>
								<td align="center" width="80">Date</td>
								<td align="center" width="160">Customer</td>
								<td align="center" width="90">Amount</td>
							</tr>
						</thead>
						<tbody class="data"><?PHP
							$i = 1;
							while ($irow = mysql_fetch_array($ires)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="bs_payment.php?bsp_id=<?PHP print $irow[0] ?>"><?PHP print $irow[0] ?></a></td>
									<td align="left"><?PHP print $irow[1] ?></td>
									<td align="left"><a class="tddata" href="branch_customer.php?customer_id=<?PHP print $irow[2] ?>"><?PHP print $irow[3] ?></a></td>
									<td align="right"><?PHP echo number_format($irow[4], 2); ?></td>
								</tr>
								<?PHP
								$i++;
							} ?>
						</tbody>
					</table>
				</td>
				<td width="370" valign="top">
					<table width="370" class="data">
						<thead class="data">
							<tr><td colspan="5" align="center"><b>Last 50 Remittances</b></td></tr>
							<tr>
								<td width="80" align="center">Payment #</td>
								<td width="80" align="center">Sale #</td>
								<td width="100" align="center">Date</td>
								<td width="100" align="center">Amount</td>
							</tr>
						</thead>
						<tbody class="data"><?PHP
							$j = 1;
							while ($orow = mysql_fetch_array($ores)) {
								$n = fmod($j, 2);
								if ($n == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><?PHP echo $orow[0] ?></td>
									<td align="center"><?PHP if ($orow[1] != 0) { ?><a class="tddata" href="sale.php?sale_id=<?PHP echo $orow[1] ?>"><?PHP echo $orow[1] ?></a><?PHP } ?></td>
									<td align="right"><?PHP echo $orow[2] ?></td>
									<td align="right"><?PHP echo number_format($orow[3], 2) ?></td>
								</tr>
								<?PHP
								$j++;
							}
							?>
						</tbody>
					</table>
				</td>
			</tr>
			<tr height="30"></tr>
			<tr>
				<td width="350" valign="top">
					<table width="350" class="data">
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Last 50 Expenses</b></td></tr>
							<tr>
								<td align="center" width="80">Ref #</td>
								<td align="center" width="80">Date</td>
								<td align="center" width="140">Expense</td>
								<td align="center" width="90">Amount</td>
							</tr>
						</thead>
						<tbody class="data"><?PHP
							$i = 1;
							while ($erow = mysql_fetch_array($eres)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><?PHP print $erow[1] ?></td>
									<td align="left"><?PHP print $erow[2] ?></td>
									<td align="left"><?PHP print $erow[3] ?></td>
									<td align="right"><?PHP echo number_format($erow[4], 2) ?></td>
								</tr>
								<?PHP
								$i++;
							} ?>
						</tbody>
					</table>
				</td>
				<td width="370" valign="top">
					<table width="370" class="data">
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Last 50 Taxes</b></td></tr>
							<tr>
								<td align="center" width="80">Ref #</td>
								<td align="center" width="80">Date</td>
								<td align="center" width="140">Tax</td>
								<td align="center" width="90">Amount</td>
							</tr>
						</thead>
						<tbody class="data"><?PHP
							$j = 1;
							while ($trow = mysql_fetch_array($tres)) {
								$n = fmod($j, 2);
								if ($n == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><?PHP print $trow[1] ?></td>
									<td align="left"><?PHP print $trow[2] ?></td>
									<td align="left"><?PHP print $trow[3] ?></td>
									<td align="right"><?PHP echo number_format($trow[4], 2) ?></td>
								</tr>
								<?PHP
								$j++;
							}
							?>
						</tbody>
					</table>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}

?>