<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Product Inventory Tracking');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry product_id in the URL
		if (is_numeric($_GET['product_id'])) {
			$product_id = $_GET['product_id'];
			$branch_id = $_GET['branch_id'];
			// show form
			show_product($product_id);
			show_its($branch_id, $product_id);
		} else { // No _id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_its($branch_id, $product_id) {
	$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);

	// conversion
	$sql = "SELECT c.conv_id, DATE_FORMAT(c.cdate, '%b %e, %Y'), c.fr_units, c.to_product_id, p.product_name, c.to_units
			FROM branch_conversions c INNER JOIN products p ON c.to_product_id = p.product_id
			WHERE c.branch_id = '$branch_id' AND c.fr_product_id = '$product_id'
			ORDER BY  c.conv_id DESC";
	$conv_res = mysql_query($sql);
	$conv_num = mysql_num_rows($conv_res);
	if ($conv_num > 0) {
		$sql = "SELECT SUM(c.fr_units)
				FROM branch_conversions c INNER JOIN products p ON c.to_product_id = p.product_id
				WHERE c.branch_id = '$branch_id' AND c.fr_product_id = '$product_id'"; 
		$tconv_res = mysql_query($sql); $tconv_row = mysql_fetch_array($tconv_res);
	}
	?>
    <div class="post">
        <h1 class="title">Product Conversions For <?PHP echo $row[0] ?></h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="360" valign="top">
					<table width="360">
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Conversions</b></td></tr>
							<tr>
								<td width="80" align="center">Date</td>
								<td width="40" align="center">Qty</td>
								<td width="200" align="center">To Product</td>
								<td width="40" align="center">Qty</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
						if ($conv_num > 0) {
							$i = 1;
							while ($conv_row = mysql_fetch_array($conv_res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><?PHP echo $conv_row[1] ?></td>
									<td align="right"><?PHP echo number_format($conv_row[2], 2); ?></td>
									<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $conv_row[3] ?>"><?PHP echo $conv_row[4] ?></td>
									<td align="right"><?PHP echo number_format($conv_row[5], 2); ?></td>
								</tr>
								<?PHP
								$i++;
							}
							?>
							<tr class="total">
								<td align="right"><b>TOTAL</b>&nbsp;</td>
								<td align="right"><b><?PHP echo number_format($tconv_row[0], 2); ?></b></td>
								<td></td>
								<td></td>
							</tr>
							<?PHP
						} else {
							?>
							<tr>
								<td align="center" colspan="4">There are NO existing records of conversions for this product</td>
							</tr>
							<?PHP				
						}
						?>
						</tbody>
					</table>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}


?>