<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Branch Customer\'s Payment Details');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry c_payment_id in the URL
		if (is_numeric($_GET['bsp_id'])) {
			$bsp_id = _GET_POST($_GET['bsp_id']);
			// show form
			show_payment($bsp_id);
		} else { // No c_payment_id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_payment($bsp_id) {
	// to get the position of the user
	$position = sql_fld('position', 'users', 'user_id=\''.$_SESSION['user_id'].'\'');

	$row = sql_rec('bspayments', 'bsp_id=\''.$bsp_id.'\'');
	?>
	<div class="post">
		<h1 class="title">Branch Customer's Payment</h1>
		<div class="entry">
			<table>
				<tbody class="data">
					<tr class="odd"><td align="right" width="125">O.R. #&nbsp;</td>
						<td align="left" width="250">&nbsp;<?PHP echo $row['bsp_id'] ?></td></tr>
					<tr class="even"><td align="right">Customer&nbsp;</td>
						<td align="left">&nbsp;<a class="tddata" href="branch_customer.php?customer_id=<?PHP echo $row[customer_id] ?>"><?PHP echo sql_fld('company_name', 'branch_customers', 'customer_id=\''.$row['customer_id'].'\'') ?></a></td></tr>
					<tr class="odd"><td align="right">Prepared By&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo sql_fld('CONCAT(lname, \', \', fname)', 'users', 'user_id=\''.$row['user_id'].'\'') ?></td></tr>
					<tr class="even"><td align="right">Sale #&nbsp;</td>
						<td align="left">&nbsp;<a class="tddata" href="point_of_sale_dtls.php?sale_id=<?PHP echo $row[sale_id] ?>"><?PHP echo $row['sale_id'] ?></a></td></tr>
					<tr class="odd"><td align="right">Payment Amount&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row['amount'] ?></td></tr>
					<tr class="even"><td align="right">Payment Date&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row['pdate'] ?></td></tr>
					<tr class="odd"><td align="right">Payment Method&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row['pmethod'] ?></td></tr>
					<?PHP
						if ($row['pmethod'] == "Check") {
							?>
							<tr class="even"><td align="right">Check Number&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo $row['check_num'] ?></td></tr>
							<tr class="odd"><td align="right">Check Maturity Date&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo $row['check_date'] ?></td></tr>
							<?PHP
						}
					?>
					<tr class="even"><td align="right">Notes&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row['notes'] ?></td></tr>
					<tr class="odd"><td align="right">Paid&nbsp;</td>
						<td align="left">&nbsp;
						<?PHP 
						if ($row['good'] == 1) { echo "Yes"; } 
						else { echo "No";
							if ($position == 1 && $row[good] <= 0 ) {
								if ($row['deleted']==0){
									echo "&nbsp;&nbsp;&nbsp;<a class=td_img href='e_cpayment.php?c_payment_id=$c_payment_id'><img src='lib/file_edit.png'></a>";
								}
							}
						}
						?></td></tr>
					<tr class="even"><td align="right">Deleted&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row['deleted']==0?'No':sql_fld('del_reason', 'branch_del_reason', 'dr_id=\''.$row['deleted'].'\'') ?></td></tr>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}

?>