<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Cash Flow');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			$account_id = $_GET['account_id'];
			$month = $_POST['month'];
			$day = $_POST['day'];
			$year = $_POST['year'];

			// get the name of account
			$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
			$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0]; 
						
			if ($month == 1) { $monthname = "January";
			} elseif ($month == 2) { $monthname = "February";
			} elseif ($month == 3) { $monthname = "March";
			} elseif ($month == 4) { $monthname = "April";
			} elseif ($month == 5) { $monthname = "May";
			} elseif ($month == 6) { $monthname = "June";
			} elseif ($month == 7) { $monthname = "July";
			} elseif ($month == 8) { $monthname = "August";
			} elseif ($month == 9) { $monthname = "September";
			} elseif ($month == 10) { $monthname = "October";
			} elseif ($month == 11) { $monthname = "November";
			} elseif ($month == 12) { $monthname = "December"; }

			if ($month != 0 && $day != 0 && $year != 0) {
				if (checkdate ($month, $day, $year)) {
					// TOTAL CASH IN
					$sql = "SELECT SUM(p.amount)
							FROM cpayments p INNER JOIN customers c ON p.customer_id = c.customer_id
							WHERE c.account_id = '$account_id' 
								AND ((TO_DAYS(p.pdate) = TO_DAYS('$year-$month-$day') AND p.pmethod = 'Cash') 
									OR (TO_DAYS(p.pdate) = TO_DAYS('$year-$month-$day') AND p.pmethod = 'Check'))";
					$cash_in_res = mysql_query($sql) or die(mysql_error()); 
					$cash_in_row = mysql_fetch_array($cash_in_res); 
					// CASH SALE
					$sql = "SELECT SUM(s.line_total)
							FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
							WHERE c.account_id = '$account_id' AND TO_DAYS(s.delivery_date) = TO_DAYS('$year-$month-$day') AND s.balance = 0";
					$sale_res = mysql_query($sql) or die(mysql_error()); 
					$sale_row = mysql_fetch_array($sale_res); 
					// COLLECTION
					$collection = $cash_in_row[0] - $sale_row[0]; 
					// PAYMENT TO SUPPLIERS
					$sql = "SELECT SUM(p.amount)
							FROM spayments p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
							WHERE s.account_id = '$account_id' 
								AND ((TO_DAYS(p.pdate) = TO_DAYS('$year-$month-$day') AND p.pmethod = 'Cash') 
									OR (TO_DAYS(p.pdate) = TO_DAYS('$year-$month-$day') AND p.pmethod = 'Check'))";
					$sp_res = mysql_query($sql) or die(mysql_error()); 
					$sp_row = mysql_fetch_array($sp_res); 
					// EXPENSES
					$sql = "SELECT SUM(amount)
							FROM expenses 
							WHERE account_id = '$account_id' AND TO_DAYS(edate) = TO_DAYS('$year-$month-$day')";
					$expense_res = mysql_query($sql) or die(mysql_error()); 
					$expense_row = mysql_fetch_array($expense_res); 
					// TOTAL CASH OUT
					$cash_out = $sp_row[0] + $expense_row[0]; 
					?>
					<div class="post">
						<div id="search">
							<a id="icon1" class="th_img" href="print_cash_flow.php?account_id=<?PHP echo $account_id ?>&year=<?PHP echo $year ?>&month=<?PHP echo $month ?>&day=<?PHP echo $day ?>" target="new"><img src="lib/b_print.png"></a>
							<form method="post" action="cash_flow.php?account_id=<?PHP echo $account_id ?>">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
								<input id="sbutton" type="submit" class="button blue" value="Go!">
							</form>
						</div>
						<h1 class="title"><?PHP echo $account_name ?>'s Cash Flow - <?PHP echo "$monthname $day, $year"; ?></h1>
						<div class="entry">
							<table>
								<thead class="data"><tr>
									<td align="center" width="175"></td>
									<td align="center" width="175">Cash In</td>
									<td align="center" width="175"></td>
									<td align="center" width="175">Cash Out</td>
								</tr></thead>
								<tbody class="data">
									<tr class="odd">
										<td align="right">Cash Sale</td>
										<td align="right"><?PHP echo number_format($sale_row[0], 2); ?></td>
										<td align="right">Payment to Suppliers</td>
										<td align="right"><?PHP echo number_format($sp_row[0], 2); ?></td>
									</tr>
									<tr class="even">
										<td align="right">Collection</td>
										<td align="right"><?PHP echo number_format($collection, 2); ?></td>
										<td align="right">Expenses</td>
										<td align="right"><?PHP echo number_format($expense_row[0], 2); ?></td>
									</tr>
									<tr class="total">
										<td align="right">Total</td>
										<td align="right"><b><?PHP echo number_format($cash_in_row[0], 2); ?></b></td>
										<td align="right">Total</td>
										<td align="right"><b><?PHP echo number_format($cash_out, 2); ?></b></td>
									</tr>
								</tbody>
							</table>
						</div>
						<p class="meta"></p>
					</div>
					<?PHP
				} else {
					print "<center><table><tr><td bgcolor=#000000><table bgcolor=#eeeeee width=300><tr><td height=30 align=center><font face=arial size=2 color=red>Date entered was not a valid date.</font></td></tr></table></td></tr></table></center><br>";
					show_cash_flow();
				}
			} elseif ($month != 0 && $day == 0 && $year != 0) {
				// TOTAL CASH IN
				$sql = "SELECT SUM(p.amount)
						FROM cpayments p INNER JOIN customers c ON p.customer_id = c.customer_id
						WHERE c.account_id = '$account_id' 
							AND ((MONTH(p.pdate) = $month AND YEAR(p.pdate) = $year AND p.pmethod = 'Cash') 
								OR (MONTH(p.check_date) = $month AND YEAR(p.check_date) = $year AND p.pmethod = 'Check'))";
				$cash_in_res = mysql_query($sql) or die(mysql_error()); 
				$cash_in_row = mysql_fetch_array($cash_in_res); 
				// CASH SALE
				$sql = "SELECT SUM(s.line_total)
						FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
						WHERE c.account_id = '$account_id' AND MONTH(s.delivery_date) = $month AND YEAR(s.delivery_date) = $year AND s.balance = 0";
				$sale_res = mysql_query($sql) or die(mysql_error()); 
				$sale_row = mysql_fetch_array($sale_res); 
				// COLLECTION
				$collection = $cash_in_row[0] - $sale_row[0]; 
				// PAYMENT TO SUPPLIERS
				$sql = "SELECT SUM(p.amount)
						FROM spayments p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
						WHERE s.account_id = '$account_id' 
							AND ((MONTH(p.pdate) = $month AND YEAR(p.pdate) = $year AND p.pmethod = 'Cash') 
								OR (MONTH(p.check_date) = $month AND YEAR(p.check_date) = $year AND p.pmethod = 'Check'))";
				$sp_res = mysql_query($sql) or die(mysql_error()); 
				$sp_row = mysql_fetch_array($sp_res); 
				// EXPENSES
				$sql = "SELECT SUM(amount)
						FROM expenses 
						WHERE account_id = '$account_id' AND MONTH(edate) = $month AND YEAR(edate) = $year";
				$expense_res = mysql_query($sql) or die(mysql_error()); 
				$expense_row = mysql_fetch_array($expense_res); 
				// TOTAL CASH OUT
				$cash_out = $sp_row[0] + $expense_row[0]; 
				?>
				<div class="post">
					<div id="search">
						<a id="icon1" class="th_img" href="print_cash_flow.php?account_id=<?PHP echo $account_id ?>&year=<?PHP echo $year ?>&month=<?PHP echo $month ?>&day=<?PHP echo $day ?>" target="new"><img src="lib/b_print.png"></a>
						<form method="post" action="cash_flow.php?account_id=<?PHP echo $account_id ?>">
							<?PHP show_drop_d8($year, $month, $day); ?>
							<input type="hidden" name="submitted" value="1">
							<input id="sbutton" type="submit" class="button blue" value="Go!">
						</form>
					</div>
					<h1 class="title"><?PHP echo $account_name ?>'s Cash Flow - <?PHP echo "$monthname, $year"; ?></h1>
					<div class="entry">
						<table>
							<thead class="data"><tr>
								<td align="center" width="175"></td>
								<td align="center" width="175">Cash In</td>
								<td align="center" width="175"></td>
								<td align="center" width="175">Cash Out</td>
							</tr></thead>
							<tbody class="data">
								<tr class="odd">
									<td align="right">Cash Sale</td>
									<td align="right"><?PHP echo number_format($sale_row[0], 2); ?></td>
									<td align="right">Payment to Suppliers</td>
									<td align="right"><?PHP echo number_format($sp_row[0], 2); ?></td>
								</tr>
								<tr class="even">
									<td align="right">Collection</td>
									<td align="right"><?PHP echo number_format($collection, 2); ?></td>
									<td align="right">Expenses</td>
									<td align="right"><?PHP echo number_format($expense_row[0], 2); ?></td>
								</tr>
								<tr class="total">
									<td align="right">Total</td>
									<td align="right"><b><?PHP echo number_format($cash_in_row[0], 2); ?></b></td>
									<td align="right">Total</td>
									<td align="right"><b><?PHP echo number_format($cash_out, 2); ?></b></td>
								</tr>
							</tbody>
						</table>
					</div>
					<p class="meta"></p>
				</div>
				<?PHP
			} elseif ($month == 0 && $day == 0 && $year != 0) {
				// TOTAL CASH IN
				$sql = "SELECT SUM(p.amount)
						FROM cpayments p INNER JOIN customers c ON p.customer_id = c.customer_id
						WHERE c.account_id = '$account_id' 
							AND ((YEAR(p.pdate) = $year AND p.pmethod = 'Cash') 
								OR (YEAR(p.check_date) = $year AND p.pmethod = 'Check'))";
				$cash_in_res = mysql_query($sql) or die(mysql_error()); 
				$cash_in_row = mysql_fetch_array($cash_in_res); 
				// CASH SALE
				$sql = "SELECT SUM(s.line_total)
						FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
						WHERE c.account_id = '$account_id' AND YEAR(s.delivery_date) = $year AND s.balance = 0";
				$sale_res = mysql_query($sql) or die(mysql_error()); 
				$sale_row = mysql_fetch_array($sale_res); 
				// COLLECTION
				$collection = $cash_in_row[0] - $sale_row[0]; 
				// PAYMENT TO SUPPLIERS
				$sql = "SELECT SUM(p.amount)
						FROM spayments p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
						WHERE s.account_id = '$account_id'
							AND ((YEAR(p.pdate) = $year AND p.pmethod = 'Cash') 
								OR (YEAR(p.check_date) = $year AND p.pmethod = 'Check'))";
				$sp_res = mysql_query($sql) or die(mysql_error()); 
				$sp_row = mysql_fetch_array($sp_res); 
				// EXPENSES
				$sql = "SELECT SUM(amount)
						FROM expenses 
						WHERE account_id = '$account_id' AND YEAR(edate) = $year";
				$expense_res = mysql_query($sql) or die(mysql_error()); 
				$expense_row = mysql_fetch_array($expense_res); 
				// TOTAL CASH OUT
				$cash_out = $sp_row[0] + $expense_row[0]; 
				?>
				<div class="post">
					<div id="search">
						<a id="icon1" class="th_img" href="print_cash_flow.php?account_id=<?PHP echo $account_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
						<form method="post" action="cash_flow.php?account_id=<?PHP echo $account_id ?>">
							<?PHP show_drop_d8($year, $month, $day); ?>
							<input type="hidden" name="submitted" value="1">
							<input id="sbutton" type="submit" class="button blue" value="Go!">
						</form>
					</div>
					<h1 class="title"><?PHP echo $account_name ?>'s Cash Flow - <?PHP echo $year ?></h1>
					<div class="entry">
						<table>
							<thead class="data"><tr>
								<td align="center" width="175"></td>
								<td align="center" width="175">Cash In</td>
								<td align="center" width="175"></td>
								<td align="center" width="175">Cash Out</td>
							</tr></thead>
							<tbody class="data">
								<tr class="odd">
									<td align="right">Cash Sale</td>
									<td align="right"><?PHP echo number_format($sale_row[0], 2); ?></td>
									<td align="right">Payment to Suppliers</td>
									<td align="right"><?PHP echo number_format($sp_row[0], 2); ?></td>
								</tr>
								<tr class="even">
									<td align="right">Collection</td>
									<td align="right"><?PHP echo number_format($collection, 2); ?></td>
									<td align="right">Expenses</td>
									<td align="right"><?PHP echo number_format($expense_row[0], 2); ?></td>
								</tr>
								<tr class="total">
									<td align="right">Total</td>
									<td align="right"><b><?PHP echo number_format($cash_in_row[0], 2); ?></b></td>
									<td align="right">Total</td>
									<td align="right"><b><?PHP echo number_format($cash_out, 2); ?></b></td>
								</tr>
							</tbody>
						</table>
					</div>
					<p class="meta"></p>
				</div>
				<?PHP
			}
		} else {
			$account_id = $_GET['account_id'];
			show_cash_flow($account_id);
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_cash_flow($account_id) {
	// get the name of account
	$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
	$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0]; 
				
	$sql = "SELECT MONTHNAME(NOW()), MONTH(NOW()), DAY(NOW()), YEAR(NOW())";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$monthname = $drow[0]; $month = $drow[1]; $day = $drow[2]; $year = $drow[3];
	
	// TOTAL CASH IN
	$sql = "SELECT SUM(p.amount)
			FROM cpayments p INNER JOIN customers c ON p.customer_id = c.customer_id
			WHERE c.account_id = '$account_id' 
				AND ((MONTH(p.pdate) = MONTH(NOW()) AND YEAR(p.pdate) = YEAR(NOW()) AND p.pmethod = 'Cash') 
					OR (MONTH(p.check_date) = MONTH(NOW()) AND YEAR(p.check_date) = YEAR(NOW()) AND p.pmethod = 'Check'))";
	$cash_in_res = mysql_query($sql) or die(mysql_error()); 
	$cash_in_row = mysql_fetch_array($cash_in_res); 
	// CASH SALE
	$sql = "SELECT SUM(s.line_total)
			FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
			WHERE c.account_id = '$account_id' AND MONTH(s.delivery_date) = MONTH(NOW()) AND YEAR(s.delivery_date) = YEAR(NOW()) AND s.balance = 0";
	$sale_res = mysql_query($sql) or die(mysql_error()); 
	$sale_row = mysql_fetch_array($sale_res); 
	// COLLECTION
	$collection = $cash_in_row[0] - $sale_row[0]; 
	// PAYMENT TO SUPPLIERS
	$sql = "SELECT SUM(p.amount)
			FROM spayments p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
			WHERE s.account_id = '$account_id' 
				AND ((MONTH(p.pdate) = MONTH(NOW()) AND YEAR(p.pdate) = YEAR(NOW()) AND p.pmethod = 'Cash') 
					OR (MONTH(p.check_date) = MONTH(NOW()) AND YEAR(p.check_date) = YEAR(NOW()) AND p.pmethod = 'Check'))";
	$sp_res = mysql_query($sql) or die(mysql_error()); 
	$sp_row = mysql_fetch_array($sp_res); 
	// EXPENSES
	$sql = "SELECT SUM(amount)
			FROM expenses 
			WHERE account_id = '$account_id' AND MONTH(edate) = MONTH(NOW()) AND YEAR(edate) = YEAR(NOW())";
	$expense_res = mysql_query($sql) or die(mysql_error()); 
	$expense_row = mysql_fetch_array($expense_res); 
	// TOTAL CASH OUT
	$cash_out = $sp_row[0] + $expense_row[0]; 
	?>
    <div class="post">
		<div id="search">
			<a id="icon1" class="th_img" href="print_cash_flow.php?account_id=<?PHP echo $account_id ?>" target="new"><img src="lib/b_print.png"></a>
			<form method="post" action="cash_flow.php?account_id=<?PHP echo $account_id ?>">
				<?PHP show_drop_d8($year, $month, $day); ?>
				<input type="hidden" name="submitted" value="1">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
        <h1 class="title"><?PHP echo $account_name ?>'s Cash Flow - <?PHP echo "$monthname, $year"; ?></h1>
        <div class="entry">
			<table>
				<thead class="data"><tr>
					<td align="center" width="175"></td>
					<td align="center" width="175">Cash In</td>
					<td align="center" width="175"></td>
					<td align="center" width="175">Cash Out</td>
				</tr></thead>
				<tbody class="data">
					<tr class="odd">
						<td align="right">Cash Sale</td>
						<td align="right"><?PHP echo number_format($sale_row[0], 2); ?></td>
						<td align="right">Payment to Suppliers</td>
						<td align="right"><?PHP echo number_format($sp_row[0], 2); ?></td>
					</tr>
					<tr class="even">
						<td align="right">Collection</td>
						<td align="right"><?PHP echo number_format($collection, 2); ?></td>
						<td align="right">Expenses</td>
						<td align="right"><?PHP echo number_format($expense_row[0], 2); ?></td>
					</tr>
					<tr class="total">
						<td align="right">Total</td>
						<td align="right"><b><?PHP echo number_format($cash_in_row[0], 2); ?></b></td>
						<td align="right">Total</td>
						<td align="right"><b><?PHP echo number_format($cash_out, 2); ?></b></td>
					</tr>
				</tbody>
			</table>
		</div>
        <p class="meta"></p>
    </div>
	<?PHP
}
?>