<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Customer\'s Payment Details');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry c_payment_id in the URL
		if (is_numeric($_GET['c_payment_id'])) {
			$c_payment_id = $_GET['c_payment_id'];
			// show form
			show_payment($c_payment_id);
		} else { // No c_payment_id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_payment($c_payment_id) {
	// to get the position of the user
	$dres = mysql_query("SELECT position FROM users WHERE user_id='$_SESSION[user_id]'");
	$drow = mysql_fetch_array($dres); 
	$position = $drow[0];

	$sql = "SELECT cp.or_num, cp.customer_id, c.company_name, CONCAT(u.lname,', ',u.fname), cp.sale_id, 
				cp.amount, DATE_FORMAT(cp.pdate, '%b %e, %Y'), cp.pmethod, cp.check_num, 
				DATE_FORMAT(cp.check_date, '%b %e, %Y'), cp.bank_id, cp.notes, cp.good, DATEDIFF(cp.check_date, NOW())
			FROM cpayments cp 
				INNER JOIN customers c ON cp.customer_id = c.customer_id
				INNER JOIN users u ON cp.user_id = u.user_id
			WHERE cp.c_payment_id = '$c_payment_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res); 
	?>
	<div class="post">
		<h1 class="title">Customer's Payment</h1>
		<div class="entry">
			<table>
				<tbody class="data">
					<tr class="odd"><td align="right" width="125">O.R. #&nbsp;</td>
						<td align="left" width="250">&nbsp;<?PHP echo $row[0] ?></td></tr>
					<tr class="even"><td align="right">Customer&nbsp;</td>
						<td align="left">&nbsp;<a class="tddata" href="customer.php?customer_id=<?PHP echo $row[1] ?>"><?PHP echo $row[2] ?></a></td></tr>
					<tr class="odd"><td align="right">Prepared By&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[3] ?></td></tr>
					<tr class="even"><td align="right">Sale #&nbsp;</td>
						<td align="left">&nbsp;<a class="tddata" href="sale.php?sale_id=<?PHP echo $row[4] ?>"><?PHP echo $row[4] ?></a></td></tr>
					<tr class="odd"><td align="right">Payment Amount&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[5] ?></td></tr>
					<tr class="even"><td align="right">Payment Date&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[6] ?></td></tr>
					<tr class="odd"><td align="right">Payment Method&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[7] ?></td></tr>
					<?PHP
						if ($row[7] == "Check") {
							?>
							<tr class="even"><td align="right">Check Number&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo $row[8] ?></td></tr>
							<tr class="odd"><td align="right">Check Maturity Date&nbsp;</td>
								<td align="left">&nbsp;<?PHP echo $row[9] ?></td></tr>
							<?PHP
						}
					?>
					<tr class="even"><td align="right">Destination Bank&nbsp;</td>
						<td align="left">&nbsp;<?PHP 
							if ($row[10] != 0) {
								$sql = "SELECT bank_name FROM banks WHERE bank_id = '$row[10]'";
								$bank_res = mysql_query($sql); $bank_row = mysql_fetch_array($bank_res); echo $bank_row[0]; 
							} else { echo "<i>Not Given</i>";
							}
							?></td></tr>
					<tr class="odd"><td align="right">Notes&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[11] ?></td></tr>
					<tr class="even"><td align="right">Paid&nbsp;</td>
						<td align="left">&nbsp;
						<?PHP 
						if ($row[12] == 1) { echo "Yes"; } 
						else { echo "No";
							if ($position == 1 && $row[12] <= 0) {
								echo "&nbsp;&nbsp;&nbsp;<a class=td_img href='e_cpayment.php?c_payment_id=$c_payment_id'><img src='lib/file_edit.png'></a>";
							}
						}
						?></td></tr>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}

?>