<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Cancel Delivery');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_13() == true) {
		print_header(TITLE);
		print_navs();
		
		if (isset($_POST['submit'])) {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$dd_id = mysql_real_escape_string(stripslashes($_POST['dd_id']));
			} else {
				$dd_id = mysql_real_escape_string($_POST['dd_id']);
			}
			
			// get the del_id of the delivery
			$sql = "SELECT del_id FROM delivery_details WHERE dd_id = '$dd_id'";
			$dd_res = mysql_query($sql); $dd_row = mysql_fetch_array($dd_res); $del_id = $dd_row[0];
			
			// delete the sale entry
			$sale_id = sql_fld("sale_id", "delivery_details", "dd_id=".$dd_id);
			$sql = "DELETE FROM delivery_details WHERE dd_id = '$dd_id'";
			mysql_query($sql) or die(mysql_error());
			if (mysql_affected_rows() == 1) {
				$release_id = sql_fld("release_id", "dr_release", "del_id=$del_id");
				if($release_id!=''){
					sql_del("dr_release_detail", "release_id=$release_id AND sale_id=$sale_id");
				}
				// get the new line total of the delivery
				$sql = "SELECT SUM(s.line_total) 
						FROM delivery_details dd INNER JOIN sales s ON dd.sale_id = s.sale_id
						WHERE dd.del_id = '$del_id'";
				$tres = mysql_query($sql); $trow = mysql_fetch_array($tres); $total = $trow[0];
				// UPDATE the delivery
				$sql = "UPDATE deliveries SET line_total = '$total' WHERE del_id = '$del_id' LIMIT 1";
				mysql_query($sql) or die(mysql_error());
				if (mysql_affected_rows() == 1) {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
						align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>Sale has been removed from delivery.</font></td></tr></table></td></tr></table></center><br>";
					show_delivery($del_id);	
				} else {
					// failed to cancel sale
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br>Failed to remove sale from delivery.
						</font></td></tr></table></td></tr></table></center><br>";
					show_form($dd_id); 
				}
			} else {
				echo "<center><font color=red face=arial>FAILED to delete sale entry!</font></center><br>";
				show_form($dd_id); 
			}
		} else {
			// Check for valid entry dd_id in the URL
			if (is_numeric($_GET['dd_id'])) {
				$dd_id = $_GET['dd_id'];
				// show form
				show_form($dd_id);
			} else { // No dd_id set.
				echo '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($dd_id) {
	$sql = "SELECT del_id FROM delivery_details WHERE dd_id = '$dd_id'";
	$dres = mysql_query($sql); $drow = mysql_fetch_array($dres); $del_id = $drow[0];
	
	$sql = "SELECT DATE_FORMAT(d.del_date, '%b %e, %Y'), w.whouse_name, 
				d.driver, d.assistant, CONCAT(u.lname,', ',u.fname), d.line_total
			FROM deliveries d
				INNER JOIN warehouses w ON d.whouse_id = w.whouse_id
				INNER JOIN users u ON d.dispatcher = u.user_id
			WHERE d.del_id = '$del_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);
	?>
	<div class="post">
		<h1 class="title">Cancel Sale Delivery</h1>
		<div class="entry">
			<table>
				<tbody class="data">
					<tr class="odd"><td align="right" width="100">Date&nbsp;</td>
						<td align="left" width="250">&nbsp;<?PHP echo $row[0] ?></td>
						<td align="right" width="100">Warehouse&nbsp;</td>
						<td align="left" width="250">&nbsp;<?PHP echo $row[1] ?></td></tr>
					<tr class="even"><td align="right">Driver&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[2] ?></td>
						<td align="right">Spotter&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[3] ?></td></tr>
					<tr class="odd"><td align="right">Dispatcher&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo $row[4] ?></td>
						<td align="right">Line Total&nbsp;</td>
						<td align="left">&nbsp;<?PHP echo number_format($row[5], 2) ?></td></tr>
				</tbody>
			</table>
		</div>
        <p class="meta"></p>
	</div><br>
	<form action="d_delivery_detail.php" method="POST">
		<div class="post">
			<h1 class="title">Delivery Details</h1>
			<div class="entry">
				<table>
					<thead class="data">
						<tr>
							<td align="center" width="60">OR#</td>
							<td align="center" width="100">Date</td>
							<td align="center" width="100">Due Date</td>
							<td align="center" width="200">Customer</td>
							<td align="center" width="100">Line Total</td>
							<td align="center" width="100">Balance</td>
						</tr>
					</thead>
					<tbody class="data">
						<?PHP
						$sql = "SELECT dd.dd_id, s.sale_id, s.customer_id, c.company_name, s.line_total, s.balance, 
									DATE_FORMAT(s.delivery_date, '%b %e, %Y'), DATE_FORMAT(s.due_date, '%b %e, %Y')
								FROM delivery_details dd 
									INNER JOIN sales s ON dd.sale_id = s.sale_id 
									INNER JOIN customers c ON s.customer_id = c.customer_id
								WHERE s.sale_id IN (SELECT sale_id FROM delivery_details WHERE dd_id = '$dd_id')
								ORDER BY s.delivery_date DESC, s.or_num";
						$sres = mysql_query($sql); 
						while ($srow = mysql_fetch_array($sres)) {
							$m = fmod($i, 2); 
							if ($m == 0) {
								?><tr class="even"><?PHP
							} else {
								?><tr class="odd"><?PHP
							}
							?>
								<td align="center"><a class="tddata" href="sale.php?sale_id=<?PHP echo $srow[1] ?>"><?PHP echo $srow[1] ?></a></td>
								<td align="center"><?PHP echo $srow[6] ?></td>
								<td align="center"><?PHP echo $srow[7] ?></td>
								<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $srow[2] ?>"><?PHP echo $srow[3] ?></a></td>
								<td align="right"><?PHP echo number_format($srow[4], 2); ?></td>
								<td align="right"><?PHP echo number_format($srow[5], 2); ?></td>
							</tr>
							<?PHP
							$i++;
						}
						?>
						<tr class="total">
							<td colspan="6" align="center">
								<input type="hidden" name="dd_id" value="<?PHP echo $dd_id ?>">
								<input type="submit" class="button blue" name="submit" value="Remove Sale" onClick="return confirm('Are you sure you want to remove this sale?');">
							</td>
						</tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
	mysql_free_result($res);
	mysql_free_result($sres);
}

?>