<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Daily Report');
define('NAV', 3); 

session_start();
if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		if (isset($_POST['outReference'])) pre();
	}
} else {
	header('Location: login.php');	
}

function pre(){
	$collector_id = _GET_POST($_GET['collector_id']);
	$collector_name = sql_fld('fname', 'users', 'user_id=\''.$collector_id.'\'');
	$bank_id = sql_fld('bank_id', 'banks', 'bank_name=\'Collectors cash-'.$collector_name.'\'');
	$expID = _GET_POST($_POST['outExpID']);
	$outExType = _GET_POST($_POST['outExType']);
	$outEditType = _GET_POST($_POST['outEditType']);
	$amount = _GET_POST($_POST['outAmount']);
	if ($expID == 0){ // accepting any type of cash out, may it be expense or non-expense
		$bankBalance = sql_fld('balance', 'banks', 'bank_id=\''.$bank_id.'\'');
		if ($bankBalance - $amount < 0){
			alert('There is not enough money for the expense');
			return jscript("
				window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
			");
		} else {
			if (is_numeric($outExType)){
				expense();
			} else if ($outExType == 'REM'){
				remit();
			} else if ($outExType != 'REM'){
				other();
			}
		}
	} else { // editing cash outs. expenses, non-expense and cross table edits and no edit for remittance
		if ($outEditType == 'REM'){ // no edit for remittance
			alert('Remittance cannot be edited.');
			return jscript("
				window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
			");
		} else {
			if (is_numeric($outEditType) && is_numeric($outExType)){ 
				// editing cash out -> expenses / type: numeric
				edit_expense();
			} else if (!is_numeric($outEditType) && !is_numeric($outExType)){ 
				// editing cash out -> non-expense or other_credits / type: !numeric
				edit_non_expense();
			} else if (is_numeric($outEditType) && !is_numeric($outExType)){ 
				// editing cash out -> from: expense -> to: non-expense or other_credits
				edit_expense_to_non_expense();
			} else if (!is_numeric($outEditType) && is_numeric($outExType)){ 
				// editing cash out -> from: non-expense or other_credits -> to: expense
				edit_non_expense_to_expense();
			}
		}
	}	
}

function edit_non_expense_to_expense(){
	alert('Editing non-expense into expense.');
	$collector_id = _GET_POST($_GET['collector_id']);
	$expID = _GET_POST($_POST['outExpID']);
	$expense = _GET_POST($_POST['outExpense']);
	$outExType = _GET_POST($_POST['outExType']);
	$outEditType = _GET_POST($_POST['outEditType']);
	$reference = _GET_POST($_POST['outReference']);
	$amount = _GET_POST($_POST['outAmount']);
	$expnotes = _GET_POST($_POST['outNotes']);
	$oldExpAmt = sql_fld('amount', 'other_credits', 'expense_id='.$expID);
	$bankBalance = sql_fld('balance', 'banks', 'bank_id=8');
	$bankNewBal = ($bankBalance + $oldExpAmt) - $amount;
	$exp_info = array(
		'ref_num'		=> $reference,
		'edate'			=> sql_curdate(),
		'account_id'	=> 1,
		'extype_id'		=> $outExType,
		'exdesc'		=> $expnotes,
		'amount'		=> $amount,
		'user_id'		=> $_SESSION['user_id']
	);
	$exID = sql_ins('expenses', $exp_info);
	if (!!$exID){
		$trans_dtls = array(
			'trans_id'			=> $exID,
			'tdate'				=> sql_curdate(),
			'cont_table'		=> 'expenses',
			'cross_table_edit'	=> 1,
			'old_table'			=> 'other_credits'
		);
		$trans = sql_upd('trans_identify', $trans_dtls, 'trans_id='.$expID.' AND cont_table = \'other_credits\'');
		if (!!$trans){
			sql_del('other_credits', 'tc_id='.$expID);
		} else {
			alert('Cannot access database: ' . mysql_error());
		}
	} else {
		alert('Cannot access database: ' . mysql_error());
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}


function edit_expense_to_non_expense(){
	alert('Editing expense into non-expense.');
	$collector_id = _GET_POST($_GET['collector_id']);
	$collector_name = sql_fld('fname', 'users', 'user_id=\''.$collector_id.'\'');
	$bank_id = sql_fld('bank_id', 'banks', 'bank_name=\'Collectors cash-'.$collector_name.'\'');
	$expID = _GET_POST($_POST['outExpID']);
	$outExType = _GET_POST($_POST['outExType']);
	$amount = _GET_POST($_POST['outAmount']);
	$expnotes = _GET_POST($_POST['outNotes']);
	$oldExpAmt = sql_fld('amount', 'expenses', 'expense_id='.$expID);
	$bankBalance = sql_fld('balance', 'banks', 'bank_id=\''.$bank_id.'\'');
	$bankNewBal = ($bankBalance + $oldExpAmt) - $amount;
	$other_info = array(
		'user_id'		=> $_SESSION['user_id'],
		'trans_code'	=> $outExType,
		'tdate'			=> sql_curdate(),
		'bank_id'		=> $bank_id,
		'amount'		=> $amount,
		'notes'			=> $expnotes
	);
	$exID = sql_ins('other_credits', $other_info);
	if (!!$exID){
		$trans_dtls = array(
			'trans_id'			=> $exID,
			'tdate'				=> sql_curdate(),
			'cont_table'		=> 'other_credits',
			'cross_table_edit'	=> 1,
			'old_table'			=> 'expenses'
		);
		$trans = sql_upd('trans_identify', $trans_dtls, 'trans_id='.$expID.' AND cont_table = \'expenses\'');
		if (!!$trans){
			sql_del('expenses', 'expense_id='.$expID);
		} else {
			alert('Cannot access database: ' . mysql_error());
		}
	} else {
		alert('Cannot access database: ' . mysql_error());
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}

function edit_non_expense(){
	alert('Editing non-expense.');
	$collector_id = _GET_POST($_GET['collector_id']);
	$collector_name = sql_fld('fname', 'users', 'user_id=\''.$collector_id.'\'');
	$bank_id = sql_fld('bank_id', 'banks', 'bank_name=\'Collectors cash-'.$collector_name.'\'');
	$expID = _GET_POST($_POST['outExpID']);
	$expense = _GET_POST($_POST['outExpense']);
	$outExType = _GET_POST($_POST['outExType']);
	$amount = _GET_POST($_POST['outAmount']);
	$expnotes = _GET_POST($_POST['outNotes']);
	$oldExpAmt = sql_fld('amount', 'other_credits', 'expense_id='.$expID);
	$bankBalance = sql_fld('balance', 'banks', 'bank_id=\''.$bank_id.'\'');
	$bankNewBal = ($bankBalance + $oldExpAmt) - $amount;
	$expense_details = array(
		'trans_code'	=> $outExType,
		'notes'			=> $expnotes,
		'amount'		=> $amount
	);
	$edit_count = sql_upd('other_credits', $expense_details, 'tc_id='.$expID);
	if (!!$edit_count){
		alert( $expense.' edited.');
	} else {
		alert('Cannot access database: ' . mysql_error());
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}

function edit_expense(){
	alert('Editing expense.');
	$collector_id = _GET_POST($_GET['collector_id']);
	$collector_name = sql_fld('fname', 'users', 'user_id=\''.$collector_id.'\'');
	$bank_id = sql_fld('bank_id', 'banks', 'bank_name=\'Collectors cash-'.$collector_name.'\'');
	$expID = _GET_POST($_POST['outExpID']);
	$expense = _GET_POST($_POST['outExpense']);
	$amount = _GET_POST($_POST['outAmount']);
	$outExType = _GET_POST($_POST['outExType']);
	$reference = _GET_POST($_POST['outReference']);
	$expnotes = _GET_POST($_POST['outNotes']);
	$oldExpAmt = sql_fld('amount', 'expenses', 'expense_id='.$expID);
	$bankBalance = sql_fld('balance', 'banks', 'bank_id=\''.$bank_id.'\'');
	$bankNewBal = ($bankBalance + $oldExpAmt) - $amount;
	$expense_details = array(
		'extype_id'	=> $outExType,
		'ref_num'	=> $reference,
		'exdesc'	=> $expnotes,
		'amount'	=> $amount
	);
	$edit_count = sql_upd('expenses', $expense_details, 'expense_id='.$expID);
	if (!!$edit_count){
		alert( $expense.' Updated.');
	} else {
		alert('Cannot access database: ' . mysql_error());
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}

function other(){
	$collector_id = _GET_POST($_GET['collector_id']);
	$collector_name = sql_fld('fname', 'users', 'user_id=\''.$collector_id.'\'');
	$bank_id = sql_fld('bank_id', 'banks', 'bank_name=\'Collectors cash-'.$collector_name.'\'');
	$expense = _GET_POST($_POST['outExpense']);
	$outExType = _GET_POST($_POST['outExType']);
	$amount = _GET_POST($_POST['outAmount']);
	$expnotes = _GET_POST($_POST['outNotes']);
	$other_info = array(
		'user_id'		=> $_SESSION['user_id'],
		'trans_code'	=> $outExType,
		'tdate'			=> sql_curdate(),
		'bank_id'		=> $bank_id,
		'amount'		=> $amount,
		'notes'			=> $expnotes
	);
	$other_ins = sql_ins('other_credits', $other_info);
	$clt = 'clt'.$collector_id;
	if (!!$other_ins){
		$trans_info = array(
			'trans_id'		=> $other_ins,
			'tdate'			=> sql_curdate(),
			'cont_table'	=> 'other_credits',
			'used_system'	=> $clt
		);
		sql_ins('trans_identify', $trans_info);
		alert( $expense . ' credited.');
	} else {
		alert('Cannot access database: ' . mysql_error());
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}

function remit(){
	$collector_id = _GET_POST($_GET['collector_id']);
	$collector_name = sql_fld('fname', 'users', 'user_id=\''.$collector_id.'\'');
	$bank_id = sql_fld('bank_id', 'banks', 'bank_name=\'Collectors cash-'.$collector_name.'\'');
	$expense = _GET_POST($_POST['outExpense']);
	$outExType = _GET_POST($_POST['outExType']);
	$amount = _GET_POST($_POST['outAmount']);
	$expnotes = _GET_POST($_POST['outNotes']);
	$remit_info = array(
		'user_id'		=> $_SESSION['user_id'],
		'trans_code'	=> $outExType,
		'tdate'			=> sql_curdate(),
		'bank_id'		=> $bank_id,
		'amount'		=> $amount,
		'notes'			=> $expnotes
	);
	$remit_ins = sql_ins('other_credits', $remit_info);
	$clt = 'clt'.$collector_id;
	if (!!$remit_ins){
		$trans_info = array(
			'trans_id'		=> $remit_ins,
			'tdate'			=> sql_curdate(),
			'cont_table'	=> 'other_credits',
			'used_system'	=> $clt
		);
		sql_ins('trans_identify', $trans_info);
		$note = 'Remittance from Collector-'.$collector_name;
		$bank_transfers_info = array(
			'bt_date'		=> sql_curdate(),
			'fr_bank_id'	=> $bank_id,
			'to_bank_id'	=> 4,
			'ref_num'		=> $clt,
			'amount'		=> $amount,
			'notes'			=> $note,
			'user_id'		=> $_SESSION['user_id']
		);
		sql_ins('bank_transfers', $bank_transfers_info);
		$to_bank_bal = sql_fld('balance', 'banks', 'bank_id=4');
		$new_to_bank_bal = $to_bank_bal + $amount;
		$to_bank_info = array(
			'balance'	=> $new_to_bank_bal
		);
		sql_upd('banks', $to_bank_info, 'bank_id=4');
		alert( $expense . ' credited.');
	} else {
		alert('Cannot access database: ' . mysql_error());
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}

function expense(){
	$collector_id = _GET_POST($_GET['collector_id']);
	$expense = _GET_POST($_POST['outExpense']);
	$outExType = _GET_POST($_POST['outExType']);
	$reference = _GET_POST($_POST['outReference']);
	$amount = _GET_POST($_POST['outAmount']);
	$expnotes = _GET_POST($_POST['outNotes']);
	$expenses_info = array(
		'ref_num'		=> $reference,
		'edate'			=> sql_curdate(),
		'account_id'	=> 1,
		'extype_id'		=> $outExType,
		'exdesc'		=> $expnotes,
		'amount'		=> $amount,
		'user_id'		=> $_SESSION['user_id']
	);
	$expenses_ins = sql_ins('expenses',$expenses_info);
	$clt = 'clt'.$collector_id;
	if (!!$expenses_ins){
		$trans_info = array(
			'trans_id'		=> $expenses_ins,
			'tdate'			=> sql_curdate(),
			'cont_table'	=> 'expenses',
			'used_system'	=> $clt
		);
		sql_ins('trans_identify', $trans_info);
		alert( $expense . ' credited.');
	} else {
		alert('Cannot access database: ' . mysql_error());
	}
	return jscript("
		window.location = 'daily_collectors_sheet.php?collector_id=".$collector_id."';
	");
}
?>