<?php
include 'fxns.php';
head('Edit Received DR Collection', 1);
if(checkGet()){
	if($_POST)
		post();
	else{
		$r=rec('vw_dr_col_rec', "cc_id=$_GET[cc_id]");
		pre($r);	
	}	
}else{
	?>
	<div class='err'>You must have made a mistake accessing this page.</div>
	<?php
}
foot();
function pre($val){
	?>
	<script type='text/javascript'>
		$(document).ready(function(){
			var fld=new Array;
			fld[0]=['fname', 'First Name'];
			fld[1]=['lname', 'Last Name'];
			ac('#txtcc_agent_name', fld, 'users');
			$("#txtcc_agent_name").autocomplete({
				select:function(event, ui){
					$('#hdncc_agent_id').val(ui.item.user_id);
					$('#txtcc_agent_name').val(ui.item.lname + ', ' + ui.item.fname);
					return false;
				}
			});
			
			$("[name='radcl_id']").each(function(i){
				$(this).on('click', function(){
					$('#hdncl_id').val($(this).val());
				});
			});
			
			$('form').submit(function(){
				if(env('#dtecc_date', 'Date Collection Received')) return false;
				if(!dte('#dtecc_date', 'Date Collection Received')) return false;
				if(env('#txtcc_agent_name', 'Agent')) return false;
			});
		});
	</script>
	<div class='out'><div class='in'>
		<table class='head'><tr><th>Edit Received DR Collection</th></tr></table>
		<table class='grd'>
			<tr><td colspan='4' class='center'></td></tr>
			<tr>
				<th>Date Collection Received:</th>
				<td class='required'><?php dte('cc_date', $val); ?></td>
				<th>Agent:</th>
				<td class='required'>
					<?php
					hdn('cc_agent_id', $val);
					txt('cc_agent_name', $val);
					?>
				</td>
			</tr>
			<tr>
				<th>Notes:</th>
				<td colspan='3'>
					<?php
					txt('cc_note', $val, 'l');
					hdn('cl_id', $val);
					?>
				</td>
			</tr>
			<tr>
				<th>Date Collection Released:</th>
				<td><?php echo date('M d, Y', strtotime($val['cl_date'])) ?></td>
				<th>Agent:</th>
				<td><?php echo $val['cl_agent_name'] ?></td>
			</tr>
			<tr>
				<th>Collection Release Notes:</th>
				<td colspan='3'><?php echo $val['cl_note'] ?></td>
			</tr>
			<tr>
				<th>Date Delivery Received:</th>
				<td><?php echo date('M d, Y', strtotime($val['receive_date'])) ?></td>
				<th>Customer Receiver (DR on File):</th>
				<td><?php echo $val['receive_user'] ?></td>
			</tr>
			<tr>
				<th>Delivery Receive Notes:</th>
				<td colspan='3'><?php echo $val['receive_note'] ?></td>
			</tr>
			<tr>
				<th>Date Delivery Released:</th>
				<td><?php echo date('M d, Y', strtotime($val['release_date'])) ?></td>
				<th>On Delivery:</th>
				<td><?php echo $val['release_user'] ?></td>
			</tr>
			<tr>
				<th>Delivery Release Notes:</th>
				<td colspan='3'><?php echo $val['release_note'] ?></td>
			</tr>
			<tr><td colspan='4' class='center'>
				<?php
				rst('Reset', 'Reset', 'button blue');
				sbt('Submit', 'Submit', 'button blue');
				?>
			</td></tr>
		</table>
	</div></div>
	<div class='out'><div class='in'>
		<table class='head'><tr><th>Released DR Collection Detail</th></tr></table>
		<table class='grd fill'>
			<thead>
				<tr>
					<th rowspan='2'></th>
					<th colspan='3'>Collection Released</th>
					<th colspan='2'>Received Delivery</th>
					<th colspan='2'>Released Delivery</th>
				</tr>
				<tr>
					<th>Date</th>
					<th>Agent</th>
					<th>Notes</th>
					<th>Date</th>
					<th>Customer</th>
					<th>Date</th>
					<th>User</th>
				</tr>
			</thead>
			<?php
			$q=qry("select * from vw_sel_dr_col_rel");
			while($r=mysql_fetch_assoc($q)){
				?>
				<tr>
					<td class='center'><input type='radio' name='radcl_id' value='<?php echo $r['cl_id'] ?>'></td>
					<td class='center'><?php echo date('M d, Y', strtotime($r['cl_date'])) ?></td>
					<td><?php echo $r['cl_agent_name'] ?></td>
					<td><?php echo $r['cl_note'] ?></td>
					<td class='center'><?php echo date('M d, Y', strtotime($r['receive_date'])) ?></td>
					<td><?php echo $r['receive_user'] ?></td>
					<td class='center'><?php echo date('M d, Y', strtotime($r['release_date'])) ?></td>
					<td><?php echo $r['release_user'] ?></td>
				</tr>
				<?php
			}
			?>
		</table>
	</div></div>
	<?php
}
function post(){
	$err='';
	$fld['cc_date']=date('Y-m-d', strtotime($_POST['dtecc_date']));
	$fld['cc_agent_id']=$_POST['hdncc_agent_id'];
	$fld['cc_note']=$_POST['txtcc_note'];
	$fld['cl_id']=$_POST['hdncl_id'];
	$pk=upd2($fld, 'dr_col_rec', "cc_id=$_GET[cc_id]");
	if(!$pk) $err='Could not Edit Received DR Collection. Please try again.';
	if($err==''){
		?>
		<div class='ok'>
			Received DR Collection has Edited.<br>
			Click <?php lnk('Detail', 'here', 'dr_cc_detail.php', "cc_id=$_GET[cc_id]") ?> to view Received DR Collection Detail.<br>
			Click <?php lnk('Master', 'here', 'dr_cc.php') ?> to view all Received DR Collection.
		</div>
		<?php
	}else{
		?>
		<div class='err'><?php echo $err ?></div>
		<?php
		$r=rec('vw_dr_col_rec', "cc_id=$_GET[cc_id]");
		$_POST['cl_date']=$r['cl_date'];
		$_POST['cl_agent_name']=$r['cl_agent_name'];
		$_POST['cl_note']=$r['cl_note'];
		$_POST['receive_date']=$r['receive_date'];
		$_POST['receive_user']=$r['receive_user'];
		$_POST['receive_note']=$r['receive_note'];
		$_POST['release_date']=$r['release_date'];
		$_POST['release_user']=$r['release_user'];
		$_POST['release_note']=$r['release_note'];
		pre($_POST);
	}
}
function checkGet(){
	if(!isset($_GET['cc_id'])) return false;
	if(!is_numeric($_GET['cc_id'])) return false;
	$r=rec('dr_col_rec', "cc_id=$_GET[cc_id]");
	return $r?true:false;
}
?>