<?php
include 'fxns.php';
head('Edit Released DR Collection', 1);
if(checkGet()){
	if($_POST)
		post();
	else{
		$r=rec('vw_dr_col_rel', "cl_id=$_GET[cl_id]");
		pre($r);	
	}	
}else{
	?>
	<div class='err'>You must have made a mistake accessing this page.</div>
	<?php
}
foot();
function pre($val){
	?>
	<script type='text/javascript'>
		$(document).ready(function(){
			var fld=new Array;
			fld[0]=['fname', 'First Name'];
			fld[1]=['lname', 'Last Name'];
			ac('#txtcl_agent_name', fld, 'users');
			$("#txtcl_agent_name").autocomplete({
				select:function(event, ui){
					$('#hdncl_agent_id').val(ui.item.user_id);
					$('#txtcl_agent_name').val(ui.item.lname + ', ' + ui.item.fname);
					return false;
				}
			});
			
			$("[name='radreceive_id']").each(function(i){
				$(this).on('click', function(){
					$('#hdnreceive_id').val($(this).val());
				});
			});
			
			$('form').submit(function(){
				if(env('#dtecl_date', 'Date Collection Released')) return false;
				if(!dte('#dtecl_date', 'Date Collection Released')) return false;
				if(env('#txtcl_agent_name', 'Agent')) return false;
			});
		});
	</script>
	<div class='out'><div class='in'>
		<table class='head'><tr><th>Edit Released DR Collection</th></tr></table>
		<table class='grd'>
			<tr><td colspan='4' class='center'></td></tr>
			<tr>
				<th>Date Collection Released:</th>
				<td class='required'><?php dte('cl_date', $val); ?></td>
				<th>Agent:</th>
				<td class='required'>
					<?php
					hdn('cl_agent_id', $val);
					txt('cl_agent_name', $val);
					?>
				</td>
			</tr>
			<tr>
				<th>Notes:</th>
				<td colspan='3'>
					<?php
					txt('cl_note', $val, 'l');
					hdn('receive_id', $val);
					?>
				</td>
			</tr>
			<tr>
				<th>Date Delivery Received:</th>
				<td><?php echo date('M d, Y', strtotime($val['receive_date'])) ?></td>
				<th>Customer Receiver (DR on File):</th>
				<td><?php echo $val['receive_user'] ?></td>
			</tr>
			<tr>
				<th>Received Delivery Notes:</th>
				<td colspan='3'><?php echo $val['receive_note'] ?></td>
			</tr>
			<tr>
				<th>Date Delivery Released:</th>
				<td><?php echo date('M d, Y', strtotime($val['release_date'])) ?></td>
				<th>On Delivery:</th>
				<td><?php echo $val['release_user'] ?></td>
			</tr>
			<tr>
				<th>Released Delivery Notes:</th>
				<td colspan='3'><?php echo $val['release_note'] ?></td>
			</tr>
			<tr><td colspan='4' class='center'>
				<?php
				rst('Reset', 'Reset', 'button blue');
				sbt('Submit', 'Submit', 'button blue');
				?>
			</td></tr>
		</table>
	</div></div>
	<div class='out'><div class='in'>
		<table class='head'><tr><th>Received DR from Delivery Detail</th></tr></table>
		<table class='grd fill'>
			<thead><tr>
				<th></th>
				<th>Date Received</th>
				<th>Customer Receiver (DR on File)</th>
				<th>Receive Notes</th>
				<th>Date Released</th>
				<th>On Delivery</th>
				<th>Release Notes</th>
			</tr></thead>
			<?php
			$q=qry("select * from vw_sel_dr_receive");
			while($r=mysql_fetch_assoc($q)){
				?>
				<tr>
					<td class='center'><input type='radio' name='radreceive_id' value='<?php echo $r['receive_id'] ?>'></td>
					<td class='center'><?php echo date('M d, Y', strtotime($r['receive_date'])) ?></td>
					<td><?php echo $r['receive_user'] ?></td>
					<td><?php echo $r['receive_note'] ?></td>
					<td class='center'><?php echo date('M d, Y', strtotime($r['release_date'])) ?></td>
					<td><?php echo $r['release_user'] ?></td>
					<td><?php echo $r['release_note'] ?></td>
				</tr>
				<?php
			}
			?>
		</table>
	</div></div>
	<?php
}
function post(){
	$err='';
	$fld['cl_date']=date('Y-m-d', strtotime($_POST['dtecl_date']));
	$fld['cl_agent_id']=$_POST['hdncl_agent_id'];
	$fld['cl_note']=$_POST['txtcl_note'];
	$fld['receive_id']=$_POST['hdnreceive_id'];
	$pk=upd2($fld, 'dr_col_rel', "cl_id=$_GET[cl_id]");
	if(!$pk) $err='Could not Edit Released DR Collection. Please try again.';
	if($err==''){
		?>
		<div class='ok'>
			Released DR Collection has Edited.<br>
			Click <?php lnk('Detail', 'here', 'dr_cl_detail.php', "cl_id=$_GET[cl_id]") ?> to view Released DR Collection Detail.<br>
			Click <?php lnk('Master', 'here', 'dr_cl.php') ?> to view all Released DR Collection.
		</div>
		<?php
	}else{
		?>
		<div class='err'><?php echo $err ?></div>
		<?php
		$r=rec('vw_dr_col_rel', "cl_id=$_GET[cl_id]");
		$_POST['receive_date']=$r['receive_date'];
		$_POST['receive_user']=$r['receive_user'];
		$_POST['receive_note']=$r['receive_note'];
		$_POST['release_date']=$r['release_date'];
		$_POST['release_user']=$r['release_user'];
		$_POST['release_note']=$r['release_note'];
		pre($_POST);
	}
}
function checkGet(){
	if(!isset($_GET['cl_id'])) return false;
	if(!is_numeric($_GET['cl_id'])) return false;
	$r=rec('dr_col_rel', "cl_id=$_GET[cl_id]");
	return $r?true:false;
}
?>