<?php
include 'fxns.php';
head('Add New Received DR from Delivery', 1);
if(checkGet()){
	if($_POST)
		post();
	else{
		$r=rec('vw_dr_receive', "receive_id=$_GET[receive_id]");
		$r['release']=date('M d, Y', strtotime($r['release_date'])).' - '.$r['release_user'].' - '.$r['release_note'];
		pre($r);	
	}	
}else{
	?>
	<div class='err'>You must have made a mistake accessing this page.</div>
	<?php
}
foot();
function pre($val){
	?>
	<script type='text/javascript'> $(document).ready(function(){
		var fld=[];
		fld[0]=['release_date', 'Date Released', 'dte'];
		fld[1]=['release_user', 'On Delivery'];
		fld[2]=['release_note', 'Notes'];
		ac('#txtrelease', fld, 'vw_sel_dr_release');
		$('#txtrelease').autocomplete({
			select: function(event, ui){
				$('#txtrelease').val(ui.item.release_date+' - '+ui.item.release_user+' - '+ui.item.release_note);
				$('#hdnrelease_id').val(ui.item.release_id);
				$('#hdnrelease_id').change();
				return false;
			}
		});
		
		var fld=new Array;
		fld[0]=['or_num'];
		fld[1]=['company_name'];
		fld[2]=['line_total', 'dec'];
		fld[3]=['balance', 'dec'];
		fld[4]=['print', 'bln'];
		$('#hdnrelease_id').change(function(){
			$('#grdSale>tbody').remove();
			if($(this).val()=='') return false;
			$('#grdSale').append("<tbody>");
			$.getJSON('lib/php-json.php', {
				field: fld,
				source: 'vw_dr_release_detail',
				condition: "release_id='"+$('#hdnrelease_id').val()+"'"
			}, function(data){
				$.each(data, function(key, val){
					var tr=$("<tr>");
					$("#grdSale>tbody").append(tr);
					var td=$("<td>").html(val.or_num).appendTo(tr);
					td=$("<td>").html(val.company_name).appendTo(tr);
					td=$("<td class='dec'>").html(val.line_total).appendTo(tr);
					td=$("<td class='dec'>").html(val.balance).appendTo(tr);
					td=$("<td class='bln'>").html(val.print).appendTo(tr);
				});
			});
		});
		
		$('#hdnrelease_id').change();
		
		$('form').submit(function(){
			if(env('#dtereceive_date', 'Date Received')) return false;
			if(!dte('#dtereceive_date', 'Date Received')) return false;
			if(env('#txtreceive_user', 'Customer Received (DR on File)')) return false;
			if(env('#txtrelease', 'Released DR to Delivery')) return false;
			if(env('#hdnrelease_id', 'Released DR to Delivery')) return false;
		});
	}); </script>
	<div class='out'><div class='in'>
		<table class='head'><tr><th>Add New Received DR from Delivery</th></tr></table>
		<table class='grd'>
			<tr><td colspan='4' class='center required'>Entries with asterisk are required.</td></tr>
			<tr>
				<th>Date Received:</th>
				<td class='required'><?php dte('receive_date', $val) ?></td>
				<th>Customer Receiver (DR on File):</th>
				<td class='required'><?php txt('receive_user', $val) ?></td>
			</tr>
			<tr>
				<th>Released DR to Delivery:</th>
				<td colspan='3' class='required'>
					<?php
					hdn('release_id', $val);
					txt('release', $val, '90');
					?>
				</td>
			</tr>
			<tr>
				<th>Receive Notes:</th>
				<td colspan='3'><?php txt('receive_note', $val, 'l') ?></td>
			</tr>
			<tr><td colspan='4' class='center'>
				<?php
				rst('Reset', 'Reset', 'button blue');
				sbt('Submit', 'Submit', 'button blue');
				?>
			</td></tr>
		</table>
	</div></div>
	<div class='out'><div class='in'>
		<table class='head'><tr><th>Sale Detail</th></tr></table>
		<table class='grd fill' id='grdSale'>
			<thead><tr>
				<th>Receipt #</th>
				<th>Customer</th>
				<th>Amount</th>
				<th>Balance</th>
				<th>Printed</th>
			</tr></thead>
		</table>
	</div></div>
	<?php
}
function post(){
	$err='';
	$fld['receive_date']=date('Y-m-d', strtotime($_POST['dtereceive_date']));
	$fld['receive_user']=$_POST['txtreceive_user'];
	$fld['receive_note']=$_POST['txtreceive_note'];
	$fld['release_id']=$_POST['hdnrelease_id'];
	$pk=upd2($fld, 'dr_receive', "receive_id=$_GET[receive_id]");
	if(!$pk) $err='Could not Edit Received DR from Delivery. Please try again';
	if($err==''){
		?>
		<div class='ok'>
			Received DR from Delivery has been Edited.<br>
			Click <?php lnk('Detail', 'here', 'dr_receive_detail.php', "receive_id=$_GET[receive_id]") ?> to view Received DR from Delivery Detail.<br>
			Click <?php lnk('Master', 'here', 'dr_receive.php') ?> to view all Received DR from Delivery.
		</div>
		<?php
	}else{
		?>
		<div class='err'><?php echo $err ?></div>
		<?php
		$r=rec('vw_dr_receive', "receive_id=$_GET[receive_id]");
		$_POST['release_date']=$r['release_date'];
		$_POST['release_user']=$r['release_user'];
		$_POST['release_note']=$r['release_note'];
		pre($_POST);
	}
}
function checkGet(){
	if(!isset($_GET['receive_id'])) return false;
	if(!is_numeric($_GET['receive_id'])) return false;
	$r=rec('dr_receive', "receive_id=$_GET[receive_id]");
	return $r?true:false;
}
?>