<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Daily Statistics');
define('NAV', 1); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();

		// to get the position of the user
		$dres = mysql_query("SELECT position FROM users WHERE user_id='$_SESSION[user_id]'");
		$drow = mysql_fetch_array($dres); 
		$position = $drow[0];
		if ($position != 2) {
			show_dstats(); 
		} 
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_dstats() {
	$dres = mysql_query("select date_format(now(), '%b %e, %Y')");
	$drow = mysql_fetch_array($dres);
	$date2day = $drow[0];

	$sql = "SELECT p.purchase_id, p.or_num, p.supplier_id, s.company_name, p.user_id, CONCAT(u.fname,' ',u.lname), p.line_total
			FROM purchases p, suppliers s, users u
			WHERE p.supplier_id=s.supplier_id AND p.user_id=u.user_id AND TO_DAYS(NOW()) = TO_DAYS(p.delivery_date)
			ORDER BY p.purchase_id";
	$pres = mysql_query($sql);
	$sql = "SELECT SUM(line_total) FROM purchases WHERE TO_DAYS(NOW())=TO_DAYS(delivery_date)";
	$tpres = mysql_query($sql);
	$tprow = mysql_fetch_array($tpres);
	
	$sql = "SELECT s.sale_id, s.or_num, s.customer_id, c.company_name, s.user_id, CONCAT(u.fname,' ',u.lname), 
				s.line_total, SUM(sd.quantity * ((sd.unit_price - sd.unit_discount) - sd.acq_price))
			FROM sales s, customers c, users u, sale_details sd
			WHERE s.sale_id=sd.sale_id AND s.customer_id=c.customer_id AND s.user_id=u.user_id 
				AND TO_DAYS(NOW())=TO_DAYS(s.delivery_date)
			GROUP BY s.sale_id
			ORDER BY s.sale_id";
	$sres = mysql_query($sql);
	$sql = "SELECT sum(sd.net_price), sum(sd.quantity * ((sd.unit_price - sd.unit_discount) - sd.acq_price))
			FROM sales s, sale_details sd
			WHERE s.sale_id=sd.sale_id AND TO_DAYS(NOW())=TO_DAYS(s.delivery_date)";
	$tsres = mysql_query($sql);
	$tsrow = mysql_fetch_array($tsres);
	
	$sql = "SELECT cp.c_payment_id, cp.or_num, cp.customer_id, c.company_name, 
				cp.user_id, CONCAT(u.fname,' ',u.lname), cp.sale_id, cp.amount
			FROM cpayments cp, customers c, users u
			WHERE cp.customer_id=c.customer_id AND cp.user_id=u.user_id AND TO_DAYS(NOW()) = TO_DAYS(cp.pdate)
			ORDER BY cp.c_payment_id";
	$cpres = mysql_query($sql);
	$sql = "SELECT SUM(amount) FROM cpayments WHERE TO_DAYS(NOW())=TO_DAYS(pdate)";
	$cptres = mysql_query($sql);
	$cptrow = mysql_fetch_array($cptres);

	$sql = "SELECT sp.s_payment_id, sp.or_num, sp.supplier_id, s.company_name, 
				sp.user_id, CONCAT(u.fname,' ',u.lname), sp.purchase_id, sp.amount
			FROM spayments sp, suppliers s, users u
			WHERE sp.supplier_id=s.supplier_id AND sp.user_id=u.user_id AND TO_DAYS(NOW()) = TO_DAYS(sp.pdate)
			ORDER BY sp.s_payment_id";
	$spres = mysql_query($sql);
	$sql = "SELECT SUM(amount) FROM spayments WHERE TO_DAYS(NOW()) = TO_DAYS(pdate)";
	$sptres = mysql_query($sql);
	$sptrow = mysql_fetch_array($sptres);
	
	$sql = "SELECT e.ref_num, et.extype_name, e.exdesc, e.amount
			FROM expense_types et, expenses e
			WHERE et.extype_id = e.extype_id AND TO_DAYS(NOW()) = TO_DAYS(e.edate)
			ORDER BY e.expense_id";
	$ex_res = mysql_query($sql); 
	$sql = "SELECT SUM(amount) FROM expenses WHERE TO_DAYS(NOW()) = TO_DAYS(edate)";
	$ex_tres = mysql_query($sql); $ex_trow = mysql_fetch_array($ex_tres);

	$sql = "SELECT t.ref_num, tt.taxtype_name, t.taxdesc, t.amount
			FROM tax_types tt, taxes t
			WHERE tt.taxtype_id = t.taxtype_id AND TO_DAYS(NOW()) = TO_DAYS(t.tdate)
			ORDER BY t.tax_id";
	$tax_res = mysql_query($sql); 
	$sql = "SELECT SUM(amount) FROM taxes WHERE TO_DAYS(NOW()) = TO_DAYS(tdate)";
	$tax_tres = mysql_query($sql); $tax_trow = mysql_fetch_array($tax_tres);

	?>
    <div class="post">
		<div id="details">
			<a id="icon1" class="th_img" href="print_dstats.php" target="new"><img src="lib/b_print.png"></a>
		</div>
        <h1 class="title">Daily Statistics</h1>
        <div class="entry">
		<table align="center" width="720">
			<tr>
				<td width="360" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="3" align="center">Purchases for <?PHP echo $date2day ?></tr>
							<tr>
								<td align="center" width="75"><b>O.R. #</b></td>
								<td align="center" width="200"><b>Supplier</b></td>
								<td align="center" width="85"><b>Line Total</b></td>
							</tr>
						</thead>
						<tbody class="data">
							<?PHP
							$i = 1;
							while ($prow = mysql_fetch_array($pres)) {
								$u = fmod($i, 2);
								if ($u == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="purchase.php?purchase_id=<?PHP echo $prow[0] ?>"><?PHP echo $prow[1] ?></a></td>
									<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $prow[2] ?>"><?PHP echo $prow[3] ?></a></td>
									<td align="right"><?PHP  $purchase = number_format($prow[6], 2); echo $purchase ?></td>
								</tr>
								<?PHP
								$i++;
							}
							?>
							<tr class="total">
								<td colspan="2" align="right"><b>Line Total</b>&nbsp;</td>
								<td align="right"><b><?PHP $tpurchase = number_format($tprow[0], 2); echo $tpurchase ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
				<td width="360" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center">Sales for <?PHP echo $date2day ?></tr>
							<tr>
								<td align="center" width="75"><b>O.R. #</b></td>
								<td align="center" width="150"><b>Customer</b></td>
								<td align="center" width="75"><b>Line Total</b></td>
								<td align="center" width="60"><b>Revenue</b></td>
							</tr>
						</thead>
						<tbody class="data">
							<?PHP
							$j = 1; 
							while ($srow = mysql_fetch_array($sres)) {
								$v = fmod($j, 2);
								if ($v == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="sale.php?sale_id=<?PHP echo $srow[0] ?>"><?PHP echo $srow[1] ?></a></td>
									<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $srow[2] ?>"><?PHP echo $srow[3] ?></a></td>
									<td align="right"><?PHP $sales = number_format($srow[6], 2); echo $sales ?></td>
									<td align="right"><?PHP if ($position == 1) echo number_format($srow[7], 2); ?></td>
								</tr>
								<?PHP
								$j++;
							}
							?>
							<tr class="total">
								<td colspan="2" align="right"><b>Line Total</b>&nbsp;</td>
								<td align="right"><b><?PHP $tsales = number_format($tsrow[0], 2); echo $tsales ?></b></td>
								<td align="right"><b><?PHP if ($position == 1) echo number_format($tsrow[1], 2); ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<tr height="10"></tr>
			<tr>
				<td width="360" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center">Payments to Suppliers for <?PHP echo $date2day ?></tr>
							<tr>
								<td align="center" width="75"><b>O.R. #</b></td>
								<td align="center" width="150"><b>Supplier</b></td>
								<td align="center" width="75"><b>Purchase#</b></td>
								<td align="center" width="60"><b>Amount</b></td>
							</tr>
						</thead>
						<tbody class="data">
							<?PHP
							$k = 1; 
							while ($sprow = mysql_fetch_array($spres)) {
								$w = fmod($k, 2);
								if ($w == 0) { // $l is EVEN
									?><tr class="even"><?PHP
								} else { // $l is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="spayment.php?s_payment_id=<?PHP echo $sprow[0] ?>"><?PHP echo $sprow[1] ?></a></td>
									<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $sprow[2] ?>"><?PHP echo $sprow[3] ?></a></td>
									<td align="center"><a class="tddata" href="purchase.php?purchase_id=<?PHP echo $sprow[6] ?>"><?PHP echo $sprow[6] ?></a></td>
									<td align="right"><?PHP $spayments = number_format($sprow[7], 2); echo $spayments ?></td>
								</tr>
								<?PHP
								$k++;
							}
							?>
							<tr class="total">
								<td colspan="3" align="right"><b>Line Total</b>&nbsp;</td>
								<td align="right"><b><?PHP $tspayments = number_format($sptrow[0], 2); echo $tspayments ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
				<td width="360" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center">Customers' Payments for <?PHP echo $date2day ?></tr>
							<tr>
								<td align="center" width="75"><b>O.R. #</b></td>
								<td align="center" width="150"><b>Customer</b></td>
								<td align="center" width="60"><b>Sale ID</b></td>
								<td align="center" width="75"><b>Amount</b></td>
							</tr>
						</thead>
						<tbody class="data">
							<?PHP
							$l = 1; 
							while ($cprow = mysql_fetch_array($cpres)) {
								$x = fmod($l, 2);
								if ($x == 0) { // $k is EVEN
									?><tr class="even"><?PHP
								} else { // $k is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="cpayment.php?c_payment_id=<?PHP echo $cprow[0] ?>"><?PHP echo $cprow[1] ?></a></td>
									<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $cprow[2] ?>"><?PHP echo $cprow[3] ?></a></td>
									<td align="center"><a class="tddata" href="sale.php?sale_id=<?PHP echo $cprow[6] ?>"><?PHP echo $cprow[6] ?></a></td>
									<td align="right"><?PHP $cpayments = number_format($cprow[7], 2); echo $cpayments ?></td>
								</tr>
								<?PHP
								$l++;
							}
							?>
							<tr class="total">
								<td colspan="3" align="right"><b>Line Total</b>&nbsp;</td>
								<td align="right"><b><?PHP $tcpayments = number_format($cptrow[0], 2); echo $tcpayments ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<tr height="10"></tr>
			<tr>
				<td width="360" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center">Expenses for <?PHP echo $date2day ?></tr>
							<tr>
								<td align="center" width="50"><b>Ref #</b></td>
								<td align="center" width="100"><b>Type</b></td>
								<td align="center" width="135"><b>Description</b></td>
								<td align="center" width="75"><b>Amount</b></td>
							</tr>
						</thead>
						<tbody class="data">
							<?PHP
							$m = 1; 
							while ($ex_row = mysql_fetch_array($ex_res)) {
								$y = fmod($m, 2);
								if ($y == 0) { // $l is EVEN
									?><tr class="even"><?PHP
								} else { // $l is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><?PHP echo $ex_row[0] ?></td>
									<td align="left"><?PHP echo $ex_row[1] ?></td>
									<td align="left"><?PHP echo $ex_row[2] ?></td>
									<td align="right"><?PHP echo number_format($ex_row[3], 2) ?></td>
								</tr>
								<?PHP
								$m++;
							}
							?>
							<tr class="total">
								<td colspan="3" align="right"><b>Line Total</b>&nbsp;</td>
								<td align="right"><b><?PHP echo number_format($ex_trow[0], 2) ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
				<td width="360" valign="top">
					<table>
						<thead class="data">
							<tr><td colspan="4" align="center">Paid Taxes for <?PHP echo $date2day ?></tr>
							<tr>
								<td align="center" width="50"><b>Ref #</b></td>
								<td align="center" width="100"><b>Type</b></td>
								<td align="center" width="135"><b>Description</b></td>
								<td align="center" width="75"><b>Amount</b></td>
							</tr>
						</thead>
						<tbody class="data">
							<?PHP
							$n = 1; 
							while ($tax_row = mysql_fetch_array($tax_res)) {
								$z = fmod($n, 2);
								if ($z == 0) { // $l is EVEN
									?><tr class="even"><?PHP
								} else { // $l is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><?PHP echo $tax_row[0] ?></td>
									<td align="left"><?PHP echo $tax_row[1] ?></td>
									<td align="left"><?PHP echo $tax_row[2] ?></td>
									<td align="right"><?PHP echo number_format($tax_row[3], 2) ?></td>
								</tr>
								<?PHP
								$n++;
							}
							?>
							<tr class="total">
								<td colspan="3" align="right"><b>Line Total</b>&nbsp;</td>
								<td align="right"><b><?PHP echo number_format($tax_trow[0], 2) ?></b></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
        </table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}

?>