<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Edit Branch');
define('NAV', 6); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin
session_start();
if(isset($_SESSION['user_id'])){
	if(validate_1()==true){
		print_header(TITLE);
		print_navs();
		if($_POST)
			post($_POST);
		else{
			$err=false;
			if(param()){
				$r=rec('vw_branch', "branch_id=$_GET[branch_id]");
				if(!$r) $err=true;
			}else{
				$err=true;
			}
			if($err){
				?>
				<div class='err'>
					You must have made a mistake accessing this page.<br>
					Please try again.
				</div>
				<?php
			}else{
				$r['branch_code_orig']=$r['branch_code'];
				pre($r);
			}
		}	
		print_footer();
	}
}else
	header('Location: login.php');
function pre($val){
	?>
	<script type='text/javascript'>
		$(document).ready(function(){
			var fld=new Array();
			fld[0]=['account_name', 'Account Name'];
			fld[1]=['company_name', 'Company Name'];
			fld[2]=['contact_person', 'Contact Person'];
			fld[3]=['mun_addr', 'City/Town'];
			fld[4]=['agent_name', 'Agent Name'];
			ac('#txtcustomer', fld, 'vw_sel_customer', 'ctype=1 and cb_id is null');
			$('#txtcustomer').autocomplete({
				select:function(event, ui){
					$('#hdncustomer_id').val(ui.item.customer_id);
					$('#txtcustomer').val(ui.item.company_name+' / '+ui.item.contact_person);
					return false;
				}
			});
			$('form').submit(function(){
				if(env('#txtbranch_code', 'Branch Code')) return false;
				if($('#txtbranch_code').val().length>3){
					alert('Please provide a value for Branch Code with a maximum of 3 characters.');
					$('#txtbranch_code').addClass('invalid');
					$('#txtbranch_code').focus();
					return false;
				}
				if(env('#txtbranch_name', 'Branch Name')) return false;
				if(env('#txtcustomer', 'Customer')) return false;
			});
		});
	</script>
	<form method='post' enctype='multipart/form-data'>
		<div class='out'><div class='in'>
			<table class='head'><tr><th>Edit Branch</th></tr></table>
			<table class='grd'>
				<tr><td colspan='2' style='color:#ff0000; text-align:center;'>Entries with asterisk(*) are requried.</td></tr>
				<tr>
					<th>Branch Code:</th>
					<td>
						<?php
						hdn('branch_code_orig', $val);
						txt('branch_code', $val, 's');
						?>
						<span class='required'></span>
					</td>
				</tr>
				<tr>
					<th>Branch Name:</th>
					<td><?php txt('branch_name', $val) ?><span class='required'></span></td>
				</tr>
				<tr>
					<th>Address:</th>
					<td><?php txt('branch_addr', $val, 'l') ?></td>
				</tr>
				<tr>
					<th>Customer:</th>
					<td>
						<?php
						hdn('customer_id', $val);
						txt('customer', $val);
						?>
						<span class='required'></span>
					</td>
				</tr>
				<tr>
					<th>Active:</th>
					<td><?php chk('active', $val) ?></td>
				</tr>
				<tfoot><tr><th colspan='2'>
					<?php
					rst('Reset', 'Reset', 'button blue');
					sbt('Submit', 'Submit', 'button blue');
					?>
				</th></tr></tfoot>
			</table>	
		</div></div>
	</form>
	<?php
}
function post($val){
	if(param()){
		if($_POST['txtbranch_code']!=$_POST['hdnbranch_code_orig']){
			$r=rec('branches', "branch_code='$_POST[txtbranch_code]'");
			if($r) $err='Please provide a value for Branch Code that is not yet existing.';
		}
		if(!isset($err)){
			$ar=upd('branches', "branch_id=$_GET[branch_id]", 'chkactive');
			$r=rec('customer_branches', "branch_id=$_GET[branch_id]");
			if($r){
				qry("update customer_branches set customer_id=$_POST[hdncustomer_id] where branch_id=$_GET[branch_id]");	
			}else{
				$smt="insert into customer_branches (
				branch_id, customer_id, active) values (
				$_GET[branch_id], $_POST[hdncustomer_id], 1)";
				qry($smt);
			}
			$q=qry("select * from products where active=1 order by product_id");
			while($r=mysql_fetch_assoc($q)){
				if(!rec("branch_products", "branch_id=$_GET[branch_id] and product_id=$r[product_id]"))
					qry("insert into branch_products (branch_id, product_id, reorder) values($_GET[branch_id], $r[product_id], 25)");
			}
			if(!rec("branch_registers", "branch_id=$_GET[branch_id]"))
				qry("insert into branch_registers (branch_id, cash) values($_GET[branch_id], 0)");
		}
		if(isset($err)){
			?>
			<div class='err'><?php echo $err ?></div>
			<?php
			pre($_POST);
		}else{
			?>
			<div class='ok'>
				Branch has been edited.<br>
				Click <?php lnk('BranchList', 'here', 'branches.php') ?> to see all Branches.
			</div>
			<?php
		}
	}else{
		?>
		<div class='err'>
			You must have made a mistake accessing this page.<br>
			Please try again.
		</div>
		<?php
	}
}
function param(){
	if(!isset($_GET['branch_id'])) return false;
	if(!is_numeric($_GET['branch_id'])) return false;
	return true;
}
?>