<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Edit Expense');
define('NAV', 4); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_134() == true) {
		print_header(TITLE);
		print_navs();
		
		if (isset($_POST['submitted'])) {
			if (isset($_SESSION['token']) && $_POST['token'] == $_SESSION['token']) {
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$expense_id = mysql_real_escape_string(stripslashes($_POST['expense_id']));
					$ref_num = mysql_real_escape_string(stripslashes($_POST['ref_num']));
					$edate = mysql_real_escape_string(stripslashes($_POST['edate']));
					$extype_id = mysql_real_escape_string(stripslashes($_POST['extype_id']));
					$exdesc = htmlentities(mysql_real_escape_string(stripslashes($_POST['exdesc'])));
					$amount = mysql_real_escape_string(stripslashes($_POST['amount']));
					$branch_id = mysql_real_escape_string(stripslashes($_POST['branch_id']));
				} else {
					$expense_id = mysql_real_escape_string($_POST['expense_id']);
					$ref_num = mysql_real_escape_string($_POST['ref_num']);
					$edate = mysql_real_escape_string($_POST['edate']);
					$extype_id = mysql_real_escape_string($_POST['extype_id']);
					$exdesc = htmlentities(mysql_real_escape_string($_POST['exdesc']));
					$amount = mysql_real_escape_string($_POST['amount']);
					$branch_id = mysql_real_escape_string($_POST['branch_id']);
				}
				
				// Check to make sure they have entered the reference number
				if ($ref_num != "" && is_string($ref_num)) { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please enter the reference number."; }
				// Check to make sure they entered a valid date of the expense
				if ($edate != "" && is_string($ref_num)) { $b = TRUE; } 
				else { $b = FALSE; $message[] = "Please enter the date of expense."; }
				// Check to make sure they have entered the type of expense
				if ($extype_id != 0 && is_numeric($extype_id)) { $c = TRUE; } 
				else { $c = FALSE; $message[] = "Please enter the name of the type of expense."; }
				// Check to make sure they have entered the description of expense
				if ($exdesc != "" && is_string($exdesc)) { $d = TRUE; } 
				else { $d = FALSE; $message[] = "Please enter the description of expense."; }
				// Check to make sure they have entered the amount
				if (is_float($amount) || is_numeric($amount)) { $e = TRUE; } 
				else { $e = FALSE; $message[] = "Please enter the amount of expense."; }

				// If the data pass all tests, continue with update
				if ( $a && $b && $c && $d && $e ) {
					// perform update
					$sql = "UPDATE branch_expenses 
							SET ref_num = '$ref_num', 
								edate = '$edate', 
								extype_id = '$extype_id', 
								exdesc = '$exdesc', 
								amount = '$amount', 
								user_id = '$_SESSION[user_id]'
							WHERE expense_id = '$expense_id' LIMIT 1";
					mysql_query($sql);

					if (mysql_affected_rows() == 1) {
						print "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td height=30 align=center>
						<font face=arial size=2>Expense has been updated.<br>Click <a class=tddata 
						href='branch_expenses.php?branch_id=$branch_id'>here</a> to view all expenses.</font></td></tr></table></td></tr></table></center><br>";
					} else {
						print"<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td height=30 align=center>
						<font face=arial size=2>Could not update the expense because: <b>" .mysql_error(). "</b>.</font>
						</td></tr></table></td></tr></table></center><br>";
					}
					mysql_close();
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td height=30 
							align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>The following problems 
							occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
					}
					show_form($expense_id);
				}
			} else {
				$sql = "DELETE FROM users_online WHERE user_id = '$_SESSION[user_id]' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
				session_unset();
				session_destroy();
				header('Location: login.php');
			}
		} else {
			// Check for valid entry expense_id in the URL
			if (is_numeric($_GET['expense_id'])) {
				$expense_id = $_GET['expense_id'];
				// show form
				show_form($expense_id);
			} else { // No expense_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!
				</b></font></p></center>";
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($expense_id) {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;

	$sql = "SELECT CURDATE()";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$date = $drow[0]; 
	mysql_free_result($dres); 

	$sql = "SELECT * FROM branch_expenses WHERE expense_id = '$expense_id'"; 
	$res = mysql_query($sql);
	$row = mysql_fetch_array($res);
	?>
	<form name="EditBExpense" action="e_branch_expense.php" method="POST">
		<div class="post">
			<h1 class="title">Edit Expense</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All are required fields</font></td></tr>
						<tr class="even"><td align="right" width="125">&nbsp;&nbsp;Date&nbsp;</td>
							<td align="left" width="300"><input readonly type="text" size="10" name="edate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:edate.popup();">&nbsp;<img src="lib/b_calendar.png"></a>&nbsp;<font color="red">*</font></td></tr>
							<script language="JavaScript">
							<!-- // create calendar object(s) just after form tag closed
								var edate = new calendar(document.forms['EditExpense'].elements['edate']);
								edate.year_scroll = true; edate.time_comp = false;
							//-->
							</script>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Type of Expense&nbsp;</td>
							<td align="left"><select name="extype_id"><option value="0">Type</option>
								<?PHP
								$sql = "SELECT extype_id, extype_name FROM expense_types WHERE active = 1 ORDER BY extype_id";
								$etres = mysql_query($sql);
								while ($etrow = mysql_fetch_array($etres)) {
									if ($row[4] == $etrow[0]) {
										?><option value="<?PHP echo $etrow[0] ?>" Selected><?PHP echo $etrow[1] ?></option><?PHP
									} else {
										?><option value="<?PHP echo $etrow[0] ?>"><?PHP echo $etrow[1] ?></option><?PHP
									}
								}
								?></select>&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Branch&nbsp;</td>
							<td align="left">&nbsp;<?PHP 
								$sql = "SELECT branch_name FROM branches WHERE branch_id = '$row[1]'";
								$bbres = mysql_query($sql) or die(mysql_error()); 
								$bbrow = mysql_fetch_array($bbres); echo $bbrow[0]; ?></td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Reference #&nbsp;</td>
							<td align="left"><input type="text" name="ref_num" size="30" value="<?PHP echo $row[2] ?>">&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="right">&nbsp;&nbsp;Expense Description&nbsp;</td>
							<td align="left"><input type="text" name="exdesc" size="30" value="<?PHP echo $row[5] ?>">&nbsp;&nbsp;</td></tr>
						<tr class="odd"><td align="right">&nbsp;&nbsp;Amount&nbsp;</td>
							<td align="left"><input type="text" size="30" name="amount" value="<?PHP echo $row[6] ?>">&nbsp;&nbsp;</td></tr>
						<tr class="even"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="token" value="<?PHP echo $token ?>">
							<input type="hidden" name="expense_id" value="<?PHP echo $expense_id ?>">
							<input type="hidden" name="branch_id" value="<?PHP echo $row[1] ?>">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valEditBExpense()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
	mysql_free_result($res);
}
?>