<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Edit Product');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_13() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
				$product_id = mysql_real_escape_string(stripslashes($_POST['product_id']));
				$category_id = mysql_real_escape_string(stripslashes($_POST['category_id']));
				$manufacturer_id = mysql_real_escape_string(stripslashes($_POST['manufacturer_id']));
				$product_name = mysql_real_escape_string(stripslashes($_POST['product_name']));
				$product_num = mysql_real_escape_string(stripslashes($_POST['product_num']));
				$acq_price = mysql_real_escape_string(stripslashes($_POST['acq_price']));
				$sell_price = mysql_real_escape_string(stripslashes($_POST['sell_price']));
				$aprice = mysql_real_escape_string(stripslashes($_POST['aprice']));
				$bprice = mysql_real_escape_string(stripslashes($_POST['bprice']));
				$cprice = mysql_real_escape_string(stripslashes($_POST['cprice']));
				$dprice = mysql_real_escape_string(stripslashes($_POST['dprice']));
				$active = mysql_real_escape_string(stripslashes($_POST['active']));
			} else {
				$product_id = mysql_real_escape_string($_POST['product_id']);
				$category_id = mysql_real_escape_string($_POST['category_id']);
				$manufacturer_id = mysql_real_escape_string($_POST['manufacturer_id']);
				$product_name = mysql_real_escape_string($_POST['product_name']);
				$product_num = mysql_real_escape_string($_POST['product_num']);
				$acq_price = mysql_real_escape_string($_POST['acq_price']);
				$sell_price = mysql_real_escape_string($_POST['sell_price']);
				$aprice = mysql_real_escape_string($_POST['aprice']);
				$bprice = mysql_real_escape_string($_POST['bprice']);
				$cprice = mysql_real_escape_string($_POST['cprice']);
				$dprice = mysql_real_escape_string($_POST['dprice']);
				$active = mysql_real_escape_string($_POST['active']);
			}
			
			// Check to make sure they have selected from the list of categories.
			if ($category_id != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please select from the list of categories."; }
			// Check to make sure they have selected from the list of manufacturers.
			if ($manufacturer_id != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please select from the list of manufacturers."; }
			// Check to make sure they entered the product name.
			if ($product_name != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please enter the product name."; }
			// Check to make sure they have entered the acquisition price
			if ($acq_price != "") { $d = TRUE; } 
			else { $d = FALSE; $message[] = "Please enter the acquisition price."; }
			// Check to make sure they have entered the selling price
			if ($sell_price != "") { $e = TRUE; } 
			else { $e = FALSE; $message[] = "Please enter the selling price."; }
			
			// If the data pass all tests, add data
			if ( $a && $b && $c && $d && $e ) {
				$query = "UPDATE products 
						SET product_name = '$product_name', product_num = '$product_num', 
							category_id = $category_id, manufacturer_id = $manufacturer_id,
							acq_price = $acq_price, sell_price = $sell_price, aprice = $aprice,
							bprice = $bprice, cprice = $cprice, dprice = $dprice, active = '$active'
						WHERE product_id = '$product_id'";
				if (mysql_query($query)) {
					print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2>Product has been updated.<br>Click <a 
						class=paging href='products.php'>here</a> to view all products.</font></td></tr>
						</table></td></tr></table></center><br>";
					show_product($product_id);
				} else {
					print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2 color=red>Could not edit product because: <b>".mysql_error()."</b>.
						The query was $query.</font></td></tr></table></td></tr></table></center><br>";
				}
				mysql_close();
			} else {
				if ($message) {
					echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td><font face=arial size=2>
					<img src='lib/s_error.png'><br><br><b>The following problems occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<b>Be sure to re-enter all fields!</b></font><br><br></td></tr></table></td></tr></table></center>\n";
				}
				show_form($product_id);
			}
		} else {
			// Check for valid entry product_id in the URL
			if (is_numeric($_GET['product_id'])) {
				$product_id = $_GET['product_id'];
				// show form
				show_form($product_id);
			} else { // No product_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!
				</b></font></p></center>";
			}
		}

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($product_id) {
	$sql = "SELECT * FROM products WHERE product_id = '$product_id'";
	$res = mysql_query($sql);
	$row = mysql_fetch_array($res);
	?>
	<form name="EditProduct" action="e_product.php" method="POST">
	    <div class="post">
			<h1 class="title">Edit Product</h1>
			<div class="entry">
				<table>
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="2"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td align="right">Category&nbsp;</td>
							<td align="left"><select name="category_id"><option value="0">Category</option>
								<?PHP
								$cres = mysql_query("select category_id, category_name from categories order by category_name");
								while ($crow = mysql_fetch_array($cres)) {
									if ($row[3] == $crow[0]) {
										print "<option value='$crow[0]' Selected>$crow[1]</option>";
									} else {
										print "<option value='$crow[0]'>$crow[1]</option>";
									}
								} ?></select>&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Manufacturer&nbsp;</td>
							<td align="left"><select name="manufacturer_id"><option value="0">Manufacturer</option>
								<?PHP
								$mres = mysql_query("select manufacturer_id, manufacturer_name from manufacturers order by manufacturer_name");
								while ($mrow = mysql_fetch_array($mres)) {
									if ($row[4] == $mrow[0]) {
										print "<option value='$mrow[0]' Selected>$mrow[1]</option>";
									} else {
										print "<option value='$mrow[0]'>$mrow[1]</option>";
									}
								} ?></select>&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right" width="125">Product Name&nbsp;</td>
							<td align="left" width="250"><input type="text" size="35" name="product_name" value="<?PHP echo $row[1] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Product Number&nbsp;</td>
							<td align="left"><input type="text" size="35" name="product_num" value="<?PHP echo $row[2] ?>">&nbsp;</td></tr>
						<tr class="even"><td align="right">Acquisition Price&nbsp;</td>
							<td align="left"><input type="text" size="35" name="acq_price" value="<?PHP echo $row[5] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="odd"><td align="right">Selling Price&nbsp;</td>
							<td align="left"><input type="text" size="35" name="sell_price" value="<?PHP echo $row[6] ?>">&nbsp;<font color="red">*</font></td></tr>
						<tr class="even"><td align="right">Selling Price "A"&nbsp;</td>
							<td align="left"><input type="text" size="35" name="aprice" value="<?PHP echo $row[7] ?>">&nbsp;</td></tr>
						<tr class="odd"><td align="right">Selling Price "B"&nbsp;</td>
							<td align="left"><input type="text" size="35" name="bprice" value="<?PHP echo $row[8] ?>">&nbsp;</td></tr>
						<tr class="even"><td align="right">Selling Price "C"&nbsp;</td>
							<td align="left"><input type="text" size="35" name="cprice" value="<?PHP echo $row[9] ?>">&nbsp;</td></tr>
						<tr class="odd"><td align="right">Selling Price "D"&nbsp;</td>
							<td align="left"><input type="text" size="35" name="dprice" value="<?PHP echo $row[10] ?>">&nbsp;</td></tr>
						<tr class="even"><td align="right">Active&nbsp;</td>
							<td align="left"><select name="active"><?PHP
								if ($row[11] == 1) {
									?><option value="1" Selected>Yes</option><option value="0">No</option><?PHP
								} elseif ($row[11] == 0) {
									?><option value="1">Yes</option><option value="0" Selected>No</option><?PHP
								} else {
									?><option value="1">Yes</option><option value="0">No</option><?PHP
								}
								?></select>&nbsp;</td></tr>
						<tr class="odd"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="product_id" value="<?PHP echo $product_id ?>">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valEditProduct()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}


?>