<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Update Product Entry From Purchase');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		
		if (isset($_POST['submit'])) {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $purchase_id = mysql_real_escape_string(stripslashes($_POST['purchase_id']));
	            $pd_id = mysql_real_escape_string(stripslashes($_POST['pd_id']));
	            $quantity = mysql_real_escape_string(stripslashes($_POST['quantity']));
	            $unit_price = mysql_real_escape_string(stripslashes($_POST['unit_price']));
	            $unit_discount = mysql_real_escape_string(stripslashes($_POST['unit_discount']));
	            $net_price = mysql_real_escape_string(stripslashes($_POST['net_price']));
	            $balance = mysql_real_escape_string(stripslashes($_POST['balance']));
	        } else {
	            $purchase_id = mysql_real_escape_string($_POST['purchase_id']);
	            $pd_id = mysql_real_escape_string($_POST['pd_id']);
	            $quantity = mysql_real_escape_string($_POST['quantity']);
	            $unit_price = mysql_real_escape_string($_POST['unit_price']);
	            $unit_discount = mysql_real_escape_string($_POST['unit_discount']);
	            $net_price = mysql_real_escape_string($_POST['net_price']);
	            $balance = mysql_real_escape_string($_POST['balance']);
	        }

			// Check to make sure they have entered the reference number
			if ($quantity != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please enter the quantity."; }
			// Check to make sure they have entered the reference number
			if ($unit_price != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please enter the unit price."; }
			// Check to make sure they have entered the reference number
			if ($net_price != "") { $c = TRUE; } 
			else { $c = FALSE; $message[] = "Please enter the net price."; }
			// Check to make sure they have entered the reference number
			if ($balance != "") { $d = TRUE; } 
			else { $d = FALSE; $message[] = "Please enter the balance."; }

			// If the data pass all tests, update product entry
			if ( $a && $b && $c && $d ) {
				// get the line total of the purchase after adding the new product into the purchase
				$sql = "SELECT SUM(quantity * (unit_price - unit_discount)) FROM purchase_details
						WHERE purchase_id = '$purchase_id'";
				$plt_b4_res = mysql_query($sql); $plt_b4_row = mysql_fetch_array($plt_b4_res); 
				$plt_b4 = $plt_b4_row[0]; 

				// determine if purchase is direct delivery or not
				$sql = "SELECT direct_delivery FROM purchases WHERE purchase_id = '$purchase_id'";
				$dd_res = mysql_query($sql); $dd_row = mysql_fetch_array($dd_res);
				
				if ($dd_row[0] == 1) { // if DIRECT DELIVERY
					//print "purchase is a direct delivery<br>";
					// select the sale details for this purchase detail
					$sql = "SELECT sd_id, sale_id, quantity, unit_price, unit_discount FROM sale_details 
							WHERE pd_id = '$pd_id'"; 
					$sd_res = mysql_query($sql); $sd_row = mysql_fetch_array($sd_res); 
					$sd_id = $sd_row[0]; $sale_id = $sd_row[1]; $sale_quantity = $sd_row[2];
					$sale_price = $sd_row[3]; $sale_discount = $sd_row[4];
					//print "sale detail id: $sd_id; sale id: $sale_id; sale quantity: $sale_quantity; sale price: $sale_price; sale discount: $sale_discount<br>";

					// get the line total of sale
					$sql = "SELECT line_total, revenue FROM sales WHERE sale_id = '$sale_id'";
					$slt_b4_res = mysql_query($sql); $slt_b4_row = mysql_fetch_array($slt_b4_res); 
					$slt_b4 = $slt_b4_row[0]; $revenue_b4 = $slt_b4_row[1];
					//print "sale line total before: $slt_b4; sale revenue before: $revenue_b4<br>";
				
					// get the values of the sale details after the update
					$acq_price = $unit_price - $unit_discount;
					$sd_net_price = $sale_quantity * (($sale_price - $sale_discount) - $acq_price);

					// update the sale detail and sale
					$sql = "UPDATE sale_details 
							SET acq_price = $acq_price, net_price = $sd_net_price
							WHERE sd_id = '$sd_id' LIMIT 1"; 
					mysql_query($sql) or die(mysql_error());
					if (mysql_affected_rows() == 1) {
						// update the purchase detail
						$sql = "UPDATE purchase_details 
								SET quantity = $quantity, unit_price = $unit_price, 
									unit_discount = $unit_discount, net_price = $net_price, balance = $balance
								WHERE pd_id = '$pd_id' LIMIT 1";
						mysql_query($sql) or die(mysql_error());
						if (mysql_affected_rows() == 1) {
							// get the line total and revenue of sale after the adjustment
							$sql = "SELECT SUM(quantity*(unit_price - unit_discount)), 
										SUM((quantity * ((unit_price - unit_discount) - acq_price))) 
									FROM sale_details WHERE sale_id = '$sale_id'";
							$slt_after_res = mysql_query($sql); $slt_after_row = mysql_fetch_array($slt_after_res); 
							$slt_after = $slt_after_row[0]; $revenue = $slt_after_row[1];
							print "sale line total after: $slt_after; revenue after: $revenue<br>";
							// get the balance of sale
							$sql = "SELECT balance FROM sales WHERE sale_id = '$sale_id'"; 
							$sb_res = mysql_query($sql); $sb_row = mysql_fetch_array($sb_res); 
							$sale_balance = $sb_row[0];
							
							if ($slt_b4 > $slt_after) { 
								$diff_slt = $slt_b4 - $slt_after;
								$new_sb = $sale_balance - $diff_slt;
							} elseif ($slt_b4 < $slt_after) {
								$diff_slt = $slt_after - $slt_b4;
								$new_sb = $sale_balance + $diff_slt;
							} else {
								$new_sb = $sale_balance;
							}
							print "new sale balance: $new_sb";
							
							// update sale
							$sql = "UPDATE sales 
									SET line_total = '$slt_after', balance = '$new_sb', revenue = '$revenue'
									WHERE sale_id = '$sale_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error());
							if (mysql_affected_rows() == 1) {
								// get the line total of the purchase after the adjustment
								$sql = "SELECT SUM(quantity * (unit_price - unit_discount)) FROM purchase_details
										WHERE purchase_id = '$purchase_id'";
								$plt_after_res = mysql_query($sql); $plt_after_row = mysql_fetch_array($plt_after_res); 
								$plt_after = $plt_after_row[0]; 
								// get the balance of purchase
								$sql = "SELECT balance FROM purchases WHERE purchase_id = '$purchase_id'"; 
								$pb_res = mysql_query($sql); $pb_row = mysql_fetch_array($pb_res); 
								$purchase_balance = $pb_row[0];
								
								if ($plt_b4 > $plt_after) { 
									$diff_plt = $plt_b4 - $plt_after;
									$new_pb = $purchase_balance - $diff_plt;
								} elseif ($plt_b4 < $plt_after) {
									$diff_plt = $plt_after - $plt_b4;
									$new_pb = $purchase_balance + $diff_plt;
								} else {
									$new_pb = $purchase_balance;
								}
								
								// update the purchase
								$sql = "UPDATE purchases 
										SET line_total = $plt_after, balance = $new_pb
										WHERE purchase_id = '$purchase_id' LIMIT 1";
								mysql_query($sql) or die(mysql_error());
								if (mysql_affected_rows() == 1) {
									// updated purchase
									print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
										height=30 align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br><b>
										Product entry has been updated in the database</b>.</font></td></tr></table></td></tr></table></center><br>";
									show_purchase($purchase_id); 
								} else {
									// updated sale details, purchase details and sale but FAILED TO UPDATE purchase
									print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
										align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>There has been a mistake</b>.
										<br>Successfully updated the sale details, purchase details and sale but FAILED TO UPDATE the purchase.</font></td></tr></table></td></tr></table></center><br>";
									show_purchase($purchase_id);
								}
							} else {
								// updated sale details and purchase details but FAILED TO UPDATE sale
								print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
									align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>There has been a mistake</b>.
									<br>Successfully updated the sale and purchase details but FAILED TO UPDATE the sale.</font></td></tr></table></td></tr></table></center><br>";
								show_purchase($purchase_id);
							}
						} else {
							// updated sale_details but FAILED TO UPDATE purchase details
							print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>There has been a mistake</b>.
								<br>Successfully updated the sale details but FAILED TO UPDATE the purchase details.</font></td></tr></table></td></tr></table></center><br>";
							show_purchase($purchase_id);
						}
					} else {
						// FAILED to update sale_details
						print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
							align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could NOT update the product entry</b>.
							<br>No change has been made.</font></td></tr></table></td></tr></table></center><br>";
						show_purchase($purchase_id);
					}
					// update the purchase detail and purchase
				} elseif ($dd_row[0] == 0) { // if NOT direct delivery
					//print "purchase is NOT a direct delivery<br>";
					// get the sale detail which has taken a value from it
					$sql = "SELECT sd_id, sale_id, quantity, unit_price, unit_discount FROM sale_details 
							WHERE pd_id = '$pd_id'"; 
					$sd_res = mysql_query($sql); $sd_num = mysql_num_rows($sd_res); 
					if ($sd_num > 0) {
						$sd_row = mysql_fetch_array($sd_res); 
						$sd_id = $sd_row[0]; $sale_id = $sd_row[1]; $sale_quantity = $sd_row[2];
						$sale_price = $sd_row[3]; $sale_discount = $sd_row[4];
						//print "sale detail id: $sd_id; sale id: $sale_id; sale quantity: $sale_quantity; sale price: $sale_price; sale discount: $sale_discount<br>";
						// get the line total of sale
						$sql = "SELECT line_total, revenue FROM sales WHERE sale_id = '$sale_id'";
						$slt_b4_res = mysql_query($sql); $slt_b4_row = mysql_fetch_array($slt_b4_res); 
						$slt_b4 = $slt_b4_row[0]; $revenue_b4 = $slt_b4_row[1];
						//print "sale line total before: $slt_b4; sale revenue before: $revenue_b4<br>";
						// get the values of the sale details after the update
						$acq_price = $unit_price - $unit_discount;
						$sd_net_price = $sale_quantity * (($sale_price - $sale_discount) - $acq_price);
						// update the sale detail
						$sql = "UPDATE sale_details 
								SET acq_price = $acq_price, net_price = $sd_net_price
								WHERE sd_id = '$sd_id' LIMIT 1"; 
						mysql_query($sql) or die(mysql_error());
						if (mysql_affected_rows() == 1) {
							// update the purchase detail
							$sql = "UPDATE purchase_details 
									SET quantity = $quantity, unit_price = $unit_price, 
										unit_discount = $unit_discount, net_price = $net_price, balance = $balance
									WHERE pd_id = '$pd_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error());
							if (mysql_affected_rows() == 1) {
								// get the line total and revenue of sale after the adjustment
								$sql = "SELECT SUM(quantity*(unit_price - unit_discount)), 
											SUM((quantity * ((unit_price - unit_discount) - acq_price))) 
										FROM sale_details WHERE sale_id = '$sale_id'";
								$slt_after_res = mysql_query($sql); $slt_after_row = mysql_fetch_array($slt_after_res); 
								$slt_after = $slt_after_row[0]; $revenue = $slt_after_row[1];
								// get the balance of sale
								$sql = "SELECT balance FROM sales WHERE sale_id = '$sale_id'"; 
								$sb_res = mysql_query($sql); $sb_row = mysql_fetch_array($sb_res); 
								$sale_balance = $sb_row[0];
								
								if ($slt_b4 > $slt_after) { 
									$diff_slt = $slt_b4 - $slt_after;
									$new_sb = $sale_balance - $diff_slt;
								} elseif ($slt_b4 < $slt_after) {
									$diff_slt = $slt_after - $slt_b4;
									$new_sb = $sale_balance + $diff_slt;
								} else {
									$new_sb = $sale_balance;
								}
								
								// update sale
								$sql = "UPDATE sales SET revenue = $revenue
										WHERE sale_id = '$sale_id' LIMIT 1";
								mysql_query($sql) or die(mysql_error());
								if (mysql_affected_rows() == 1) {
									// get the line total of the purchase after the adjustment
									$sql = "SELECT SUM(quantity * (unit_price - unit_discount)) FROM purchase_details
											WHERE purchase_id = '$purchase_id'";
									$plt_after_res = mysql_query($sql); $plt_after_row = mysql_fetch_array($plt_after_res); 
									$plt_after = $plt_after_row[0]; 
									// get the balance of purchase
									$sql = "SELECT balance FROM purchases WHERE purchase_id = '$purchase_id'"; 
									$pb_res = mysql_query($sql); $pb_row = mysql_fetch_array($pb_res); 
									$purchase_balance = $pb_row[0];
									
									if ($plt_b4 > $plt_after) { 
										$diff_plt = $plt_b4 - $plt_after;
										$new_pb = $purchase_balance - $diff_plt;
									} elseif ($plt_b4 < $plt_after) {
										$diff_plt = $plt_after - $plt_b4;
										$new_pb = $purchase_balance + $diff_plt;
									} else {
										$new_pb = $purchase_balance;
									}
									
									// update the purchase
									$sql = "UPDATE purchases 
											SET line_total = $plt_after, balance = $new_pb
											WHERE purchase_id = '$purchase_id' LIMIT 1";
									mysql_query($sql) or die(mysql_error());
									if (mysql_affected_rows() == 1) {
										// updated purchase
										print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
											height=30 align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br><b>
											Product entry has been updated in the database</b>.</font></td></tr></table></td></tr></table></center><br>";
										show_purchase($purchase_id); 
									} else {
										// updated sale details, purchase details and sale but FAILED TO UPDATE purchase
										print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
											align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>There has been a mistake</b>.
											<br>Successfully updated the sale details, purchase details and sale but FAILED TO UPDATE the purchase.</font></td></tr></table></td></tr></table></center><br>";
										show_purchase($purchase_id);
									}
								} else {
									// updated sale details, purchase details but FAILED TO UPDATE sale
									print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
										align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>There has been a mistake</b>.
										<br>Successfully updated the sale and purchase details but FAILED TO UPDATE the sale.</font></td></tr></table></td></tr></table></center><br>";
									show_purchase($purchase_id);
								}
							} else {
								// updated the sale details but FAILED TO UPDATE purchase detail
								print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
									align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>There has been a mistake</b>.
									<br>Successfully updated the sale details but FAILED TO UPDATE the purchase details.</font></td></tr></table></td></tr></table></center><br>";
								show_purchase($purchase_id);
							}
						} else {
							// FAILED TO UPDATE sale detail
							print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could NOT update the product entry</b>.
								<br>No change has been made.</font></td></tr></table></td></tr></table></center><br>";
							show_purchase($purchase_id);
						}
					} else {
						// update the purchase detail
						$sql = "UPDATE purchase_details 
								SET quantity = $quantity, unit_price = $unit_price, 
									unit_discount = $unit_discount, net_price = $net_price, balance = $balance
								WHERE pd_id = '$pd_id' LIMIT 1";
						mysql_query($sql) or die(mysql_error());
						if (mysql_affected_rows() == 1) {
							// get the line total of the purchase after the adjustment
							$sql = "SELECT SUM(quantity * (unit_price - unit_discount)) FROM purchase_details
									WHERE purchase_id = '$purchase_id'";
							$plt_after_res = mysql_query($sql); $plt_after_row = mysql_fetch_array($plt_after_res); 
							$plt_after = $plt_after_row[0]; 
							// get the balance of purchase
							$sql = "SELECT balance FROM purchases WHERE purchase_id = '$purchase_id'"; 
							$pb_res = mysql_query($sql); $pb_row = mysql_fetch_array($pb_res); 
							$purchase_balance = $pb_row[0];
							
							if ($plt_b4 > $plt_after) { 
								$diff_plt = $plt_b4 - $plt_after;
								$new_pb = $purchase_balance - $diff_plt;
							} elseif ($plt_b4 < $plt_after) {
								$diff_plt = $plt_after - $plt_b4;
								$new_pb = $purchase_balance + $diff_plt;
							} else {
								$new_pb = $purchase_balance;
							}
								
							// update the purchase
							$sql = "UPDATE purchases 
									SET line_total = $plt_after, balance = $new_pb
									WHERE purchase_id = '$purchase_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error());
							if (mysql_affected_rows() == 1) {
								// updated purchase
								print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									height=30 align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br><b>
									Product entry has been updated in the database</b>.</font></td></tr></table></td></tr></table></center><br>";
								show_purchase($purchase_id); 
							} else {
								// updated purchase details but FAILED TO UPDATE purchase
								print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
									align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>There has been a mistake</b>.
									<br>Successfully updated the product entry but FAILED TO UPDATE the purchase.</font></td></tr></table></td></tr></table></center><br>";
								show_purchase($purchase_id);
							}
						} else {
							// FAILED TO UPDATE purchase detail
							print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could NOT update the product entry</b>.
								<br>No change has been made.</font></td></tr></table></td></tr></table></center><br>";
							show_purchase($purchase_id);
						}
					}
				}
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td height=30 
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>The following problems 
						occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
				}
				show_form($pd_id);
			}
		} else {
			// Check for valid entry pd_id in the URL
			if (is_numeric($_GET['pd_id'])) {
				$pd_id = $_GET['pd_id'];
				// show form
				show_form($pd_id);
			} else { // No pd_id set.
				print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($pd_id) {
	$sql = "SELECT purchase_id FROM purchase_details WHERE pd_id = '$pd_id'";
	$pdres1 = mysql_query($sql);
	$pdrow1 = mysql_fetch_array($pdres1); $purchase_id = $pdrow1[0];
	mysql_free_result($pdres1);
	
	$sql = "SELECT p.or_num, p.supplier_id, s.company_name, CONCAT(u.fname,' ',u.lname), 
				DATE_FORMAT(p.delivery_date, '%b %e, %Y'), p.received_by, 
				p.notes, p.line_total, p.balance, p.pmode
			FROM purchases p, suppliers s, users u
			WHERE p.supplier_id = s.supplier_id AND p.user_id = u.user_id AND p.purchase_id = '$purchase_id'";
	$res = mysql_query($sql);
	$row = mysql_fetch_array($res);
	?>
	<div class="post">
		<h1 class="title">Purchase Details</h1>
		<div class="entry">
			<table width="725">
				<tbody class="data">
					<tr class="odd"><td align="right" width="100">O.R. #&nbsp;</td>
						<td align="left" width="240">&nbsp;<?PHP print $row[0] ?></td>
						<td align="right" width="110">Date&nbsp;</td>
						<td align="left" width="250">&nbsp;<?PHP print $row[4] ?></td></tr>
					<tr class="even"><td align="right">Supplier&nbsp;</td>
						<td align="left">&nbsp;<a class="tddata" href="supplier.php?supplier_id=<?PHP print $row[1] ?>"><b><?PHP print $row[2] ?></b></a></td>
						<td align="right">User&nbsp;</td>
						<td align="left">&nbsp;<?PHP print $row[3] ?></td></tr>
					<tr class="odd"><td align="right">Line Total&nbsp;</td>
						<td align="left">&nbsp;<?PHP $linet = number_format($row[7], 2); print $linet ?></td>
						<td align="right">Payment Balance&nbsp;</td>
						<td align="left">&nbsp;<?PHP $pbal = number_format($prow[8], 2); print $pbal ?></td></tr>
					<tr class="even"><td align="right">Recieved By&nbsp;</td>
						<td align="left">&nbsp;<?PHP
							$rres = mysql_query("select concat(fname,' ',lname) from users where user_id='$row[5]'");
							$rrow = mysql_fetch_array($rres); $receiver = $rrow[0];
							mysql_free_result($rres); print $receiver ?></td>
						<td align="right">Payment Mode&nbsp;</td>
						<td align="left">&nbsp;<?PHP
							if ($row[9] == 1) { print "Cash"; } 
							elseif ($row[9] == 2) { print "Check"; } ?></td></tr>
					<tr class="odd"><td align="right">Notes&nbsp;</td>
						<td align="left" colspan="3">&nbsp;<?PHP print $row[6] ?></td></tr>
				</tbody>
			</table>
		</div>
        <p class="meta"></p>
	</div><br>
	<?PHP
	$sql = "SELECT pd.product_id, p.product_name, pd.quantity, 
				pd.unit_price, pd.unit_discount, pd.net_price, pd.balance, pd.pd_id
			FROM purchase_details pd, products p
			WHERE pd.purchase_id = '$purchase_id' 
				AND pd.pd_id = '$pd_id'
				AND pd.product_id=p.product_id";
	$res2 = mysql_query($sql);
	?>
	<form action="e_purchase_detail.php" method="POST">
		<div class="post">
			<h1 class="title">Product</h1>
			<div class="entry">
				<table width="725">
					<thead class="data"><tr>
						<td align="center" width="280">Product</td>
						<td align="center" width="70">Quantity</td>
						<td align="center" width="85">Unit Price</td>
						<td align="center" width="90">Unit Discount</td>
						<td align="center" width="100">Net Price</td>
						<td align="center" width="60">Balance</td>
					</tr></thead>
					<tbody class="data">
					<?PHP
						$i = 1;
						while ($row2 = mysql_fetch_array($res2)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
	                        ?>
								<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row2[0] ?>"><?PHP echo $row2[1] ?></a></td>
								<td align="center"><input type="text" size="7" name="quantity" value="<?PHP echo $row2[2] ?>" style="text-align:right;"></td>
								<td align="right"><input type="text" size="12" name="unit_price" value="<?PHP echo $row2[3] ?>" style="text-align:right;"></td>
								<td align="right"><input type="text" size="12" name="unit_discount" value="<?PHP echo $row2[4] ?>" style="text-align:right;"></td>
								<td align="right"><input type="text" size="12" name="net_price" value="<?PHP echo $row2[5] ?>" style="text-align:right;"></td>
								<td align="right"><input type="text" size="12" name="balance" value="<?PHP echo $row2[6] ?>" style="text-align:right;"></td>
							</tr>
							<?PHP
							$i++;
						}
					?>
						<tr class="odd">
							<td colspan="6" align="center">
								<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
								<input type="hidden" name="pd_id" value="<?PHP echo $pd_id ?>">
								<input type="hidden" name="purchase_id" value="<?PHP echo $purchase_id ?>">
								<input type="submit" class="button blue" name="submit" value="Update Product Entry" onClick="return confirm('Are you sure you want to update this product entry?');">
							</td>
						</tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
	mysql_free_result($res);
	mysql_free_result($res2);
}
?>