$.widget("custom.grd", {
	options:{
		caption:"",
		lnk:"",
		fld:"",
		ft:"",
		btn:"",
		src:"",
		con:"",
		srt:"",
		
		show_find:true,
		show_res:true,
		show_nav:true,
		show_pg:true,
		show_srt:true,
		
		trm:"",
		rec_bgn:0,
		rec_end:0,
		rec_cnt:0,
		rec_pg:30,
		pg:1,
		pg_cnt:0,
		srt_col:"",
		srt_dir:"",
	},
	_create:function(){
		var grd=this.element;
		var opt=this.options;
		var me=this;
		grd.append($("<thead>")
			.append(opt.caption?$("<tr>").append($("<th>", {colspan: opt.fld.length}).append(opt.caption)):"")
			.append(function(){
				if(opt.lnk||opt.show_find) return $("<tr>").append($("<td>", {colspan:opt.fld.length})
				.append($("<table>", {class:"fill"}).append($("<tr>")
					.append($("<td>", {class:"half left nowrap"}).append(opt.lnk||""))
					.append($("<td>", {class:"half right nowrap"}).append(opt.show_find?[
					$("<input>", {type:"text", id:"txt_find"}).attr("size", 28), $.btn("btn_find", "Find", "img_find") 
					]:""))
				)));
				else return "";
			}).append(function(){
				if(opt.show_res||opt.show_nav||opt.show_pg) return $("<tr>", {class:"grd_stat"}).append($("<td>", {colspan:opt.fld.length})
				.append($("<table>", {class:"fill"}).append($("<tr>")
					.append($("<td>", {class:"grd_res quart left"}))
					.append($("<td>", {class:"grd_nav half center nowrap"}))
					.append($("<td>", {class:"grd_pg quart right"}))
				)));
				else return "";
			}).append($("<tr>", {class:"grd_hd"}).append(function(){
				var th=[];
				for(var i in opt.fld) th[i]=$("<th>", {id:opt.fld[i][0], class:opt.show_srt?"grd_srt":""}).append($("<span>")
				.append(opt.fld[i][1]));
				return th;
			}))
		).append($("<tbody>", {class:"grd_body"}))
		.append($("<tfoot>").append(function(){
				if(opt.ft) return $("<tr>", {class:"grd_ft"}).append(function(){
					var th=[];
					for(var i in opt.fld) th[i]=$("<th>").append(opt.ft[i]||"");
					return th;
				});
				else return "";
			}).append(function(){
				if(opt.show_res||opt.show_nav||opt.show_pg) return $("<tr>", {class:"grd_stat"}).append($("<td>", {colspan:opt.fld.length})
				.append($("<table>", {class:"fill"}).append($("<tr>")
					.append($("<td>", {class:"grd_res quart left"}))
					.append($("<td>", {class:"grd_nav half center nowrap"}))
					.append($("<td>", {class:"grd_pg quart right"}))
				)));
				else return "";
			}).append(opt.btn?$("<tr>", {class:"grd_btn"}).append($("<td>", {colspan:opt.fld.length}).append(opt.btn)):"")
		);
		me.upd(opt);
		var txt_find=grd.find("#txt_find");
		var btn_find=grd.find("#btn_find");
		btn_find.click(function(){
			opt.trm=txt_find.val();
			opt.pg=1;
			opt.srt_col="";
			opt.srt_dir="";
			me.upd(opt);
		});
		txt_find.focus().keypress(function(e){
			if(e.keyCode==13){
				btn_find.click();
				return false;
			}
		});
	},
	_setOption:function(key, val){
		this._super(key, val);
		this.upd(this.options);
	},
	_setOptions:function(options){
		this._super(options);
		this.upd(this.options);	
	},
	upd:function(opt){
		if(opt===undefined) opt=this.options;
		var grd=this.element;
		var me=this;
		$.ajax({
			beforeSend:function(){
				var padding=(grd.css("padding").substr(0, grd.css("padding").length-2)-0);
				var border=(grd.css("border-width").substr(0, grd.css("border-width").length-2)-0);
				grd.prepend($("<caption>").css({
					"top":grd.offset().top+padding+border+"px", "left":grd.offset().left+padding+border+"px",
					"width":grd.width(), "height":grd.height()-(padding*4)+(border*4),
				}));					
			},
			data:{
				fld:opt.fld,
				src:opt.src,
				con:opt.con,
				srt:opt.srt,
				trm:opt.trm,
				rec_pg:opt.rec_pg,
				pg:opt.pg,
				srt_col:opt.srt_col,
				srt_dir:opt.srt_dir,
			},
			dataType:"json",
			success:function(data){
				//console.log(data.smt);
				grd.find("caption").remove();
				grd.find(".grd_none").remove();
				if(data.rec_cnt){
					grd.find(".grd_stat").css("display", "table-row");
					grd.find(".grd_res")
						.html("")
						.append($("<span>", {class:"grd_res_bgn"}).append(data.rec_bgn))
						.append(" to ")
						.append($("<span>", {class:"grd_res_end"}).append(data.rec_end))
						.append(" of ")
						.append($("<span>", {class:"grd_res_cnt"}).append(data.rec_cnt))
						.append(" result(s)")
						.append((opt.trm?" for keyword <span class='grd_trm'>"+opt.trm+"</span>":"")+".");
					grd.find(".grd_nav").html(function(){
						var lnk=[];
						if(opt.pg>1){
							lnk[lnk.length]=$.lnk("", "", "", "", "img_first", "Go to First Page", "grd_nav_first").click(function(){
								opt.pg=1;
								me.upd(opt);
							});
							lnk[lnk.length]=$.lnk("", "", "", "", "img_prev", "Go to Previous Page", "grd_nav_prev").click(function(){
								opt.pg=(opt.pg-0)-1;
								me.upd(opt);
							});
						}
						for(var i=(opt.pg-0)-4; i<=(opt.pg-0)+4; i++){
							if(i>=1&&i<=data.pg_cnt){
								if(i==opt.pg) lnk[lnk.length]=$("<span>", {class:"grd_nav_curr"}).append(i);
								else{
									lnk[lnk.length]=$.lnk("", i, "", "", "", "Go to Page "+i, "grd_nav_lnk").attr("data", i).click(function(){
										opt.pg=$(this).attr("data");
										me.upd(opt);
									});	
								}
							}
						}
						if(opt.pg<data.pg_cnt){
							lnk[lnk.length]=$.lnk("", "", "", "", "img_next", "Go to Next Page", "grd_nav_next").click(function(){
								opt.pg=(opt.pg-0)+1;
								me.upd(opt);
							});
							lnk[lnk.length]=$.lnk("", "", "", "", "img_last", "Go to Last Page", "grd_nav_last").click(function(){
								opt.pg=data.pg_cnt;
								me.upd(opt);
							});
						}
						return lnk;
					});
					grd.find(".grd_pg").html("")
					.append("Page ")
					.append($("<span>", {class:"grd_pg_curr"}).append(opt.pg))
					.append(" of ")
					.append($("<span>", {class:"grd_pg_cnt"}).append(data.pg_cnt))
					grd.find(".grd_hd").css("display", "table-row");
					grd.find(".grd_img").remove();
					var grd_head=grd.find(".grd_srt");
					$.each(grd_head, function(i){
						if($(this).attr("id")!=""){
							var title="Sort "+opt.fld[i][1]+" in ";
							var srt_dir;
							var img="";
							if($(this).attr("id")==opt.srt_col){
								if(opt.srt_dir=="asc"){
									title+="Descending";
									srt_dir="desc";
									img=$("<div>", {class:"grd_img img_asc"});
								}else{
									title+="Ascending";
									srt_dir="asc";
									img=$("<div>", {class:"grd_img img_desc"});
								}
							}else{
								title+="Ascending";
								srt_dir="asc";
							}
							title+="Order";
							$(this).attr("title", title).attr("data", srt_dir).prepend(img).off("click").on("click", function(){
								opt.pg=1;
								opt.srt_col=$(this).attr("id");
								opt.srt_dir=srt_dir;
								me.upd(opt);
							});
						}
					});
					grd.find(".grd_body").html(data.rec);
					grd.find(".grd_ft").css("display", "table-row");
					grd.find(".grd_btn").css("display", "table-row");
				}else{
					grd.find(".grd_stat").css("display", "none");
					grd.find(".grd_hd").css("display", "none");
					grd.find("thead").append($("<tr>", {class:"grd_none"}).append($("<td>", {colspan:opt.fld.length})
						.append("No result(s) found"+(opt.trm?" for keyword <span class='grd_trm'>"+opt.trm+"</span>":"")+".")));
					grd.find(".grd_body").html("");
					grd.find(".grd_ft").css("display", "none");
					grd.find(".grd_btn").css("display", "none");
				}
			},
			type:"POST",
			url:"i/php-grd.php",
		});
	}
});