<?php
function house_inv_match_new($im_id){
	set_time_limit(0);
	//insert into sales
	$r=rec('house_inv_match', 'im_id="'.$im_id.'"');
	$fld['account_id']=1;
	$fld['whouse_id']=$r['whouse_id'];
	$fld['customer_id']=fld('customer_id', 'customers', 'company_name="VCSI - Virtual Cus. for Short Inv."');
	$fld['user_id']=$r['user_id'];
	$fld['delivery_date']=$r['im_date'];
	$fld['due_date']=$r['im_date'];
	$fld['received_by']=fld('concat(fname, " ", lname)', 'users', 'user_id="'.$r['user_id'].'"');
	$fld['notes']=$r['note'];
	$fld['pmode']=2;
	$fld['or_num']='SHORT';
	$sale_id=ins('sales', $fld);
	//insert into purchases
	unset($fld);
	$fld['account_id']=fld('account_id', 'customers'); //reuse
	$fld['whouse_id']=$r['whouse_id'];
	$fld['or_num']='OVER'; //reuse
	$fld['supplier_id']=fld('supplier_id', 'suppliers', 'account_id="'.$fld['account_id']
	.'" and company_name="VSOI - Virtual Sup. for Over Inv."');
	$fld['user_id']=$r['user_id']; //reuse reuse
	$fld['user2_id']=$r['user_id'];
	$fld['delivery_date']=$r['im_date']; //reuse reuse
	$fld['notes']=$r['note']; //reuse reuse
	$fld['pmode']=2; //reuse
	$purchase_id=ins('purchases', $fld);
	//update house_inv_match
	unset($fld);
	$fld['sale_id']=$sale_id;
	$fld['purchase_id']=$purchase_id;
	upd('house_inv_match', $fld, 'im_id="'.$im_id.'"');
	//insert into house_inv_match_cm
	unset($fld);
	$q=qry('select category_id, manufacturer_id from vw_house_prod where whouse_id="'.$r['whouse_id'].'" and active=1 group by category_id, manufacturer_id order by category_name, manufacturer_name');
	$fld['im_id']=$im_id;
	while($r=mysqli_fetch_assoc($q)){
		$fld['category_id']=$r['category_id'];
		$fld['manufacturer_id']=$r['manufacturer_id'];
		ins('house_inv_match_cm', $fld);
	}
}
function house_inv_match_cm($cm_id){
	set_time_limit(0);
	if(rec('house_inv_match_item', 'cm_id="'.$cm_id.'"')) return false;
	$r=rec('house_inv_match_cm', 'cm_id="'.$cm_id.'"');
	$category_id=$r['category_id'];
	$manufacturer_id=$r['manufacturer_id'];
	$whouse_id=fld('whouse_id', 'house_inv_match', 'im_id="'.$r['im_id'].'"');
	$fld['cm_id']=$cm_id;
	//begin: refresh warehouse inventory
	$sql = "SELECT p.product_id, p.product_num, p.product_name, wp.ave_acq, p.sell_price, wp.wp_id 
			FROM products p INNER JOIN warehouse_products wp ON wp.product_id = p.product_id
			WHERE p.active = 1 AND wp.whouse_id = '$whouse_id' and p.category_id='$category_id' and p.manufacturer_id='$manufacturer_id'"; 
	$res = qry($sql);
	while($row=mysqli_fetch_array($res)){
		$sql = "SELECT SUM(pd.quantity)
				FROM purchases p INNER JOIN purchase_details pd ON p.purchase_id = pd.purchase_id
				WHERE p.whouse_id = '$whouse_id' AND pd.product_id = '$row[0]' AND p.direct_delivery = 0 AND p.user2_id != 0"; 
		$tpur_res = qry($sql); $tpur_row = mysqli_fetch_array($tpur_res); 
		// get the sum of incoming transfers
		$sql = "SELECT SUM(td.quantity)
				FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
				WHERE t.to_whouse_id = '$whouse_id' AND td.product_id = '$row[0]' AND t.user2_id != 0"; 
		$tit_res = qry($sql); $tit_row = mysqli_fetch_array($tit_res); 
		// get the sum of returns from customers
		$sql = "SELECT SUM(rd.quantity)
				FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
				WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$row[0]' AND rd.rtype = 1"; 
		$giret_res = qry($sql); $giret_row = mysqli_fetch_array($giret_res); 
		// get the sum of conversions
		$sql = "SELECT SUM(to_units) FROM conversions WHERE whouse_id = '$whouse_id' AND to_product_id = '$row[0]'"; 
		$rcon_res = qry($sql); $rcon_row = mysqli_fetch_array($rcon_res); 
		// get the sum of productions
		$sql = "SELECT SUM(quantity) FROM pdxns WHERE to_whouse_id = '$whouse_id' and product_id = '$row[0]' AND user2_id != 0";
		$pdxn_res = qry($sql); $pdxn_row = mysqli_fetch_array($pdxn_res); 
	
		// get the sum of sales
		$sql = "SELECT SUM(sd.quantity)
				FROM sales s INNER JOIN sale_details sd ON s.sale_id = sd.sale_id
				WHERE sd.product_id = '$row[0]' AND s.whouse_id = '$whouse_id' AND s.purchase_id = 0";
		$tsale_res = qry($sql); $tsale_row = mysqli_fetch_array($tsale_res); 
		// get the sum of outgoing transfers
		$sql = "SELECT SUM(td.quantity)
				FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
				WHERE t.fr_whouse_id = '$whouse_id' AND td.product_id = '$row[0]'"; 
		$tot_res = qry($sql); $tot_row = mysqli_fetch_array($tot_res); 
		// get the sum of good returns to suppliers
		$sql = "SELECT SUM(rd.quantity)
				FROM returns_suppliers r INNER JOIN rs_details rd ON r.rs_id = rd.rs_id
				WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$row[0]' AND rd.rtype = 1"; 
		$goret_res = qry($sql); $goret_row = mysqli_fetch_array($goret_res); 
		// get the sum of loss
		$sql = "SELECT SUM(wl.quantity)
				FROM warehouse_losses l INNER JOIN wl_details wl ON l.wl_id = wl.wl_id
				WHERE l.whouse_id = '$whouse_id' AND wl.product_id = '$row[0]'"; 
		$gl_res = qry($sql); $gl_row = mysqli_fetch_array($gl_res); 
		// get the sum of conversions
		$sql = "SELECT SUM(fr_units) FROM conversions WHERE whouse_id = '$whouse_id' AND fr_product_id = '$row[0]'"; 
		$wcon_res = qry($sql); $wcon_row = mysqli_fetch_array($wcon_res); 
		// get the sum of used items in productions
		$sql = "SELECT SUM(pd.quantity) 
				FROM pdxns p INNER JOIN pdxn_details pd ON p.pdxn_id = pd.pdxn_id 
				WHERE p.fr_whouse_id = '$whouse_id' AND p.user2_id != 0 AND pd.product_id = '$row[0]'"; 
		$item_res = qry($sql); $item_row = mysqli_fetch_array($item_res); 
		$good = ($tpur_row[0] + $tit_row[0] + $giret_row[0] + $rcon_row[0] + $pdxn_row[0]) - ($tsale_row[0] + $tot_row[0] + $goret_row[0] + $gl_row[0] + $wcon_row[0] + $item_row[0]);
		
		$sql = "UPDATE warehouse_products SET inventory = '$good' 
				WHERE whouse_id = '$whouse_id' AND product_id = '$row[0]' LIMIT 1";
		qry($sql); 
		
		//insert into house_inv_match_item
		$fld['wp_id']=$row['wp_id'];
		$fld['acq_price']=$row['ave_acq'];
		$fld['sell_price']=$row['sell_price'];
		$fld['rec_qty']=$good;
		ins('house_inv_match_item', $fld);		
	}
}
function house_inv_match_item($cm_id){
	set_time_limit(0);
	$im_id=fld('im_id', 'house_inv_match_cm', 'cm_id="'.$cm_id.'"');
	$i=rec('house_inv_match', 'im_id="'.$im_id.'"');
	//short 
	$q=qry('select product_id, acq_price, short_qty, sell_price, short_amt from vw_house_inv_match_item where cm_id="'.$cm_id
	.'" and short_qty > 0 and user_id=0');
	if(mysqli_num_rows($q)){
		$fld['sale_id']=$i['sale_id'];
		while($r=mysqli_fetch_row($q)){
			$fld['product_id']=$r[0];
			$fld['acq_price']=$r[1];
			$fld['quantity']=$r[2];
			$fld['unit_price']=$r[3];
			$fld['net_price']=$r[4];
			ins('sale_details', $fld);
		}
	}
	//over
	unset($fld);
	$q=qry('select product_id, over_qty, acq_price, over_amt from vw_house_inv_match_item where cm_id="'.$cm_id
	.'" and over_qty > 0 and user_id=0');
	if(mysqli_num_rows($q)){
		$fld['purchase_id']=$i['purchase_id'];
		while($r=mysqli_fetch_row($q)){
			$fld['product_id']=$r[0];
			$fld['quantity']=$r[1];
			$fld['unit_price']=$r[2];
			$fld['net_price']=$r[3];
			ins('purchase_details', $fld);			
		}
	}
	sale_cool($i['sale_id']);
	purchase_cool($i['purchase_id']);
	if(!isset($_SESSION)) session_start();
	qry('update house_inv_match_item set user_id="'.$_SESSION['user_id'].'" where cm_id="'.$cm_id.'" and user_id=0');
}
function house_inv_match_item_cool($imi_id){
	$r=rec('vw_house_inv_match_item', 'imi_id="'.$imi_id.'"');
	$i=rec('house_inv_match', 'im_id="'.$r['im_id'].'"');
	del('sale_details', 'sale_id="'.$i['sale_id'].'" and product_id="'.$r['product_id'].'"');
	del('purchase_details', 'purchase_id="'.$i['purchase_id'].'" and product_id="'.$r['product_id'].'"');
	if($r['short_qty']>0){
		$fld['sale_id']=$i['sale_id'];
		$fld['product_id']=$r['product_id'];
		$fld['acq_price']=$r['acq_price'];
		$fld['quantity']=$r['short_qty'];
		$fld['unit_price']=$r['sell_price'];
		$fld['net_price']=$r['short_amt'];
		ins('sale_details', $fld);
	}elseif($r['over_qty']>0){
		$fld['purchase_id']=$i['purchase_id'];
		$fld['product_id']=$r['product_id'];
		$fld['quantity']=$r['over_qty'];
		$fld['unit_price']=$r['acq_price'];
		$fld['net_price']=$r['over_amt'];
		ins('purchase_details', $fld);
	}
	sale_cool($i['sale_id']);
	purchase_cool($i['purchase_id']);
}
function sale_cool($sale_id){
	$fld['line_total']=fld('sum(net_price)', 'sale_details', 'sale_id="'.$sale_id.'"');
	$fld['balance']=$fld['line_total']-fld('sum(amount)', 'cpayments', 'sale_id="'.$sale_id.'"');
	$fld['revenue']=fld('sum(rev)', 'vw_acct_sale_prod', 'sale_id="'.$sale_id.'"');
	upd('sales', $fld, 'sale_id="'.$sale_id.'"');
}
function purchase_cool($purchase_id){
	$fld['line_total']=fld('sum(net_price)', 'purchase_details', 'purchase_id="'.$purchase_id.'"');
	$fld['balance']=$fld['line_total']-fld('sum(amount)', 'spayments', 'purchase_id="'.$purchase_id.'"');
	upd('purchases', $fld, 'purchase_id="'.$purchase_id.'"');
}
function correct_acct_sale_prod_acq_price($param){
	$account_id=$param[0];
	$whouse_id=$param[1];
	$q=qry('select sd_id, product_id from vw_acct_sale_prod where account_id="'.$account_id.'" and whouse_id="'.$whouse_id.'"');
	$smt='';
	while($r=mysqli_fetch_row($q)){
		$acq_price=fld('ave_acq', 'warehouse_products', 'whouse_id="'.$whouse_id.'" and product_id="'.$r[1].'"');
		qry('update sale_details set acq_price="'.$acq_price.'" where sd_id="'.$r[0].'"');
	}
	$q=qry('select s.sale_id, (select sum(rev) from vw_acct_sale_prod where sale_id=s.sale_id) from sales s
	where s.revenue!=(select sum(rev) from vw_acct_sale_prod where sale_id=s.sale_id)
	and s.account_id="'.$account_id.'" and s.whouse_id="'.$whouse_id.'"');
	while($r=mysqli_fetch_row($q)) qry('update sales set revenue="'.$r[1].'" where sale_id="'.$r[0].'"');
}
function acct_sale_pymt_ins($c_payment_id){
	$r=rec('cpayments', 'c_payment_id="'.$c_payment_id.'"');
	$line_total=fld('line_total', 'sales', 'sale_id="'.$r['sale_id'].'"');
	$fld['balance']=$line_total-fld('sum(amount)', 'cpayments', 'sale_id="'.$r['sale_id'].'"');
	upd('sales', $fld, 'sale_id="'.$r['sale_id'].'"');
	$fld['balance']=fld('balance', 'banks', 'bank_id="'.$r['bank_id'].'"')+$r['amount'];
	upd('banks', $fld, 'bank_id="'.$r['bank_id'].'"');
}
function exp_ins($expense_id){
	$r=rec('banks', 'bank_name="UNDEPOSITED CASH"');
	$fld['balance']=$r['balance']-fld('amount', 'expenses', 'expense_id="'.$expense_id.'"');
	upd('banks', $fld, 'bank_id="'.$r['bank_id'].'"');
}
function bank_xfer_ins($bt_id){
	$r=rec('bank_transfers', 'bt_id="'.$bt_id.'"');
	$fld['balance']=fld('balance', 'banks', 'bank_id="'.$r['to_bank_id'].'"')+$r['amount'];
	upd('banks', $fld, 'bank_id="'.$r['to_bank_id'].'"');
	$fld['balance']=fld('balance', 'banks', 'bank_id="'.$r['fr_bank_id'].'"')-$r['amount'];
	upd('banks', $fld, 'bank_id="'.$r['fr_bank_id'].'"');
}
function branch_rem_ins($br_id){
	set_time_limit(0);
	$r=rec('branch_rem', 'br_id="'.$br_id.'"');
	if($r['cus_id']!=0){
		$amt=$r['amt'];
		while($amt>0){
			$s=rec('sales', 'customer_id="'.$r['cus_id'].'" and balance>0', 'sale_id asc');
			$pymt=$s['balance']>$amt?$amt:$s['balance'];
			qry('insert into cpayments (
					or_num,
					customer_id,
					user_id,
					sale_id,											
					amount,
					pdate,
					notes,
					good,
					bank_id,
					br_id																					
				) values (
					"REMITTANCE",
					"'.$r['cus_id'].'",
					"'.$r['user_id'].'",
					"'.$s['sale_id'].'",
					"'.$pymt.'",
					"'.$r['br_date'].'",
					"'.$r['note'].'",
					"1",
					"'.$r['bank_id'].'",
					"'.$r['br_id'].'"
				)');
			$bal=$s['line_total']-fld('sum(amount)', 'cpayments', 'sale_id="'.$s['sale_id'].'"');
			qry('update sales set balance="'.$bal.'" where sale_id="'.$s['sale_id'].'"');
			$amt-=$pymt;
		}
	}
	$fld['balance']=fld('balance', 'banks', 'bank_id="'.$r['bank_id'].'"')+$r['amt'];
	upd('banks', $fld, 'bank_id="'.$r['bank_id'].'"');
}
function branch_rem_del($br_id){
	set_time_limit(0);
	$r=rec('branch_rem', 'br_id="'.$br_id.'"');
	if(!$r) return false;
	if($r['cus_id']!=0){
		$q=qry('select * from cpayments where br_id="'.$br_id.'"');
		while($p=mysqli_fetch_assoc($q)){
			del('cpayments', 'c_payment_id="'.$p['c_payment_id'].'"');
			$total=fld('line_total', 'sales', 'sale_id="'.$p['sale_id'].'"');
			$pymt=fld('sum(amount)', 'cpayments', 'sale_id="'.$p['sale_id'].'"');
			$bal=$total-$pymt;
			qry('update sales set balance="'.$bal.'" where sale_id="'.$p['sale_id'].'"');					
		}
	}
	$fld['balance']=fld('balance', 'banks', 'bank_id="'.$r['bank_id'].'"')-$r['amt'];
	upd('banks', $fld, 'bank_id="'.$r['bank_id'].'"');
	del('branch_rem', 'br_id="'.$br_id.'"');
	return true;
}
function ln_ins($ln_id){
	$amt=fld('amt', 'ln', 'ln_id="'.$ln_id.'"');
	$r=rec('banks', 'bank_name="UNDEPOSITED CASH"');
	$fld['balance']=$r['balance']-$amt;
	upd('banks', $fld, 'bank_id="'.$r['bank_id'].'"');
}
function ln_del($ln_id){
	$r=rec('ln', 'ln_id="'.$ln_id.'"');
	if(!$r) return false;
	del('ln', 'ln_id="'.$ln_id.'"');
	$amt=$r['amt'];
	$r=rec('banks', 'bank_name="UNDEPOSITED CASH"');
	$fld['balance']=$r['balance']+$amt;
	upd('banks', $fld, 'bank_id="'.$r['bank_id'].'"');
	return true;
}
function ln_pymt_ins($pymt_id){
	$amt=fld('amt', 'ln_pymt', 'pymt_id="'.$pymt_id.'"');
	$r=rec('banks', 'bank_name="UNDEPOSITED CASH"');
	$fld['balance']=$r['balance']+$amt;
	upd('banks', $fld, 'bank_id="'.$r['bank_id'].'"');
}
function ln_pymt_del($pymt_id){
	$r=rec('ln_pymt', 'pymt_id="'.$pymt_id.'"');
	if(!$r) return false;
	del('ln_pymt', 'pymt_id="'.$pymt_id.'"');
	$amt=$r['amt'];
	$r=rec('banks', 'bank_name="UNDEPOSITED CASH"');
	$fld['balance']=$r['balance']-$amt;
	upd('banks', $fld, 'bank_id="'.$r['bank_id'].'"');
	return true;
}
?>