<?php

ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Import Branch Sale Details');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();
post();


function post(){
	set_time_limit(0);
	$sale_id = _GET_POST($_GET['sale_id']);
	$branch_id = sql_fld("branch_id", "branch_sales", "sale_id=$sale_id");
	foreach(array_keys($_POST['sale_id']) AS $key){
		$import_array = array(
			'sale_id'		=> $_POST['sale_id'][$key],
			'product_id'	=> $_POST['product_id'][$key],
			'acq_price'		=> $_POST['acq_price'][$key],
			'quantity'		=> $_POST['quantity'][$key],
			'unit_price'	=> $_POST['unit_price'][$key],
			'unit_discount'	=> $_POST['unit_discount'][$key],
			'net_price'		=> $_POST['net_price'][$key]
		);
		sql_ins("bsale_details", $import_array);
		$inventory = get_good_inv($_POST['product_id'][$key], $branch_id);
		$last_move = sql_fld('max(delivery_date)', 'branch_sales bs INNER JOIN bsale_details bd ON bs.sale_id=bd.sale_id', 'bd.product_id=\''.$product_id.'\'');
		$branch_inv = array(
			'inventory'		=> $inventory,
			'price'			=> $unit_price,
			'last_move'		=> $last_move
		); // update inventory
		sql_upd('branch_products', $branch_inv, 'branch_id=\''.$branch_id.'\' AND product_id=\''.$prod_id.'\'');
	}
	sql_del("bsale_details_temp", "sale_id=$sale_id");
	$line_total = sql_fld('SUM(net_price)', 'bsale_details', 'sale_id=\''.$sale_id.'\' AND deleted=\'0\'');
	$balance = $line_total - sql_fld('SUM(amount)', 'bspayments', 'sale_id=\''.$sale_id.'\' AND good=\'1\' AND deleted=\'0\'');
	$revenue = sql_fld('SUM(quantity*((unit_price-unit_discount)-acq_price))', 'bsale_details', 'sale_id=\''.$sale_id.'\' AND deleted=\'0\'');
	$sale_details = array(
		'line_total'	=> $line_total,
		'balance'		=> $balance,
		'revenue'		=> $revenue
	); // update sale details
	sql_upd('branch_sales', $sale_details, 'sale_id=\''.$sale_id.'\' AND branch_id=\''.$branch_id.'\'');
	header("Location: import_sale_confirm.php?sale_id=$sale_id");
}

?>