<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Import Branch Sale Details');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		if (empty($_POST)) pre();
		else post();
		print_footer();
	}
} else {
	header('Location: login.php');	
}

function post(){
	$sale_id = _GET_POST($_GET['sale_id']);
	$branch_id = _GET_POST($_GET['branch_id']);
	if ((empty($sale_id) && empty($branch_id)) || (!empty($sale_id) && !empty($branch_id))){
		err_stop('You must have made a mistake accessing this page.');
		echo "<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE4B5' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br>Click <a class=tddata href='javascript:history.go(-1)'>here</a> to go back.</font></td></tr></table></td></tr></table></center><br>";
		return;
	}	
	if (empty($sale_id) && !empty($branch_id)){ $new_sale = true; }//new sale import
	if (!empty($sale_id) && empty($branch_id)){ $new_sale = false;
	$branch_id = sql_fld("branch_id", "branch_sales", "sale_id = $sale_id"); }//existing sale import

	$target_dir = "uploads/";
	$target_file = $target_dir . basename($_FILES['fileToUpload']['name']);
	$uploadOk = 1;
	$fileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));

	if (file_exists($target_file)) {
		echo "Sorry, file already exists. <br>";
		$uploadOk = 0;
	}

	if ($fileType != "csv"){
		echo "Sorry, this is an invalid file. <br>";
		$uploadOk = 0;
	}

	if ($uploadOk == 0){
		echo "Sorry, your file was not uploaded.";
		return;
	}

	if (move_uploaded_file($_FILES["fileToUpload"]["tmp_name"], $target_file)) {
		echo "The file ". htmlspecialchars( basename( $_FILES["fileToUpload"]["name"])). " has been uploaded.";
	} else {
		echo "Sorry, there was an error uploading your file.";
		return;
	}
	if ($new_sale){
		$cust_id = _GET_POST($_POST['hdncustid']);
		$terms = _GET_POST($_POST['terms']);
		$rcvdBy = _GET_POST($_POST['rcvdBy']);
		$posdate = _GET_POST($_POST['posdate']);
		$cusnotes = _GET_POST($_POST['cusnotes']);
		$duedate = sql_dte('DATE_FORMAT(\''.$posdate.'\' + INTERVAL '.$terms.' DAY, \'%Y-%m-%d\')');
		$sale_dtls = array(
			'branch_id'		=> $branch_id,
			'customer_id'	=> $cust_id,
			'user_id'		=> $_SESSION['user_id'],
			'terms'			=> $terms,
			'delivery_date'	=> $posdate,
			'due_date'		=> $duedate,
			'received_by'	=> $rcvdBy,
			'notes'			=> $cusnotes
		);
		$sale_id = sql_ins('branch_sales', $sale_dtls);
		$sale_updts = array(
			'or_num'		=> $sale_id
		);
		sql_upd('branch_sales', $sale_updts, 'sale_id='.$sale_id);
		// redirect to sale_items
		$last_sale_dtls = array(
			'lastsale'		=> $posdate
		);
		sql_upd('branch_customers', $last_sale_dtls, 'customer_id='.$cust_id.' AND branch_id='.$branch_id);
	}

	$file = fopen($target_file, "r");
	fgetcsv($file);
	while (($line = fgetcsv($file)) !== FALSE) {
		$import_line = array(
			'sale_id'		=> $sale_id,
			'product_id'	=> $line[1],
			'acq_price'		=> $line[2],
			'quantity'		=> $line[3],
			'unit_price'	=> $line[4],
			'unit_discount'	=> $line[5],
			'net_price'		=> $line[6]
		);
		sql_ins("bsale_details_temp", $import_line);
	}
	fclose($file);
	unlink($target_file);
}

function pre(){
	$sale_id = _GET_POST($_GET['sale_id']);
	$branch_id = _GET_POST($_GET['branch_id']);
	if ((empty($sale_id) && empty($branch_id)) || (!empty($sale_id) && !empty($branch_id))){
		err_stop('You must have made a mistake accessing this page.');
		echo "<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE4B5' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br>Click <a class=tddata href='javascript:history.go(-1)'>here</a> to go back.</font></td></tr></table></td></tr></table></center><br>";
		return;
	}
	
	if (empty($sale_id) && !empty($branch_id)){ $new_sale = true; }//new sale import
	if (!empty($sale_id) && empty($branch_id)){ $new_sale = false;
	$branch_id = sql_fld("branch_id", "branch_sales", "sale_id = $sale_id"); }//existing sale import
	
	$link = explode("/", _GET_POST($_SERVER['PHP_SELF']));
	$branch_name = sql_fld('branch_name', 'branches', 'branch_id='.$branch_id);
	$date = $new_sale?sql_curdate():sql_fld("delivery_date", "branch_sales", "sale_id = $sale_id");

	$init_rec = sql_rec('branch_customers', 
		$new_sale?"branch_id=$branch_id AND contact_person LIKE '%walk-in%'":("customer_id=".sql_fld("customer_id", "branch_sales", "sale_id=$sale_id"))); ?>
	<form id='form' name='form' action='<?php echo $link[2]; ?>?<?php echo $new_sale?"branch_id=$branch_id":"sale_id=$sale_id"; ?>' method='POST' enctype="multipart/form-data">
		<div class='post'>
			<h1 class='title'>Import <?php echo $branch_name?> Sales</h1>
			<div class='entry'>
				<a href='branch_sales.php?branch_id=<?php echo $branch_id?>' target='New' style='text-decoration: underline'>View Sales</a>
				<table>
					<tr height='25px'>
						<td colspan='2' align='center' style='color: #007896'>Entries with asterisk(*) are required.</td>
					</tr>
					<tr class='even' height='25px'>
						<td width='125px' align='right'>Customer&nbsp;:</td>
						<td width='300px'><input type='hidden' id='hdncustid' name='hdncustid' value='<?php echo $init_rec['customer_id']?>'>&nbsp;<input type='text' id='cust' name='cust' style='width: 260px; height: 19px' autocomplete='off' value='<?php echo $init_rec['company_name']?>' <?php echo $new_sale?"":"disabled" ?>>&nbsp;<font color='red'>*</font>
							<div class='suggestionsBox' id='custSuggest' style='width: 300px; display: none;'>
								<div class='suggestionList' id='custSuggestList'>
								</div>
							</div>
						</td>
					</tr>
					<tr class='odd' height='25px'>
						<td align='right'>Credit Limit&nbsp;:</td>
						<td align='left' id='cred_lmt'>&nbsp;<?php echo $init_rec['credit_limit']?></td>
					</tr>
					<tr class='even' height='25px'>
						<td align='right'>Balance&nbsp;:</td>
						<td align='left' id='cust_bal'>&nbsp;<?php
							$branch_sale_bal = sql_fld('sum(balance)', 'branch_sales', 'customer_id='.$init_rec['customer_id']);
							if (!$branch_sale_bal) $branch_sale_bal = 0;
							$branch_cust_old_bal = sql_fld('balance', 'branch_cob', 'customer_id='.$init_rec['customer_id']);
							if (!$branch_cust_old_bal) $branch_cust_old_bal = 0;
							echo $branch_sale_bal + $branch_cust_old_bal;
						?></td>
					</tr>
					<tr class='odd' height='25px'>
						<td align='right'>Allowable Receipts&nbsp;:</td>
						<td align='left' id='allw_rct'>&nbsp;<?php echo $init_rec['receipts']?></td>
					</tr>
					<tr class='even' height='25px'>
						<td align='right'>Unpaid Receipts&nbsp;:</td>
						<td align='left' id='unpd_rct'>&nbsp;<?php
							echo sql_fld('COUNT(sale_id)', 'branch_sales', 'customer_id='.$init_rec['customer_id'].' and TO_DAYS(NOW()) >= TO_DAYS(due_date) AND balance > 0');
						?></td>
					</tr>
					<tr class='odd' height='25px'>
						<td align='right'>Terms(Days)&nbsp;:</td>
						<td align='left'>&nbsp;<select id='terms' name='terms' style='height: 19px' <?php echo $new_sale?"":"disabled" ?>>
<?php
						$terms = sql_qry('SELECT days from terms ORDER BY days ASC');
						while($days = mysql_fetch_assoc($terms)){
?>
						<option value='<?php echo $days['days']?>'><?php echo $days['days']?></option>
<?php
						}
?>
						</select>&nbsp;<font color='red'>*</font></td>
					</tr>
					<tr class='even' height='25px'>
						<td align='right'>Recieved By&nbsp;:</td>
						<td align='left'>&nbsp;<input type='text' id='rcvdBy' name='rcvdBy' value='<?php echo $init_rec['company_name']?>' style='width: 260px; height: 19px' <?php echo $new_sale?"":"disabled" ?>>&nbsp;<font color='red'>*</font></td>
					</tr>
					<tr class='odd' height='25px'>
						<td align='right'>Date&nbsp;:</td>
						<td align='left'>&nbsp;<input readonly id='posdate' type="text" size="10" name="posdate" value="<?php echo $date?>" style='height: 19px' <?php echo $new_sale?"":"disabled" ?>>&nbsp;<font color='red'>*</font><a class="td_img" href="<?php echo $new_sale?"javascript:check_date.popup();":"javascript:void(0);" ?>">&nbsp;<img src="lib/b_calendar.png" style='vertical-align: -30%; <?php echo $new_sale?"":"display: none" ?>'></a></td>
					</tr>
					<tr class='even' height='25px'>
						<td align='right'>Notes&nbsp;:</td>
						<td align='left'>&nbsp;<input type='text' id='cusnotes' name='cusnotes' style='width: 260px; height: 19px' autocomplete='off' <?php echo $new_sale?"":"disabled" ?>></td>
					</tr>
					<tr class='odd' height='25px'>
						<td align='right'>File&nbsp;:</td>
						<td align='left'>&nbsp;<input type="file" name="fileToUpload" id="fileToUpload"></td>
					</tr>
					<tr class='even' height='25px'>
						<td align='center' colspan='2'><input id='sbt' type='button' class='button blue' value='Submit'></td>
					</tr>
				</table>
				<script language="JavaScript">
					$(document).ready(function(){
						$('#cust').keyup(function(){
							custlookup($(this).val());
						});
						$('#sbt').click(function(){
							if ($('#cust').val().length == 0 || $('#rcvdBy').val().length == 0){
								if ($('#cust').val().length == 0) $('#cust').css('background-color', 'red');
								if ($('#rcvdBy').val().length == 0) $('#rcvdBy').css('background-color', 'red');
							} else {
								$('#form').submit();
							}
						});
						$('input[type=text]').click(function(){
							$(this).css('background-color', 'white');
						});
					});
					function custlookup(cust=''){
						if (cust.length == 0){ $('#custSuggest').hide();
						} else {
							$.post('get_bcust.php', {string: <?php echo $branch_id; ?>+'|'+cust}, function(data){
								if (data.length > 0) {
									$('#custSuggest').show();
									$('#custSuggestList').html(data);
								}
							});
						}
					}
					function custsfill(cus_id='', cus_name='', cred_lmt='', cust_bal='', allw_rct='', unpd_rct=''){
						$('#hdncustid').val(cus_id);
						$('#cust').val(cus_name);
						$('#cred_lmt').html('&nbsp;'+cred_lmt);
						$('#cust_bal').html('&nbsp;'+cust_bal);
						$('#allw_rct').html('&nbsp;'+allw_rct);
						$('#unpd_rct').html('&nbsp;'+unpd_rct);
						$('#rcvdBy').val(cus_name);
						setTimeout("$('#custSuggest').hide();", 200);
					}
					var check_date = new calendar(document.forms['form'].elements['posdate']);
					check_date.year_scroll = true; check_date.time_comp = false;
				</script>
				<style type="text/css">
					input[type="file"]{
						-webkit-appearance: none;
						text-align: left;
						-webkit-rtl-ordering: left;
						width: 260px;
						height: 19px
					}
					input[type="file"]::-webkit-file-upload-button{
						-webkit-appearance: none;
						float: right;
						margin: 0 0 0 10px;
						border: 1px solid #aaaaaa;
						border-radius: 4px;
						background-image: -webkit-gradient(linear, left bottom, left top, from(#d2d0d0), to(#f0f0f0));
						background-image: -moz-linear-gradient(90deg, #d2d0d0 0%, #f0f0f0 100%);
					}
				</style>
			</div>
			<p class='meta'></p>
		</div>
	</form><?php
}
?>