<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Income Statement');
define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if (isset($_POST['submitted'])) {
			$account_id = $_GET['account_id'];
			show_form($account_id);

			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$sdate = mysql_real_escape_string(stripslashes($_POST['sdate']));
				$edate = mysql_real_escape_string(stripslashes($_POST['edate']));
			} else {
				$sdate = mysql_real_escape_string($_POST['sdate']);
				$edate = mysql_real_escape_string($_POST['edate']);
			}
			
			// get the name of account
			$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
			$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0]; 
						
			$sql = "SELECT DATE_FORMAT('$sdate', '%m/%e/%y')";
			$sres = mysql_query($sql); $srow = mysql_fetch_array($sres); $start_date = $srow[0];
			$sql = "SELECT DATE_FORMAT('$edate', '%m/%e/%y')";
			$eres = mysql_query($sql); $erow = mysql_fetch_array($eres); $end_date = $erow[0];

			// GROSS PROFIT OF THE MONTH FROM BRANCHES
			$sql = "SELECT SUM(s.revenue) 
					FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
					WHERE c.account_id = '$account_id' AND c.ctype = 1 
						AND TO_DAYS(s.delivery_date) >= TO_DAYS('$sdate')
						AND TO_DAYS(s.delivery_date) <= TO_DAYS('$edate')";
			$branch_profit_res = mysql_query($sql) or die(mysql_error()); 
			$branch_profit_row = mysql_fetch_array($branch_profit_res); 
			
			// GROSS PROFIT OF THE MONTH FROM CUSTOMERS
			$sql = "SELECT SUM(s.revenue) 
					FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
					WHERE c.account_id = '$account_id' AND c.ctype = 0 
						AND TO_DAYS(s.delivery_date) >= TO_DAYS('$sdate')
						AND TO_DAYS(s.delivery_date) <= TO_DAYS('$edate')";
			$customer_profit_res = mysql_query($sql) or die(mysql_error()); 
			$customer_profit_row = mysql_fetch_array($customer_profit_res); 
			
			// GROSS PROFIT OF THE MONTH
			$sql = "SELECT SUM(revenue) FROM sales 
					WHERE account_id = '$account_id'
						AND TO_DAYS(delivery_date) >= TO_DAYS('$sdate')
						AND TO_DAYS(delivery_date) <= TO_DAYS('$edate')";
			$gross_profit_res = mysql_query($sql) or die(mysql_error()); 
			$gross_profit_row = mysql_fetch_array($gross_profit_res); 
			
			// DETAILED EXPENSES
			$sql = "SELECT et.extype_name, SUM(e.amount)
					FROM expenses e INNER JOIN expense_types et ON e.extype_id = et.extype_id 
					WHERE e.account_id = '$account_id'
						AND TO_DAYS(e.edate) >= TO_DAYS('$sdate')
						AND TO_DAYS(e.edate) <= TO_DAYS('$edate')
					GROUP BY et.extype_name
					ORDER BY et.extype_name";
			$ex_res = mysql_query($sql);
			
			// TOTAL EXPENSES
			$sql = "SELECT SUM(amount) FROM expenses 
					WHERE account_id = '$account_id' 
						AND TO_DAYS(edate) >= TO_DAYS('$sdate')
						AND TO_DAYS(edate) <= TO_DAYS('$edate')";
			$total_expenses_res = mysql_query($sql) or die(mysql_error()); 
			$total_expenses_row = mysql_fetch_array($total_expenses_res); 
			
			// DETAILED TAXES
			$sql = "SELECT tt.taxtype_name, SUM(t.amount)
					FROM taxes t INNER JOIN tax_types tt ON t.taxtype_id = tt.taxtype_id 
					WHERE t.account_id = '$account_id'
						AND TO_DAYS(t.tdate) >= TO_DAYS('$sdate')
						AND TO_DAYS(t.tdate) <= TO_DAYS('$edate')
					GROUP BY tt.taxtype_name
					ORDER BY tt.taxtype_name";
			$tax_res = mysql_query($sql);
			
			// TOTAL TAXES
			$sql = "SELECT SUM(amount) FROM taxes 
					WHERE account_id = '$account_id' 
						AND TO_DAYS(tdate) >= TO_DAYS('$sdate')
						AND TO_DAYS(tdate) <= TO_DAYS('$edate')";
			$total_taxes_res = mysql_query($sql) or die(mysql_error()); 
			$total_taxes_row = mysql_fetch_array($total_taxes_res); 
			
			// NET INCOME
			$net_income = $gross_profit_row[0] - ($total_expenses_row[0] + $total_taxes_row[0]);
			
			// TOTAL UNREALIZED PROFIT
			$sql = "SELECT SUM((balance / line_total) * revenue) FROM sales WHERE account_id = '$account_id'";
			$total_unrealized_res = mysql_query($sql) or die(mysql_error()); 
			$total_unrealized_row = mysql_fetch_array($total_unrealized_res); 

			// CURRENT UNREALIZED PROFIT
			$sql = "SELECT SUM((balance / line_total) * revenue) FROM sales 
					WHERE account_id = '$account_id' 
						AND TO_DAYS(delivery_date) >= TO_DAYS('$sdate')
						AND TO_DAYS(delivery_date) <= TO_DAYS('$edate')";
			$current_unrealized_res = mysql_query($sql) or die(mysql_error()); 
			$current_unrealized_row = mysql_fetch_array($current_unrealized_res); 
			
			// CURRENT REALIZED PROFIT
			$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
					FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
					WHERE s.account_id = '$account_id' AND c.good = 1
						AND TO_DAYS(s.delivery_date) >= TO_DAYS('$sdate')
						AND TO_DAYS(s.delivery_date) <= TO_DAYS('$edate')";
			$current_realized_res = mysql_query($sql) or die(mysql_error()); 
			$current_realized_row = mysql_fetch_array($current_realized_res); 

			// TOTAL REALIZED PROFIT
			$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
					FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
					WHERE s.account_id = '$account_id' AND c.good = 1";
			$total_realized_res = mysql_query($sql) or die(mysql_error()); 
			$total_realized_row = mysql_fetch_array($total_realized_res); 
			
			// PREVIOUS REALIZED PROFIT
			$prev_realized = $total_realized_row[0] - $current_realized_row[0]; 
			
			?>
			<div class="post">
				<h1 class="title"><?PHP echo $account_name ?> Income Statement - <?PHP echo $start_date ?> to <?PHP echo $end_date ?></h1>
				<div class="entry">
					<table>
						<tbody class="data">
							<tr class="odd"><td width="250" align="right">Gross Profit From Branches&nbsp;</td>
								<td width="250" align="right"><?PHP echo number_format($branch_profit_row[0], 2); ?></td></tr>
							<tr class="even"><td align="right">Total Gross Profit From Customers&nbsp;</td>
								<td align="right"><?PHP echo number_format($customer_profit_row[0], 2); ?></td></tr>
							<tr class="odd"><td align="right">Total Gross Profit&nbsp;</td>
								<td align="right"><b><?PHP echo number_format($gross_profit_row[0], 2); ?></b></td></tr>
							<tr class="even"><td align="right" valign="top">Operational Expenses&nbsp;</td>
								<td align="right"><?PHP
									while ($ex_row = mysql_fetch_array($ex_res)) {
										echo $ex_row[0]; echo '---->>'; echo number_format($ex_row[1], 2); echo '<br />';
									}
								?></td></tr>
							<tr class="odd"><td align="right">Total Expenses&nbsp;</td>
								<td align="right"><b><?PHP echo number_format($total_expenses_row[0], 2); ?></b></td></tr>
							<tr class="even"><td align="right" valign="top">Taxes&nbsp;</td>
								<td align="right"><?PHP
									while ($tax_row = mysql_fetch_array($tax_res)) {
										echo $tax_row[0]; echo '---->>'; echo number_format($tax_row[1], 2); echo '<br />';
									}
								?></td></tr>
							<tr class="odd"><td align="right">Total Taxes&nbsp;</td>
								<td align="right"><b><?PHP echo number_format($total_taxes_row[0], 2); ?></b></td></tr>
							<tr class="even"><td align="right"><b>Net Income</b>&nbsp;</td>
								<td align="right"><b><?PHP echo number_format($net_income, 2); ?></b></td></tr>
							<tr class="odd"><td>&nbsp;</td><td>&nbsp;</td></tr>
							<tr class="even"><td>&nbsp;</td><td>&nbsp;</td></tr>
							<tr class="odd">
								<td align="right"><i>Total Unrealized Profit</i>&nbsp;</td>
								<td align="right"><?PHP echo number_format($total_unrealized_row[0], 2); ?></td></tr>
							<tr class="even">
								<td align="right"><i>Unrealized Profit From Current Period</i>&nbsp;</td>
								<td align="right"><?PHP echo number_format($current_unrealized_row[0], 2); ?></td></tr>
							<tr class="odd">
								<td align="right"><i>Total Realized Profit From Previous Months</i>&nbsp;</td>
								<td align="right"><?PHP echo number_format($prev_realized[0], 2); ?></td></tr>
							<tr class="even">
								<td align="right"><i>Realized Profit From Current Period</i>&nbsp;</td>
								<td align="right"><?PHP echo number_format($current_realized_row[0], 2); ?></td></tr>
							<tr class="odd">
								<td align="right"><b>Total Realized Profit</b>&nbsp;</td>
								<td align="right"><?PHP echo number_format($total_realized_row[0], 2); ?></td></tr>
						</tbody>
					</table>
				</div>
				<p class="meta"></p>
			</div>
			<?PHP
		} else {
			// to get the position of the user
			$dres = mysql_query("SELECT position FROM users WHERE user_id='$_SESSION[user_id]'");
			$drow = mysql_fetch_array($dres); 
			$position = $drow[0];
			if ($position == 1) {
				// Check for valid entry account_id in the URL
				if (is_numeric($_GET['account_id'])) {
					$account_id = $_GET['account_id'];
					// show form
					show_form($account_id);
					show_is($account_id); 
				} else { // No account_id set.
					print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p></center>";
				}
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($account_id) {
	// get the name of account
	$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
	$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0]; 
				
	$sql = "SELECT CURDATE()";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$date = $drow[0]; 
	mysql_free_result($dres); 
	?>
	<form name="Discounts" action="income.php?account_id=<?PHP echo $account_id ?>" method="POST">
	<div class="post">
        <h1 class="title"><?PHP echo $account_name; ?> Income Statement</h1>
		<div class="entry">
			<table align="center">
				<tbody class="data">
					<tr class="odd"><td width="125" align="right">Start Date&nbsp;</td>
						<td width="250" align="left"><input readonly type="text" size="10" name="sdate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:sdate.popup();">&nbsp;<img src="lib/b_calendar.png"></td></tr>
					<tr class="even"><td align="right">End Date&nbsp;</td>
						<td align="left"><input readonly type="text" size="10" name="edate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:edate.popup();">&nbsp;<img src="lib/b_calendar.png"></td></tr>
						<script language="JavaScript">
						<!-- // create calendar object(s) just after form tag closed
							var sdate = new calendar(document.forms['Discounts'].elements['sdate']);
							sdate.year_scroll = true; sdate.time_comp = false;
							var edate = new calendar(document.forms['Discounts'].elements['edate']);
							edate.year_scroll = true; edate.time_comp = false;
						//-->
						</script>
					<tr class="odd"><td align="center" colspan="2">
						<input type="hidden" name="submitted" value="1">
						<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
						<input type="submit" class="button blue" value="Submit"></td></tr>
				</tbody>
			</table>
		</div>
        <p class="meta"></p>
	</div>
	</form>
	<?PHP
}

function show_is($account_id) {
	// get the name of account
	$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
	$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0]; 
				
	$sql = "SELECT MONTHNAME(NOW()), YEAR(NOW())";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$monthname = $drow[0]; $year = $drow[1];
	?>
    <div class="post">
        <div id="details">
            <a id="icon1" class="th_img" href="print_income.php" target="new"><img src="lib/b_print.png"></a>
        </div>
        <h1 class="title"><?PHP echo $account_name; ?> Income Statement</h1>
        <div class="entry"><table align="center" width="700">
		<tr>
			<?PHP
			// GROSS PROFIT OF THE MONTH FROM BRANCHES
			$sql = "SELECT SUM(s.revenue) 
					FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
					WHERE c.account_id = '$account_id' AND c.ctype = 1 AND MONTH(s.delivery_date) = MONTH(NOW()) AND YEAR(s.delivery_date) = YEAR(NOW())";
			$branch_profit_res = mysql_query($sql) or die(mysql_error()); 
			$branch_profit_row = mysql_fetch_array($branch_profit_res); 
			
			// GROSS PROFIT OF THE MONTH FROM CUSTOMERS
			$sql = "SELECT SUM(s.revenue) 
					FROM sales s INNER JOIN customers c ON s.customer_id = c.customer_id
					WHERE c.account_id = '$account_id' AND c.ctype = 0 AND MONTH(s.delivery_date) = MONTH(NOW()) AND YEAR(s.delivery_date) = YEAR(NOW())";
			$customer_profit_res = mysql_query($sql) or die(mysql_error()); 
			$customer_profit_row = mysql_fetch_array($customer_profit_res); 
			
			// GROSS PROFIT OF THE MONTH
			$sql = "SELECT SUM(revenue) FROM sales WHERE account_id = '$account_id' AND MONTH(delivery_date) = MONTH(NOW()) AND YEAR(delivery_date) = YEAR(NOW())";
			$gross_profit_res = mysql_query($sql) or die(mysql_error()); 
			$gross_profit_row = mysql_fetch_array($gross_profit_res); 
			
			// TOTAL EXPENSES
			$sql = "SELECT SUM(amount) FROM expenses WHERE account_id = '$account_id' AND MONTH(edate) = MONTH(NOW()) AND YEAR(edate) = YEAR(NOW())";
			$total_expenses_res = mysql_query($sql) or die(mysql_error()); 
			$total_expenses_row = mysql_fetch_array($total_expenses_res); 
			
			// TOTAL TAXES
			$sql = "SELECT SUM(amount) FROM taxes WHERE account_id = '$account_id' AND MONTH(tdate) = MONTH(NOW()) AND YEAR(tdate) = YEAR(NOW())";
			$total_taxes_res = mysql_query($sql) or die(mysql_error()); 
			$total_taxes_row = mysql_fetch_array($total_taxes_res); 
			
			// NET INCOME
			$net_income = $gross_profit_row[0] - ($total_expenses_row[0] + $total_taxes_row[0]);
			
			// TOTAL UNREALIZED PROFIT
			$sql = "SELECT SUM((balance / line_total) * revenue) FROM sales WHERE account_id = '$account_id'";
			$total_unrealized_res = mysql_query($sql) or die(mysql_error()); 
			$total_unrealized_row = mysql_fetch_array($total_unrealized_res); 

			// CURRENT UNREALIZED PROFIT
			$sql = "SELECT SUM((balance / line_total) * revenue) FROM sales 
					WHERE account_id = '$account_id' AND MONTH(delivery_date) = MONTH(NOW()) AND YEAR(delivery_date) = YEAR(NOW())";
			$current_unrealized_res = mysql_query($sql) or die(mysql_error()); 
			$current_unrealized_row = mysql_fetch_array($current_unrealized_res); 
			
			// CURRENT REALIZED PROFIT
			$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
					FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
					WHERE s.account_id = '$account_id' AND MONTH(s.delivery_date) = MONTH(NOW()) AND YEAR(s.delivery_date) = YEAR(NOW()) AND c.good = 1";
			$current_realized_res = mysql_query($sql) or die(mysql_error()); 
			$current_realized_row = mysql_fetch_array($current_realized_res); 

			// TOTAL REALIZED PROFIT
			$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
					FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
					WHERE s.account_id = '$account_id' AND c.good = 1";
			$total_realized_res = mysql_query($sql) or die(mysql_error()); 
			$total_realized_row = mysql_fetch_array($total_realized_res); 
			
			// PREVIOUS REALIZED PROFIT
			//$prev_realized = $total_realized_row[0] - $current_realized_row[0]; 
			//$sql = "SELECT TO_DAYS(DATE_ADD(LAST_DAY(DATE_SUB(NOW(), INTERVAL 1 MONTH)), INTERVAL 1 DAY))"; // INT of 1ST DAY OF CURRENT MONTH
			$sql = "SELECT SUM((c.amount / s.line_total) * s.revenue) 
					FROM sales s INNER JOIN cpayments c ON s.sale_id = c.sale_id
					WHERE s.account_id = '$account_id' AND c.good = 1 AND (TO_DAYS(s.delivery_date) < TO_DAYS(DATE_ADD(LAST_DAY(DATE_SUB(NOW(), INTERVAL 1 MONTH)), INTERVAL 1 DAY)))";
			$prev_realized_res = mysql_query($sql) or die(mysql_error()); 
			$prev_realized_row = mysql_fetch_array($prev_realized_res); 
			
			?>
			<td align="center" width="500" valign="top">
				<table width="500">
					<thead class="data">
					<tr><td colspan="2" align="center"><b>Income Statement for <?PHP print "$monthname, $year"; ?></b></td></tr>
					</thead>
					<tbody class="data">
						<tr class="odd"><td width="250" align="right">Gross Profit From Branches&nbsp;</td>
							<td width="250" align="right"><?PHP echo number_format($branch_profit_row[0], 2); ?></td></tr>
						<tr class="even"><td align="right">Total Gross Profit From Customers&nbsp;</td>
							<td align="right"><?PHP echo number_format($customer_profit_row[0], 2); ?></td></tr>
						<tr class="odd"><td align="right">Total Gross Profit&nbsp;</td>
							<td align="right"><b><?PHP echo number_format($gross_profit_row[0], 2); ?></b></td></tr>
						<tr class="even"><td align="right" valign="top">Operational Expenses&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT et.extype_name, SUM(e.amount)
										FROM expenses e, expense_types et
										WHERE e.account_id = '$account_id' AND e.extype_id=et.extype_id 
											AND MONTH(e.edate)=MONTH(NOW()) 
											AND YEAR(e.edate)=YEAR(NOW())
										GROUP BY et.extype_name
										ORDER BY et.extype_name";
								$res = mysql_query($sql);
								while ($row = mysql_fetch_array($res)) {
									$expense_amount = number_format($row[1], 2);
									print "$row[0] ---->> $expense_amount<br>";
								}
							?></td></tr>
						<tr class="odd"><td align="right">Total Expenses&nbsp;</td>
							<td align="right"><b><?PHP echo number_format($total_expenses_row[0], 2); ?></b></td></tr>
						<tr class="even"><td align="right" valign="top">Taxes&nbsp;</td>
							<td align="right"><?PHP
								$sql = "SELECT tt.taxtype_name, SUM(t.amount)
										FROM taxes t, tax_types tt
										WHERE t.account_id = '$account_id' AND t.taxtype_id=tt.taxtype_id 
											AND MONTH(t.tdate)=MONTH(NOW()) 
											AND YEAR(t.tdate)=YEAR(NOW())
										GROUP BY tt.taxtype_name
										ORDER BY tt.taxtype_name";
								$res2 = mysql_query($sql);
								while ($row2 = mysql_fetch_array($res2)) {
									$tax_amount = number_format($row2[1], 2);
									print "$row2[0] ---->> $tax_amount<br>";
								}
							?></td></tr>
						<tr class="odd"><td align="right">Total Taxes&nbsp;</td>
							<td align="right"><b><?PHP echo number_format($total_taxes_row[0], 2); ?></b></td></tr>
						<tr class="even"><td align="right"><b>Net Income</b>&nbsp;</td>
							<td align="right"><b><?PHP echo number_format($net_income, 2); ?></b></td></tr>
						<tr class="odd"><td>&nbsp;</td><td>&nbsp;</td></tr>
						<tr class="even"><td>&nbsp;</td><td>&nbsp;</td></tr>
						<tr class="odd">
							<td align="right"><i>Total Unrealized Profit</i>&nbsp;</td>
							<td align="right"><?PHP echo number_format($total_unrealized_row[0], 2); ?></td></tr>
						<tr class="even">
							<td align="right"><i>Unrealized Profit From Current Period</i>&nbsp;</td>
							<td align="right"><?PHP echo number_format($current_unrealized_row[0], 2); ?></td></tr>
						<tr class="odd">
							<td align="right"><i>Total Realized Profit From Previous Months</i>&nbsp;</td>
							<td align="right"><?PHP echo number_format($prev_realized_row[0], 2); ?></td></tr>
						<tr class="even">
							<td align="right"><i>Realized Profit From Current Period</i>&nbsp;</td>
							<td align="right"><?PHP echo number_format($current_realized_row[0], 2); ?></td></tr>
						<tr class="odd">
							<td align="right"><b>Total Realized Profit</b>&nbsp;</td>
							<td align="right"><?PHP echo number_format($total_realized_row[0], 2); ?></td></tr>
					</tbody>
				</table>
			</td>
		</tr>
        </table></div>
        <p class="meta"></p>
    </div>
	<?PHP
}
?>