<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Inventory Tracking');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if(isset($_POST['submit'])) { // if submit button has been pressed
			show_form();
			show_its($_POST[product_id]);
		} elseif (isset($_POST['submit2'])) {
			show_form();
			show_its2($_POST[manufacturer_id]);
		} else {
			show_form();
		}

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form() {
	?>
	<form action="its.php" method="POST">
	    <div class="post">
	        <h1 class="title">Inventory Tracking</h1>
	        <div class="entry">
	            <table>
	                <tbody class="data">
						<tr><td align="center">&nbsp;&nbsp;<select name="product_id"><option>Product</option>
							<?PHP
							$sql = "SELECT product_id, product_name FROM products ORDER BY product_name";
							$res = mysql_query($sql);
							while ($row = mysql_fetch_array($res)) {
								print "<option value='$row[0]'>$row[1]</option>";
							}
							?></select>&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" class="button blue" name="submit" value="Submit">&nbsp;&nbsp;</td>
						<td width="100"></td>
						<td align="center">&nbsp;&nbsp;<select name="manufacturer_id"><option>Manufacturer</option>
							<?PHP
							$sql = "SELECT manufacturer_id, manufacturer_name FROM manufacturers ORDER BY manufacturer_name";
							$res2 = mysql_query($sql);
							while ($row2 = mysql_fetch_array($res2)) {
								print "<option value='$row2[0]'>$row2[1]</option>";
							}
							?></select>&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" class="button blue" name="submit2" value="Submit">&nbsp;&nbsp;</td>
						</tr>
	                </tbody>
	            </table>
	        </div>
        <p class="meta"></p>
	    </div>
	</form><br>
	<?PHP
}

function show_its($product_id) {
	$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);
	?>
    <div class="post">
        <div id="details">
            <a id="icon1" class="th_img" href="print_its.php?product_id=<?PHP print $product_id ?>" target="new"><img src="lib/b_print.png"></a>
        </div>
        <h1 class="title">Inventory Tracking for <?PHP print $row[0] ?></h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="380" valign="top">
					<?PHP
					$sql = "SELECT p.purchase_id, p.or_num, DATE_FORMAT(p.delivery_date, '%b %e, %Y'), s.company_name, pd.quantity
							FROM purchases p, purchase_details pd, products pp, suppliers s
							WHERE p.purchase_id=pd.purchase_id AND p.supplier_id=s.supplier_id
								AND pd.product_id=pp.product_id AND pp.product_id='$product_id' AND p.direct_delivery = 0
							ORDER BY p.delivery_date DESC";
					$res = mysql_query($sql);
					$num = mysql_num_rows($res);
					if ($num > 0) {
						?>
						<table width="330">
							<thead class="data">
								<tr><td colspan="4" align="center"><b>Purchases</b></td></tr>
								<tr>
									<td width="50" align="center">OR #</td>
									<td width="80" align="center">Date</td>
									<td width="150" align="center">Supplier</td>
									<td width="50" align="center">Qty</td>
								</tr>
							</thead>
							<tbody class="data">
							<?PHP
							$i = 1;
							while ($row = mysql_fetch_array($res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="purchase.php?purchase_id=<?PHP print $row[0] ?>"><?PHP print $row[1] ?></td></td>
									<td align="center"><?PHP print $row[2] ?></td>
									<td align="left"><?PHP print $row[3] ?></td>
									<td align="right"><?PHP $fp = number_format($row[4], 2); print $fp ?></td>
								</tr>
								<?PHP
								$i++;
							}
							$sql = "SELECT SUM(pd.quantity)
									FROM purchases p, purchase_details pd
									WHERE p.purchase_id = pd.purchase_id AND pd.product_id = '$product_id' AND p.direct_delivery = 0"; 
							$res2 = mysql_query($sql); $row2 = mysql_fetch_array($res2);
							$ftp = number_format($row2[0], 2);
							?>
							<tr class="total">
								<td align="right" colspan="3"><b>TOTAL</b>&nbsp;</td><td align=right><b><?PHP print $ftp ?></b></td>
							</tr>
							</tbody>
						</table>
						<?PHP
					} else {
						print "<br><center><font color=red>No purchase recorded</font></center>";
					}
					?>
				</td>
				<td width="330" valign="top">
					<?PHP
					$sql = "SELECT s.sale_id, s.or_num, DATE_FORMAT(s.delivery_date, '%b %e, %Y'), c.company_name, SUM(sd.quantity)
							FROM sales s, sale_details sd, products p, customers c
							WHERE s.sale_id=sd.sale_id AND s.customer_id=c.customer_id 
								AND sd.product_id=p.product_id AND p.product_id='$product_id' AND s.purchase_id = 0
							GROUP BY s.sale_id
							ORDER BY s.delivery_date DESC, c.company_name";
					$res1 = mysql_query($sql);
					$num1 = mysql_num_rows($res1);
					if ($num1 > 0) {
						?>
						<table width="380">
							<thead class="data">
								<tr><td colspan="4" align="center"><b>Product Dispensings</b></td></tr>
								<tr>
									<td width="50" align="center">OR #</td>
									<td width="80" align="center">Date</td>
									<td width="200" align="center">Customer</td>
									<td width="50" align="center">Qty</td>
								</tr>
							</thead>
							<tbody class="data">
							<?PHP
							$j = 1;
							while ($row1 = mysql_fetch_array($res1)) {
								$n = fmod($j, 2);
								if ($n == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class=tddata href="sale.php?sale_id=<?PHP print $row1[0] ?>"><?PHP print $row1[1] ?></td></td>
									<td align="center"><?PHP print $row1[2] ?></td>
									<td align="left"><?PHP print $row1[3] ?></td>
									<td align="right"><?PHP $fs = number_format($row1[4], 2); print $fs ?></td>
								</tr>
								<?PHP
								$j++;
							}
							$sql = "SELECT SUM(sd.quantity)
									FROM sales s, sale_details sd
									WHERE s.sale_id = sd.sale_id AND sd.product_id = '$product_id' AND s.purchase_id = 0";
							$sres = mysql_query($sql); $srow = mysql_fetch_array($sres);
							$tfs = number_format($srow[0], 2);
							?>
							<tr class="total">
								<td align="right" colspan="3"><b>TOTAL</b>&nbsp;</td><td align="right"><b><?PHP print $tfs ?></b></td>
							</tr>
							</tbody></table>
							<?PHP
					} else {
						print "<br><center><font face=arial size=2 color=red>No sale recorded</font></center>";
					}
					?>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}

function show_its2($manufacturer_id) {
	$sql = "SELECT manufacturer_name FROM manufacturers WHERE manufacturer_id = '$manufacturer_id'";
	$mres = mysql_query($sql); $mrow = mysql_fetch_array($mres); 
	?>
    <div class="post">
        <div id="details">
            <a id="icon1" class="th_img" href="print_its2.php?manufacturer_id=<?PHP print $manufacturer_id ?>" target="new"><img src="lib/b_print.png"></a>
        </div>
        <h1 class="title">Inventory Tracking for <?PHP print $mrow[0] ?> Products</h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="380" valign="top">
					<?PHP
					$sql = "SELECT product_id, product_name 
							FROM products WHERE manufacturer_id = '$manufacturer_id'
							ORDER BY product_name";
					$res = mysql_query($sql);
					$num = mysql_num_rows($res);
					if ($num > 0) {
						?>
						<table width="330">
							<thead class="data">
								<tr><td colspan="2" align="center"><b>Purchases</b></td></tr>
								<tr>
									<td width="250" align="center">Product</td>
									<td width="100" align="center">Total</td>
								</tr>
							</thead>
							<tbody class="data">
							<?PHP
							$i = 1;
							while ($row = mysql_fetch_array($res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></td></td>
									<td align="right"><?PHP
										$sql = "SELECT SUM(quantity) FROM purchase_details WHERE product_id = '$row[0]'";
										$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
										echo $trow[0] ?></td>
								</tr>
								<?PHP
								$i++;
							}
							?>
							</tbody>
						</table>
						<?PHP
					} else {
						print "<br><center><font color=red>No product for this manufacturer</font></center>";
					}
					?>
				</td>
				<td width="330" valign="top">
					<?PHP
					$sql = "SELECT product_id, product_name 
							FROM products WHERE manufacturer_id = '$manufacturer_id'
							ORDER BY product_name";
					$res1 = mysql_query($sql);
					$num1 = mysql_num_rows($res1);
					if ($num1 > 0) {
						?>
						<table width="380">
							<thead class="data">
								<tr><td colspan="2" align="center"><b>Sales</b></td></tr>
								<tr>
									<td width="250" align="center">Product</td>
									<td width="100" align="center">Total</td>
								</tr>
							</thead>
							<tbody class="data">
							<?PHP
							$j = 1;
							while ($row1 = mysql_fetch_array($res1)) {
								$n = fmod($j, 2);
								if ($n == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row1[0] ?>"><?PHP echo $row1[1] ?></td></td>
									<td align="right"><?PHP
										$sql = "SELECT SUM(quantity) FROM sale_details WHERE product_id = '$row1[0]'";
										$sres = mysql_query($sql); $srow = mysql_fetch_array($sres);
										echo $srow[0] ?></td>
								</tr>
								<?PHP
								$j++;
							}
							?>
							</tbody></table>
							<?PHP
					} else {
						print "<br><center><font face=arial size=2 color=red>No product for this manufacturer</font></center>";
					}
					?>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}
?>