function env(id, lbl, err){
	if($(id).val()!='') return false;
	if(lbl===undefined) return true;
	var msg='Please provide a value for '+lbl+'.';
	if(err===undefined)
		alert(msg);
	else
		$(err).text(msg);
	$(id).addClass('invalid');
	$(id).focus();
	return true;
}
function num(id, lbl, err){
	if($(id).val()=='') return true;
	if(!isNaN($(id).val())) return true;
	if(lbl===undefined) return false;
	var msg='Please provide a value for '+lbl+' that is numeric.';
	if(err===undefined)
		alert(msg);
	else
		$(err).text(msg);
	$(id).addClass('invalid');
	$(id).focus();
	return false;
}
function dteVal(val){
	val=val.split('/');
	if(val.length!=3) return false;
	var month=val[0];
	var day=val[1];
	var year=val[2];
	if(isNaN(month)||isNaN(day)||isNaN(year)) return false;
	if(month<1||month>12||day<1||year<1000||year>9999) return false;
	if((month==1||month==3||month==5||month==7||month==8||month==10||month==12)&&day>31)
		return false;
	else if((month==4||month==6||month==9||month==11)&&day>30)
		return false;
	else if(month==2&&((year%4==0&&day>29)||(year%4!=0&&day>28)))
		return false;
	return true;	
}
function dte(id, lbl, err){
	var val=$(id).val();
	if(val=='') return true;
	if(dteVal(val)) return true;
	if(lbl===undefined) return false;
	var msg='Please provide a value for '+lbl+' that is date.';
	if(err===undefined)
		alert(msg);
	else
		$(err).text(msg);
	$(id).addClass('invalid');
	$(id).focus();
	return false;
}
function tmeVal(val){
	val=val.split(':');
	if(val.length!=2) return false;
	var hour=val[0];
	val=val[1].split(' ');
	if(val.length!=2) return false;
	var minute=val[0];
	var meridian=val[1];
	if(isNaN(hour)||isNaN(minute)||!(meridian.toLowerCase()=='am'||meridian.toLowerCase()=='pm')) return false;
	if(hour<1||hour>12||minute<0||minute>59) return false;
	return true;
}
function tme(id, lbl, err){
	var val=$(id).val();
	if(val=='') return true;
	if(tmeVal(val)) return true;
	if(lbl===undefined) return false;
	var msg='Please provide a value for '+lbl+' that is time.';
	if(err===undefined)
		alert(msg);
	else
		$(err).text(msg);
	$(id).addClass('invalid');
	$(id).focus();
	return false;
}
function dtm(id, lbl, err){
	var val=$(id).val();
	if(val=='') return true;
	var dtmVal=true;
	val=val.split(' ');
	if(val.length!=3) var dtmVal=false;
	if(!dteVal(val[0])) dtmVal=false;
	if(!tmeVal(val[1]+' '+val[2])) dtmVal=false;
	if(dtmVal) return true;
	if(lbl===undefined) return false;
	var msg='Please provide a value for '+lbl+' that is date/time.';
	if(err===undefined)
		alert(msg);
	else
		$(err).text(msg);
	$(id).addClass('invalid');
	$(id).focus();
	return false;
}
function rf(src, con, msg, err){
	var rif;
	$.ajax({
		async:false,
		data:{
			smt:'select * from '+src+(con===undefined?'':' where '+con)
		},
		dataType:'text',
		url:'lib/php-record-found.php',
		success:function(result){
			rif=result;
		}
	});	
	if(rif&&msg!==undefined){
		if(err===undefined)
			alert(msg);
		else
			$(err).text(msg);
	}
	return rif;
}
function ac(id, fld, src, con, srt){
	$(id).autocomplete({
		source:function(request, response){
			$.getJSON('lib/php-autocomplete.php', {
				field:fld,
				source:src,
				condition:con,
				sort:srt,
				find:request.term
			}, function(data){
				response(data);
			});
		}
	});
	$(id).autocomplete().data('ui-autocomplete')._renderMenu=function(ul, items){
		var that=this;
		var div=$('<div>');
		var li=$('<li>');
		var fldIndex;
		for(fldIndex in fld) li.append($('<div>').append(fld[fldIndex][1]===undefined?'':fld[fldIndex][1]));
		ul.append(div.append(li));
		$.each(items, function(index, item){
			that._renderItemData(ul, item);
		});
	};
	$(id).autocomplete().data('ui-autocomplete')._renderItem=function(ul, item){
		return $('<li>')
		.data('item.autocomplete', item)
		.append(function(){
			var a=$('<a>');
			for(fldIndex in fld) a.append($("<div class='"+(fld[fldIndex][2]===undefined?'':fld[fldIndex][2])+"'>").append(item[fld[fldIndex][0]])); 	
			return a;		
		})
		.appendTo(ul);
	};
}
function css(){
	$("*[id^='dte']").each(function(index){
		$(this).datepicker({
			changeMonth:true,
			changeYear:true,
			showButtonPanel:true
		});
	});
	$("*[id^='tme']").each(function(index){
		$(this).timepicker({
			timeFormat:'hh:mm tt'
		});
	});
	$("*[id^='dtm']").each(function(index){
		$(this).datetimepicker({
			changeMonth:true,
			changeYear:true,
			timeFormat:'hh:mm tt'
		});
	});
}
