$(document).ready(function(){
	$('#cust').keyup(function(){
		custlookup($(this).val());
	});
	$('.th_img.tcan').click(function(event){
		event.preventDefault();
		$(this).parent().siblings('.prod_code').children('input').val('');
		$(this).parent().siblings('.prod_name').children('input').val('');
		$(this).parent().siblings('.prod_avlt').html('');
		$(this).parent().siblings('input[name^=\"prod_avlt\"]').val('');
		$(this).parent().siblings('.prod_cptl').html('');
		$(this).parent().siblings('input[name^=\"prod_cptl\"]').val('');
		$(this).parent().siblings('.prod_prce').children('input').val('');
		$(this).parent().siblings('.prod_dsct').children('input').val('');
		$(this).parent().siblings('.prod_qnty').children('input').val('');
		$(this).parent().siblings('.prod_netp').html('0.00');
		$(this).parent().siblings('input[name^=\"prod_netp\"]').val('');
		var gn = number_format(netupd(), 2);
		$('#grand_net').html(gn);
		$('#hdngrannet').val(gn.replace(',', ''));
		chngupd();
	});
});
function prodBlur(i=''){
	if ($('#prod_code'+i).val().length == 0){
		$('#prod_id'+i).val('');
		$('#prod_code'+i).val('');
		$('#prod_name'+i).val('');
		$('#prod_avlt'+i).html('');
		$('input[name=\"prod_avlt'+i+'\"]').val('');
		$('#prod_cptl'+i).html('');
		$('input[name=\"prod_cptl'+i+'\"]').val('');
		$('#prod_prce'+i).val('');
		$('#prod_dsct'+i).val('');
		$('#prod_qnty'+i).val('');
		$('#prod_netp'+i).html('');
		$('input[name=\"prod_netp'+i+'\"]').val('');
		setTimeout("$('#prodSuggest"+i+"').hide();", 200);
		var gn = number_format(netupd(), 2, '.', ',');
		$('#grand_net').html(gn);
		$('#hdngrannet').val(gn.replace(',', ''));
	}
}
function inupd(i=''){
	var prc = $('#prod_prce'+i).val();
	var dct = $('#prod_dsct'+i).val();
	var qty = $('#prod_qnty'+i).val();
	var ntp = (prc - dct) * qty;
	ntp = number_format(ntp, 2, '.', ',');
	$('#prod_netp'+i).html(ntp);
	$('input[name=\"prod_netp'+i+'\"]').val(ntp.replace(',', ''));
	var gn = number_format(netupd(), 2, '.', ',');
	$('#grand_net').html(gn);
	$('#hdngrannet').val(gn.replace(',', ''));
	chngupd();
}
function netupd(){
	var netp = 0;
	for(i=1;i<=20;i++){
		netp = netp + parseFloat($('#prod_netp'+i).html().replace(',', ''));
	}
	return netp;
}
function chngupd(){
	var netp = netupd();
	var pymt = $('#pymnt').val();
	if (pymt > netp){ var chng = number_format((pymt - netp), 2);
	} else { var chng = 0; }
	$('#chnge').html(chng);
}
function bprod_lookup(prod='', b='', i=''){
	var sggt = '#prodSuggest'+i;
	var slst = '#prodSuggestList'+i;
	if (prod.length == 0){ $(sggt).hide();
	} else {
		$.post('get_bprod.php', {string: i+'|'+b+'|'+prod}, function(data){
			if (data.length > 0) {
				$(sggt).show();
				$(slst).html(data);
			}
		});
	}
}
function bprodfill(i='', bprod_id='', bprod_num='', bprod_name='', bprod_inv='', bprod_acq='', bprod_spr=''){
	$('#prod_id'+i).val(bprod_id);
	$('#prod_code'+i).val(bprod_num);
	$('#prod_name'+i).val(bprod_name);
	$('#prod_avlt'+i).html(bprod_inv);
	$('input[name=\"prod_avlt'+i+'\"]').val(bprod_inv);
	$('#prod_cptl'+i).html(bprod_acq);
	$('input[name=\"prod_cptl'+i+'\"]').val(bprod_acq);
	$('#prod_prce'+i).val(bprod_spr);
	$('#prod_dsct'+i).val('0');
	$('#prod_qnty'+i).val('1');
	var netp = bprod_spr * 1;
	netp = number_format(netp, 2, '.', ',');
	$('#prod_netp'+i).html(netp);
	$('input[name=\"prod_netp'+i+'\"]').val(netp.replace(',', ''));
	setTimeout("$('#prodSuggest"+i+"').hide();", 200);
	var gn = number_format(netupd(), 2, '.', ',');
	$('#grand_net').html(gn);
	$('#hdngrannet').val(gn.replace(',', ''));
}
function custlookup(cust=''){
	if (cust.length == 0){ $('#custSuggest').hide();
	} else {
		$.post('get_bcust.php', {string: '".$branch_id."'+'|'+cust}, function(data){
			if (data.length > 0) {
				$('#custSuggest').show();
				$('#custSuggestList').html(data);
			}
		});
	}
}
function custsfill(cus_id='', cus_name='', cred_lmt='', cust_bal='', allw_rct='', unpd_rct=''){
	$('#hdncustid').val(cus_id);
	$('#cust').val(cus_name);
	$('#cred_lmt').html('&nbsp;'+cred_lmt);
	$('#cust_bal').html('&nbsp;'+cust_bal);
	$('#allw_rct').html('&nbsp;'+allw_rct);
	$('#unpd_rct').html('&nbsp;'+unpd_rct);
	setTimeout("$('#custSuggest').hide();", 200);
}
function number_format(number, decimals, decPoint, thousandsSep) {
	number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
	var n = !isFinite(+number) ? 0 : +number;
	var prec = !isFinite(+decimals) ? 0 : Math.abs(decimals);
	var sep = (typeof thousandsSep === 'undefined') ? ',' : thousandsSep;
	var dec = (typeof decPoint === 'undefined') ? '.' : decPoint;
	var s = '';
	var toFixedFix = function (n, prec) {
	if (('' + n).indexOf('e') === -1) {
		return +(Math.round(n + 'e+' + prec) + 'e-' + prec);
	} else {
		var arr = ('' + n).split('e');
		var sig = '';
		if (+arr[1] + prec > 0) {
			sig = '+';
		}
		return (+(Math.round(+arr[0] + 'e' + sig + (+arr[1] + prec)) + 'e-' + prec)).toFixed(prec);
	}
}
// @todo: for IE parseFloat(0.55).toFixed(0) = 0;
	s = (prec ? toFixedFix(n, prec).toString() : '' + Math.round(n)).split('.');
	if (s[0].length > 3) {
		s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
	}
	if ((s[1] || '').length < prec) {
		s[1] = s[1] || '';
		s[1] += new Array(prec - s[1].length + 1).join('0');
	}
	return s.join(dec);
}