<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Add Sale');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $sale_id = mysql_real_escape_string(stripslashes($_POST['sale_id']));
	            $whouse_id = mysql_real_escape_string(stripslashes($_POST['whouse_id']));
	            $customer_id = mysql_real_escape_string(stripslashes($_POST['customer_id']));
	            $or_num = mysql_real_escape_string(stripslashes($_POST['or_num']));
	            $received_by = mysql_real_escape_string(stripslashes($_POST['received_by']));
	            $notes = mysql_real_escape_string(stripslashes($_POST['notes']));
	            $pmode = mysql_real_escape_string(stripslashes($_POST['pmode']));
	            $p_or_num = mysql_real_escape_string(stripslashes($_POST['p_or_num']));
	            $payment_terms = mysql_real_escape_string(stripslashes($_POST['payment_terms']));
	            $p_notes = mysql_real_escape_string(stripslashes($_POST['p_notes']));
	            $due_date = mysql_real_escape_string(stripslashes($_POST['due_date']));
	        } else {
	            $sale_id = mysql_real_escape_string($_POST['sale_id']);
	            $whouse_id = mysql_real_escape_string($_POST['whouse_id']);
	            $customer_id = mysql_real_escape_string($_POST['customer_id']);
	            $or_num = mysql_real_escape_string($_POST['or_num']);
	            $received_by = mysql_real_escape_string($_POST['received_by']);
	            $notes = mysql_real_escape_string($_POST['notes']);
	            $pmode = mysql_real_escape_string($_POST['pmode']);
	            $p_or_num = mysql_real_escape_string($_POST['p_or_num']);
	            $payment_terms = mysql_real_escape_string($_POST['payment_terms']);
	            $p_notes = mysql_real_escape_string($_POST['p_notes']);
	            $due_date = mysql_real_escape_string($_POST['due_date']);
			}
			
	
			// Check if the products submitted are the first entries of a sale
			if ($sale_id == "") {
				// Check to make sure they have selected from the list of customers.
				if ($customer_id != "") { $a = TRUE; } 
				else { $a = FALSE; $message[] = "Please select from the list of customers."; }
				// Check to make sure they have entered the person who received the product sale.
				if ($received_by != "") { $b = TRUE; } 
				else { $b = FALSE; $message[] = "Please enter the person who received the product sale."; }
				// Check to make sure they have entered the payment mode.
				if ($pmode != "") { $c = TRUE; } 
				else { $c = FALSE; $message[] = "Please enter the payment mode for this sale."; }
				// Check to make sure they have entered the payment mode.
				if ($due_date != "") { $d = TRUE; } 
				else { $d = FALSE; $message[] = "Please enter the due date of the sale."; }
				// Check to make sure they have entered the payment mode.
				if ($whouse_id != "") { $e = TRUE; } 
				else { $e = FALSE; $message[] = "Please select from the list of warehouses."; }
				
				// If the data pass all tests, add the patient to the database.
				if ( $a && $b && $c && $d && $e ) {
					// check if the sale already exists 
					$sql = "SELECT sale_id FROM sales
							WHERE or_num = '$or_num' AND customer_id = '$customer_id' AND delivery_date = NOW()";
					$sres = mysql_query($sql);
					$snum = mysql_num_rows($sres); 
					$srow = mysql_fetch_array($sres);
					if ($snum > 0) {
						print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
							align=center><font face=arial size=2 color=red><img src='lib/s_error.png'><br><br>Product sale 
							already exists in the database.<br>Click <a class=paging href='sale.php?sale_id=$srow[0]'>here</a>
							to view the product sale.</font></td></tr></table></td></tr></table></center><br>";
					} else {
						$sql = "INSERT INTO sales( whouse_id, customer_id, user_id, delivery_date, due_date, received_by, notes ) 
								VALUES( '$whouse_id', '$customer_id', '$_SESSION[user_id]', NOW(), '$due_date', '$received_by', '$notes' )";
						if (mysql_query($sql)) {
							$sale_id = mysql_insert_id();
							$sql = "UPDATE customers SET lastsale = NOW() WHERE customer_id = '$customer_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
						} else {
							echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could not add 
								sale into the database</b></font></td></tr></table></td></tr></table></center><br>";
						}
						
						if ($_POST[product_id1] != "" && $_POST[quantity1] != "") {
							Add2Sale($whouse_id, $_POST[product_id1], $_POST[quantity1], $sale_id, $_POST[unit_price1],	$_POST[unit_discount1], $_POST[net_price1]);
						} // end of product # 1
						if ($_POST[product_id2] != "" && $_POST[quantity2] != "") {
							Add2Sale($whouse_id, $_POST[product_id2], $_POST[quantity2], $sale_id, $_POST[unit_price2], $_POST[unit_discount2], $_POST[net_price2]);
						} // end of product # 2
						if ($_POST[product_id3] != "" && $_POST[quantity3] != "") {
							Add2Sale($whouse_id, $_POST[product_id3], $_POST[quantity3], $sale_id, $_POST[unit_price3], $_POST[unit_discount3], $_POST[net_price3]);
						} // end of product # 3
						if ($_POST[product_id4] != "" && $_POST[quantity4] != "") {
							Add2Sale($whouse_id, $_POST[product_id4], $_POST[quantity4], $sale_id, $_POST[unit_price4], $_POST[unit_discount4], $_POST[net_price4]);
						} // end of product # 4
						if ($_POST[product_id5] != "" && $_POST[quantity5] != "") {
							Add2Sale($whouse_id, $_POST[product_id5], $_POST[quantity5], $sale_id, $_POST[unit_price5], $_POST[unit_discount5], $_POST[net_price5]);
						} // end of product # 5
						if ($_POST[product_id6] != "" && $_POST[quantity6] != "") {
							Add2Sale($whouse_id, $_POST[product_id6], $_POST[quantity6], $sale_id, $_POST[unit_price6], $_POST[unit_discount6], $_POST[net_price6]);
						} // end of product # 6
						if ($_POST[product_id7] != "" && $_POST[quantity7] != "") {
							Add2Sale($whouse_id, $_POST[product_id7], $_POST[quantity7], $sale_id, $_POST[unit_price7], $_POST[unit_discount7], $_POST[net_price7]);
						} // end of product # 7
						if ($_POST[product_id8] != "" && $_POST[quantity8] != "") {
							Add2Sale($whouse_id, $_POST[product_id8], $_POST[quantity8], $sale_id, $_POST[unit_price8], $_POST[unit_discount8], $_POST[net_price8]);
						} // end of product # 8
						if ($_POST[product_id9] != "" && $_POST[quantity9] != "") {
							Add2Sale($whouse_id, $_POST[product_id9], $_POST[quantity9], $sale_id, $_POST[unit_price9], $_POST[unit_discount9], $_POST[net_price9]);
						} // end of product # 9
						if ($_POST[product_id10] != "" && $_POST[quantity10] != "") {
							Add2Sale($whouse_id, $_POST[product_id10], $_POST[quantity10], $sale_id, $_POST[unit_price10], $_POST[unit_discount10], $_POST[net_price10]);
						} // end of product # 10
						if ($_POST[product_id11] != "" && $_POST[quantity11] != "") {
							Add2Sale($whouse_id, $_POST[product_id11], $_POST[quantity11], $sale_id, $_POST[unit_price11], $_POST[unit_discount11], $_POST[net_price11]);
						} // end of product # 11
						if ($_POST[product_id12] != "" && $_POST[quantity12] != "") {
							Add2Sale($whouse_id, $_POST[product_id12], $_POST[quantity12], $sale_id, $_POST[unit_price12], $_POST[unit_discount12], $_POST[net_price12]);
						} // end of product # 12
						if ($_POST[product_id13] != "" && $_POST[quantity13] != "") {
							Add2Sale($whouse_id, $_POST[product_id13], $_POST[quantity13], $sale_id, $_POST[unit_price13], $_POST[unit_discount13], $_POST[net_price13]);
						} // end of product # 13
						if ($_POST[product_id14] != "" && $_POST[quantity14] != "") {
							Add2Sale($whouse_id, $_POST[product_id14], $_POST[quantity14], $sale_id, $_POST[unit_price14], $_POST[unit_discount14], $_POST[net_price14]);
						} // end of product # 14
						if ($_POST[product_id15] != "" && $_POST[quantity15] != "") {
							Add2Sale($whouse_id, $_POST[product_id15], $_POST[quantity15], $sale_id, $_POST[unit_price15], $_POST[unit_discount15], $_POST[net_price15]);
						} // end of product # 15
						if ($_POST[product_id16] != "" && $_POST[quantity16] != "") {
							Add2Sale($whouse_id, $_POST[product_id16], $_POST[quantity16], $sale_id, $_POST[unit_price16], $_POST[unit_discount16], $_POST[net_price16]);
						} // end of product # 16
						if ($_POST[product_id17] != "" && $_POST[quantity17] != "") {
							Add2Sale($whouse_id, $_POST[product_id17], $_POST[quantity17], $sale_id, $_POST[unit_price17], $_POST[unit_discount17], $_POST[net_price17]);
						} // end of product # 17
						if ($_POST[product_id18] != "" && $_POST[quantity18] != "") {
							Add2Sale($whouse_id, $_POST[product_id18], $_POST[quantity18], $sale_id, $_POST[unit_price18], $_POST[unit_discount18], $_POST[net_price18]);
						} // end of product # 18
						if ($_POST[product_id19] != "" && $_POST[quantity19] != "") {
							Add2Sale($whouse_id, $_POST[product_id19], $_POST[quantity19], $sale_id, $_POST[unit_price19], $_POST[unit_discount19], $_POST[net_price19]);
						} // end of product # 19
						if ($_POST[product_id20] != "" && $_POST[quantity20] != "") {
							Add2Sale($whouse_id, $_POST[product_id20], $_POST[quantity20], $sale_id, $_POST[unit_price20], $_POST[unit_discount20], $_POST[net_price20]);
						} // end of product # 20
						
						$sql = "SELECT SUM(quantity*(unit_price - unit_discount)), 
									SUM((quantity * ((unit_price - unit_discount) - acq_price))) 
								FROM sale_details WHERE sale_id = '$sale_id'";
						$lt_res = mysql_query($sql);
						$lt_row = mysql_fetch_array($lt_res); $line_total = $lt_row[0]; $revenue = $lt_row[1];
						
						$sql = "SELECT sd_id FROM sale_details WHERE sale_id = '$sale_id'";
						$res = mysql_query($sql);
						$num = mysql_num_rows($res);
						
						if ($num > 0) {
							if ($pmode == 1) { // if cash
								$sql = "SELECT config_value FROM config WHERE config_id = 2";
								$uc_res = mysql_query($sql); $uc_row = mysql_fetch_array($uc_res);
								$new_uc = $uc_row[0] + $line_total;
								
								$sql = "UPDATE sales 
										SET or_num = '$sale_id', line_total = '$line_total', balance = 0, revenue = '$revenue', pmode = 1
										WHERE sale_id = '$sale_id' LIMIT 1";
								// if suceessful to insert the sale
								if (mysql_query($sql)) {
									$sql = "INSERT INTO cpayments(
												or_num, customer_id, user_id, sale_id, amount, 
												pdate, pmethod, payment_terms, notes, good) 
											VALUES('$p_or_num', '$customer_id', '{$_SESSION[user_id]}', 
												'$sale_id', '$line_total', NOW(), 'Cash', 
												'$payment_terms', '$p_notes', 1)";
									// if successful to insert the payment
									if (mysql_query($sql)) {
										mysql_query("UPDATE config SET config_value = '$new_uc' WHERE config_id = 2 LIMIT 1") or die(mysql_error());
										print "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
											height=30 align=center><font face=arial size=2><img src='lib/s_okay.png'><br><b>
											Sale has been added into the database</b>.<br>Click <a class=paging 
											href='add_sale.php'>here</a> to add <b>ANOTHER SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
										show_sale($sale_id);	
									} else {
										print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
											align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>
											There has been a mistake</b>.<br>Sale has been added into the database but <b>payment
											has not been processed</b>.</font></td></tr></table></td></tr></table></center><br>";
									}
								} else {
									print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
										align=center><font face=arial size=2><img src='lib/s_error.png'><br><br>Could 
										not insert sale into the database because: <b> ".mysql_error()." </b>.</font></td>
										</tr></table></td></tr></table></center><br>";
								}
							} elseif ($pmode == 2) { // if check
								$sql = "UPDATE sales 
										SET or_num = '$sale_id', line_total = '$line_total', balance = '$line_total', revenue = '$revenue', pmode = 2
										WHERE sale_id = '$sale_id' LIMIT 1";
								// if successful to insert the sale
								if (mysql_query($sql)) {
									print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
										align=center><font face=arial size=2><img src='lib/s_okay.png'><br><b>
										Sale has been added into the database</b>.<br>Click <a class=paging 
										href='add_sale.php'>here</a> to add <b>ANOTHER SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
									show_sale($sale_id);
								} else {
									print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
										align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could 
										not insert sale into the database because: <b> ".mysql_error()." </b>.</font></td>
										</tr></table></td></tr></table></center><br>";
								}
							}
						} else {
							print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
								align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could not add 
								sale into the database</b>.<br>No product has been added into the sale.</font></td></tr>
								</table></td></tr></table></center><br>";
						}
					}
				} else {
					// Print out any error messages. 
					if ($message) {
						echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td><font color=red 
							face=arial size=2><b>The following problems occurred:</b><br>\n";
						foreach ($message as $key => $value) {
							echo "$value <br>\n";
						}
						echo "</font></td></tr></table></td></tr></table></center>\n";
					}
				$sale_id = $_POST['sale_id'];
				$manufacturer_id = $_POST['manufacturer_id'];
				$category_id = $_POST['category_id'];
				show_form($sale_id, $manufacturer_id, $category_id);
				}
			// If the submitted products are just additional to a previous sale
			} else {
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// Since sale Details were already given, we just have to fetch the additional products for the same requisition
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				$res = mysql_query("select sd_id from sale_details where sale_id='$sale_id'");
				$num = mysql_num_rows($res);

				$cres = mysql_query("select customer_id from sales where sale_id='$sale_id'");
				$crow = mysql_fetch_array($cres); 
				$customer_id = $crow[0];
				
				if ($_POST[product_id1] != "" && $_POST[quantity1] != "") {
					Check_Product($whouse_id, $_POST[product_id1], $_POST[quantity1], $sale_id, $_POST[unit_price1], $_POST[unit_discount1], $_POST[net_price1]);
				} // end of product # 1
				if ($_POST[product_id2] != "" && $_POST[quantity2] != "") {
					Check_Product($whouse_id, $_POST[product_id2], $_POST[quantity2], $sale_id, $_POST[unit_price2], $_POST[unit_discount2], $_POST[net_price2]);
				} // end of product # 2
				if ($_POST[product_id3] != "" && $_POST[quantity3] != "") {
					Check_Product($whouse_id, $_POST[product_id3], $_POST[quantity3], $sale_id, $_POST[unit_price3], $_POST[unit_discount3], $_POST[net_price3]);
				} // end of product # 3
				if ($_POST[product_id4] != "" && $_POST[quantity4] != "") {
					Check_Product($whouse_id, $_POST[product_id4], $_POST[quantity4], $sale_id, $_POST[unit_price4], $_POST[unit_discount4], $_POST[net_price4]);
				} // end of product # 4
				if ($_POST[product_id5] != "" && $_POST[quantity5] != "") {
					Check_Product($whouse_id, $_POST[product_id5], $_POST[quantity5], $sale_id, $_POST[unit_price5], $_POST[unit_discount5], $_POST[net_price5]);
				} // end of product # 5
				if ($_POST[product_id6] != "" && $_POST[quantity6] != "") {
					Check_Product($whouse_id, $_POST[product_id6], $_POST[quantity6], $sale_id, $_POST[unit_price6], $_POST[unit_discount6], $_POST[net_price6]);
				} // end of product # 6
				if ($_POST[product_id7] != "" && $_POST[quantity7] != "") {
					Check_Product($whouse_id, $_POST[product_id7], $_POST[quantity7], $sale_id, $_POST[unit_price7], $_POST[unit_discount7], $_POST[net_price7]);
				} // end of product # 7
				if ($_POST[product_id8] != "" && $_POST[quantity8] != "") {
					Check_Product($whouse_id, $_POST[product_id8], $_POST[quantity8], $sale_id, $_POST[unit_price8], $_POST[unit_discount8], $_POST[net_price8]);
				} // end of product # 8
				if ($_POST[product_id9] != "" && $_POST[quantity9] != "") {
					Check_Product($whouse_id, $_POST[product_id9], $_POST[quantity9], $sale_id, $_POST[unit_price9], $_POST[unit_discount9], $_POST[net_price9]);
				} // end of product # 9
				if ($_POST[product_id10] != "" && $_POST[quantity10] != "") {
					Check_Product($whouse_id, $_POST[product_id10], $_POST[quantity10], $sale_id, $_POST[unit_price10], $_POST[unit_discount10], $_POST[net_price10]);
				} // end of product # 10
				if ($_POST[product_id11] != "" && $_POST[quantity11] != "") {
					Check_Product($whouse_id, $_POST[product_id11], $_POST[quantity11], $_POST[sale_id], $_POST[unit_price11], $_POST[unit_discount11], $_POST[net_price11]);
				} // end of product # 11
				if ($_POST[product_id12] != "" && $_POST[quantity12] != "") {
					Check_Product($whouse_id, $_POST[product_id12], $_POST[quantity12], $_POST[sale_id], $_POST[unit_price12], $_POST[unit_discount12], $_POST[net_price12]);
				} // end of product # 12
				if ($_POST[product_id13] != "" && $_POST[quantity13] != "") {
					Check_Product($whouse_id, $_POST[product_id13], $_POST[quantity13], $_POST[sale_id], $_POST[unit_price13], $_POST[unit_discount13], $_POST[net_price13]);
				} // end of product # 13
				if ($_POST[product_id14] != "" && $_POST[quantity14] != "") {
					Check_Product($whouse_id, $_POST[product_id14], $_POST[quantity14], $_POST[sale_id], $_POST[unit_price14], $_POST[unit_discount14], $_POST[net_price14]);
				} // end of product # 14
				if ($_POST[product_id15] != "" && $_POST[quantity15] != "") {
					Check_Product($whouse_id, $_POST[product_id15], $_POST[quantity15], $_POST[sale_id], $_POST[unit_price15], $_POST[unit_discount15], $_POST[net_price15]);
				} // end of product # 15
				if ($_POST[product_id16] != "" && $_POST[quantity16] != "") {
					Check_Product($whouse_id, $_POST[product_id16], $_POST[quantity16], $_POST[sale_id], $_POST[unit_price16], $_POST[unit_discount16], $_POST[net_price16]);
				} // end of product # 16
				if ($_POST[product_id17] != "" && $_POST[quantity17] != "") {
					Check_Product($whouse_id, $_POST[product_id17], $_POST[quantity17], $_POST[sale_id], $_POST[unit_price17], $_POST[unit_discount17], $_POST[net_price17]);
				} // end of product # 17
				if ($_POST[product_id18] != "" && $_POST[quantity18] != "") {
					Check_Product($whouse_id, $_POST[product_id18], $_POST[quantity18], $_POST[sale_id], $_POST[unit_price18], $_POST[unit_discount18], $_POST[net_price18]);
				} // end of product # 18
				if ($_POST[product_id19] != "" && $_POST[quantity19] != "") {
					Check_Product($whouse_id, $_POST[product_id19], $_POST[quantity19], $_POST[sale_id], $_POST[unit_price19], $_POST[unit_discount19], $_POST[net_price19], $_POST[pmode]);
				} // end of product # 19
				if ($_POST[product_id20] != "" && $_POST[quantity20] != "") {
					Check_Product($whouse_id, $_POST[product_id20], $_POST[quantity20], $_POST[sale_id], $_POST[unit_price20], $_POST[unit_discount20], $_POST[net_price20]);
				} // end of product # 20
				
				$sql = "SELECT SUM(quantity*(unit_price - unit_discount)) 
						FROM sale_details WHERE sale_id = '$sale_id'";
				$lt_res = mysql_query($sql);
				$lt_row = mysql_fetch_array($lt_res); $line_total = $lt_row[0];
				
				$res2 = mysql_query("select sd_id from sale_details where sale_id='$sale_id'");
				$num2 = mysql_num_rows($res2);

				if ($num2 > $num) {
					if ($pmode == 1) {
						// if successful update of sale
						if (mysql_query("update sales set line_total = $line_total, balance = $line_total where sale_id = '$sale_id'")) {
							// if successful update of spayment
							if (mysql_query("update cpayments set amount = $line_total where sale_id = '$sale_id'")) {
								print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2><img src='lib/s_okay.png'><br><b>Product sale and 
									payment to customer have been updated</b>. Click <a class=paging 
									href='add_sale.php'>here</a> to add <b>ANOTHER SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
								show_sale($sale_id);
							} else {
								print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>
									There has been a mistake</b>.<br>Sale has been updated but <b>payment to customer has not 
									been updated</b>.</font></td></tr></table></td></tr></table></center><br>";
							}
						} else {
							print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
								<font face=arial size=2><img src='lib/s_error.png'><br><br>Could not update sale because: 
								<b> ".mysql_error()." </b>.</font></td></tr></table></td></tr></table></center><br>";
						}
					} elseif ($pmode == 2) {
						// if successful update of sale
						if (mysql_query("update sales set line_total = $line_total, balance = $line_total where sale_id = '$sale_id'")) {
								print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
									align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br><b>Product sale and 
									payment to customer have been updated</b>. Click <a class=paging 
									href='add_sale.php'>here</a> to add <b>ANOTHER SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
								show_sale($sale_id);
						} else {
							print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td align=center>
								<font face=arial size=2><img src='lib/s_error.png'><br><br>Could not update sale because: 
								<b> ".mysql_error()." </b>.</font></td></tr></table></td></tr></table></center><br>";
						}
					}
				} else {
					print"<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td  
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>No update has been made to 
						the sale</b>. Click <a class=paging href='sale.php?sale_id=$sale_id'>here</a> to view 
						the requisition details.<br><br>Or click <a class=paging 
						href='add_sale.php?sale_id=$sale_id'>here</a> to add <b>MORE</b> products <b>IN THIS 
						PARTICULAR SALE</b>.</font></td></tr></table></td></tr></table></center><br>";
				}
			}
			mysql_close();
		} else {
			// Check for valid entry sale_id in the URL
			if (is_numeric($_GET['sale_id'])) {
				$sale_id = $_GET['sale_id'];
			}
			// Check for valid entry manufacturer_id in the URL
			if (is_numeric($_GET['manufacturer_id'])) {
				$manufacturer_id = $_GET['manufacturer_id'];
			}
			// Check for valid entry category_id in the URL
			if (is_numeric($_GET['category_id'])) {
				$category_id = $_GET['category_id'];
			}
			show_form($sale_id, $manufacturer_id, $category_id);
		}
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($sale_id, $manufacturer_id, $category_id) {
	// to get the position of the user
	$dres = mysql_query("SELECT position FROM users WHERE user_id='$_SESSION[user_id]'");
	$drow = mysql_fetch_array($dres); 
	$position = $drow[0];
				
	$sql = "SELECT YEAR(NOW()), MONTH(NOW()), DAY(NOW())";
	$d8_res = mysql_query($sql); $d8_row = mysql_fetch_array($d8_res); 
	$year = $d8_row[0]; $month = $d8_row[1]; $day = $d8_row[2];
	?>
	<form name="AddSale" action="add_sale.php" method="POST">
		<div class="post">
			<h1 class="title">Add Sale</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="center" colspan="4"><font color="red">All asterisks (*) are required fields</font></td></tr>
						<tr class="even"><td align="right">Manufacturer&nbsp;</td>
							<td align="left"><select name="manufacturer_id" onChange="checkSManu()"><option value="">Manufacturer</option>
								<?PHP
								$mres = mysql_query("select manufacturer_id, manufacturer_name from manufacturers order by manufacturer_name");
								while ($mrow = mysql_fetch_array($mres)) { 
									if ($manufacturer_id == $mrow[0]) {
										print "<option value=$mrow[0] Selected>$mrow[1]</option>"; 
									} else {
										print "<option value=$mrow[0]>$mrow[1]</option>"; 
									}
								} ?></select></td>
							<td align="right">Category&nbsp;</td>
							<td align="left"><select name="category_id" onChange="checkSCat()"><option value="">Category</option>
								<?PHP
								$cres = mysql_query("select category_id, category_name from categories order by category_name");
								while ($crow = mysql_fetch_array($cres)) { 
									if ($category_id == $crow[0]) {
										print "<option value=$crow[0] Selected>$crow[1]</option>"; 
									} else {
										print "<option value=$crow[0]>$crow[1]</option>"; 
									}
								} ?></select></td></tr>
							<?PHP
							if ($sale_id == "") {
								?>
								<tr class="odd"><td align="right" width="100">Customer&nbsp;</td>
									<td align="left" width="275"><select id="customer_id" name="customer_id" onchange="GetStats('overdue', 'get_overdue.php?customer_id=', 'crdtlimit', 'get_crdtlimit.php?customer_id=', 'balance', 'get_balance.php?customer_id=', 'customer_id')"><option value="0">Customer</option>
										<?PHP
										if ($position == 2) {
											$sql = "SELECT customer_id, company_name FROM customers 
													WHERE frozen = 0 ORDER BY company_name";
										} else {
											$sql = "SELECT customer_id, company_name FROM customers ORDER BY company_name";
										}
										$sres = mysql_query($sql) or die(mysql_error());
										while ($srow = mysql_fetch_array($sres)) { 
											print "<option value=$srow[0]>$srow[1]</option>"; 
										} ?></select>&nbsp;<font color="red">*</font></td>
									<td align="right" width="100">Over Due&nbsp;</td>
									<td align="left" width="275"><input readonly="true" type="text" size="33" id="overdue" name="overdue"></td></tr>
								<tr class="even"><td align="right">Credit Limit&nbsp;</td>
									<td align="left" width="275"><input readonly="true" type="text" size="33" id="crdtlimit" name="crdtlimit"></td>
									<td align="right" width="100">Balance&nbsp;</td>
									<td align="left" width="275"><input readonly="true" type="text" size="33" id="balance" name="balance"></td></tr>
								<tr class="odd"><td align="right">Due Date&nbsp;</td>
									<td align="left"><input readonly type="text" size="10" name="due_date"><a class="td_img" href="javascript:due_date.popup();">&nbsp;<img src="lib/b_calendar.png"></a>&nbsp;&nbsp;<font color="red">*</font></td>
									<td align="right">Received By&nbsp;</td>
									<td align="left"><input type="text" size="33" name="received_by">&nbsp;<font color="red">*</font></td></tr>
								<tr class="even"><td align="right">Warehouse&nbsp;</td>
									<td align="left"><select name="whouse_id"><option value="0">Select</option><?PHP
										$sql = "SELECT whouse_id, whouse_name FROM warehouses";
										$wres = mysql_query($sql); 
										while ($wrow = mysql_fetch_array($wres)) {
											?><option value="<?PHP echo $wrow[0] ?>"><?PHP echo $wrow[1] ?></option><?PHP
										}
										?></select>&nbsp;<font color="red">*</font></td>
									<td align="right">Notes&nbsp;</td>
									<td align="left"><input type="text" size="33" name="notes"></td></tr>
									<script language="JavaScript">
									<!-- // create calendar object(s) just after form tag closed
										var due_date = new calendar(document.forms['AddSale'].elements['due_date']);
										due_date.year_scroll = true; due_date.time_comp = false;
									//-->
									</script>
								<?PHP
							} else {
								$sql = "SELECT s.or_num, s.customer_id, c.company_name, CONCAT(u.fname,' ',u.lname),
											DATE_FORMAT(s.delivery_date, '%b %e, %Y'), DATE_FORMAT(s.due_date, '%b %e, %Y'),
											s.received_by, s.notes, s.line_total, s.balance, s.revenue, 
											s.pmode, s.purchase_id, TO_DAYS(NOW()), TO_DAYS(s.due_date), w.whouse_name
										FROM sales s, customers c, users u, warehouses w
										WHERE s.customer_id = c.customer_id AND s.user_id = u.user_id AND s.whouse_id = w.whouse_id AND s.sale_id = '$sale_id'";
								$sres = mysql_query($sql);
								$srow = mysql_fetch_array($sres);
								?>
									<tr class="odd"><td align="right" width="100">O.R. #&nbsp;</td>
										<td align="left" width="240">&nbsp;<?PHP print $srow[0] ?></td>
										<td align="right" width="110">Customer&nbsp;</td>
										<td align="left" width="250">&nbsp;<a class="tddata" href="customer.php?customer_id=<?PHP print $srow[1] ?>"><b><?PHP print $srow[2] ?></b></a></td></tr>
									<tr class="even"><td align="right">Delivery Date&nbsp;</td>
										<td align="left">&nbsp;<?PHP print $srow[4] ?></a></td>
										<td align="right">Due Date&nbsp;</td>
										<td align="left">&nbsp;<?PHP if (($srow[14] <= $srow[13]) && $srow[9] > 0) {echo "<font color=red><blink>$srow[5]</blink></font>";} else {echo $srow[5];} ?></td></tr>
									<tr class="odd"><td align="right">Prepared by&nbsp;</td>
										<td align="left">&nbsp;<?PHP echo $srow[3] ?></td>
										<td align="right">Received by&nbsp;</td>
										<td align="left">&nbsp;<?PHP echo $srow[6] ?></td></tr>
									<tr class="even"><td align="right">Line Total&nbsp;</td>
										<td align="left">&nbsp;<?PHP $linet = number_format($srow[8], 2); print $linet ?></td>
										<td align="right">Payment Balance&nbsp;</td>
										<td align="left">&nbsp;<?PHP $pbal = number_format($srow[9], 2); print $pbal ?></td></tr>
									<tr class="odd"><td align="right">Warehouse&nbsp;</td>
										<td align="left">&nbsp;<?PHP print $srow[15] ?></td>
										<td align="right">Revenue&nbsp;</td>
										<td align="left">&nbsp;<?PHP if ($position == 1) echo number_format($srow[10], 2) ?></td></tr>
									<tr class="even"><td align="right">Payment Mode&nbsp;</td>
										<td align="left">&nbsp;<?PHP
											if ($srow[11] == 1) { print "Cash"; } 
											elseif ($srow[11] == 2) { 
												print "Check"; 
												// srow[9] == balance
												if ($srow[9] > 0) {
													print "&nbsp;&nbsp;--->>&nbsp;&nbsp;";
													print "<a class=tddata href='add_cpayment.php?sale_id=$sale_id'><b>PAY</b></a>";
												}
											} ?></td>
										<td align="right">Direct Delivery&nbsp;</td>
										<td align="left">&nbsp;<?PHP if ($srow[12] != 0) echo "Yes"; else echo "No";  ?></td></tr>
									<tr class="odd"><td align="right">Notes&nbsp;</td>
										<td colspan="3" align="left">&nbsp;<?PHP print $srow[7] ?></td></tr>
								<?PHP
							}
						?>
					</tbody>
				</table>
			</div>
		</div>
		<br>
		<div class="post">
			<h1 class="title">Product Sale Details</h1>
			<div class="entry">
				<table align="center">
					<thead class="data"><tr>
						<td align="center" width="30"></td>
						<td align="center" width="260">Product</td>
						<td align="center" width="60"># Avail</td>
						<td align="center" width="70">Price</td>
						<td align="center" width="70">A</td>
						<td align="center" width="70">B</td>
						<td align="center" width="70">C</td>
						<td align="center" width="70">D</td>
						<td align="center" width="70">Disc.</td>
						<td align="center" width="60">Qty</td>
						<td align="center" width="80">Net</td>
					</tr></thead>
					<tbody class="data">
						<?PHP
						if ($category_id != "" && $manufacturer_id != "") {
							for ($i=1; $i<21; $i++) {
							$m = fmod($i, 2); 
							if ($m == 0) {
								?><tr class="even"><?PHP
							} else {
								?><tr class="odd"><?PHP
							}
							?>
								<td align="center"><?PHP echo $i ?></td><td align="left"><select id="product_id<?PHP echo $i ?>" name="product_id<?PHP echo $i ?>" 
									onchange="MyAjaxRequest('unit_price<?PHP echo $i ?>', 'get_price.php?product_id=', 'available<?PHP echo $i ?>', 'get_avail.php?product_id=', 
									'price_a<?PHP echo $i ?>', 'get_price_a.php?product_id=', 'price_b<?PHP echo $i ?>', 'get_price_b.php?product_id=', 
									'price_c<?PHP echo $i ?>', 'get_price_c.php?product_id=', 'price_d<?PHP echo $i ?>', 'get_price_d.php?product_id=', 'product_id<?PHP echo $i ?>')">
									<option>Product Name</option>
										<?PHP
										$sql = "SELECT p.product_id, p.product_name FROM products p, manufacturers m, categories c
												WHERE m.manufacturer_id = '$manufacturer_id' AND p.manufacturer_id = m.manufacturer_id
													AND c.category_id = '$category_id' AND p.category_id = c.category_id
												ORDER BY p.product_name";
										$pres = mysql_query($sql);
										while ($prow = mysql_fetch_array($pres)) {
											echo "<option value=$prow[0]>$prow[1]</option>";
										} ?></select></td>
								<td align="center"><input type="text" size="5" id="available<?PHP echo $i ?>" name="available<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="unit_price<?PHP echo $i ?>" name="unit_price<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_a<?PHP echo $i ?>" name="price_a<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_b<?PHP echo $i ?>" name="price_b<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_c<?PHP echo $i ?>" name="price_c<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_d<?PHP echo $i ?>" name="price_d<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="4" id="unit_discount<?PHP echo $i ?>" name="unit_discount<?PHP echo $i ?>" onblur="getSTPrice()"></td>
								<td align="center"><input type="text" size="2" id="quantity<?PHP echo $i ?>" name="quantity<?PHP echo $i ?>" onblur="getSTPrice()"></td>
								<td align="center"><input type="text" size="7" id="net_price<?PHP echo $i ?>" name="net_price<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							</tr>
							<?PHP
							}
						} elseif ($category_id != "" && $manufacturer_id == "") {
							for ($i=1; $i<21; $i++) {
							$m = fmod($i, 2); 
							if ($m == 0) {
								?><tr class="even"><?PHP
							} else {
								?><tr class="odd"><?PHP
							}
							?>
								<td align="center"><?PHP echo $i ?></td><td align="left"><select id="product_id<?PHP echo $i ?>" name="product_id<?PHP echo $i ?>" 
									onchange="MyAjaxRequest('unit_price<?PHP echo $i ?>', 'get_price.php?product_id=', 'available<?PHP echo $i ?>', 'get_avail.php?product_id=', 
									'price_a<?PHP echo $i ?>', 'get_price_a.php?product_id=', 'price_b<?PHP echo $i ?>', 'get_price_b.php?product_id=', 
									'price_c<?PHP echo $i ?>', 'get_price_c.php?product_id=', 'price_d<?PHP echo $i ?>', 'get_price_d.php?product_id=', 'product_id<?PHP echo $i ?>')">
									<option>Product Name</option>
										<?PHP
										$sql = "SELECT p.product_id, p.product_name FROM products p, categories c
												WHERE c.category_id = '$category_id' AND p.category_id = c.category_id
												ORDER BY p.product_name";
										$pres = mysql_query($sql);
										while ($prow = mysql_fetch_array($pres)) {
											echo "<option value=$prow[0]>$prow[1]</option>";
										} ?></select></td>
								<td align="center"><input type="text" size="5" id="available<?PHP echo $i ?>" name="available<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="unit_price<?PHP echo $i ?>" name="unit_price<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_a<?PHP echo $i ?>" name="price_a<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_b<?PHP echo $i ?>" name="price_b<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_c<?PHP echo $i ?>" name="price_c<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_d<?PHP echo $i ?>" name="price_d<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="4" id="unit_discount<?PHP echo $i ?>" name="unit_discount<?PHP echo $i ?>" onblur="getSTPrice()"></td>
								<td align="center"><input type="text" size="2" id="quantity<?PHP echo $i ?>" name="quantity<?PHP echo $i ?>" onblur="getSTPrice()"></td>
								<td align="center"><input type="text" size="7" id="net_price<?PHP echo $i ?>" name="net_price<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							</tr>
							<?PHP
							}
						} elseif ($category_id == "" && $manufacturer_id != "") {
							for ($i=1; $i<21; $i++) {
							$m = fmod($i, 2); 
							if ($m == 0) {
								?><tr class="even"><?PHP
							} else {
								?><tr class="odd"><?PHP
							}
							?>
								<td align="center"><?PHP echo $i ?></td><td align="left"><select id="product_id<?PHP echo $i ?>" name="product_id<?PHP echo $i ?>" 
									onchange="MyAjaxRequest('unit_price<?PHP echo $i ?>', 'get_price.php?product_id=', 'available<?PHP echo $i ?>', 'get_avail.php?product_id=', 
									'price_a<?PHP echo $i ?>', 'get_price_a.php?product_id=', 'price_b<?PHP echo $i ?>', 'get_price_b.php?product_id=', 
									'price_c<?PHP echo $i ?>', 'get_price_c.php?product_id=', 'price_d<?PHP echo $i ?>', 'get_price_d.php?product_id=', 'product_id<?PHP echo $i ?>')">
									<option>Product Name</option>
										<?PHP
										$sql = "SELECT p.product_id, p.product_name FROM products p, manufacturers m
												WHERE m.manufacturer_id = '$manufacturer_id' AND p.manufacturer_id = m.manufacturer_id
												ORDER BY p.product_name ";
										$pres = mysql_query($sql);
										while ($prow = mysql_fetch_array($pres)) {
											echo "<option value=$prow[0]>$prow[1]</option>";
										} ?></select></td>
								<td align="center"><input type="text" size="5" id="available<?PHP echo $i ?>" name="available<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="unit_price<?PHP echo $i ?>" name="unit_price<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_a<?PHP echo $i ?>" name="price_a<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_b<?PHP echo $i ?>" name="price_b<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_c<?PHP echo $i ?>" name="price_c<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_d<?PHP echo $i ?>" name="price_d<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="4" id="unit_discount<?PHP echo $i ?>" name="unit_discount<?PHP echo $i ?>" onblur="getSTPrice()"></td>
								<td align="center"><input type="text" size="2" id="quantity<?PHP echo $i ?>" name="quantity<?PHP echo $i ?>" onblur="getSTPrice()"></td>
								<td align="center"><input type="text" size="7" id="net_price<?PHP echo $i ?>" name="net_price<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							</tr>
							<?PHP
							}
						} else {
							for ($i=1; $i<21; $i++) {
							$m = fmod($i, 2); 
							if ($m == 0) {
								?><tr class="even"><?PHP
							} else {
								?><tr class="odd"><?PHP
							}
							?>
								<td align="center"><?PHP echo $i ?></td><td align="left"><select id="product_id<?PHP echo $i ?>" name="product_id<?PHP echo $i ?>" 
									onchange="MyAjaxRequest('unit_price<?PHP echo $i ?>', 'get_price.php?product_id=', 'available<?PHP echo $i ?>', 'get_avail.php?product_id=', 
									'price_a<?PHP echo $i ?>', 'get_price_a.php?product_id=', 'price_b<?PHP echo $i ?>', 'get_price_b.php?product_id=', 
									'price_c<?PHP echo $i ?>', 'get_price_c.php?product_id=', 'price_d<?PHP echo $i ?>', 'get_price_d.php?product_id=', 'product_id<?PHP echo $i ?>')">
									<option>Product Name</option>
										<?PHP
										$sql = "SELECT product_id, product_name FROM products ORDER BY product_name";
										$pres = mysql_query($sql);
										while ($prow = mysql_fetch_array($pres)) {
											echo "<option value=$prow[0]>$prow[1]</option>";
										} ?></select></td>
								<td align="center"><input type="text" size="5" id="available<?PHP echo $i ?>" name="available<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="unit_price<?PHP echo $i ?>" name="unit_price<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_a<?PHP echo $i ?>" name="price_a<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_b<?PHP echo $i ?>" name="price_b<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_c<?PHP echo $i ?>" name="price_c<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="5" id="price_d<?PHP echo $i ?>" name="price_d<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
								<td align="center"><input type="text" size="4" id="unit_discount<?PHP echo $i ?>" name="unit_discount<?PHP echo $i ?>" onblur="getSTPrice()"></td>
								<td align="center"><input type="text" size="2" id="quantity<?PHP echo $i ?>" name="quantity<?PHP echo $i ?>" onblur="getSTPrice()"></td>
								<td align="center"><input type="text" size="7" id="net_price<?PHP echo $i ?>" name="net_price<?PHP echo $i ?>" readonly="true" style="text-align:right;"></td>
							</tr>
							<?PHP
							}
						}
						?>
						<tr class="odd">
							<td colspan="2" align="right">Payment Mode&nbsp;<select name="pmode">
								<?PHP
								// if sale id is present
								if ($sale_id == "" ) {
									echo "<option rel=1 value=1>Cash</option><option rel=2 value=2 Selected>Check</option>";
								} else {
									// check the pmode value
									if ($srow[11] == 1) {
										echo "<option rel=1 value=1>Cash</option>";
									} elseif ($srow[11] == 2) {
										echo "<option rel=2 value=2 Selected>Check</option>";
									}
								} ?></select></td>
							<td colspan="7" align="right"><b>Line Totals</b></td>
							<td align="center"><input type="text" size="2" id="tqty" name="tqty" readonly="true" style="text-align:right;"></td>
							<td align="center"><input type="text" size="7" id="tnet_price" name="tnet_price" readonly="true" style="text-align:right;"></td>
						</tr>
						<tr rel="1" class="even"><td align="center" colspan="11">&nbsp;</td></tr>
						<tr rel="2" class="even"><td align="center" colspan="11">&nbsp;</font></td></tr>
						<?PHP 
						if ($sale_id == "") {
							?>
							<tr rel="1" class="odd"><td align="right" colspan="2">Payment O.R. Number&nbsp;</td>
								<td align="left" colspan="9"><input type="text" size="50" name="p_or_num">&nbsp;<font color="red">*</font></td>
								</tr>
							<tr rel="1" class="even"><td align="right" colspan="2">Payment Terms&nbsp;</td>
								<td align="left" colspan="9"><input type="text" size="50" name="payment_terms"></td></tr>
							<tr rel="1" class="odd"><td align="right" colspan="2">Notes&nbsp;</td>
								<td align="left" colspan="9"><textarea name="p_notes" cols="47" rows="1"></textarea></td></tr>
							<?PHP
						} else {
							$spres = mysql_query("select or_num, payment_terms, notes from cpayments where sale_id=$sale_id");
							$sprow = mysql_fetch_array($spres);
							?>
							<tr rel="1" class="odd"><td align="right" colspan="2">Payment O.R. Number&nbsp;</td>
								<td align="left" colspan="9"><?PHP echo $sprow[0] ?></td></tr>
							<tr rel="1" class="even"><td align="right" colspan="2">Payment Terms&nbsp;</td>
								<td align="left" colspan="9"><?PHP echo $sprow[1] ?></td></tr>
							<tr rel="1" class="odd"><td align="right" colspan="2">Notes&nbsp;</td>
								<td align="left" colspan="9"><?PHP echo $sprow[2] ?></td></tr>
							<?PHP
						}
						?>
						<tr class="odd"><td align="center" colspan="11">
								<input type="hidden" name="submitted" value="1">
								<input type="hidden" name="sale_id" value="<?PHP echo $sale_id ?>">
								<input type="reset">&nbsp;&nbsp;&nbsp;
								<input onClick="valAddSale()" type="button" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
		</div>
	</form>
	<?PHP
}

function Check_Product(v$product_id, $quantity, $sale_id, $unit_price, $unit_discount, $net_price) {
	$sql = "SELECT sd.product_id, p.product_name
			FROM products p, sale_details sd
			WHERE sd.product_id='$product_id' 
				AND p.product_id=sd.product_id 
				AND sd.sale_id='$sale_id'";
	$check_pres = mysql_query($sql);
	$check_pnum = mysql_num_rows($check_pres);
	$check_prow = mysql_fetch_array($check_pres);
	if ($check_pnum < 1) {
		Add2Sale($whouse_id, $product_id, $quantity, $sale_id, $unit_price, $unit_discount, $net_price);
	} else {
		print "<center><font face=arial size=2 color=red>Double entry for $check_prow[0]<br>";
	}
	mysql_free_result($check_pres);
}

function Add2Sale($whouse_id, $product_id, $quantity, $sale_id, $unit_price, $unit_discount, $net_price) {
	// get the inventory level and ave_acq of product from that particular branch
	$sql = "SELECT wp_id, inventory, ave_acq
			FROM warehouse_products
			WHERE whouse_id = '$whouse_id' AND product_id = '$product_id'";
	$wp_res = mysql_query($sql) or die(mysql_error());
	$wp_row = mysql_fetch_array($wp_res); 
	
	$wp_id = $wp_row[0]; $inventory = $wp_row[1]; $ave_acq = $wp_row[2];
	$new_inventory = $inventory - $quantity; 
	
	// update the sale_details table (acq_price)
	$sql = "INSERT INTO sale_details( sale_id, product_id, acq_price, quantity, unit_price, unit_discount, net_price )
			VALUES( '$sale_id', '$product_id', '$ave_acq', '$quantity', '$unit_price', '$unit_discount', '$net_price' )";
	mysql_query($sql) or die(mysql_error());
	
	// update the inventory_level in branch_products table
	$sql = "UPDATE warehouse_products 
			SET inventory = '$new_inventory', last_move = CURDATE()
			WHERE wp_id = '$wp_id' LIMIT 1";
	mysql_query($sql) or die(mysql_error());
} // end
?>