<?php 

ini_set('display_errors', 1);

error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");

define('TITLE', 'Avanzare Business Solutions - Add Customer\'s Payment');

define('NAV', 4); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

val_qry('branch_id', 'branches');

if(isset($_SESSION['user_id'])) {

	if (validate_123() == true) {

		print_header(TITLE);

		print_navs();

		(isset($_POST[customer]) && $_POST[branch_id] == $_GET[branch_id])?pre():post();

		print_footer();

	}

}

else {

	header('Location: login.php');	

}



function pre(){

	$branch_id = _GET_POST($_GET[branch_id]);

	$err_msg = "The Following Errors were encountered.<br>";

	$pdate = _GET_POST($_POST[cobdate]);

	$pmethod = _GET_POST($_POST[pay_meth]);

	$cus_err = false; $chk_num_err = false; $chk_dte_err = false; $amt_err = false; $nts_err = false; $good=1;

	if ($_POST[customer] == 0){

		$cus_err = true;

		$err_msg .= "There is no customer selected.<br>";

	}else{

		$new_str = explode('|', _GET_POST($_POST[customer]));

		$cob_id = $new_str[0];

		$customer_id = $new_str[1];

	}

	if ($_POST[pay_meth] == 'Check'){

		if(strlen($_POST[in_chk_num]) - substr_count($_POST[in_chk_num], ' ') == 0){

			$chk_num_err = true;

			$err_msg .= "Check Payment Selected, but there is no check number entered.<br>";

		} else {

			$chk_number_match = preg_match('/[0-9]/', $_POST[in_chk_num])==1?true:false;

			$chk_letter_match = preg_match('/[a-zA-Z]/', $_POST[in_chk_num])==1?true:false;

			$chk_special_match = preg_match('/[^a-zA-Z0-9]/', $_POST[in_chk_num])==1?true:false;

			if (!$chk_number_match){

				$chk_num_err = true;

				$err_msg .= "Check number entered is not a number.<br>";

			} else {

				if($chk_letter_match || $chk_special_match){

					$amt_err = true;

					$err_msg .= "Check number entered should not contain letters and special characters.<br>";

				} else {

					$check_num = _GET_POST($_POST[in_chk_num]);

				}

			}

		}

		if(strlen($_POST[in_chkdte]) == 0){

			$chk_dte_err = true;

			$err_msg .= "Check Payment Selected, but there is no check date entered.<br>";

		} else {

			$check_date = _GET_POST($_POST[in_chkdte]);

		}

		$good=0;

	}

	if (strlen($_POST[amount]) == 0){

		$amt_err = true;

		$err_msg .= "No Amount entered.<br>";

	} else {

		$number_match = preg_match('/[0-9]/', $_POST[amount])==1?true:false;

		$letter_match = preg_match('/[a-zA-Z]/', $_POST[amount])==1?true:false;

		$special_match = preg_match('/[^a-zA-Z0-9\.]/', $_POST[amount])==1?true:false;

		if (!$number_match){

			$amt_err = true;

			$err_msg .= "Amount entered is not a Number.<br>";

		} else {

			if($letter_match || $special_match){

				$amt_err = true;

				$err_msg .= "Amount entered should not contain letters and special characters.<br>";

			} else {

				$cob = sql_fld('balance', 'branch_cob', 'customer_id=\''.$customer_id.'\' AND cob_id=\''.$cob_id.'\'');

				$amount = _GET_POST($_POST[amount]);

				if ($amount > $cob){

					$amt_err = true;

					$err_msg .= "Amount entered is greater than the OLD Balance. Please enter amount equal or lower than the balance.<br>";

				}

			}

		}

	}

	if (strlen($_POST[notes]) - substr_count($_POST[notes], ' ') == 0){

		$nts_err = true;

		$err_msg .= "No Notes entered. Please describe this transaction.<br>";

	} else {

		$notes = _GET_POST($_POST[notes]);

	}

	if ($cus_err || $chk_num_err || $chk_dte_err || $amt_err || $nts_err){ ?>

		<br>

		<center>

			<table bgcolor='#FF0000'>

				<tr>

					<td>

						<table bgcolor='#FFE5B4' width='730'>

							<tr>

								<td align='center'>

									<font face='arial' size='2'><img src='lib/s_error.png'>

										<br>

										<br>

										<?php echo $err_msg ?>

										Click <a href="pay_branch_customer_cob.php?branch_id=<?php echo $branch_id ?>">here</a> to enter the transaction again.

										<br>

									</font>

								</td>

							</tr>

						</table>

					</td>

				</tr>

			</table>

		</center>

		<br><?php

		exit;

	} else {

		$cob_pay_dtls = array(

			'customer_id'	=> $customer_id,

			'user_id'		=> $_SESSION[user_id],

			'sale_id'		=> 0,

			'amount'		=> $amount,

			'pdate'			=> $pdate,

			'pmethod'		=> $pmethod,

			'check_num'		=> $check_num,

			'check_date'	=> $check_date,

			'notes'			=> $notes,

			'good'			=> $good

		);

		sql_ins('bspayments', $cob_pay_dtls);

		$new_cob = $cob - $amount;

		$cob_dtls = array(

			'balance' => $new_cob

		);

		sql_upd('branch_cob', $cob_dtls, 'customer_id=\''.$customer_id.'\' AND cob_id=\''.$cob_id.'\'');

		if ($pmethod == "Cash"){

			$reg_cash = sql_fld('cash', 'branch_registers', 'branch_id=\''.$branch_id.'\'') + $amount;

			$reg_cash_dtls = array(

				'cash' => $reg_cash

			);

			sql_upd('branch_registers', $reg_cash_dtls, 'branch_id=\''.$branch_id.'\'');

		} ?>

		<br>

		<center>

			<table bgcolor='#008000'>

				<tr>

					<td>

						<table bgcolor='#FFE5B4' width='730'>

							<tr>

								<td align='center'>

									<font face='arial' size='2'><img src='lib/s_okay.png'>

										<br>

										<br>

										<?php echo sql_fld('company_name', 'branch_customers', 'customer_id=\''.$customer_id.'\'') ?> Old balance paid.

										<br>

										<br>

										Current OLD Balance: <?php echo sql_fld('balance', 'branch_cob', 'customer_id=\''.$customer_id.'\' AND cob_id=\''.$cob_id.'\''); ?>

										<br>

										<br>

										Click <a href="pay_branch_customer_cob.php?branch_id=<?php echo $branch_id ?>">here</a> to enter the transaction again.

									</font>

								</td>

							</tr>

						</table>

					</td>

				</tr>

			</table>

		</center>

		<br><?php

		exit;

	}

}



function post(){

	$branch_id = _GET_POST($_GET[branch_id]);

	shortcut_banner($branch_id);

	$date = sql_curdate(); ?>

	<div class="post">

		<h1 class="title">Add Customer's OLD Balance Payment - <?PHP echo sql_fld('branch_name', 'branches', 'branch_id=\''.$branch_id.'\'') ?></h1>

		<div class="entry">

			<form action="pay_branch_customer_cob.php?branch_id=<?php echo $branch_id ?>" method="POST">

			<table>

				<tbody class="data">

					<tr class="odd" height="20px">

						<td width="150px" align="right">Customer&nbsp;</td>

						<td width="200px" align='left'>&nbsp;<select name="customer" style="width: 170px;">

							<option selected value="0">Customer --> Balance</option><?php 

							$cob_rec= sql_qry("SELECT cob.cob_id, cob.customer_id, c.company_name, cob.balance FROM branch_customers c INNER JOIN branch_cob cob ON c.customer_id = cob.customer_id WHERE c.branch_id=$branch_id AND cob.balance>0 ORDER BY c.company_name");

							while ($cob = mysql_fetch_assoc($cob_rec)) { ?>

							<option value="<?php echo $cob[cob_id].'|'.$cob[customer_id] ?>"><?php echo $cob[company_name].' --> '.$cob[balance] ?></option><?php 

							 } ?>

						</select></td>

					</tr>

					<tr class="even" height="20px">

						<td align="right">Payment Date&nbsp;</td>

						<td align='left'>&nbsp;<input readonly id='cobdate' type="text" size="10" name="cobdate" style="text-align: center;" value="<?php echo $date?>" style='height: 19px'>&nbsp;<font color='red'>*</font><a class="td_img" href="javascript:cob_date.popup();">&nbsp;<img src="lib/b_calendar.png" style='vertical-align: -30%'></a></td>

					<tr class="odd" height="20px">

						<td align="right">Payment Method&nbsp;</td>

						<td align='left'>&nbsp;<select id="pay_meth" name="pay_meth">

							<option selected value="Cash">Cash</option>

							<option value="Check">Check</option>

						</select></td>

					</tr>

					<tr id="chk_num" class="even" height="20px">

						<td align="right">Check Number&nbsp;</td>

						<td align='left'>&nbsp;<input type="text" id="in_chk_num" name="in_chk_num" style="text-align: center; width: 170px;" disabled="false" autocomplete="off"></td>

					</tr>

					<tr id="chk_dte" class="odd" height="20px">

						<td align="right">Check Encashment Date&nbsp;</td>

						<td align='left'>&nbsp;<input readonly id='in_chkdte' type="text" size="10" name="in_chkdte" style="text-align: center;" style='height: 19px' disabled="false">&nbsp;<font color='red'>*</font><a id="chk_link" class="td_img" href="javascript:chk.popup();">&nbsp;<img src="lib/b_calendar.png" style='vertical-align: -30%'></a></td>

					</tr>

					<tr  class="even" height="20px">

						<td align="right">Amount&nbsp;</td>

						<td align='left'>&nbsp;<input type="text" name="amount" style="text-align: center; width: 170px;" autocomplete="off"></td>

					</tr>

					<tr class="odd" height="20px">

						<td align="right">Notes&nbsp;</td>

						<td align='left'>&nbsp;<input type="text" name="notes" style="text-align: center; width: 170px;" autocomplete="off"></td>

					</tr>

					<tr  class="even" height="20px">

						<td align="center" colspan="2"><input id="rst" type="reset" class="button blue" name="rst" value="Reset">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" class="button blue" name="sbt" value="Submit"><input type="hidden" name="branch_id" value="<?php echo $branch_id ?>"></td>

					</tr>

				</tbody>

			</table>

			</form>

		</div>

		<p class="meta"></p>

	</div>

	<script type="text/javascript">

		$(document).ready(function(){

			$('#chk_num').hide();

			$('#chk_dte').hide();

			$('#in_chk_num').attr('disabled', true);

			$('#in_chkdte').attr('disabled', true);

			$('#chk_link').attr('href', 'javascript.void(0);');

			$('#pay_meth').change(function(){

				var opt = $('#pay_meth').val();

				if (opt == 'Check'){

					$('#chk_num').show();

					$('#chk_dte').show();

					$('#in_chk_num').attr('disabled', false);

					$('#in_chkdte').attr('disabled', false);

					$('#chk_link').attr('href', 'javascript:chk.popup();');

				} else {

					$('#chk_num').hide();

					$('#chk_dte').hide();

					$('#in_chk_num').attr('disabled', true);

					$('#in_chkdte').attr('disabled', true);

					$('#chk_link').attr('href', 'javascript.void(0);');

				}

			});

			$('#rst').click(function(){

				$('#chk_num').hide();

				$('#chk_dte').hide();

				$('#in_chk_num').attr('disabled', true);

				$('#in_chkdte').attr('disabled', true);

				$('#chk_link').attr('href', 'javascript.void(0);');				

			});

		});

		var cob_date = new calendar(document.getElementById('cobdate'));

		cob_date.year_scroll = true; cob_date.time_comp = false;

		var chk = new calendar(document.getElementById('in_chkdte'));

		chk.year_scroll = true; chk.time_comp = false;

	</script><?php

}

?>