<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
include 'fxns.php';
define('TITLE', 'Avanzare Business Solutions - Point of Sale');
define('NAV', 3);
val_qry('branch_id', 'vw_branch', 'branch_id='._GET_POST($_GET['branch_id']));
session_start();
if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		shortcut_banner(_GET_POST($_GET['branch_id']));
		if (!empty($_POST))pre();
		else{
			post();
			post_js();
		}
		print_footer();
	}
} else {
	header('Location: login.php');	
}

function pre(){
	$cust_id = _GET_POST($_POST['hdncustid']);
	$terms = _GET_POST($_POST['terms']);
	$rcvdBy = _GET_POST($_POST['rcvdBy']);
	$posdate = _GET_POST($_POST['posdate']);
	$cusnotes = _GET_POST($_POST['cusnotes']);
	$branch_id = _GET_POST($_GET['branch_id']);
	$duedate = sql_dte('DATE_FORMAT(\''.$posdate.'\' + INTERVAL '.$terms.' DAY, \'%Y-%m-%d\')');
	$sale_dtls = array(
		'branch_id'		=> $branch_id,
		'customer_id'	=> $cust_id,
		'user_id'		=> $_SESSION['user_id'],
		'terms'			=> $terms,
		'delivery_date'	=> $posdate,
		'due_date'		=> $duedate,
		'received_by'	=> $rcvdBy,
		'notes'			=> $cusnotes
	);
	$sale_id = sql_ins('branch_sales', $sale_dtls);
	$sale_updts = array(
		'or_num'		=> $sale_id
	);
	sql_upd('branch_sales', $sale_updts, 'sale_id='.$sale_id);
	// redirect to sale_items
	$last_sale_dtls = array(
		'lastsale'		=> $posdate
	);
	sql_upd('branch_customers', $last_sale_dtls, 'customer_id='.$cust_id.' AND branch_id='.$branch_id);
	jscript("
		alert('Sale recorded. You will be redirected to add items for this sale.');
		window.location='point_of_sale_items.php?sale_id=".$sale_id."';
	");
}

function post(){
	$branch_id = _GET_POST($_GET['branch_id']);
	$branch_name = sql_fld('branch_name', 'branches', 'branch_id='.$branch_id);
	$date = sql_curdate();
	$init_rec = sql_rec('branch_customers', 'branch_id='.$branch_id.' AND contact_person = \'walk-in\'');
	//-------------PHP code ends here-------------
	//----------------Code Divider----------------
	//--------------HTML starts here--------------
?>
	<form id='form' name='form' action='point_of_sale.php?branch_id=<?php echo $branch_id?>' method='POST'>
		<div class='post'>
			<h1 class='title'>Branch Point of Sale <?php echo $branch_name?></h1>
			<div class='entry'>
				<a href='branch_sales.php?branch_id=<?php echo $branch_id?>' target='New' style='text-decoration: underline'>View Sales</a>
				<table>
					<tr height='25px'>
						<td colspan='2' align='center' style='color: #007896'>Entries with asterisk(*) are required.</td>
					</tr>
					<tr class='even' height='25px'>
						<td width='125px' align='right'>Customer&nbsp;:</td>
						<td width='300px'><input type='hidden' id='hdncustid' name='hdncustid' value='<?php echo $init_rec['customer_id']?>'>&nbsp;<input type='text' id='cust' name='cust' style='width: 260px; height: 19px' autocomplete='off' value='<?php echo $init_rec['company_name']?>'>&nbsp;<font color='red'>*</font>
							<div class='suggestionsBox' id='custSuggest' style='width: 300px; display: none;'>
								<div class='suggestionList' id='custSuggestList'>
								</div>
							</div>
						</td>
					</tr>
					<tr class='odd' height='25px'>
						<td align='right'>Credit Limit&nbsp;:</td>
						<td align='left' id='cred_lmt'>&nbsp;<?php echo $init_rec['credit_limit']?></td>
					</tr>
					<tr class='even' height='25px'>
						<td align='right'>Balance&nbsp;:</td>
						<td align='left' id='cust_bal'>&nbsp;<?php
							$branch_sale_bal = sql_fld('sum(balance)', 'branch_sales', 'customer_id='.$init_rec['customer_id']);
							if (!$branch_sale_bal) $branch_sale_bal = 0;
							$branch_cust_old_bal = sql_fld('balance', 'branch_cob', 'customer_id='.$init_rec['customer_id']);
							if (!$branch_cust_old_bal) $branch_cust_old_bal = 0;
							echo $branch_sale_bal + $branch_cust_old_bal;
						?></td>
					</tr>
					<tr class='odd' height='25px'>
						<td align='right'>Allowable Receipts&nbsp;:</td>
						<td align='left' id='allw_rct'>&nbsp;<?php echo $init_rec['receipts']?></td>
					</tr>
					<tr class='even' height='25px'>
						<td align='right'>Unpaid Receipts&nbsp;:</td>
						<td align='left' id='unpd_rct'>&nbsp;<?php
							echo sql_fld('COUNT(sale_id)', 'branch_sales', 'customer_id='.$init_rec['customer_id'].' and TO_DAYS(NOW()) >= TO_DAYS(due_date) AND balance > 0');
						?></td>
					</tr>
					<tr class='odd' height='25px'>
						<td align='right'>Terms(Days)&nbsp;:</td>
						<td align='left'>&nbsp;<select id='terms' name='terms' style='height: 19px'>
<?php
						$terms = sql_qry('SELECT days from terms ORDER BY days ASC');
						while($days = mysql_fetch_assoc($terms)){
?>
						<option value='<?php echo $days['days']?>'><?php echo $days['days']?></option>
<?php
						}
?>
						</select>&nbsp;<font color='red'>*</font></td>
					</tr>
					<tr class='even' height='25px'>
						<td align='right'>Recieved By&nbsp;:</td>
						<td align='left'>&nbsp;<input type='text' id='rcvdBy' name='rcvdBy' value='<?php echo $init_rec['company_name']?>' style='width: 260px; height: 19px'>&nbsp;<font color='red'>*</font></td>
					</tr>
					<tr class='odd' height='25px'>
						<td align='right'>Date&nbsp;:</td>
						<td align='left'>&nbsp;<input readonly id='posdate' type="text" size="10" name="posdate" value="<?php echo $date?>" style='height: 19px'>&nbsp;<font color='red'>*</font><a class="td_img" href="javascript:check_date.popup();">&nbsp;<img src="lib/b_calendar.png" style='vertical-align: -30%'></a></td>
					</tr>
					<tr class='even' height='25px'>
						<td align='right'>Notes&nbsp;:</td>
						<td align='left'>&nbsp;<input type='text' id='cusnotes' name='cusnotes' style='width: 260px; height: 19px' autocomplete='off'></td>
					</tr>
					<tr class='odd' height='25px'>
						<td align='center' colspan='2'><input id='sbt' type='button' class='button blue' value='Submit'></td>
					</tr>
				</table>
				<script language="JavaScript">
					var check_date = new calendar(document.forms['form'].elements['posdate']);
					check_date.year_scroll = true; check_date.time_comp = false;
				</script>
			</div>
			<p class='meta'></p>
		</div>
	</form>
<?php
}

function post_js(){
	$branch_id = _GET_POST($_GET['branch_id']);
	jscript("
		$(document).ready(function(){
			var timer;
			$('#cust').keyup(function(){
				clearTimeout(timer);
				timer = setTimeout(function(){
					custlookup($('#cust').val());	
				}, 1000);
			});
			$('#sbt').click(function(){
				if ($('#cust').val().length == 0 || $('#rcvdBy').val().length == 0){
					if ($('#cust').val().length == 0) $('#cust').css('background-color', 'red');
					if ($('#rcvdBy').val().length == 0) $('#rcvdBy').css('background-color', 'red');
				} else {
					$('#form').submit();
				}
			});
			$('input[type=text]').click(function(){
				$(this).css('background-color', 'white');
			});
		});
		function custlookup(cust=''){
			if (cust.length == 0){ $('#custSuggest').hide();
			} else {
				$.post('get_bcust.php', {string: '".$branch_id."'+'|'+cust}, function(data){
					if (data.length > 0) {
						$('#custSuggest').show();
						$('#custSuggestList').html(data);
					}
				});
			}
		}
		function custsfill(cus_id='', cus_name='', cred_lmt='', cust_bal='', allw_rct='', unpd_rct=''){
			$('#hdncustid').val(cus_id);
			$('#cust').val(cus_name);
			$('#cred_lmt').html('&nbsp;'+cred_lmt);
			$('#cust_bal').html('&nbsp;'+cust_bal);
			$('#allw_rct').html('&nbsp;'+allw_rct);
			$('#unpd_rct').html('&nbsp;'+unpd_rct);
			$('#rcvdBy').val(cus_name);
			setTimeout(\"$('#custSuggest').hide();\", 200);
		}
	");
}
?>