<?php
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Product Manufacturing');
define('NAV', 1); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_123() == true) {
		$position = sql_fld("position", "users", "user_id=$_SESSION[user_id]");
		if ($position!=1){
			err_stop('You must have made a mistake accessing this page.');
			echo "<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE4B5' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br>Click <a class=tddata href='javascript:history.go(-1)'>here</a> to go back.</font></td></tr></table></td></tr></table></center><br>";
			exit();
		}
		print_header(TITLE);
		print_navs();
		$branch_id = _GET_POST($_GET['branch_id']);
		$product_id = _GET_POST($_GET['product_id']);
		empty($_POST)?pre($branch_id, $product_id):post($branch_id, $product_id);
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function pre($branch_id, $product_id){
	show_product($product_id);
	$prices = sql_qry("SELECT DISTINCT (pd.unit_price-pd.unit_discount) AS unit_price
		FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id 
		WHERE p.branch_id=$branch_id AND pd.product_id=$product_id AND p.user_id != 0 ORDER BY p.purchase_id DESC");
	$price_ctr = mysql_num_rows($prices);
	if ($price_ctr > 0){
		while($price = mysql_fetch_assoc($prices)){
			$dates = sql_qry("SELECT p.delivery_date AS delivery_date FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id WHERE p.branch_id=$branch_id AND pd.product_id=$product_id AND p.user_id != 0 AND (pd.unit_price-pd.unit_discount) = $price[unit_price] ORDER BY p.delivery_date DESC, p.purchase_id DESC LIMIT 0,1"); $date = mysql_fetch_assoc($dates);
			$price_date[]=array('delivery_date' => $date['delivery_date'], 'unit_price' => $price['unit_price']);
		}
		rsort($price_date);	
	}
	$c_acq_price = sql_fld("acq_price", "branch_products", "branch_id=$branch_id AND product_id=$product_id"); ?>
	<div class="post">
		<h1 class="title">Prices</h1>
		<div class="entry">
			<table>
				<thead class="data">
					<tr height="35px" align="center">
						<td width="100px">Current Acquisition</td>
					</tr>
				</thead>
				<tbody class="data">
					<tr height="25px" align="center" class="odd">
						<td><?php echo number_format($c_acq_price,2) ?></td>
					</tr>
				</tbody>
			</table>
			<br>
			<form action="price_revert.php?branch_id=<?php echo $branch_id; ?>&product_id=<?php echo $product_id; ?>" method="POST">
			<table>
				<thead class="data">
					<tr height="25px" align="center">
						<td width="25px">&nbsp;</td>
						<td width="150px">Latest Date</td>
						<td width="150px">Prices</td>
					</tr>
				</thead>
				<tbody class="data"><?php
				$i=0;
			if ($price_ctr > 0){
				foreach($price_date AS $pd){
					$i++; ?>
					<tr class="<?php echo $i%2==0?'even':'odd' ?>" height="25px" align="center">
						<td><input type="radio" name="acq_price" <?php echo $pd['unit_price']==$c_acq_price?'checked':''; ?> value="<?php echo $pd['unit_price'] ?>"></td>
						<td><?php echo date_format(date_create($pd['delivery_date']), "M. d, Y") ?></td>
						<td><?php echo number_format($pd['unit_price'],2) ?></td>
					</tr><?php
				}
			} ?>
					<tr class="<?php echo ($i+1)%2==0?'even':'odd' ?>" height="25px" align="center">
						<td><input type="radio" id="rdo_acq_price" name="acq_price" value=""></td>
						<td></td>
						<td><input type="text" id="txt_acq_price" style="text-align: center" disabled></td>
					</tr>
					<tr class="<?php echo ($i+2)%2==0?'even':'odd' ?>" height="25px" align="center">
						<td colspan="3"><input type="button" class="button blue" value="Submit"></td>
					</tr>
				</tbody>
			</table>
			</form>
		</div>
		<p class="meta"></p>
	</div>
	<script type="text/javascript">
		$(document).ready(function(){
			$('input[type=radio]').click(function(){
				if ($(this).prop('id') == 'rdo_acq_price'){
					$('#txt_acq_price').prop('disabled', false);
					$(this).val($('#txt_acq_price').val());
					return;
				}
				$('#rdo_acq_price').val('');
				$('#txt_acq_price').prop('disabled', true).val('');
				return;
			});
			$('#txt_acq_price').keyup(function(){
				$('#rdo_acq_price').val($(this).val());
			});
			$('input[type=button]').click(function(){
				var rdo_prop = $('#rdo_acq_price').prop('checked');
				if (rdo_prop){
					var txt = $('#txt_acq_price').val();
					var rdo = $('#rdo_acq_price').val();
					if (txt.length > 0 && txt == rdo && $.isNumeric(txt) && $.isNumeric(rdo)){
						$('form').submit();
						return;
					}
					alert("The selected price is empty or you might have typed a none numeric character.");
					return;
				}
				$('form').submit();
				return;
			});
		});
	</script><?php
}

function post($branch_id, $product_id){
	$acq_price = _GET_POST($_POST['acq_price']);
	$acq_array = array(
		'acq_price'	=> $acq_price
	);
	if (sql_upd('branch_products', $acq_array, "branch_id=$branch_id AND product_id=$product_id") != -1){
		echo "<br><center><table bgcolor='#00FF00'><tr><td><table bgcolor='#FFE4B5' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_okay.png'><br><br>Acquisition Price Changed Successfully.</font></td></tr></table></td></tr></table></center><br>";
	} else {
		echo "<br><center><table bgcolor='#FF0000'><tr><td><table bgcolor='#FFE4B5' width='730'><tr><td align='center'><font face='arial' size='2'><img src='lib/s_error.png'><br><br>Acquisition Price Not Changed</font></td></tr></table></td></tr></table></center><br>";	
	}
	pre($branch_id, $product_id);
}