<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

define('TITLE', 'Print Aging of account receivables');

include("fxns.php");

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		printing_header(TITLE);

		$page = $_GET['page'];
		$field = $_GET['field'];
		print_aging($field, $page);
		
	}
}
else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.
	</font></center>";
}

function print_aging($field, $page) {
	// If current page number, use it if not, set one!
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 

	// Define the number of results per page
	$max_results = 50;

	// Figure out the limit for the query based  on the current page number.
	$from = (($page * $max_results) - $max_results);

	// Make links to click in order for  user to sort by whichever column
	$allowed = array('company_name');
	$sortby = (in_array($_GET['sortby'], $allowed)) ? $_GET['sortby'] : 'company_name';

	if ($field == "") {
		// build and run the sql query
		$sql = "SELECT customer_id, company_name 
				FROM customers 
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql);
		$num = mysql_num_rows($res); 

		// Figure out the total number of rows in table
		$sql = "SELECT customer_id FROM customers";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	} else {
		// build and run the sql query
		$sql = "SELECT customer_id, company_name 
				FROM customers 
				WHERE company_name LIKE '%$field%'
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql);
		$num = mysql_num_rows($res); 

		// Figure out the total number of rows in table
		$sql = "SELECT customer_id
				FROM customers 
				WHERE company_name LIKE '%$field%'";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	}

	// Figure out the total number of pages we will have
	$total_pages = ceil($total_results / $max_results);

	// Figure out the current page result numbers
	$fr = $from + 1;
	$to = $from + $num;

	?>
	<center><table class="data" border="1">
		<thead class="print">
			<tr><td colspan="8" align="center"><b>Aging of Account Receivables</b></td></tr>
			<tr>
				<td width="140" align="center">Customer</td>
				<td width="80" align="center">Before Due</td>
				<td width="80" align="center">0 - 15</td>
				<td width="80" align="center">16 - 30</td>
				<td width="80" align="center">31 - 60</td>
				<td width="80" align="center">61 - 90</td>
				<td width="80" align="center">> 90</td>
				<td width="80" align="center">Total</td>
			</tr>
		</thead>
		<tbody class="print">
			<?PHP
			if ($num > 0) {
				$i = 1;
				while ($row = mysql_fetch_array($res)) {
					$m = fmod($i, 2);
					if ($m == 0) { // $i is EVEN
						?><tr class="even"><?PHP
					} else { // $i is ODD
						?><tr class="odd"><?PHP
					}
					?>
						<td align="left"><?PHP echo $row[1] ?></td>
						<td align="right">
							<?PHP
							$sql = "SELECT SUM(balance) FROM sales
									WHERE customer_id = '$row[0]' AND balance > 0 AND TO_DAYS(NOW()) < TO_DAYS(due_date)";
							$b4_res = mysql_query($sql); $b4_row = mysql_fetch_array($b4_res); 
							echo number_format($b4_row[0], 2)
							?>
						</td>
						<td align="right">
							<?PHP
							$sql = "SELECT SUM(balance) FROM sales
									WHERE customer_id = '$row[0]' AND balance > 0 
										AND DATEDIFF(NOW(), due_date) >= 0
										AND DATEDIFF(NOW(), due_date) < 16";
							$fifteen_res = mysql_query($sql); $fifteen_row = mysql_fetch_array($fifteen_res); 
							echo number_format($fifteen_row[0], 2)
							?>
						</td>
						<td align="right">
							<?PHP
							$sql = "SELECT SUM(balance) FROM sales
									WHERE customer_id = '$row[0]' AND balance > 0 
										AND DATEDIFF(NOW(), due_date) >= 16
										AND DATEDIFF(NOW(), due_date) < 31";
							$thirty_res = mysql_query($sql); $thirty_row = mysql_fetch_array($thirty_res); 
							echo number_format($thirty_row[0], 2)
							?>
						</td>
						<td align="right">
							<?PHP
							$sql = "SELECT SUM(balance) FROM sales
									WHERE customer_id = '$row[0]' AND balance > 0 
										AND DATEDIFF(NOW(), due_date) >= 31
										AND DATEDIFF(NOW(), due_date) < 61";
							$sixty_res = mysql_query($sql); $sixty_row = mysql_fetch_array($sixty_res); 
							echo number_format($sixty_row[0], 2)
							?>
						</td>
						<td align="right">
							<?PHP
							$sql = "SELECT SUM(balance) FROM sales
									WHERE customer_id = '$row[0]' AND balance > 0 
										AND DATEDIFF(NOW(), due_date) >= 61
										AND DATEDIFF(NOW(), due_date) < 91";
							$ninety_res = mysql_query($sql); $ninety_row = mysql_fetch_array($ninety_res); 
							echo number_format($ninety_row[0], 2)
							?>
						</td>
						<td align="right">
							<?PHP
							$sql = "SELECT SUM(balance) FROM sales
									WHERE customer_id = '$row[0]' AND balance > 0 
										AND DATEDIFF(NOW(), due_date) > 90";
							$over_res = mysql_query($sql); $over_row = mysql_fetch_array($over_res); 
							echo number_format($over_row[0], 2)
							?>
						</td>
						<td align="right">
							<?PHP
							$sql = "SELECT SUM(balance) FROM sales
									WHERE customer_id = '$row[0]' AND balance > 0";
							$over_res = mysql_query($sql); $over_row = mysql_fetch_array($over_res); 
							echo number_format($over_row[0], 2)
							?>
						</td>
					</tr>
					<?PHP
					$i++;
				}
			} else {
			}
			?>
		</tbody>
	</table></center>
	<?PHP
}

?>