<?PHP
set_time_limit(0);
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

define('TITLE', 'Print Inventory');

include("fxns.php");

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		printing_header(TITLE);

		$branch_id = $_GET['branch_id'];
		$field = $_GET['field'];
		
		show_inventory($branch_id, $field);
		
	}
}
else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.
	</font></center>";
}

function show_inventory($branch_id, $field) {
	// get the name of the branch
	$sql = "SELECT branch_name FROM branches WHERE branch_id = '$branch_id'"; 
	$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_name = $brow[0];
	$customer_id = sql_fld('customer_id', 'customer_branches', 'branch_id=\''.$branch_id.'\'');
	if ($field == "") {
		$sql = "SELECT p.product_id, p.product_name, m.manufacturer_name
				FROM products p 
					INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id
					INNER JOIN categories c ON p.category_id = c.category_id
				WHERE p.active = 1
				ORDER BY c.category_name, m.manufacturer_name, p.product_name";
		$res = mysql_query($sql) or die(mysql_error()); 

	} else {
		$sql = "SELECT p.product_id, p.product_name, m.manufacturer_name
				FROM products p 
					INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id
					INNER JOIN categories c ON p.category_id = c.category_id
				WHERE p.active = 1 AND p.product_name LIKE '%$field%'
				ORDER BY c.category_name, m.manufacturer_name, p.product_name";
		$res = mysql_query($sql) or die(mysql_error()); 

	}
	
	$tqty = 0; $gross = 0; 
	
	?>
	<center><table width="700" class="data" border="1">
		<thead class="print">
			<tr><td colspan="7" align="center"><b>Product Inventory - <?PHP echo $branch_name ?></b></td></tr>
			<tr>
				<td width="280" align="center">Product Name</td>
				<td width="240" align="center">Manufacturer</td>
				<td width="70" align="center">Quantity</td>
				<td width="100" align="center">Acquisition Price</td>
				<td width="100" align="center">Gross Acquisition</td>
				<td width="100" align="center">Selling Price</td>
				<td width="100" align="center">Gross Value</td>
			</tr>
		</thead>
		<tbody class="print">
			<?PHP
			$i = 1;
			while ($row = mysql_fetch_array($res)) {
				$m = fmod($i, 2); 
				if ($m == 0) {
					?><tr class="even"><?PHP
				} else {
					?><tr class="odd"><?PHP
				}
				?>
					<td align="left"><?PHP echo $row[1] ?></td>
					<td align="left"><?PHP echo $row[2] ?></td>
						<?PHP
						// get the sum of purchases
						$sql = "SELECT SUM(pd.quantity)
								FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id
								WHERE p.branch_id = '$branch_id' AND pd.product_id = '$row[0]' AND p.user_id != 0"; 
						$tpur_res = mysql_query($sql); $tpur_row = mysql_fetch_array($tpur_res);
						// get the sum of returns from customers
						$sql = "SELECT SUM(rb.quantity)
								FROM returns_branches r INNER JOIN rb_details rb ON r.rb_id = rb.rb_id
								WHERE r.branch_id = '$branch_id' AND rb.product_id = '$row[0]' AND rb.rtype = 1"; 
						$giret_res = mysql_query($sql); $giret_row = mysql_fetch_array($giret_res);
						// get the sum of conversions
						$sql = "SELECT SUM(to_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND to_product_id = '$row[0]'"; 
						$rcon_res = mysql_query($sql); $rcon_row = mysql_fetch_array($rcon_res); 

						// get the sum of sales
						$sql = "SELECT SUM(sd.quantity)
								FROM branch_sales s INNER JOIN bsale_details sd ON s.sale_id = sd.sale_id
								WHERE sd.product_id = '$row[0]' AND s.branch_id = '$branch_id' AND sd.deleted=0";
						$tsale_res = mysql_query($sql); $tsale_row = mysql_fetch_array($tsale_res);
						// get the sum of good returns to main office
						$sql = "SELECT SUM(rd.quantity)
								FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
								WHERE r.customer_id = '$customer_id' AND rd.product_id = '$row[0]' AND rd.rtype = 1"; 
						$goret_res = mysql_query($sql); $goret_row = mysql_fetch_array($goret_res);
						// get the sum of conversions
						$sql = "SELECT SUM(fr_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND fr_product_id = '$row[0]'"; 
						$wcon_res = mysql_query($sql); $wcon_row = mysql_fetch_array($wcon_res); 
						// get the sum of loss
						$sql = "SELECT SUM(bl.quantity)
								FROM branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id
								WHERE l.branch_id = '$branch_id' AND bl.product_id = '$row[0]'"; 
						$gl_res = mysql_query($sql); $gl_row = mysql_fetch_array($gl_res); 
						
						$good = ($tpur_row[0] + $giret_row[0] + $rcon_row[0]) - ($tsale_row[0] + $goret_row[0] + $wcon_row[0] + $gl_row[0]);
						mysql_free_result($tpur_res); mysql_free_result($giret_res); mysql_free_result($tsale_res);
						mysql_free_result($goret_res); mysql_free_result($rcon_res); mysql_free_result($wcon_res); mysql_free_result($gl_res);
						
						$inv_value = array(
							'inventory'	=> $good
						);
						sql_upd('branch_products', $inv_value, 'branch_id='.$branch_id.' AND product_id='.$row[0].' LIMIT 1');
						
						// get the reorder_level
						$sql = "SELECT reorder, price, ave_acq FROM branch_products WHERE branch_id = '$branch_id' AND product_id = '$row[0]'";
						$ro_res = mysql_query($sql); $ro_row = mysql_fetch_array($ro_res); $reorder = $ro_row[0]; $price = $ro_row[1]; $ave_acq = $ro_row[2]; 
						?>
					<td align="right"><?PHP
						if ($good > $reorder) {
							echo number_format($good, 2); 
						} else {
							if ($good < 0) {
								?><font color="red"><i><?PHP echo number_format($good, 2); ?></i></font><?PHP
							} else {
								?><i><?PHP echo number_format($good, 2); ?></i><?PHP
							}
						}
						?></td>
					<td align="right"><?PHP echo number_format($ave_acq, 2); ?></td>	
					<td align="right"><?PHP echo number_format(($good * $ave_acq), 2); ?></td>
					<td align="right"><?PHP echo number_format($price, 2); ?></td>	
					<td align="right"><?PHP echo number_format(($good * $price), 2) ?></td>
				</tr>
				<?PHP
				$i++;
				$tqty = $tqty + $good;
				$tacq = $tacq + ($good * $ave_acq);
				$gross = $gross + ($good * $price);
			}
			?>
			<tr class="total">
				<td colspan="2" align="right"><b>Total</b></td>
				<td align="right"><b><?PHP echo number_format($tqty, 2) ?></b></td>
				<td></td>
				<td align="right"><b><?PHP echo number_format($tacq, 2) ?></b></td>
				<td></td>
				<td align="right"><b><?PHP echo number_format($gross, 2) ?></b></td>
			</tr>
		</tbody>
	</table></center>
	<?PHP
}

?>