<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

define('TITLE', 'Print Cash Flow');

include("fxns.php");

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		printing_header(TITLE);

		$month = $_GET['month'];
		$day = $_GET['day'];
		$year = $_GET['year'];
		print_cash_flow($month, $day, $year);
		
	}
}
else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.
	</font></center>";
}

function print_cash_flow($month, $day, $year) {
	if ($month == 1) { $monthname = "Jan"; 
	} elseif ($month == 2) { $monthname = "Feb"; 
	} elseif ($month == 3) { $monthname = "Mar"; 
	} elseif ($month == 4) { $monthname = "Apr"; 
	} elseif ($month == 5) { $monthname = "May"; 
	} elseif ($month == 6) { $monthname = "Jun"; 
	} elseif ($month == 7) { $monthname = "Jul"; 
	} elseif ($month == 8) { $monthname = "Aug"; 
	} elseif ($month == 9) { $monthname = "Sep"; 
	} elseif ($month == 10) { $monthname = "Oct"; 
	} elseif ($month == 11) { $monthname = "Nov"; 
	} elseif ($month == 12) { $monthname = "Dec"; }
		
	if ($year != 0 && $month != 0 && $day != 0) { // all fields are given
			// TOTAL CASH IN
			$sql = "SELECT SUM(amount)
					FROM cpayments
					WHERE (TO_DAYS(pdate) = TO_DAYS('$year-$month-$day') AND pmethod = 'Cash') 
						OR (TO_DAYS(pdate) = TO_DAYS('$year-$month-$day') AND pmethod = 'Check')";
			$cash_in_res = mysql_query($sql) or die(mysql_error()); 
			$cash_in_row = mysql_fetch_array($cash_in_res); 
			// CASH SALE
			$sql = "SELECT SUM(line_total)
					FROM sales
					WHERE TO_DAYS(delivery_date) = TO_DAYS('$year-$month-$day') AND balance = 0";
			$sale_res = mysql_query($sql) or die(mysql_error()); 
			$sale_row = mysql_fetch_array($sale_res); 
			// COLLECTION
			$collection = $cash_in_row[0] - $sale_row[0]; 
			// PAYMENT TO SUPPLIERS
			$sql = "SELECT SUM(amount)
					FROM spayments
					WHERE (TO_DAYS(pdate) = TO_DAYS('$year-$month-$day') AND pmethod = 'Cash') 
						OR (TO_DAYS(pdate) = TO_DAYS('$year-$month-$day') AND pmethod = 'Check')";
			$sp_res = mysql_query($sql) or die(mysql_error()); 
			$sp_row = mysql_fetch_array($sp_res); 
			// EXPENSES
			$sql = "SELECT SUM(amount)
					FROM expenses 
					WHERE TO_DAYS(edate) = TO_DAYS('$year-$month-$day')";
			$expense_res = mysql_query($sql) or die(mysql_error()); 
			$expense_row = mysql_fetch_array($expense_res); 
			// TOTAL CASH OUT
			$cash_out = $sp_row[0] + $expense_row[0]; 
		?>	
		<center>
		<h4><font face="arial">Cash Flow for <?PHP print "$monthname $day, $year"; ?></font></h4>
		<table>
			<thead class="print"><tr>
				<td align="center" width="175"></td>
				<td align="center" width="175">Cash In</td>
				<td align="center" width="175"></td>
				<td align="center" width="175">Cash Out</td>
			</tr></thead>
			<tbody class="print">
				<tr class="odd">
					<td align="right">Cash Sale</td>
					<td align="right"><?PHP echo number_format($sale_row[0], 2); ?></td>
					<td align="right">Payment to Suppliers</td>
					<td align="right"><?PHP echo number_format($sp_row[0], 2); ?></td>
				</tr>
				<tr class="even">
					<td align="right">Collection</td>
					<td align="right"><?PHP echo number_format($collection, 2); ?></td>
					<td align="right">Expenses</td>
					<td align="right"><?PHP echo number_format($expense_row[0], 2); ?></td>
				</tr>
				<tr class="total">
					<td align="right">Total</td>
					<td align="right"><b><?PHP echo number_format($cash_in_row[0], 2); ?></b></td>
					<td align="right">Total</td>
					<td align="right"><b><?PHP echo number_format($cash_out, 2); ?></b></td>
				</tr>
			</tbody>
		</table></center>
		<?PHP
		
	} elseif ($year != 0 && $month != 0 && $day == 0) { // day is NOT given
		// TOTAL CASH IN
		$sql = "SELECT SUM(amount)
				FROM cpayments
				WHERE (MONTH(pdate) = $month AND YEAR(pdate) = $year AND pmethod = 'Cash') 
					OR (MONTH(encash_date) = $month AND YEAR(encash_date) = $year AND pmethod = 'Check')";
		$cash_in_res = mysql_query($sql) or die(mysql_error()); 
		$cash_in_row = mysql_fetch_array($cash_in_res); 
		// CASH SALE
		$sql = "SELECT SUM(line_total)
				FROM sales
				WHERE MONTH(delivery_date) = $month AND YEAR(delivery_date) = $year AND balance = 0";
		$sale_res = mysql_query($sql) or die(mysql_error()); 
		$sale_row = mysql_fetch_array($sale_res); 
		// COLLECTION
		$collection = $cash_in_row[0] - $sale_row[0]; 
		// PAYMENT TO SUPPLIERS
		$sql = "SELECT SUM(amount)
				FROM spayments
				WHERE (MONTH(pdate) = $month AND YEAR(pdate) = $year AND pmethod = 'Cash') 
					OR (MONTH(encash_date) = $month AND YEAR(encash_date) = $year AND pmethod = 'Check')";
		$sp_res = mysql_query($sql) or die(mysql_error()); 
		$sp_row = mysql_fetch_array($sp_res); 
		// EXPENSES
		$sql = "SELECT SUM(amount)
				FROM expenses 
				WHERE MONTH(edate) = $month AND YEAR(edate) = $year";
		$expense_res = mysql_query($sql) or die(mysql_error()); 
		$expense_row = mysql_fetch_array($expense_res); 
		// TOTAL CASH OUT
		$cash_out = $sp_row[0] + $expense_row[0]; 
		?>	
		<center>
		<h4><font face="arial">Cash Flow for <?PHP print "$monthname, $year"; ?></font></h4>
		<table>
			<thead class="print"><tr>
				<td align="center" width="175"></td>
				<td align="center" width="175">Cash In</td>
				<td align="center" width="175"></td>
				<td align="center" width="175">Cash Out</td>
			</tr></thead>
			<tbody class="print">
				<tr class="odd">
					<td align="right">Cash Sale</td>
					<td align="right"><?PHP echo number_format($sale_row[0], 2); ?></td>
					<td align="right">Payment to Suppliers</td>
					<td align="right"><?PHP echo number_format($sp_row[0], 2); ?></td>
				</tr>
				<tr class="even">
					<td align="right">Collection</td>
					<td align="right"><?PHP echo number_format($collection, 2); ?></td>
					<td align="right">Expenses</td>
					<td align="right"><?PHP echo number_format($expense_row[0], 2); ?></td>
				</tr>
				<tr class="total">
					<td align="right">Total</td>
					<td align="right"><b><?PHP echo number_format($cash_in_row[0], 2); ?></b></td>
					<td align="right">Total</td>
					<td align="right"><b><?PHP echo number_format($cash_out, 2); ?></b></td>
				</tr>
			</tbody>
		</table></center>
		<?PHP
		
	} elseif ($year != 0 && $month == 0 && $day == 0) { // only year is given
		// TOTAL CASH IN
		$sql = "SELECT SUM(amount)
				FROM cpayments
				WHERE (YEAR(pdate) = $year AND pmethod = 'Cash') 
					OR (YEAR(encash_date) = $year AND pmethod = 'Check')";
		$cash_in_res = mysql_query($sql) or die(mysql_error()); 
		$cash_in_row = mysql_fetch_array($cash_in_res); 
		// CASH SALE
		$sql = "SELECT SUM(line_total)
				FROM sales
				WHERE YEAR(delivery_date) = $year AND balance = 0";
		$sale_res = mysql_query($sql) or die(mysql_error()); 
		$sale_row = mysql_fetch_array($sale_res); 
		// COLLECTION
		$collection = $cash_in_row[0] - $sale_row[0]; 
		// PAYMENT TO SUPPLIERS
		$sql = "SELECT SUM(amount)
				FROM spayments
				WHERE (YEAR(pdate) = $year AND pmethod = 'Cash') 
					OR (YEAR(encash_date) = $year AND pmethod = 'Check')";
		$sp_res = mysql_query($sql) or die(mysql_error()); 
		$sp_row = mysql_fetch_array($sp_res); 
		// EXPENSES
		$sql = "SELECT SUM(amount)
				FROM expenses 
				WHERE YEAR(edate) = $year";
		$expense_res = mysql_query($sql) or die(mysql_error()); 
		$expense_row = mysql_fetch_array($expense_res); 
		// TOTAL CASH OUT
		$cash_out = $sp_row[0] + $expense_row[0]; 
		?>	
		<center>
		<h4><font face="arial">Cash Flow for <?PHP print $year ?></font></h4>
		<table>
			<thead class="print"><tr>
				<td align="center" width="175"></td>
				<td align="center" width="175">Cash In</td>
				<td align="center" width="175"></td>
				<td align="center" width="175">Cash Out</td>
			</tr></thead>
			<tbody class="print">
				<tr class="odd">
					<td align="right">Cash Sale</td>
					<td align="right"><?PHP echo number_format($sale_row[0], 2); ?></td>
					<td align="right">Payment to Suppliers</td>
					<td align="right"><?PHP echo number_format($sp_row[0], 2); ?></td>
				</tr>
				<tr class="even">
					<td align="right">Collection</td>
					<td align="right"><?PHP echo number_format($collection, 2); ?></td>
					<td align="right">Expenses</td>
					<td align="right"><?PHP echo number_format($expense_row[0], 2); ?></td>
				</tr>
				<tr class="total">
					<td align="right">Total</td>
					<td align="right"><b><?PHP echo number_format($cash_in_row[0], 2); ?></b></td>
					<td align="right">Total</td>
					<td align="right"><b><?PHP echo number_format($cash_out, 2); ?></b></td>
				</tr>
			</tbody>
		</table></center>
		<?PHP
	} else {
		$sql = "SELECT MONTHNAME(NOW()), YEAR(NOW())";
		$dres = mysql_query($sql);
		$drow = mysql_fetch_array($dres);
		$monthname = $drow[0]; $year = $drow[1];

		// TOTAL CASH IN
		$sql = "SELECT SUM(amount)
				FROM cpayments
				WHERE (MONTH(pdate) = MONTH(NOW()) AND YEAR(pdate) = YEAR(NOW()) AND pmethod = 'Cash') 
					OR (MONTH(encash_date) = MONTH(NOW()) AND YEAR(encash_date) = YEAR(NOW()) AND pmethod = 'Check')";
		$cash_in_res = mysql_query($sql) or die(mysql_error()); 
		$cash_in_row = mysql_fetch_array($cash_in_res); 
		// CASH SALE
		$sql = "SELECT SUM(line_total)
				FROM sales
				WHERE MONTH(delivery_date) = MONTH(NOW()) AND YEAR(delivery_date) = YEAR(NOW()) AND balance = 0";
		$sale_res = mysql_query($sql) or die(mysql_error()); 
		$sale_row = mysql_fetch_array($sale_res); 
		// COLLECTION
		$collection = $cash_in_row[0] - $sale_row[0]; 
		// PAYMENT TO SUPPLIERS
		$sql = "SELECT SUM(amount)
				FROM spayments
				WHERE (MONTH(pdate) = MONTH(NOW()) AND YEAR(pdate) = YEAR(NOW()) AND pmethod = 'Cash') 
					OR (MONTH(encash_date) = MONTH(NOW()) AND YEAR(encash_date) = YEAR(NOW()) AND pmethod = 'Check')";
		$sp_res = mysql_query($sql) or die(mysql_error()); 
		$sp_row = mysql_fetch_array($sp_res); 
		// EXPENSES
		$sql = "SELECT SUM(amount)
				FROM expenses 
				WHERE MONTH(edate) = MONTH(NOW()) AND YEAR(edate) = YEAR(NOW())";
		$expense_res = mysql_query($sql) or die(mysql_error()); 
		$expense_row = mysql_fetch_array($expense_res); 
		// TOTAL CASH OUT
		$cash_out = $sp_row[0] + $expense_row[0]; 
		?>	
		<center>
		<h4><font face="arial">Cash Flow for <?PHP print "$monthname, $year"; ?></font></h4>
		<table>
			<thead class="print"><tr>
				<td align="center" width="175"></td>
				<td align="center" width="175">Cash In</td>
				<td align="center" width="175"></td>
				<td align="center" width="175">Cash Out</td>
			</tr></thead>
			<tbody class="print">
				<tr class="odd">
					<td align="right">Cash Sale</td>
					<td align="right"><?PHP echo number_format($sale_row[0], 2); ?></td>
					<td align="right">Payment to Suppliers</td>
					<td align="right"><?PHP echo number_format($sp_row[0], 2); ?></td>
				</tr>
				<tr class="even">
					<td align="right">Collection</td>
					<td align="right"><?PHP echo number_format($collection, 2); ?></td>
					<td align="right">Expenses</td>
					<td align="right"><?PHP echo number_format($expense_row[0], 2); ?></td>
				</tr>
				<tr class="total">
					<td align="right">Total</td>
					<td align="right"><b><?PHP echo number_format($cash_in_row[0], 2); ?></b></td>
					<td align="right">Total</td>
					<td align="right"><b><?PHP echo number_format($cash_out, 2); ?></b></td>
				</tr>
			</tbody>
		</table></center>
		<?PHP
	}
}

?>