<?php
//ini_set('display_errors', 1);
//error_reporting(E_ALL & ~E_NOTICE);
define('TITLE', 'Print Check Voucher');
include("fxns.php");
session_start();
val_qry("cv_id", "check_voucher");

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		printing_header(TITLE);
		$cv_id = _GET_POST($_GET['cv_id']);
		$position = sql_fld("position", "users", "user_id='$_SESSION[user_id]'");
		$print = sql_fld("voucher_printed", "check_voucher", "cv_id='$cv_id'");
		if ($print == 0){
			print_voucher($cv_id);
			$print_array = array(
				'voucher_printed'	=> 1,
				'v_printed_by'		=> $_SESSION['user_id']
			);
			sql_upd("check_voucher", $print_array, "cv_id='$cv_id'");
			return;
		}
		if ($position == 1 || $position == 2 || $position == 3){
			print_voucher($cv_id);
			return;
		}
		echo "<br><br><br><center><font face=arial size=5 color=gray>Check Voucher has been printed already.<br>
		Ask the admins/supervisor to print this for you.</font></center>";
	}
} else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.</font></center>";
}

function print_voucher($cv_id){
	$cv_row = sql_rec("check_voucher", "cv_id='$cv_id'");
	$purchase_ids = explode('|', $cv_row['purchase_ids']);
	$pymt_amt = explode('|', $cv_row['pymt_amt']);
	
	?>
	<center>
	<br>
	<h1 style="text-decoration: underline;">PAYMENT VOUCHER</h1>
	<h2>BICOL TENESE TRADING CORPORATION</h2>
	<br><b>
	<table>
		<tbody class="print">
			<tr class="odd">
				<td width="100px" align="right">Date:&nbsp;</td>
				<td width="200px" align="left" >&nbsp;<?php echo date_format(date_create($cv_row['en_date']), "M d, Y"); ?></td>
				<td width="100px" align="right">Voucher #:&nbsp;</td>
				<td width="200px" align="left" >&nbsp;<?php echo $cv_id; ?></td>
			</tr>
			<tr class="even">
				<td align="right">Check #:&nbsp;</td>
				<td align="left">&nbsp;<?php echo $cv_row['check_num']; ?></td>
				<td align="right">Amount:&nbsp;</td>
				<td align="left">&nbsp;&#8369;&nbsp;<?php echo number_format($cv_row['ttl_amt'], 2); ?></td>
			</tr>
			<tr class="odd">
				<td align="right">Pay to:&nbsp;</td>
				<td align="left " colspan="3">&nbsp;<?php echo sql_fld("company_name", "suppliers", "supplier_id=$cv_row[supplier_id]") ?></td>
			</tr>
		</tbody>
	</table>
	<table class="printTable">
		<tbody class="print">
			<tr class="even">
				<td colspan="2">As payment for the following reciepts</td>
			</tr>
			<tr align="center" class="odd">
				<td width="400px">Purchase Reciept #</td>
				<td width="200px">Amount of Purchase</td>
			</tr>
			<?php
			$i=1;
			foreach(array_keys($purchase_ids) AS $key){
			$i++; ?>
			<tr class="<?php echo $i%2==0?"even":"odd" ?>">
				<td align="center"><?php echo $purchase_ids[$key] ?></td>
				<td align="right"><?php echo number_format($pymt_amt[$key], 2); ?>&nbsp;</td>
			</tr>
				<?php
			}
			$i++; ?>
			<tr class="<?php echo $i%2==0?"even":"odd" ?>">
				<td align="right">Purchase Total:</td>
				<td align="right"><?php echo number_format(array_sum($pymt_amt), 2); ?>&nbsp;<td>
			</tr>
		</tbody>
	</table>
	<table>
		<tbody class="print">
			<tr height="50px">
				<td align="right" width="100px">Prepared By:&nbsp;</td>
				<td align="left"  width="200px">________________________</td>
				<td align="right" width="100px">Approved By:&nbsp;</td>
				<td align="left"  width="200px">________________________</td>
			</tr>
			<tr height="50px">
				<td align="right">Recieved By:&nbsp;</td>
				<td align="left">________________________</td>
				<td align="right">Date Recieved:&nbsp;</td>
				<td align="left">________________________</td>
			</tr>
		</tbody>
	</table>
	</center>
	<style>
		table.printTable{
			border: 1px solid black;
		  	margin: auto;
		}
		h1, h2{
			font-family: "Century Gothic", Verdana, Helvetica, sans-serif;
			margin: 4px;
		}
		td{
			vertical-align: bottom;
		}
	</style><?php
}

?>