<?php
ini_set('display_errors', 1);
set_time_limit(0);
error_reporting(E_ALL & ~E_NOTICE);

define('TITLE', 'Print Overdue Accounts');

include("fxns.php");

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_13() == true) {
		printing_header(TITLE);
		$aid = $_GET['account_id'];
		print_oda($aid, $navi);	
	}
}
else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.
	</font></center>";
}

function print_oda($aid)
{
	if (isset($_POST[frdate]) && isset($_POST[todate])){
		$frdate = _GET_POST($_POST[frdate]);
		$todate = _GET_POST($_POST[todate]);
	} else {
		$frdate = sql_curdate();
		$todate = sql_curdate();
	}
		
	// get the fields for printing
	$account_recievables = sql_qry("SELECT s.sale_id, s.customer_id, c.company_name, c.contact_person, c.phone_number, s.balance, s.line_total, s.due_date
			FROM sales s
			INNER JOIN customers c ON s.customer_id = c.customer_id
			WHERE s.balance > 0 AND s.due_date >= '$frdate' AND s.due_date <= '$todate' AND c.account_id = '$aid' AND c.ctype = 0 AND c.company_name NOT LIKE '%VCSI%'
			ORDER BY c.company_name ASC, s.due_date ASC");

	//get the account name
	$aname = sql_fld("account_name", "accounts", "account_id = $aid"); ?>
		<script type="text/javascript" src="lib/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="lib/calendar.js"></script>
		<style type="text/css">
			td{
				vertical-align: top;
			}
			a.tddata { 
				color: #000000;
			}
		</style>
		<script type="text/javascript">
			function hideIt(){
				$('#iT').css('display', 'none');
			}
			function showIt(){
				$('#iT').css('display', '');
			}
			$(document).ready(function(){
				window.onbeforeprint = function(event) {
					hideIt();
				};
				window.onafterprint = function(event) {
					showIt();
				};
				$('#sbt').click(function(){
					var frd = new Date($('#frdate').val());
					var tod = new Date($('#todate').val());
					if (frd > tod){
						alert('Error: Date mismatch, please correct From and To Dates');
						$('#frmIT').trigger('reset');
					} else {
						$('#frmIT').submit();
					}
				});
			});
		</script>
		<center>
			<div id="iT">
			<form id="frmIT" action="print_oda.php?account_id=<?php echo $aid ?>" method="POST">
			<table>
				<tbody class="print">
					<tr class="even">
						<td align="right" width="150px">FROM DATE:&nbsp;</td>
						<td align="left" width="200px">&nbsp;<input readonly id='frdate' type="text" size="10" name="frdate" value="<?php echo $frdate ?>" style='height: 19px; text-align: center'>&nbsp;<font color='red'>*</font><a class="td_img" href="javascript:frdate.popup();">&nbsp;<img src="lib/b_calendar.png" style='vertical-align: -30%'></a>
						<script type="text/javascript">
							var frdate = new calendar(document.getElementById('frdate'));
							frdate.year_scroll = true; frdate.time_comp = false;
						</script></td>
						<td align="right" width="150px">TO DATE:&nbsp;</td>
						<td align="left" width="200px">&nbsp;<input readonly id='todate' type="text" size="10" name="todate" value="<?php echo $todate ?>" style='height: 19px; text-align: center'>&nbsp;<font color='red'>*</font><a class="td_img" href="javascript:todate.popup();">&nbsp;<img src="lib/b_calendar.png" style='vertical-align: -30%'></a>
						<script type="text/javascript">
							var todate = new calendar(document.getElementById('todate'));
							todate.year_scroll = true; todate.time_comp = false;
						</script></td>
					</tr>
					<tr class="odd">
						<td align="center" colspan="4"><input type="button" id="sbt" name="sbt" class="button blue" value="Submit"></td>
					</tr>
				</tbody>
			</table>
			</form>
			</div>
			<table align="center" width="780" valign="center">
				<caption>
					<h3>BICOL TENESE TRADING CORPORATION<br />Account Recievables: <?php echo $aname; ?></h3>
				</caption>
			</table><?php
						$i = 1; $curr_customer = 0; $prev_customer = 0; $total_payment = 0;
						while ($recievable = mysql_fetch_array($account_recievables)){
							$curr_customer_id = $recievable['customer_id'];
							if ($curr_customer_id != $prev_customer_id){ 
// ---------------------------------block within if---------------------------------
								if ($prev_customer_id != 0){
									$i = 1;
	// ---------------------------------block within if--------------------------------- ?>
				</tbody>
				<tfoot class="print">
					<tr>
						<td colspan="3" align="right">TOTAL:&nbsp;</td>
						<td align="right"><?php
							$line_total = sql_fld("SUM(s.line_total)",
								"sales s INNER JOIN customers c ON s.customer_id = c.customer_id",
								"s.balance > 0 AND s.due_date >= '$frdate' AND s.due_date <= '$todate' AND c.account_id = '$aid' AND c.ctype = 0 AND c.customer_id = '$prev_customer_id'"
							);
							echo number_format($line_total, 2);
						?></td>
						<td align="right"><?php echo number_format($total_payment, 2) ?></td>
						<td align="right"><?php
							$balance = sql_fld("SUM(s.balance)",
								"sales s INNER JOIN customers c ON s.customer_id = c.customer_id",
								"s.balance > 0 AND s.due_date >= '$frdate' AND s.due_date <= '$todate' AND c.account_id = '$aid' AND c.ctype = 0 AND c.customer_id = '$prev_customer_id'"
							);
							echo number_format($balance, 2);
						?></td>
					</tr>
				</tfoot>
			</table>
			<br>
			<br><?php $total_payment = 0;
	// ---------------------------------block within if---------------------------------
								} ?>
			<table>
				<thead class="print">
					<tr align="center">
						<td width="250px">Customer</td>
						<td width="125px">Due Date</td>
						<td width=" 75px">DR</td>
						<td width="100px">Amount</td>
						<td width="300px">Payment History</td>
						<td width="100px">Balance</td>
					</tr>
				</thead>
				<tbody class="print"><?php
// ---------------------------------block within if---------------------------------
							} ?>
					<tr class="<?php echo $i%2==0?'even':'odd'?>">
						<td align="center"><?php echo $curr_customer_id!=$prev_customer_id?$recievable['company_name']:""; ?></td>
						<td align="center"><?php echo date_format(date_create($recievable['due_date']), "M. d, Y") ?></td>
						<td align="center"><?php echo $recievable['sale_id'] ?></td>
						<td align="right"><?php echo number_format($recievable['line_total'], 2) ?></td>
						<td align="right"><?php
							$payment_history = sql_qry("SELECT pmethod, c_payment_id, pdate, amount FROM cpayments WHERE sale_id = $recievable[sale_id] ORDER BY pdate");
							while ($payment = mysql_fetch_assoc($payment_history)){
								echo $payment['pmethod'].' -- '; ?>
								<a class="tddata" href="cpayment.php?c_payment_id=<?php echo $payment['c_payment_id'] ?>"><?php
								echo $payment['c_payment_id']; ?>
								</a><?php
								echo ' -- '.date_format(date_create($payment['pdate']), "M. d, Y").' -- '.number_format($payment['amount'], 2); ?>
								<br><?php $total_payment = $total_payment + $payment['amount'];
							}
						?></td>
						<td align="right"><?php echo number_format($recievable['balance'], 2) ?></td>
					</tr>
							<?php
							$prev_customer_id = $recievable["customer_id"];
							$i++;
						}
						if ($prev_customer_id != 0){
// ---------------------------------block within if--------------------------------- ?>
				</tbody>
				<tfoot class="print">
					<tr>
						<td colspan="3" align="right">TOTAL:&nbsp;</td>
						<td align="right"><?php
							$line_total = sql_fld("SUM(s.line_total)",
								"sales s INNER JOIN customers c ON s.customer_id = c.customer_id",
								"s.balance > 0 AND s.due_date >= '$frdate' AND s.due_date <= '$todate' AND c.account_id = '$aid' AND c.ctype = 0 AND c.customer_id = '$prev_customer_id'"
							);
							echo number_format($line_total, 2);
						?></td>
						<td align="right"><?php echo number_format($total_payment, 2) ?></td>
						<td align="right"><?php
							$balance = sql_fld("SUM(s.balance)",
								"sales s INNER JOIN customers c ON s.customer_id = c.customer_id",
								"s.balance > 0 AND s.due_date >= '$frdate' AND s.due_date <= '$todate' AND c.account_id = '$aid' AND c.ctype = 0 AND c.customer_id = '$prev_customer_id'"
							);
							echo number_format($balance, 2);
						?></td>
					</tr>
				</tfoot>
			</table>
			<br>
			<br><?php
// ---------------------------------block within if---------------------------------
						} ?>
		</center>
	</body>
</html>
<?php
}
?>