<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

define('TITLE', 'Print Inventory');

include("fxns.php");

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		printing_header(TITLE);

		$field = $_GET['field'];
		print_products($field);
		
	}
}
else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.
	</font></center>";
}

function print_products($field) {
	if ($field == "") {
		$sql = "SELECT p.product_id, p.product_num, p.product_name, c.category_name, 
					m.manufacturer_name, p.sell_price, p.active, DATE_FORMAT(p.lastsale, '%b %e, %Y')
				FROM products p, manufacturers m, categories c 
				WHERE p.category_id=c.category_id AND p.manufacturer_id=m.manufacturer_id AND p.active = 0
				ORDER BY p.product_name";
		$res = mysql_query($sql) or die(mysql_error());
	} else {
		$sql = "SELECT p.product_id, p.product_num, p.product_name,
					c.category_name, m.manufacturer_name, p.sell_price, p.active, DATE_FORMAT(p.lastsale, '%b %e, %Y')
				FROM products p, manufacturers m, categories c
				WHERE (p.category_id=c.category_id AND p.manufacturer_id=m.manufacturer_id AND p.active = 0)
					AND (p.product_name LIKE '%$field%' OR p.product_num LIKE '%$field%')
				ORDER BY p.product_name";
		$res = mysql_query($sql) or die(mysql_error());
	}
	
	?>
	<center><table width="700" class="data" border="1">
		<thead class="print">
			<tr><td colspan="7" align="center"><b>Inactive Products</b></td></tr>
			<tr>
				<td width="50" align="center">#</td>
				<td width="200" align="center">Product</td>
				<td width="80" align="center">Category</td>
				<td width="130" align="center">Manufacturer</td>
				<td width="60" align="center">Price</td>
				<td width="60" align="center">Active</td>
				<td width="80" align="center">Movement</td>
			</tr>
		</thead>
		<tbody class="print">
			<?PHP
			$i = 1;
			while ($row = mysql_fetch_array($res)) {
				$m = fmod($i, 2); 
				if ($m == 0) {
					?><tr class="even"><?PHP
				} else {
					?><tr class="odd"><?PHP
				}
				?>
					<td align="center"><?PHP print $row[1] ?></td>
					<td align="left"><?PHP print $row[2] ?></td>
					<td align="left"><?PHP print $row[3] ?></td>
					<td align="left"><?PHP print $row[4] ?></td>
					<td align="right"><?PHP echo number_format($row[5], 2); ?></td>
					<td align="center"><?PHP if ($row[6] == 1) echo "Yes"; else echo "<i>No</i>"; ?></td>
					<td align="center"><?PHP echo $row[7] ?></td>
				</tr>
				<?PHP
				$i++;
			}
			?>
		</tbody>
	</table></center>
	<?PHP
}

?>