<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

define('TITLE', 'Print Suppliers\' Discounts');

include("fxns.php");

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		printing_header(TITLE);

		$month = $_GET['month'];
		$day = $_GET['day'];
		$year = $_GET['year'];
		print_report_sdiscounts($month, $day, $year);
		
	}
}
else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.
	</font></center>";
}

function print_report_sdiscounts($month, $day, $year) {
	if ($month == 1) { $monthname = "Jan"; 
	} elseif ($month == 2) { $monthname = "Feb"; 
	} elseif ($month == 3) { $monthname = "Mar"; 
	} elseif ($month == 4) { $monthname = "Apr"; 
	} elseif ($month == 5) { $monthname = "May"; 
	} elseif ($month == 6) { $monthname = "Jun"; 
	} elseif ($month == 7) { $monthname = "Jul"; 
	} elseif ($month == 8) { $monthname = "Aug"; 
	} elseif ($month == 9) { $monthname = "Sep"; 
	} elseif ($month == 10) { $monthname = "Oct"; 
	} elseif ($month == 11) { $monthname = "Nov"; 
	} elseif ($month == 12) { $monthname = "Dec"; }
		
	if ($year != 0 && $month != 0 && $day != 0) { // all fields are given
		$sql = "SELECT pd.product_id, p.product_name, SUM(pd.quantity * pd.unit_discount) AS disc
				FROM purchase_details pd, purchases pu, products p 
				WHERE pd.purchase_id=pu.purchase_id AND pd.product_id=p.product_id 
					AND TO_DAYS('$year-$month-$day') = TO_DAYS(pu.delivery_date)
				GROUP BY p.product_name 
				ORDER BY disc DESC, p.product_name";
		$res = mysql_query($sql); $num = mysql_num_rows($res);
		
		$sql = "SELECT SUM(pd.quantity * pd.unit_discount) 
				FROM purchase_details pd, purchases p 
				WHERE pd.purchase_id = p.purchase_id AND TO_DAYS('$year-$month-$day') = TO_DAYS(p.delivery_date)";
		$tres = mysql_query($sql);
		$trow = mysql_fetch_array($tres);
		
		?>	
			<center>
			<h4><font face="arial">Suppliers' Discounts for <?PHP echo "$monthname $day, $year"; ?></font></h4>
			<table>
				<thead class="print"><tr>
					<td width="500" align="center">Product</td>
					<td width="200" align="center">Total Discount</td>
				</tr></thead>
				<tbody class="print">
					<?PHP
					while ($row = mysql_fetch_array($res)) {
						$m = fmod($i, 2);
						if ($m == 0) { // $i is EVEN
							?><tr class="even"><?PHP
						} else { // $i is ODD
							?><tr class="odd"><?PHP
						}
						?>
							<td align="left"><?PHP echo $row[1] ?></td>
							<td align="right"><?PHP $disc = number_format($row[2], 2); echo $disc ?></td>
						</tr>
						<?PHP
						$i++;
					}
					?>
					<tr class="total">
						<td align="right"><b>Total</b>&nbsp;</td>
						<td align="right"><b><?PHP $tdisc = number_format($trow[0], 2); echo $tdisc ?></b>&nbsp;</td>
					</tr>
				</tbody>
			</table>
			<p class="meta"><font face="arial" size="2">
				<?PHP
				if ($num > 1) { print "<b>$num</b> records found for $monthname $day, $year";
				} else { print "<b>$num</b> record for $monthname $day, $year";
				}
				?></font>
			</p>
			</center>
		<?PHP
		
	} elseif ($year != 0 && $month != 0 && $day == 0) { // day is NOT given
		$sql = "SELECT pd.product_id, p.product_name, SUM(pd.quantity * pd.unit_discount) AS disc
				FROM purchase_details pd, purchases pu, products p 
				WHERE pd.purchase_id=pu.purchase_id AND pd.product_id=p.product_id 
					AND MONTH(pu.delivery_date) = $month AND YEAR(pu.delivery_date) = $year
				GROUP BY p.product_name 
				ORDER BY disc DESC, p.product_name";
		$res = mysql_query($sql); $num = mysql_num_rows($res);
		
		$sql = "SELECT SUM(pd.quantity * pd.unit_discount) 
				FROM purchase_details pd, purchases p 
				WHERE pd.purchase_id = p.purchase_id 
					AND MONTH(p.delivery_date) = $month AND YEAR(p.delivery_date) = $year";
		$tres = mysql_query($sql);
		$trow = mysql_fetch_array($tres);
		
		?>	
			<center>
			<h4><font face="arial">Suppliers' Discounts for <?PHP echo "$monthname, $year"; ?></font></h4>
			<table>
				<thead class="print"><tr>
					<td width="500" align="center">Product</td>
					<td width="200" align="center">Total Discount</td>
				</tr></thead>
				<tbody class="print">
					<?PHP
					while ($row = mysql_fetch_array($res)) {
						$m = fmod($i, 2);
						if ($m == 0) { // $i is EVEN
							?><tr class="even"><?PHP
						} else { // $i is ODD
							?><tr class="odd"><?PHP
						}
						?>
							<td align="left"><?PHP echo $row[1] ?></td>
							<td align="right"><?PHP $disc = number_format($row[2], 2); echo $disc ?></td>
						</tr>
						<?PHP
						$i++;
					}
					?>
					<tr class="total">
						<td align="right"><b>Total</b>&nbsp;</td>
						<td align="right"><b><?PHP $tdisc = number_format($trow[0], 2); echo $tdisc ?></b>&nbsp;</td>
					</tr>
				</tbody>
			</table>
			<p class="meta"><font face="arial" size="2">
				<?PHP
				if ($num > 1) { print "<b>$num</b> records found for $monthname, $year";
				} else { print "<b>$num</b> record for $monthname, $year";
				}
				?></font>
			</p>
			</center>
		<?PHP
		
	} elseif ($year != 0 && $month == 0 && $day == 0) { // only year is given
		$sql = "SELECT pd.product_id, p.product_name, SUM(pd.quantity * pd.unit_discount) AS disc
				FROM purchase_details pd, purchases pu, products p 
				WHERE pd.purchase_id=pu.purchase_id AND pd.product_id=p.product_id 
					AND YEAR(pu.delivery_date) = $year
				GROUP BY p.product_name 
				ORDER BY disc DESC, p.product_name";
		$res = mysql_query($sql); $num = mysql_num_rows($res);
		
		$sql = "SELECT SUM(pd.quantity * pd.unit_discount) 
				FROM purchase_details pd, purchases p 
				WHERE pd.purchase_id = p.purchase_id AND YEAR(p.delivery_date) = $year";
		$tres = mysql_query($sql);
		$trow = mysql_fetch_array($tres);
		
		?>	
			<center>
			<h4><font face="arial">Suppliers' Discounts for <?PHP echo $year ?></font></h4>
			<table>
				<thead class="print"><tr>
					<td width="500" align="center">Product</td>
					<td width="200" align="center">Total Discount</td>
				</tr></thead>
				<tbody class="print">
					<?PHP
					while ($row = mysql_fetch_array($res)) {
						$m = fmod($i, 2);
						if ($m == 0) { // $i is EVEN
							?><tr class="even"><?PHP
						} else { // $i is ODD
							?><tr class="odd"><?PHP
						}
						?>
							<td align="left"><?PHP echo $row[1] ?></td>
							<td align="right"><?PHP $disc = number_format($row[2], 2); echo $disc ?></td>
						</tr>
						<?PHP
						$i++;
					}
					?>
					<tr class="total">
						<td align="right"><b>Total</b>&nbsp;</td>
						<td align="right"><b><?PHP $tdisc = number_format($trow[0], 2); echo $tdisc ?></b>&nbsp;</td>
					</tr>
				</tbody>
			</table>
			<p class="meta"><font face="arial" size="2">
				<?PHP
				if ($num > 1) { print "<b>$num</b> records found for $year";
				} else { print "<b>$num</b> record for $year";
				}
				?></font>
			</p>
			</center>
		<?PHP
		
	}
}

?>