<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Product Details');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry product_id in the URL
		if (is_numeric($_GET['product_id'])) {
			$product_id = $_GET['product_id'];
			// show form
			show_product($product_id);
			//show_its($product_id);
		} else { // No _id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_its($product_id) {
	$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);
	?>
	<br>
    <div class="post">
        <div id="details">
            <a id="icon1" class="th_img" href="print_its.php?product_id=<?PHP print $product_id ?>" target="new"><img src="lib/b_print.png"></a>
        </div>
        <h1 class="title">Inventory Tracking for <?PHP print $row[0] ?></h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="380" valign="top">
					<?PHP
					$sql = "SELECT p.purchase_id, p.or_num, DATE_FORMAT(p.delivery_date, '%b %e, %Y'), s.company_name, pd.quantity
							FROM purchases p, purchase_details pd, products pp, suppliers s
							WHERE p.purchase_id=pd.purchase_id AND p.supplier_id=s.supplier_id
								AND pd.product_id=pp.product_id AND pp.product_id='$product_id' AND p.direct_delivery = 0
							ORDER BY p.delivery_date DESC";
					$res = mysql_query($sql);
					$num = mysql_num_rows($res);
					if ($num > 0) {
						?>
						<table width="330">
							<thead class="data">
								<tr><td colspan="4" align="center"><b>Purchases</b></td></tr>
								<tr>
									<td width="50" align="center">OR #</td>
									<td width="80" align="center">Date</td>
									<td width="150" align="center">Supplier</td>
									<td width="50" align="center">Qty</td>
								</tr>
							</thead>
							<tbody class="data">
							<?PHP
							$i = 1;
							while ($row = mysql_fetch_array($res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="purchase.php?purchase_id=<?PHP print $row[0] ?>"><?PHP print $row[1] ?></td></td>
									<td align="center"><?PHP print $row[2] ?></td>
									<td align="left"><?PHP print $row[3] ?></td>
									<td align="right"><?PHP $fp = number_format($row[4], 2); print $fp ?></td>
								</tr>
								<?PHP
								$i++;
							}
							$sql = "SELECT SUM(pd.quantity)
									FROM purchases p, purchase_details pd
									WHERE p.purchase_id = pd.purchase_id AND pd.product_id = '$product_id' AND p.direct_delivery = 0"; 
							$res2 = mysql_query($sql); $row2 = mysql_fetch_array($res2);
							$ftp = number_format($row2[0], 2);
							?>
							<tr class="total">
								<td align="right" colspan="3"><b>TOTAL</b>&nbsp;</td><td align=right><b><?PHP print $ftp ?></b></td>
							</tr>
							</tbody>
						</table>
						<?PHP
					} else {
						print "<br><center><font color=red>No purchase recorded</font></center>";
					}
					?>
				</td>
				<td width="330" valign="top">
					<?PHP
					$sql = "SELECT s.sale_id, s.or_num, DATE_FORMAT(s.delivery_date, '%b %e, %Y'), c.company_name, SUM(sd.quantity)
							FROM sales s, sale_details sd, products p, customers c
							WHERE s.sale_id=sd.sale_id AND s.customer_id=c.customer_id 
								AND sd.product_id=p.product_id AND p.product_id='$product_id' AND s.purchase_id = 0
							GROUP BY s.sale_id
							ORDER BY s.delivery_date DESC, c.company_name";
					$res1 = mysql_query($sql);
					$num1 = mysql_num_rows($res1);
					if ($num1 > 0) {
						?>
						<table width="380">
							<thead class="data">
								<tr><td colspan="4" align="center"><b>Product Dispensings</b></td></tr>
								<tr>
									<td width="50" align="center">OR #</td>
									<td width="80" align="center">Date</td>
									<td width="200" align="center">Customer</td>
									<td width="50" align="center">Qty</td>
								</tr>
							</thead>
							<tbody class="data">
							<?PHP
							$j = 1;
							while ($row1 = mysql_fetch_array($res1)) {
								$n = fmod($j, 2);
								if ($n == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class=tddata href="sale.php?sale_id=<?PHP print $row1[0] ?>"><?PHP print $row1[1] ?></td></td>
									<td align="center"><?PHP print $row1[2] ?></td>
									<td align="left"><?PHP print $row1[3] ?></td>
									<td align="right"><?PHP $fs = number_format($row1[4], 2); print $fs ?></td>
								</tr>
								<?PHP
								$j++;
							}
							$sql = "SELECT SUM(sd.quantity)
									FROM sales s, sale_details sd
									WHERE s.sale_id = sd.sale_id AND sd.product_id = '$product_id' AND s.purchase_id = 0";
							$sres = mysql_query($sql); $srow = mysql_fetch_array($sres);
							$tfs = number_format($srow[0], 2);
							?>
							<tr class="total">
								<td align="right" colspan="3"><b>TOTAL</b>&nbsp;</td><td align="right"><b><?PHP print $tfs ?></b></td>
							</tr>
							</tbody></table>
							<?PHP
					} else {
						print "<br><center><font face=arial size=2 color=red>No sale recorded</font></center>";
					}
					?>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}


?>