<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Product Inventory Tracking');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry product_id in the URL
		if (is_numeric($_GET['product_id'])) {
			$product_id = $_GET['product_id'];
			$whouse_id = $_GET['whouse_id'];
			// show form
			show_product($product_id);
			show_its($whouse_id, $product_id);
		} else { // No _id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_its($whouse_id, $product_id) {
	$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);

	// incoming transfers
	$sql = "SELECT t.trans_id, DATE_FORMAT(t.tdate, '%b %e, %Y'), w.whouse_name, td.quantity
			FROM transfers t 
				INNER JOIN transfer_details td ON t.trans_id = td.trans_id
				INNER JOIN warehouses w ON t.fr_whouse_id = w.whouse_id
			WHERE t.to_whouse_id = '$whouse_id' AND td.product_id = '$product_id' AND t.user2_id != 0
			ORDER BY t.trans_id DESC";
	$it_res = mysql_query($sql);
	$it_num = mysql_num_rows($it_res);
	if ($it_num > 0) {
		$sql = "SELECT SUM(td.quantity)
				FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
				WHERE t.to_whouse_id = '$whouse_id' AND td.product_id = '$product_id' AND t.user2_id != 0"; 
		$tit_res = mysql_query($sql); $tit_row = mysql_fetch_array($tit_res);
	}

	// out-going transfers
	$sql = "SELECT t.trans_id, DATE_FORMAT(t.tdate, '%b %e, %Y'), w.whouse_name, td.quantity
			FROM transfers t 
				INNER JOIN transfer_details td ON t.trans_id = td.trans_id
				INNER JOIN warehouses w ON t.fr_whouse_id = w.whouse_id
			WHERE t.fr_whouse_id = '$whouse_id' AND td.product_id = '$product_id'
			ORDER BY t.trans_id DESC";
	$ot_res = mysql_query($sql);
	$ot_num = mysql_num_rows($ot_res);
	if ($ot_num > 0) {
		$sql = "SELECT SUM(td.quantity)
				FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
				WHERE t.fr_whouse_id = '$whouse_id' AND td.product_id = '$product_id'"; 
		$tot_res = mysql_query($sql); $tot_row = mysql_fetch_array($tot_res);
	}

	// purchases
	$sql = "SELECT p.purchase_id, p.or_num, DATE_FORMAT(p.delivery_date, '%b %e, %Y'), s.company_name, pd.quantity
			FROM purchases p 
				INNER JOIN purchase_details pd ON p.purchase_id = pd.purchase_id 
				INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
			WHERE pd.product_id = '$product_id' AND p.whouse_id = '$whouse_id' AND p.direct_delivery = 0
			ORDER BY p.delivery_date DESC";
	$pur_res = mysql_query($sql);
	$pur_num = mysql_num_rows($pur_res);
	if ($pur_num > 0) {
		$sql = "SELECT SUM(pd.quantity)
				FROM purchases p INNER JOIN purchase_details pd ON p.purchase_id = pd.purchase_id
				WHERE p.whouse_id = '$whouse_id' AND pd.product_id = '$product_id' AND p.direct_delivery = 0"; 
		$tpur_res = mysql_query($sql); $tpur_row = mysql_fetch_array($tpur_res);
	}
	
	// sales
	$sql = "SELECT s.sale_id, s.or_num, DATE_FORMAT(s.delivery_date, '%b %e, %Y'), c.company_name, SUM(sd.quantity)
			FROM sales s 
				INNER JOIN sale_details sd ON s.sale_id = sd.sale_id
				INNER JOIN customers c ON s.customer_id = c.customer_id 
			WHERE sd.product_id = '$product_id' AND s.purchase_id = 0 AND s.whouse_id = '$whouse_id'
			GROUP BY s.sale_id
			ORDER BY s.delivery_date DESC, c.company_name";
	$sale_res = mysql_query($sql);
	$sale_num = mysql_num_rows($sale_res);
	if ($sale_num > 0) {
		$sql = "SELECT SUM(sd.quantity)
				FROM sales s INNER JOIN sale_details sd ON s.sale_id = sd.sale_id
				WHERE sd.product_id = '$product_id' AND s.whouse_id = '$whouse_id' AND s.purchase_id = 0";
		$tsale_res = mysql_query($sql); $tsale_row = mysql_fetch_array($tsale_res);
	}
	
	$balance = ($tpur_row[0] + $tit_row[0]) - ($tot_row[0] + $tsale_row[0]);

	/* // YOU NEED TO UPDATE THIS!!! 
	$sql = "UPDATE warehouse_products SET inventory = '$balance' 
			WHERE whouse_id = '$whouse_id' AND product_id = '$product_id' LIMIT 1";
	mysql_query($sql) or die(mysql_error()); 
	*/
	?>
    <div class="post">
        <h1 class="title"><?PHP echo $row[0] ?> Inventory : <?PHP echo number_format($balance, 0); ?></h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="360" valign="top">
					<table width="360">
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Purchases</b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Date</td>
								<td width="150" align="center">Supplier</td>
								<td width="50" align="center">Qty</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
						if ($pur_num > 0) {
							$i = 1;
							while ($pur_row = mysql_fetch_array($pur_res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="purchase.php?purchase_id=<?PHP echo $pur_row[0] ?>"><?PHP echo $pur_row[1] ?></td></td>
									<td align="center"><?PHP echo $pur_row[2] ?></td>
									<td align="left"><?PHP echo $pur_row[3] ?></td>
									<td align="right"><?PHP echo number_format($pur_row[4], 0); ?></td>
								</tr>
								<?PHP
								$i++;
							}
							?>
							<tr class="total">
								<td align="right" colspan="3"><b>TOTAL</b>&nbsp;</td>
								<td align="right"><b><?PHP echo number_format($tpur_row[0], 0); ?></b></td>
							</tr>
							<?PHP
						} else {
							?>
							<tr>
								<td align="center" colspan="4">There are NO existing records of purchases for this product</td>
							</tr>
							<?PHP				
						}
						?>
						</tbody>
					</table>
				</td>
				<td width="360" valign="top">
					<table width="360">
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Product Sales</b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Date</td>
								<td width="200" align="center">Dealer</td>
								<td width="50" align="center">Qty</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
						if ($sale_num > 0) {
							$j = 1;
							while ($sale_row = mysql_fetch_array($sale_res)) {
								$n = fmod($j, 2);
								if ($n == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="sale.php?sale_id=<?PHP echo $sale_row[0] ?>"><?PHP echo $sale_row[1] ?></td></td>
									<td align="center"><?PHP echo $sale_row[2] ?></td>
									<td align="left"><?PHP echo $sale_row[3] ?></td>
									<td align="right"><?PHP echo number_format($sale_row[4], 0); ?></td>
								</tr>
								<?PHP
								$j++;
							}
							?>
							<tr class="total">
								<td align="right" colspan="3"><b>TOTAL</b>&nbsp;</td><td align="right"><b><?PHP echo number_format($tsale_row[0], 0); ?></b></td>
							</tr>
							<?PHP
						} else {
							?>
							<tr>
								<td align="center" colspan="4">There are NO existing records of sales for this product</td>
							</tr>
							<?PHP				
						}
						?>
						</tbody>
					</table>
				</td>
			</tr>
			<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
			<tr>
				<td width="360" valign="top">
					<table width="360">
						<thead class="data">
							<tr><td colspan="3" align="center"><b>In-Coming Transfers</b></td></tr>
							<tr>
								<td width="130" align="center">Date</td>
								<td width="150" align="center">Source</td>
								<td width="50" align="center">Qty</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
						if ($it_num > 0) {
							$i = 1;
							while ($it_row = mysql_fetch_array($it_res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="transfer.php?trans_id=<?PHP echo $it_row[0] ?>"><?PHP echo $it_row[1] ?></td></td>
									<td align="left"><?PHP echo $it_row[2] ?></td>
									<td align="right"><?PHP echo number_format($it_row[3], 0); ?></td>
								</tr>
								<?PHP
								$i++;
							}
							?>
							<tr class="total">
								<td align="right" colspan="2"><b>TOTAL</b>&nbsp;</td><td align="right"><b><?PHP echo number_format($tit_row[0], 0); ?></b></td>
							</tr>
							<?PHP
						} else {
							?>
							<tr>
								<td align="center" colspan="3">There are NO existing records of in-coming transfers for this product</td>
							</tr>
							<?PHP				
						}
						?>
						</tbody>
					</table>
				</td>
				<td width="360" valign="top">
					<table width="360">
						<thead class="data">
							<tr><td colspan="3" align="center"><b>Out-Going Transfers</b></td></tr>
							<tr>
								<td width="130" align="center">Date</td>
								<td width="150" align="center">Receiving</td>
								<td width="50" align="center">Qty</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
						if ($ot_num > 0) {
							$j = 1;
							while ($ot_row = mysql_fetch_array($ot_res)) {
								$n = fmod($j, 2);
								if ($n == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="transfer.php?trans_id=<?PHP echo $ot_row[0] ?>"><?PHP echo $ot_row[1] ?></td></td>
									<td align="left"><?PHP echo $ot_row[2] ?></td>
									<td align="right"><?PHP echo number_format($ot_row[3], 0); ?></td>
								</tr>
								<?PHP
								$j++;
							}
							?>
							<tr class="total">
								<td align="right" colspan="2"><b>TOTAL</b>&nbsp;</td><td align="right"><b><?PHP echo number_format($tot_row[0], 0); ?></b></td>
							</tr>
							<?PHP
						} else {
							?>
							<tr>
								<td align="center" colspan="3">There are NO existing records of out-going transfers for this product</td>
							</tr>
							<?PHP				
						}
						?>
						</tbody>
					</table>
				</td>
			</tr>
			<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}


?>