<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Receive Purchase Order');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			if (isset($_SESSION['token']) && $_POST['token'] == $_SESSION['token']) {
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$purchase_id = mysql_real_escape_string(stripslashes($_POST['purchase_id']));
				} else {
					$purchase_id = mysql_real_escape_string($_POST['purchase_id']);
				}
				
				// get the branch id of this purchase
				$sql = "SELECT branch_id FROM branch_purchases WHERE purchase_id = '$purchase_id'";
				$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_id = $brow[0];
				
				// get the customer number of this branch
				$sql = "SELECT customer_id FROM customer_branches WHERE branch_id = '$branch_id'"; 
				$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $customer_id = $crow[0];
				
				$sql = "SELECT product_id, quantity, net_price 
						FROM bpurchase_details WHERE purchase_id = '$purchase_id'";
				$res = mysql_query($sql); 
				while ($row = mysql_fetch_array($res)) {
					$product_id = $row[0]; $quantity = $row[1]; $net_price = $row[2]; 
					// get product name
					$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
					$pres = mysql_query($sql); $prow = mysql_fetch_array($pres); $product_name = $prow[0];
					
					// get the sum of purchases
					$sql = "SELECT SUM(pd.quantity)
							FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id
							WHERE p.branch_id = '$branch_id' AND pd.product_id = '$product_id' AND p.user_id != 0"; 
					$tpur_res = mysql_query($sql); $tpur_row = mysql_fetch_array($tpur_res); 
					// get the sum of returns from customers
					$sql = "SELECT SUM(rb.quantity)
							FROM returns_branches r INNER JOIN rb_details rb ON r.rb_id = rb.rb_id
							WHERE r.branch_id = '$branch_id' AND rb.product_id = '$product_id' AND rb.rtype = 1"; 
					$giret_res = mysql_query($sql); $giret_row = mysql_fetch_array($giret_res); 
					// get the sum of conversions
					$sql = "SELECT SUM(to_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND to_product_id = '$product_id'"; 
					$rcon_res = mysql_query($sql); $rcon_row = mysql_fetch_array($rcon_res); 

					// get the sum of sales
					$sql = "SELECT SUM(sd.quantity)
							FROM branch_sales s INNER JOIN bsale_details sd ON s.sale_id = sd.sale_id
							WHERE sd.product_id = '$product_id' AND s.branch_id = '$branch_id' AND sd.deleted=0";
					$tsale_res = mysql_query($sql); $tsale_row = mysql_fetch_array($tsale_res); 
					// get the sum of good returns to main office
					$sql = "SELECT SUM(rd.quantity)
							FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
							WHERE r.customer_id = '$customer_id' AND rd.product_id = '$product_id' AND rd.rtype = 1"; 
					$goret_res = mysql_query($sql); $goret_row = mysql_fetch_array($goret_res); 
					// get the sum of conversions
					$sql = "SELECT SUM(fr_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND fr_product_id = '$product_id'"; 
					$wcon_res = mysql_query($sql); $wcon_row = mysql_fetch_array($wcon_res); 
					// get the sum of loss
					$sql = "SELECT SUM(bl.quantity)
							FROM branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id
							WHERE l.branch_id = '$branch_id' AND bl.product_id = '$product_id'"; 
					$gl_res = mysql_query($sql); $gl_row = mysql_fetch_array($gl_res); 
					
					$good = ($tpur_row[0] + $giret_row[0] + $rcon_row[0]) - ($tsale_row[0] + $goret_row[0] + $wcon_row[0] + $gl_row[0]);
					
					mysql_free_result($tpur_res); mysql_free_result($giret_res); mysql_free_result($tsale_res); mysql_free_result($goret_res);
					mysql_free_result($rcon_res); mysql_free_result($wcon_res); mysql_free_result($gl_res);

					// get the ave cost of product in the inventory
					$sql = "SELECT ave_acq FROM branch_products WHERE product_id = '$product_id' AND branch_id = '$branch_id'";
					$bp_res = mysql_query($sql) or die(mysql_error()); 
					$bp_row = mysql_fetch_array($bp_res);  
					$ave_cost = $bp_row[0]; $net_before = $ave_cost * $good; 

					$new_inventory = $good + $quantity; 
					$new_ave_acq = ($net_before + $net_price) / ($new_inventory);
					$acq_price = $net_price / $quantity;

					// update the inventory value and the average costing
					$sql = "UPDATE branch_products SET inventory = '$new_inventory', ave_acq = '$new_ave_acq', acq_price = $acq_price 
							WHERE product_id = '$product_id' AND branch_id = '$branch_id' LIMIT 1";
					mysql_query($sql) or die(mysql_error()); 

				}

				$sql = "UPDATE branch_purchases SET user_id = '$_SESSION[user_id]', confirm_date = CURDATE() WHERE purchase_id = '$purchase_id' LIMIT 1";
				if (mysql_query($sql)) {
					echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>
						Click <a class=tddata href='branch_purchases.php?branch_id=$branch_id'>here</a> to go back to purchases.</font></td></tr></table></td></tr></table></center><br>";
					show_branch_purchase($purchase_id);
				} else {
					echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could 
						not receive purchase in the database.</font></td></tr></table></td></tr></table></center><br>";
					show_form($purchase_id);
				}
				
				mysql_close();
			} else {
				$sql = "DELETE FROM users_online WHERE user_id = '$_SESSION[user_id]' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
				session_unset();
				session_destroy();
				header('Location: login.php');
			}
		} else {
			// Check for valid entry purchase_id in the URL
			if (is_numeric($_GET['purchase_id'])) {
				$purchase_id = $_GET['purchase_id'];
			}
			show_form($purchase_id);
		}
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($purchase_id) {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;

	$sql = "SELECT DATE_FORMAT(p.delivery_date, '%b %e, %Y'), b.branch_name, 
				p.sale_id, p.user_id, p.line_total, p.balance, p.notes
			FROM branch_purchases p INNER JOIN branches b ON p.branch_id = b.branch_id
			WHERE p.purchase_id = '$purchase_id'";
	$res = mysql_query($sql);
	$row = mysql_fetch_array($res);
	
	?>
	<form action="receive_purchase.php" method="POST">
		<div class="post">
			<h1 class="title">Receive Purchase</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="right" width="100">Date&nbsp;</td>
							<td align="left" width="240">&nbsp;<?PHP echo $row[0] ?></td>
							<td align="right" width="110">Branch&nbsp;</td>
							<td align="left" width="250">&nbsp;<?PHP echo $row[1] ?></td></tr>
						<tr class="even"><td align="right">Warehouse Sale #&nbsp;</td>
							<td align="left">&nbsp;<a class="tddata" href="sale.php?sale_id=<?PHP echo $row[2] ?>"><b><?PHP echo $row[2] ?></b></a></td>
							<td align="right">Received By&nbsp;</td>
							<td align="left">&nbsp;<?PHP 
								if ($row[3] != 0) {
									$sql = "SELECT CONCAT(fname,' ',lname) FROM users WHERE user_id = '$row[3]'";
									$ures = mysql_query($sql); $urow = mysql_fetch_array($ures); echo $urow[0];
								}
								?></td></tr>
						<tr class="odd"><td align="right">Line Total&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[4], 2); ?></td>
							<td align="right">Balance&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[5], 2); ?></td></tr>
						<tr class="even"><td align="right">Notes&nbsp;</td>
							<td colspan="3" align="left">&nbsp;<?PHP echo $row[6] ?></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div><br>
		<?PHP
		$sql = "SELECT pd.product_id, p.product_name, pd.quantity, 
					pd.unit_price, pd.unit_discount, pd.net_price
				FROM bpurchase_details pd INNER JOIN products p ON pd.product_id = p.product_id
				WHERE pd.purchase_id = '$purchase_id'
				ORDER BY pd.pd_id";
		$res2 = mysql_query($sql);
		?>
		<div class="post">
			<h1 class="title">Product Details</h1>
			<div class="entry">
				<table align="center">
					<thead class="data"><tr height="25">
						<td align="center" width="300">Product</td>
						<td align="center" width="70">Quantity</td>
						<td align="center" width="90">Unit Price</td>
						<td align="center" width="90">Unit Discount</td>
						<td align="center" width="100">Net Price</td>
					</tr></thead>
					<tbody class="data">
						<?PHP
						$res = mysql_query($sql) or die(mysql_error()); 
						$i = 1; 
						while ($row2 = mysql_fetch_array($res2)) {
							$m = fmod($i, 2); 
							if ($m == 0) {
								?><tr class="even"><?PHP
							} else {
								?><tr class="odd"><?PHP
							}
							?>
								<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row2[0] ?>"><?PHP echo $row2[1] ?></a></td>
								<td align="right"><?PHP echo number_format($row2[2], 2); ?></td>
								<td align="right"><?PHP echo number_format($row2[3], 2); ?></td>
								<td align="right"><?PHP echo number_format($row2[4], 2); ?></td>
								<td align="right"><?PHP echo number_format($row2[5], 2); ?></td>
							</tr>
							<?PHP
							$i++; 
						}
						$sql = "SELECT SUM(quantity), SUM(net_price) FROM bpurchase_details 
								WHERE purchase_id = '$purchase_id'";
						$tres = mysql_query($sql);
						$trow = mysql_fetch_array($tres);
						?>
						<tr class="total">
							<td align="right"><b>Line Totals</b></td>
							<td align="right"><b><?PHP $tqty = number_format($trow[0], 2); echo $tqty ?></b></td>
							<td align="right"></td>
							<td align="right"></td>
							<td align="right"><b><?PHP $tnetp = number_format($trow[1], 2); echo $tnetp ?></b></td>
						</tr>
						<tr class="odd"><td align="center" colspan="6">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="token" value="<?PHP echo $token ?>">
							<input type="hidden" name="purchase_id" value="<?PHP echo $purchase_id ?>">
							<input type="submit" class="button blue" value="Receive Purchase" onClick="return confirm('Are you sure you want to receive this purchase?');"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}

?>