<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Aging of Account Receivables Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if ($_POST['field'] != "") {
			$field = $_POST['field'];
			$account_id = $_GET['account_id'];
		} else {
			$account_id = $_GET['account_id'];
			$field = $_GET['field'];
			$page = $_GET['page'];
		}
		show_aging($account_id, $field, $page);
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_aging($account_id, $field, $page) {
	// get the account name
	$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
	$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0]; 
	
	// If current page number, use it if not, set one!
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 

	// Define the number of results per page
	$max_results = 30;

	// Figure out the limit for the query based  on the current page number.
	$from = (($page * $max_results) - $max_results);

	// Make links to click in order for  user to sort by whichever column
	$allowed = array('company_name');
	$sortby = (in_array($_GET['sortby'], $allowed)) ? $_GET['sortby'] : 'company_name';

	if ($field == "") {
		// build and run the sql query
		$sql = "SELECT customer_id, company_name 
				FROM customers 
				WHERE account_id = '$account_id'
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql);
		$num = mysql_num_rows($res); 

		// Figure out the total number of rows in table
		$sql = "SELECT customer_id FROM customers WHERE account_id = '$account_id'";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	} else {
		// build and run the sql query
		$sql = "SELECT customer_id, company_name 
				FROM customers 
				WHERE account_id = '$account_id' AND company_name LIKE '%$field%'
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql);
		$num = mysql_num_rows($res); 

		// Figure out the total number of rows in table
		$sql = "SELECT customer_id
				FROM customers 
				WHERE account_id = '$account_id' AND company_name LIKE '%$field%'";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	}

	// Figure out the total number of pages we will have
	$total_pages = ceil($total_results / $max_results);

	// Figure out the current page result numbers
	$fr = $from + 1;
	$to = $from + $num;

	?>
	<div class="post">
		<div id="search">
			<a id="icon1" class="th_img" href="print_aging.php?account_id=<?PHP echo $account_id ?>" target="new"><img src="lib/b_print.png"></a>
			<form method="POST" action="report_aging.php?account_id=<?PHP echo $account_id ?>">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title">Aging Of Account Receivables - <?PHP echo $account_name ?></h1>
		<div class="entry">
			<?PHP
				if ($num > 0) {
				?>
					<table width="97%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?php echo $fr ?></b> to <b><?php echo $to ?></b> of <b><?php echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											print ($page == $i) ? "<font face=arial size=2 color=#000000><b>$i</b></font>&nbsp;&nbsp;" : "<a class=paging 
											href='{$_SERVER['PHP_SELF']}?account_id=$account_id&page=$i&sortby=$sortby'>$i</a>&nbsp;&nbsp;";
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											print ($page == $i) ? "<font face=arial size=2 color=#000000><b>$i</b></font>&nbsp;&nbsp;" : "<a class=paging 
											href='{$_SERVER['PHP_SELF']}?account_id=$account_id&page=$i&field=$field&sortby=$sortby'>$i</a>&nbsp;&nbsp;";
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
			<table>
				<thead class="data"><tr>
					<td width="140" align="center">Customer</td>
					<td width="80" align="center">Before Due</td>
					<td width="80" align="center">0 - 15</td>
					<td width="80" align="center">16 - 30</td>
					<td width="80" align="center">31 - 60</td>
					<td width="80" align="center">61 - 90</td>
					<td width="80" align="center">> 90</td>
					<td width="80" align="center">Total</td>
				</tr></thead>
				<tbody class="data">
					<?PHP
					if ($num > 0) {
						$i = 1;
						while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
							?>
								<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
								<td align="right">
									<?PHP
									$sql = "SELECT SUM(balance) FROM sales
											WHERE account_id = '$account_id' AND customer_id = '$row[0]' 
												AND balance > 0 AND TO_DAYS(NOW()) < TO_DAYS(due_date)";
									$b4_res = mysql_query($sql); $b4_row = mysql_fetch_array($b4_res); 
									echo number_format($b4_row[0], 2)
									?>
								</td>
								<td align="right">
									<?PHP
									$sql = "SELECT SUM(balance) FROM sales
											WHERE account_id = '$account_id' 
												AND customer_id = '$row[0]' AND balance > 0 
												AND DATEDIFF(NOW(), due_date) >= 0
												AND DATEDIFF(NOW(), due_date) < 16";
									$fifteen_res = mysql_query($sql); $fifteen_row = mysql_fetch_array($fifteen_res); 
									echo number_format($fifteen_row[0], 2)
									?>
								</td>
								<td align="right">
									<?PHP
									$sql = "SELECT SUM(balance) FROM sales
											WHERE account_id = '$account_id' 
												AND customer_id = '$row[0]' AND balance > 0 
												AND DATEDIFF(NOW(), due_date) >= 16
												AND DATEDIFF(NOW(), due_date) < 31";
									$thirty_res = mysql_query($sql); $thirty_row = mysql_fetch_array($thirty_res); 
									echo number_format($thirty_row[0], 2)
									?>
								</td>
								<td align="right">
									<?PHP
									$sql = "SELECT SUM(balance) FROM sales
											WHERE account_id = '$account_id' 
												AND customer_id = '$row[0]' AND balance > 0 
												AND DATEDIFF(NOW(), due_date) >= 31
												AND DATEDIFF(NOW(), due_date) < 61";
									$sixty_res = mysql_query($sql); $sixty_row = mysql_fetch_array($sixty_res); 
									echo number_format($sixty_row[0], 2)
									?>
								</td>
								<td align="right">
									<?PHP
									$sql = "SELECT SUM(balance) FROM sales
											WHERE account_id = '$account_id' 
												AND customer_id = '$row[0]' AND balance > 0 
												AND DATEDIFF(NOW(), due_date) >= 61
												AND DATEDIFF(NOW(), due_date) < 91";
									$ninety_res = mysql_query($sql); $ninety_row = mysql_fetch_array($ninety_res); 
									echo number_format($ninety_row[0], 2)
									?>
								</td>
								<td align="right">
									<?PHP
									$sql = "SELECT SUM(balance) FROM sales
											WHERE account_id = '$account_id' 
												AND customer_id = '$row[0]' AND balance > 0 
												AND DATEDIFF(NOW(), due_date) > 90";
									$over_res = mysql_query($sql); $over_row = mysql_fetch_array($over_res); 
									echo number_format($over_row[0], 2)
									?>
								</td>
								<td align="right">
									<?PHP
									$sql = "SELECT SUM(balance) FROM sales
											WHERE account_id = '$account_id' 
												AND customer_id = '$row[0]' AND balance > 0";
									$over_res = mysql_query($sql); $over_row = mysql_fetch_array($over_res); 
									echo number_format($over_row[0], 2)
									?>
								</td>
							</tr>
							<?PHP
							$i++;
						}
					} else {
						?>
						<tr>
							<td align="center" colspan="8">There are NO existing records of customers</td>
						</tr>
						<?PHP				
					}
					?>
				</tbody>
			</table>
			<?PHP
			if ($num > 0) {
				?>
				<table width="97%">
					<tr>
						<td align="left">
							&nbsp;<font size="1"><b><?php echo $fr ?></b> to <b><?php echo $to ?></b> of <b><?php echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
						</td>
						<td align="right">
							<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?id1=<?PHP echo $_SESSION['token_id1'] ?>&id2=<?PHP echo $_SESSION['token_id2'] ?>&page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											print ($page == $i) ? "<font face=arial size=2 color=#000000><b>$i</b></font>&nbsp;&nbsp;" : "<a class=paging 
											href='{$_SERVER['PHP_SELF']}?account_id=$account_id&page=$i&sortby=$sortby'>$i</a>&nbsp;&nbsp;";
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?id1=<?PHP echo $_SESSION['token_id1'] ?>&id2=<?PHP echo $_SESSION['token_id2'] ?>&page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?id1=<?PHP echo $_SESSION['token_id1'] ?>&id2=<?PHP echo $_SESSION['token_id2'] ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											print ($page == $i) ? "<font face=arial size=2 color=#000000><b>$i</b></font>&nbsp;&nbsp;" : "<a class=paging 
											href='{$_SERVER['PHP_SELF']}?account_id=$account_id&page=$i&field=$field&sortby=$sortby'>$i</a>&nbsp;&nbsp;";
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?account_id=<?PHP echo $account_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?id1=<?PHP echo $_SESSION['token_id1'] ?>&id2=<?PHP echo $_SESSION['token_id2'] ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
                            ?>           
						</td>
					</tr>
				</table>
				<?PHP
			}
			?>
		</div>
        <p class="meta"></p>
	</div>
	<?PHP
}
?>