<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Payments by Date Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			$branch_id = $_GET['branch_id'];
			show_form($branch_id);

			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$category_id = mysql_real_escape_string(stripslashes($_POST['category_id']));
				$sdate = mysql_real_escape_string(stripslashes($_POST['sdate']));
				$edate = mysql_real_escape_string(stripslashes($_POST['edate']));
			} else {
				$category_id = mysql_real_escape_string($_POST['category_id']);
				$sdate = mysql_real_escape_string($_POST['sdate']);
				$edate = mysql_real_escape_string($_POST['edate']);
			}
			
			// get the customer number of this branch
			$sql = "SELECT customer_id FROM customer_branches WHERE branch_id = '$branch_id'"; 
			$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $customer_id = $crow[0];
			
			$sql = "SELECT DATE_FORMAT('$sdate', '%m/%e/%y')";
			$sres = mysql_query($sql); $srow = mysql_fetch_array($sres); $start_date = $srow[0];
			$sql = "SELECT DATE_FORMAT('$edate', '%m/%e/%y')";
			$eres = mysql_query($sql); $erow = mysql_fetch_array($eres); $end_date = $erow[0];
			
			$sql = "SELECT cp.c_payment_id, cp.or_num, cp.sale_id, DATE_FORMAT(cp.pdate, '%b %e, %Y'), 
						cp.customer_id, c.company_name, cp.amount, cp.good 
					FROM cpayments cp INNER JOIN customers c ON cp.customer_id = c.customer_id 
					WHERE c.customer_id = '$customer_id'
						AND TO_DAYS(cp.pdate) >= TO_DAYS('$sdate')
						AND TO_DAYS(cp.pdate) <= TO_DAYS('$edate')
					ORDER BY cp.pdate DESC, c.company_name";
			$res = mysql_query($sql); $num = mysql_num_rows($res); 
			
			?>
			<div class="post">
				<h1 class="title">Payments To Tenese - <?PHP echo $start_date ?> to <?PHP echo $end_date ?></h1>
				<div class="entry">
					<table>
						<thead class="data"><tr>
							<td width="80" align="center">Payment #</td>
							<td width="70" align="center">Sale ID</td>
							<td width="80" align="center">Dte</td>
							<td width="120" align="center">Encashment</td>
							<td width="200" align="center">Customer</td>
							<td width="100" align="center">Amount</td>
						</tr></thead>
						<tbody class="data">
							<?PHP
							if ($num > 0) {
								$i = 1; 
								while ($row = mysql_fetch_array($res)) {
									$m = fmod($i, 2);
									if ($m == 0) { // $i is EVEN
										?><tr class="even"><?PHP
									} else { // $i is ODD
										?><tr class="odd"><?PHP
									}
									?>
										<td align="center"><a class="tddata" href="cpayment.php?c_payment_id=<?PHP print $row[0] ?>"><?PHP print $row[0] ?></a></td>
										<td align="center"><?PHP
											if ($row[2] == 0) { print ""; } 
											else { print "<a class=tddata href='sale.php?sale_id=$row[2]'>$row[2]</a>";
											} ?></td>
										<td align="center"><?PHP print $row[3] ?></td>
										<td align="center"><?PHP
											$eres = mysql_query("select date_format(check_date, '%b %e, %Y') from cpayments where c_payment_id=$row[0]");
											$erow = mysql_fetch_array($eres);
											print $erow[0] ?></td>
										<td align="left"><a class="tddata" href="customer.php?customer_id=<?PHP print $row[4] ?>"><?PHP print $row[5] ?></a></td>
										<td align="right"><?PHP
											if ($row[7] == 1) { $amount = number_format($row[6], 2); print "$amount"; } 
											elseif ($row[7] == 0) { 
												print "<font color=#ff0000>"; $amount = number_format($row[6], 2); print "$amount</font>"; 
											} ?></td>
									</tr>
									<?PHP
									$i++;
								}
								$sql = "SELECT SUM(cp.amount)
										FROM cpayments cp INNER JOIN customers c ON cp.customer_id = c.customer_id 
										WHERE c.customer_id = '$customer_id'
											AND TO_DAYS(cp.pdate) >= TO_DAYS('$sdate')
											AND TO_DAYS(cp.pdate) <= TO_DAYS('$edate')";
								$tres = mysql_query($sql); $trow = mysql_fetch_array($tres); 
								?>
								<tr class="total">
									<td colspan="5" align="right"></td>
									<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
								</tr>
								<?PHP
							} else {
								?>
								<tr>
									<td align="center" colspan="6">There are NO payments to Tenese from <?PHP echo $start_date ?> to <?PHP echo $end_date ?></td>
								</tr>
								<?PHP				
							}
							?>
						</tbody>
					</table>
				</div>
				<p class="meta"></p>
			</div>
			<?PHP
		} else {
			// Check for valid entry branch_id in the URL
			if (is_numeric($_GET['branch_id'])) {
				$branch_id = $_GET['branch_id'];
				// show form
				show_form($branch_id);
			} else { // No branch_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!
				</b></font></p></center>";
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($branch_id) {
	$sql = "SELECT CURDATE()";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$date = $drow[0]; 
	mysql_free_result($dres); 

	?>
	<form name="Payments" action="report_branch_cpayments.php?branch_id=<?PHP echo $branch_id ?>" method="POST">
	<div class="post">
        <h1 class="title">Payments to Tenese</h1>
		<div class="entry">
			<table align="center">
				<tbody class="data">
					<tr class="odd"><td width="125" align="right">Start Date&nbsp;</td>
						<td width="250" align="left"><input readonly type="text" size="10" name="sdate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:sdate.popup();">&nbsp;<img src="lib/b_calendar.png"></td></tr>
					<tr class="even"><td align="right">End Date&nbsp;</td>
						<td align="left"><input readonly type="text" size="10" name="edate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:edate.popup();">&nbsp;<img src="lib/b_calendar.png"></td></tr>
						<script language="JavaScript">
						<!-- // create calendar object(s) just after form tag closed
							var sdate = new calendar(document.forms['Payments'].elements['sdate']);
							sdate.year_scroll = true; sdate.time_comp = false;
							var edate = new calendar(document.forms['Payments'].elements['edate']);
							edate.year_scroll = true; edate.time_comp = false;
						//-->
						</script>
					<tr class="odd"><td align="center" colspan="2">
						<input type="hidden" name="submitted" value="1">
						<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
						<input type="submit" class="button blue" value="Submit"></td></tr>
				</tbody>
			</table>
		</div>
        <p class="meta"></p>
	</div>
	</form>
	<?PHP
}

?>