<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Fast-Moving Products Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_14() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if (isset($_POST['submitted'])) {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $month = mysql_real_escape_string(stripslashes($_POST['month']));
	            $day = mysql_real_escape_string(stripslashes($_POST['day']));
	            $year = mysql_real_escape_string(stripslashes($_POST['year']));
	            $category_id = mysql_real_escape_string(stripslashes($_POST['category_id']));
	        } else {
	            $month = mysql_real_escape_string($_POST['month']);
	            $day = mysql_real_escape_string($_POST['day']);
	            $year = mysql_real_escape_string($_POST['year']);
	            $category_id = mysql_real_escape_string($_POST['category_id']);
			}
			$branch_id = $_GET['branch_id'];

			if ($month == 1) { $monthname = "January"; }
			elseif ($month == 2) { $monthname = "February"; }
			elseif ($month == 3) { $monthname = "March"; }
			elseif ($month == 4) { $monthname = "April"; }
			elseif ($month == 5) { $monthname = "May"; }
			elseif ($month == 6) { $monthname = "June"; }
			elseif ($month == 7) { $monthname = "July"; }
			elseif ($month == 8) { $monthname = "August"; }
			elseif ($month == 9) { $monthname = "September"; }
			elseif ($month == 10) { $monthname = "October"; }
			elseif ($month == 11) { $monthname = "November"; }
			elseif ($month == 12)  { $monthname = "December"; }

			$sql = "SELECT category_name FROM categories WHERE category_id = '$category_id'";
			$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $category_name = $crow[0];
			
			if (($category_id != 0) && ($year != 0) && ($month != 0) && ($day != 0)) { // if all fields are not empty
				if (checkdate ($month, $day, $year)) {
					show_form($branch_id);
					$sql = "SELECT sd.product_id, p.product_name, SUM(sd.quantity)
							FROM products p 
								INNER JOIN bsale_details sd ON p.product_id = sd.product_id
								INNER JOIN branch_sales s ON s.sale_id = sd.sale_id 
								INNER JOIN categories c ON p.category_id = c.category_id
							WHERE s.branch_id = '$branch_id'
								AND p.category_id = '$category_id' 
								AND TO_DAYS(s.delivery_date) = TO_DAYS('$year-$month-$day')
							GROUP BY sd.product_id
							ORDER BY SUM(sd.quantity) DESC, p.product_name";
					$res = mysql_query($sql); $num = mysql_num_rows($res);
					
					$sql = "SELECT SUM(sd.quantity) 
							FROM products p 
								INNER JOIN bsale_details sd ON p.product_id = sd.product_id
								INNER JOIN branch_sales s ON s.sale_id = sd.sale_id 
							WHERE s.branch_id = '$branch_id'
								AND p.category_id = '$category_id' 
								AND TO_DAYS(s.delivery_date) = TO_DAYS('$year-$month-$day')";
					$tres = mysql_query($sql);
					$trow = mysql_fetch_array($tres);
					if ($num > 0) {
						?>
						<div class="post">
							<div id="details">
								<a id="icon1" class="th_img" href="print_report_branch_fmp_cat.php?branch_id=<?PHP echo $branch_id ?>&category_id=<?PHP echo $category_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
							</div>
							<h1 class="title"><b><?PHP echo $category_name ?>'s </b> Fast-Moving Products on <?PHP echo "$monthname $day, $year"; ?></h1>
							<div class="entry">
								<table>
									<thead class="data"><tr>
										<td width="350" align="center">Product</td>
										<td width="100" align="center">Quantity</td>
									</tr></thead>
									<tbody class="data">
										<?PHP
										$i = 1; 
										while ($row = mysql_fetch_array($res)) {
											$m = fmod($i, 2);
											if ($m == 0) { // $i is EVEN
												?><tr class="even"><?PHP
											} else { // $i is ODD
												?><tr class="odd"><?PHP
											}
											?>
												<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
												<td align="right"><?PHP echo number_format($row[2], 2); ?></td>
											</tr>
											<?PHP
											$i++;
										}
										?>
										<tr class="total">
											<td align="right"><b>Total:&nbsp;</b></td>
											<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
										</tr>
									</tbody>
								</table>
							</div>
							<p class="meta"></p>
						</div>
						<?PHP
					} else {
						print "<br><center><table><tr><td bgcolor=#000000><table bgcolor=#eeeeee width=400><tr><td height=30 
							align=center><font face=arial size=2 color=red>There were no moving products for $crow[0] on $monthname $day, $year.
							</font></td></tr></table></td></tr></table></center><br>";
					}
				} else {
					print "<center><table><tr><td bgcolor=#000000><table bgcolor=#eeeeee width=300><tr><td height=30 align=center><font face=arial size=2 color=red>Date entered was not a valid date.</font></td></tr></table></td></tr></table></center><br>";
					show_form($branch_id);
				}
			} elseif (($category_id != 0) && ($year != 0) && ($month != 0) && ($day == 0)) { // if day is empty
				show_form($branch_id);
				$sql = "SELECT sd.product_id, p.product_name, SUM(sd.quantity)
						FROM products p 
							INNER JOIN bsale_details sd ON p.product_id = sd.product_id
							INNER JOIN branch_sales s ON s.sale_id = sd.sale_id 
							INNER JOIN categories c ON p.category_id = c.category_id
						WHERE s.branch_id = '$branch_id'
							AND p.category_id = '$category_id' 
							AND MONTH(s.delivery_date) = '$month'
							AND YEAR(s.delivery_date) = '$year'
						GROUP BY sd.product_id
						ORDER BY SUM(sd.quantity) DESC, p.product_name";
				$res = mysql_query($sql); $num = mysql_num_rows($res);
				
				$sql = "SELECT SUM(sd.quantity) 
						FROM products p 
							INNER JOIN bsale_details sd ON p.product_id = sd.product_id
							INNER JOIN branch_sales s ON s.sale_id = sd.sale_id 
						WHERE s.branch_id = '$branch_id'
							AND p.category_id = '$category_id' 
							AND MONTH(s.delivery_date) = '$month'
							AND YEAR(s.delivery_date) = '$year'";
				$tres = mysql_query($sql);
				$trow = mysql_fetch_array($tres);
				if ($num > 0) {
					?>
				    <div class="post">
						<div id="details">
							<a id="icon1" class="th_img" href="print_report_branch_fmp_cat.php?branch_id=<?PHP echo $branch_id ?>&category_id=<?PHP echo $category_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
						</div>
				        <h1 class="title"><b><?PHP echo $category_name ?>'s </b> Fast-Moving Products on <?PHP echo "$monthname, $year"; ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="350" align="center">Product</td>
									<td width="100" align="center">Quantity</td>
				                </tr></thead>
				                <tbody class="data">
				                    <?PHP
									$i = 1; 
				                    while ($row = mysql_fetch_array($res)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
				                        ?>
											<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
											<td align="right"><?PHP echo number_format($row[2], 2); ?></td>
				                        </tr>
				                        <?PHP
										$i++;
				                    }
				                    ?>
									<tr class="total">
										<td align="right"><b>Total:&nbsp;</b></td>
										<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
									</tr>
				                </tbody>
				            </table>
						</div>
						<p class="meta"></p>
					</div>
					<?PHP
				} else {
					print "<br><center><table><tr><td bgcolor=#000000><table bgcolor=#eeeeee width=400><tr><td height=30 
						align=center><font face=arial size=2 color=red>There were no moving products for $crow[0] on $monthname, $year.
						</font></td></tr></table></td></tr></table></center><br>";
				}
			} elseif (($category_id != 0) && ($year != 0) && ($month == 0) && ($day == 0)) { // if month and day are empty
				show_form($branch_id);
				$sql = "SELECT sd.product_id, p.product_name, SUM(sd.quantity)
						FROM products p 
							INNER JOIN bsale_details sd ON p.product_id = sd.product_id
							INNER JOIN branch_sales s ON s.sale_id = sd.sale_id 
							INNER JOIN categories c ON p.category_id = c.category_id
						WHERE s.branch_id = '$branch_id'
							AND p.category_id = '$category_id' 
							AND YEAR(s.delivery_date) = '$year'
						GROUP BY sd.product_id
						ORDER BY SUM(sd.quantity) DESC, p.product_name";
				$res = mysql_query($sql); $num = mysql_num_rows($res);

				$sql = "SELECT SUM(sd.quantity) 
						FROM products p 
							INNER JOIN bsale_details sd ON p.product_id = sd.product_id
							INNER JOIN branch_sales s ON s.sale_id = sd.sale_id 
						WHERE s.branch_id = '$branch_id'
							AND p.category_id = '$category_id' 
							AND YEAR(s.delivery_date) = '$year'";
				$tres = mysql_query($sql);
				$trow = mysql_fetch_array($tres);
				if ($num > 0) {
					?>
				    <div class="post">
						<div id="details">
							<a id="icon1" class="th_img" href="print_report_branch_fmp_cat.php?branch_id=<?PHP echo $branch_id ?>&category_id=<?PHP echo $category_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
						</div>
				        <h1 class="title"><b><?PHP echo $category_name ?>'s </b> Fast-Moving Products on <?PHP echo $year ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="350" align="center">Product</td>
									<td width="100" align="center">Quantity</td>
				                </tr></thead>
				                <tbody class="data">
				                    <?PHP
									$i = 1; 
				                    while ($row = mysql_fetch_array($res)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
				                        ?>
											<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
											<td align="right"><?PHP echo number_format($row[2], 2); ?></td>
				                        </tr>
				                        <?PHP
										$i++;
				                    }
				                    ?>
									<tr class="total">
										<td align="right"><b>Total:&nbsp;</b></td>
										<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
									</tr>
				                </tbody>
				            </table>
						</div>
						<p class="meta"></p>
					</div>
					<?PHP
				} else {
					print "<br><center><table><tr><td bgcolor=#000000><table bgcolor=#eeeeee width=400><tr><td height=30 
						align=center><font face=arial size=2 color=red>There were no moving products for $crow[0] on $year.
						</font></td></tr></table></td></tr></table></center><br>";
				}
			} elseif (($category_id != 0) && ($year == 0) && ($month == 0) && ($day == 0)) { // if only manufacturer is given
				show_form($branch_id);
				$sql = "SELECT sd.product_id, p.product_name, SUM(sd.quantity)
						FROM products p 
							INNER JOIN bsale_details sd ON p.product_id = sd.product_id
							INNER JOIN branch_sales s ON s.sale_id = sd.sale_id 
							INNER JOIN categories c ON p.category_id = c.category_id
						WHERE s.branch_id = '$branch_id'
							AND p.category_id = '$category_id' 
						GROUP BY sd.product_id
						ORDER BY SUM(sd.quantity) DESC, p.product_name";
				$res = mysql_query($sql); $num = mysql_num_rows($res);

				$sql = "SELECT SUM(sd.quantity) 
						FROM products p 
							INNER JOIN bsale_details sd ON p.product_id = sd.product_id
							INNER JOIN branch_sales s ON s.sale_id = sd.sale_id 
						WHERE s.branch_id = '$branch_id'
							AND p.category_id = '$category_id'"; 
				$tres = mysql_query($sql);
				$trow = mysql_fetch_array($tres);
				if ($num > 0) {
					?>
				    <div class="post">
						<div id="details">
							<a id="icon1" class="th_img" href="print_report_branch_fmp_cat.php?branch_id=<?PHP echo $branch_id ?>&category_id=<?PHP echo $category_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
						</div>
				        <h1 class="title"><b><?PHP echo $category_name ?>'s </b> Fast-Moving Products</h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="350" align="center">Product</td>
									<td width="100" align="center">Quantity</td>
				                </tr></thead>
				                <tbody class="data">
				                    <?PHP
									$i = 1; 
				                    while ($row = mysql_fetch_array($res)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
				                        ?>
											<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
											<td align="right"><?PHP echo number_format($row[2], 2); ?></td>
				                        </tr>
				                        <?PHP
										$i++;
				                    }
				                    ?>
									<tr class="total">
										<td align="right"><b>Total:&nbsp;</b></td>
										<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
									</tr>
				                </tbody>
				            </table>
						</div>
						<p class="meta"></p>
					</div>
					<?PHP
				} else {
					print "<br><center><table><tr><td bgcolor=#000000><table bgcolor=#eeeeee width=400><tr><td height=30 
						align=center><font face=arial size=2 color=red>There were no moving products for $crow[0].
						</font></td></tr></table></td></tr></table></center><br>";
				}
			}
		} else {
			// Check for valid entry branch_id in the URL
			if (is_numeric($_GET['branch_id'])) {
				$branch_id = $_GET['branch_id'];
				// show form
				show_form($branch_id);
			} else { // No branch_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!
				</b></font></p></center>";
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($branch_id) {
	// get the name of account
	$sql = "SELECT branch_name FROM branches WHERE branch_id = '$branch_id'";
	$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_name = $brow[0]; 
				
	?>
	<form name="FMP_C" action="report_branch_fmp_cat.php?branch_id=<?PHP echo $branch_id ?>" method="POST">
		<div class="post">
			<h1 class="title">Fast-Moving Products By Category - <?PHP echo $branch_name ?></h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="right">Category</td>
							<td align="left"><select name="category_id"><option value="0">Category</option>
								<?PHP 
								$sql = "SELECT category_id, category_name FROM categories ORDER BY category_name";
								$res = mysql_query($sql); 
								while ($row = mysql_fetch_array($res)) {
									print "<option value=$row[0]>$row[1]</option>";
								}
								?></select></td></tr>
						<tr class="even"><td width="100" align="right">Date</td>
							<td width="200" align="left"><select name="month"><option value="0">Month</option>
								<option value="1">Jan</option><option value="2">Feb</option><option value="3">Mar</option>
								<option value="4">Apr</option><option value="5">May</option><option value="6">Jun</option>
								<option value="7">Jul</option><option value="8">Aug</option><option value="9">Sep</option>
								<option value="10">Oct</option><option value="11">Nov</option><option value="12">Dec</option>
								</select>&nbsp;<select name="day"><option value="0">Day</option>
								<?PHP
								for ($i = 1; $i < 32; $i++) { print "<option value=$i>$i</option>"; } ?>
								</select>&nbsp;<select name="year"><option value="0">Year</option>
								<?PHP $syear = date("Y"); 
								for ($j=$syear; $j>$syear-5; $j--) { print "<option value=$j>$j</option>"; } ?>
								</select></td></tr>
						<tr class="even"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valFMP_C()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form><br>
	<?PHP
}
?>