<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - branch_purchases by Date Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_134() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			$branch_id = $_GET['branch_id'];
			show_form($branch_id);

			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$manufacturer_id = mysql_real_escape_string(stripslashes($_POST['manufacturer_id']));
				$sdate = mysql_real_escape_string(stripslashes($_POST['sdate']));
				$edate = mysql_real_escape_string(stripslashes($_POST['edate']));
			} else {
				$manufacturer_id = mysql_real_escape_string($_POST['manufacturer_id']);
				$sdate = mysql_real_escape_string($_POST['sdate']);
				$edate = mysql_real_escape_string($_POST['edate']);
			}
			
			$sql = "SELECT manufacturer_name FROM manufacturers WHERE manufacturer_id = '$manufacturer_id'";
			$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $manufacturer = $crow[0];
			$sql = "SELECT DATE_FORMAT('$sdate', '%m/%e/%y')";
			$sres = mysql_query($sql); $srow = mysql_fetch_array($sres); $start_date = $srow[0];
			$sql = "SELECT DATE_FORMAT('$edate', '%m/%e/%y')";
			$eres = mysql_query($sql); $erow = mysql_fetch_array($eres); $end_date = $erow[0];
			
			$sql = "SELECT p.product_name, SUM(sd.quantity), SUM(sd.net_price)
					FROM products p 
						INNER JOIN bsale_details sd ON p.product_id = sd.product_id 
						INNER JOIN branch_sales s ON sd.sale_id = s.sale_id 
					WHERE s.branch_id = '$branch_id'
						AND p.manufacturer_id = '$manufacturer_id' 
						AND TO_DAYS(s.delivery_date) >= TO_DAYS('$sdate')
						AND TO_DAYS(s.delivery_date) <= TO_DAYS('$edate')
					GROUP BY sd.product_id
					ORDER BY SUM(sd.quantity) DESC, p.product_name";
			$res = mysql_query($sql); $num = mysql_num_rows($res); 
			
			?>
			<div class="post">
				<h1 class="title">Sold <?PHP echo $manufacturer ?> - <?PHP echo $start_date ?> to <?PHP echo $end_date ?></h1>
				<div class="entry">
					<table>
						<thead class="data"><tr>
							<td align="center" width="400">Product</td>
							<td align="center" width="100">Quantity</td>
							<td align="center" width="100">Value</td>
						</tr></thead>
						<tbody class="data">
							<?PHP
							if ($num > 0) {
								$i = 1; 
								while ($row = mysql_fetch_array($res)) {
									$m = fmod($i, 2);
									if ($m == 0) { // $i is EVEN
										?><tr class="even"><?PHP
									} else { // $i is ODD
										?><tr class="odd"><?PHP
									}
									?>
										<td align="left"><?PHP echo $row[0] ?></td>
										<td align="right"><?PHP echo number_format($row[1], 2) ?></td>
										<td align="right"><?PHP echo number_format($row[2], 2) ?></td>
									</tr>
									<?PHP
									$i++;
								}
							} else {
								?>
								<tr>
									<td align="center" colspan="3">There are NO purchased <?PHP echo $manufacturer ?> from <?PHP echo $start_date ?> to <?PHP echo $end_date ?></td>
								</tr>
								<?PHP				
							}
							?>
						</tbody>
					</table>
				</div>
				<p class="meta"></p>
			</div>
			<?PHP
		} else {
			// Check for valid entry branch_id in the URL
			if (is_numeric($_GET['branch_id'])) {
				$branch_id = $_GET['branch_id'];
				// show form
				show_form($branch_id);
			} else { // No branch_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!
				</b></font></p></center>";
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($branch_id) {
	$sql = "SELECT CURDATE()";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$date = $drow[0]; 
	mysql_free_result($dres); 

	?>
	<form name="PurchaseManu" action="report_branch_sales_manu.php?branch_id=<?PHP echo $branch_id ?>" method="POST">
	<div class="post">
        <h1 class="title">Sales By Manufacturer</h1>
		<div class="entry">
			<table align="center">
				<tbody class="data">
					<tr class="odd"><td width="125" align="right">Manufacturer&nbsp;</td>
						<td width="250" align="left"><select name="manufacturer_id">
							<?PHP
							$sql = "SELECT manufacturer_id, manufacturer_name FROM manufacturers ORDER BY manufacturer_name";
							$mres = mysql_query($sql);
							while ($mrow = mysql_fetch_array($mres)) {
								?><option value="<?PHP echo $mrow[0] ?>"><?PHP echo $mrow[1] ?></option><?PHP
							} ?></select></td></tr>
					<tr class="even"><td align="right">Start Date&nbsp;</td>
						<td align="left"><input readonly type="text" size="10" name="sdate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:sdate.popup();">&nbsp;<img src="lib/b_calendar.png"></td></tr>
					<tr class="odd"><td align="right">End Date&nbsp;</td>
						<td align="left"><input readonly type="text" size="10" name="edate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:edate.popup();">&nbsp;<img src="lib/b_calendar.png"></td></tr>
						<script language="JavaScript">
						<!-- // create calendar object(s) just after form tag closed
							var sdate = new calendar(document.forms['PurchaseManu'].elements['sdate']);
							sdate.year_scroll = true; sdate.time_comp = false;
							var edate = new calendar(document.forms['PurchaseManu'].elements['edate']);
							edate.year_scroll = true; edate.time_comp = false;
						//-->
						</script>
					<tr class="even"><td align="center" colspan="2">
						<input type="hidden" name="submitted" value="1">
						<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
						<input type="submit" class="button blue" value="Submit"></td></tr>
				</tbody>
			</table>
		</div>
        <p class="meta"></p>
	</div>
	</form>
	<?PHP
}

?>