<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Sales Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_134() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if (isset($_POST['submitted'])) {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$customer_id = htmlentities(mysql_real_escape_string(stripslashes($_POST['customer_id'])));
				$category_id = htmlentities(mysql_real_escape_string(stripslashes($_POST['category_id'])));
				$month = htmlentities(mysql_real_escape_string(stripslashes($_POST['month'])));
				$quarter = htmlentities(mysql_real_escape_string(stripslashes($_POST['quarter'])));
				$year1 = htmlentities(mysql_real_escape_string(stripslashes($_POST['year1'])));
				$year2 = htmlentities(mysql_real_escape_string(stripslashes($_POST['year2'])));
			} else {
				$customer_id = htmlentities(mysql_real_escape_string($_POST['customer_id']));
				$category_id = htmlentities(mysql_real_escape_string($_POST['category_id']));
				$month = htmlentities(mysql_real_escape_string($_POST['month']));
				$quarter = htmlentities(mysql_real_escape_string($_POST['quarter']));
				$year1 = htmlentities(mysql_real_escape_string($_POST['year1']));
				$year2 = htmlentities(mysql_real_escape_string($_POST['year2']));
			}
			$branch_id = $_GET['branch_id'];
			
			// Check to make sure they entered the customer id.
			if ($customer_id != "") { $a = TRUE; } 
			else { $a = FALSE; $message[] = "Please select from the list of customers."; }
			// Check to make sure they entered the product category.
			if ($category_id != "") { $b = TRUE; } 
			else { $b = FALSE; $message[] = "Please select from the list of product categories."; }

			// If the data pass all tests, perform the query.
			if ($a && $b) {
				// select the customer name
				$sql = "SELECT company_name FROM branch_customers WHERE customer_id = '$customer_id'";
				$cust_res = mysql_query($sql);
				$cust_row = mysql_fetch_array($cust_res);
				$customer = $cust_row[0];
				
				// select the category name
				$sql = "SELECT category_name FROM categories WHERE category_id = '$category_id'";
				$cat_res = mysql_query($sql);
				$cat_row = mysql_fetch_array($cat_res);
				$category = $cat_row[0];
				
				if ($month == 1) { $monthname = "January"; }
				elseif ($month == 2) { $monthname = "February"; }
				elseif ($month == 3) { $monthname = "March"; }
				elseif ($month == 4) { $monthname = "April"; }
				elseif ($month == 5) { $monthname = "May"; }
				elseif ($month == 6) { $monthname = "June"; }
				elseif ($month == 7) { $monthname = "July"; }
				elseif ($month == 8) { $monthname = "August"; }
				elseif ($month == 9) { $monthname = "September"; }
				elseif ($month == 10) { $monthname = "October"; }
				elseif ($month == 11) { $monthname = "November"; }
				elseif ($month == 12)  { $monthname = "December"; }
				
				if ($quarter == 1) { $quarter = "1st"; }
				elseif ($quarter == 2) { $quarter = "2nd"; }
				elseif ($quarter == 3) { $quarter = "3rd"; }
				elseif ($quarter == 4) { $quarter = "4th"; }

				if (($year1 != 0) && ($month != 0) && ($year2 == 0) && ($quarter == 0)) { // if month and year are selected
					show_form($branch_id);
					// perform query
					$sql = "SELECT p.product_name, SUM(sd.quantity)
							FROM products p 
								INNER JOIN bsale_details sd ON p.product_id = sd.product_id 
								INNER JOIN branch_sales s ON sd.sale_id = s.sale_id 
							WHERE s.branch_id = '$branch_id' 
								AND s.customer_id = '$customer_id' 
								AND p.category_id = '$category_id'
								AND YEAR(s.delivery_date) = '$year1' 
								AND MONTH(s.delivery_date) = '$month'
							GROUP BY sd.product_id
							ORDER BY SUM(sd.quantity) DESC, p.product_name";
					$res = mysql_query($sql);
					$num = mysql_num_rows($res);
					if ($num > 0) {
						?>
					    <div class="post">
					        <div id="details">
					            <a id="icon1" class="th_img" href="print_report_branch_sales_vq.php?customer_id=<?PHP echo $customer_id ?>&category_id=<?PHP echo $category_id ?>&year1=<?PHP print $year1 ?>&month=<?PHP print $month ?>" target="new"><img src="lib/b_print.png"></a>
					        </div>
					        <h1 class="title"><?PHP echo "$customer - $monthname, $year1 Sales Volume for $category"; ?></h1>
					        <div class="entry">
					            <table>
					                <thead class="data"><tr>
										<td align="center" width="450">Product</td>
										<td align="center" width="150">Quantity</td>
					                </tr></thead>
					                <tbody class="data">
					                    <?PHP
										$i = 1; 
					                    while ($row = mysql_fetch_array($res)) {
											$m = fmod($i, 2);
											if ($m == 0) { // $i is EVEN
												?><tr class="even"><?PHP
											} else { // $i is ODD
												?><tr class="odd"><?PHP
											}
					                        ?>
												<td align="left"><?PHP echo $row[0] ?></td>
												<td align="right"><?PHP echo $row[1] ?></td>
					                        </tr>
					                        <?PHP
											$i++;
					                    }
					                    ?>
					                </tbody>
					            </table>
							</div>
					        <p class="meta"></p>
						</div>
						<?PHP
					} else {
						print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td height=30 width=730
							align=center><font face=arial size=2 color=red>There are no $category sales volume for $customer for $monthname, 
							$year1.</font></td></tr></table></td></tr></table></center><br>";
					}
				} elseif (($year1 != 0) && ($month == 0) && ($year2 == 0) && ($quarter == 0)) { // if only year is selected
					show_form($branch_id);
					// perform query
					$sql = "SELECT p.product_name, SUM(sd.quantity)
							FROM products p 
								INNER JOIN bsale_details sd ON p.product_id = sd.product_id 
								INNER JOIN branch_sales s ON sd.sale_id = s.sale_id 
							WHERE s.branch_id = '$branch_id' 
								AND s.customer_id = '$customer_id' 
								AND p.category_id = '$category_id' 
								AND YEAR(s.delivery_date) = '$year1' 
							GROUP BY sd.product_id
							ORDER BY SUM(sd.quantity) DESC, p.product_name";
					$res = mysql_query($sql);
					$num = mysql_num_rows($res);

					if ($num > 0) {
						?>
					    <div class="post">
					        <div id="details">
					            <a id="icon1" class="th_img" href="print_report_branch_sales_vq.php?customer_id=<?PHP echo $customer_id ?>&category_id=<?PHP echo $category_id ?>&year1=<?PHP print $year1 ?>&month=<?PHP print $month ?>" target="new"><img src="lib/b_print.png"></a>
					        </div>
					        <h1 class="title"><?PHP echo "$customer - $year1 Sales Volume for $category"; ?></h1>
					        <div class="entry">
					            <table>
					                <thead class="data"><tr>
										<td align="center" width="450">Product</td>
										<td align="center" width="150">Quantity</td>
					                </tr></thead>
					                <tbody class="data">
					                    <?PHP
										$j = 1; 
					                    while ($row = mysql_fetch_array($res)) {
											$n = fmod($j, 2);
											if ($n == 0) { // $i is EVEN
												?><tr class="even"><?PHP
											} else { // $i is ODD
												?><tr class="odd"><?PHP
											}
					                        ?>
												<td align="left"><?PHP echo $row[0] ?></td>
												<td align="right"><?PHP echo $row[1] ?></td>
					                        </tr>
					                        <?PHP
											$j++;
					                    }
					                    ?>
					                </tbody>
					            </table>
							</div>
					        <p class="meta"></p>
						</div>
						<?PHP
					} else {
						print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td height=30 width=730
							align=center><font face=arial size=2 color=red>There are no $category sales volume for $customer for  
							$year1.</font></td></tr></table></td></tr></table></center><br>";
					}
				} elseif (($year1 == 0) && ($month == 0) && ($year2 != 0) && ($quarter != 0)) { // if quarter and year are selected
					show_form($branch_id);
					// perform query
					$sql = "SELECT p.product_name, SUM(sd.quantity)
							FROM products p 
								INNER JOIN bsale_details sd ON p.product_id = sd.product_id 
								INNER JOIN branch_sales s ON sd.sale_id = s.sale_id 
							WHERE s.branch_id = '$branch_id' 
								AND s.customer_id = '$customer_id' 
								AND p.category_id = '$category_id'
								AND YEAR(s.delivery_date) = '$year2' 
								AND QUARTER(s.delivery_date) = '$quarter'
							GROUP BY sd.product_id
							ORDER BY SUM(sd.quantity) DESC, p.product_name";
					$res = mysql_query($sql);
					$num = mysql_num_rows($res);

					if ($num > 0) {
						?>
					    <div class="post">
					        <div id="details">
					            <a id="icon1" class="th_img" href="print_report_branch_sales_vq.php?customer_id=<?PHP echo $customer_id ?>&category_id=<?PHP echo $category_id ?>&year2=<?PHP print $year2 ?>&quarter=<?PHP print $quarter ?>" target="new"><img src="lib/b_print.png"></a>
					        </div>
					        <h1 class="title"><?PHP echo "$customer - $quarter quarter, $year2 Sales Volume for $category"; ?></h1>
					        <div class="entry">
					            <table>
					                <thead class="data"><tr>
										<td align="center" width="450">Product</td>
										<td align="center" width="150">Quantity</td>
					                </tr></thead>
					                <tbody class="data">
					                    <?PHP
										$k = 1; 
					                    while ($row = mysql_fetch_array($res)) {
											$o = fmod($k, 2);
											if ($o == 0) { // $i is EVEN
												?><tr class="even"><?PHP
											} else { // $i is ODD
												?><tr class="odd"><?PHP
											}
					                        ?>
												<td align="left"><?PHP echo $row[0] ?></td>
												<td align="right"><?PHP echo $row[1] ?></td>
					                        </tr>
					                        <?PHP
											$k++;
					                    }
					                    ?>
					                </tbody>
					            </table>
							</div>
					        <p class="meta"></p>
						</div>
						<?PHP
					} else {
						print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td height=30 width=730
							align=center><font face=arial size=2 color=red>There are no $category sales volume for $customer for $quarter quarter, 
							$year2.</font></td></tr></table></td></tr></table></center><br>";
					}
				} elseif (($year1 == 0) && ($month == 0) && ($year2 != 0) && ($quarter == 0)) { // if only year is selected
					show_form($branch_id);
					// perform query
					$sql = "SELECT p.product_name, SUM(sd.quantity)
							FROM products p 
								INNER JOIN bsale_details sd ON p.product_id = sd.product_id
								INNER JOIN branch_sales s ON sd.sale_id = s.sale_id
							WHERE s.branch_id = '$branch_id' 
								AND s.customer_id = '$customer_id' 
								AND p.category_id = '$category_id'
								AND YEAR(s.delivery_date) = '$year2'
							GROUP BY sd.product_id
							ORDER BY SUM(sd.quantity) DESC, p.product_name";
					$res = mysql_query($sql);
					$num = mysql_num_rows($res);

					if ($num > 0) {
						?>
					    <div class="post">
					        <div id="details">
					            <a id="icon1" class="th_img" href="print_report_branch_sales_vq.php?customer_id=<?PHP echo $customer_id ?>&category_id=<?PHP echo $category_id ?>&year2=<?PHP print $year2 ?>&quarter=<?PHP print $quarter ?>" target="new"><img src="lib/b_print.png"></a>
					        </div>
					        <h1 class="title"><?PHP echo "$customer - $year2 Sales Volume for $category"; ?></h1>
					        <div class="entry">
					            <table>
					                <thead class="data"><tr>
										<td align="center" width="450">Product</td>
										<td align="center" width="150">Quantity</td>
					                </tr></thead>
					                <tbody class="data">
					                    <?PHP
										$l = 1; 
					                    while ($row = mysql_fetch_array($res)) {
											$p = fmod($l, 2);
											if ($p == 0) { // $i is EVEN
												?><tr class="even"><?PHP
											} else { // $i is ODD
												?><tr class="odd"><?PHP
											}
					                        ?>
												<td align="left"><?PHP echo $row[0] ?></td>
												<td align="right"><?PHP echo $row[1] ?></td>
					                        </tr>
					                        <?PHP
											$l++;
					                    }
					                    ?>
					                </tbody>
					            </table>
							</div>
					        <p class="meta"></p>
						</div>
						<?PHP
					} else {
						print "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td height=30 width=730
							align=center><font face=arial size=2 color=red>There are no $category sales volume for $customer for  
							$year2.</font></td></tr></table></td></tr></table></center><br>";
					}
				} else {
					print "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=570><tr><td height=30 width=730 align=center><font 
						face=arial size=2>There was an error in the entered date.</font></td></tr></table></td></tr></table></center><br>";
					show_form($branch_id);
				}
			} else {
				// Print out any error messages. 
				if ($message) {
					echo "<center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5><tr><td height=30><font color=red 
						face=arial size=2><b>The following problems occurred:</b><br>\n";
					foreach ($message as $key => $value) {
						echo "$value <br>\n";
					}
					echo "<b>Be sure to re-enter the customer, product category and date!</b></font></td></tr></table>
						</td></tr></table></center>\n";
				}
				show_form($branch_id);
			}
		} else {
			// Check for valid entry branch_id in the URL
			if (is_numeric($_GET['branch_id'])) {
				$branch_id = $_GET['branch_id'];
				// show form
				show_form($branch_id);
			} else { // No branch_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!
				</b></font></p></center>";
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($branch_id) {
	?>
	<form name="SalesVQ" action="report_branch_sales_vq.php?branch_id=<?PHP echo $branch_id ?>" method="POST">
		<div class="post">
			<h1 class="title">Sales Volume in Quantity</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td width="125" align="right">Select Customer</td>
							<td width="250" align="left"><select name="customer_id"><option value="0">Customer</option>
								<?PHP
								$sql = "SELECT customer_id, company_name FROM branch_customers WHERE branch_id = '$branch_id' ORDER BY company_name";
								$cres = mysql_query($sql);
								while ($crow = mysql_fetch_array($cres)) {
									print "<option value='$crow[0]'>$crow[1]</option>";
								} ?></select></td></tr>
						<tr class="even"><td align="right">Category</td>
							<td align="left"><select name="category_id"><option value="0">Category</option>
								<?PHP
								$sql = "SELECT category_id, category_name FROM categories ORDER BY category_name";
								$cres2 = mysql_query($sql);
								while ($crow2 = mysql_fetch_array($cres2)) {
									print "<option value='$crow2[0]'>$crow2[1]</option>";
								} ?></select></td></tr>
						<tr class="odd"><td align="right">By Month</td>
							<td align="left"><select name="month"><option value="0">Month</option>
								<option value="1">Jan</option><option value="2">Feb</option><option value="3">Mar</option>
								<option value="4">Apr</option><option value="5">May</option><option value="6">Jun</option>
								<option value="7">Jul</option><option value="8">Aug</option><option value="9">Sep</option>
								<option value="10">Oct</option><option value="11">Nov</option><option value="12">Dec</option>
								</select>&nbsp;<select name="year1"><option value="0">Year</option>
								<?PHP $syear = date("Y"); 
								for ($j=$syear; $j>2009; $j--) { print "<option value=$j>$j</option>"; } ?>
								</select></td></tr>
						<tr class="even"><td align="right">By Quarter</td>
							<td align="left"><select name="quarter"><option value="0">Quarter</option>
								<option value="1">1st</option><option value="2">2nd</option>
								<option value="3">3rd</option><option value="4">4th</option>
								</select>&nbsp;<select name="year2"><option value="0">Year</option>
								<?PHP
								$syear2 = date("Y"); 
								for ($k=$syear2; $k>2009; $k--) { print "<option value=$k>$k</option>"; } ?>
								</select></td></tr>
						<tr class="odd"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
							<input onClick="valSalesVQ()" type="button" class="button blue" value="Submit"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form><br>
	<?PHP
}

?>