<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Fast-Moving Products Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if (isset($_POST['submitted'])) {
			$month = $_POST['month'];
			$day = $_POST['day'];
			$year = $_POST['year'];

			if ($month == 1) { $monthname = "January"; }
			elseif ($month == 2) { $monthname = "February"; }
			elseif ($month == 3) { $monthname = "March"; }
			elseif ($month == 4) { $monthname = "April"; }
			elseif ($month == 5) { $monthname = "May"; }
			elseif ($month == 6) { $monthname = "June"; }
			elseif ($month == 7) { $monthname = "July"; }
			elseif ($month == 8) { $monthname = "August"; }
			elseif ($month == 9) { $monthname = "September"; }
			elseif ($month == 10) { $monthname = "October"; }
			elseif ($month == 11) { $monthname = "November"; }
			elseif ($month == 12)  { $monthname = "December"; }

			if (($year != 0) && ($month != 0) && ($day != 0)) { // if all fields are not empty
				if (checkdate ($_POST[month], $_POST[day], $_POST[year])) {
					$sql = "SELECT sd.product_id, p.product_name, SUM(sd.quantity)
							FROM products p, sale_details sd, sales s
							WHERE p.product_id = sd.product_id AND s.sale_id = sd.sale_id 
								AND TO_DAYS(s.delivery_date) = TO_DAYS('$_POST[year]-$_POST[month]-$_POST[day]')
							GROUP BY sd.product_id
							ORDER BY SUM(sd.quantity) DESC, p.product_name";
					$res = mysql_query($sql);
					$num = mysql_num_rows($res);
					if ($num > 0) {
						$sql = "SELECT SUM(sd.quantity) FROM sales s, sale_details sd
								WHERE s.sale_id = sd.sale_id AND TO_DAYS(s.delivery_date) = TO_DAYS('$_POST[year]-$_POST[month]-$_POST[day]')";
						$tres = mysql_query($sql);
						$trow = mysql_fetch_array($tres);
						?>
						<div class="post">
							<div id="search">
								<a id="icon1" class="th_img" href="print_report_fmp.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
								<form method="post" action="report_fmp.php">
									<?PHP show_drop_d8($year, $month, $day); ?>
									<input type="hidden" name="submitted" value="1">
									<input id="sbutton" type="submit" class="button blue" value="Go!">
								</form>
							</div>
							<h1 class="title">Fast-Moving Products for <?PHP echo "$monthname $day, $year"; ?></h1>
							<div class="entry">
								<table>
									<thead class="data"><tr>
										<td width="500" align="center">Product</td>
										<td width="200" align="center">Quantity</td>
									</tr></thead>
									<tbody class="data">
										<?PHP
										while ($row = mysql_fetch_array($res)) {
											$m = fmod($i, 2);
											if ($m == 0) { // $i is EVEN
												?><tr class="even"><?PHP
											} else { // $i is ODD
												?><tr class="odd"><?PHP
											}
											?>
												<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
												<td align="right"><?PHP $qty = number_format($row[2], 2); echo $qty ?></td>
											</tr>
											<?PHP
											$i++;
										}
										?>
										<tr class="total">
											<td align="right"><b>Total:&nbsp;</b></td>
											<td align="right"><b><?PHP $total = number_format($trow[0], 2); echo $total ?></b></td>
										</tr>
									</tbody>
								</table>
							</div>
							<p class="meta">
								<?PHP
								if ($num > 1) { print "<b>$num</b> records found for $monthname $day, $year";
								} else { print "<b>$num</b> record for $monthname $day, $year";
								}
								?>
							</p>
						</div>
						<?PHP
					} else {
						?>
						<div class="post">
							<div id="search">
								<a id="icon1" class="th_img" href="print_report_fmp.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
								<form method="post" action="report_fmp.php">
									<?PHP show_drop_d8($year, $month, $day); ?>
									<input type="hidden" name="submitted" value="1">
									<input id="sbutton" type="submit" class="button blue" value="Go!">
								</form>
							</div>
							<h1 class="title">Fast-Moving Products for <?PHP echo "$monthname $day, $year"; ?></h1>
							<div class="entry">
								<table>
									<thead class="data"><tr>
										<td width="500" align="center">Product</td>
										<td width="200" align="center">Quantity</td>
									</tr></thead>
									<tbody class="data">
									</tbody>
								</table>
							</div>
							<p class="meta">There are no moving products for <?PHP echo "$monthname $day, $year"; ?></p>
						</div>
						<?PHP
					}
				} else {
					print "<center><table><tr><td bgcolor=#000000><table bgcolor=#eeeeee width=300><tr><td height=30 align=center><font face=arial size=2 color=red>Date entered was not a valid date.</font></td></tr></table></td></tr></table></center><br>";
					show_report_fmp();
				}
			} elseif (($year != 0) && ($month != 0) && ($day == 0)) { // if day is empty
				$sql = "SELECT sd.product_id, p.product_name, SUM(sd.quantity)
						FROM products p, sale_details sd, sales s
						WHERE p.product_id = sd.product_id AND s.sale_id = sd.sale_id 
							AND MONTH(s.delivery_date) = $_POST[month] AND YEAR(s.delivery_date) = $_POST[year]
						GROUP BY sd.product_id
						ORDER BY SUM(sd.quantity) DESC, p.product_name";
				$res = mysql_query($sql);
				$num = mysql_num_rows($res);
				if ($num > 0) {
					$sql = "SELECT SUM(sd.quantity) FROM sales s, sale_details sd
							WHERE s.sale_id = sd.sale_id AND MONTH(s.delivery_date) = $_POST[month] AND YEAR(s.delivery_date) = $_POST[year]";
					$tres = mysql_query($sql);
					$trow = mysql_fetch_array($tres);
					?>
					<div class="post">
						<div id="search">
							<a id="icon1" class="th_img" href="print_report_fmp.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
							<form method="post" action="report_fmp.php">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
								<input id="sbutton" type="submit" class="button blue" value="Go!">
							</form>
						</div>
						<h1 class="title">Fast-Moving Products for <?PHP echo "$monthname, $year"; ?></h1>
						<div class="entry">
							<table>
								<thead class="data"><tr>
									<td width="500" align="center">Product</td>
									<td width="200" align="center">Quantity</td>
								</tr></thead>
								<tbody class="data">
									<?PHP
									while ($row = mysql_fetch_array($res)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
										?>
											<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
											<td align="right"><?PHP $qty = number_format($row[2], 2); echo $qty ?></td>
										</tr>
										<?PHP
										$i++;
									}
									?>
									<tr class="total">
										<td align="right"><b>Total:&nbsp;</b></td>
										<td align="right"><b><?PHP $total = number_format($trow[0], 2); echo $total ?></b></td>
									</tr>
								</tbody>
							</table>
						</div>
						<p class="meta">
							<?PHP
							if ($num > 1) { print "<b>$num</b> records found for $monthname, $year";
							} else { print "<b>$num</b> record for $monthname, $year";
							}
							?>
						</p>
					</div>
					<?PHP
				} else {
					?>
					<div class="post">
						<div id="search">
							<a id="icon1" class="th_img" href="print_report_fmp.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
							<form method="post" action="report_fmp.php">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
								<input id="sbutton" type="submit" class="button blue" value="Go!">
							</form>
						</div>
						<h1 class="title">Fast-Moving Products for <?PHP echo "$monthname, $year"; ?></h1>
						<div class="entry">
							<table>
								<thead class="data"><tr>
									<td width="500" align="center">Product</td>
									<td width="200" align="center">Quantity</td>
								</tr></thead>
								<tbody class="data">
								</tbody>
							</table>
						</div>
						<p class="meta">There are no moving products for <?PHP echo "$monthname, $year"; ?></p>
					</div>
					<?PHP
				}
			} elseif (($year != 0) && ($month == 0) && ($day == 0)) { // if month and day are empty
				$sql = "SELECT sd.product_id, p.product_name, SUM(sd.quantity)
						FROM products p, sale_details sd, sales s
						WHERE p.product_id = sd.product_id AND s.sale_id = sd.sale_id 
							AND YEAR(s.delivery_date) = $_POST[year]
						GROUP BY sd.product_id
						ORDER BY SUM(sd.quantity) DESC, p.product_name";
				$res = mysql_query($sql);
				$num = mysql_num_rows($res);
				if ($num > 0) {
					$sql = "SELECT SUM(sd.quantity) FROM sales s, sale_details sd
							WHERE s.sale_id = sd.sale_id AND YEAR(s.delivery_date) = $_POST[year]";
					$tres = mysql_query($sql);
					$trow = mysql_fetch_array($tres);
					?>
					<div class="post">
						<div id="search">
							<a id="icon1" class="th_img" href="print_report_fmp.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
							<form method="post" action="report_fmp.php">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
								<input id="sbutton" type="submit" class="button blue" value="Go!">
							</form>
						</div>
						<h1 class="title">Fast-Moving Products for <?PHP echo $year ?></h1>
						<div class="entry">
							<table>
								<thead class="data"><tr>
									<td width="500" align="center">Product</td>
									<td width="200" align="center">Quantity</td>
								</tr></thead>
								<tbody class="data">
									<?PHP
									while ($row = mysql_fetch_array($res)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
										?>
											<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
											<td align="right"><?PHP $qty = number_format($row[2], 2); echo $qty ?></td>
										</tr>
										<?PHP
										$i++;
									}
									?>
									<tr class="total">
										<td align="right"><b>Total:&nbsp;</b></td>
										<td align="right"><b><?PHP $total = number_format($trow[0], 2); echo $total ?></b></td>
									</tr>
								</tbody>
							</table>
						</div>
						<p class="meta">
							<?PHP
							if ($num > 1) { print "<b>$num</b> records found for $year";
							} else { print "<b>$num</b> record for $year";
							}
							?>
						</p>
					</div>
					<?PHP
				} else {
					?>
					<div class="post">
						<div id="search">
							<a id="icon1" class="th_img" href="print_report_fmp.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
							<form method="post" action="report_fmp.php">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
								<input id="sbutton" type="submit" class="button blue" value="Go!">
							</form>
						</div>
						<h1 class="title">Fast-Moving Products for <?PHP echo $year ?></h1>
						<div class="entry">
							<table>
								<thead class="data"><tr>
									<td width="500" align="center">Product</td>
									<td width="200" align="center">Quantity</td>
								</tr></thead>
								<tbody class="data">
								</tbody>
							</table>
						</div>
						<p class="meta">There are no moving products for <?PHP echo $year ?></p>
					</div>
					<?PHP
				}
			} else {
				print "<center><table><tr><td bgcolor=#000000><table bgcolor=#eeeeee width=570><tr><td height=30 align=center><font 
					face=arial size=2>There was an error in the entered date.</font></td></tr></table></td></tr></table></center><br>";
				show_report_fmp();
			}
		} else {
			show_report_fmp();
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_report_fmp() {
	$sql = "SELECT MONTHNAME(NOW()), MONTH(NOW()), DAY(NOW()), YEAR(NOW())";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$monthname = $drow[0]; $month = $drow[1]; $day = $drow[2]; $year = $drow[3];

	// build and run the sql query
	$sql = "SELECT sd.product_id, p.product_name, SUM(sd.quantity)
			FROM products p, sale_details sd, sales s
			WHERE p.product_id = sd.product_id AND s.sale_id = sd.sale_id 
				AND MONTH(s.delivery_date) = MONTH(NOW()) AND YEAR(s.delivery_date) = YEAR(NOW())
			GROUP BY sd.product_id
			ORDER BY SUM(sd.quantity) DESC, p.product_name";
	$res = mysql_query($sql);
	$num = mysql_num_rows($res); 

	// show the table and data
	if ($num > 0) {
		$sql = "SELECT SUM(sd.quantity) FROM sales s, sale_details sd
				WHERE s.sale_id = sd.sale_id AND MONTH(s.delivery_date) = MONTH(NOW()) AND YEAR(s.delivery_date) = YEAR(NOW())";
		$tres = mysql_query($sql);
		$trow = mysql_fetch_array($tres);
		?>
	    <div class="post">
	        <div id="search">
	            <a id="icon1" class="th_img" href="print_report_fmp.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
	            <form method="post" action="report_fmp.php">
					<?PHP show_drop_d8($year, $month, $day); ?>
					<input type="hidden" name="submitted" value="1">
	                <input id="sbutton" type="submit" class="button blue" value="Go!">
	            </form>
	        </div>
	        <h1 class="title">Fast-Moving Products for <?PHP echo "$monthname, $year"; ?></h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr>
						<td width="500" align="center">Product</td>
						<td width="200" align="center">Quantity</td>
	                </tr></thead>
	                <tbody class="data">
	                    <?PHP
	                    while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
	                        ?>
								<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
								<td align="right"><?PHP $qty = number_format($row[2], 2); echo $qty ?></td>
	                        </tr>
	                        <?PHP
							$i++;
	                    }
	                    ?>
						<tr class="total">
							<td align="right"><b>Total:&nbsp;</b></td>
							<td align="right"><b><?PHP $total = number_format($trow[0], 2); echo $total ?></b></td>
						</tr>
	                </tbody>
	            </table>
	        </div>
	        <p class="meta">
				<?PHP
				if ($num > 1) { print "<b>$num</b> records found for $monthname, $year";
				} else { print "<b>$num</b> record for $monthname, $year";
				}
				?>
	        </p>
	    </div>
		<?PHP
	} else {
		?>
	    <div class="post">
	        <div id="search">
	            <a id="icon1" class="th_img" href="print_report_fmp.php?year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
	            <form method="post" action="report_fmp.php">
					<?PHP show_drop_d8($year, $month, $day); ?>
					<input type="hidden" name="submitted" value="1">
	                <input id="sbutton" type="submit" class="button blue" value="Go!">
	            </form>
	        </div>
	        <h1 class="title">Fast-Moving Products for <?PHP echo "$monthname, $year"; ?></h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr>
						<td width="500" align="center">Product</td>
						<td width="200" align="center">Quantity</td>
	                </tr></thead>
	                <tbody class="data">
	                </tbody>
	            </table>
	        </div>
	        <p class="meta"><font color="red">There are NO moving product records for <?PHP print "$monthname, $year"; ?></font></p>
	    </div>
		<?PHP
	}
}
?>