<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Purchases Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		show_report_purchases();
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_report_purchases() {
	$date_res = mysql_query("select monthname(now()), year(now())");
	$date_row = mysql_fetch_array($date_res);
	$monthname = $date_row[0]; $year = $date_row[1];
	
	$sql = "SELECT s.company_name, SUM(p.line_total), SUM(p.balance) 
			FROM suppliers s, purchases p 
			WHERE p.supplier_id = s.supplier_id AND MONTH(NOW()) = MONTH(p.delivery_date) 
				AND YEAR(NOW()) = YEAR(p.delivery_date)  
			GROUP BY s.company_name 
			ORDER BY s.company_name";
	$res = mysql_query($sql);
	$num = mysql_num_rows($res);
	if ($num > 0) {
		$sql = "SELECT SUM(line_total), SUM(balance) FROM purchases 
				WHERE MONTH(NOW()) = MONTH(delivery_date) 
					AND YEAR(NOW()) = YEAR(delivery_date)";
		$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
		$i = 1;
		?>
	    <div class="post">
	        <div id="details">
	            <a id="icon1" class="th_img" href="print_report_purchases.php" target="new"><img src="lib/b_print.png"></a>
	        </div>
	        <h1 class="title">Purchases for <?PHP print "$monthname, $year"; ?></h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr>
						<td width="400" align="center">Supplier</td>
						<td width="150" align="center">Line Total</td>
						<td width="150" align="center">Total Balance</td>
	                </tr></thead>
	                <tbody class="data">
	                    <?PHP
	                    while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
	                        ?>
								<td><?PHP print $row[0] ?>&nbsp;</td>
								<td align="right"><?PHP $linet = number_format($row[1], 2); print $linet ?></td>
								<td align="right"><?PHP $bal = number_format($row[2], 2); print $bal ?></td>
	                        </tr>
	                        <?PHP
							$i++;
	                    }
	                    ?>
						<tr class="total">
							<td align="right"><b>Line Total&nbsp;</b></td>
							<td align="right"><b><?PHP $tlinet = number_format($trow[0], 2); print $tlinet ?></b></td>
							<td align="right"><b><?PHP $tbal = number_format($trow[1], 2); print $tbal ?></b></td>
						</tr>
	                </tbody>
	            </table>
	        </div>
	        <p class="meta">
				<?PHP
				if ($num > 1) { print "<b>$num</b> records found for $monthname, $year";
				} else { print "<b>$num</b> record for $monthname, $year";
				}
				?>
	        </p>
	    </div>
		<?PHP
	} else {
		?>
	    <div class="post">
	        <div id="details">
	            <a id="icon1" class="th_img" href="print_report_purchases.php" target="new"><img src="lib/b_print.png"></a>
	        </div>
	        <h1 class="title">Purchases for <?PHP print "$monthname, $year"; ?></h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr>
						<td width="400" align="center">Supplier</td>
						<td width="150" align="center">Line Total</td>
						<td width="150" align="center">Total Balance</td>
	                </tr></thead>
	                <tbody class="data">
	                </tbody>
	            </table>
	        </div>
	        <p class="meta"><font color="red">There are NO existing purchase records for <?PHP print "$monthname, $year"; ?></font></p>
	    </div>
		<?PHP
	}
	?>
	<?PHP
}

?>