<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Fast-Moving Products Report');
define('NAV', 5); 

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		
		$account_id = $_GET['account_id'];
		show_purchases_month($account_id);
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_purchases_month($account_id) {
	// get the name of the account
	$sql = "SELECT account_name FROM accounts WHERE account_id = '$account_id'";
	$ares = mysql_query($sql); $arow = mysql_fetch_array($ares); $account_name = $arow[0]; 
	
	$sql = "SELECT DATE_FORMAT((DATE_SUB(CURDATE(), INTERVAL 5 MONTH)), '%b %Y'), 
				DATE_FORMAT((DATE_SUB(CURDATE(), INTERVAL 4 MONTH)), '%b %Y'), 
				DATE_FORMAT((DATE_SUB(CURDATE(), INTERVAL 3 MONTH)), '%b %Y'), 
				DATE_FORMAT((DATE_SUB(CURDATE(), INTERVAL 2 MONTH)), '%b %Y'), 
				DATE_FORMAT((DATE_SUB(CURDATE(), INTERVAL 1 MONTH)), '%b %Y'), 
				DATE_FORMAT(CURDATE(), '%b %Y')";
	$dres = mysql_query($sql); $drow = mysql_fetch_array($dres);
	$d5 = $drow[0]; $d4 = $drow[1]; $d3 = $drow[2]; $d2 = $drow[3]; $d1 = $drow[4]; $d0 = $drow[5];

	// build and run the sql query
	$sql = "SELECT supplier_id, company_name FROM suppliers WHERE account_id = '$account_id' ORDER BY company_name";
	$res = mysql_query($sql);
	$num = mysql_num_rows($res); 

	// show the table and data
	if ($num > 0) {
		?>
	    <div class="post">
	        <h1 class="title">Monthly Purchases From <?PHP echo $account_name ?> Suppliers</h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr height="25">
						<td width="180" align="center">Supplier</td>
						<td width="80" align="center"><?PHP echo $d5 ?></td>
						<td width="80" align="center"><?PHP echo $d4 ?></td>
						<td width="80" align="center"><?PHP echo $d3 ?></td>
						<td width="80" align="center"><?PHP echo $d2 ?></td>
						<td width="80" align="center"><?PHP echo $d1 ?></td>
						<td width="80" align="center"><?PHP echo $d0 ?></td>
	                </tr></thead>
	                <tbody class="data">
	                    <?PHP
	                    while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
	                        ?>
								<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
								<td align="right"><?PHP 
									$sql = "SELECT SUM(line_total) FROM purchases
											WHERE supplier_id = '$row[0]' 
												AND MONTH(delivery_date) = MONTH(DATE_SUB(CURDATE(), INTERVAL 5 MONTH))
												AND YEAR(delivery_date) = YEAR(DATE_SUB(CURDATE(), INTERVAL 5 MONTH))";
									$d5_res = mysql_query($sql); $d5_row = mysql_fetch_array($d5_res);
									echo number_format($d5_row[0], 2) ?></td>
								<td align="right"><?PHP 
									$sql = "SELECT SUM(line_total) FROM purchases
											WHERE supplier_id = '$row[0]' 
												AND MONTH(delivery_date) = MONTH(DATE_SUB(CURDATE(), INTERVAL 4 MONTH))
												AND YEAR(delivery_date) = YEAR(DATE_SUB(CURDATE(), INTERVAL 4 MONTH))";
									$d4_res = mysql_query($sql); $d4_row = mysql_fetch_array($d4_res);
									echo number_format($d4_row[0], 2) ?></td>
								<td align="right"><?PHP 
									$sql = "SELECT SUM(line_total) FROM purchases
											WHERE supplier_id = '$row[0]' 
												AND MONTH(delivery_date) = MONTH(DATE_SUB(CURDATE(), INTERVAL 3 MONTH))
												AND YEAR(delivery_date) = YEAR(DATE_SUB(CURDATE(), INTERVAL 3 MONTH))";
									$d3_res = mysql_query($sql); $d3_row = mysql_fetch_array($d3_res);
									echo number_format($d3_row[0], 2) ?></td>
								<td align="right"><?PHP 
									$sql = "SELECT SUM(line_total) FROM purchases
											WHERE supplier_id = '$row[0]' 
												AND MONTH(delivery_date) = MONTH(DATE_SUB(CURDATE(), INTERVAL 2 MONTH))
												AND YEAR(delivery_date) = YEAR(DATE_SUB(CURDATE(), INTERVAL 2 MONTH))";
									$d2_res = mysql_query($sql); $d2_row = mysql_fetch_array($d2_res);
									echo number_format($d2_row[0], 2) ?></td>
								<td align="right"><?PHP 
									$sql = "SELECT SUM(line_total) FROM purchases
											WHERE supplier_id = '$row[0]' 
												AND MONTH(delivery_date) = MONTH(DATE_SUB(CURDATE(), INTERVAL 1 MONTH))
												AND YEAR(delivery_date) = YEAR(DATE_SUB(CURDATE(), INTERVAL 1 MONTH))";
									$d1_res = mysql_query($sql); $d1_row = mysql_fetch_array($d1_res);
									echo number_format($d1_row[0], 2) ?></td>
								<td align="right"><?PHP 
									$sql = "SELECT SUM(line_total) FROM purchases
											WHERE supplier_id = '$row[0]' 
												AND MONTH(delivery_date) = MONTH(CURDATE()) AND YEAR(delivery_date) = YEAR(CURDATE())";
									$d0_res = mysql_query($sql); $d0_row = mysql_fetch_array($d0_res);
									echo number_format($d0_row[0], 2) ?></td>
	                        </tr>
	                        <?PHP
							$i++;
	                    }
	                    ?>
						<tr class="total">
							<td align="right"><b>Total:&nbsp;</b></td>
							<td align="right"><b><?PHP 
								$sql = "SELECT SUM(p.line_total) 
										FROM purchases p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
										WHERE s.account_id = '$account_id' 
											AND MONTH(p.delivery_date) = MONTH(DATE_SUB(CURDATE(), INTERVAL 5 MONTH))
											AND YEAR(p.delivery_date) = YEAR(DATE_SUB(CURDATE(), INTERVAL 5 MONTH))";
								$t5_res = mysql_query($sql); $t5_row = mysql_fetch_array($t5_res);
								echo number_format($t5_row[0], 2) ?></b></td>
							<td align="right"><b><?PHP 
								$sql = "SELECT SUM(p.line_total) 
										FROM purchases p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
										WHERE s.account_id = '$account_id' 
											AND MONTH(p.delivery_date) = MONTH(DATE_SUB(CURDATE(), INTERVAL 4 MONTH))
											AND YEAR(p.delivery_date) = YEAR(DATE_SUB(CURDATE(), INTERVAL 4 MONTH))";
								$t4_res = mysql_query($sql); $t4_row = mysql_fetch_array($t4_res);
								echo number_format($t4_row[0], 2) ?></b></td>
							<td align="right"><b><?PHP 
								$sql = "SELECT SUM(p.line_total) 
										FROM purchases p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
										WHERE s.account_id = '$account_id' 
											AND MONTH(p.delivery_date) = MONTH(DATE_SUB(CURDATE(), INTERVAL 3 MONTH))
											AND YEAR(p.delivery_date) = YEAR(DATE_SUB(CURDATE(), INTERVAL 3 MONTH))";
								$t3_res = mysql_query($sql); $t3_row = mysql_fetch_array($t3_res);
								echo number_format($t3_row[0], 2) ?></b></td>
							<td align="right"><b><?PHP 
								$sql = "SELECT SUM(p.line_total) 
										FROM purchases p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
										WHERE s.account_id = '$account_id' 
											AND MONTH(p.delivery_date) = MONTH(DATE_SUB(CURDATE(), INTERVAL 2 MONTH))
											AND YEAR(p.delivery_date) = YEAR(DATE_SUB(CURDATE(), INTERVAL 2 MONTH))";
								$t2_res = mysql_query($sql); $t2_row = mysql_fetch_array($t2_res);
								echo number_format($t2_row[0], 2) ?></b></td>
							<td align="right"><b><?PHP 
								$sql = "SELECT SUM(p.line_total) 
										FROM purchases p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
										WHERE s.account_id = '$account_id' 
											AND MONTH(p.delivery_date) = MONTH(DATE_SUB(CURDATE(), INTERVAL 1 MONTH))
											AND YEAR(p.delivery_date) = YEAR(DATE_SUB(CURDATE(), INTERVAL 1 MONTH))";
								$t1_res = mysql_query($sql); $t1_row = mysql_fetch_array($t1_res);
								echo number_format($t1_row[0], 2) ?></b></td>
							<td align="right"><b><?PHP 
								$sql = "SELECT SUM(p.line_total) 
										FROM purchases p INNER JOIN suppliers s ON p.supplier_id = s.supplier_id
										WHERE s.account_id = '$account_id' 
											AND MONTH(p.delivery_date) = MONTH(CURDATE()) AND YEAR(p.delivery_date) = YEAR(CURDATE())";
								$t0_res = mysql_query($sql); $t0_row = mysql_fetch_array($t0_res);
								echo number_format($t0_row[0], 2) ?></b></td>
						</tr>
	                </tbody>
	            </table>
	        </div>
        <p class="meta"></p>
	    </div>
		<?PHP
	} else {
		?>
	    <div class="post">
	        <h1 class="title">Monthly Purchases From <?PHP echo $account_name ?> Suppliers</h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr height="25">
						<td width="180" align="center">Supplier</td>
						<td width="90" align="center"><?PHP echo $d5 ?></td>
						<td width="90" align="center"><?PHP echo $d4 ?></td>
						<td width="90" align="center"><?PHP echo $d3 ?></td>
						<td width="90" align="center"><?PHP echo $d2 ?></td>
						<td width="90" align="center"><?PHP echo $d2 ?></td>
						<td width="90" align="center"><?PHP echo $d0 ?></td>
	                </tr></thead>
	                <tbody class="data">
	                </tbody>
	            </table>
	        </div>
	        <p class="meta"></p>
	    </div>
		<?PHP
	}
}
?>