<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Purchases by Date Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
	        if(get_magic_quotes_gpc()) {
	            $month = mysql_real_escape_string(stripslashes($_POST['month']));
	            $day = mysql_real_escape_string(stripslashes($_POST['day']));
	            $year = mysql_real_escape_string(stripslashes($_POST['year']));
	        } else {
	            $month = mysql_real_escape_string($_POST['month']);
	            $day = mysql_real_escape_string($_POST['day']);
	            $year = mysql_real_escape_string($_POST['year']);
			}
			$account_id = $_GET['account_id'];

			if ($month == 1) { $monthname = "January";
			} elseif ($month == 2) { $monthname = "February";
			} elseif ($month == 3) { $monthname = "March";
			} elseif ($month == 4) { $monthname = "April";
			} elseif ($month == 5) { $monthname = "May";
			} elseif ($month == 6) { $monthname = "June";
			} elseif ($month == 7) { $monthname = "July";
			} elseif ($month == 8) { $monthname = "August";
			} elseif ($month == 9) { $monthname = "September";
			} elseif ($month == 10) { $monthname = "October";
			} elseif ($month == 11) { $monthname = "November";
			} elseif ($month == 12) { $monthname = "December"; }

			if ($month != 0 && $day != 0 && $year != 0) {
				if (checkdate ($month, $day, $year)) {
					$sql = "SELECT s.company_name, SUM(p.line_total), SUM(p.balance) 
							FROM suppliers s INNER JOIN purchases p ON p.supplier_id = s.supplier_id 
							WHERE s.account_id = '$account_id' 
								AND TO_DAYS('$year-$month-$day') = TO_DAYS(p.delivery_date) 
							GROUP BY s.supplier_id 
							ORDER BY s.company_name";
					$res = mysql_query($sql) or die(mysql_error());
					$num = mysql_num_rows($res);
					if ($num > 0) {
						$sql = "SELECT SUM(p.line_total), SUM(p.balance) 
								FROM suppliers s INNER JOIN purchases p ON p.supplier_id = s.supplier_id 
								WHERE s.account_id = '$account_id' AND TO_DAYS('$year-$month-$day') = TO_DAYS(p.delivery_date)";
						$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
						$i = 1;
						?>
					    <div class="post">
					        <div id="search">
					            <a id="icon1" class="th_img" href="print_report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
					            <form method="post" action="report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>">
									<?PHP show_drop_d8($year, $month, $day); ?>
									<input type="hidden" name="submitted" value="1">
					                <input id="sbutton" type="submit" class="button blue" value="Go!">
					            </form>
					        </div>
					        <h1 class="title">Purchases for <?PHP print "$monthname $day, $year"; ?></h1>
					        <div class="entry">
					            <table>
					                <thead class="data"><tr>
										<td width="400" align="center">Supplier</td>
										<td width="150" align="center">Line Total</td>
										<td width="150" align="center">Total Balance</td>
					                </tr></thead>
					                <tbody class="data">
					                    <?PHP
					                    while ($row = mysql_fetch_array($res)) {
											$m = fmod($i, 2);
											if ($m == 0) { // $i is EVEN
												?><tr class="even"><?PHP
											} else { // $i is ODD
												?><tr class="odd"><?PHP
											}
					                        ?>
												<td><?PHP print $row[0] ?>&nbsp;</td>
												<td align="right"><?PHP $linet = number_format($row[1], 2); print $linet ?></td>
												<td align="right"><?PHP $bal = number_format($row[2], 2); print $bal ?></td>
					                        </tr>
					                        <?PHP
											$i++;
					                    }
					                    ?>
										<tr class="total">
											<td align="right"><b>Line Total&nbsp;</b></td>
											<td align="right"><b><?PHP $tlinet = number_format($trow[0], 2); print $tlinet ?></b></td>
											<td align="right"><b><?PHP $tbal = number_format($trow[1], 2); print $tbal ?></b></td>
										</tr>
					                </tbody>
					            </table>
					        </div>
					        <p class="meta"></p>
					    </div>
						<?PHP
					} else {
						?>
					    <div class="post">
					        <div id="search">
					            <a id="icon1" class="th_img" href="print_report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
					            <form method="post" action="report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>">
									<?PHP show_drop_d8($year, $month, $day); ?>
									<input type="hidden" name="submitted" value="1">
					                <input id="sbutton" type="submit" class="button blue" value="Go!">
					            </form>
					        </div>
					        <h1 class="title">Purchases for <?PHP print "$monthname $day, $year"; ?></h1>
					        <div class="entry">
					            <table>
					                <thead class="data"><tr>
										<td width="400" align="center">Supplier</td>
										<td width="150" align="center">Line Total</td>
										<td width="150" align="center">Total Balance</td>
					                </tr></thead>
					                <tbody class="data">
					                </tbody>
					            </table>
					        </div>
					        <p class="meta"></p>
					    </div>
						<?PHP
					}
				} else {
					print "<center><table><tr><td bgcolor=#000000><table bgcolor=#eeeeee width=300><tr><td height=30 align=center><font face=arial size=2 color=red>Date entered was not a valid date.</font></td></tr></table></td></tr></table></center><br>";
					show_report_purchases_supplier($account_id);
				}
			} elseif ($month != 0 && $day == 0 && $year != 0) {
				$sql = "SELECT s.company_name, SUM(p.line_total), SUM(p.balance) 
						FROM suppliers s INNER JOIN purchases p ON p.supplier_id = s.supplier_id 
						WHERE s.account_id = '$account_id' 
							AND MONTH(p.delivery_date) = $month
							AND YEAR(p.delivery_date) = $year 
						GROUP BY s.company_name 
						ORDER BY s.company_name";
				$res = mysql_query($sql) or die(mysql_error());
				$num = mysql_num_rows($res);
				if ($num > 0) {
					$sql = "SELECT SUM(p.line_total), SUM(p.balance) 
							FROM suppliers s INNER JOIN purchases p ON p.supplier_id = s.supplier_id 
							WHERE s.account_id = '$account_id' AND MONTH(p.delivery_date) = $month
								AND YEAR(p.delivery_date) = $year";
					$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
					$i = 1;
					?>
				    <div class="post">
				        <div id="search">
				            <a id="icon1" class="th_img" href="print_report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
				            <form method="post" action="report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
				                <input id="sbutton" type="submit" class="button blue" value="Go!">
				            </form>
				        </div>
				        <h1 class="title">Purchases for <?PHP print "$monthname, $year"; ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="400" align="center">Supplier</td>
									<td width="150" align="center">Line Total</td>
									<td width="150" align="center">Total Balance</td>
				                </tr></thead>
				                <tbody class="data">
				                    <?PHP
				                    while ($row = mysql_fetch_array($res)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
				                        ?>
											<td><?PHP print $row[0] ?>&nbsp;</td>
											<td align="right"><?PHP $linet = number_format($row[1], 2); print $linet ?></td>
											<td align="right"><?PHP $bal = number_format($row[2], 2); print $bal ?></td>
				                        </tr>
				                        <?PHP
										$i++;
				                    }
				                    ?>
									<tr class="total">
										<td align="right"><b>Line Total&nbsp;</b></td>
										<td align="right"><b><?PHP $tlinet = number_format($trow[0], 2); print $tlinet ?></b></td>
										<td align="right"><b><?PHP $tbal = number_format($trow[1], 2); print $tbal ?></b></td>
									</tr>
				                </tbody>
				            </table>
				        </div>
				        <p class="meta"></p>
				    </div>
					<?PHP
				} else {
					?>
				    <div class="post">
				        <div id="search">
				            <a id="icon1" class="th_img" href="print_report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
				            <form method="post" action="report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
				                <input id="sbutton" type="submit" class="button blue" value="Go!">
				            </form>
				        </div>
				        <h1 class="title">Purchases for <?PHP print "$monthname, $year"; ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="400" align="center">Supplier</td>
									<td width="150" align="center">Line Total</td>
									<td width="150" align="center">Total Balance</td>
				                </tr></thead>
				                <tbody class="data">
				                </tbody>
				            </table>
				        </div>
				        <p class="meta"></p>
				    </div>
					<?PHP
				}
			} elseif ($month == 0 && $day == 0 && $year != 0) {
				$sql = "SELECT s.company_name, SUM(p.line_total), SUM(p.balance) 
						FROM suppliers s INNER JOIN purchases p ON p.supplier_id = s.supplier_id 
						WHERE s.account_id = '$account_id' 
							AND YEAR(p.delivery_date) = $year 
						GROUP BY s.company_name 
						ORDER BY s.company_name";
				$res = mysql_query($sql) or die(mysql_error());
				$num = mysql_num_rows($res);
				if ($num > 0) {
					$sql = "SELECT SUM(p.line_total), SUM(p.balance) 
							FROM suppliers s INNER JOIN purchases p ON p.supplier_id = s.supplier_id 
							WHERE s.account_id = '$account_id' AND YEAR(p.delivery_date) = $year";
					$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
					$i = 1;
					?>
				    <div class="post">
				        <div id="search">
				            <a id="icon1" class="th_img" href="print_report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
				            <form method="post" action="report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
				                <input id="sbutton" type="submit" class="button blue" value="Go!">
				            </form>
				        </div>
				        <h1 class="title">Purchases for <?PHP print $year ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="400" align="center">Supplier</td>
									<td width="150" align="center">Line Total</td>
									<td width="150" align="center">Total Balance</td>
				                </tr></thead>
				                <tbody class="data">
				                    <?PHP
				                    while ($row = mysql_fetch_array($res)) {
										$m = fmod($i, 2);
										if ($m == 0) { // $i is EVEN
											?><tr class="even"><?PHP
										} else { // $i is ODD
											?><tr class="odd"><?PHP
										}
				                        ?>
											<td><?PHP print $row[0] ?>&nbsp;</td>
											<td align="right"><?PHP $linet = number_format($row[1], 2); print $linet ?></td>
											<td align="right"><?PHP $bal = number_format($row[2], 2); print $bal ?></td>
				                        </tr>
				                        <?PHP
										$i++;
				                    }
				                    ?>
									<tr class="total">
										<td align="right"><b>Line Total&nbsp;</b></td>
										<td align="right"><b><?PHP $tlinet = number_format($trow[0], 2); print $tlinet ?></b></td>
										<td align="right"><b><?PHP $tbal = number_format($trow[1], 2); print $tbal ?></b></td>
									</tr>
				                </tbody>
				            </table>
				        </div>
				        <p class="meta"></p>
				    </div>
					<?PHP
				} else {
					?>
				    <div class="post">
				        <div id="search">
				            <a id="icon1" class="th_img" href="print_report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
				            <form method="post" action="report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>">
								<?PHP show_drop_d8($year, $month, $day); ?>
								<input type="hidden" name="submitted" value="1">
				                <input id="sbutton" type="submit" class="button blue" value="Go!">
				            </form>
				        </div>
				        <h1 class="title">Purchases for <?PHP print $year ?></h1>
				        <div class="entry">
				            <table>
				                <thead class="data"><tr>
									<td width="400" align="center">Supplier</td>
									<td width="150" align="center">Line Total</td>
									<td width="150" align="center">Total Balance</td>
				                </tr></thead>
				                <tbody class="data">
				                </tbody>
				            </table>
				        </div>
				        <p class="meta"></p>
				    </div>
					<?PHP
				}
			} else {
				show_report_purchases_supplier($account_id);
			}
		} else {
			// Check for valid entry account_id in the URL
			if (is_numeric($_GET['account_id'])) {
				$account_id = $_GET['account_id'];
				// show form
				show_report_purchases_supplier($account_id);
			} else { // No account_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p></center>";
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_report_purchases_supplier($account_id) {
	$sql = "SELECT MONTHNAME(NOW()), MONTH(NOW()), DAY(NOW()), YEAR(NOW())";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$monthname = $drow[0]; $month = $drow[1]; $day = $drow[2]; $year = $drow[3];

	// build and run the sql query
	$sql = "SELECT s.company_name, SUM(p.line_total), SUM(p.balance) 
			FROM suppliers s INNER JOIN purchases p ON p.supplier_id = s.supplier_id 
			WHERE s.account_id = '$account_id' 
				AND MONTH(NOW()) = MONTH(p.delivery_date) 
				AND YEAR(NOW()) = YEAR(p.delivery_date)  
			GROUP BY s.company_name 
			ORDER BY s.company_name";
	$res = mysql_query($sql);
	$num = mysql_num_rows($res);

	// show the table and data
	if ($num > 0) {
		$sql = "SELECT SUM(line_total), SUM(balance) 
				FROM suppliers s INNER JOIN purchases p ON p.supplier_id = s.supplier_id 
				WHERE s.account_id = '$account_id' 
					AND MONTH(NOW()) = MONTH(p.delivery_date) 
					AND YEAR(NOW()) = YEAR(p.delivery_date)";
		$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
		$i = 1;
		?>
	    <div class="post">
	        <div id="search">
	            <a id="icon1" class="th_img" href="print_report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
	            <form method="post" action="report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>">
					<?PHP show_drop_d8($year, $month, $day); ?>
					<input type="hidden" name="submitted" value="1">
	                <input id="sbutton" type="submit" class="button blue" value="Go!">
	            </form>
	        </div>
	        <h1 class="title">Purchases for <?PHP print "$monthname, $year"; ?></h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr>
						<td width="400" align="center">Supplier</td>
						<td width="150" align="center">Line Total</td>
						<td width="150" align="center">Total Balance</td>
	                </tr></thead>
	                <tbody class="data">
	                    <?PHP
	                    while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
	                        ?>
								<td><?PHP print $row[0] ?>&nbsp;</td>
								<td align="right"><?PHP $linet = number_format($row[1], 2); print $linet ?></td>
								<td align="right"><?PHP $bal = number_format($row[2], 2); print $bal ?></td>
	                        </tr>
	                        <?PHP
							$i++;
	                    }
	                    ?>
						<tr class="total">
							<td align="right"><b>Line Total&nbsp;</b></td>
							<td align="right"><b><?PHP $tlinet = number_format($trow[0], 2); print $tlinet ?></b></td>
							<td align="right"><b><?PHP $tbal = number_format($trow[1], 2); print $tbal ?></b></td>
						</tr>
	                </tbody>
	            </table>
	        </div>
	        <p class="meta"></p>
	    </div>
		<?PHP
	} else {
		?>
	    <div class="post">
	        <div id="search">
	            <a id="icon1" class="th_img" href="print_report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>&year=<?PHP print $year ?>&month=<?PHP print $month ?>&day=<?PHP print $day ?>" target="new"><img src="lib/b_print.png"></a>
	            <form method="post" action="report_purchases_supplier.php?account_id=<?PHP echo $account_id ?>">
					<?PHP show_drop_d8($year, $month, $day); ?>
					<input type="hidden" name="submitted" value="1">
	                <input id="sbutton" type="submit" class="button blue" value="Go!">
	            </form>
	        </div>
	        <h1 class="title">Purchases for <?PHP print "$monthname, $year"; ?></h1>
	        <div class="entry">
	            <table>
	                <thead class="data"><tr>
						<td width="400" align="center">Supplier</td>
						<td width="150" align="center">Line Total</td>
						<td width="150" align="center">Total Balance</td>
	                </tr></thead>
	                <tbody class="data">
	                </tbody>
	            </table>
	        </div>
	        <p class="meta"></p>
	    </div>
		<?PHP
	}
}
?>