<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Suppliers\' Discounts by Date Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			$account_id = $_GET['account_id'];
			show_form($account_id);

			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$sdate = mysql_real_escape_string(stripslashes($_POST['sdate']));
				$edate = mysql_real_escape_string(stripslashes($_POST['edate']));
			} else {
				$sdate = mysql_real_escape_string($_POST['sdate']);
				$edate = mysql_real_escape_string($_POST['edate']);
			}
			
			$sql = "SELECT DATE_FORMAT('$sdate', '%m/%e/%y')";
			$sres = mysql_query($sql); $srow = mysql_fetch_array($sres); $start_date = $srow[0];
			$sql = "SELECT DATE_FORMAT('$edate', '%m/%e/%y')";
			$eres = mysql_query($sql); $erow = mysql_fetch_array($eres); $end_date = $erow[0];

			$sql = "SELECT pd.product_id, p.product_name, SUM(pd.quantity * pd.unit_discount) AS disc
					FROM purchase_details pd 
						INNER JOIN purchases pu ON pd.purchase_id = pu.purchase_id
						INNER JOIN products p ON pd.product_id = p.product_id 
					WHERE pu.account_id = '$account_id'
						AND TO_DAYS(pu.delivery_date) >= TO_DAYS('$sdate')
						AND TO_DAYS(pu.delivery_date) <= TO_DAYS('$edate')
					GROUP BY p.product_name 
					ORDER BY disc DESC, p.product_name";
			$res = mysql_query($sql); $num = mysql_num_rows($res); 
					
			?>
			<div class="post">
				<h1 class="title">Suppliers' Discounts - <?PHP echo $start_date ?> to <?PHP echo $end_date ?></h1>
				<div class="entry">
					<table>
						<thead class="data"><tr>
							<td width="500" align="center">Product</td>
							<td width="200" align="center">Total Discount</td>
						</tr></thead>
						<tbody class="data">
							<?PHP
							if ($num > 0) {
								$sql = "SELECT SUM(pd.quantity * pd.unit_discount)
										FROM purchase_details pd 
											INNER JOIN purchases pu ON pd.purchase_id = pu.purchase_id
											INNER JOIN products p ON pd.product_id = p.product_id 
										WHERE pu.account_id = '$account_id'
											AND TO_DAYS(pu.delivery_date) >= TO_DAYS('$sdate')
											AND TO_DAYS(pu.delivery_date) <= TO_DAYS('$edate')";
								$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
								$i = 1; 
								while ($row = mysql_fetch_array($res)) {
									$m = fmod($i, 2);
									if ($m == 0) { // $i is EVEN
										?><tr class="even"><?PHP
									} else { // $i is ODD
										?><tr class="odd"><?PHP
									}
									?>
										<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></td>
										<td align="right"><?PHP echo number_format($row[2], 2); ?></td>
									</tr>
									<?PHP
									$i++;
								}
								?>
								<tr class="total">
									<td align="right"><b>Total</b>&nbsp;</td>
									<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b>&nbsp;</td>
								</tr>
								<?PHP
							} else {
								?>
								<tr>
									<td align="center" colspan="6">There are NO discounts from suppliers from <?PHP echo $start_date ?> to <?PHP echo $end_date ?></td>
								</tr>
								<?PHP				
							}
							?>
						</tbody>
					</table>
				</div>
				<p class="meta"></p>
			</div>
			<?PHP
		} else {
			// Check for valid entry account_id in the URL
			if (is_numeric($_GET['account_id'])) {
				$account_id = $_GET['account_id'];
				// show form
				show_form($account_id);
			} else { // No account_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p></center>";
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($account_id) {
	$sql = "SELECT CURDATE()";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$date = $drow[0]; 
	mysql_free_result($dres); 

	?>
	<form name="Discounts" action="report_sdiscounts.php?account_id=<?PHP echo $account_id ?>" method="POST">
	<div class="post">
        <h1 class="title">Suppliers' Discounts</h1>
		<div class="entry">
			<table align="center">
				<tbody class="data">
					<tr class="odd"><td width="125" align="right">Start Date&nbsp;</td>
						<td width="250" align="left"><input readonly type="text" size="10" name="sdate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:sdate.popup();">&nbsp;<img src="lib/b_calendar.png"></td></tr>
					<tr class="even"><td align="right">End Date&nbsp;</td>
						<td align="left"><input readonly type="text" size="10" name="edate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:edate.popup();">&nbsp;<img src="lib/b_calendar.png"></td></tr>
						<script language="JavaScript">
						<!-- // create calendar object(s) just after form tag closed
							var sdate = new calendar(document.forms['Discounts'].elements['sdate']);
							sdate.year_scroll = true; sdate.time_comp = false;
							var edate = new calendar(document.forms['Discounts'].elements['edate']);
							edate.year_scroll = true; edate.time_comp = false;
						//-->
						</script>
					<tr class="odd"><td align="center" colspan="2">
						<input type="hidden" name="submitted" value="1">
						<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
						<input type="submit" class="button blue" value="Submit"></td></tr>
				</tbody>
			</table>
		</div>
        <p class="meta"></p>
	</div>
	</form>
	<?PHP
}
?>