<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Payments to Suppliers by Date Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			$account_id = $_GET['account_id'];
			show_form($account_id);

			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$sdate = mysql_real_escape_string(stripslashes($_POST['sdate']));
				$edate = mysql_real_escape_string(stripslashes($_POST['edate']));
			} else {
				$sdate = mysql_real_escape_string($_POST['sdate']);
				$edate = mysql_real_escape_string($_POST['edate']);
			}
			
			$sql = "SELECT DATE_FORMAT('$sdate', '%m/%e/%y')";
			$sres = mysql_query($sql); $srow = mysql_fetch_array($sres); $start_date = $srow[0];
			$sql = "SELECT DATE_FORMAT('$edate', '%m/%e/%y')";
			$eres = mysql_query($sql); $erow = mysql_fetch_array($eres); $end_date = $erow[0];

			$sql = "SELECT sp.s_payment_id, sp.or_num, sp.purchase_id, DATE_FORMAT(sp.pdate, '%b %e, %Y'), 
						b.bank_name, sp.supplier_id, s.company_name, sp.amount, sp.good 
					FROM spayments sp 
						INNER JOIN suppliers s ON sp.supplier_id = s.supplier_id
						INNER JOIN banks b ON sp.bank_id = b.bank_id
					WHERE s.account_id = '$account_id'
						AND TO_DAYS(sp.pdate) >= TO_DAYS('$sdate')
						AND TO_DAYS(sp.pdate) <= TO_DAYS('$edate')
					ORDER BY sp.pdate DESC, s.company_name";
			$res = mysql_query($sql); $num = mysql_num_rows($res); 
					
			?>
			<div class="post">
				<h1 class="title">Payment To Suppliers - <?PHP echo $start_date ?> to <?PHP echo $end_date ?></h1>
				<div class="entry">
					<table>
						<thead class="data"><tr>
							<td width="70" align="center">Payment</td>
							<td width="70" align="center">Purchase</td>
							<td width="80" align="center">Date</td>
							<td width="80" align="center">Encashment</td>
							<td width="130" align="center">Bank</td>
							<td width="160" align="center">Supplier</td>
							<td width="80" align="center">Amount</td>
						</tr></thead>
						<tbody class="data">
							<?PHP
							if ($num > 0) {
								$sql = "SELECT SUM(sp.amount) 
										FROM spayments sp 
											INNER JOIN suppliers s ON sp.supplier_id = s.supplier_id 
										WHERE s.account_id = '$account_id'
											AND TO_DAYS(sp.pdate) >= TO_DAYS('$sdate')
											AND TO_DAYS(sp.pdate) <= TO_DAYS('$edate')";
								$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
								$i = 1; 
								while ($row = mysql_fetch_array($res)) {
									$m = fmod($i, 2);
									if ($m == 0) { // $i is EVEN
										?><tr class="even"><?PHP
									} else { // $i is ODD
										?><tr class="odd"><?PHP
									}
									?>
										<td align="center"><a class="tddata" href="spayment.php?s_payment_id=<?PHP echo $row[0] ?>"><?PHP echo $row[0] ?></a></td>
										<td align="center"><?PHP
											if ($row[2] != 0) { 
												?><a class="tddata" href="purchase.php?purchase_id=<?PHP echo $row[2] ?>"><?PHP echo $row[2] ?></a><?PHP
											} ?></td>
										<td align="center"><?PHP echo $row[3] ?></td>
										<td align="center">
											<?PHP
											$eres = mysql_query("SELECT DATE_FORMAT(check_date, '%b %e, %Y') FROM spayments WHERE s_payment_id = '$row[0]'");
											$erow = mysql_fetch_array($eres);
											echo $erow[0] ?></td>
										<td align="left"><?PHP echo $row[4] ?></td>
										<td align="left"><a class="tddata" href="supplier.php?supplier_id=<?PHP echo $row[5] ?>"><?PHP echo $row[6] ?></a></td>
										<td align="right"><?PHP
											if ($row[8] == 1) { echo number_format($row[7], 2); } 
											elseif ($row[8] == 0) { 
												?><font color="red"><?PHP echo number_format($row[7], 2); ?></font><?PHP
											} ?></td>
									</tr>
									<?PHP
									$i++;
								}
								?>
								<tr class="total">
									<td align="right" colspan="6"><b>Total:&nbsp;</b></td>
									<td align="right"><b><?PHP echo number_format($trow[0], 2); ?></b></td>
										</tr>
								<?PHP
							} else {
								?>
								<tr>
									<td align="center" colspan="7">There are NO payments to suppliers from <?PHP echo $start_date ?> to <?PHP echo $end_date ?></td>
								</tr>
								<?PHP				
							}
							?>
						</tbody>
					</table>
				</div>
				<p class="meta"></p>
			</div>
			<?PHP
		} else {
			// Check for valid entry account_id in the URL
			if (is_numeric($_GET['account_id'])) {
				$account_id = $_GET['account_id'];
				// show form
				show_form($account_id);
			} else { // No account_id set.
				print "<center><p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p></center>";
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($account_id) {
	$sql = "SELECT CURDATE()";
	$dres = mysql_query($sql);
	$drow = mysql_fetch_array($dres);
	$date = $drow[0]; 
	mysql_free_result($dres); 

	?>
	<form name="Payments" action="report_spayments.php?account_id=<?PHP echo $account_id ?>" method="POST">
	<div class="post">
        <h1 class="title">Payments To Suppliers</h1>
		<div class="entry">
			<table align="center">
				<tbody class="data">
					<tr class="odd"><td width="125" align="right">Start Date&nbsp;</td>
						<td width="250" align="left"><input readonly type="text" size="10" name="sdate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:sdate.popup();">&nbsp;<img src="lib/b_calendar.png"></td></tr>
					<tr class="even"><td align="right">End Date&nbsp;</td>
						<td align="left"><input readonly type="text" size="10" name="edate" value="<?PHP echo $date ?>"><a class="td_img" href="javascript:edate.popup();">&nbsp;<img src="lib/b_calendar.png"></td></tr>
						<script language="JavaScript">
						<!-- // create calendar object(s) just after form tag closed
							var sdate = new calendar(document.forms['Payments'].elements['sdate']);
							sdate.year_scroll = true; sdate.time_comp = false;
							var edate = new calendar(document.forms['Payments'].elements['edate']);
							edate.year_scroll = true; edate.time_comp = false;
						//-->
						</script>
					<tr class="odd"><td align="center" colspan="2">
						<input type="hidden" name="submitted" value="1">
						<input type="reset" class="button blue">&nbsp;&nbsp;&nbsp;
						<input type="submit" class="button blue" value="Submit"></td></tr>
				</tbody>
			</table>
		</div>
        <p class="meta"></p>
	</div>
	</form>
	<?PHP
}
?>