<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Return Purchased Item');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		if (isset($_POST['submit'])) {
			$pd_id = $_POST[pd_id];
			$returned = $_POST[returned]; print $returned;
			
		} else {
			// Check for valid entry pd_id in the URL
			if (is_numeric($_GET['pd_id'])) {
				$pd_id = $_GET['pd_id'];
				show_form($pd_id);
			} else { // No pd_id set.
				print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
			}
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($pd_id) {
	$sql = "SELECT p.or_num, p.supplier_id, s.company_name, CONCAT(u.fname,' ',u.lname), 
				DATE_FORMAT(p.delivery_date, '%b %e, %Y'), p.received_by, 
				p.notes, p.line_total, p.balance, p.pmode
			FROM purchases p, purchase_details pd, suppliers s, users u
			WHERE p.supplier_id = s.supplier_id AND p.user_id = u.user_id 
				AND p.purchase_id = pd.purchase_id AND pd.pd_id = '$pd_id'";
	$res = mysql_query($sql);
	$row = mysql_fetch_array($res);
	?>
	<div class="post">
		<h1 class="title">Return Product to Supplier</h1>
		<div class="entry">
			<table width="725">
				<tbody class="data">
					<tr class="odd"><td align="right" width="100">O.R. #&nbsp;</td>
						<td align="left" width="240">&nbsp;<?PHP print $row[0] ?></td>
						<td align="right" width="110">Date&nbsp;</td>
						<td align="left" width="250">&nbsp;<?PHP print $row[4] ?></td></tr>
					<tr class="even"><td align="right">Supplier&nbsp;</td>
						<td align="left">&nbsp;<a class="tddata" href="supplier.php?supplier_id=<?PHP print $row[1] ?>"><b><?PHP print $row[2] ?></b></a></td>
						<td align="right">User&nbsp;</td>
						<td align="left">&nbsp;<?PHP print $row[3] ?></td></tr>
					<tr class="odd"><td align="right">Line Total&nbsp;</td>
						<td align="left">&nbsp;<?PHP $linet = number_format($row[7], 2); print $linet ?></td>
						<td align="right">Payment Balance&nbsp;</td>
						<td align="left">&nbsp;<?PHP $pbal = number_format($prow[8], 2); print $pbal ?></td></tr>
					<tr class="even"><td align="right">Recieved By&nbsp;</td>
						<td align="left">&nbsp;<?PHP
							$rres = mysql_query("select concat(fname,' ',lname) from users where user_id='$row[5]'");
							$rrow = mysql_fetch_array($rres); $receiver = $rrow[0];
							mysql_free_result($rres); print $receiver ?></td>
						<td align="right">Payment Mode&nbsp;</td>
						<td align="left">&nbsp;<?PHP
							if ($row[9] == 1) { print "Cash"; } 
							elseif ($row[9] == 2) { print "Check"; } ?></td></tr>
					<tr class="odd"><td align="right">Notes&nbsp;</td>
						<td align="left" colspan="3">&nbsp;<?PHP print $row[6] ?></td></tr>
				</tbody>
			</table>
		</div>
	</div><br>
	<?PHP
	$sql = "SELECT pd.product_id, p.product_name, pd.quantity, 
				pd.unit_price, pd.unit_discount, pd.net_price, pd.balance, pd.pd_id
			FROM purchase_details pd, products p
			WHERE pd.pd_id='$pd_id' AND pd.product_id=p.product_id";
	$res2 = mysql_query($sql); $row2 = mysql_fetch_array($res2);
	?>
	<form name="ReturnPurchase" action="return_purchase.php" method="POST">
		<div class="post">
			<h1 class="title">Product Details</h1>
			<div class="entry">
				<table width="725">
					<thead class="data"><tr>
						<td align="center" width="280">Product</td>
						<td align="center" width="50">QTY</td>
						<td align="center" width="75">Price</td>
						<td align="center" width="70">Discount</td>
						<td align="center" width="80">Total</td>
						<td align="center" width="60">Balance</td>
						<td align="center" width="70">Returned</td>
					</tr></thead>
					<tbody class="data">
						<tr class="odd">
								<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row2[0] ?>"><?PHP echo $row2[1] ?></a></td>
								<td align="right"><?PHP echo number_format($row2[2], 2) ?></td>
								<td align="right"><?PHP echo number_format($row2[3], 2) ?></td>
								<td align="right"><?PHP echo number_format($row2[4], 2) ?></td>
								<td align="right"><?PHP echo number_format($row2[5], 2) ?></td>
								<td align="right"><?PHP echo number_format($row2[6], 2) ?></td>
								<td align="right"><input type="text" name="returned" size="9" style="text-align:right;"></td>
						</tr>
						<tr class="even">
							<td colspan="7" align="center">
								<input type="hidden" name="pd_id" value="<?PHP echo $pd_id ?>">
								<input type="hidden" name="balance" value="<?PHP echo $row2[6] ?>">
								<input type="button" class="button blue" name="submit" value="Return Product" onClick="valReturnPurchase()">
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</form>
	<?PHP
	mysql_free_result($res);
	mysql_free_result($res2);
}
?>