<?php
set_time_limit(0);
include 'i/php-cus.php';
hd('Daily Cash Transaction Report');
val_qry('account_id', 'accounts');
pre();
ft();
function pre(){
	$account_id=$_GET['account_id'];
	$bank_id=fld('bank_id', 'banks', 'bank_name="UNDEPOSITED CASH"');
	$bank_bal=fld('balance', 'banks', 'bank_name="UNDEPOSITED CASH"');
	echo hdn('account_id', $account_id).hdn('bank_id', $bank_id).hdn('user_id', $_SESSION['user_id']).hdn('cash_date', date('Y-m-d', time()));
	$user_id=$_SESSION['user_id'];
	// $user_id=20;
	?>
	<div id="tab">
		<ul>
			<li><a href="#tab_pymt_cus">Payment from Customer</a></li>
			<li><a href="#tab_exp">Expense</a></li>
			<li><a href="#tab_dr">Deposit / Remittance</a></li>
			<li><a href="#tab_ln">Loan (Payable Expense)</a></li>
			<li><a href="#tab_lp">Loan Payment</a></li>
		</ul>
		<div id="tab_pymt_cus">
			<?php
			$fld[]=array('Customer', txt('company_name', '', 'l'), '');
			$fld[]=array('Sale OR#', '<span id="sale_or_num" class="sale_dtl"></span>');
			$fld[]=array('Delivery Date', '<span id="delivery_date" class="sale_dtl"></span>');
			$fld[]=array('Due Date', '<span id="due_date" class="sale_dtl"></span>');
			$fld[]=array('Total', '<span id="line_total" class="sale_dtl"></span>');
			$fld[]=array('Balance', '<span id="balance" class="sale_dtl"></span>');
			$fld[]=array('Payment OR#', txt('pymt_or_num', '', 's'), '');
			$fld[]=array('Amount', txt('pymt_amount', '', 'n'), '');
			$fld[]=array('Payment Method', sel('pmethod', '', 'Cash; Check', 'Cash; Check'), '');
			$fld[]=array('Check Number', txt('check_num', '', 'n'), '');
			$fld[]=array('Encashment Date', dte('check_date'), '');
			$fld[]=array('Notes', txt('pymt_notes', '', 'l'), '');
			$hdn=hdn('sale_id').hdn('customer_id');
			$btn=btn('rst_pymt_cus', 'Reset').btn('btn_pymt_cus', 'Submit');
			echo ent($fld, '', '', $hdn, $btn);
			?>
		</div>
		<div id="tab_exp">
			<?php
			unset($fld);
			$fld[]=array('Type of Expense', sel('extype_id', '', 'extype_id', 'extype_name', 'expense_types', '', 'extype_name'), '');
			$fld[]=array('Reference #', txt('exp_ref_num', '', 's'), '');
			$fld[]=array('Expense Description', txt('exdesc', '', 'l'), '');
			$fld[]=array('Amount', txt('exp_amount', '', 'n'), '');
			$btn=btn('rst_exp', 'Reset').btn('btn_exp', 'Submit');
			echo ent($fld, '', '', '', $btn);
			?>
		</div>
		<div id="tab_dr">
			<?php
			unset($fld);
			$fld[]=array('UNDEPOSITED CASH Balance', '<span id="fr_bank_bal">'.fld('balance', 'banks', 'bank_name="UNDEPOSITED CASH"').'</span>');
			$fld[]=array('Receiving Account', txt('bank_name'), '');
			$fld[]=array('Balance', '<span id="to_bank_bal"></span>');
			$fld[]=array('Reference #', txt('dr_ref_num', '', 's'), '');
			$fld[]=array('Amount', txt('dr_amount', '', 'n'), '');
			$fld[]=array('Notes', txt('dr_notes', '', 'l'), '');
			$btn=btn('rst_dr', 'Reset').btn('btn_dr', 'Submit');
			$hdn=hdn('to_bank_id');
			echo ent($fld, '', '', $hdn, $btn);
			?>
		</div>
		<div id="tab_ln">
			<?php
			unset($fld);
			$fld[]=array('Description', txt('ln_note', '', 'l'), '');
			$fld[]=array('Amount', txt('ln_amt', '', 'n'), '');
			$btn=btn('rst_ln', 'Reset').btn('btn_ln', 'Submit');
			echo ent($fld, '', '', '', $btn);
			?>
		</div>
		<div id="tab_lp">
			<?php
			unset($fld);
			$fld[]=array('Loan', txt('ll_note', '', 'l'), '');
			$fld[]=array('Balance', '<span id="ln_bal"></span>');
			$fld[]=array('Amount', txt('lp_amt', '', 'n'), '');
			$fld[]=array('Notes', txt('lp_note', '', 'l'), '');
			$hdn=hdn('ln_id');
			$btn=btn('rst_lp', 'Reset').btn('btn_lp', 'Submit');
			echo ent($fld, '', '', $hdn, $btn);
			?>
		</div>
	</div>
	<div id="export_container"><table class="grd">
		<thead>
			<tr><th colspan="7">Daily Cash Transaction Report</th></tr>
			<tr>
				<td colspan="6">Date: <?php echo date('M d, Y', time()) ?></td>
				<td>
					<?php
					echo lnk('print', '', 'print-acct-cash-trx.php', 'account_id='.$account_id, 'img_print', 'Print')
					.lnk('export', '', '', '', 'img_lst', 'Download Spreadsheet');
					?>
				</td>
			</tr>
			<tr>
				<th>Description</th>
				<th>DR#</th>
				<th>Debit</th>
				<th>Expense</th>
				<th>Other</th>
				<th>Deposit /<br>Remittance</th>
				<th>Balance</th>
			</tr>
		</thead>
		<tbody id="tb">
			<tr id="tr" style="display:none;">
				<td id="cash_desc"></td>
				<td id="cash_ref"></td>
				<td id="deb_amt" class="right"></td>
				<td id="exp_amt" class="right"></td>
				<td id="oth_amt" class="right"></td>
				<td id="dr_amt" class="right"></td>
				<td id="bal" class="right"></td>
			</tr>
			<tr>
				<td colspan="6" class="right">Beginning Balance:</td>
				<td id="bal" class="right"></td>
			</tr>
			<?php
			$deb_total=0;
			$exp_total=0;
			$oth_total=0;
			$dr_total=0;
			//deposit
			$q=qry('select
				d.ref_num,
				d.amount
			from deposits d
			left join banks b on b.bank_id=d.bank_id
			where d.bank_id="'.$bank_id.'" and b.account_id="'.$account_id.'" and d.ddate=curdate() and d.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$deb_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']) ?>Bank Deposit</td>
					<td><?php echo $r['ref_num'] ?></td>					
					<td class="right"><?php echo $r['amount'] ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//bank transfer addition
			$q=qry('select
				b.bank_name,
				t.ref_num,
				t.amount
			from bank_transfers t
			left join banks b on b.bank_id=t.to_bank_id
			where b.account_id="'.$account_id.'" and t.to_bank_id="'.$bank_id.'" and t.bt_date=curdate() and t.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$deb_total+=$r['amount'];
				?>
				<td><?php echo hdn('rel_amt', $r['amount']) ?>Bank Transfer</td>
				<td><?php echo $r['ref_num'] ?></td>
				<td class="right"><?php echo $r['amount'] ?></td>
				<td class="right"></td>
				<td class="right"></td>
				<td class="right"></td>
				<td id="bal" class="right"></td>
				<?php
			}
			//payment to supplier
			$q=qry('select
			  p.or_num,
			  p.amount,
			  s.company_name
			from spayments p
			left join suppliers s on s.supplier_id=p.supplier_id
			left join banks b on b.bank_id=p.bank_id
			where p.bank_id="'.$bank_id.'" and b.account_id="'.$account_id.'" and p.pdate=curdate() and p.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$oth_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']*-1).$r['company_name'] ?></td>
					<td><?php echo $r['or_num'] ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"><?php echo $r['amount'] ?></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//refund from supplier
			$q=qry('select
			  s.company_name,
			  f.amount
			from refunds_suppliers f
			left join returns_suppliers t on t.rs_id=f.rs_id
			left join suppliers s on s.supplier_id=t.supplier_id
			where f.refund_date=curdate() and f.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$deb_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']).$r['company_name'] ?></td>
					<td>Refund</td>
					<td class="right"><?php echo $r['amount'] ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//loan
			$q=qry('select
			  concat(u.fname, " ", u.lname) employee,
			  l.amount
			from loans l
			left join users u on u.user_id=l.user_id
			where u.branch_id=0 and loan_date=curdate()');
			while($r=mysqli_fetch_assoc($q)){
				$oth_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']*-1).$r['employee'] ?></td>
					<td>Cash Advance</td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"><?php echo $r['amount'] ?></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//loan payment
			$q=qry('select
			  concat(u.fname, " ", u.lname) employee,
			  p.amount
			from loan_payments p
			left join loans l on l.loan_id=p.loan_id
			left join users u on u.user_id=l.user_id
			where lp_date=curdate()');
			while($r=mysqli_fetch_assoc($q)){
				$deb_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']).$r['employee'] ?></td>
					<td>Cash Advance Payment</td>
					<td class="right"><?php echo $r['amount'] ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//capital
			$q=qry('select
			  concat(u.fname, " ", u.lname) employee,
			  c.amount
			from capitals c
			left join banks b on b.bank_id=c.bank_id
			left join users u on u.user_id=c.admin_id
			where c.bank_id="'.$bank_id.'" and b.account_id="'.$account_id.'" and c.draw_date=curdate() and c.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$oth_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']*-1).$r['employee'] ?></td>
					<td>Capital Expenditure</td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"><?php echo $r['amount'] ?></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//drawing
			$q=qry('select
			  concat(u.fname, " ", u.lname) employee,
			  d.amount
			from drawings d
			left join banks b on b.bank_id=d.bank_id
			left join users u on u.user_id=d.admin_id
			where d.bank_id="'.$bank_id.'" and b.account_id="'.$account_id.'" and d.draw_date=curdate() and d.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$oth_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']*-1).$r['employee'] ?></td>
					<td>Owner's Drawing</td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"><?php echo $r['amount'] ?></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//sale payment
			$q=qry('select
			  p.or_num,
			  c.company_name,
			  p.amount
			from cpayments p
			left join customers c on c.customer_id=p.customer_id
			left join banks b on b.bank_id=p.bank_id
			where p.bank_id=4 and b.account_id=1 and p.pdate=curdate() and p.refund_id=0 and p.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$deb_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']).$r['company_name'] ?></td>
					<td><?php echo $r['or_num'] ?></td>
					<td class="right"><?php echo $r['amount'] ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//expense
			$q=qry('select
			  e.amount,
			  t.extype_name
			from expenses e
			left join expense_types t on t.extype_id=e.extype_id
			where e.account_id="'.$account_id.'" and e.edate=curdate() and e.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$exp_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']*-1).$r['extype_name'] ?></td>
					<td></td>
					<td class="right"></td>
					<td class="right"><?php echo $r['amount'] ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//deposit / remittance
			$q=qry('select
			  t.ref_num,
			  t.amount
			from bank_transfers t
			left join banks b on b.bank_id=t.fr_bank_id
			where t.fr_bank_id="'.$bank_id.'" and b.account_id="'.$account_id.'" and t.bt_date=curdate() and t.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$dr_total+=$r['amount'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amount']*-1) ?></td>
					<td><?php echo $r['ref_num'] ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"><?php echo $r['amount'] ?></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//loan / payable expense
			$q=qry('select note, amt from ln where ln_date=curdate() and user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$oth_total+=$r['amt'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amt']*-1).$r['note'] ?></td>
					<td>Loan</td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"><?php echo $r['amt'] ?></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			//loan payment
			$q=qry('select
			  p.amt,
			  l.note
			from ln_pymt p
			left join ln l on l.ln_id=p.ln_id
			where p.pymt_date=curdate() and p.user_id="'.$user_id.'"');
			while($r=mysqli_fetch_assoc($q)){
				$deb_total+=$r['amt'];
				?>
				<tr>
					<td><?php echo hdn('rel_amt', $r['amt']).$r['note'] ?></td>
					<td>Loan Payment</td>
					<td class="right"><?php echo $r['amt'] ?></td>
					<td class="right"></td>
					<td class="right"></td>
					<td class="right"></td>
					<td id="bal" class="right"></td>
				</tr>
				<?php
			}
			?>
		</tbody>
		<tfoot><tr>
			<th colspan="2">TOTAL:</th>
			<th id="total_deb"><?php echo $deb_total ?></th>
			<th id="total_exp"><?php echo $exp_total ?></th>
			<th id="total_oth"><?php echo $oth_total ?></th>
			<th id="total_dr"><?php echo $dr_total ?></th>
			<th id="total_bal"><?php echo $bank_bal ?></th>
		</tr></tfoot>
	</table></div>
	<?php
	$bgn_bal=$bank_bal-($deb_total-$exp_total-$oth_total-$dr_total);
	echo hdn('bgn_bal', $bgn_bal).hdn('export_val');
	?>
	<script type="text/javascript">$(function(){
		var account_id=$('#account_id').val();
		$('#tab').tabs().css('margin-top', '10px');
		
		var bgn_bal=$('#bgn_bal').val()-0;
		$('.grd:eq(5)>tbody>tr:eq(1)').find('#bal').text(bgn_bal);
		$('[name="rel_amt"]').each(function(i){
			bgn_bal+=$(this).val()-0;
			$(this).parent().parent().find('#bal').text(bgn_bal);
		});
		$('.export').click(function(){
			$('#export_val').val($('#export_container').html());
			$('form').unbind('submit');
			$('form').attr('action', 'export-acct-cash-trx.php');
			$('form').submit();
		});
		//Payment from Customer
		$('#check_num').parent().parent().css('display', 'none');
		$('#check_date').parent().parent().css('display', 'none');
		$('#company_name').focus();

		$('#company_name').cbo({
			fld:[
				['company_name', 'Customer', ''],
				['or_num', 'Sale OR#', ''],
				['delivery_date', 'Delivery Date', 'dte'],
				['due_date', 'Due Date', 'dte'],
				['line_total', 'Total', 'dec'],
				['balance', 'Balance', 'dec'],
			],
			src:'vw_sale',
			con:'account_id="'+account_id+'" and balance>0',
			srt:'sale_id',
			lbl:'company_name',
			tag:[
				[$('#sale_id'), 'sale_id'],
				[$('#customer_id'), 'customer_id'],
				[$('#sale_or_num'), 'or_num'],
				[$('#delivery_date'), 'delivery_date'],
				[$('#due_date'), 'due_date'],
				[$('#line_total'), 'line_total'],
				[$('#balance'), 'balance'],
			],
		}).valid();
		$('#pymt_or_num').valid();
		$('#pymt_amount').valid(['', 'num', function(){
			return (($(this).val()-0)>($('#balance').text()-0))?'Please provide a value for Amount that is less than or equal to Balance':true;
		}, function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}]);
		$('#pmethod').change(function(){
			switch($(this).val()){case '': case 'Cash':
				$('#check_num').val('');
				$('#check_date').val('');
				$('#check_num').removeClass('ui-state-error').parent().find('.err').remove();
				$('#check_date').removeClass('ui-state-error').parent().find('.err').remove();
				$('#check_num').parent().parent().css('display', 'none');
				$('#check_date').parent().parent().css('display', 'none');
				break;
			break; case 'Check':
				$('#check_num').parent().parent().css('display', 'table-row');
				$('#check_date').parent().parent().css('display', 'table-row');
				break;
			break; default:}
		}).valid();
		$('#check_num').valid([function(){
			if($('#pmethod').val()=='Check')
				return $(this).val()==''?'Please provide a value.':true;
			else return true;
		}]);
		$('#check_date').valid([function(){
			if($('#pmethod').val()=='Check')
				return $(this).val()==''?'Please provide a value.':true;
			else return true;
		}, function(){
			if($('#pmethod').val()=='Check')
				return $.val_dte($(this).val())?true:'Please provide a value that is date.';
			else return true;
		}]);
		$('#pymt_notes').valid();
		$('#rst_pymt_cus').click(function(){
			$('#tab_pymt_cus').find('input, select, textarea').val('');
			$('#tab_pymt_cus').find('.sale_dtl').text('');
			$('#pmethod').change();
			$('#company_name').focus();
		});

		$('#btn_pymt_cus').click(function(){
			$('#tab_pymt_cus').find('input, select, textarea').blur();
			if($('#tab_pymt_cus').find('.err').length) return false;
			var c_payment_id=$.ins('cpayments', [
				['or_num', $('#pymt_or_num').val()],
				['customer_id', $('#customer_id').val()],
				['user_id', $('#user_id').val()],
				['sale_id', $('#sale_id').val()],
				['amount', $('#pymt_amount').val()],
				['pdate', $('#cash_date').val()],
				['pmethod', $('#pmethod').val()],
				['check_num', $('#check_num').val()],
				['check_date', $('#check_date').val()],
				['notes', $('#pymt_notes').val()],
				['good', 1],
				['bank_id', $('#bank_id').val()],
			], '');
			if(c_payment_id){
				$.fnx('acct_sale_pymt_ins', c_payment_id);
				var tr=$('#tr:eq(0)').clone().css('display', 'table-row').appendTo($('#tb'));
				tr.find('#cash_desc').text($('#company_name').val());
				tr.find('#cash_ref').text($('#pymt_or_num').val());
				tr.find('#deb_amt').text($('#pymt_amount').val());
				tr.find('#exp_amt').text('');
				tr.find('#oth_amt').text('');
				tr.find('#dr_amt').text('');
				var bal=tr.prev().find('#bal').text()-0;
				bal+=$('#pymt_amount').val()-0;
				tr.find('#bal').text(bal);
				var total_deb=$('#total_deb').text()-0;
				total_deb+=$('#pymt_amount').val()-0;
				$('#total_deb').text(total_deb);
				$('#total_bal').text(bal);
				alert('Payment from Customer has been Added.');
				$('#rst_pymt_cus').click();

			}else $.err('Could not Add Payment from Customer.<br>Something went wrong.<br>Please try again.');
		});

		//Expense
		$('#extype_id').valid();
		$('#exp_ref_num').valid();
		$('#exdesc').valid();
		$('#exp_amount').valid(['', 'num']);

		$('#rst_exp').click(function(){
			$('#tab_exp').find('input, select, textarea').val('');
			$('#extype_id').focus();
		});

		$('#btn_exp').click(function(){
			$('#tab_exp').find('input, select, textarea').blur();
			if($('#tab_exp').find('.err').length) return false;
			var expense_id=$.ins('expenses', [
				['account_id', $('#account_id').val()],
				['ref_num', $('#exp_ref_num').val()],
				['edate', $('#cash_date').val()],
				['extype_id', $('#extype_id').val()],
				['exdesc', $('#exdesc').val()],
				['amount', $('#exp_amount').val()],
				['user_id', $('#user_id').val()],
			], '');
			if(expense_id){
				$.fnx('exp_ins', expense_id);
				var tr=$('#tr:eq(0)').clone().css('display', 'table-row').appendTo($('#tb'));
				tr.find('#cash_desc').text($.fld('extype_name', 'expense_types', 'extype_id="'+$('#extype_id').val()+'"'));
				tr.find('#cash_ref').text('');
				tr.find('#deb_amt').text('');
				tr.find('#exp_amt').text($('#exp_amount').val());
				tr.find('#oth_amt').text('');
				tr.find('#dr_amt').text('');
				var bal=tr.prev().find('#bal').text()-0;
				bal-=$('#exp_amount').val()-0;
				tr.find('#bal').text(bal);
				var total_exp=$('#total_exp').text()-0;
				total_exp+=$('#exp_amount').val()-0;
				$('#total_exp').text(total_exp);
				$('#total_bal').text(bal);
				alert('Expense has been Added.');
				$('#rst_exp').click();
			}else $.err('Could not Add Expense.<br>Something went wrong.<br>Please try again.');
		});
		
		//Deposit / Remittance
		$('#bank_name').cbo({
			fld:[
				['bank_name', 'Bank Name', ''],
				['balance', 'Balance', 'dec'],
			],
			src:'banks',
			con:'bank_name!="UNDEPOSITED CASH"',
			lbl:'bank_name',
			tag:[
				[$('#to_bank_id'), 'bank_id'],
				[$('#to_bank_bal'), 'balance']
			],
		}).valid();
		$('#dr_ref_num').valid();
		$('#dr_amount').valid(['', 'num', function(){
			return ($(this).val()-0)>($('#fr_bank_bal').text()-0)?'Please provide a value that is less than or equal to UNDEPOSITED CASH Balance.':true;
		}]);
		$('#dr_notes').valid();
		
		$('#rst_dr').click(function(){
			$('#tab_dr').find('input, select, textarea').val('');
			$('#to_bank_bal').text('');
			$('#fr_bank_bal').text($.fld('balance', 'banks', 'bank_name="UNDEPOSITED CASH"'));
			$('#bank_name').focus();
		});
		
		$('#btn_dr').click(function(){
			$('#tab_dr').find('input, select, textarea').blur();
			if($('#tab_dr').find('.err').length) return false;
			var bt_id=$.ins('bank_transfers', [
				['bt_date', $('#cash_date').val()],
				['fr_bank_id', $('#bank_id').val()],
				['to_bank_id', $('#to_bank_id').val()],
				['ref_num', $('#dr_ref_num').val()],
				['amount', $('#dr_amount').val()],
				['user_id', $('#user_id').val()],
				['notes', $('#dr_notes').val()],
			], '');
			if(bt_id){
				$.fnx('bank_xfer_ins', bt_id);
				var tr=$('#tr:eq(0)').clone().css('display', 'table-row').appendTo($('#tb'));
				tr.find('#cash_desc').text($('#dr_ref_num').val());
				tr.find('#cash_ref').text('');
				tr.find('#deb_amt').text('');
				tr.find('#exp_amt').text('');
				tr.find('#oth_amt').text('');
				tr.find('#dr_amt').text($('#dr_amount').val());
				var bal=tr.prev().find('#bal').text()-0;
				bal-=$('#dr_amount').val()-0;
				tr.find('#bal').text(bal);
				var total_dr=$('#total_dr').text()-0;
				total_dr+=$('#dr_amount').val()-0;
				$('#total_dr').text(total_dr);
				$('#total_bal').text(bal);
				alert('Deposit / Remittance has been Added.');
				$('#rst_dr').click();
			}else $.err('Could not Add Deposit / Remittance.<br>Something went wrong.<br>Please try again.');
		});
		
		//Loan / Payable Expense
		$('#ln_note').valid();
		$('#ln_amt').valid(['', 'num'])
		$('#rst_ln').click(function(){
			$('#tab_ln').find('input, select, textarea').val('');
			$('#ln_note').focus();
		});
		$('#btn_ln').click(function(){
			$('#tab_ln').find('input, select, textarea').blur();
			if($('#tab_ln').find('.err').length) return false;
			var ln_id=$.ins('ln', [
				['ln_date', $('#cash_date').val()],
				['note', $('#ln_note').val()],
				['amt', $('#ln_amt').val()],
				['user_id', $('#user_id').val()],
			], '');
			if(ln_id){
				$.fnx('ln_ins', ln_id);
				var tr=$('#tr:eq(0)').clone().css('display', 'table-row').appendTo($('#tb'));
				tr.find('#cash_desc').text($('#ln_note').val());
				tr.find('#cash_ref').text('Loan');
				tr.find('#deb_amt').text('');
				tr.find('#exp_amt').text('');
				tr.find('#oth_amt').text($('#ln_amt').val());
				tr.find('#dr_amt').text('');
				var bal=tr.prev().find('#bal').text()-0;
				bal-=$('#ln_amt').val()-0;
				tr.find('#bal').text(bal);
				var total_oth=$('#total_oth').text()-0;
				total_oth+=$('#ln_amt').val()-0;
				$('#total_oth').text(total_oth);
				$('#total_bal').text(bal);
				alert('Loan has been Added.');
				$('#rst_ln').click();
			}else $.err('Could not Add Loan.<br>Something went Wrong.<br>Please try again.');
		});
		
		//Loan Payment
		$('#ll_note').cbo({
			fld:[
				['ln_date', 'Date', 'dte'],
				['note', 'Description', ''],
				['amt', 'Amount', 'dec'],
				['pymt', 'Payment', 'dec'],
				['bal', 'Balance', 'dec'],
				['encoder', 'Encoder', ''],
			],
			src:'vw_ln',
			con:'bal>0',
			lbl:'note',
			tag:[
				[$('#ln_id'), 'ln_id'],
				[$('#ln_bal'), 'bal'],
			],
		}).valid();
		$('#lp_amt').valid(['', 'num', function(){
			return $(this).val()-0>$('#ln_bal').text()-0?'Please provide a value that is less than or equal to Loan Balance.':true;
		}]);
		$('#lp_note').valid();
		$('#rst_lp').click(function(){
			$('#tab_lp').find('input, select, textarea').val('');
			$('#ln_id').val('');
			$('#ln_bal').text('');
			$('#ll_note').focus();
		});
		$('#btn_lp').click(function(){
			$('#tab_lp').find('input, select, textarea').blur();
			if($('#tab_lp').find('.err').length) return false;
			var pymt_id=$.ins('ln_pymt', [
				['ln_id', $('#ln_id').val()],
				['pymt_date', $('#cash_date').val()],
				['amt', $('#lp_amt').val()],
				['note', $('#lp_note').val()],
				['user_id', $('#user_id').val()],
			], '');
			if(pymt_id){
				$.fnx('ln_pymt_ins', pymt_id);
				var tr=$('#tr:eq(0)').clone().css('display', 'table-row').appendTo($('#tb'));
				tr.find('#cash_desc').text($('#ll_note').val());
				tr.find('#cash_ref').text('Loan Payment');
				tr.find('#deb_amt').text($('#lp_amt').val());
				tr.find('#exp_amt').text('');
				tr.find('#oth_amt').text('');
				tr.find('#dr_amt').text('');
				var bal=tr.prev().find('#bal').text()-0;
				bal+=$('#lp_amt').val()-0;
				tr.find('#bal').text(bal);
				var total_deb=$('#total_deb').text()-0
				total_deb+=$('#lp_amt').val()-0;
				$('#total_deb').text(total_deb);
				$('#total_bal').text(bal);
				alert('Loan Payment has been Added.');
				$('#rst_lp').click();				
			}else $.err('Could not Add Loan Payment.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>