<?php
ini_set('display_errors', 1);
set_time_limit(0);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Update Product Entry From Purchase');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_1() == true) {
		print_header(TITLE);
		print_navs();
		empty($_POST)?pre():post();
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function pre(){ ?>
	<div class="post">
		<h1 class="title">Sales to Branch Purchases</h1>
		<div class="entry">
			<form action="<?php echo basename(__FILE__); ?>" method="POST">
			<table>
				<tbody class="data">
					<tr class="odd">
						<td>Select Branch</td>
						<td><select name="branch_id">
							<option selected disabled> -- </option><?php
							$branch_details = sql_qry("SELECT branch_name, branch_id FROM branches WHERE active = 1 ORDER BY branch_name ASC");
							while($branch_detail = mysql_fetch_assoc($branch_details)){ ?>
							<option value="<?php echo $branch_detail['branch_id'] ?>"><?php echo $branch_detail['branch_name'] ?></option><?php
							}
							?>
						</select></td>
					</tr>
					<tr>
						<td colspan="2" align="center"><input type="submit" class="button blue" value="OK"></td>
					</tr>
				</tbody>
			</table>
			</form>
		</div>
		<p class="meta"></p>
	</div>
		
	</div><?php
}

function post(){
	$branch_id =  _GET_POST($_POST['branch_id']);
	$customer_id = sql_fld("customer_id", "customer_branches", "branch_id = $branch_id");
	$sale_ids = sql_qry("SELECT sale_id FROM sales WHERE customer_id = $customer_id");
	while($sale_ref = mysql_fetch_assoc($sale_ids)){
		$sale_id = $sale_ref['sale_id'];
		$purchase_id = sql_fld("purchase_id", "branch_purchases", "sale_id = $sale_id");
		if($purchase_id == ''){
			$sale_info = sql_rec("sales", "sale_id = $sale_id");
			$purchase_info = array(
				'branch_id'		=> $branch_id,
				'sale_id'		=> $sale_id,
				'delivery_date'	=> $sale_info['delivery_date'],
				'line_total'	=> $sale_info['line_total'],
				'balance'		=> $sale_info['balance']
			);
			$purchase_id = sql_ins("branch_purchases", $purchase_info);
			$sale_details = sql_qry("SELECT * FROM sale_details WHERE sale_id = $sale_id ORDER BY sd_id");
			while ($sale_detail = mysql_fetch_assoc($sale_details)) {
				$purchase_details = array(
					'purchase_id'	=> $purchase_id,
					'product_id'	=> $sale_detail['product_id'],
					'quantity'		=> $sale_detail['quantity'],
					'unit_price'	=> $sale_detail['unit_price'],
					'unit_discount'	=> $sale_detail['unit_discount'],
					'net_price'		=> $sale_detail['net_price']
				);
				sql_ins("bpurchase_details", $purchase_details);
			}
		} else {
			continue;
		}
		show_sale($sale_id);
		show_branch_purchase($purchase_id);
	}
}

?>