<?php
include 'i/php-cus.php';
hd('Add Account Remittance');
val_qry('acct_id', 'acct');
pre();
ft();
function pre(){
	$acct_id=$_GET['acct_id'];
	$acct_name=fld('acct_name', 'acct', 'acct_id="'.$acct_id.'"');
	if(val_date('rem_date')) $fld[]=array('Date Remitted', dte('rem_date', date_now()), '');
	$fld[]=array('Source Bank', txt('bank_name'), '');
	$fld[]=array('Balance', '<span id="bal"></span>');
	$fld[]=array('Amount', txt('amt', '', 'n'), '');
	$fld[]=array('Payment Method', sel('method', '', 'Cash; Check - Pending', 'Cash; Check'), '');
	$fld[]=array('Check No.', txt('check_no', '', 's'), '');
	$fld[]=array('Encashment Date', dte('enc_date'), '');
	$fld[]=array('Payment to Balance to Supplier', txt('sup_name'));
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('acct_id', $acct_id).hdn('bank_id').hdn('sup_id');
	$lnk=lnk('lst', 'View All', 'acct-rem.php', 'acct_id='.$acct_id, 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Account Remittance<br>'.$acct_name, $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		var acct_id=$('#acct_id').val();
		$('#rem_date').valid(['', 'dte']);
		$('#method').change(function(){
			$('#check_no').val('').parent().parent().css('display', 'none');
			$('#enc_date').val('').parent().parent().css('display', 'none');
			if($(this).val()=='Check - Pending'){
				$('#check_no').parent().parent().css('display', 'table-row');
				$('#enc_date').parent().parent().css('display', 'table-row');
			}
		}).change().valid();
		$('#amt').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			var bal=$.fld('bal', 'bank', 'bank_id="'+$('#bank_id').val()+'"');
			return $(this).val()-0>bal?'Please provide a value that is less than or equal to Bank Balance which is '+bal+'.':true;
		}, function(){
			if($('#sup_id').val()){
				var bal=$.fld('bal', 'sup', 'sup_id="'+$('#sup_id').val()+'"');
				return $(this).val()-0>bal?'Please provide a value that is less than or equal to Balance to Supplier which is '+bal+'.':true;
			}else return true;
		}]);
		$('#check_no').valid([function(){
			if($('#method').val()=='Check - Pending') return $(this).val()==''?'Please provide a value.':true;
			else return true;
		}]);
		$('#enc_date').valid(['dte', function(){
			if($('#method').val()=='Check - Pending') return $(this).val()==''?'Please provide a value.':true;
			else return true;
		}]);
		$('#bank_name').focus().cbo({
			fld:[
				['bank_name', 'Bank Name', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
				['bal', 'Balance', 'dec'],
			],
			src:'bank',
			srt:'bank_name',
			lbl:'bank_name',
			tag:[
				[$('#bank_id'), 'bank_id'],
				[$('#bal'), 'bal'],
			],
		}).valid();
		$('#sup_name').cbo({
			fld:[
				['sup_name', 'Supplier Name', ''],
				['contact_person', 'Contact Person', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
				['bal', 'Balance', 'dec'],
			],
			src:'sup',
			con:'acct_id="'+acct_id+'" and active=1',
			srt:'sup_name',
			lbl:'sup_name',
			tag:[
				[$('#sup_id'), 'sup_id'],
			],
		});
		$('#note').valid();
		
		$('#rst').click(function(){
			$('#bank_name').focus();
			$('#method').change();
			$('#bank_id').val('');
			$('#bal').text('');
			$('#sup_id').val('');
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var rem_id=$.ins('acct_rem');
			if(rem_id){
				$.fnx('acct_rem', rem_id, function(){
					$.ok('Account Remittance has been Added.');
					$('#rst').click();
				});
			}else $.err('Account Remittance was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>