<?php
include 'i/php-cus.php';
hd('Add Bank Transfer');
pre();
ft();
function pre(){
	if(val_date('xfer_date')) $fld[]=array('Date Transferred', dte('xfer_date', date_now()), '');
	$fld[]=array('Source Bank', txt('src_name'), '');
	$fld[]=array('Source Balance', '<span id="src_bal"></span>');
	$fld[]=array('Target Bank', txt('tar_name'), '');
	$fld[]=array('Target Balance', '<span id="tar_bal"></span>');
	$fld[]=array('Amount', txt('amt', '', 'n'), '');
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('src_id').hdn('tar_id');
	$lnk=lnk('lst', 'View All', 'bank-xfer.php', '', 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Bank Transfer', $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		$('#xfer_date').valid(['', 'dte']);
		$('#src_name').focus().cbo({
			fld:[
				['bank_name', 'Bank Name', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
				['bal', 'Balance', 'dec'],
			],
			src:'bank',
			srt:'bank_name',
			lbl:'bank_name',
			tag:[
				[$('#src_id'), 'bank_id'],
				[$('#src_bal'), 'bal'],
			],
		}).valid();
		$('#tar_name').cbo({
			fld:[
				['bank_name', 'Bank Name', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
				['bal', 'Balance', ''],
			],
			src:'bank',
			srt:'bank_name',
			lbl:'bank_name',
			tag:[
				[$('#tar_id'), 'bank_id'],
				[$('#tar_bal'), 'bal'],
			],
		}).valid(['', function(){
			return $('#tar_id').val()==$('#src_id').val()?'Please provide a value that is not equal to Source Bank.':true;
		}]);
		$('#amt').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			var bal=$.fld('bal', 'bank', 'bank_id="'+$('#src_id').val()+'"');
			return $(this).val()-0>bal?'Please provide a value that is less than or equal to Source Balance which is '+bal+'.':true;
		}]);
		$('#note').valid();
		
		$('#rst').click(function(){
			$('#src_name').focus();
			$('#src_id').val('');
			$('#src_bal').text('');
			$('#tar_id').val('');
			$('#tar_bal').text('');
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var xfer_id=$.ins('bank_xfer');
			if(xfer_id){
				$.fnx('bank_xfer', xfer_id, function(){
					$.ok('Bank Transfer has been Added.');
					$('#rst').click();
				});
			}else $.err('Bank Transfer was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>