<?php
include 'i/php-cus.php';
hd('Add Inventory Matching');
val_qry('house_id', 'house');
pre();
ft();
function pre(){
	$house_id=$_GET['house_id'];
	$house_name=fld('house_name', 'house', 'house_id="'.$house_id.'"');
	if(val_date('comp_date')) $fld[]=array('Date Matched', dte('comp_date', date_now()), '');
	$fld[]=array('Supplier', txt('sup_name'), '');
	$fld[]=array('Customer', txt('cus_name'), '');
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('house_id', $house_id).hdn('sup_id').hdn('sup_acct_id').hdn('cus_id').hdn('cus_acct_id').hdn('emp_id').hdn('usr_id', $_SESSION['usr_id']);
	$lnk=lnk('lst', 'View All', 'comp.php', 'house_id='.$house_id, 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Inventory Matching<br>'.$house_name, $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		$('#comp_date').focus().valid(['', 'dte']);
		$('#sup_name').cbo({
			fld:[
				['acct_name', 'Account', ''],
				['sup_name', 'Supplier Name', ''],
				['contact_person', 'Contact Person', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
			],
			src:'vw_sup',
			con:'active=1',
			srt:'sup_name',
			lbl:'sup_name',
			tag:[
				[$('#sup_id'), 'sup_id'],
				[$('#sup_acct_id'), 'acct_id'],
			],
		}).valid();
		$('#cus_name').cbo({
			fld:[
				['cus_name', 'Customer Name', ''],
				['contact_person', 'Contact Person', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
			],
			src:'cus',
			con:'active=1',
			srt:'cus_name',
			lbl:'cus_name',
			tag:[
				[$('#cus_id'), 'cus_id'],
				[$('#cus_acct_id'), 'acct_id'],
				[$('#emp_id'), 'emp_id'],
			],
		}).valid();
		$('#note').valid();
		
		$('#rst').click(function(){
			$('#sup_id').val('');
			$('#sup_acct_id').val('');
			$('#cus_id').val('');
			$('#cus_acct_id').val('');
			$('#emp_id').val('');
			$('#comp_date').focus();
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var comp_id=$.ins('comp');
			if(comp_id){
				var pur_id=$.ins('pur', [
					['acct_id', $('#sup_acct_id').val()],
					['house_id', $('#house_id').val()],
					['sup_id', $('#sup_id').val()],
					['pur_date', $('#comp_date').val()],
					['or_no', 'INV-comp-'+comp_id],
					['emp_id', $('#emp_id').val()],
					['rcv_date', $('#comp_date').val()],
					['note', 'Inventory Matching - '+$('#note').val()],
					['usr_id', $('#usr_id').val()],
				], '');
				$.fnx('pur', pur_id);
				var sale_id=$.ins('sale', [
					['acct_id', $('#cus_acct_id').val()],
					['sale_date', $('#comp_date').val()],
					['house_id', $('#house_id').val()],
					['cus_id', $('#cus_id').val()],
					['rcv_name', $.fld('emp_name', 'vw_emp', 'emp_id="'+$('#emp_id').val()+'"')],
					['note', 'Inventory Matching - '+$('#note').val()],
					['usr_id', $('#usr_id').val()],
				], '');
				$.fnx('sale', sale_id);
				$.upd('comp', [
					['pur_id', pur_id],
					['sale_id', sale_id],
				], 'comp_id="'+comp_id+'"', '');
				$.fnx('comp', comp_id, function(){
					$.ok('Inventory Matching has been Added.\nYou will now be redirected to Match Product.');
					window.location.href='comp-dtl.php?comp_id='+comp_id;	
				});
			}else $.err('Inventory Matching was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>