<?php
include 'i/php-cus.php';
hd('Add Product Conversion');
val_qry('house_id', 'house');
pre();
ft();
function pre(){
	$house_id=$_GET['house_id'];
	$house_name=fld('house_name', 'house', 'house_id="'.$house_id.'"');
	if(val_date('conv_date')) $fld[]=array('Date Converted', dte('conv_date', date('Y-m-d', time())), '');
	$fld[]=array('Source Product', txt('prod_name'), '');
	$fld[]=array('Stock', '<span id="good_qty"></span>');
	$fld[]=array('Source Quantity', txt('qty', '', 'n'), '');
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('house_id', $house_id).hdn('hp_id').hdn('src_id');
	$lnk=lnk('lst', 'View All', 'conv.php', 'house_id='.$house_id, 'img_lst', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Add Product Conversion<br>'.$house_name, $lnk, $hdn, $btn);
	?>
	<table class="grd" id="tar_lst"></table>
	<script type="text/javascript">$(function(){
		var house_id=$('#house_id').val();
		function com(){
			var qty=$('#qty').val()-0;
			var q=$.qry('select qty from vw_conv_tar where house_id="'+house_id+'" and src_id="'+$('#src_id').val()+'" and active=1 order by cat_name, man_name, prod_name');
			for(var i in q){
				var curr_stock=$('#tar_lst>tbody>tr').eq(i).find('td:eq(2)').text()-0;
				var conv_qty=q[i].qty*qty;
				var new_stock=curr_stock+conv_qty;
				$('#tar_lst>tbody>tr').eq(i).find('td:eq(3)').html(conv_qty);
				$('#tar_lst>tbody>tr').eq(i).find('td:eq(4)').html(new_stock);
			}
		}
		
		$('#tar_lst').grd({
			caption:'Target Product',
			fld:[
				['prod_code', 'Product Code', ''],
				['prod_name', 'Product Name', ''],
				['good_qty', 'Current Stock', 'dec'],
				['', 'Target Quantity', 'dec'],
				['', 'New Stock', 'dec'],
				['cat_name', 'Category', ''],
				['man_name', 'Manufacturer', ''],
				['rol', 'Re-Order Level', 'dec'],
			],
			src:'vw_conv_tar',
			con:'house_id="'+house_id+'" and src_id=0 and active=1',
			srt:'cat_name, man_name, prod_name',
			show_find:false,
		});
		
		$('#prod_name').focus().cbo({
			fld:[
				['prod_code', 'Product Code', ''],
				['prod_name', 'Product Name', ''],
				['good_qty', 'Stock', 'dec'],
				['cat_name', 'Category', ''],
				['man_name', 'Manufacturer', ''],
				['rol', 'Re-Order Level', 'dec'],
			],
			src:'vw_conv_src',
			srt:'cat_name, man_name, prod_name',
			con:'house_id="'+house_id+'" and active=1',
			lbl:'prod_name',
			tag:[
				[$('#hp_id'), 'hp_id'],
				[$('#src_id'), 'src_id'],
				[$('#good_qty'), 'good_qty'],
			],
			select:function(event, ui){
				$('#tar_lst').grd({
					con:'house_id="'+house_id+'" and src_id="'+ui.item.src_id+'" and active=1',
				});
				com();
			},
		}).valid();
		$('#qty').keyup(function(){
			com();
		}).valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			var good_qty=$.fld('good_qty', 'house_prod', 'hp_id="'+$('#hp_id').val()+'"')
			return $(this).val()-0>good_qty?'Please provide a value that is less than or equal to Stock which is '+good_qty+'.':true;
		}]);
		$('#note').valid();
		$('#rst').click(function(){
			$('#hp_id').val('');
			$('#src_id').val('');
			$('#tar_lst').grd({
				con:'house_id="'+house_id+'" and src_id=0 and active=1',
			});
			$('#prod_name').focus();
		});
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var conv_id=$.ins('conv');
			if(conv_id){
				$.fnx('conv', [
					'ret',
					conv_id,
					$('#hp_id').val(),
					$('#qty').val(),
				], function(){
					$.ok('Product Conversion has been Added.');
					$('#rst').click();
				});	
			}else $.err('Product Conversion was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>