<?php
include 'i/php-cus.php';
hd('Lump Sum - Customer');
val_qry('cus_id', 'cus');
pre();
ft();
function pre(){
	$cus_id=$_GET['cus_id'];
	$cus_name=fld('cus_name', 'cus', 'cus_id="'.$cus_id.'"');
	if(val_date('pymt_date')) $fld[]=array('Date Paid', dte('pymt_date', date_now()), '');
	$fld[]=array('OR No.', txt('or_no', '', 's'), '');
	$fld[]=array('Payment Method', sel('method', '', 'Cash; Check - Pending', 'Cash; Check'), '');
	$fld[]=array('Check No.', txt('check_no', '', 's'), '');
	$fld[]=array('Encashment Date', dte('enc_date'), '');
	$fld[]=array('Target Bank', txt('bank_name'), '');
	$fld[]=array('Balance', '<span id="bank_bal"></span>');
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('cus_id', $cus_id).hdn('bank_id').hdn('amt', 0);
	$lnk=lnk('lst', 'View Detail', 'cus-dtl.php', 'cus_id='.$cus_id, 'img_dtl', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Lump Sump<br>'.$cus_name, $lnk, $hdn, $btn);
	?>
	<table class="grd" id="sale_bal_lst"></table>
	<script type="text/javascript">$(function(){
		var cus_id=$('#cus_id').val();
		$('#sale_bal_lst').grd({
			caption:'Sale with Balance',
			fld:[
				['sale_id', '', '', 'chk'],
				['sale_date', 'Date Sold', 'dte'],
				['sale_id', 'OR No.', ''],
				['rcv_name', 'Received By', ''],
				['pur_id', 'Direct Delivery', 'bln'],
				['amt', 'Total', 'dec'],
				['pymt', 'Payment', 'dec'],
				['bal', 'Balance', 'dec'],
				['encoder', 'Encoder', ''],
			],
			ft:['', '', '', '', '', '', 'Total:', '<span id="total_bal"></span>', function(){
				$('#sale_bal_lst').find('[name="sale_id"]').each(function(){
					$(this).click(function(){
						var total=0;
						$('#sale_bal_lst').find('[name="sale_id"]:checked').each(function(){
							total+=$.fld('bal', 'vw_sale', 'sale_id="'+$(this).val()+'"')-0;
						});
						$('#amt').val(total);
						$('#total_bal').html($.dl({type:'dec', val:total}));
					});
				});
			}],
			src:'vw_sale',
			con:'cus_id="'+cus_id+'" and bal>0 and del_id=0',
			srt:'sale_date, sale_id',
			show_find:false,
		});
		$('#pymt_date').focus().valid(['', 'dte']);
		$('#or_no').valid();
		$('#method').change(function(){
			$('#check_no').parent().parent().css('display', 'none');
			$('#enc_date').parent().parent().css('display', 'none');
			$('#check_no').val('');
			$('#enc_date').val('');
			if($(this).val()=='Check - Pending'){
				$('#check_no').parent().parent().css('display', 'table-row');
				$('#enc_date').parent().parent().css('display', 'table-row');
			}
		}).change().valid();
		$('#check_no').valid([function(){
			if($('#method').val()=='Check - Pending') return $(this).val()==''?'Please provide a value.':true;
			else return true;
		}]);
		$('#enc_date').valid(['dte', function(){
			if($('#method').val()=='Check - Pending') return $(this).val()==''?'Please provide a value.':true;
			else return true;
		}]);
		$('#bank_name').cbo({
			fld:[
				['bank_name', 'Bank Name', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
				['bal', 'Balance', 'dec'],
			],
			src:'bank',
			srt:'bank_name',
			lbl:'bank_name',
			tag:[
				[$('#bank_id'), 'bank_id'],
				[$('#bank_bal'), 'bal'],
			],
		}).valid();
		$('#note').valid();
		
		$('#rst').click(function(){
			$('#method').change();
			$('#bank_id').val('');
			$('#amt').val(0);
			$('#pymt_date').focus();
		});
		
		$('form').submit(function(){
			if($('#amt').val()-0<=0){
				$.err('Please select at least one Sale with Balance.');
				return false;
			}	
			if($.val_sbt('form')) return false;
			
			var sale_id=[];
			$('#sale_bal_lst').find('[name="sale_id"]').each(function(i){
				if($(this).is(':checked')) sale_id[sale_id.length]=$(this).val();
			});
			$.fnx('cus_lump', [
				sale_id,
				$('#pymt_date').val(),
				$('#or_no').val(),
				$('#method').val(),
				$('#check_no').val(),
				$('#enc_date').val(),
				$('#bank_id').val(),
				$('#note').val()
			], function(){
				$.ok('Lump Sum Payment to Customer has been Added.');
				$('#sale_bal_lst').grd();
				$('#rst').click();
			});
		});
	});</script>
	<?php
}
?>