<?php
include 'i/php-cus.php';
hd('Edit Customer');
val_qry('cus_id', 'cus');
pre();
ft();
function pre(){
	$cus_id=$_GET['cus_id'];
	$r=rec('vw_cus', 'cus_id="'.$cus_id.'"');
	$fld[]=array('Account', $r['acct_name']);
	$fld[]=array('Customer Name', txt('cus_name', $r), '');
	$fld[]=array('Contact Person', txt('contact_person', $r), '');
	$fld[]=array('Contact No.', txt('contact_no', $r, 'n'), '');
	$fld[]=array('Address', txt('address', $r, 'l'), '');
	$fld[]=array('Credit Limit', number_format($r['cl'], 2));
	$fld[]=array('Allowed Unpaid Receipt', number_format($r['aur']));
	$fld[]=array('Agent', txt('emp_name', $r), '');
	$fld[]=array('Related Account', sel('ra_id', $r, 'acct_id', 'acct_name', 'acct', '', 'acct_name'));
	$fld[]=array('Related Warehouse', sel('house_id', $r, 'house_id', 'house_name', 'house', '', 'house_name'));
	$fld[]=array('Related Supplier', txt('sup_name', $r));
	$fld[]=array('Active', chk('active', $r));
	$fld[]=array('Refundable', number_format($r['ref'], 2));
	$fld[]=array('Outstanding Balance', number_format($r['bal'], 2));
	$fld[]=array('Immediately Due', number_format($r['due'], 2));
	$fld[]=array('Updaid Receipt', number_format($r['ur']));
	$fld[]=array('Last Transaction Date', $r['trx_date']!='0000-00-00'?date('M d, Y', strtotime($r['trx_date'])):'');
	$hdn=hdn('o_cus_id', $cus_id).hdn('emp_id', $r).hdn('o_cus_name', $r['cus_name']).hdn('sup_id', $r);
	$lnk=lnk('lst', 'View All', 'cus.php', 'acct_id='.$r['acct_id'], 'img_lst', '', 'btn')
	.lnk('dtl', 'View Detail', 'cus-dtl.php', 'cus_id='.$cus_id, 'img_dtl', '', 'btn')
	.lnk('ins', 'Add', 'cus-ins.php', 'acct_id='.$r['acct_id'], 'img_ins', '', 'btn')
	.lnk('del', 'Delete', 'cus-del.php', 'cus_id='.$cus_id, 'img_del', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Edit Customer', $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		var cus_id=$('#o_cus_id').val();
		var acct_id=$.fld('acct_id', 'cus', 'cus_id="'+cus_id+'"');
		$('#cus_name').focus().valid(['', function(){
			if($(this).val()!=$('#o_cus_name').val())
				return $.rec('cus', 'acct_id="'+acct_id+'" and cus_name="'+$(this).val()+'"')?'Please provide a value that is not yet existing.':true;
			else return true;
		}]);
		$('#contact_person').valid();
		$('#contact_no').valid();
		$('#address').valid();
		$('#cl').valid(['', 'num']);
		$('#aur').valid(['', 'num']);
		$('#emp_name').cbo({
			fld:[
				['emp_name', 'Employee', ''],
				['pos_name', 'Position', ''],
			],
			src:'vw_emp',
			con:'active=1',
			srt:'emp_name',
			lbl:'emp_name',
			tag:[
				[$('#emp_id'), 'emp_id'],
			],
		}).valid();
		$('#house_id').valid([function(){
			if($('#ra_id').val()=='') return $(this).val()==''?true:'Please do not provide a value.';
			else return $(this).val()==''?'Please provide a value.':true;
		}]);
		$('#sup_name').cbo({
			fld:[
				['sup_name', 'Supplier Name', ''],
				['contact_person', 'Contact Person', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
			],
			src:'vw_sup',
			con:function(){
				return 'active=1 and acct_id="'+$('#ra_id').val()+'"';
			},
			srt:'sup_name',
			lbl:'sup_name',
			tag:[
				[$('#sup_id'), 'sup_id'],
			],
		}).valid([function(){
			if($('#ra_id').val()=='') return $(this).val()==''?true:'Please do not provide a value.';
			else return $(this).val()==''?'Please provide a value.':true;
		}]);
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var r=$.upd('cus', '', 'cus_id="'+cus_id+'"');
			r?$.ok('Customer has been Edited.'):$.err('Customer was not Edited.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>