<?php
include 'i/php-cus.php';
hd('Add Directly Delivered Product');
val_qry('pur_id', 'vw_dlv');
$pur_id=$_GET['pur_id'];
val_diu(fld('pur_date', 'vw_dlv', 'pur_id="'.$pur_id.'"'));
$lnk='<br><br>'.lnk('dtl', 'View Direct Delivery Detail', 'dlv-dtl.php', 'pur_id='.$pur_id, 'img_dtl', '', 'btn');
val_del('vw_dlv', 'pur_id="'.$pur_id.'" and del_id!=0', '', 'Could not Add Directly Delivered Product.<br>Please make sure that this Direct Delivery is not yet Deleted.'.$lnk);
pre();
ft();
function pre(){
	$pur_id=$_GET['pur_id'];
	$house_id=fld('house_id', 'vw_dlv', 'pur_id="'.$pur_id.'"');
	dlv_dtl($pur_id);
	$fld[]=array('Product', txt('prod_name'), '');
	$fld[]=array('Quantity', txt('qty', '', 's'), '');
	$fld[]=array('Acquisition Price', txt('price', '', 'n'), '');
	$fld[]=array('Acquisition Discount', txt('pdisc', '', 's'), '');
	$fld[]=array('Acquisition Total', '<span id="amt"></span>', 'right');
	$fld[]=array('Selling Price', txt('price_out', '', 'n'), '');
	$fld[]=array('Selling Discount', txt('sdisc', '', 's'), '');
	$fld[]=array('Selling Total', '<span id="samt"></span>', 'right');
	$fld[]=array('', sbt('add', 'Add'), 'center');
	$hdn=hdn('house_id', $house_id).hdn('hp_id');
	echo gem($fld, 'Add Directly Delivered Product', '', $hdn, 'dlv_prod_ent');
	dlv_prod_lst($pur_id);
	?>
	<script type="text/javascript">$(function(){
		var pur_id=$('#d_pur_id').val();
		var house_id=$('#house_id').val();
		var sale_id=$.fld('sale_id', 'sale', 'pur_id="'+pur_id+'"');
		
		function com_pur(){
			var qty=$('#qty').val()-0;
			var price=$('#price').val()-0;
			var disc=$('#pdisc').val()-0;
			$('#amt').text((price-disc)*qty);
		}
		function com_sale(){
			var qty=$('#qty').val()-0
			var price=$('#price_out').val()-0;
			var disc=$('#sdisc').val()-0;
			$('#samt').text((price-disc)*qty);
		}
		
		$('#prod_name').focus().cbo({
			fld:[
				['prod_code', 'Product Code', ''],
				['prod_name', 'Product Name', ''],
				['acq_price', 'Acquisition Price', 'dec'],
				['sell_price', 'Selling Price', 'dec'],
				['pricea', 'Price A', 'dec'],
				['priceb', 'Price B', 'dec'],
				['pricec', 'Price C', 'dec'],
				['priced', 'Price D', 'dec'],
			],
			src:'vw_house_prod',
			con:'house_id="'+house_id+'" and active=1',
			srt:'cat_name, man_name, prod_name',
			lbl:'prod_name',
			tag:[
				[$('#hp_id'), 'hp_id'],
				[$('#price'), 'acq_price'],
				[$('#price_out'), 'sell_price'],
			],
			select:function(event, ui){
				com_pur();
				com_sale();
			}
		}).valid(['', function(){
			return $.rec('vw_dlv_prod', 'hp_id="'+$('#hp_id').val()+'" and del_id=0')?'Please provide a value that is not yet existing.':true;
		}]);
		$('#qty').keyup(function(){
			com_pur();
			com_sale();
		}).valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}]);
		$('#price').keyup(function(){
			com_pur();
		}).valid(['', 'num', function(){
			return $(this).val()-0<0?'Please provide a value that is greater than or equal to 0.':true;
		}]);
		$('#pdisc').keyup(function(){
			com_pur();
		}).valid(['num', function(){
			var acq_price=$('#price').val()-0;
			return $(this).val()-0>acq_price?'Please provide a value that is less than Acquisition Price.':true;
		}]);
		$('#price_out').keyup(function(){
			com_sale();
		}).valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			var acq_price=($('#price').val()-0)-($('#pdisc').val()-0);
			var sell_price=($('#price_out').val()-0)-($('#sdisc').val()-0);
			return sell_price<=acq_price?'Please provide a value that is greater than Discounted Acquisition Price which is '+acq_price+'.':true;
		}]);
		$('#sdisc').keyup(function(){
			com_sale();
		}).valid(['num', function(){
			return $(this).val()-0<0?'Please provide a value that is greater than or equal to 0.':true;
		}, function(){
			var acq_price=($('#price').val()-0)-($('#pdisc').val()-0);
			var sell_price=($('#price_out').val()-0)-($('#sdisc').val()-0);
			return sell_price<=acq_price?'Please provide a value that is greater than Discounted Acquisition Price which is '+acq_price+'.':true;
		}]);
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var pi_id=$.ins('pi', [
				['rel_name', 'pur'],
				['rel_id', pur_id],
				['disc', $('#pdisc').val()],
			]);
			if(pi_id){
				var grp_id=$.ins('grp', [
					['grp_id', ''],
				]);
				$.ins('po', [
					['grp_id', grp_id],
					['rel_name', 'sale'],
					['rel_id', sale_id],
					['pi_id', pi_id],
					['price_in', ($('#price').val()-0)-($('#pdisc').val()-0)],
					['disc', $('#sdisc').val()],
				]);
				$.fnx('dlv_prod', pi_id, function(){
					$('#hp_id').val('');
					$('#prod_name').val('').focus();
					$('#qty').val('');
					$('#price').val('');
					$('#pdisc').val('');
					$('#amt').text('');
					$('#price_out').val('');
					$('#sdisc').val('');
					$('#samt').text('');
					$('#dlv_prod_lst').grd();
					$('#dlv_dtl').dtl({
						src:'vw_dlv',
						con:'pur_id="'+pur_id+'"',
					});
				});
			}else $.err('Directly Delivered Product was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>