<?php
include 'i/php-cus.php';
hd('Edit Product Conversion Table');
val_qry('pct_id', 'pct');
pre();
ft();
function pre(){
	$pct_id=$_GET['pct_id'];
	$r=rec('vw_pct', 'pct_id="'.$pct_id.'"');
	$fld[]=array('Source Product', txt('src_name', $r), '');
	$fld[]=array('Converted Product', txt('tar_name', $r), '');
	$fld[]=array('Converted Quantity per Source', txt('qty', $r, 'n'), '');
	$hdn=hdn('o_pct_id', $pct_id).hdn('src_id', $r).hdn('tar_id', $r).hdn('o_src_id', $r['src_id']).hdn('o_tar_id', $r['tar_id']);
	$lnk=lnk('lst', 'View All', 'pct.php', '', 'img_lst', '', 'btn')
	.lnk('ins', 'Add', 'pct-ins.php', '', 'img_ins', '', 'btn')
	.lnk('del', 'Delete', 'pct-del.php', 'pct_id='.$pct_id, 'img_del', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Edit Product Conversion Table', $lnk, $hdn, $btn);
	?>
	<script type="text/javascript">$(function(){
		$('#src_name').focus().cbo({
			fld:[
				['prod_code', 'Product Code', ''],				
				['prod_name', 'Product Name', ''],				
				['cat_name', 'Category', ''],				
				['man_name', 'Manufacturer', ''],				
			],
			src:'vw_prod',
			srt:'cat_name, man_name, prod_name',
			lbl:'prod_name',
			tag:[
				[$('#src_id'), 'prod_id'],
			],
		}).valid();
		$('#tar_name').cbo({
			fld:[
				['prod_code', 'Product Code', ''],
				['prod_name', 'Product Name', ''],
				['cat_name', 'Category', ''],
				['man_name', 'Manufacturer', ''],
			],
			src:'vw_prod',
			srt:'cat_name, man_name, prod_name',
			lbl:'prod_name',
			tag:[
				[$('#tar_id'), 'prod_id'],
			],	
		}).valid(['', function(){
			return $('#tar_id').val()==$('#src_id').val()?'Please provide a value that is not equal to Source Product.':true;
		}, function(){
			if($('#src_id').val()!=$('#o_src_id').val()||$('#tar_id').val()!=$('#o_tar_id').val())
				return $.rec('pct', 'src_id="'+$('#src_id').val()+'" and tar_id="'+$('#tar_id').val()+'"')?'Please provide a value that is not yet existing.':true;
			else return true;
		}]);
		$('#qty').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}]);
		$('#rst').click(function(){
			$('#src_id').val('');
			$('#tar_id').val('');
			$('#src_name').focus();
		});
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var pct_id=$('#o_pct_id').val();
			var r=$.upd('pct', '', 'pct_id="'+pct_id+'"');
			r?$.ok('Product Conversion Table has been Edited.'):$.err('Product Conversion Table was not Edited.<br.Something went wrong.<br>Please try again.');
		});		
	});</script>
	<?php
}
?>