<?php
include 'i/php-cus.php';
hd('Add Returned Product from Customer');
val_qry('ret_id', 'ret_cus');
$ret_id=$_GET['ret_id'];
val_diu(fld('ret_date', 'ret_cus', 'ret_id="'.$ret_id.'"'));
$lnk='<br><br>'.lnk('dtl', 'View Product Return from Customer Detail', 'ret-cus-dtl.php', 'ret_id='.$ret_id, 'img_dtl', '', 'btn');
val_del('ret_cus', 'ret_id="'.$ret_id.'" and del_id!=0', '', 'Could not Add Returned Product from Customer.<br>Please make sure that this Product Return from Customer is not yet Deleted.'.$lnk);
pre();
ft();
function pre(){
	$ret_id=$_GET['ret_id'];
	$house_id=fld('house_id', 'ret_cus', 'ret_id="'.$ret_id.'"');
	ret_cus_dtl($ret_id);
	$fld[]=array('Status', sel('good', '1', '1; 0', 'Good; Damaged'), '');
	$fld[]=array('Product', txt('prod_name'), '');
	$fld[]=array('Acquisition Price', txt('price', '', 'n'), '');
	$fld[]=array('Selling Price', txt('sell_price', '', 'n'), '');
	$fld[]=array('Discount', txt('sell_disc', '', 'n'), '');
	$fld[]=array('Quantity', txt('qty', '', 'n'), '');
	$fld[]=array('Total', '<span id="amt"></span>', 'right');
	$fld[]=array('', sbt('add', 'Add'), 'center');
	$hdn=hdn('house_id', $house_id).hdn('hp_id');
	echo gem($fld, 'Add Returned Product from Customer', '', $hdn, 'ret_cus_prod_ent');
	ret_cus_prod_lst($ret_id);
	?>
	<script type="text/javascript">$(function(){
		var house_id=$('#house_id').val();
		var ret_id=$('#d_ret_id').val();
		
		function com(){
			var sell_price=$('#sell_price').val()-0;
			var sell_disc=$('#sell_disc').val()-0;
			var qty=$('#qty').val();
			$('#amt').text((sell_price-sell_disc)*qty);
		}
		
		$('#good').valid();
		$('#prod_name').focus().cbo({
			fld:[
				['prod_code', 'Product Code', ''],
				['prod_name', 'Product Name', ''],
				['acq_price', 'Acquisition Price', 'dec'],
				['sell_price', 'Selling Price', 'dec'],
				['cat_name', 'Category', ''],
				['man_name', 'Manufacturer', ''],
				['rol', 'Re-Order Level', 'dec'],
			],
			src:'vw_house_prod',
			con:'house_id="'+house_id+'" and active=1',
			srt:'cat_name, man_name, prod_name',
			lbl:'prod_name',
			tag:[
				[$('#hp_id'), 'hp_id'],
				[$('#price'), 'acq_price'],
				[$('#sell_price'), 'sell_price'],
			],
			select:function(event, ui){
				com();
			},
		}).valid(['', function(){
			return $.rec('pi', 'rel_name="ret_cus" and rel_id="'+ret_id+'" and hp_id="'+$('#hp_id').val()+'" and good="'+$('#good').val()+'" and del_id=0')?'Please provide a value that is not yet existing.':true;
		}]);
		$('#price').valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}]);
		$('#sell_price').keyup(function(){
			com();
		}).valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}]);
		$('#sell_disc').keyup(function(){
			com();
		}).valid(['num', function(){
			return $(this).val()-0>=$('#sell_price').val()-0?'Please provide a value that is less than Selling Price.':true;
		}]);
		$('#qty').keyup(function(){
			com();
		}).valid(['', 'num', function(){
			return $(this).val()-0<=0?'Please provide a value that is greater than 0.':true;
		}, function(){
			var rh_id=$.fld('house_id', 'ret_sup', 'rr_id="'+ret_id+'"');
			if(rh_id){
				var prod_id=$.fld('prod_id', 'house_prod', 'hp_id="'+$('#hp_id').val()+'"');
				var good_qty=$.fld('good_qty', 'house_prod', 'house_id="'+rh_id+'" and prod_id="'+prod_id+'"')-0;
				return $('#qty').val()-0>good_qty?'Please provide a value that is less than or equal to '+good_qty+'.':true;
			}else return true;
		}]);
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			var pi_id=$.ins('pi', [
				['rel_name', 'ret_cus'],
				['rel_id', ret_id],
				['bal', function(){
					return $('#good').val()=='1'?$('#qty').val():0;
				}],
			]);
			if(pi_id){
				$.fnx('ret_cus_prod', pi_id, function(){
					$('#ret_cus_prod_lst').grd();
					$('#ret_cus_dtl').dtl({
						src:'vw_ret_cus',
						con:'ret_id="'+ret_id+'"',
					});
					$('#hp_id').val('');
					$('#good').val(1);
					$('#prod_name').val('').focus();
					$('#price').val('');
					$('#sell_price').val('');
					$('#sell_disc').val('');
					$('#qty').val('');
					$('#amt').text('');
				});
			}else $.err('Returned Product from Customer was not Added.<br>Something went wrong.<br>Please try again.');
		});
	});</script>
	<?php
}
?>