<?php
include 'i/php-cus.php';
hd('Warehouse Gross Value Report');
val_qry('house_id', 'house');
pre();
ft();
function pre(){
	$house_id=$_GET['house_id'];
	$house_name=fld('house_name', 'house', 'house_id="'.$house_id.'"');
	$fld[]=array('Category', txt('cat_name'));
	$fld[]=array('Manufacturer', txt('man_name'));
	$hdn=hdn('house_id', $house_id).hdn('cat_id').hdn('man_id');
	$lnk=lnk('lst', 'View All', 'house-prod.php', 'house_id='.$house_id, 'img_lst', '', 'btn')
	.lnk('print', 'Print', '', '', 'img_print', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Warehouse Gross Value Report<br>'.$house_name, $lnk, $hdn, $btn);
	?>
	<div id="rpt"><table class="grd" id="rpt_house_prod_inv"></table></div>
	<script type="text/javascript">$(function(){
		var house_id=$('#house_id').val();
		var house_name=$.fld('house_name', 'house', 'house_id="'+house_id+'"');
		
		$('.print').click(function(){
			window.open('print.php');
		});
		
		$('#cat_name').cbo({
			fld:[
				['cat_name', 'Category Name', ''],
			],
			src:'cat',
			srt:'cat_name',
			lbl:'cat_name',
			tag:[
				[$('#cat_id'), 'cat_id'],
			],
		});
		$('#man_name').cbo({
			fld:[
				['man_name', 'Manufacturer Name', ''],
			],
			src:'man',
			srt:'man_name',
			lbl:'man_name',
			tag:[
				[$('#man_id'), 'man_id'],
			],
		});
		
		$('#rst').click(function(){
			$('#cat_id').val('').focus();
			$('#man_id').val('');
			$('#rpt').val('');
		});
		
		$('form').submit(function(){
			$('#rpt_house_prod_inv').find('thead>tr>th[colspan="10"]').html(function(){
				alert('Hello World');
				var smt='Warehouse Gross Value Report<br>Warehouse: '+house_name;
				if($('#cat_id').val()!='') smt+='<br>Category: '+$('#cat_name').val();
				if($('#man_id').val()!='') smt+='<br>Manufacturer: '+$('#man_name').val();
				return smt;
			});
			$('#rpt_house_prod_inv').grd();
			$('#cat_name').focus();
		});
		
		$('#rpt_house_prod_inv').grd({
			caption:'Warehouse Gross Value Report<br>Warehouse: '+house_name,
			fld:[
				['cat_name', 'Category', ''],
				['man_name', 'Manufacturer', ''],
				['prod_code', 'Product Code', ''],
				['prod_name', 'Product Name', ''],
				['rol', 'Re-Order Level', 'dec'],
				['acq_price', 'Acquisition Price', 'dec'],
				['lbl_good_qty', 'Quantity', 'right'],
				['good_amt', 'Gross Value', 'dec'],
				['bad_qty', 'Damaged Quantity', 'dec'],
				['bad_amt', 'Damaged Value', 'dec'],
			],
			ft:['', '', '', '', '', 'Total:', function(){
				var total=$.fld('sum(good_qty)', 'vw_house_prod', function(){
					var smt='house_id="'+house_id+'" and active=1';
					if($('#cat_id').val()!='') smt+=' and cat_id="'+$('#cat_id').val()+'"';
					if($('#man_id').val()!='') smt+=' and man_id="'+$('#man_id').val()+'"';
					return smt;
				});
				total=$.dl({type:'dec', val:total});
				return total;
			}, function(){
				var total=$.fld('sum(good_amt)', 'vw_house_prod', function(){
					var smt='house_id="'+house_id+'" and active=1';
					if($('#cat_id').val()!='') smt+=' and cat_id="'+$('#cat_id').val()+'"';
					if($('#man_id').val()!='') smt+=' and man_id="'+$('#man_id').val()+'"';
					return smt;
				});
				total=$.dl({type:'dec', val:total});
				return total;
			}, function(){
				var total=$.fld('sum(bad_qty)', 'vw_house_prod', function(){
					var smt='house_id="'+house_id+'" and active=1';
					if($('#cat_id').val()!='') smt+=' and cat_id="'+$('#cat_id').val()+'"';
					if($('#man_id').val()!='') smt+=' and man_id="'+$('#man_id').val()+'"';
					return smt;
				});
				total=$.dl({type:'dec', val:total});
				return total;
			}, function(){
				var total=$.fld('sum(bad_amt)', 'vw_house_prod', function(){
					var smt='house_id="'+house_id+'" and active=1';
					if($('#cat_id').val()!='') smt+=' and cat_id="'+$('#cat_id').val()+'"';
					if($('#man_id').val()!='') smt+=' and man_id="'+$('#man_id').val()+'"';
					return smt;
				});
				total=$.dl({type:'dec', val:total});
				return total;
			}],
			src:'vw_house_prod',
			con:function(){
				var smt='house_id="'+house_id+'" and active=1';
				if($('#cat_id').val()!='') smt+=' and cat_id="'+$('#cat_id').val()+'"';
				if($('#man_id').val()!='') smt+=' and man_id="'+$('#man_id').val()+'"';
				return smt;
			},
			srt:'cat_name, man_name, prod_name',
			show_find:false,
		});
		
		$('#cat_name').focus();
	});</script>
	<?php
}
?>