<?php
include 'i/php-cus.php';
val_qry('acct_id', 'acct');
hd('Supplier Log');
pre();
ft();
function pre(){
	$acct_id=$_GET['acct_id'];
	$acct_name=fld('acct_name', 'acct', 'acct_id="'.$acct_id.'"');
	$fld[]=array('Supplier', txt('sup_name'), '');
	$fld[]=array('From', dte('from', date_now()), '');
	$fld[]=array('To', dte('to', date_now()), '');
	$hdn=hdn('acct_id', $acct_id).hdn('sup_id', -1);
	$lnk=lnk('print', 'Print', '', '', 'img_print', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Supplier Log<br>'.$acct_name, $lnk, $hdn, $btn);
	?>
	<div id="rpt"><table class="grd" id="sup_log"></table></div>
	<script type="text/javascript">$(function(){
		$('.print').click(function(){
			window.open('print.php');
		});
		
		$('#sup_name').focus().cbo({
			fld:[
				['sup_name', 'Supplier Name', ''],
				['contact_person', 'Contact Person', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
			],
			src:'sup',
			srt:'sup_name',
			lbl:'sup_name',
			tag:[
				[$('#sup_id'), 'sup_id'],
			],
		}).valid();
		$('#from').valid('dte');
		$('#to').valid('dte');
		
		$('#rst').click(function(){
			$('#sup_id').val('');
			$('#sup_name').focus();
		});
		
		$('form').submit(function(){
			if($.val_sbt('form')) return false;
			$('#sup_log').grd();
			$('#sup_log').find('thead>tr>th[colspan="7"]').html(function(){
				var smt='Supplier Log<br>Supplier: '+$('#sup_name').val()+'<br>';
				var from=$.dl({type:'dte', val:$('#from').val(), ent:null});
				var to=$.dl({type:'dte', val:$('#to').val(), ent:null});
				if(from!='') smt+='From '+from;
				if(to!='') smt+=' To '+to;
				return smt;
			});
			$('#sup_name').focus();
		});
		
		$('#sup_log').grd({
			caption:function(){
				var smt='Supplier Log<br>Supplier: '+$('#sup_name').val()+'<br>';
				var from=$.dl({type:'dte', val:$('#from').val(), ent:null});
				var to=$.dl({type:'dte', val:$('#to').val(), ent:null});
				if(from!='') smt+='From '+from;
				if(to!='') smt+=' To '+to;
				return smt;
			},
			fld:[
				['encoder', 'Encoder', ''],
				['log_date', 'Date Encoded', 'dte'],
				['log_desc', 'Description', ''],
				['sup_inc', 'Debit', 'dec'],
				['sup_dec', 'Credit', 'dec'],
				['sup_bal', 'Balance', 'dec'],
				['', '', 'center', 'lnk', 'url', ['rel_id'], 'img_dtl', 'View Detail'],
			],
			src:'vw_usr_log',
			con:function(){
				var smt='sup_id="'+$('#sup_id').val()+'"';
				if($('#from').val()!=''&&$('#to').val()!='') smt+=' and log_date between "'+$('#from').val()+'" and "'+$('#to').val()+'"';
				else if($('#from').val()!=''&&$('#to').val()=='') smt+=' and log_date >="'+$('#from').val()+'"';
				else if($('#from').val()==''&&$('#to').val()!='') smt+=' and log_date <="'+$('#to').val()+'"';
				return smt;
			},
			show_srt:false,
		});
	});</script>
	<?php
}
function post(){
	pre($_POST);
	$caption='Supplier Log<br>'.fld('sup_name', 'sup', 'sup_id="'.$_POST['sup_id'].'"').'<br>'
	.($_POST['from']?'From '.date('M d, Y', strtotime($_POST['from'])):'').($_POST['to']?' To '.date('M d, Y', strtotime($_POST['to'])):'');
	$smt='select * from vw_usr_log where sup_id="'.$_POST['sup_id'].'" and log_date ';
	if($_POST['from']&&$_POST['to']) $smt.='between "'.$_POST['from'].'" and "'.$_POST['to'].'"';
	elseif($_POST['from']&&!$_POST['to']) $smt.='>="'.$_POST['from'].'"';
	elseif(!$_POST['from']&&$_POST['to']) $smt.='<="'.$_POST['to'].'"';
	else $smt=str_replace(' and log_date ', '', $smt);
	?>
	<div id="fra"><table class="grd">
		<thead>
			<tr><th colspan="6"><?php echo $caption ?></th></tr>
			<tr>
				<th>Encoder</th>
				<th>Date<br>Encoded</th>
				<th>Description</th>
				<th>Debit</th>
				<th>Credit</th>
				<th>Balance</th>
			</tr>
		</thead>
		<tbody>
			<?php
			$q=qry($smt);
			if(!mysqli_num_rows($q)){
				?>
				<tr><td colspan="6">No result(s) found.</td></tr>
				<?php
			}else{
				while($r=mysqli_fetch_assoc($q)){
					?>
					<tr>
						<td><?php echo $r['encoder'] ?></td>
						<td class="center"><?php echo date('M d, Y', strtotime($r['log_date'] ))?></td>
						<td><?php echo $r['log_desc'] ?></td>
						<td class="right"><?php echo number_format($r['sup_inc'], 2) ?></td>
						<td class="right"><?php echo number_format($r['sup_dec'], 2) ?></td>
						<td class="right"><?php echo number_format($r['sup_bal'], 2) ?></td>
					</tr>
					<?php
				}
			}
			?>
		</tbody>
	</table></div>
	<?php
}
?>