<?php
include 'i/php-cus.php';
hd('Lump Sum - Supplier');
val_qry('sup_id', 'sup');
pre();
ft();
function pre(){
	$sup_id=$_GET['sup_id'];
	$sup_name=fld('sup_name', 'sup', 'sup_id="'.$sup_id.'"');
	if(val_date('pymt_date')) $fld[]=array('Date Paid', dte('pymt_date', date_now()), '');
	$fld[]=array('OR No.', txt('or_no', '', 's'), '');
	$fld[]=array('Payment Method', sel('method', '', 'Cash; Check - Pending', 'Cash; Check'), '');
	$fld[]=array('Check No.', txt('check_no', '', 's'), '');
	$fld[]=array('Encashment Date', dte('enc_date'), '');
	$fld[]=array('Source Bank', txt('bank_name'), '');
	$fld[]=array('Balance', '<span id="bank_bal"></span>');
	$fld[]=array('Note', txt('note', '', 'l'), '');
	$hdn=hdn('sup_id', $sup_id).hdn('bank_id').hdn('amt', 0);
	$lnk=lnk('lst', 'View All', 'sup-dtl.php', 'sup_id='.$sup_id, 'img_dtl', '', 'btn');
	$btn=rst('rst', 'Reset').sbt('sbt', 'Submit');
	echo ent($fld, 'Lump Sump<br>'.$sup_name, $lnk, $hdn, $btn);
	?>
	<table class="grd" id="pur_bal_lst"></table>
	<script type="text/javascript">$(function(){
		var sup_id=$('#sup_id').val();
		$('#pur_bal_lst').grd({
			caption:'Purchase with Balance',
			fld:[
				['pur_id', '', '', 'chk'],
				['pur_date', 'Date Purchased', 'dte'],
				['or_no', 'OR No.', ''],
				['rcv_date', 'Date Received', 'dte'],
				['emp_name', 'Received By', ''],
				['dlv', 'Direct Delivery', 'bln'],
				['amt', 'Total', 'dec'],
				['pymt', 'Payment', 'dec'],
				['bal', 'Balance', 'dec'],
				['encoder', 'Encoder', ''],
			],
			ft:['', '', '', '', '', '', '', 'Total:', '<span id="total_bal"></span>', function(){
				$('#pur_bal_lst').find('[name="pur_id"]').each(function(){
					$(this).click(function(){
						var total=0;
						$('#pur_bal_lst').find('[name="pur_id"]:checked').each(function(){
							total+=$.fld('bal', 'vw_pur', 'pur_id="'+$(this).val()+'"')-0;
						});
						$('#amt').val(total);
						$('#total_bal').html($.dl({type:'dec', val:total}));
					});
				});
			}],
			src:'vw_pur',
			con:'sup_id="'+sup_id+'" and bal>0 and del_id=0',
			srt:'pur_date, pur_id',
			show_find:false,
		});
		$('#pymt_date').focus().valid(['', 'dte']);
		$('#or_no').valid();
		$('#method').change(function(){
			$('#check_no').parent().parent().css('display', 'none');
			$('#enc_date').parent().parent().css('display', 'none');
			$('#check_no').val('');
			$('#enc_date').val('');
			if($(this).val()=='Check - Pending'){
				$('#check_no').parent().parent().css('display', 'table-row');
				$('#enc_date').parent().parent().css('display', 'table-row');
			}
		}).change().valid();
		$('#check_no').valid([function(){
			if($('#method').val()=='Check - Pending') return $(this).val()==''?'Please provide a value.':true;
			else return true;
		}]);
		$('#enc_date').valid(['dte', function(){
			if($('#method').val()=='Check - Pending') return $(this).val()==''?'Please provide a value.':true;
			else return true;
		}]);
		$('#bank_name').cbo({
			fld:[
				['bank_name', 'Bank Name', ''],
				['contact_no', 'Contact No.', ''],
				['address', 'Address', ''],
				['bal', 'Balance', 'dec'],
			],
			src:'bank',
			srt:'bank_name',
			lbl:'bank_name',
			tag:[
				[$('#bank_id'), 'bank_id'],
				[$('#bank_bal'), 'bal'],
			],
		}).valid(['', function(){
			var amt=$('#amt').val()-0;
			var bal=$.fld('bal', 'bank', 'bank_id="'+$('#bank_id').val()+'"')-0;
			return amt>bal?'Please select a Bank that has sufficient cash of at least '+amt+'.':true;
		}]);
		$('#note').valid();
		
		$('#rst').click(function(){
			$('#method').change();
			$('#bank_id').val('');
			$('#amt').val(0);
			$('#pymt_date').focus();
		});
		
		$('form').submit(function(){
			if($('#amt').val()-0<=0){
				$.err('Please select at least one Purchase with Balance.');
			} 	
			if($.val_sbt('form')) return false;
			
			var pur_id=[];
			$('#pur_bal_lst').find('[name="pur_id"]').each(function(i){
				if($(this).is(':checked')) pur_id[pur_id.length]=$(this).val();
			});
			$.fnx('sup_lump', [
				pur_id,
				$('#pymt_date').val(),
				$('#or_no').val(),
				$('#method').val(),
				$('#check_no').val(),
				$('#enc_date').val(),
				$('#bank_id').val(),
				$('#note').val()
			], function(){
				$.ok('Lump Sum Payment to Supplier has been Added.');
				$('#pur_bal_lst').grd();
				$('#rst').click();
			});
		});
	});</script>
	<?php
}
?>