<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

define('TITLE', 'Print Inventory');

include("fxns.php");

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		printing_header(TITLE);

		$branch_id = $_GET['branch_id'];
		$field = $_GET['field'];
		
		show_inventory($branch_id, $field);
		
	}
}
else {
	print "<br><br><br><center><font face=arial size=5 color=gray>Invalid User. You are not allowed to use this function.
	</font></center>";
}

function show_inventory($branch_id, $field) {
	// get the name of the branch
	$sql = "SELECT branch_name FROM branches WHERE branch_id = '$branch_id'"; 
	$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_name = $brow[0];
	
	if ($field == "") {
		$sql = "SELECT c.category_name, m.manufacturer_name, p.product_id, p.product_name, bp.inventory
				FROM products p 
					INNER JOIN branch_products bp ON p.product_id = bp.product_id
					INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id
					INNER JOIN categories c ON p.category_id = c.category_id
				WHERE p.active = 1 AND bp.branch_id = '$branch_id'
				ORDER BY c.category_name, m.manufacturer_name, p.product_name"; 
		$res = mysql_query($sql) or die(mysql_error()); 

	} else {
		$sql = "SELECT c.category_name, m.manufacturer_name, p.product_id, p.product_name, bp.inventory
				FROM products p 
					INNER JOIN branch_products bp ON p.product_id = bp.product_id
					INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id
					INNER JOIN categories c ON p.category_id = c.category_id
				WHERE p.active = 1 AND bp.branch_id = '$branch_id' 
					AND (p.product_name LIKE '%$field%' OR m.manufacturer_name LIKE '%$field%')
				ORDER BY c.category_name, m.manufacturer_name, p.product_name"; 
		$res = mysql_query($sql) or die(mysql_error()); 

	}
	
	$tqty = 0; 
	
	?>
	<center><table width="700" class="data" border="1">
		<thead class="print">
			<tr><td colspan="5" align="center"><b>Product Inventory - <?PHP echo $branch_name ?></b></td></tr>
			<tr>
				<td width="120" align="center">Category</td>
				<td width="300" align="center">Manufacturer</td>
				<td width="350" align="center">Product Name</td>
				<td width="80" align="center">Quantity</td>
				<td width="100" align="center">Actual Qty</td>
			</tr>
		</thead>
		<tbody class="print">
			<?PHP
			$i = 1;
			while ($row = mysql_fetch_array($res)) {
				$m = fmod($i, 2); 
				if ($m == 0) {
					?><tr class="even"><?PHP
				} else {
					?><tr class="odd"><?PHP
				}
				?>
					<td align="left"><?PHP echo $row[0] ?></td>
					<td align="left"><?PHP echo $row[1] ?></td>
					<td align="left"><?PHP echo $row[3] ?></td>
					<td align="right"><?PHP echo number_format($row[4], 2) ?></td>
					<td align="right"></td>
				</tr>
				<?PHP
				$i++; $tqty = $tqty + $row[4];
			}
			?>
			<tr class="total">
				<td colspan="3" align="right"><b>Total</b></td>
				<td align="right"><b><?PHP echo number_format($tqty, 2) ?></b></td>
				<td align="right"><b></b></td>
			</tr>
		</tbody>
	</table></center>
	<?PHP
}

?>