<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Product Inventory Tracking');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry product_id in the URL
		if (is_numeric($_GET['product_id'])) {
			$product_id = $_GET['product_id'];
			$whouse_id = $_GET['whouse_id'];
			// show form
			show_product($product_id);
			show_its($whouse_id, $product_id);
		} else { // No _id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_its($whouse_id, $product_id) {
	$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);

	// incoming transfers
	$sql = "SELECT t.trans_id, DATE_FORMAT(t.tdate, '%b %e, %Y'), w.whouse_name, td.quantity
			FROM transfers t 
				INNER JOIN transfer_details td ON t.trans_id = td.trans_id
				INNER JOIN warehouses w ON t.fr_whouse_id = w.whouse_id
			WHERE t.to_whouse_id = '$whouse_id' AND td.product_id = '$product_id' AND t.user2_id != 0
			ORDER BY t.trans_id DESC";
	$it_res = mysql_query($sql);
	$it_num = mysql_num_rows($it_res);
	if ($it_num > 0) {
		$sql = "SELECT SUM(td.quantity)
				FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
				WHERE t.to_whouse_id = '$whouse_id' AND td.product_id = '$product_id' AND t.user2_id != 0"; 
		$tit_res = mysql_query($sql); $tit_row = mysql_fetch_array($tit_res);
	}

	?>
    <div class="post">
        <h1 class="title">Detailed In-Coming Transfers For <?PHP echo $row[0] ?></h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="360" valign="top">
					<table width="360">
						<thead class="data">
							<tr><td colspan="3" align="center"><b>In-Coming Transfers</b></td></tr>
							<tr>
								<td width="130" align="center">Date</td>
								<td width="150" align="center">Source</td>
								<td width="50" align="center">Qty</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
						if ($it_num > 0) {
							$i = 1;
							while ($it_row = mysql_fetch_array($it_res)) {
								$m = fmod($i, 2);
								if ($m == 0) { // $i is EVEN
									?><tr class="even"><?PHP
								} else { // $i is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="transfer.php?trans_id=<?PHP echo $it_row[0] ?>"><?PHP echo $it_row[1] ?></td></td>
									<td align="left"><?PHP echo $it_row[2] ?></td>
									<td align="right"><?PHP echo number_format($it_row[3], 2); ?></td>
								</tr>
								<?PHP
								$i++;
							}
							?>
							<tr class="total">
								<td align="right" colspan="2"><b>TOTAL</b>&nbsp;</td><td align="right"><b><?PHP echo number_format($tit_row[0], 2); ?></b></td>
							</tr>
							<?PHP
						} else {
							?>
							<tr>
								<td align="center" colspan="3">There are NO existing records of in-coming transfers for this product</td>
							</tr>
							<?PHP				
						}
						?>
						</tbody>
					</table>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}


?>