<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Product Inventory Tracking');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry product_id in the URL
		if (is_numeric($_GET['product_id'])) {
			$product_id = $_GET['product_id'];
			$whouse_id = $_GET['whouse_id'];
			// show form
			show_product($product_id);
			show_its($whouse_id, $product_id);
		} else { // No _id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_its($whouse_id, $product_id) {
	$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);

	// sales
	$sql = "SELECT s.sale_id, s.or_num, DATE_FORMAT(s.delivery_date, '%b %e, %Y'), c.company_name, SUM(sd.quantity)
			FROM sales s 
				INNER JOIN sale_details sd ON s.sale_id = sd.sale_id
				INNER JOIN customers c ON s.customer_id = c.customer_id 
			WHERE sd.product_id = '$product_id' AND s.purchase_id = 0 AND s.whouse_id = '$whouse_id'
			GROUP BY s.sale_id
			ORDER BY s.delivery_date DESC, c.company_name";
	$sale_res = mysql_query($sql);
	$sale_num = mysql_num_rows($sale_res);
	if ($sale_num > 0) {
		$sql = "SELECT SUM(sd.quantity)
				FROM sales s INNER JOIN sale_details sd ON s.sale_id = sd.sale_id
				WHERE sd.product_id = '$product_id' AND s.whouse_id = '$whouse_id' AND s.purchase_id = 0";
		$tsale_res = mysql_query($sql); $tsale_row = mysql_fetch_array($tsale_res);
	}
	
	?>
    <div class="post">
        <h1 class="title">Detailed Sales For <?PHP echo $row[0] ?></h1>
        <div class="entry">
        <table><tr><td>
			<table align="center" width="700">
			<tr>
				<td width="360" valign="top">
					<table width="360">
						<thead class="data">
							<tr><td colspan="4" align="center"><b>Product Sales</b></td></tr>
							<tr>
								<td width="50" align="center">OR #</td>
								<td width="80" align="center">Date</td>
								<td width="200" align="center">Dealer</td>
								<td width="50" align="center">Qty</td>
							</tr>
						</thead>
						<tbody class="data">
						<?PHP
						if ($sale_num > 0) {
							$j = 1;
							while ($sale_row = mysql_fetch_array($sale_res)) {
								$n = fmod($j, 2);
								if ($n == 0) { // $j is EVEN
									?><tr class="even"><?PHP
								} else { // $j is ODD
									?><tr class="odd"><?PHP
								}
								?>
									<td align="center"><a class="tddata" href="sale.php?sale_id=<?PHP echo $sale_row[0] ?>"><?PHP echo $sale_row[1] ?></td></td>
									<td align="center"><?PHP echo $sale_row[2] ?></td>
									<td align="left"><?PHP echo $sale_row[3] ?></td>
									<td align="right"><?PHP echo number_format($sale_row[4], 2); ?></td>
								</tr>
								<?PHP
								$j++;
							}
							?>
							<tr class="total">
								<td align="right" colspan="3"><b>TOTAL</b>&nbsp;</td><td align="right"><b><?PHP echo number_format($tsale_row[0], 2); ?></b></td>
							</tr>
							<?PHP
						} else {
							?>
							<tr>
								<td align="center" colspan="4">There are NO existing records of sales for this product</td>
							</tr>
							<?PHP				
						}
						?>
						</tbody>
					</table>
				</td>
			</tr>
			</table>
		</td></tr></table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}


?>