<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Product Inventory Tracking');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// Check for valid entry product_id in the URL
		if (is_numeric($_GET['product_id'])) {
			$product_id = $_GET['product_id'];
			$whouse_id = $_GET['whouse_id'];
			// show form
			show_product($product_id);
			show_its($whouse_id, $product_id);
		} else { // No _id set.
			print '<p><font face=arial size=2 color=red><b>You must have made a mistake in using this page!</b></font></p>';
		}
		
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_its($whouse_id, $product_id) {
	$sql = "SELECT position FROM users WHERE user_id = '$_SESSION[user_id]'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res); $position = $row[0]; 
	$sql = "SELECT product_name FROM products WHERE product_id = '$product_id'";
	$res = mysql_query($sql); $row = mysql_fetch_array($res);
	// get the capital for this warehouse
	$sql = "SELECT ave_acq FROM warehouse_products WHERE whouse_id = '$whouse_id' AND product_id = '$product_id'";
	$wres = mysql_query($sql); $wrow = mysql_fetch_array($wres); $ave_acq = $wrow[0];

	?>
    <div class="post">
        <h1 class="title"><u><?PHP echo $row[0] ?></u> <i>Detailed Warehouse Inventory</i></h1>
        <div class="entry">
			<table>
				<thead class="data">
					<tr>
						<td colspan="2" align="center">Good</td>
						<td colspan="2" align="center">Damaged</td>
						<td colspan="2" align="center">Expired</td>
						<td colspan="2" align="center">Expiring</td>
					</tr>
				</thead>
				<tbody class="data">
					<tr class="even">
						<td width="150" align="right">Purchases&nbsp;</td>
						<td width="75" align="right">&nbsp;<?PHP
							// purchases
							$sql = "SELECT SUM(pd.quantity)
									FROM purchases p INNER JOIN purchase_details pd ON p.purchase_id = pd.purchase_id
									WHERE p.whouse_id = '$whouse_id' AND pd.product_id = '$product_id' AND p.direct_delivery = 0 AND p.user2_id != 0"; 
							$pur_res = mysql_query($sql); $pur_row = mysql_fetch_array($pur_res); 
							?><a class="tddata" target="new" href="warehouse_purchases_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($pur_row[0], 2); ?></a></td>
						<td width="105" align="right">Customer-Returns&nbsp;</td>
						<td width="55"align="right">&nbsp;<?PHP
							// get the sum of damaged returns from customers
							$sql = "SELECT SUM(rd.quantity)
									FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
									WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$product_id' AND rd.rtype = 2"; 
							$diret_res = mysql_query($sql); $diret_row = mysql_fetch_array($diret_res); 
							?><a class="tddata" target="new" href="warehouse_dcreturns_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($diret_row[0], 2); ?></a></td>
						<td width="105" align="right">Customer-Returns&nbsp;</td>
						<td width="55"align="right">&nbsp;<?PHP
							// get the sum of expired returns from customers
							$sql = "SELECT SUM(rd.quantity)
									FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
									WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$product_id' AND rd.rtype = 3"; 
							$eiret_res = mysql_query($sql); $eiret_row = mysql_fetch_array($eiret_res); 
							?><a class="tddata" target="new" href="warehouse_ecreturns_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($eiret_row[0], 2); ?></a></td>
						<td width="105" align="right">Customer-Returns&nbsp;</td>
						<td width="55"align="right">&nbsp;<?PHP
							// get the sum of expiring returns from customers
							$sql = "SELECT SUM(rd.quantity)
									FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
									WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$product_id' AND rd.rtype = 4"; 
							$exiret_res = mysql_query($sql); $exiret_row = mysql_fetch_array($exiret_res); 
							?><a class="tddata" target="new" href="warehouse_excreturns_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($exiret_row[0], 2); ?></a></td>
					</tr>
					<tr class="odd">
						<td align="right">Incoming Transfers&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// incoming transfers
							$sql = "SELECT SUM(td.quantity)
									FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
									WHERE t.to_whouse_id = '$whouse_id' AND td.product_id = '$product_id' AND t.user2_id != 0"; 
							$it_res = mysql_query($sql); $it_row = mysql_fetch_array($it_res); 
							?><a class="tddata" target="new" href="warehouse_itransfers_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($it_row[0], 2); ?></a></td>
						<td align="right">Loss&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of loss
							$sql = "SELECT SUM(wl.quantity)
									FROM warehouse_losses l INNER JOIN wl_details wl ON l.wl_id = wl.wl_id
									WHERE l.whouse_id = '$whouse_id' AND wl.product_id = '$product_id' AND wl.rtype = 2"; 
							$dl_res = mysql_query($sql); $dl_row = mysql_fetch_array($dl_res); 
							?><a class="tddata" target="new" href="warehouse_dloss_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($dl_row[0], 2); ?></a></td>
						<td align="right">Loss&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of loss
							$sql = "SELECT SUM(wl.quantity)
									FROM warehouse_losses l INNER JOIN wl_details wl ON l.wl_id = wl.wl_id
									WHERE l.whouse_id = '$whouse_id' AND wl.product_id = '$product_id' AND wl.rtype = 3"; 
							$el_res = mysql_query($sql); $el_row = mysql_fetch_array($el_res); 
							?><a class="tddata" target="new" href="warehouse_eloss_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($el_row[0], 2); ?></a></td>
						<td align="right">Loss&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of loss
							$sql = "SELECT SUM(wl.quantity)
									FROM warehouse_losses l INNER JOIN wl_details wl ON l.wl_id = wl.wl_id
									WHERE l.whouse_id = '$whouse_id' AND wl.product_id = '$product_id' AND wl.rtype = 4"; 
							$exl_res = mysql_query($sql); $exl_row = mysql_fetch_array($exl_res); 
							?><a class="tddata" target="new" href="warehouse_exloss_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($exl_row[0], 2); ?></a></td>
					</tr>
					<tr class="even">
						<td align="right">Customer-Returns&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of returns from customers
							$sql = "SELECT SUM(rd.quantity)
									FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
									WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$product_id' AND rd.rtype = 1"; 
							$giret_res = mysql_query($sql); $giret_row = mysql_fetch_array($giret_res); 
							?><a class="tddata" target="new" href="warehouse_gcreturns_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($giret_row[0], 2); ?></a></td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
					</tr>
					<tr class="odd">
						<td align="right">Conversions From Wholesale&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of conversions
							$sql = "SELECT SUM(to_units) FROM conversions WHERE whouse_id = '$whouse_id' AND to_product_id = '$product_id'"; 
							$rcon_res = mysql_query($sql); $rcon_row = mysql_fetch_array($rcon_res); 
							?><a class="tddata" target="new" href="warehouse_wcon_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($rcon_row[0], 2); ?></a></td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
					</tr>
					<tr class="even">
						<td align="right">Productions&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of productions
							$sql = "SELECT SUM(quantity) FROM pdxns WHERE to_whouse_id = '$whouse_id' and product_id = '$product_id' AND user2_id != 0";
							$pdxn_res = mysql_query($sql); $pdxn_row = mysql_fetch_array($pdxn_res); 
							?><a class="tddata" target="new" href="warehouse_pdxn_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($pdxn_row[0], 2); ?></a></td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
					</tr>
					<tr class="odd">
						<td align="right"><b>Total Incoming</b>&nbsp;</td>
						<td align="right">&nbsp;<b><?PHP 
							$gi = $pur_row[0] + $it_row[0] + $giret_row[0] + $rcon_row[0] + $pdxn_row[0]; echo number_format($gi, 2); 
							?></b></td>
						<td align="right"><b>Total Incoming</b>&nbsp;</td>
						<td align="right">&nbsp;<b><?PHP 
							$di = $diret_row[0] + $dl_row[0]; echo number_format($di, 2); 
							?></b></td>
						<td align="right"><b>Total Incoming</b>&nbsp;</td>
						<td align="right">&nbsp;<b><?PHP 
							$ei = $eiret_row[0] + $el_row[0]; echo number_format($ei, 2); 
							?></b></td>
						<td align="right"><b>Total Incoming</b>&nbsp;</td>
						<td align="right">&nbsp;<b><?PHP 
							$exi = $exiret_row[0] + $exl_row[0]; echo number_format($exi, 2); 
							?></b></td>
					</tr>
					<tr class="even">
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
					</tr>
					<tr class="odd">
						<td align="right">Back To Suppliers&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of good returns to suppliers
							$sql = "SELECT SUM(rd.quantity)
									FROM returns_suppliers r INNER JOIN rs_details rd ON r.rs_id = rd.rs_id
									WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$product_id' AND rd.rtype = 1"; 
							$goret_res = mysql_query($sql); $goret_row = mysql_fetch_array($goret_res); 
							?><a class="tddata" target="new" href="warehouse_gsreturns_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($goret_row[0], 2); ?></a></td>
						<td align="right">Back To Suppliers&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of damaged returns to suppliers
							$sql = "SELECT SUM(rd.quantity)
									FROM returns_suppliers r INNER JOIN rs_details rd ON r.rs_id = rd.rs_id
									WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$product_id' AND rd.rtype = 2"; 
							$doret_res = mysql_query($sql); $doret_row = mysql_fetch_array($doret_res); 
							?><a class="tddata" target="new" href="warehouse_dsreturns_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($doret_row[0], 2); ?></a></td>
						<td align="right">Back To Suppliers&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of expired returns to suppliers
							$sql = "SELECT SUM(rd.quantity)
									FROM returns_suppliers r INNER JOIN rs_details rd ON r.rs_id = rd.rs_id
									WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$product_id' AND rd.rtype = 3"; 
							$eoret_res = mysql_query($sql); $eoret_row = mysql_fetch_array($eoret_res); 
							?><a class="tddata" target="new" href="warehouse_esreturns_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($eoret_row[0], 2); ?></a></td>
						<td align="right">Back To Suppliers&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of expiring returns to suppliers
							$sql = "SELECT SUM(rd.quantity)
									FROM returns_suppliers r INNER JOIN rs_details rd ON r.rs_id = rd.rs_id
									WHERE r.whouse_id = '$whouse_id' AND rd.product_id = '$product_id' AND rd.rtype = 4"; 
							$exoret_res = mysql_query($sql); $exoret_row = mysql_fetch_array($exoret_res); 
							?><a class="tddata" target="new" href="warehouse_exsreturns_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($exoret_row[0], 2); ?></a></td>
					</tr>
					<tr class="even">
						<td align="right">Out-Going Transfers&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// out-going transfers
							$sql = "SELECT SUM(td.quantity)
									FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
									WHERE t.fr_whouse_id = '$whouse_id' AND td.product_id = '$product_id'"; 
							$ot_res = mysql_query($sql); $ot_row = mysql_fetch_array($ot_res); 
							?><a class="tddata" target="new" href="warehouse_otransfers_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($ot_row[0], 2); ?></a></td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
					</tr>
					<tr class="odd">
						<td align="right">Sales&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// sales
							$sql = "SELECT SUM(sd.quantity)
									FROM sales s INNER JOIN sale_details sd ON s.sale_id = sd.sale_id
									WHERE sd.product_id = '$product_id' AND s.whouse_id = '$whouse_id' AND s.purchase_id = 0";
							$sale_res = mysql_query($sql); $sale_row = mysql_fetch_array($sale_res); 
							?><a class="tddata" target="new" href="warehouse_sales_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($sale_row[0], 2); ?></a></td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
					</tr>
					<tr class="even">
						<td align="right">Conversion To Retail&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of conversions
							$sql = "SELECT SUM(fr_units) FROM conversions WHERE whouse_id = '$whouse_id' AND fr_product_id = '$product_id'"; 
							$wcon_res = mysql_query($sql); $wcon_row = mysql_fetch_array($wcon_res); 
							?><a class="tddata" target="new" href="warehouse_rcon_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($wcon_row[0], 2); ?></a></td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
					</tr>
					<tr class="odd">
						<td align="right">Loss&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of loss
							$sql = "SELECT SUM(wl.quantity)
									FROM warehouse_losses l INNER JOIN wl_details wl ON l.wl_id = wl.wl_id
									WHERE l.whouse_id = '$whouse_id' AND wl.product_id = '$product_id'"; 
							$gl_res = mysql_query($sql); $gl_row = mysql_fetch_array($gl_res); 
							?><a class="tddata" target="new" href="warehouse_gloss_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($gl_row[0], 2); ?></a></td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
					</tr>
					<tr class="even">
						<td align="right">Used For Productions&nbsp;</td>
						<td align="right">&nbsp;<?PHP
							// get the sum of loss
							$sql = "SELECT SUM(pd.quantity)
									FROM pdxns p INNER JOIN pdxn_details pd ON p.pdxn_id = pd.pdxn_id
									WHERE p.fr_whouse_id = '$whouse_id' AND pd.product_id = '$product_id'"; 
							$item_res = mysql_query($sql); $item_row = mysql_fetch_array($item_res); 
							?><a class="tddata" target="new" href="warehouse_item_its.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><?PHP echo number_format($item_row[0], 2); ?></a></td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
					</tr>
					<tr class="odd">
						<td align="right"><b>Total Out-Going</b>&nbsp;</td>
						<td align="right">&nbsp;<b><?PHP
							$go = $goret_row[0] + $ot_row[0] + $sale_row[0] + $wcon_row[0] + $gl_row[0] + $item_row[0]; echo number_format($go, 2);
							?></b></td>
						<td align="right"><b>Total Out-Going</b>&nbsp;</td>
						<td align="right">&nbsp;<b><?PHP echo number_format($doret_row[0], 2); ?></b></td>
						<td align="right"><b>Total Out-Going</b>&nbsp;</td>
						<td align="right">&nbsp;<b><?PHP echo number_format($eoret_row[0], 2); ?></b></td>
						<td align="right"><b>Total Out-Going</b>&nbsp;</td>
						<td align="right">&nbsp;<b><?PHP echo number_format($exoret_row[0], 2); ?></b></td>
					</tr>
					<tr class="even">
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
						<td align="right">&nbsp;</td>
					</tr>
					<tr class="odd">
						<td align="right"><b>Line Total</b>&nbsp;</td>
						<td align="right">&nbsp;<b><?PHP
							$good = $gi - $go; echo number_format($good, 2);
							$sql = "UPDATE warehouse_products SET inventory = '$good' 
									WHERE whouse_id = '$whouse_id' AND product_id = '$product_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
							?></b></td>
						<td align="right"><b>Line Total</b>&nbsp;</td>
						<td align="right">&nbsp;<b><?PHP
							$damaged = $di - $doret_row[0]; echo number_format($damaged, 2);
							$sql = "UPDATE warehouse_products SET damaged = '$damaged' 
									WHERE whouse_id = '$whouse_id' AND product_id = '$product_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
							?></b></td>
						<td align="right"><b>Line Total</b>&nbsp;</td>
						<td align="right">&nbsp;<b><?PHP
							$expired = $ei - $eoret_row[0]; echo number_format($expired, 2);
							$sql = "UPDATE warehouse_products SET expired = '$expired' 
									WHERE whouse_id = '$whouse_id' AND product_id = '$product_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
							?></b></td>
						<td align="right"><b>Line Total</b>&nbsp;</td>
						<td align="right">&nbsp;<b><?PHP
							$expiring = $exi - $exoret_row[0]; echo number_format($expiring, 2);
							$sql = "UPDATE warehouse_products SET expiring = '$expiring' 
									WHERE whouse_id = '$whouse_id' AND product_id = '$product_id' LIMIT 1";
							mysql_query($sql) or die(mysql_error()); 
							?></b></td>
					</tr>
					<?PHP
					if ($position == 3) {
						?>
						<tr class="odd">
							<td align="right">&nbsp;</td>
							<td align="right">&nbsp;</td>
							<td align="right">&nbsp;</td>
							<td align="right">&nbsp;</td>
							<td align="right">&nbsp;</td>
							<td align="right">&nbsp;</td>
							<td align="right">&nbsp;</td>
							<td align="right">&nbsp;</td>
						</tr>
						<tr class="even">
							<td align="right"><b>Capital</b>&nbsp;</td>
							<td align="right">&nbsp;<b><?PHP echo number_format($ave_acq, 2); ?></b></td>
							<td align="left">&nbsp;<a class="td_img" href="e_wcapital.php?whouse_id=<?PHP echo $whouse_id ?>&product_id=<?PHP echo $product_id ?>"><img src="lib/file_edit.png"></a></td>
							<td align="right">&nbsp;</td>
							<td align="right">&nbsp;</td>
							<td align="right">&nbsp;</td>
							<td align="right">&nbsp;</td>
							<td align="right">&nbsp;</td>
						</tr>
						<?PHP
					}
					?>
				</tbody>
			</table>
        </div>
        <p class="meta"></p>
    </div>
	<?PHP
}


?>